using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_UriIdnScope_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_UriIdnScope_creator", default(System.UriIdnScope)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_UriIdnScope_buildin.system_UriIdnScope_ctor","system_UriIdnScope_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriIdnScope_None_getter",()=>{ return System.UriIdnScope.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriIdnScope_AllExceptIntranet_getter",()=>{ return System.UriIdnScope.AllExceptIntranet;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriIdnScope_All_getter",()=>{ return System.UriIdnScope.All;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_UriIdnScope_buildin.system_UriIdnScope_operator_bitOr","system_UriIdnScope_operator_bitOr");
		}

		public class system_UriIdnScope_ctor : NativeConstParameterFunction
		{
			public system_UriIdnScope_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_UriIdnScope_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_UriIdnScope_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_UriIdnScope_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_UriIdnScope_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.UriIdnScope ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.UriIdnScope);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.UriIdnScope)argObj.value;
				}

				System.UriIdnScope ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.UriIdnScope);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.UriIdnScope)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
