using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_globalization_CalendarAlgorithmType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_globalization_CalendarAlgorithmType_creator", default(System.Globalization.CalendarAlgorithmType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_globalization_CalendarAlgorithmType_buildin.system_globalization_CalendarAlgorithmType_ctor","system_globalization_CalendarAlgorithmType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_globalization_CalendarAlgorithmType_Unknown_getter",()=>{ return System.Globalization.CalendarAlgorithmType.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_globalization_CalendarAlgorithmType_SolarCalendar_getter",()=>{ return System.Globalization.CalendarAlgorithmType.SolarCalendar;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_globalization_CalendarAlgorithmType_LunarCalendar_getter",()=>{ return System.Globalization.CalendarAlgorithmType.LunarCalendar;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_globalization_CalendarAlgorithmType_LunisolarCalendar_getter",()=>{ return System.Globalization.CalendarAlgorithmType.LunisolarCalendar;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_globalization_CalendarAlgorithmType_buildin.system_globalization_CalendarAlgorithmType_operator_bitOr","system_globalization_CalendarAlgorithmType_operator_bitOr");
		}

		public class system_globalization_CalendarAlgorithmType_ctor : NativeConstParameterFunction
		{
			public system_globalization_CalendarAlgorithmType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_globalization_CalendarAlgorithmType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_globalization_CalendarAlgorithmType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_globalization_CalendarAlgorithmType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_globalization_CalendarAlgorithmType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.Globalization.CalendarAlgorithmType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.Globalization.CalendarAlgorithmType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.Globalization.CalendarAlgorithmType)argObj.value;
				}

				System.Globalization.CalendarAlgorithmType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.Globalization.CalendarAlgorithmType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.Globalization.CalendarAlgorithmType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
