using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_io_WatcherChangeTypes_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_io_WatcherChangeTypes_creator", default(System.IO.WatcherChangeTypes)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_io_WatcherChangeTypes_buildin.system_io_WatcherChangeTypes_ctor","system_io_WatcherChangeTypes_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_io_WatcherChangeTypes_All_getter",()=>{ return System.IO.WatcherChangeTypes.All;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_io_WatcherChangeTypes_Changed_getter",()=>{ return System.IO.WatcherChangeTypes.Changed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_io_WatcherChangeTypes_Created_getter",()=>{ return System.IO.WatcherChangeTypes.Created;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_io_WatcherChangeTypes_Deleted_getter",()=>{ return System.IO.WatcherChangeTypes.Deleted;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_io_WatcherChangeTypes_Renamed_getter",()=>{ return System.IO.WatcherChangeTypes.Renamed;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_io_WatcherChangeTypes_buildin.system_io_WatcherChangeTypes_operator_bitOr","system_io_WatcherChangeTypes_operator_bitOr");
		}

		public class system_io_WatcherChangeTypes_ctor : NativeConstParameterFunction
		{
			public system_io_WatcherChangeTypes_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_io_WatcherChangeTypes_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_io_WatcherChangeTypes_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_io_WatcherChangeTypes_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_io_WatcherChangeTypes_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.IO.WatcherChangeTypes ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.IO.WatcherChangeTypes);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.IO.WatcherChangeTypes)argObj.value;
				}

				System.IO.WatcherChangeTypes ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.IO.WatcherChangeTypes);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.IO.WatcherChangeTypes)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
