using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_security_cryptography_x509certificates_X509VerificationFlags_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_security_cryptography_x509certificates_X509VerificationFlags_creator", default(System.Security.Cryptography.X509Certificates.X509VerificationFlags)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_cryptography_x509certificates_X509VerificationFlags_buildin.system_security_cryptography_x509certificates_X509VerificationFlags_ctor","system_security_cryptography_x509certificates_X509VerificationFlags_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_NoFlag_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.NoFlag;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreNotTimeValid_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreNotTimeValid;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreCtlNotTimeValid_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreCtlNotTimeValid;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreNotTimeNested_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreNotTimeNested;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreInvalidBasicConstraints_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreInvalidBasicConstraints;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_AllowUnknownCertificateAuthority_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.AllowUnknownCertificateAuthority;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreWrongUsage_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreWrongUsage;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreInvalidName_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreInvalidName;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreInvalidPolicy_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreInvalidPolicy;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreEndRevocationUnknown_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreEndRevocationUnknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreCtlSignerRevocationUnknown_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreCtlSignerRevocationUnknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreCertificateAuthorityRevocationUnknown_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreCertificateAuthorityRevocationUnknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreRootRevocationUnknown_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.IgnoreRootRevocationUnknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509VerificationFlags_AllFlags_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509VerificationFlags.AllFlags;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_cryptography_x509certificates_X509VerificationFlags_buildin.system_security_cryptography_x509certificates_X509VerificationFlags_operator_bitOr","system_security_cryptography_x509certificates_X509VerificationFlags_operator_bitOr");
		}

		public class system_security_cryptography_x509certificates_X509VerificationFlags_ctor : NativeConstParameterFunction
		{
			public system_security_cryptography_x509certificates_X509VerificationFlags_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_cryptography_x509certificates_X509VerificationFlags_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_security_cryptography_x509certificates_X509VerificationFlags_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_security_cryptography_x509certificates_X509VerificationFlags_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_cryptography_x509certificates_X509VerificationFlags_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.Security.Cryptography.X509Certificates.X509VerificationFlags ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.Security.Cryptography.X509Certificates.X509VerificationFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.Security.Cryptography.X509Certificates.X509VerificationFlags)argObj.value;
				}

				System.Security.Cryptography.X509Certificates.X509VerificationFlags ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.Security.Cryptography.X509Certificates.X509VerificationFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.Security.Cryptography.X509Certificates.X509VerificationFlags)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
