using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_AdditionalCanvasShaderChannels_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_AdditionalCanvasShaderChannels_creator", default(UnityEngine.AdditionalCanvasShaderChannels)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_AdditionalCanvasShaderChannels_buildin.unityengine_AdditionalCanvasShaderChannels_ctor","unityengine_AdditionalCanvasShaderChannels_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AdditionalCanvasShaderChannels_None_getter",()=>{ return UnityEngine.AdditionalCanvasShaderChannels.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AdditionalCanvasShaderChannels_TexCoord1_getter",()=>{ return UnityEngine.AdditionalCanvasShaderChannels.TexCoord1;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AdditionalCanvasShaderChannels_TexCoord2_getter",()=>{ return UnityEngine.AdditionalCanvasShaderChannels.TexCoord2;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AdditionalCanvasShaderChannels_TexCoord3_getter",()=>{ return UnityEngine.AdditionalCanvasShaderChannels.TexCoord3;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AdditionalCanvasShaderChannels_Normal_getter",()=>{ return UnityEngine.AdditionalCanvasShaderChannels.Normal;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AdditionalCanvasShaderChannels_Tangent_getter",()=>{ return UnityEngine.AdditionalCanvasShaderChannels.Tangent;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_AdditionalCanvasShaderChannels_buildin.unityengine_AdditionalCanvasShaderChannels_operator_bitOr","unityengine_AdditionalCanvasShaderChannels_operator_bitOr");
		}

		public class unityengine_AdditionalCanvasShaderChannels_ctor : NativeConstParameterFunction
		{
			public unityengine_AdditionalCanvasShaderChannels_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_AdditionalCanvasShaderChannels_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_AdditionalCanvasShaderChannels_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_AdditionalCanvasShaderChannels_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_AdditionalCanvasShaderChannels_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.AdditionalCanvasShaderChannels ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.AdditionalCanvasShaderChannels);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.AdditionalCanvasShaderChannels)argObj.value;
				}

				UnityEngine.AdditionalCanvasShaderChannels ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.AdditionalCanvasShaderChannels);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.AdditionalCanvasShaderChannels)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
