using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ApplicationInstallMode_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ApplicationInstallMode_creator", default(UnityEngine.ApplicationInstallMode)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ApplicationInstallMode_buildin.unityengine_ApplicationInstallMode_ctor","unityengine_ApplicationInstallMode_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationInstallMode_Unknown_getter",()=>{ return UnityEngine.ApplicationInstallMode.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationInstallMode_Store_getter",()=>{ return UnityEngine.ApplicationInstallMode.Store;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationInstallMode_DeveloperBuild_getter",()=>{ return UnityEngine.ApplicationInstallMode.DeveloperBuild;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationInstallMode_Adhoc_getter",()=>{ return UnityEngine.ApplicationInstallMode.Adhoc;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationInstallMode_Enterprise_getter",()=>{ return UnityEngine.ApplicationInstallMode.Enterprise;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationInstallMode_Editor_getter",()=>{ return UnityEngine.ApplicationInstallMode.Editor;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ApplicationInstallMode_buildin.unityengine_ApplicationInstallMode_operator_bitOr","unityengine_ApplicationInstallMode_operator_bitOr");
		}

		public class unityengine_ApplicationInstallMode_ctor : NativeConstParameterFunction
		{
			public unityengine_ApplicationInstallMode_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ApplicationInstallMode_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ApplicationInstallMode_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ApplicationInstallMode_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ApplicationInstallMode_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ApplicationInstallMode ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.ApplicationInstallMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.ApplicationInstallMode)argObj.value;
				}

				UnityEngine.ApplicationInstallMode ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.ApplicationInstallMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.ApplicationInstallMode)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
