using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ApplicationSandboxType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ApplicationSandboxType_creator", default(UnityEngine.ApplicationSandboxType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ApplicationSandboxType_buildin.unityengine_ApplicationSandboxType_ctor","unityengine_ApplicationSandboxType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationSandboxType_Unknown_getter",()=>{ return UnityEngine.ApplicationSandboxType.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationSandboxType_NotSandboxed_getter",()=>{ return UnityEngine.ApplicationSandboxType.NotSandboxed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationSandboxType_Sandboxed_getter",()=>{ return UnityEngine.ApplicationSandboxType.Sandboxed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ApplicationSandboxType_SandboxBroken_getter",()=>{ return UnityEngine.ApplicationSandboxType.SandboxBroken;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ApplicationSandboxType_buildin.unityengine_ApplicationSandboxType_operator_bitOr","unityengine_ApplicationSandboxType_operator_bitOr");
		}

		public class unityengine_ApplicationSandboxType_ctor : NativeConstParameterFunction
		{
			public unityengine_ApplicationSandboxType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ApplicationSandboxType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ApplicationSandboxType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ApplicationSandboxType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ApplicationSandboxType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ApplicationSandboxType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.ApplicationSandboxType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.ApplicationSandboxType)argObj.value;
				}

				UnityEngine.ApplicationSandboxType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.ApplicationSandboxType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.ApplicationSandboxType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
