using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_AvatarTarget_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_AvatarTarget_creator", default(UnityEngine.AvatarTarget)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_AvatarTarget_buildin.unityengine_AvatarTarget_ctor","unityengine_AvatarTarget_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AvatarTarget_Root_getter",()=>{ return UnityEngine.AvatarTarget.Root;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AvatarTarget_Body_getter",()=>{ return UnityEngine.AvatarTarget.Body;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AvatarTarget_LeftFoot_getter",()=>{ return UnityEngine.AvatarTarget.LeftFoot;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AvatarTarget_RightFoot_getter",()=>{ return UnityEngine.AvatarTarget.RightFoot;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AvatarTarget_LeftHand_getter",()=>{ return UnityEngine.AvatarTarget.LeftHand;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_AvatarTarget_RightHand_getter",()=>{ return UnityEngine.AvatarTarget.RightHand;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_AvatarTarget_buildin.unityengine_AvatarTarget_operator_bitOr","unityengine_AvatarTarget_operator_bitOr");
		}

		public class unityengine_AvatarTarget_ctor : NativeConstParameterFunction
		{
			public unityengine_AvatarTarget_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_AvatarTarget_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_AvatarTarget_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_AvatarTarget_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_AvatarTarget_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.AvatarTarget ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.AvatarTarget);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.AvatarTarget)argObj.value;
				}

				UnityEngine.AvatarTarget ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.AvatarTarget);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.AvatarTarget)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
