using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ConnectionTesterStatus_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ConnectionTesterStatus_creator", default(UnityEngine.ConnectionTesterStatus)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ConnectionTesterStatus_buildin.unityengine_ConnectionTesterStatus_ctor","unityengine_ConnectionTesterStatus_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_Error_getter",()=>{ return UnityEngine.ConnectionTesterStatus.Error;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_Undetermined_getter",()=>{ return UnityEngine.ConnectionTesterStatus.Undetermined;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_PublicIPIsConnectable_getter",()=>{ return UnityEngine.ConnectionTesterStatus.PublicIPIsConnectable;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_PublicIPPortBlocked_getter",()=>{ return UnityEngine.ConnectionTesterStatus.PublicIPPortBlocked;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_PublicIPNoServerStarted_getter",()=>{ return UnityEngine.ConnectionTesterStatus.PublicIPNoServerStarted;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_LimitedNATPunchthroughPortRestricted_getter",()=>{ return UnityEngine.ConnectionTesterStatus.LimitedNATPunchthroughPortRestricted;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_LimitedNATPunchthroughSymmetric_getter",()=>{ return UnityEngine.ConnectionTesterStatus.LimitedNATPunchthroughSymmetric;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_NATpunchthroughFullCone_getter",()=>{ return UnityEngine.ConnectionTesterStatus.NATpunchthroughFullCone;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ConnectionTesterStatus_NATpunchthroughAddressRestrictedCone_getter",()=>{ return UnityEngine.ConnectionTesterStatus.NATpunchthroughAddressRestrictedCone;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ConnectionTesterStatus_buildin.unityengine_ConnectionTesterStatus_operator_bitOr","unityengine_ConnectionTesterStatus_operator_bitOr");
		}

		public class unityengine_ConnectionTesterStatus_ctor : NativeConstParameterFunction
		{
			public unityengine_ConnectionTesterStatus_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ConnectionTesterStatus_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ConnectionTesterStatus_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ConnectionTesterStatus_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ConnectionTesterStatus_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ConnectionTesterStatus ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.ConnectionTesterStatus);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.ConnectionTesterStatus)argObj.value;
				}

				UnityEngine.ConnectionTesterStatus ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.ConnectionTesterStatus);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.ConnectionTesterStatus)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
