using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_FilterMode_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_FilterMode_creator", default(UnityEngine.FilterMode)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_FilterMode_buildin.unityengine_FilterMode_ctor","unityengine_FilterMode_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_FilterMode_Point_getter",()=>{ return UnityEngine.FilterMode.Point;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_FilterMode_Bilinear_getter",()=>{ return UnityEngine.FilterMode.Bilinear;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_FilterMode_Trilinear_getter",()=>{ return UnityEngine.FilterMode.Trilinear;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_FilterMode_buildin.unityengine_FilterMode_operator_bitOr","unityengine_FilterMode_operator_bitOr");
		}

		public class unityengine_FilterMode_ctor : NativeConstParameterFunction
		{
			public unityengine_FilterMode_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_FilterMode_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_FilterMode_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_FilterMode_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_FilterMode_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.FilterMode ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.FilterMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.FilterMode)argObj.value;
				}

				UnityEngine.FilterMode ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.FilterMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.FilterMode)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
