using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ForceMode_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ForceMode_creator", default(UnityEngine.ForceMode)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ForceMode_buildin.unityengine_ForceMode_ctor","unityengine_ForceMode_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ForceMode_Force_getter",()=>{ return UnityEngine.ForceMode.Force;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ForceMode_Acceleration_getter",()=>{ return UnityEngine.ForceMode.Acceleration;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ForceMode_Impulse_getter",()=>{ return UnityEngine.ForceMode.Impulse;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ForceMode_VelocityChange_getter",()=>{ return UnityEngine.ForceMode.VelocityChange;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ForceMode_buildin.unityengine_ForceMode_operator_bitOr","unityengine_ForceMode_operator_bitOr");
		}

		public class unityengine_ForceMode_ctor : NativeConstParameterFunction
		{
			public unityengine_ForceMode_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ForceMode_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ForceMode_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ForceMode_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ForceMode_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ForceMode ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.ForceMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.ForceMode)argObj.value;
				}

				UnityEngine.ForceMode ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.ForceMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.ForceMode)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
