using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_JointSpring_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_JointSpring_creator", default(UnityEngine.JointSpring)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_ctor","unityengine_JointSpring_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_spring_getter","unityengine_JointSpring_spring_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_spring_setter","unityengine_JointSpring_spring_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_damper_getter","unityengine_JointSpring_damper_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_damper_setter","unityengine_JointSpring_damper_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_targetPosition_getter","unityengine_JointSpring_targetPosition_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_JointSpring_buildin.unityengine_JointSpring_targetPosition_setter","unityengine_JointSpring_targetPosition_setter");
		}


		public class unityengine_JointSpring_ctor : NativeConstParameterFunction
		{
			public unityengine_JointSpring_ctor() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{

					((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.JointSpring();
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_JointSpring_spring_getter : NativeConstParameterFunction
		{
			public unityengine_JointSpring_spring_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_spring_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.JointSpring _this =
					(UnityEngine.JointSpring)((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.spring					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_JointSpring_spring_setter : NativeConstParameterFunction
		{
			public unityengine_JointSpring_spring_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_spring_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.JointSpring _this =
					(UnityEngine.JointSpring)((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.spring = (System.Single)arg0;
					((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_JointSpring_damper_getter : NativeConstParameterFunction
		{
			public unityengine_JointSpring_damper_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_damper_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.JointSpring _this =
					(UnityEngine.JointSpring)((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.damper					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_JointSpring_damper_setter : NativeConstParameterFunction
		{
			public unityengine_JointSpring_damper_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_damper_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.JointSpring _this =
					(UnityEngine.JointSpring)((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.damper = (System.Single)arg0;
					((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_JointSpring_targetPosition_getter : NativeConstParameterFunction
		{
			public unityengine_JointSpring_targetPosition_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_targetPosition_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.JointSpring _this =
					(UnityEngine.JointSpring)((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.targetPosition					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_JointSpring_targetPosition_setter : NativeConstParameterFunction
		{
			public unityengine_JointSpring_targetPosition_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_JointSpring_targetPosition_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.JointSpring _this =
					(UnityEngine.JointSpring)((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.targetPosition = (System.Single)arg0;
					((LinkObj<UnityEngine.JointSpring>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
