using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_LOD_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_LOD_creator", default(UnityEngine.LOD)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_ctor","unityengine_LOD_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_screenRelativeTransitionHeight_getter","unityengine_LOD_screenRelativeTransitionHeight_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_screenRelativeTransitionHeight_setter","unityengine_LOD_screenRelativeTransitionHeight_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_fadeTransitionWidth_getter","unityengine_LOD_fadeTransitionWidth_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_fadeTransitionWidth_setter","unityengine_LOD_fadeTransitionWidth_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_renderers_getter","unityengine_LOD_renderers_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_LOD_buildin.unityengine_LOD_renderers_setter","unityengine_LOD_renderers_setter");
		}


		public class unityengine_LOD_ctor : NativeConstParameterFunction
		{
			public unityengine_LOD_ctor() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);
					UnityEngine.Renderer[] arg1;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[1],

							stackframe.player.linktypemapper.getLinkType(argements[1].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[1].rtType,

								functionDefine.signature.parameters[1].type
								);
							success = false;
							return;
						}
						arg1 = (UnityEngine.Renderer[])_temp;
					}

					((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.LOD((System.Single)arg0,(UnityEngine.Renderer[])arg1);
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_LOD_screenRelativeTransitionHeight_getter : NativeConstParameterFunction
		{
			public unityengine_LOD_screenRelativeTransitionHeight_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_screenRelativeTransitionHeight_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.LOD _this =
					(UnityEngine.LOD)((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.screenRelativeTransitionHeight					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_LOD_screenRelativeTransitionHeight_setter : NativeConstParameterFunction
		{
			public unityengine_LOD_screenRelativeTransitionHeight_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_screenRelativeTransitionHeight_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.LOD _this =
					(UnityEngine.LOD)((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.screenRelativeTransitionHeight = (System.Single)arg0;
					((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_LOD_fadeTransitionWidth_getter : NativeConstParameterFunction
		{
			public unityengine_LOD_fadeTransitionWidth_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_fadeTransitionWidth_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.LOD _this =
					(UnityEngine.LOD)((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.fadeTransitionWidth					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_LOD_fadeTransitionWidth_setter : NativeConstParameterFunction
		{
			public unityengine_LOD_fadeTransitionWidth_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_fadeTransitionWidth_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.LOD _this =
					(UnityEngine.LOD)((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.fadeTransitionWidth = (System.Single)arg0;
					((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_LOD_renderers_getter : NativeConstParameterFunction
		{
			public unityengine_LOD_renderers_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_renderers_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.LOD _this =
					(UnityEngine.LOD)((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					object _result_ = _this.renderers					;
					stackframe.player.linktypemapper.storeLinkObject_ToSlot(_result_, functionDefine.signature.returnType, returnSlot, bin, stackframe.player);

					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_LOD_renderers_setter : NativeConstParameterFunction
		{
			public unityengine_LOD_renderers_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_LOD_renderers_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.LOD _this =
					(UnityEngine.LOD)((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					UnityEngine.Renderer[] arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.Renderer[])_temp;
					}

					_this.renderers = (UnityEngine.Renderer[])arg0;
					((LinkObj<UnityEngine.LOD>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
