using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_MasterServerEvent_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_MasterServerEvent_creator", default(UnityEngine.MasterServerEvent)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_MasterServerEvent_buildin.unityengine_MasterServerEvent_ctor","unityengine_MasterServerEvent_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MasterServerEvent_RegistrationFailedGameName_getter",()=>{ return UnityEngine.MasterServerEvent.RegistrationFailedGameName;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MasterServerEvent_RegistrationFailedGameType_getter",()=>{ return UnityEngine.MasterServerEvent.RegistrationFailedGameType;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MasterServerEvent_RegistrationFailedNoServer_getter",()=>{ return UnityEngine.MasterServerEvent.RegistrationFailedNoServer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MasterServerEvent_RegistrationSucceeded_getter",()=>{ return UnityEngine.MasterServerEvent.RegistrationSucceeded;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MasterServerEvent_HostListReceived_getter",()=>{ return UnityEngine.MasterServerEvent.HostListReceived;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_MasterServerEvent_buildin.unityengine_MasterServerEvent_operator_bitOr","unityengine_MasterServerEvent_operator_bitOr");
		}

		public class unityengine_MasterServerEvent_ctor : NativeConstParameterFunction
		{
			public unityengine_MasterServerEvent_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_MasterServerEvent_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_MasterServerEvent_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_MasterServerEvent_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_MasterServerEvent_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.MasterServerEvent ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.MasterServerEvent);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.MasterServerEvent)argObj.value;
				}

				UnityEngine.MasterServerEvent ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.MasterServerEvent);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.MasterServerEvent)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
