using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_NetworkConnectionError_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_NetworkConnectionError_creator", default(UnityEngine.NetworkConnectionError)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_NetworkConnectionError_buildin.unityengine_NetworkConnectionError_ctor","unityengine_NetworkConnectionError_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_NoError_getter",()=>{ return UnityEngine.NetworkConnectionError.NoError;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_RSAPublicKeyMismatch_getter",()=>{ return UnityEngine.NetworkConnectionError.RSAPublicKeyMismatch;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_InvalidPassword_getter",()=>{ return UnityEngine.NetworkConnectionError.InvalidPassword;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_ConnectionFailed_getter",()=>{ return UnityEngine.NetworkConnectionError.ConnectionFailed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_TooManyConnectedPlayers_getter",()=>{ return UnityEngine.NetworkConnectionError.TooManyConnectedPlayers;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_ConnectionBanned_getter",()=>{ return UnityEngine.NetworkConnectionError.ConnectionBanned;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_AlreadyConnectedToServer_getter",()=>{ return UnityEngine.NetworkConnectionError.AlreadyConnectedToServer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_AlreadyConnectedToAnotherServer_getter",()=>{ return UnityEngine.NetworkConnectionError.AlreadyConnectedToAnotherServer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_CreateSocketOrThreadFailure_getter",()=>{ return UnityEngine.NetworkConnectionError.CreateSocketOrThreadFailure;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_IncorrectParameters_getter",()=>{ return UnityEngine.NetworkConnectionError.IncorrectParameters;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_EmptyConnectTarget_getter",()=>{ return UnityEngine.NetworkConnectionError.EmptyConnectTarget;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_InternalDirectConnectFailed_getter",()=>{ return UnityEngine.NetworkConnectionError.InternalDirectConnectFailed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_NATTargetNotConnected_getter",()=>{ return UnityEngine.NetworkConnectionError.NATTargetNotConnected;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_NATTargetConnectionLost_getter",()=>{ return UnityEngine.NetworkConnectionError.NATTargetConnectionLost;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkConnectionError_NATPunchthroughFailed_getter",()=>{ return UnityEngine.NetworkConnectionError.NATPunchthroughFailed;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_NetworkConnectionError_buildin.unityengine_NetworkConnectionError_operator_bitOr","unityengine_NetworkConnectionError_operator_bitOr");
		}

		public class unityengine_NetworkConnectionError_ctor : NativeConstParameterFunction
		{
			public unityengine_NetworkConnectionError_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_NetworkConnectionError_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_NetworkConnectionError_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_NetworkConnectionError_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_NetworkConnectionError_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.NetworkConnectionError ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.NetworkConnectionError);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.NetworkConnectionError)argObj.value;
				}

				UnityEngine.NetworkConnectionError ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.NetworkConnectionError);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.NetworkConnectionError)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
