using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ProceduralOutputType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ProceduralOutputType_creator", default(UnityEngine.ProceduralOutputType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ProceduralOutputType_buildin.unityengine_ProceduralOutputType_ctor","unityengine_ProceduralOutputType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Unknown_getter",()=>{ return UnityEngine.ProceduralOutputType.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Diffuse_getter",()=>{ return UnityEngine.ProceduralOutputType.Diffuse;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Normal_getter",()=>{ return UnityEngine.ProceduralOutputType.Normal;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Height_getter",()=>{ return UnityEngine.ProceduralOutputType.Height;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Emissive_getter",()=>{ return UnityEngine.ProceduralOutputType.Emissive;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Specular_getter",()=>{ return UnityEngine.ProceduralOutputType.Specular;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Opacity_getter",()=>{ return UnityEngine.ProceduralOutputType.Opacity;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Smoothness_getter",()=>{ return UnityEngine.ProceduralOutputType.Smoothness;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_AmbientOcclusion_getter",()=>{ return UnityEngine.ProceduralOutputType.AmbientOcclusion;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_DetailMask_getter",()=>{ return UnityEngine.ProceduralOutputType.DetailMask;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Metallic_getter",()=>{ return UnityEngine.ProceduralOutputType.Metallic;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ProceduralOutputType_Roughness_getter",()=>{ return UnityEngine.ProceduralOutputType.Roughness;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ProceduralOutputType_buildin.unityengine_ProceduralOutputType_operator_bitOr","unityengine_ProceduralOutputType_operator_bitOr");
		}

		public class unityengine_ProceduralOutputType_ctor : NativeConstParameterFunction
		{
			public unityengine_ProceduralOutputType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ProceduralOutputType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ProceduralOutputType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ProceduralOutputType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ProceduralOutputType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ProceduralOutputType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.ProceduralOutputType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.ProceduralOutputType)argObj.value;
				}

				UnityEngine.ProceduralOutputType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.ProceduralOutputType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.ProceduralOutputType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
