using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_RectInt_PositionEnumerator_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_RectInt_PositionEnumerator_creator", default(UnityEngine.RectInt.PositionEnumerator)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RectInt_PositionEnumerator_buildin.unityengine_RectInt_PositionEnumerator_ctor","unityengine_RectInt_PositionEnumerator_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RectInt_PositionEnumerator_buildin.unityengine_RectInt_PositionEnumerator_getEnumerator","unityengine_RectInt_PositionEnumerator_getEnumerator");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RectInt_PositionEnumerator_buildin.unityengine_RectInt_PositionEnumerator_get_Current","unityengine_RectInt_PositionEnumerator_get_Current");
		}


		public class unityengine_RectInt_PositionEnumerator_ctor : NativeConstParameterFunction
		{
			public unityengine_RectInt_PositionEnumerator_ctor() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RectInt_PositionEnumerator_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{
					UnityEngine.Vector2Int arg0;

					if (argements[0].rtType == RunTimeDataType.rt_null)
					{
						arg0 = default(UnityEngine.Vector2Int);
					}
					else
					{
						LinkObj<UnityEngine.Vector2Int> argObj = (LinkObj<UnityEngine.Vector2Int>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
						arg0 = argObj.value;
					}
					UnityEngine.Vector2Int arg1;

					if (argements[1].rtType == RunTimeDataType.rt_null)
					{
						arg1 = default(UnityEngine.Vector2Int);
					}
					else
					{
						LinkObj<UnityEngine.Vector2Int> argObj = (LinkObj<UnityEngine.Vector2Int>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
						arg1 = argObj.value;
					}

					((LinkObj<UnityEngine.RectInt.PositionEnumerator>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.RectInt.PositionEnumerator((UnityEngine.Vector2Int)arg0,(UnityEngine.Vector2Int)arg1);
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_RectInt_PositionEnumerator_getEnumerator : NativeConstParameterFunction,IMethodGetter
		{
			public unityengine_RectInt_PositionEnumerator_getEnumerator() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RectInt_PositionEnumerator_getEnumerator";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.RectInt.PositionEnumerator _this =
					(UnityEngine.RectInt.PositionEnumerator)((LinkObj<UnityEngine.RectInt.PositionEnumerator>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					UnityEngine.RectInt.PositionEnumerator _result_ = _this.GetEnumerator()
					;
					((StackSlot)returnSlot).setLinkObjectValue(bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, _result_);
					((LinkObj<UnityEngine.RectInt.PositionEnumerator>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(UnityEngine.RectInt.PositionEnumerator).GetMethod("GetEnumerator",Type.EmptyTypes);;
				}
				return method;
			}

		}

		public class unityengine_RectInt_PositionEnumerator_get_Current : NativeConstParameterFunction
		{
			public unityengine_RectInt_PositionEnumerator_get_Current() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RectInt_PositionEnumerator_get_Current";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.RectInt.PositionEnumerator _this =
					(UnityEngine.RectInt.PositionEnumerator)((LinkObj<UnityEngine.RectInt.PositionEnumerator>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					UnityEngine.Vector2Int _result_ = _this.Current
					;
					((StackSlot)returnSlot).setLinkObjectValue(bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, _result_);
					((LinkObj<UnityEngine.RectInt.PositionEnumerator>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
