using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_RenderBuffer_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_RenderBuffer_creator", default(UnityEngine.RenderBuffer)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RenderBuffer_buildin.unityengine_RenderBuffer_ctor","unityengine_RenderBuffer_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RenderBuffer_buildin.unityengine_RenderBuffer_getNativeRenderBufferPtr","unityengine_RenderBuffer_getNativeRenderBufferPtr");
		}


		public class unityengine_RenderBuffer_ctor : NativeConstParameterFunction
		{
			public unityengine_RenderBuffer_ctor() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RenderBuffer_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{

					((LinkObj<UnityEngine.RenderBuffer>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.RenderBuffer();
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_RenderBuffer_getNativeRenderBufferPtr : NativeConstParameterFunction,IMethodGetter
		{
			public unityengine_RenderBuffer_getNativeRenderBufferPtr() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RenderBuffer_getNativeRenderBufferPtr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.RenderBuffer _this =
					(UnityEngine.RenderBuffer)((LinkObj<UnityEngine.RenderBuffer>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					System.IntPtr _result_ = _this.GetNativeRenderBufferPtr()
					;
					((StackSlot)returnSlot).setLinkObjectValue(bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, _result_);
					((LinkObj<UnityEngine.RenderBuffer>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(UnityEngine.RenderBuffer).GetMethod("GetNativeRenderBufferPtr",Type.EmptyTypes);;
				}
				return method;
			}

		}

	}
}
