using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_RigidbodyConstraints_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_RigidbodyConstraints_creator", default(UnityEngine.RigidbodyConstraints)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RigidbodyConstraints_buildin.unityengine_RigidbodyConstraints_ctor","unityengine_RigidbodyConstraints_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_None_getter",()=>{ return UnityEngine.RigidbodyConstraints.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezePositionX_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezePositionX;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezePositionY_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezePositionY;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezePositionZ_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezePositionZ;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezeRotationX_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezeRotationX;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezeRotationY_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezeRotationY;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezeRotationZ_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezeRotationZ;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezePosition_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezePosition;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezeRotation_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezeRotation;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RigidbodyConstraints_FreezeAll_getter",()=>{ return UnityEngine.RigidbodyConstraints.FreezeAll;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RigidbodyConstraints_buildin.unityengine_RigidbodyConstraints_operator_bitOr","unityengine_RigidbodyConstraints_operator_bitOr");
		}

		public class unityengine_RigidbodyConstraints_ctor : NativeConstParameterFunction
		{
			public unityengine_RigidbodyConstraints_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RigidbodyConstraints_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_RigidbodyConstraints_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_RigidbodyConstraints_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RigidbodyConstraints_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.RigidbodyConstraints ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.RigidbodyConstraints);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.RigidbodyConstraints)argObj.value;
				}

				UnityEngine.RigidbodyConstraints ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.RigidbodyConstraints);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.RigidbodyConstraints)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
