using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ShaderVariantCollection_ShaderVariant_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ShaderVariantCollection_ShaderVariant_creator", default(UnityEngine.ShaderVariantCollection.ShaderVariant)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_ctor","unityengine_ShaderVariantCollection_ShaderVariant_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_shader_getter","unityengine_ShaderVariantCollection_ShaderVariant_shader_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_shader_setter","unityengine_ShaderVariantCollection_ShaderVariant_shader_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_passType_getter","unityengine_ShaderVariantCollection_ShaderVariant_passType_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_passType_setter","unityengine_ShaderVariantCollection_ShaderVariant_passType_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_keywords_getter","unityengine_ShaderVariantCollection_ShaderVariant_keywords_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ShaderVariantCollection_ShaderVariant_buildin.unityengine_ShaderVariantCollection_ShaderVariant_keywords_setter","unityengine_ShaderVariantCollection_ShaderVariant_keywords_setter");
		}


		public class unityengine_ShaderVariantCollection_ShaderVariant_ctor : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_ctor() : base(3)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{
					UnityEngine.Shader arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.Shader)_temp;
					}
					UnityEngine.Rendering.PassType arg1;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[1],

							stackframe.player.linktypemapper.getLinkType(argements[1].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[1].rtType,

								functionDefine.signature.parameters[1].type
								);
							success = false;
							return;
						}
						arg1 = (UnityEngine.Rendering.PassType)_temp;
					}
					System.String[] arg2;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[2],

							stackframe.player.linktypemapper.getLinkType(argements[2].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[2].rtType,

								functionDefine.signature.parameters[2].type
								);
							success = false;
							return;
						}
						arg2 = (System.String[])_temp;
					}

					((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.ShaderVariantCollection.ShaderVariant((UnityEngine.Shader)arg0,(UnityEngine.Rendering.PassType)arg1,(System.String[])arg2);
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ShaderVariantCollection_ShaderVariant_shader_getter : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_shader_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_shader_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.ShaderVariantCollection.ShaderVariant _this =
					(UnityEngine.ShaderVariantCollection.ShaderVariant)((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					object _result_ = _this.shader					;
					stackframe.player.linktypemapper.storeLinkObject_ToSlot(_result_, functionDefine.signature.returnType, returnSlot, bin, stackframe.player);

					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ShaderVariantCollection_ShaderVariant_shader_setter : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_shader_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_shader_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ShaderVariantCollection.ShaderVariant _this =
					(UnityEngine.ShaderVariantCollection.ShaderVariant)((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					UnityEngine.Shader arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.Shader)_temp;
					}

					_this.shader = (UnityEngine.Shader)arg0;
					((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ShaderVariantCollection_ShaderVariant_passType_getter : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_passType_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_passType_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.ShaderVariantCollection.ShaderVariant _this =
					(UnityEngine.ShaderVariantCollection.ShaderVariant)((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					UnityEngine.Rendering.PassType _result_ = _this.passType					;
					((StackSlot)returnSlot).setLinkObjectValue(bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, _result_);

					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ShaderVariantCollection_ShaderVariant_passType_setter : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_passType_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_passType_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ShaderVariantCollection.ShaderVariant _this =
					(UnityEngine.ShaderVariantCollection.ShaderVariant)((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					UnityEngine.Rendering.PassType arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.Rendering.PassType)_temp;
					}

					_this.passType = (UnityEngine.Rendering.PassType)arg0;
					((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ShaderVariantCollection_ShaderVariant_keywords_getter : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_keywords_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_keywords_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.ShaderVariantCollection.ShaderVariant _this =
					(UnityEngine.ShaderVariantCollection.ShaderVariant)((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					object _result_ = _this.keywords					;
					stackframe.player.linktypemapper.storeLinkObject_ToSlot(_result_, functionDefine.signature.returnType, returnSlot, bin, stackframe.player);

					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ShaderVariantCollection_ShaderVariant_keywords_setter : NativeConstParameterFunction
		{
			public unityengine_ShaderVariantCollection_ShaderVariant_keywords_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ShaderVariantCollection_ShaderVariant_keywords_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ShaderVariantCollection.ShaderVariant _this =
					(UnityEngine.ShaderVariantCollection.ShaderVariant)((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					System.String[] arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (System.String[])_temp;
					}

					_this.keywords = (System.String[])arg0;
					((LinkObj<UnityEngine.ShaderVariantCollection.ShaderVariant>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
