using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_TextAnchor_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_TextAnchor_creator", default(UnityEngine.TextAnchor)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_TextAnchor_buildin.unityengine_TextAnchor_ctor","unityengine_TextAnchor_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_UpperLeft_getter",()=>{ return UnityEngine.TextAnchor.UpperLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_UpperCenter_getter",()=>{ return UnityEngine.TextAnchor.UpperCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_UpperRight_getter",()=>{ return UnityEngine.TextAnchor.UpperRight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_MiddleLeft_getter",()=>{ return UnityEngine.TextAnchor.MiddleLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_MiddleCenter_getter",()=>{ return UnityEngine.TextAnchor.MiddleCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_MiddleRight_getter",()=>{ return UnityEngine.TextAnchor.MiddleRight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_LowerLeft_getter",()=>{ return UnityEngine.TextAnchor.LowerLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_LowerCenter_getter",()=>{ return UnityEngine.TextAnchor.LowerCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_TextAnchor_LowerRight_getter",()=>{ return UnityEngine.TextAnchor.LowerRight;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_TextAnchor_buildin.unityengine_TextAnchor_operator_bitOr","unityengine_TextAnchor_operator_bitOr");
		}

		public class unityengine_TextAnchor_ctor : NativeConstParameterFunction
		{
			public unityengine_TextAnchor_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_TextAnchor_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_TextAnchor_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_TextAnchor_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_TextAnchor_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.TextAnchor ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.TextAnchor);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.TextAnchor)argObj.value;
				}

				UnityEngine.TextAnchor ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.TextAnchor);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.TextAnchor)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
