using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_UICharInfo_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_UICharInfo_creator", default(UnityEngine.UICharInfo)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_UICharInfo_buildin.unityengine_UICharInfo_ctor","unityengine_UICharInfo_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_UICharInfo_buildin.unityengine_UICharInfo_cursorPos_getter","unityengine_UICharInfo_cursorPos_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_UICharInfo_buildin.unityengine_UICharInfo_cursorPos_setter","unityengine_UICharInfo_cursorPos_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_UICharInfo_buildin.unityengine_UICharInfo_charWidth_getter","unityengine_UICharInfo_charWidth_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_UICharInfo_buildin.unityengine_UICharInfo_charWidth_setter","unityengine_UICharInfo_charWidth_setter");
		}


		public class unityengine_UICharInfo_ctor : NativeConstParameterFunction
		{
			public unityengine_UICharInfo_ctor() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_UICharInfo_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{

					((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.UICharInfo();
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_UICharInfo_cursorPos_getter : NativeConstParameterFunction
		{
			public unityengine_UICharInfo_cursorPos_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_UICharInfo_cursorPos_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UICharInfo _this =
					(UnityEngine.UICharInfo)((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					UnityEngine.Vector2 _result_ = _this.cursorPos					;
					((StackSlot)returnSlot).setLinkObjectValue(bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, _result_);

					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_UICharInfo_cursorPos_setter : NativeConstParameterFunction
		{
			public unityengine_UICharInfo_cursorPos_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_UICharInfo_cursorPos_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.UICharInfo _this =
					(UnityEngine.UICharInfo)((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					UnityEngine.Vector2 arg0;

					if (argements[0].rtType == RunTimeDataType.rt_null)
					{
						arg0 = default(UnityEngine.Vector2);
					}
					else
					{
						LinkObj<UnityEngine.Vector2> argObj = (LinkObj<UnityEngine.Vector2>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
						arg0 = argObj.value;
					}

					_this.cursorPos = (UnityEngine.Vector2)arg0;
					((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_UICharInfo_charWidth_getter : NativeConstParameterFunction
		{
			public unityengine_UICharInfo_charWidth_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_UICharInfo_charWidth_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UICharInfo _this =
					(UnityEngine.UICharInfo)((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.charWidth					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_UICharInfo_charWidth_setter : NativeConstParameterFunction
		{
			public unityengine_UICharInfo_charWidth_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_UICharInfo_charWidth_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.UICharInfo _this =
					(UnityEngine.UICharInfo)((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.charWidth = (System.Single)arg0;
					((LinkObj<UnityEngine.UICharInfo>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
