using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_WheelFrictionCurve_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_WheelFrictionCurve_creator", default(UnityEngine.WheelFrictionCurve)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_ctor","unityengine_WheelFrictionCurve_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_get_extremumSlip","unityengine_WheelFrictionCurve_get_extremumSlip");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_set_extremumSlip","unityengine_WheelFrictionCurve_set_extremumSlip");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_get_extremumValue","unityengine_WheelFrictionCurve_get_extremumValue");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_set_extremumValue","unityengine_WheelFrictionCurve_set_extremumValue");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_get_asymptoteSlip","unityengine_WheelFrictionCurve_get_asymptoteSlip");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_set_asymptoteSlip","unityengine_WheelFrictionCurve_set_asymptoteSlip");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_get_asymptoteValue","unityengine_WheelFrictionCurve_get_asymptoteValue");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_set_asymptoteValue","unityengine_WheelFrictionCurve_set_asymptoteValue");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_get_stiffness","unityengine_WheelFrictionCurve_get_stiffness");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_WheelFrictionCurve_buildin.unityengine_WheelFrictionCurve_set_stiffness","unityengine_WheelFrictionCurve_set_stiffness");
		}


		public class unityengine_WheelFrictionCurve_ctor : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_ctor() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{

					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.WheelFrictionCurve();
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_get_extremumSlip : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_get_extremumSlip() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_get_extremumSlip";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					double _result_ = (double)(_this.extremumSlip
					)
					;
					returnSlot.setValue(_result_);

					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_set_extremumSlip : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_set_extremumSlip() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_set_extremumSlip";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.extremumSlip = (System.Single)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_get_extremumValue : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_get_extremumValue() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_get_extremumValue";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					double _result_ = (double)(_this.extremumValue
					)
					;
					returnSlot.setValue(_result_);

					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_set_extremumValue : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_set_extremumValue() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_set_extremumValue";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.extremumValue = (System.Single)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_get_asymptoteSlip : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_get_asymptoteSlip() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_get_asymptoteSlip";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					double _result_ = (double)(_this.asymptoteSlip
					)
					;
					returnSlot.setValue(_result_);

					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_set_asymptoteSlip : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_set_asymptoteSlip() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_set_asymptoteSlip";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.asymptoteSlip = (System.Single)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_get_asymptoteValue : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_get_asymptoteValue() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_get_asymptoteValue";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					double _result_ = (double)(_this.asymptoteValue
					)
					;
					returnSlot.setValue(_result_);

					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_set_asymptoteValue : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_set_asymptoteValue() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_set_asymptoteValue";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.asymptoteValue = (System.Single)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_get_stiffness : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_get_stiffness() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_get_stiffness";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{

					double _result_ = (double)(_this.stiffness
					)
					;
					returnSlot.setValue(_result_);

					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_WheelFrictionCurve_set_stiffness : NativeConstParameterFunction
		{
			public unityengine_WheelFrictionCurve_set_stiffness() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_WheelFrictionCurve_set_stiffness";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.WheelFrictionCurve _this =
					(UnityEngine.WheelFrictionCurve)((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.stiffness = (System.Single)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					((LinkObj<UnityEngine.WheelFrictionCurve>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
