using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_events_UnityEvent_Of_Vector2_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_events_UnityEvent_Of_Vector2_creator", default(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_events_UnityEvent_Of_Vector2_buildin.unityengine_events_UnityEvent_Of_Vector2_addListener","unityengine_events_UnityEvent_Of_Vector2_addListener");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_events_UnityEvent_Of_Vector2_buildin.unityengine_events_UnityEvent_Of_Vector2_removeListener","unityengine_events_UnityEvent_Of_Vector2_removeListener");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_events_UnityEvent_Of_Vector2_buildin.unityengine_events_UnityEvent_Of_Vector2_invoke","unityengine_events_UnityEvent_Of_Vector2_invoke");
		}


		public class unityengine_events_UnityEvent_Of_Vector2_addListener : NativeConstParameterFunction,IMethodGetter
		{
			public unityengine_events_UnityEvent_Of_Vector2_addListener() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_events_UnityEvent_Of_Vector2_addListener";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.Events.UnityEvent<UnityEngine.Vector2> _this =
					(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					UnityEngine.Events.UnityAction<UnityEngine.Vector2> arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.Events.UnityAction<UnityEngine.Vector2>)_temp;
					}

					_this.AddListener((UnityEngine.Events.UnityAction<UnityEngine.Vector2>)arg0)
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>).GetMethod("AddListener",new Type[] {typeof(UnityEngine.Events.UnityAction<UnityEngine.Vector2>)});;
				}
				return method;
			}

		}

		public class unityengine_events_UnityEvent_Of_Vector2_removeListener : NativeConstParameterFunction,IMethodGetter
		{
			public unityengine_events_UnityEvent_Of_Vector2_removeListener() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_events_UnityEvent_Of_Vector2_removeListener";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.Events.UnityEvent<UnityEngine.Vector2> _this =
					(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					UnityEngine.Events.UnityAction<UnityEngine.Vector2> arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.Events.UnityAction<UnityEngine.Vector2>)_temp;
					}

					_this.RemoveListener((UnityEngine.Events.UnityAction<UnityEngine.Vector2>)arg0)
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>).GetMethod("RemoveListener",new Type[] {typeof(UnityEngine.Events.UnityAction<UnityEngine.Vector2>)});;
				}
				return method;
			}

		}

		public class unityengine_events_UnityEvent_Of_Vector2_invoke : NativeConstParameterFunction,IMethodGetter
		{
			public unityengine_events_UnityEvent_Of_Vector2_invoke() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_events_UnityEvent_Of_Vector2_invoke";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.Events.UnityEvent<UnityEngine.Vector2> _this =
					(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					UnityEngine.Vector2 arg0;

					if (argements[0].rtType == RunTimeDataType.rt_null)
					{
						arg0 = default(UnityEngine.Vector2);
					}
					else
					{
						LinkObj<UnityEngine.Vector2> argObj = (LinkObj<UnityEngine.Vector2>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
						arg0 = argObj.value;
					}

					_this.Invoke((UnityEngine.Vector2)arg0)
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(UnityEngine.Events.UnityEvent<UnityEngine.Vector2>).GetMethod("Invoke",new Type[] {typeof(UnityEngine.Vector2)});;
				}
				return method;
			}

		}

	}
}
