using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_rendering_BlendMode_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_rendering_BlendMode_creator", default(UnityEngine.Rendering.BlendMode)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_BlendMode_buildin.unityengine_rendering_BlendMode_ctor","unityengine_rendering_BlendMode_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_Zero_getter",()=>{ return UnityEngine.Rendering.BlendMode.Zero;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_One_getter",()=>{ return UnityEngine.Rendering.BlendMode.One;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_DstColor_getter",()=>{ return UnityEngine.Rendering.BlendMode.DstColor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_SrcColor_getter",()=>{ return UnityEngine.Rendering.BlendMode.SrcColor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_OneMinusDstColor_getter",()=>{ return UnityEngine.Rendering.BlendMode.OneMinusDstColor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_SrcAlpha_getter",()=>{ return UnityEngine.Rendering.BlendMode.SrcAlpha;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_OneMinusSrcColor_getter",()=>{ return UnityEngine.Rendering.BlendMode.OneMinusSrcColor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_DstAlpha_getter",()=>{ return UnityEngine.Rendering.BlendMode.DstAlpha;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_OneMinusDstAlpha_getter",()=>{ return UnityEngine.Rendering.BlendMode.OneMinusDstAlpha;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_SrcAlphaSaturate_getter",()=>{ return UnityEngine.Rendering.BlendMode.SrcAlphaSaturate;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_BlendMode_OneMinusSrcAlpha_getter",()=>{ return UnityEngine.Rendering.BlendMode.OneMinusSrcAlpha;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_BlendMode_buildin.unityengine_rendering_BlendMode_operator_bitOr","unityengine_rendering_BlendMode_operator_bitOr");
		}

		public class unityengine_rendering_BlendMode_ctor : NativeConstParameterFunction
		{
			public unityengine_rendering_BlendMode_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_BlendMode_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_rendering_BlendMode_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_rendering_BlendMode_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_BlendMode_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.Rendering.BlendMode ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.Rendering.BlendMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.Rendering.BlendMode)argObj.value;
				}

				UnityEngine.Rendering.BlendMode ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.Rendering.BlendMode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.Rendering.BlendMode)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
