using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_rendering_CompareFunction_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_rendering_CompareFunction_creator", default(UnityEngine.Rendering.CompareFunction)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_CompareFunction_buildin.unityengine_rendering_CompareFunction_ctor","unityengine_rendering_CompareFunction_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_Disabled_getter",()=>{ return UnityEngine.Rendering.CompareFunction.Disabled;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_Never_getter",()=>{ return UnityEngine.Rendering.CompareFunction.Never;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_Less_getter",()=>{ return UnityEngine.Rendering.CompareFunction.Less;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_Equal_getter",()=>{ return UnityEngine.Rendering.CompareFunction.Equal;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_LessEqual_getter",()=>{ return UnityEngine.Rendering.CompareFunction.LessEqual;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_Greater_getter",()=>{ return UnityEngine.Rendering.CompareFunction.Greater;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_NotEqual_getter",()=>{ return UnityEngine.Rendering.CompareFunction.NotEqual;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_GreaterEqual_getter",()=>{ return UnityEngine.Rendering.CompareFunction.GreaterEqual;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CompareFunction_Always_getter",()=>{ return UnityEngine.Rendering.CompareFunction.Always;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_CompareFunction_buildin.unityengine_rendering_CompareFunction_operator_bitOr","unityengine_rendering_CompareFunction_operator_bitOr");
		}

		public class unityengine_rendering_CompareFunction_ctor : NativeConstParameterFunction
		{
			public unityengine_rendering_CompareFunction_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_CompareFunction_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_rendering_CompareFunction_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_rendering_CompareFunction_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_CompareFunction_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.Rendering.CompareFunction ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.Rendering.CompareFunction);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.Rendering.CompareFunction)argObj.value;
				}

				UnityEngine.Rendering.CompareFunction ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.Rendering.CompareFunction);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.Rendering.CompareFunction)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
