using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_rendering_CopyTextureSupport_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_rendering_CopyTextureSupport_creator", default(UnityEngine.Rendering.CopyTextureSupport)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_CopyTextureSupport_buildin.unityengine_rendering_CopyTextureSupport_ctor","unityengine_rendering_CopyTextureSupport_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CopyTextureSupport_None_getter",()=>{ return UnityEngine.Rendering.CopyTextureSupport.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CopyTextureSupport_Basic_getter",()=>{ return UnityEngine.Rendering.CopyTextureSupport.Basic;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CopyTextureSupport_Copy3D_getter",()=>{ return UnityEngine.Rendering.CopyTextureSupport.Copy3D;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CopyTextureSupport_DifferentTypes_getter",()=>{ return UnityEngine.Rendering.CopyTextureSupport.DifferentTypes;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CopyTextureSupport_TextureToRT_getter",()=>{ return UnityEngine.Rendering.CopyTextureSupport.TextureToRT;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_CopyTextureSupport_RTToTexture_getter",()=>{ return UnityEngine.Rendering.CopyTextureSupport.RTToTexture;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_CopyTextureSupport_buildin.unityengine_rendering_CopyTextureSupport_operator_bitOr","unityengine_rendering_CopyTextureSupport_operator_bitOr");
		}

		public class unityengine_rendering_CopyTextureSupport_ctor : NativeConstParameterFunction
		{
			public unityengine_rendering_CopyTextureSupport_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_CopyTextureSupport_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_rendering_CopyTextureSupport_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_rendering_CopyTextureSupport_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_CopyTextureSupport_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.Rendering.CopyTextureSupport ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.Rendering.CopyTextureSupport);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.Rendering.CopyTextureSupport)argObj.value;
				}

				UnityEngine.Rendering.CopyTextureSupport ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.Rendering.CopyTextureSupport);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.Rendering.CopyTextureSupport)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
