using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_rendering_GraphicsDeviceType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_rendering_GraphicsDeviceType_creator", default(UnityEngine.Rendering.GraphicsDeviceType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_GraphicsDeviceType_buildin.unityengine_rendering_GraphicsDeviceType_ctor","unityengine_rendering_GraphicsDeviceType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_Direct3D9_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.Direct3D9;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_Direct3D11_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.Direct3D11;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_Null_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.Null;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_OpenGLES2_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.OpenGLES2;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_OpenGLES3_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.OpenGLES3;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_PlayStationVita_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.PlayStationVita;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_PlayStation4_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.PlayStation4;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_XboxOne_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.XboxOne;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_PlayStationMobile_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.PlayStationMobile;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_Metal_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.Metal;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_OpenGLCore_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.OpenGLCore;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_Direct3D12_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.Direct3D12;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_N3DS_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.N3DS;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_GraphicsDeviceType_Vulkan_getter",()=>{ return UnityEngine.Rendering.GraphicsDeviceType.Vulkan;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_GraphicsDeviceType_buildin.unityengine_rendering_GraphicsDeviceType_operator_bitOr","unityengine_rendering_GraphicsDeviceType_operator_bitOr");
		}

		public class unityengine_rendering_GraphicsDeviceType_ctor : NativeConstParameterFunction
		{
			public unityengine_rendering_GraphicsDeviceType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_GraphicsDeviceType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_rendering_GraphicsDeviceType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_rendering_GraphicsDeviceType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_GraphicsDeviceType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.Rendering.GraphicsDeviceType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.Rendering.GraphicsDeviceType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.Rendering.GraphicsDeviceType)argObj.value;
				}

				UnityEngine.Rendering.GraphicsDeviceType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.Rendering.GraphicsDeviceType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.Rendering.GraphicsDeviceType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
