using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_rendering_LightEvent_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_rendering_LightEvent_creator", default(UnityEngine.Rendering.LightEvent)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_LightEvent_buildin.unityengine_rendering_LightEvent_ctor","unityengine_rendering_LightEvent_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_LightEvent_BeforeShadowMap_getter",()=>{ return UnityEngine.Rendering.LightEvent.BeforeShadowMap;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_LightEvent_AfterShadowMap_getter",()=>{ return UnityEngine.Rendering.LightEvent.AfterShadowMap;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_LightEvent_BeforeScreenspaceMask_getter",()=>{ return UnityEngine.Rendering.LightEvent.BeforeScreenspaceMask;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_LightEvent_AfterScreenspaceMask_getter",()=>{ return UnityEngine.Rendering.LightEvent.AfterScreenspaceMask;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_LightEvent_BeforeShadowMapPass_getter",()=>{ return UnityEngine.Rendering.LightEvent.BeforeShadowMapPass;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_LightEvent_AfterShadowMapPass_getter",()=>{ return UnityEngine.Rendering.LightEvent.AfterShadowMapPass;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_LightEvent_buildin.unityengine_rendering_LightEvent_operator_bitOr","unityengine_rendering_LightEvent_operator_bitOr");
		}

		public class unityengine_rendering_LightEvent_ctor : NativeConstParameterFunction
		{
			public unityengine_rendering_LightEvent_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_LightEvent_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_rendering_LightEvent_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_rendering_LightEvent_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_LightEvent_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.Rendering.LightEvent ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.Rendering.LightEvent);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.Rendering.LightEvent)argObj.value;
				}

				UnityEngine.Rendering.LightEvent ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.Rendering.LightEvent);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.Rendering.LightEvent)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
