using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ui_Navigation_Mode_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ui_Navigation_Mode_creator", default(UnityEngine.UI.Navigation.Mode)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_Navigation_Mode_buildin.unityengine_ui_Navigation_Mode_ctor","unityengine_ui_Navigation_Mode_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_Navigation_Mode_None_getter",()=>{ return UnityEngine.UI.Navigation.Mode.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_Navigation_Mode_Horizontal_getter",()=>{ return UnityEngine.UI.Navigation.Mode.Horizontal;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_Navigation_Mode_Vertical_getter",()=>{ return UnityEngine.UI.Navigation.Mode.Vertical;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_Navigation_Mode_Automatic_getter",()=>{ return UnityEngine.UI.Navigation.Mode.Automatic;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_Navigation_Mode_Explicit_getter",()=>{ return UnityEngine.UI.Navigation.Mode.Explicit;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_Navigation_Mode_buildin.unityengine_ui_Navigation_Mode_operator_bitOr","unityengine_ui_Navigation_Mode_operator_bitOr");
		}

		public class unityengine_ui_Navigation_Mode_ctor : NativeConstParameterFunction
		{
			public unityengine_ui_Navigation_Mode_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_Navigation_Mode_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ui_Navigation_Mode_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ui_Navigation_Mode_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_Navigation_Mode_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.UI.Navigation.Mode ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.UI.Navigation.Mode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.UI.Navigation.Mode)argObj.value;
				}

				UnityEngine.UI.Navigation.Mode ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.UI.Navigation.Mode);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.UI.Navigation.Mode)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
