package system
{
	import unityengine.AsyncOperation;


		/**
		*包装委托:
		* System.Action &lt; UnityEngine.AsyncOperation &gt; 
		* System.Void(UnityEngine.AsyncOperation)

		* Sealed
		*  System.Action &lt; UnityEngine.AsyncOperation &gt; 
		*/
	[link_system]
	public final class Action_Of_AsyncOperation extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Action_Of_AsyncOperation_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Action_Of_AsyncOperation, b:Function):Action_Of_AsyncOperation;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Action_Of_AsyncOperation, value:Function):Action_Of_AsyncOperation;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Action_Of_AsyncOperation, b:Function):Action_Of_AsyncOperation;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Action_Of_AsyncOperation, value:Function):Action_Of_AsyncOperation;

		//*********构造函数*******
		[native,system_Action_Of_AsyncOperation_ctor];
		public function Action_Of_AsyncOperation(func:Function);

		[implicit_from];
		[native,system_Action_Of_AsyncOperation_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Action_Of_AsyncOperation_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Action &lt; UnityEngine.AsyncOperation &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.AsyncOperation
		*/
		[native,system_Action_Of_AsyncOperation_invoke];
		public function invoke(obj:unityengine.AsyncOperation):void;

		/**
		* System.Action &lt; UnityEngine.AsyncOperation &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.AsyncOperation
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Action_Of_AsyncOperation_beginInvoke];
		public function beginInvoke(obj:unityengine.AsyncOperation,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Action &lt; UnityEngine.AsyncOperation &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_Action_Of_AsyncOperation_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
