package system
{
	import unityengine.eventsystems.RaycastResult;


		/**
		*包装委托:
		* System.Action &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		* System.Void(UnityEngine.EventSystems.RaycastResult)

		* Sealed
		*  System.Action &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
	[link_system]
	public final class Action_Of_RaycastResult extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Action_Of_RaycastResult_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Action_Of_RaycastResult, b:Function):Action_Of_RaycastResult;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Action_Of_RaycastResult, value:Function):Action_Of_RaycastResult;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Action_Of_RaycastResult, b:Function):Action_Of_RaycastResult;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Action_Of_RaycastResult, value:Function):Action_Of_RaycastResult;

		//*********构造函数*******
		[native,system_Action_Of_RaycastResult_ctor];
		public function Action_Of_RaycastResult(func:Function);

		[implicit_from];
		[native,system_Action_Of_RaycastResult_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Action_Of_RaycastResult_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Action &lt; UnityEngine.EventSystems.RaycastResult &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.EventSystems.RaycastResult
		*/
		[native,system_Action_Of_RaycastResult_invoke];
		public function invoke(obj:unityengine.eventsystems.RaycastResult):void;

		/**
		* System.Action &lt; UnityEngine.EventSystems.RaycastResult &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.EventSystems.RaycastResult
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Action_Of_RaycastResult_beginInvoke];
		public function beginInvoke(obj:unityengine.eventsystems.RaycastResult,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Action &lt; UnityEngine.EventSystems.RaycastResult &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_Action_Of_RaycastResult_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
