package system
{
	import system.globalization.NumberStyles;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  System.Byte
		*/
	[struct]
	[link_system]
	public final class Byte extends _Object_ implements IComparable,IFormattable,IConvertible
	{
		[creator];
		[native,system_Byte_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,_system_Byte_ctor];
		public function Byte(v:int = 0);

		[explicit_from];
		[native,_system_Byte_explicit_from_];
		private static function _explicit_from_value(v:int):*;

		[implicit_from];
		[native,_system_Byte_implicit_from_];
		private static function _implicit_from_value(v:int):*;

		[native,_system_Byte_valueOf];
		public function valueOf():Number;


		//*********字段*******
		/**
		* System.Byte.MaxValue
		*fieldtype:
		*   System.Byte
		*/
		[native, system_Byte_MaxValue_getter];
		public static const MaxValue:Byte;
		/**
		* System.Byte.MinValue
		*fieldtype:
		*   System.Byte
		*/
		[native, system_Byte_MinValue_getter];
		public static const MinValue:Byte;

		//*********公共方法*******
		[native,system_IComparable_compareTo];
		public final function compareTo(value:_Object_):int;

		/**
		* System.Byte.CompareTo
		*parameters:
		*  value : System.Byte
		*return:
		*   System.Int32
		*/
		[native,system_Byte_compareTo_];
		public final function compareTo_(value:Byte):int;

		/**
		* System.Byte.Equals
		*parameters:
		*  obj : System.Byte
		*return:
		*   System.Boolean
		*/
		[native,system_Byte_equals___];
		public final function equals___(obj:Byte):Boolean;

		/**
		* System.Byte.Parse
		*parameters:
		*  s : System.String
		*return:
		*   System.Byte
		*/
		[native,static_system_Byte_parse];
		public static function parse(s:String):Byte;

		/**
		* System.Byte.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*return:
		*   System.Byte
		*/
		[native,static_system_Byte_parse_];
		public static function parse_(s:String,style:system.globalization.NumberStyles):Byte;

		/**
		* System.Byte.Parse
		*parameters:
		*  s : System.String
		*  provider : System.IFormatProvider
		*return:
		*   System.Byte
		*/
		[native,static_system_Byte_parse__];
		public static function parse__(s:String,provider:IFormatProvider):Byte;

		/**
		* System.Byte.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*return:
		*   System.Byte
		*/
		[native,static_system_Byte_parse___];
		public static function parse___(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider):Byte;

		/**
		* System.Byte.TryParse
		*parameters:
		*  s : System.String
		*  result : (Out)System.Byte
		*return:
		*   System.Boolean
		*/
		[native,static_system_Byte_tryParse];
		public static function tryParse(s:String,result:Byte,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Byte.TryParse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*  result : (Out)System.Byte
		*return:
		*   System.Boolean
		*/
		[native,static_system_Byte_tryParse_];
		public static function tryParse_(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider,result:Byte,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Byte.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,system_Byte_toString___];
		public final function toString___(format:String):String;

		[native,system_IConvertible_toString];
		public final function toString____(provider:IFormatProvider):String;

		[native,system_IConvertible_getTypeCode];
		public final function getTypeCode():TypeCode;

		[native,system_IFormattable_toString];
		public final function toString_____(format:String,provider:IFormatProvider):String;


		//*****显式接口实现*****
		[native,system_IConvertible_toBoolean];
		private function system_IConvertible_ToBoolean(provider:IFormatProvider):Boolean;

		[native,system_IConvertible_toChar];
		private function system_IConvertible_ToChar(provider:IFormatProvider):Char;

		[native,system_IConvertible_toSByte];
		private function system_IConvertible_ToSByte(provider:IFormatProvider):SByte;

		[native,system_IConvertible_toByte];
		private function system_IConvertible_ToByte(provider:IFormatProvider):Byte;

		[native,system_IConvertible_toInt16];
		private function system_IConvertible_ToInt16(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt16];
		private function system_IConvertible_ToUInt16(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt32];
		private function system_IConvertible_ToInt32(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt32];
		private function system_IConvertible_ToUInt32(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt64];
		private function system_IConvertible_ToInt64(provider:IFormatProvider):Int64;

		[native,system_IConvertible_toUInt64];
		private function system_IConvertible_ToUInt64(provider:IFormatProvider):UInt64;

		[native,system_IConvertible_toSingle];
		private function system_IConvertible_ToSingle(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDouble];
		private function system_IConvertible_ToDouble(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDecimal];
		private function system_IConvertible_ToDecimal(provider:IFormatProvider):Decimal;

		[native,system_IConvertible_toDateTime];
		private function system_IConvertible_ToDateTime(provider:IFormatProvider):DateTime;

		[native,system_IConvertible_toType];
		private function system_IConvertible_ToType(conversionType:Class,provider:IFormatProvider):_Object_;


	}
}
