package system
{
	import unityengine.Color;


		/**
		*包装委托:
		* System.Comparison &lt; UnityEngine.Color &gt; 
		* System.Int32(UnityEngine.Color,UnityEngine.Color)

		* Sealed
		*  System.Comparison &lt; UnityEngine.Color &gt; 
		*/
	[link_system]
	public final class Comparison_Of_Color extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Comparison_Of_Color_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Comparison_Of_Color, b:Function):Comparison_Of_Color;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Comparison_Of_Color, value:Function):Comparison_Of_Color;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Comparison_Of_Color, b:Function):Comparison_Of_Color;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Comparison_Of_Color, value:Function):Comparison_Of_Color;

		//*********构造函数*******
		[native,system_Comparison_Of_Color_ctor];
		public function Comparison_Of_Color(func:Function);

		[implicit_from];
		[native,system_Comparison_Of_Color_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Comparison_Of_Color_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Comparison &lt; UnityEngine.Color &gt; .Invoke
		*parameters:
		*  x : UnityEngine.Color
		*  y : UnityEngine.Color
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_Color_invoke];
		public function invoke(x:unityengine.Color,y:unityengine.Color):int;

		/**
		* System.Comparison &lt; UnityEngine.Color &gt; .BeginInvoke
		*parameters:
		*  x : UnityEngine.Color
		*  y : UnityEngine.Color
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Comparison_Of_Color_beginInvoke];
		public function beginInvoke(x:unityengine.Color,y:unityengine.Color,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Comparison &lt; UnityEngine.Color &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_Color_endInvoke];
		public function endInvoke(result:IAsyncResult):int;


	}
}
