package system
{
	import unityengine.GameObject;


		/**
		*包装委托:
		* System.Comparison &lt; UnityEngine.GameObject &gt; 
		* System.Int32(UnityEngine.GameObject,UnityEngine.GameObject)

		* Sealed
		*  System.Comparison &lt; UnityEngine.GameObject &gt; 
		*/
	[link_system]
	public final class Comparison_Of_GameObject extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Comparison_Of_GameObject_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Comparison_Of_GameObject, b:Function):Comparison_Of_GameObject;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Comparison_Of_GameObject, value:Function):Comparison_Of_GameObject;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Comparison_Of_GameObject, b:Function):Comparison_Of_GameObject;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Comparison_Of_GameObject, value:Function):Comparison_Of_GameObject;

		//*********构造函数*******
		[native,system_Comparison_Of_GameObject_ctor];
		public function Comparison_Of_GameObject(func:Function);

		[implicit_from];
		[native,system_Comparison_Of_GameObject_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Comparison_Of_GameObject_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Comparison &lt; UnityEngine.GameObject &gt; .Invoke
		*parameters:
		*  x : UnityEngine.GameObject
		*  y : UnityEngine.GameObject
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_GameObject_invoke];
		public function invoke(x:unityengine.GameObject,y:unityengine.GameObject):int;

		/**
		* System.Comparison &lt; UnityEngine.GameObject &gt; .BeginInvoke
		*parameters:
		*  x : UnityEngine.GameObject
		*  y : UnityEngine.GameObject
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Comparison_Of_GameObject_beginInvoke];
		public function beginInvoke(x:unityengine.GameObject,y:unityengine.GameObject,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Comparison &lt; UnityEngine.GameObject &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_GameObject_endInvoke];
		public function endInvoke(result:IAsyncResult):int;


	}
}
