package system
{
	import unityengine.Rect;


		/**
		*包装委托:
		* System.Comparison &lt; UnityEngine.Rect &gt; 
		* System.Int32(UnityEngine.Rect,UnityEngine.Rect)

		* Sealed
		*  System.Comparison &lt; UnityEngine.Rect &gt; 
		*/
	[link_system]
	public final class Comparison_Of_Rect extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Comparison_Of_Rect_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Comparison_Of_Rect, b:Function):Comparison_Of_Rect;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Comparison_Of_Rect, value:Function):Comparison_Of_Rect;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Comparison_Of_Rect, b:Function):Comparison_Of_Rect;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Comparison_Of_Rect, value:Function):Comparison_Of_Rect;

		//*********构造函数*******
		[native,system_Comparison_Of_Rect_ctor];
		public function Comparison_Of_Rect(func:Function);

		[implicit_from];
		[native,system_Comparison_Of_Rect_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Comparison_Of_Rect_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Comparison &lt; UnityEngine.Rect &gt; .Invoke
		*parameters:
		*  x : UnityEngine.Rect
		*  y : UnityEngine.Rect
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_Rect_invoke];
		public function invoke(x:unityengine.Rect,y:unityengine.Rect):int;

		/**
		* System.Comparison &lt; UnityEngine.Rect &gt; .BeginInvoke
		*parameters:
		*  x : UnityEngine.Rect
		*  y : UnityEngine.Rect
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Comparison_Of_Rect_beginInvoke];
		public function beginInvoke(x:unityengine.Rect,y:unityengine.Rect,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Comparison &lt; UnityEngine.Rect &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_Rect_endInvoke];
		public function endInvoke(result:IAsyncResult):int;


	}
}
