package system
{


	[link_system_interface(system_IConvertible_creator)]
	public interface IConvertible
	{
		[native,system_IConvertible_getTypeCode]
		function getTypeCode():TypeCode;

		[native,system_IConvertible_toBoolean]
		function toBoolean(provider:IFormatProvider):Boolean;

		[native,system_IConvertible_toChar]
		function toChar(provider:IFormatProvider):Char;

		[native,system_IConvertible_toSByte]
		function toSByte(provider:IFormatProvider):SByte;

		[native,system_IConvertible_toByte]
		function toByte(provider:IFormatProvider):Byte;

		[native,system_IConvertible_toInt16]
		function toInt16(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt16]
		function toUInt16(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt32]
		function toInt32(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt32]
		function toUInt32(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt64]
		function toInt64(provider:IFormatProvider):Int64;

		[native,system_IConvertible_toUInt64]
		function toUInt64(provider:IFormatProvider):UInt64;

		[native,system_IConvertible_toSingle]
		function toSingle(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDouble]
		function toDouble(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDecimal]
		function toDecimal(provider:IFormatProvider):Decimal;

		[native,system_IConvertible_toDateTime]
		function toDateTime(provider:IFormatProvider):DateTime;

		[native,system_IConvertible_toString]
		function toString(provider:IFormatProvider):String;

		[native,system_IConvertible_toType]
		function toType(conversionType:Class,provider:IFormatProvider):_Object_;

	}
}
