package system
{
	import system.globalization.NumberStyles;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  System.Int64
		*/
	[struct]
	[link_system]
	public final class Int64 extends _Object_ implements IComparable,IFormattable,IConvertible
	{
		[creator];
		[native,system_Int64_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,_system_Int64_ctor];
		public function Int64(v:Number=0);

		[explicit_from];
		[native,_system_Int64_explicit_from_];
		private static function _explicit_from_value(v:Number):*;

		[implicit_from];
		[native,_system_Int64_implicit_from_];
		private static function _implicit_from_value(v:Number):*;

		[native,_system_Int64_valueOf];
		public function valueOf():Number;


		//*********字段*******
		/**
		* System.Int64.MaxValue
		*fieldtype:
		*   System.Int64
		*/
		[native, system_Int64_MaxValue_getter];
		public static const MaxValue:Int64;
		/**
		* System.Int64.MinValue
		*fieldtype:
		*   System.Int64
		*/
		[native, system_Int64_MinValue_getter];
		public static const MinValue:Int64;

		//*********公共方法*******
		[native,system_IComparable_compareTo];
		public final function compareTo(value:_Object_):int;

		/**
		* System.Int64.CompareTo
		*parameters:
		*  value : System.Int64
		*return:
		*   System.Int32
		*/
		[native,system_Int64_compareTo_];
		public final function compareTo_(value:Int64):int;

		/**
		* System.Int64.Equals
		*parameters:
		*  obj : System.Int64
		*return:
		*   System.Boolean
		*/
		[native,system_Int64_equals___];
		public final function equals___(obj:Int64):Boolean;

		[native,system_IConvertible_toString];
		public final function toString__(provider:IFormatProvider):String;

		/**
		* System.Int64.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,system_Int64_toString____];
		public final function toString____(format:String):String;

		[native,system_IFormattable_toString];
		public final function toString_____(format:String,provider:IFormatProvider):String;

		/**
		* System.Int64.Parse
		*parameters:
		*  s : System.String
		*return:
		*   System.Int64
		*/
		[native,static_system_Int64_parse];
		public static function parse(s:String):Int64;

		/**
		* System.Int64.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*return:
		*   System.Int64
		*/
		[native,static_system_Int64_parse_];
		public static function parse_(s:String,style:system.globalization.NumberStyles):Int64;

		/**
		* System.Int64.Parse
		*parameters:
		*  s : System.String
		*  provider : System.IFormatProvider
		*return:
		*   System.Int64
		*/
		[native,static_system_Int64_parse__];
		public static function parse__(s:String,provider:IFormatProvider):Int64;

		/**
		* System.Int64.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*return:
		*   System.Int64
		*/
		[native,static_system_Int64_parse___];
		public static function parse___(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider):Int64;

		/**
		* System.Int64.TryParse
		*parameters:
		*  s : System.String
		*  result : (Out)System.Int64
		*return:
		*   System.Boolean
		*/
		[native,static_system_Int64_tryParse];
		public static function tryParse(s:String,result:Int64,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Int64.TryParse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*  result : (Out)System.Int64
		*return:
		*   System.Boolean
		*/
		[native,static_system_Int64_tryParse_];
		public static function tryParse_(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider,result:Int64,refout:as3runtime.RefOutStore):Boolean;

		[native,system_IConvertible_getTypeCode];
		public final function getTypeCode():TypeCode;


		//*****显式接口实现*****
		[native,system_IConvertible_toBoolean];
		private function system_IConvertible_ToBoolean(provider:IFormatProvider):Boolean;

		[native,system_IConvertible_toChar];
		private function system_IConvertible_ToChar(provider:IFormatProvider):Char;

		[native,system_IConvertible_toSByte];
		private function system_IConvertible_ToSByte(provider:IFormatProvider):SByte;

		[native,system_IConvertible_toByte];
		private function system_IConvertible_ToByte(provider:IFormatProvider):Byte;

		[native,system_IConvertible_toInt16];
		private function system_IConvertible_ToInt16(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt16];
		private function system_IConvertible_ToUInt16(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt32];
		private function system_IConvertible_ToInt32(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt32];
		private function system_IConvertible_ToUInt32(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt64];
		private function system_IConvertible_ToInt64(provider:IFormatProvider):Int64;

		[native,system_IConvertible_toUInt64];
		private function system_IConvertible_ToUInt64(provider:IFormatProvider):UInt64;

		[native,system_IConvertible_toSingle];
		private function system_IConvertible_ToSingle(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDouble];
		private function system_IConvertible_ToDouble(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDecimal];
		private function system_IConvertible_ToDecimal(provider:IFormatProvider):Decimal;

		[native,system_IConvertible_toDateTime];
		private function system_IConvertible_ToDateTime(provider:IFormatProvider):DateTime;

		[native,system_IConvertible_toType];
		private function system_IConvertible_ToType(conversionType:Class,provider:IFormatProvider):_Object_;


	}
}
