package system
{
	import unityengine.Color;


		/**
		*包装委托:
		* System.Predicate &lt; UnityEngine.Color &gt; 
		* System.Boolean(UnityEngine.Color)

		* Sealed
		*  System.Predicate &lt; UnityEngine.Color &gt; 
		*/
	[link_system]
	public final class Predicate_Of_Color extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Predicate_Of_Color_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Predicate_Of_Color, b:Function):Predicate_Of_Color;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Predicate_Of_Color, value:Function):Predicate_Of_Color;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Predicate_Of_Color, b:Function):Predicate_Of_Color;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Predicate_Of_Color, value:Function):Predicate_Of_Color;

		//*********构造函数*******
		[native,system_Predicate_Of_Color_ctor];
		public function Predicate_Of_Color(func:Function);

		[implicit_from];
		[native,system_Predicate_Of_Color_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Predicate_Of_Color_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Predicate &lt; UnityEngine.Color &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.Color
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_Color_invoke];
		public function invoke(obj:unityengine.Color):Boolean;

		/**
		* System.Predicate &lt; UnityEngine.Color &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.Color
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Predicate_Of_Color_beginInvoke];
		public function beginInvoke(obj:unityengine.Color,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Predicate &lt; UnityEngine.Color &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_Color_endInvoke];
		public function endInvoke(result:IAsyncResult):Boolean;


	}
}
