package system
{
	import unityengine.GameObject;


		/**
		*包装委托:
		* System.Predicate &lt; UnityEngine.GameObject &gt; 
		* System.Boolean(UnityEngine.GameObject)

		* Sealed
		*  System.Predicate &lt; UnityEngine.GameObject &gt; 
		*/
	[link_system]
	public final class Predicate_Of_GameObject extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Predicate_Of_GameObject_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Predicate_Of_GameObject, b:Function):Predicate_Of_GameObject;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Predicate_Of_GameObject, value:Function):Predicate_Of_GameObject;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Predicate_Of_GameObject, b:Function):Predicate_Of_GameObject;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Predicate_Of_GameObject, value:Function):Predicate_Of_GameObject;

		//*********构造函数*******
		[native,system_Predicate_Of_GameObject_ctor];
		public function Predicate_Of_GameObject(func:Function);

		[implicit_from];
		[native,system_Predicate_Of_GameObject_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Predicate_Of_GameObject_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Predicate &lt; UnityEngine.GameObject &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.GameObject
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_GameObject_invoke];
		public function invoke(obj:unityengine.GameObject):Boolean;

		/**
		* System.Predicate &lt; UnityEngine.GameObject &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.GameObject
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Predicate_Of_GameObject_beginInvoke];
		public function beginInvoke(obj:unityengine.GameObject,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Predicate &lt; UnityEngine.GameObject &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_GameObject_endInvoke];
		public function endInvoke(result:IAsyncResult):Boolean;


	}
}
