package system
{
	import unityengine.UIVertex;


		/**
		*包装委托:
		* System.Predicate &lt; UnityEngine.UIVertex &gt; 
		* System.Boolean(UnityEngine.UIVertex)

		* Sealed
		*  System.Predicate &lt; UnityEngine.UIVertex &gt; 
		*/
	[link_system]
	public final class Predicate_Of_UIVertex extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Predicate_Of_UIVertex_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Predicate_Of_UIVertex, b:Function):Predicate_Of_UIVertex;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Predicate_Of_UIVertex, value:Function):Predicate_Of_UIVertex;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Predicate_Of_UIVertex, b:Function):Predicate_Of_UIVertex;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Predicate_Of_UIVertex, value:Function):Predicate_Of_UIVertex;

		//*********构造函数*******
		[native,system_Predicate_Of_UIVertex_ctor];
		public function Predicate_Of_UIVertex(func:Function);

		[implicit_from];
		[native,system_Predicate_Of_UIVertex_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Predicate_Of_UIVertex_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Predicate &lt; UnityEngine.UIVertex &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.UIVertex
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_UIVertex_invoke];
		public function invoke(obj:unityengine.UIVertex):Boolean;

		/**
		* System.Predicate &lt; UnityEngine.UIVertex &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.UIVertex
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Predicate_Of_UIVertex_beginInvoke];
		public function beginInvoke(obj:unityengine.UIVertex,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Predicate &lt; UnityEngine.UIVertex &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_UIVertex_endInvoke];
		public function endInvoke(result:IAsyncResult):Boolean;


	}
}
