package system
{
	import unityengine.Vector4;


		/**
		*包装委托:
		* System.Predicate &lt; UnityEngine.Vector4 &gt; 
		* System.Boolean(UnityEngine.Vector4)

		* Sealed
		*  System.Predicate &lt; UnityEngine.Vector4 &gt; 
		*/
	[link_system]
	public final class Predicate_Of_Vector4 extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Predicate_Of_Vector4_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Predicate_Of_Vector4, b:Function):Predicate_Of_Vector4;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Predicate_Of_Vector4, value:Function):Predicate_Of_Vector4;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Predicate_Of_Vector4, b:Function):Predicate_Of_Vector4;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Predicate_Of_Vector4, value:Function):Predicate_Of_Vector4;

		//*********构造函数*******
		[native,system_Predicate_Of_Vector4_ctor];
		public function Predicate_Of_Vector4(func:Function);

		[implicit_from];
		[native,system_Predicate_Of_Vector4_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Predicate_Of_Vector4_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Predicate &lt; UnityEngine.Vector4 &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.Vector4
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_Vector4_invoke];
		public function invoke(obj:unityengine.Vector4):Boolean;

		/**
		* System.Predicate &lt; UnityEngine.Vector4 &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.Vector4
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Predicate_Of_Vector4_beginInvoke];
		public function beginInvoke(obj:unityengine.Vector4,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Predicate &lt; UnityEngine.Vector4 &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_Vector4_endInvoke];
		public function endInvoke(result:IAsyncResult):Boolean;


	}
}
