package system
{
	import system._Array_;
	import as3runtime.RefOutStore;


		/**
		*  System.Uri
		*/
	[link_system]
	public class Uri extends _Object_
	{
		[creator];
		[native,system_Uri_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_Uri_constructor_];
		public static function constructor_(uriString:String,uriKind:UriKind):Uri;

		[native,system_Uri_constructor__];
		public static function constructor__(baseUri:Uri,relativeUri:Uri):Uri;

		[native,system_Uri_constructor___];
		public static function constructor___(baseUri:Uri,relativeUri:String):Uri;

		[native,system_Uri_ctor];
		public function Uri(uriString:String);

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_UriAdapter_ctor];
		private function _UriAdapter(uriString:String);


		//*********字段*******
		/**
		* System.Uri.SchemeDelimiter
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_SchemeDelimiter_getter];
		public static const SchemeDelimiter:String;
		/**
		* System.Uri.UriSchemeFile
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeFile_getter];
		public static const UriSchemeFile:String;
		/**
		* System.Uri.UriSchemeFtp
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeFtp_getter];
		public static const UriSchemeFtp:String;
		/**
		* System.Uri.UriSchemeGopher
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeGopher_getter];
		public static const UriSchemeGopher:String;
		/**
		* System.Uri.UriSchemeHttp
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeHttp_getter];
		public static const UriSchemeHttp:String;
		/**
		* System.Uri.UriSchemeHttps
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeHttps_getter];
		public static const UriSchemeHttps:String;
		/**
		* System.Uri.UriSchemeMailto
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeMailto_getter];
		public static const UriSchemeMailto:String;
		/**
		* System.Uri.UriSchemeNews
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeNews_getter];
		public static const UriSchemeNews:String;
		/**
		* System.Uri.UriSchemeNntp
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeNntp_getter];
		public static const UriSchemeNntp:String;
		/**
		* System.Uri.UriSchemeNetPipe
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeNetPipe_getter];
		public static const UriSchemeNetPipe:String;
		/**
		* System.Uri.UriSchemeNetTcp
		*fieldtype:
		*   System.String
		*/
		[native, system_Uri_UriSchemeNetTcp_getter];
		public static const UriSchemeNetTcp:String;

		//*********公共方法*******
		/**
		* System.Uri.get_AbsolutePath
		*return:
		*   System.String
		*/
		[native,system_Uri_get_AbsolutePath]
		public final function get absolutePath():String;

		/**
		* System.Uri.get_AbsoluteUri
		*return:
		*   System.String
		*/
		[native,system_Uri_get_AbsoluteUri]
		public final function get absoluteUri():String;

		/**
		* System.Uri.get_Authority
		*return:
		*   System.String
		*/
		[native,system_Uri_get_Authority]
		public final function get authority():String;

		/**
		* System.Uri.get_Fragment
		*return:
		*   System.String
		*/
		[native,system_Uri_get_Fragment]
		public final function get fragment():String;

		/**
		* System.Uri.get_Host
		*return:
		*   System.String
		*/
		[native,system_Uri_get_Host]
		public final function get host():String;

		/**
		* System.Uri.get_HostNameType
		*return:
		*   System.UriHostNameType
		*/
		[native,system_Uri_get_HostNameType]
		public final function get hostNameType():UriHostNameType;

		/**
		* System.Uri.get_IsDefaultPort
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_get_IsDefaultPort]
		public final function get isDefaultPort():Boolean;

		/**
		* System.Uri.get_IsFile
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_get_IsFile]
		public final function get isFile():Boolean;

		/**
		* System.Uri.get_IsLoopback
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_get_IsLoopback]
		public final function get isLoopback():Boolean;

		/**
		* System.Uri.get_IsUnc
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_get_IsUnc]
		public final function get isUnc():Boolean;

		/**
		* System.Uri.get_LocalPath
		*return:
		*   System.String
		*/
		[native,system_Uri_get_LocalPath]
		public final function get localPath():String;

		/**
		* System.Uri.get_PathAndQuery
		*return:
		*   System.String
		*/
		[native,system_Uri_get_PathAndQuery]
		public final function get pathAndQuery():String;

		/**
		* System.Uri.get_Port
		*return:
		*   System.Int32
		*/
		[native,system_Uri_get_Port]
		public final function get port():int;

		/**
		* System.Uri.get_Query
		*return:
		*   System.String
		*/
		[native,system_Uri_get_Query]
		public final function get query():String;

		/**
		* System.Uri.get_Scheme
		*return:
		*   System.String
		*/
		[native,system_Uri_get_Scheme]
		public final function get scheme():String;

		/**
		* System.Uri.get_Segments
		*return:
		*   System.String[]
		*/
		[native,system_Uri_get_Segments]
		public final function get segments():_Array_;

		/**
		* System.Uri.get_UserEscaped
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_get_UserEscaped]
		public final function get userEscaped():Boolean;

		/**
		* System.Uri.get_UserInfo
		*return:
		*   System.String
		*/
		[native,system_Uri_get_UserInfo]
		public final function get userInfo():String;

		/**
		* System.Uri.get_DnsSafeHost
		*return:
		*   System.String
		*/
		[native,system_Uri_get_DnsSafeHost]
		public final function get dnsSafeHost():String;

		/**
		* System.Uri.get_IsAbsoluteUri
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_get_IsAbsoluteUri]
		public final function get isAbsoluteUri():Boolean;

		/**
		* System.Uri.get_OriginalString
		*return:
		*   System.String
		*/
		[native,system_Uri_get_OriginalString]
		public final function get originalString():String;

		/**
		* System.Uri.CheckHostName
		*parameters:
		*  name : System.String
		*return:
		*   System.UriHostNameType
		*/
		[native,static_system_Uri_checkHostName];
		public static function checkHostName(name:String):UriHostNameType;

		/**
		* System.Uri.CheckSchemeName
		*parameters:
		*  schemeName : System.String
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_checkSchemeName];
		public static function checkSchemeName(schemeName:String):Boolean;

		/**
		* System.Uri.GetLeftPart
		*parameters:
		*  part : System.UriPartial
		*return:
		*   System.String
		*/
		[native,system_Uri_getLeftPart];
		public final function getLeftPart(part:UriPartial):String;

		/**
		* System.Uri.FromHex
		*parameters:
		*  digit : System.Char
		*return:
		*   System.Int32
		*/
		[native,static_system_Uri_fromHex];
		public static function fromHex(digit:Char):int;

		/**
		* System.Uri.HexEscape
		*parameters:
		*  character : System.Char
		*return:
		*   System.String
		*/
		[native,static_system_Uri_hexEscape];
		public static function hexEscape(character:Char):String;

		/**
		* System.Uri.HexUnescape
		*parameters:
		*  pattern : System.String
		*  index : (ByRef) System.Int32
		*return:
		*   System.Char
		*/
		[native,static_system_Uri_hexUnescape];
		public static function hexUnescape(pattern:String,index:int,refout:as3runtime.RefOutStore):Char;

		/**
		* System.Uri.IsHexDigit
		*parameters:
		*  digit : System.Char
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_isHexDigit];
		public static function isHexDigit(digit:Char):Boolean;

		/**
		* System.Uri.IsHexEncoding
		*parameters:
		*  pattern : System.String
		*  index : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_isHexEncoding];
		public static function isHexEncoding(pattern:String,index:int):Boolean;

		/**
		* System.Uri.MakeRelativeUri
		*parameters:
		*  uri : System.Uri
		*return:
		*   System.Uri
		*/
		[native,system_Uri_makeRelativeUri];
		public final function makeRelativeUri(uri:Uri):Uri;

		/**
		* System.Uri.GetComponents
		*parameters:
		*  components : System.UriComponents
		*  format : System.UriFormat
		*return:
		*   System.String
		*/
		[native,system_Uri_getComponents];
		public final function getComponents(components:UriComponents,format:UriFormat):String;

		/**
		* System.Uri.IsBaseOf
		*parameters:
		*  uri : System.Uri
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_isBaseOf];
		public final function isBaseOf(uri:Uri):Boolean;

		/**
		* System.Uri.IsWellFormedOriginalString
		*return:
		*   System.Boolean
		*/
		[native,system_Uri_isWellFormedOriginalString];
		public final function isWellFormedOriginalString():Boolean;

		/**
		* System.Uri.Compare
		*parameters:
		*  uri1 : System.Uri
		*  uri2 : System.Uri
		*  partsToCompare : System.UriComponents
		*  compareFormat : System.UriFormat
		*  comparisonType : System.StringComparison
		*return:
		*   System.Int32
		*/
		[native,static_system_Uri_compare];
		public static function compare(uri1:Uri,uri2:Uri,partsToCompare:UriComponents,compareFormat:UriFormat,comparisonType:StringComparison):int;

		/**
		* System.Uri.EscapeDataString
		*parameters:
		*  stringToEscape : System.String
		*return:
		*   System.String
		*/
		[native,static_system_Uri_escapeDataString];
		public static function escapeDataString(stringToEscape:String):String;

		/**
		* System.Uri.EscapeUriString
		*parameters:
		*  stringToEscape : System.String
		*return:
		*   System.String
		*/
		[native,static_system_Uri_escapeUriString];
		public static function escapeUriString(stringToEscape:String):String;

		/**
		* System.Uri.IsWellFormedUriString
		*parameters:
		*  uriString : System.String
		*  uriKind : System.UriKind
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_isWellFormedUriString];
		public static function isWellFormedUriString(uriString:String,uriKind:UriKind):Boolean;

		/**
		* System.Uri.TryCreate
		*parameters:
		*  uriString : System.String
		*  uriKind : System.UriKind
		*  result : (Out)System.Uri
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_tryCreate];
		public static function tryCreate(uriString:String,uriKind:UriKind,result:Uri,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Uri.TryCreate
		*parameters:
		*  baseUri : System.Uri
		*  relativeUri : System.String
		*  result : (Out)System.Uri
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_tryCreate_];
		public static function tryCreate_(baseUri:Uri,relativeUri:String,result:Uri,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Uri.TryCreate
		*parameters:
		*  baseUri : System.Uri
		*  relativeUri : System.Uri
		*  result : (Out)System.Uri
		*return:
		*   System.Boolean
		*/
		[native,static_system_Uri_tryCreate__];
		public static function tryCreate__(baseUri:Uri,relativeUri:Uri,result:Uri,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Uri.UnescapeDataString
		*parameters:
		*  stringToUnescape : System.String
		*return:
		*   System.String
		*/
		[native,static_system_Uri_unescapeDataString];
		public static function unescapeDataString(stringToUnescape:String):String;


		//*****操作重载*****
		/**
		 * 计算 u1 == u2
		 */
		[native,static_system_Uri_op_Equality];
		public static function op_Equality(u1:Uri,u2:Uri):Boolean;

		[operator,"=="];
		[native,static_system_Uri_op_Equality];
		private static function _operator_op_Equality(u1:Uri,u2:Uri):Boolean;

		/**
		 * 计算 u1 != u2
		 */
		[native,static_system_Uri_op_Inequality];
		public static function op_Inequality(u1:Uri,u2:Uri):Boolean;

		[operator,"!="];
		[native,static_system_Uri_op_Inequality];
		private static function _operator_op_Inequality(u1:Uri,u2:Uri):Boolean;


	}
}
