package system.collections.generic
{
	import system._Object_;
	import system.collections._IEnumerable_;
	import system.collections.IList;
	import system.collections.ICollection;
	import unityengine.eventsystems.EventTrigger_Entry;
	import system.collections.objectmodel.ReadOnlyCollection_Of_EventTrigger_Entry;
	import system._Array_;
	import system.Predicate_Of_EventTrigger_Entry;
	import system.Action_Of_EventTrigger_Entry;
	import system.Comparison_Of_EventTrigger_Entry;
	import system.collections._IEnumerator_;


		/**
		*  System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; 
		*/
	[link_system]
	public class List_Of_EventTrigger_Entry extends system._Object_ implements system.collections._IEnumerable_,system.collections.IList,system.collections.ICollection
	{
		[creator];
		[native,system_collections_generic_List_Of_EventTrigger_Entry_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_collections_generic_List_Of_EventTrigger_Entry_constructor_];
		public static function constructor_(capacity:int):List_Of_EventTrigger_Entry;

		[native,system_collections_generic_List_Of_EventTrigger_Entry_ctor];
		public function List_Of_EventTrigger_Entry();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_collections_generic_List_Of_EventTrigger_EntryAdapter_ctor];
		private function _List_Of_EventTrigger_EntryAdapter();


		//*********公共方法*******
		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .get_Capacity
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_get_Capacity]
		public final function get capacity():int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .set_Capacity
		*parameters:
		*  value : System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_set_Capacity]
		public final function set capacity(value:int):void;

		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.EventSystems.EventTrigger.Entry
		*/
		[get_this_item];
		[native,system_collections_generic_List_Of_EventTrigger_Entry_getThisItem];
		final function get_Item(index:int):unityengine.eventsystems.EventTrigger_Entry;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .set_Item
		*parameters:
		*  index : System.Int32
		*  value : UnityEngine.EventSystems.EventTrigger.Entry
		*/
		[set_this_item];
		[native,system_collections_generic_List_Of_EventTrigger_Entry_setThisItem];
		final function set_Item(value:unityengine.eventsystems.EventTrigger_Entry,index:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Add
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_add];
		public final function add(item:unityengine.eventsystems.EventTrigger_Entry):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .AsReadOnly
		*return:
		*   System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; 
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_asReadOnly];
		public final function asReadOnly():system.collections.objectmodel.ReadOnlyCollection_Of_EventTrigger_Entry;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .BinarySearch
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_binarySearch_];
		public final function binarySearch_(item:unityengine.eventsystems.EventTrigger_Entry):int;

		[native,system_collections_IList_clear];
		public final function clear():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Contains
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_contains];
		public final function contains(item:unityengine.eventsystems.EventTrigger_Entry):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.EventSystems.EventTrigger.Entry[]
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_copyTo];
		public final function copyTo(array:_Array_):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .CopyTo
		*parameters:
		*  index : System.Int32
		*  array : UnityEngine.EventSystems.EventTrigger.Entry[]
		*  arrayIndex : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_copyTo_];
		public final function copyTo_(index:int,array:_Array_,arrayIndex:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.EventSystems.EventTrigger.Entry[]
		*  arrayIndex : System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_copyTo__];
		public final function copyTo__(array:_Array_,arrayIndex:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Exists
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_exists];
		public final function exists(match:system.Predicate_Of_EventTrigger_Entry):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Find
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   UnityEngine.EventSystems.EventTrigger.Entry
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_find];
		public final function find(match:system.Predicate_Of_EventTrigger_Entry):unityengine.eventsystems.EventTrigger_Entry;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; 
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findAll];
		public final function findAll(match:system.Predicate_Of_EventTrigger_Entry):List_Of_EventTrigger_Entry;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindIndex
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findIndex];
		public final function findIndex(match:system.Predicate_Of_EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findIndex_];
		public final function findIndex_(startIndex:int,match:system.Predicate_Of_EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findIndex__];
		public final function findIndex__(startIndex:int,count:int,match:system.Predicate_Of_EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindLast
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   UnityEngine.EventSystems.EventTrigger.Entry
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findLast];
		public final function findLast(match:system.Predicate_Of_EventTrigger_Entry):unityengine.eventsystems.EventTrigger_Entry;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindLastIndex
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findLastIndex];
		public final function findLastIndex(match:system.Predicate_Of_EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findLastIndex_];
		public final function findLastIndex_(startIndex:int,match:system.Predicate_Of_EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_findLastIndex__];
		public final function findLastIndex__(startIndex:int,count:int,match:system.Predicate_Of_EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .ForEach
		*parameters:
		*  action : System.Action &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Void(UnityEngine.EventSystems.EventTrigger.Entry)]
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_forEach];
		public final function forEach(action:system.Action_Of_EventTrigger_Entry):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .GetRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; 
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_getRange];
		public final function getRange(index:int,count:int):List_Of_EventTrigger_Entry;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_indexOf];
		public final function indexOf(item:unityengine.eventsystems.EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_indexOf_];
		public final function indexOf_(item:unityengine.eventsystems.EventTrigger_Entry,index:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_indexOf__];
		public final function indexOf__(item:unityengine.eventsystems.EventTrigger_Entry,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Insert
		*parameters:
		*  index : System.Int32
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_insert];
		public final function insert(index:int,item:unityengine.eventsystems.EventTrigger_Entry):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_lastIndexOf];
		public final function lastIndexOf(item:unityengine.eventsystems.EventTrigger_Entry):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_lastIndexOf_];
		public final function lastIndexOf_(item:unityengine.eventsystems.EventTrigger_Entry,index:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_lastIndexOf__];
		public final function lastIndexOf__(item:unityengine.eventsystems.EventTrigger_Entry,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Remove
		*parameters:
		*  item : UnityEngine.EventSystems.EventTrigger.Entry
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_remove];
		public final function remove(item:unityengine.eventsystems.EventTrigger_Entry):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .RemoveAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_removeAll];
		public final function removeAll(match:system.Predicate_Of_EventTrigger_Entry):int;

		[native,system_collections_IList_removeAt];
		public final function removeAt(index:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .RemoveRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_removeRange];
		public final function removeRange(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Reverse
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_reverse];
		public final function reverse():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Reverse
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_reverse_];
		public final function reverse_(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Sort
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_sort];
		public final function sort():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .Sort
		*parameters:
		*  comparison : System.Comparison &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Int32(UnityEngine.EventSystems.EventTrigger.Entry,UnityEngine.EventSystems.EventTrigger.Entry)]
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_sort___];
		public final function sort___(comparison:system.Comparison_Of_EventTrigger_Entry):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .ToArray
		*return:
		*   UnityEngine.EventSystems.EventTrigger.Entry[]
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_toArray];
		public final function toArray():_Array_;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .TrimExcess
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_trimExcess];
		public final function trimExcess():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; .TrueForAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt;  [System.Boolean(UnityEngine.EventSystems.EventTrigger.Entry)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_EventTrigger_Entry_trueForAll];
		public final function trueForAll(match:system.Predicate_Of_EventTrigger_Entry):Boolean;


		//*****显式接口实现*****
		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;

		[native,system_collections_IList_getThisItem];
		private function system_collections_IList_get_Item(index:int):*;

		[native,system_collections_IList_setThisItem];
		private function system_collections_IList_set_Item(value:*,index:int):void;

		[native,system_collections_IList_add];
		private function system_collections_IList_Add(value:*):int;

		[native,system_collections_IList_contains];
		private function system_collections_IList_Contains(value:*):Boolean;

		[native,system_collections_IList_get_IsReadOnly];
		private function system_collections_IList_get_IsReadOnly():Boolean;

		[native,system_collections_IList_get_IsFixedSize];
		private function system_collections_IList_get_IsFixedSize():Boolean;

		[native,system_collections_IList_indexOf];
		private function system_collections_IList_IndexOf(value:*):int;

		[native,system_collections_IList_insert];
		private function system_collections_IList_Insert(index:int,value:*):void;

		[native,system_collections_IList_remove];
		private function system_collections_IList_Remove(value:*):void;

		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_ICollection_get_SyncRoot];
		private function system_collections_ICollection_get_SyncRoot():system._Object_;

		[native,system_collections_ICollection_get_IsSynchronized];
		private function system_collections_ICollection_get_IsSynchronized():Boolean;


	}
}
