package system.collections.generic
{
	import system._Object_;
	import system.collections._IEnumerable_;
	import system.collections.IList;
	import system.collections.ICollection;
	import unityengine.eventsystems.RaycastResult;
	import system.collections.objectmodel.ReadOnlyCollection_Of_RaycastResult;
	import system._Array_;
	import system.Predicate_Of_RaycastResult;
	import system.Action_Of_RaycastResult;
	import system.Comparison_Of_RaycastResult;
	import system.collections._IEnumerator_;


		/**
		*  System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
	[link_system]
	public class List_Of_RaycastResult extends system._Object_ implements system.collections._IEnumerable_,system.collections.IList,system.collections.ICollection
	{
		[creator];
		[native,system_collections_generic_List_Of_RaycastResult_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_collections_generic_List_Of_RaycastResult_constructor_];
		public static function constructor_(capacity:int):List_Of_RaycastResult;

		[native,system_collections_generic_List_Of_RaycastResult_ctor];
		public function List_Of_RaycastResult();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_collections_generic_List_Of_RaycastResultAdapter_ctor];
		private function _List_Of_RaycastResultAdapter();


		//*********公共方法*******
		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .get_Capacity
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_get_Capacity]
		public final function get capacity():int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .set_Capacity
		*parameters:
		*  value : System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_set_Capacity]
		public final function set capacity(value:int):void;

		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.EventSystems.RaycastResult
		*/
		[get_this_item];
		[native,system_collections_generic_List_Of_RaycastResult_getThisItem];
		final function get_Item(index:int):unityengine.eventsystems.RaycastResult;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .set_Item
		*parameters:
		*  index : System.Int32
		*  value : UnityEngine.EventSystems.RaycastResult
		*/
		[set_this_item];
		[native,system_collections_generic_List_Of_RaycastResult_setThisItem];
		final function set_Item(value:unityengine.eventsystems.RaycastResult,index:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Add
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*/
		[native,system_collections_generic_List_Of_RaycastResult_add];
		public final function add(item:unityengine.eventsystems.RaycastResult):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .AsReadOnly
		*return:
		*   System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
		[native,system_collections_generic_List_Of_RaycastResult_asReadOnly];
		public final function asReadOnly():system.collections.objectmodel.ReadOnlyCollection_Of_RaycastResult;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .BinarySearch
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_binarySearch_];
		public final function binarySearch_(item:unityengine.eventsystems.RaycastResult):int;

		[native,system_collections_IList_clear];
		public final function clear():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Contains
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_RaycastResult_contains];
		public final function contains(item:unityengine.eventsystems.RaycastResult):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.EventSystems.RaycastResult[]
		*/
		[native,system_collections_generic_List_Of_RaycastResult_copyTo];
		public final function copyTo(array:_Array_):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .CopyTo
		*parameters:
		*  index : System.Int32
		*  array : UnityEngine.EventSystems.RaycastResult[]
		*  arrayIndex : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_copyTo_];
		public final function copyTo_(index:int,array:_Array_,arrayIndex:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.EventSystems.RaycastResult[]
		*  arrayIndex : System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_copyTo__];
		public final function copyTo__(array:_Array_,arrayIndex:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Exists
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_RaycastResult_exists];
		public final function exists(match:system.Predicate_Of_RaycastResult):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Find
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   UnityEngine.EventSystems.RaycastResult
		*/
		[native,system_collections_generic_List_Of_RaycastResult_find];
		public final function find(match:system.Predicate_Of_RaycastResult):unityengine.eventsystems.RaycastResult;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findAll];
		public final function findAll(match:system.Predicate_Of_RaycastResult):List_Of_RaycastResult;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindIndex
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findIndex];
		public final function findIndex(match:system.Predicate_Of_RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findIndex_];
		public final function findIndex_(startIndex:int,match:system.Predicate_Of_RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findIndex__];
		public final function findIndex__(startIndex:int,count:int,match:system.Predicate_Of_RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindLast
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   UnityEngine.EventSystems.RaycastResult
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findLast];
		public final function findLast(match:system.Predicate_Of_RaycastResult):unityengine.eventsystems.RaycastResult;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindLastIndex
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findLastIndex];
		public final function findLastIndex(match:system.Predicate_Of_RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findLastIndex_];
		public final function findLastIndex_(startIndex:int,match:system.Predicate_Of_RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_findLastIndex__];
		public final function findLastIndex__(startIndex:int,count:int,match:system.Predicate_Of_RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .ForEach
		*parameters:
		*  action : System.Action &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Void(UnityEngine.EventSystems.RaycastResult)]
		*/
		[native,system_collections_generic_List_Of_RaycastResult_forEach];
		public final function forEach(action:system.Action_Of_RaycastResult):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .GetRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
		[native,system_collections_generic_List_Of_RaycastResult_getRange];
		public final function getRange(index:int,count:int):List_Of_RaycastResult;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_indexOf];
		public final function indexOf(item:unityengine.eventsystems.RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_indexOf_];
		public final function indexOf_(item:unityengine.eventsystems.RaycastResult,index:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_indexOf__];
		public final function indexOf__(item:unityengine.eventsystems.RaycastResult,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Insert
		*parameters:
		*  index : System.Int32
		*  item : UnityEngine.EventSystems.RaycastResult
		*/
		[native,system_collections_generic_List_Of_RaycastResult_insert];
		public final function insert(index:int,item:unityengine.eventsystems.RaycastResult):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_lastIndexOf];
		public final function lastIndexOf(item:unityengine.eventsystems.RaycastResult):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_lastIndexOf_];
		public final function lastIndexOf_(item:unityengine.eventsystems.RaycastResult,index:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_lastIndexOf__];
		public final function lastIndexOf__(item:unityengine.eventsystems.RaycastResult,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Remove
		*parameters:
		*  item : UnityEngine.EventSystems.RaycastResult
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_RaycastResult_remove];
		public final function remove(item:unityengine.eventsystems.RaycastResult):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .RemoveAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_removeAll];
		public final function removeAll(match:system.Predicate_Of_RaycastResult):int;

		[native,system_collections_IList_removeAt];
		public final function removeAt(index:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .RemoveRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_removeRange];
		public final function removeRange(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Reverse
		*/
		[native,system_collections_generic_List_Of_RaycastResult_reverse];
		public final function reverse():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Reverse
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_RaycastResult_reverse_];
		public final function reverse_(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Sort
		*/
		[native,system_collections_generic_List_Of_RaycastResult_sort];
		public final function sort():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .Sort
		*parameters:
		*  comparison : System.Comparison &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Int32(UnityEngine.EventSystems.RaycastResult,UnityEngine.EventSystems.RaycastResult)]
		*/
		[native,system_collections_generic_List_Of_RaycastResult_sort___];
		public final function sort___(comparison:system.Comparison_Of_RaycastResult):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .ToArray
		*return:
		*   UnityEngine.EventSystems.RaycastResult[]
		*/
		[native,system_collections_generic_List_Of_RaycastResult_toArray];
		public final function toArray():_Array_;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .TrimExcess
		*/
		[native,system_collections_generic_List_Of_RaycastResult_trimExcess];
		public final function trimExcess():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; .TrueForAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.EventSystems.RaycastResult &gt;  [System.Boolean(UnityEngine.EventSystems.RaycastResult)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_RaycastResult_trueForAll];
		public final function trueForAll(match:system.Predicate_Of_RaycastResult):Boolean;


		//*****显式接口实现*****
		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;

		[native,system_collections_IList_getThisItem];
		private function system_collections_IList_get_Item(index:int):*;

		[native,system_collections_IList_setThisItem];
		private function system_collections_IList_set_Item(value:*,index:int):void;

		[native,system_collections_IList_add];
		private function system_collections_IList_Add(value:*):int;

		[native,system_collections_IList_contains];
		private function system_collections_IList_Contains(value:*):Boolean;

		[native,system_collections_IList_get_IsReadOnly];
		private function system_collections_IList_get_IsReadOnly():Boolean;

		[native,system_collections_IList_get_IsFixedSize];
		private function system_collections_IList_get_IsFixedSize():Boolean;

		[native,system_collections_IList_indexOf];
		private function system_collections_IList_IndexOf(value:*):int;

		[native,system_collections_IList_insert];
		private function system_collections_IList_Insert(index:int,value:*):void;

		[native,system_collections_IList_remove];
		private function system_collections_IList_Remove(value:*):void;

		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_ICollection_get_SyncRoot];
		private function system_collections_ICollection_get_SyncRoot():system._Object_;

		[native,system_collections_ICollection_get_IsSynchronized];
		private function system_collections_ICollection_get_IsSynchronized():Boolean;


	}
}
