package system.collections.generic
{
	import system._Object_;
	import system.collections._IEnumerable_;
	import system.collections.IList;
	import system.collections.ICollection;
	import unityengine.Rect;
	import system.collections.objectmodel.ReadOnlyCollection_Of_Rect;
	import system._Array_;
	import system.Predicate_Of_Rect;
	import system.Action_Of_Rect;
	import system.Comparison_Of_Rect;
	import system.collections._IEnumerator_;


		/**
		*  System.Collections.Generic.List &lt; UnityEngine.Rect &gt; 
		*/
	[link_system]
	public class List_Of_Rect extends system._Object_ implements system.collections._IEnumerable_,system.collections.IList,system.collections.ICollection
	{
		[creator];
		[native,system_collections_generic_List_Of_Rect_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_collections_generic_List_Of_Rect_constructor_];
		public static function constructor_(capacity:int):List_Of_Rect;

		[native,system_collections_generic_List_Of_Rect_ctor];
		public function List_Of_Rect();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_collections_generic_List_Of_RectAdapter_ctor];
		private function _List_Of_RectAdapter();


		//*********公共方法*******
		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .get_Capacity
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_get_Capacity]
		public final function get capacity():int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .set_Capacity
		*parameters:
		*  value : System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_set_Capacity]
		public final function set capacity(value:int):void;

		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Rect
		*/
		[get_this_item];
		[native,system_collections_generic_List_Of_Rect_getThisItem];
		final function get_Item(index:int):unityengine.Rect;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .set_Item
		*parameters:
		*  index : System.Int32
		*  value : UnityEngine.Rect
		*/
		[set_this_item];
		[native,system_collections_generic_List_Of_Rect_setThisItem];
		final function set_Item(value:unityengine.Rect,index:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Add
		*parameters:
		*  item : UnityEngine.Rect
		*/
		[native,system_collections_generic_List_Of_Rect_add];
		public final function add(item:unityengine.Rect):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .AsReadOnly
		*return:
		*   System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.Rect &gt; 
		*/
		[native,system_collections_generic_List_Of_Rect_asReadOnly];
		public final function asReadOnly():system.collections.objectmodel.ReadOnlyCollection_Of_Rect;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .BinarySearch
		*parameters:
		*  item : UnityEngine.Rect
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_binarySearch_];
		public final function binarySearch_(item:unityengine.Rect):int;

		[native,system_collections_IList_clear];
		public final function clear():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Contains
		*parameters:
		*  item : UnityEngine.Rect
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Rect_contains];
		public final function contains(item:unityengine.Rect):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.Rect[]
		*/
		[native,system_collections_generic_List_Of_Rect_copyTo];
		public final function copyTo(array:_Array_):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .CopyTo
		*parameters:
		*  index : System.Int32
		*  array : UnityEngine.Rect[]
		*  arrayIndex : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_copyTo_];
		public final function copyTo_(index:int,array:_Array_,arrayIndex:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.Rect[]
		*  arrayIndex : System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_copyTo__];
		public final function copyTo__(array:_Array_,arrayIndex:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Exists
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Rect_exists];
		public final function exists(match:system.Predicate_Of_Rect):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Find
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   UnityEngine.Rect
		*/
		[native,system_collections_generic_List_Of_Rect_find];
		public final function find(match:system.Predicate_Of_Rect):unityengine.Rect;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.Rect &gt; 
		*/
		[native,system_collections_generic_List_Of_Rect_findAll];
		public final function findAll(match:system.Predicate_Of_Rect):List_Of_Rect;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindIndex
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_findIndex];
		public final function findIndex(match:system.Predicate_Of_Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_findIndex_];
		public final function findIndex_(startIndex:int,match:system.Predicate_Of_Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_findIndex__];
		public final function findIndex__(startIndex:int,count:int,match:system.Predicate_Of_Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindLast
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   UnityEngine.Rect
		*/
		[native,system_collections_generic_List_Of_Rect_findLast];
		public final function findLast(match:system.Predicate_Of_Rect):unityengine.Rect;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindLastIndex
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_findLastIndex];
		public final function findLastIndex(match:system.Predicate_Of_Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_findLastIndex_];
		public final function findLastIndex_(startIndex:int,match:system.Predicate_Of_Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_findLastIndex__];
		public final function findLastIndex__(startIndex:int,count:int,match:system.Predicate_Of_Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .ForEach
		*parameters:
		*  action : System.Action &lt; UnityEngine.Rect &gt;  [System.Void(UnityEngine.Rect)]
		*/
		[native,system_collections_generic_List_Of_Rect_forEach];
		public final function forEach(action:system.Action_Of_Rect):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .GetRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.Rect &gt; 
		*/
		[native,system_collections_generic_List_Of_Rect_getRange];
		public final function getRange(index:int,count:int):List_Of_Rect;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.Rect
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_indexOf];
		public final function indexOf(item:unityengine.Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.Rect
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_indexOf_];
		public final function indexOf_(item:unityengine.Rect,index:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .IndexOf
		*parameters:
		*  item : UnityEngine.Rect
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_indexOf__];
		public final function indexOf__(item:unityengine.Rect,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Insert
		*parameters:
		*  index : System.Int32
		*  item : UnityEngine.Rect
		*/
		[native,system_collections_generic_List_Of_Rect_insert];
		public final function insert(index:int,item:unityengine.Rect):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.Rect
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_lastIndexOf];
		public final function lastIndexOf(item:unityengine.Rect):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.Rect
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_lastIndexOf_];
		public final function lastIndexOf_(item:unityengine.Rect,index:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .LastIndexOf
		*parameters:
		*  item : UnityEngine.Rect
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_lastIndexOf__];
		public final function lastIndexOf__(item:unityengine.Rect,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Remove
		*parameters:
		*  item : UnityEngine.Rect
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Rect_remove];
		public final function remove(item:unityengine.Rect):Boolean;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .RemoveAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_removeAll];
		public final function removeAll(match:system.Predicate_Of_Rect):int;

		[native,system_collections_IList_removeAt];
		public final function removeAt(index:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .RemoveRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_removeRange];
		public final function removeRange(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Reverse
		*/
		[native,system_collections_generic_List_Of_Rect_reverse];
		public final function reverse():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Reverse
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_Rect_reverse_];
		public final function reverse_(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Sort
		*/
		[native,system_collections_generic_List_Of_Rect_sort];
		public final function sort():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .Sort
		*parameters:
		*  comparison : System.Comparison &lt; UnityEngine.Rect &gt;  [System.Int32(UnityEngine.Rect,UnityEngine.Rect)]
		*/
		[native,system_collections_generic_List_Of_Rect_sort___];
		public final function sort___(comparison:system.Comparison_Of_Rect):void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .ToArray
		*return:
		*   UnityEngine.Rect[]
		*/
		[native,system_collections_generic_List_Of_Rect_toArray];
		public final function toArray():_Array_;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .TrimExcess
		*/
		[native,system_collections_generic_List_Of_Rect_trimExcess];
		public final function trimExcess():void;

		/**
		* System.Collections.Generic.List &lt; UnityEngine.Rect &gt; .TrueForAll
		*parameters:
		*  match : System.Predicate &lt; UnityEngine.Rect &gt;  [System.Boolean(UnityEngine.Rect)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Rect_trueForAll];
		public final function trueForAll(match:system.Predicate_Of_Rect):Boolean;


		//*****显式接口实现*****
		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;

		[native,system_collections_IList_getThisItem];
		private function system_collections_IList_get_Item(index:int):*;

		[native,system_collections_IList_setThisItem];
		private function system_collections_IList_set_Item(value:*,index:int):void;

		[native,system_collections_IList_add];
		private function system_collections_IList_Add(value:*):int;

		[native,system_collections_IList_contains];
		private function system_collections_IList_Contains(value:*):Boolean;

		[native,system_collections_IList_get_IsReadOnly];
		private function system_collections_IList_get_IsReadOnly():Boolean;

		[native,system_collections_IList_get_IsFixedSize];
		private function system_collections_IList_get_IsFixedSize():Boolean;

		[native,system_collections_IList_indexOf];
		private function system_collections_IList_IndexOf(value:*):int;

		[native,system_collections_IList_insert];
		private function system_collections_IList_Insert(index:int,value:*):void;

		[native,system_collections_IList_remove];
		private function system_collections_IList_Remove(value:*):void;

		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_ICollection_get_SyncRoot];
		private function system_collections_ICollection_get_SyncRoot():system._Object_;

		[native,system_collections_ICollection_get_IsSynchronized];
		private function system_collections_ICollection_get_IsSynchronized():Boolean;


	}
}
