package system.collections.objectmodel
{
	import system._Object_;
	import system.collections._IEnumerable_;
	import system.collections.IList;
	import system.collections.ICollection;
	import unityengine.UIVertex;
	import system._Array_;
	import system.collections._IEnumerator_;


		/**
		*  System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.UIVertex &gt; 
		*/
	[no_constructor]
	[link_system]
	public class ReadOnlyCollection_Of_UIVertex extends system._Object_ implements system.collections._IEnumerable_,system.collections.IList,system.collections.ICollection
	{
		[creator];
		[native,system_collections_objectmodel_ReadOnlyCollection_Of_UIVertex_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function ReadOnlyCollection_Of_UIVertex();
		//*********公共方法*******
		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		/**
		* System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.UIVertex &gt; .get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.UIVertex
		*/
		[get_this_item];
		[native,system_collections_objectmodel_ReadOnlyCollection_Of_UIVertex_getThisItem];
		final function get_Item(index:int):unityengine.UIVertex;

		/**
		* System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.UIVertex &gt; .Contains
		*parameters:
		*  value : UnityEngine.UIVertex
		*return:
		*   System.Boolean
		*/
		[native,system_collections_objectmodel_ReadOnlyCollection_Of_UIVertex_contains];
		public final function contains(value:unityengine.UIVertex):Boolean;

		/**
		* System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.UIVertex &gt; .CopyTo
		*parameters:
		*  array : UnityEngine.UIVertex[]
		*  index : System.Int32
		*/
		[native,system_collections_objectmodel_ReadOnlyCollection_Of_UIVertex_copyTo];
		public final function copyTo(array:_Array_,index:int):void;

		/**
		* System.Collections.ObjectModel.ReadOnlyCollection &lt; UnityEngine.UIVertex &gt; .IndexOf
		*parameters:
		*  value : UnityEngine.UIVertex
		*return:
		*   System.Int32
		*/
		[native,system_collections_objectmodel_ReadOnlyCollection_Of_UIVertex_indexOf];
		public final function indexOf(value:unityengine.UIVertex):int;


		//*****显式接口实现*****
		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;

		[native,system_collections_IList_getThisItem];
		private function system_collections_IList_get_Item(index:int):*;

		[native,system_collections_IList_setThisItem];
		private function system_collections_IList_set_Item(value:*,index:int):void;

		[native,system_collections_IList_add];
		private function system_collections_IList_Add(value:*):int;

		[native,system_collections_IList_contains];
		private function system_collections_IList_Contains(value:*):Boolean;

		[native,system_collections_IList_clear];
		private function system_collections_IList_Clear():void;

		[native,system_collections_IList_get_IsReadOnly];
		private function system_collections_IList_get_IsReadOnly():Boolean;

		[native,system_collections_IList_get_IsFixedSize];
		private function system_collections_IList_get_IsFixedSize():Boolean;

		[native,system_collections_IList_indexOf];
		private function system_collections_IList_IndexOf(value:*):int;

		[native,system_collections_IList_insert];
		private function system_collections_IList_Insert(index:int,value:*):void;

		[native,system_collections_IList_remove];
		private function system_collections_IList_Remove(value:*):void;

		[native,system_collections_IList_removeAt];
		private function system_collections_IList_RemoveAt(index:int):void;

		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_ICollection_get_SyncRoot];
		private function system_collections_ICollection_get_SyncRoot():system._Object_;

		[native,system_collections_ICollection_get_IsSynchronized];
		private function system_collections_ICollection_get_IsSynchronized():Boolean;


	}
}
