package system.io.compression
{
	import system.io.Stream;
	import system.IDisposable;


		/**
		*  System.IO.Compression.DeflateStream
		*/
	[link_system]
	public class DeflateStream extends system.io.Stream implements system.IDisposable
	{
		[creator];
		[native,system_io_compression_DeflateStream_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_io_compression_DeflateStream_constructor_];
		public static function constructor_(compressedStream:system.io.Stream,mode:CompressionMode,leaveOpen:Boolean):DeflateStream;

		[native,system_io_compression_DeflateStream_ctor];
		public function DeflateStream(compressedStream:system.io.Stream,mode:CompressionMode);

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_io_compression_DeflateStreamAdapter_ctor];
		private function _DeflateStreamAdapter(compressedStream:system.io.Stream,mode:CompressionMode);


		//*********公共方法*******
		/**
		* System.IO.Compression.DeflateStream.get_BaseStream
		*return:
		*   System.IO.Stream
		*/
		[native,system_io_compression_DeflateStream_get_BaseStream]
		public final function get baseStream():system.io.Stream;


	}
}
