package system.security.authentication
{
	[no_constructor]
	[link_system]
	public final class CipherAlgorithmType
	{
		[creator];
		[native,system_security_authentication_CipherAlgorithmType_creator];
		private static function _creator(type:Class):*;

		[native,system_security_authentication_CipherAlgorithmType_ctor];
		public function CipherAlgorithmType();

		/**
		 *None = System.Security.Authentication.CipherAlgorithmType None
		 */
		[native,system_security_authentication_CipherAlgorithmType_None_getter];
		public static const None:CipherAlgorithmType;

		/**
		 *Aes = System.Security.Authentication.CipherAlgorithmType Aes
		 */
		[native,system_security_authentication_CipherAlgorithmType_Aes_getter];
		public static const Aes:CipherAlgorithmType;

		/**
		 *Aes128 = System.Security.Authentication.CipherAlgorithmType Aes128
		 */
		[native,system_security_authentication_CipherAlgorithmType_Aes128_getter];
		public static const Aes128:CipherAlgorithmType;

		/**
		 *Aes192 = System.Security.Authentication.CipherAlgorithmType Aes192
		 */
		[native,system_security_authentication_CipherAlgorithmType_Aes192_getter];
		public static const Aes192:CipherAlgorithmType;

		/**
		 *Aes256 = System.Security.Authentication.CipherAlgorithmType Aes256
		 */
		[native,system_security_authentication_CipherAlgorithmType_Aes256_getter];
		public static const Aes256:CipherAlgorithmType;

		/**
		 *Des = System.Security.Authentication.CipherAlgorithmType Des
		 */
		[native,system_security_authentication_CipherAlgorithmType_Des_getter];
		public static const Des:CipherAlgorithmType;

		/**
		 *Rc2 = System.Security.Authentication.CipherAlgorithmType Rc2
		 */
		[native,system_security_authentication_CipherAlgorithmType_Rc2_getter];
		public static const Rc2:CipherAlgorithmType;

		/**
		 *Rc4 = System.Security.Authentication.CipherAlgorithmType Rc4
		 */
		[native,system_security_authentication_CipherAlgorithmType_Rc4_getter];
		public static const Rc4:CipherAlgorithmType;

		/**
		 *TripleDes = System.Security.Authentication.CipherAlgorithmType TripleDes
		 */
		[native,system_security_authentication_CipherAlgorithmType_TripleDes_getter];
		public static const TripleDes:CipherAlgorithmType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_security_authentication_CipherAlgorithmType_operator_bitOr];
		private static function bitOr(t1:CipherAlgorithmType,t2:CipherAlgorithmType):CipherAlgorithmType;
	}
}
