package system.security.cryptography
{
	import system._Object_;
	import system._Array_;


		/**
		*  System.Security.Cryptography.AsnEncodedData
		*/
	[link_system]
	public class AsnEncodedData extends system._Object_
	{
		[creator];
		[native,system_security_cryptography_AsnEncodedData_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_AsnEncodedData_constructor_];
		public static function constructor_(oid:Oid,rawData:_Array_):AsnEncodedData;

		[native,system_security_cryptography_AsnEncodedData_constructor__];
		public static function constructor__(asnEncodedData:AsnEncodedData):AsnEncodedData;

		[native,system_security_cryptography_AsnEncodedData_constructor___];
		public static function constructor___(rawData:_Array_):AsnEncodedData;

		[native,system_security_cryptography_AsnEncodedData_ctor];
		public function AsnEncodedData(oid:String,rawData:_Array_);

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_security_cryptography_AsnEncodedDataAdapter_ctor];
		private function _AsnEncodedDataAdapter(oid:String,rawData:_Array_);


		//*********公共方法*******
		/**
		* System.Security.Cryptography.AsnEncodedData.get_Oid
		*return:
		*   System.Security.Cryptography.Oid
		*/
		[native,system_security_cryptography_AsnEncodedData_get_Oid]
		public final function get oid():Oid;

		/**
		* System.Security.Cryptography.AsnEncodedData.set_Oid
		*parameters:
		*  value : System.Security.Cryptography.Oid
		*/
		[native,system_security_cryptography_AsnEncodedData_set_Oid]
		public final function set oid(value:Oid):void;

		/**
		* System.Security.Cryptography.AsnEncodedData.get_RawData
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_AsnEncodedData_get_RawData]
		public final function get rawData():_Array_;

		/**
		* System.Security.Cryptography.AsnEncodedData.set_RawData
		*parameters:
		*  value : System.Byte[]
		*/
		[native,system_security_cryptography_AsnEncodedData_set_RawData]
		public final function set rawData(value:_Array_):void;

		/**
		* System.Security.Cryptography.AsnEncodedData.CopyFrom
		*parameters:
		*  asnEncodedData : System.Security.Cryptography.AsnEncodedData
		*/
		[native,system_security_cryptography_AsnEncodedData_copyFrom];
		public function copyFrom(asnEncodedData:AsnEncodedData):void;

		/**
		* System.Security.Cryptography.AsnEncodedData.Format
		*parameters:
		*  multiLine : System.Boolean
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_AsnEncodedData_format];
		public function format(multiLine:Boolean):String;


	}
}
