package system.security.cryptography
{
	import system._Object_;
	import system.IDisposable;
	import system._Array_;


		/**
		* Abstract
		*  System.Security.Cryptography.AsymmetricAlgorithm
		*/
	[no_constructor]
	[link_system]
	public class AsymmetricAlgorithm extends system._Object_ implements system.IDisposable
	{
		[creator];
		[native,system_security_cryptography_AsymmetricAlgorithm_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function AsymmetricAlgorithm();
		//*********公共方法*******
		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.Clear
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_clear];
		public final function clear():void;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.get_KeySize
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_get_KeySize]
		public function get keySize():int;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.set_KeySize
		*parameters:
		*  value : System.Int32
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_set_KeySize]
		public function set keySize(value:int):void;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.get_LegalKeySizes
		*return:
		*   System.Security.Cryptography.KeySizes[]
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_get_LegalKeySizes]
		public function get legalKeySizes():_Array_;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.get_SignatureAlgorithm
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_get_SignatureAlgorithm]
		public function get signatureAlgorithm():String;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.get_KeyExchangeAlgorithm
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_get_KeyExchangeAlgorithm]
		public function get keyExchangeAlgorithm():String;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.Create
		*return:
		*   System.Security.Cryptography.AsymmetricAlgorithm
		*/
		[native,static_system_security_cryptography_AsymmetricAlgorithm_create];
		public static function create():AsymmetricAlgorithm;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.Create
		*parameters:
		*  algName : System.String
		*return:
		*   System.Security.Cryptography.AsymmetricAlgorithm
		*/
		[native,static_system_security_cryptography_AsymmetricAlgorithm_create_];
		public static function create_(algName:String):AsymmetricAlgorithm;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.FromXmlString
		*parameters:
		*  xmlString : System.String
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_fromXmlString];
		public function fromXmlString(xmlString:String):void;

		/**
		* System.Security.Cryptography.AsymmetricAlgorithm.ToXmlString
		*parameters:
		*  includePrivateParameters : System.Boolean
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_AsymmetricAlgorithm_toXmlString];
		public function toXmlString(includePrivateParameters:Boolean):String;


		//*****显式接口实现*****
		[native,system_IDisposable_dispose];
		private function system_IDisposable_Dispose():void;


	}
}
