package system.security.cryptography.x509certificates
{
	import system.security.cryptography.AsnEncodedData;


		/**
		* Sealed
		*  System.Security.Cryptography.X509Certificates.X509BasicConstraintsExtension
		*/
	[link_system]
	public final class X509BasicConstraintsExtension extends X509Extension
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_constructor_];
		public static function constructor_(encodedBasicConstraints:system.security.cryptography.AsnEncodedData,critical:Boolean):X509BasicConstraintsExtension;

		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_constructor__];
		public static function constructor__(certificateAuthority:Boolean,hasPathLengthConstraint:Boolean,pathLengthConstraint:int,critical:Boolean):X509BasicConstraintsExtension;

		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_ctor];
		public function X509BasicConstraintsExtension();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509BasicConstraintsExtension.get_CertificateAuthority
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_get_CertificateAuthority]
		public final function get certificateAuthority():Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509BasicConstraintsExtension.get_HasPathLengthConstraint
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_get_HasPathLengthConstraint]
		public final function get hasPathLengthConstraint():Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509BasicConstraintsExtension.get_PathLengthConstraint
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_x509certificates_X509BasicConstraintsExtension_get_PathLengthConstraint]
		public final function get pathLengthConstraint():int;


	}
}
