package system.security.cryptography.x509certificates
{
	import system._Object_;
	import system._Array_;
	import system.security.SecureString;
	import system.IntPtr;


		/**
		*  System.Security.Cryptography.X509Certificates.X509Certificate
		*/
	[link_system]
	public class X509Certificate extends system._Object_
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509Certificate_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509Certificate_constructor_];
		public static function constructor_(data:_Array_):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor__];
		public static function constructor__(rawData:_Array_,password:String):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor___];
		public static function constructor___(rawData:_Array_,password:system.security.SecureString):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor____];
		public static function constructor____(rawData:_Array_,password:String,keyStorageFlags:X509KeyStorageFlags):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor_____];
		public static function constructor_____(rawData:_Array_,password:system.security.SecureString,keyStorageFlags:X509KeyStorageFlags):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor______];
		public static function constructor______(fileName:String):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor_______];
		public static function constructor_______(fileName:String,password:String):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor________];
		public static function constructor________(fileName:String,password:system.security.SecureString):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor_________];
		public static function constructor_________(fileName:String,password:String,keyStorageFlags:X509KeyStorageFlags):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor__________];
		public static function constructor__________(fileName:String,password:system.security.SecureString,keyStorageFlags:X509KeyStorageFlags):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor___________];
		public static function constructor___________(handle:system.IntPtr):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_constructor____________];
		public static function constructor____________(cert:X509Certificate):X509Certificate;

		[native,system_security_cryptography_x509certificates_X509Certificate_ctor];
		public function X509Certificate();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_security_cryptography_x509certificates_X509CertificateAdapter_ctor];
		private function _X509CertificateAdapter();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.CreateFromCertFile
		*parameters:
		*  filename : System.String
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate
		*/
		[native,static_system_security_cryptography_x509certificates_X509Certificate_createFromCertFile];
		public static function createFromCertFile(filename:String):X509Certificate;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.CreateFromSignedFile
		*parameters:
		*  filename : System.String
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate
		*/
		[native,static_system_security_cryptography_x509certificates_X509Certificate_createFromSignedFile];
		public static function createFromSignedFile(filename:String):X509Certificate;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.get_Handle
		*return:
		*   System.IntPtr
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_get_Handle]
		public final function get handle():system.IntPtr;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetSerialNumber
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getSerialNumber];
		public function getSerialNumber():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetSerialNumberString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getSerialNumberString];
		public function getSerialNumberString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetKeyAlgorithmParameters
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getKeyAlgorithmParameters];
		public function getKeyAlgorithmParameters():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetKeyAlgorithmParametersString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getKeyAlgorithmParametersString];
		public function getKeyAlgorithmParametersString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetKeyAlgorithm
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getKeyAlgorithm];
		public function getKeyAlgorithm():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetPublicKey
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getPublicKey];
		public function getPublicKey():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetPublicKeyString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getPublicKeyString];
		public function getPublicKeyString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetRawCertData
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getRawCertData];
		public function getRawCertData():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetRawCertDataString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getRawCertDataString];
		public function getRawCertDataString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetCertHash
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getCertHash];
		public function getCertHash():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetCertHashString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getCertHashString];
		public function getCertHashString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetEffectiveDateString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getEffectiveDateString];
		public function getEffectiveDateString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetExpirationDateString
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getExpirationDateString];
		public function getExpirationDateString():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Equals
		*parameters:
		*  other : System.Security.Cryptography.X509Certificates.X509Certificate
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_equals___];
		public function equals___(other:X509Certificate):Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.ToString
		*parameters:
		*  fVerbose : System.Boolean
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_toString___];
		public function toString___(fVerbose:Boolean):String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.GetFormat
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_getFormat];
		public function getFormat():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.get_Issuer
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_get_Issuer]
		public final function get issuer():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.get_Subject
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_get_Subject]
		public final function get subject():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Import
		*parameters:
		*  rawData : System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_import_];
		public function import_(rawData:_Array_):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Import
		*parameters:
		*  rawData : System.Byte[]
		*  password : System.String
		*  keyStorageFlags : System.Security.Cryptography.X509Certificates.X509KeyStorageFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_import__];
		public function import__(rawData:_Array_,password:String,keyStorageFlags:X509KeyStorageFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Import
		*parameters:
		*  rawData : System.Byte[]
		*  password : System.Security.SecureString
		*  keyStorageFlags : System.Security.Cryptography.X509Certificates.X509KeyStorageFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_import___];
		public function import___(rawData:_Array_,password:system.security.SecureString,keyStorageFlags:X509KeyStorageFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Import
		*parameters:
		*  fileName : System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_import____];
		public function import____(fileName:String):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Import
		*parameters:
		*  fileName : System.String
		*  password : System.String
		*  keyStorageFlags : System.Security.Cryptography.X509Certificates.X509KeyStorageFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_import_____];
		public function import_____(fileName:String,password:String,keyStorageFlags:X509KeyStorageFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Import
		*parameters:
		*  fileName : System.String
		*  password : System.Security.SecureString
		*  keyStorageFlags : System.Security.Cryptography.X509Certificates.X509KeyStorageFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_import______];
		public function import______(fileName:String,password:system.security.SecureString,keyStorageFlags:X509KeyStorageFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Export
		*parameters:
		*  contentType : System.Security.Cryptography.X509Certificates.X509ContentType
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_export];
		public function export(contentType:X509ContentType):_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Export
		*parameters:
		*  contentType : System.Security.Cryptography.X509Certificates.X509ContentType
		*  password : System.String
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_export_];
		public function export_(contentType:X509ContentType,password:String):_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Export
		*parameters:
		*  contentType : System.Security.Cryptography.X509Certificates.X509ContentType
		*  password : System.Security.SecureString
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_export__];
		public function export__(contentType:X509ContentType,password:system.security.SecureString):_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate.Reset
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate_reset];
		public function reset():void;


	}
}
