package system.security.cryptography.x509certificates
{
	import system._Array_;
	import system.security.SecureString;
	import system.IntPtr;
	import system.DateTime;
	import system.security.cryptography.AsymmetricAlgorithm;
	import system.security.cryptography.Oid;


		/**
		*  System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
	[link_system]
	public class X509Certificate2 extends X509Certificate
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509Certificate2_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor_];
		public static function constructor_(rawData:_Array_):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor__];
		public static function constructor__(rawData:_Array_,password:String):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor___];
		public static function constructor___(rawData:_Array_,password:system.security.SecureString):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor____];
		public static function constructor____(rawData:_Array_,password:String,keyStorageFlags:X509KeyStorageFlags):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor_____];
		public static function constructor_____(rawData:_Array_,password:system.security.SecureString,keyStorageFlags:X509KeyStorageFlags):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor______];
		public static function constructor______(fileName:String):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor_______];
		public static function constructor_______(fileName:String,password:String):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor________];
		public static function constructor________(fileName:String,password:system.security.SecureString):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor_________];
		public static function constructor_________(fileName:String,password:String,keyStorageFlags:X509KeyStorageFlags):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor__________];
		public static function constructor__________(fileName:String,password:system.security.SecureString,keyStorageFlags:X509KeyStorageFlags):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor___________];
		public static function constructor___________(handle:system.IntPtr):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_constructor____________];
		public static function constructor____________(certificate:X509Certificate):X509Certificate2;

		[native,system_security_cryptography_x509certificates_X509Certificate2_ctor];
		public function X509Certificate2();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_security_cryptography_x509certificates_X509Certificate2Adapter_ctor];
		private function _X509Certificate2Adapter();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_Archived
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_Archived]
		public final function get archived():Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.set_Archived
		*parameters:
		*  value : System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_set_Archived]
		public final function set archived(value:Boolean):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_Extensions
		*return:
		*   System.Security.Cryptography.X509Certificates.X509ExtensionCollection
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_Extensions]
		public final function get extensions():X509ExtensionCollection;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_FriendlyName
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_FriendlyName]
		public final function get friendlyName():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.set_FriendlyName
		*parameters:
		*  value : System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_set_FriendlyName]
		public final function set friendlyName(value:String):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_HasPrivateKey
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_HasPrivateKey]
		public final function get hasPrivateKey():Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_IssuerName
		*return:
		*   System.Security.Cryptography.X509Certificates.X500DistinguishedName
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_IssuerName]
		public final function get issuerName():X500DistinguishedName;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_NotAfter
		*return:
		*   System.DateTime
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_NotAfter]
		public final function get notAfter():system.DateTime;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_NotBefore
		*return:
		*   System.DateTime
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_NotBefore]
		public final function get notBefore():system.DateTime;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_PrivateKey
		*return:
		*   System.Security.Cryptography.AsymmetricAlgorithm
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_PrivateKey]
		public final function get privateKey():system.security.cryptography.AsymmetricAlgorithm;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.set_PrivateKey
		*parameters:
		*  value : System.Security.Cryptography.AsymmetricAlgorithm
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_set_PrivateKey]
		public final function set privateKey(value:system.security.cryptography.AsymmetricAlgorithm):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_PublicKey
		*return:
		*   System.Security.Cryptography.X509Certificates.PublicKey
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_PublicKey]
		public final function get publicKey():PublicKey;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_RawData
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_RawData]
		public final function get rawData():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_SerialNumber
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_SerialNumber]
		public final function get serialNumber():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_SignatureAlgorithm
		*return:
		*   System.Security.Cryptography.Oid
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_SignatureAlgorithm]
		public final function get signatureAlgorithm():system.security.cryptography.Oid;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_SubjectName
		*return:
		*   System.Security.Cryptography.X509Certificates.X500DistinguishedName
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_SubjectName]
		public final function get subjectName():X500DistinguishedName;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_Thumbprint
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_Thumbprint]
		public final function get thumbprint():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.get_Version
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_get_Version]
		public final function get version():int;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.GetNameInfo
		*parameters:
		*  nameType : System.Security.Cryptography.X509Certificates.X509NameType
		*  forIssuer : System.Boolean
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_getNameInfo];
		public final function getNameInfo(nameType:X509NameType,forIssuer:Boolean):String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.Verify
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2_verify];
		public final function verify():Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.GetCertContentType
		*parameters:
		*  rawData : System.Byte[]
		*return:
		*   System.Security.Cryptography.X509Certificates.X509ContentType
		*/
		[native,static_system_security_cryptography_x509certificates_X509Certificate2_getCertContentType];
		public static function getCertContentType(rawData:_Array_):X509ContentType;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2.GetCertContentType
		*parameters:
		*  fileName : System.String
		*return:
		*   System.Security.Cryptography.X509Certificates.X509ContentType
		*/
		[native,static_system_security_cryptography_x509certificates_X509Certificate2_getCertContentType_];
		public static function getCertContentType_(fileName:String):X509ContentType;


	}
}
