package system.security.cryptography.x509certificates
{
	import system._Object_;
	import system.security.cryptography.OidCollection;
	import system.TimeSpan;
	import system.DateTime;


		/**
		* Sealed
		*  System.Security.Cryptography.X509Certificates.X509ChainPolicy
		*/
	[link_system]
	public final class X509ChainPolicy extends system._Object_
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_ctor];
		public function X509ChainPolicy();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_ApplicationPolicy
		*return:
		*   System.Security.Cryptography.OidCollection
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_ApplicationPolicy]
		public final function get applicationPolicy():system.security.cryptography.OidCollection;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_CertificatePolicy
		*return:
		*   System.Security.Cryptography.OidCollection
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_CertificatePolicy]
		public final function get certificatePolicy():system.security.cryptography.OidCollection;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_ExtraStore
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_ExtraStore]
		public final function get extraStore():X509Certificate2Collection;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_RevocationFlag
		*return:
		*   System.Security.Cryptography.X509Certificates.X509RevocationFlag
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_RevocationFlag]
		public final function get revocationFlag():X509RevocationFlag;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.set_RevocationFlag
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509RevocationFlag
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_set_RevocationFlag]
		public final function set revocationFlag(value:X509RevocationFlag):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_RevocationMode
		*return:
		*   System.Security.Cryptography.X509Certificates.X509RevocationMode
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_RevocationMode]
		public final function get revocationMode():X509RevocationMode;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.set_RevocationMode
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509RevocationMode
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_set_RevocationMode]
		public final function set revocationMode(value:X509RevocationMode):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_UrlRetrievalTimeout
		*return:
		*   System.TimeSpan
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_UrlRetrievalTimeout]
		public final function get urlRetrievalTimeout():system.TimeSpan;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.set_UrlRetrievalTimeout
		*parameters:
		*  value : System.TimeSpan
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_set_UrlRetrievalTimeout]
		public final function set urlRetrievalTimeout(value:system.TimeSpan):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_VerificationFlags
		*return:
		*   System.Security.Cryptography.X509Certificates.X509VerificationFlags
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_VerificationFlags]
		public final function get verificationFlags():X509VerificationFlags;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.set_VerificationFlags
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509VerificationFlags
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_set_VerificationFlags]
		public final function set verificationFlags(value:X509VerificationFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.get_VerificationTime
		*return:
		*   System.DateTime
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_get_VerificationTime]
		public final function get verificationTime():system.DateTime;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.set_VerificationTime
		*parameters:
		*  value : System.DateTime
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_set_VerificationTime]
		public final function set verificationTime(value:system.DateTime):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509ChainPolicy.Reset
		*/
		[native,system_security_cryptography_x509certificates_X509ChainPolicy_reset];
		public final function reset():void;


	}
}
