package system.security.cryptography.x509certificates
{
	import system._Object_;
	import system.IntPtr;


		/**
		* Sealed
		*  System.Security.Cryptography.X509Certificates.X509Store
		*/
	[link_system]
	public final class X509Store extends system._Object_
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509Store_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509Store_constructor_];
		public static function constructor_(storeName:String):X509Store;

		[native,system_security_cryptography_x509certificates_X509Store_constructor__];
		public static function constructor__(storeName:StoreName):X509Store;

		[native,system_security_cryptography_x509certificates_X509Store_constructor___];
		public static function constructor___(storeLocation:StoreLocation):X509Store;

		[native,system_security_cryptography_x509certificates_X509Store_constructor____];
		public static function constructor____(storeName:StoreName,storeLocation:StoreLocation):X509Store;

		[native,system_security_cryptography_x509certificates_X509Store_constructor_____];
		public static function constructor_____(storeHandle:system.IntPtr):X509Store;

		[native,system_security_cryptography_x509certificates_X509Store_constructor______];
		public static function constructor______(storeName:String,storeLocation:StoreLocation):X509Store;

		[native,system_security_cryptography_x509certificates_X509Store_ctor];
		public function X509Store();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509Store.get_Certificates
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509Store_get_Certificates]
		public final function get certificates():X509Certificate2Collection;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.get_Location
		*return:
		*   System.Security.Cryptography.X509Certificates.StoreLocation
		*/
		[native,system_security_cryptography_x509certificates_X509Store_get_Location]
		public final function get location():StoreLocation;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.get_Name
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Store_get_Name]
		public final function get name():String;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.get_StoreHandle
		*return:
		*   System.IntPtr
		*/
		[native,system_security_cryptography_x509certificates_X509Store_get_StoreHandle]
		public final function get storeHandle():system.IntPtr;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.Add
		*parameters:
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
		[native,system_security_cryptography_x509certificates_X509Store_add];
		public final function add(certificate:X509Certificate2):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.AddRange
		*parameters:
		*  certificates : System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509Store_addRange];
		public final function addRange(certificates:X509Certificate2Collection):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.Close
		*/
		[native,system_security_cryptography_x509certificates_X509Store_close];
		public final function close():void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.Open
		*parameters:
		*  flags : System.Security.Cryptography.X509Certificates.OpenFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Store_open];
		public final function open(flags:OpenFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.Remove
		*parameters:
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
		[native,system_security_cryptography_x509certificates_X509Store_remove];
		public final function remove(certificate:X509Certificate2):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Store.RemoveRange
		*parameters:
		*  certificates : System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509Store_removeRange];
		public final function removeRange(certificates:X509Certificate2Collection):void;


	}
}
