package system.security.cryptography.x509certificates
{
	import system.security.cryptography.AsnEncodedData;
	import system._Array_;


		/**
		* Sealed
		*  System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierExtension
		*/
	[link_system]
	public final class X509SubjectKeyIdentifierExtension extends X509Extension
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_constructor_];
		public static function constructor_(encodedSubjectKeyIdentifier:system.security.cryptography.AsnEncodedData,critical:Boolean):X509SubjectKeyIdentifierExtension;

		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_constructor__];
		public static function constructor__(subjectKeyIdentifier:_Array_,critical:Boolean):X509SubjectKeyIdentifierExtension;

		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_constructor___];
		public static function constructor___(subjectKeyIdentifier:String,critical:Boolean):X509SubjectKeyIdentifierExtension;

		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_constructor____];
		public static function constructor____(key:PublicKey,critical:Boolean):X509SubjectKeyIdentifierExtension;

		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_constructor_____];
		public static function constructor_____(key:PublicKey,algorithm:X509SubjectKeyIdentifierHashAlgorithm,critical:Boolean):X509SubjectKeyIdentifierExtension;

		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_ctor];
		public function X509SubjectKeyIdentifierExtension();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierExtension.get_SubjectKeyIdentifier
		*return:
		*   System.String
		*/
		[native,system_security_cryptography_x509certificates_X509SubjectKeyIdentifierExtension_get_SubjectKeyIdentifier]
		public final function get subjectKeyIdentifier():String;


	}
}
