package unityengine
{


		/**
		* Sealed
		*  UnityEngine.AnimationState
		*/
	[link_system]
	public final class AnimationState extends TrackedReference
	{
		[creator];
		[native,unityengine_AnimationState_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AnimationState_ctor];
		public function AnimationState();


		//*********公共方法*******
		/**
		* UnityEngine.AnimationState.get_enabled
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimationState_get_enabled]
		public final function get enabled():Boolean;

		/**
		* UnityEngine.AnimationState.set_enabled
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_AnimationState_set_enabled]
		public final function set enabled(value:Boolean):void;

		/**
		* UnityEngine.AnimationState.get_weight
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationState_get_weight]
		public final function get weight():Number;

		/**
		* UnityEngine.AnimationState.set_weight
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationState_set_weight]
		public final function set weight(value:Number):void;

		/**
		* UnityEngine.AnimationState.get_wrapMode
		*return:
		*   UnityEngine.WrapMode
		*/
		[native,unityengine_AnimationState_get_wrapMode]
		public final function get wrapMode():WrapMode;

		/**
		* UnityEngine.AnimationState.set_wrapMode
		*parameters:
		*  value : UnityEngine.WrapMode
		*/
		[native,unityengine_AnimationState_set_wrapMode]
		public final function set wrapMode(value:WrapMode):void;

		/**
		* UnityEngine.AnimationState.get_time
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationState_get_time]
		public final function get time():Number;

		/**
		* UnityEngine.AnimationState.set_time
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationState_set_time]
		public final function set time(value:Number):void;

		/**
		* UnityEngine.AnimationState.get_normalizedTime
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationState_get_normalizedTime]
		public final function get normalizedTime():Number;

		/**
		* UnityEngine.AnimationState.set_normalizedTime
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationState_set_normalizedTime]
		public final function set normalizedTime(value:Number):void;

		/**
		* UnityEngine.AnimationState.get_speed
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationState_get_speed]
		public final function get speed():Number;

		/**
		* UnityEngine.AnimationState.set_speed
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationState_set_speed]
		public final function set speed(value:Number):void;

		/**
		* UnityEngine.AnimationState.get_normalizedSpeed
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationState_get_normalizedSpeed]
		public final function get normalizedSpeed():Number;

		/**
		* UnityEngine.AnimationState.set_normalizedSpeed
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationState_set_normalizedSpeed]
		public final function set normalizedSpeed(value:Number):void;

		/**
		* UnityEngine.AnimationState.get_length
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationState_get_length]
		public final function get length():Number;

		/**
		* UnityEngine.AnimationState.get_layer
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimationState_get_layer]
		public final function get layer():int;

		/**
		* UnityEngine.AnimationState.set_layer
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_AnimationState_set_layer]
		public final function set layer(value:int):void;

		/**
		* UnityEngine.AnimationState.get_clip
		*return:
		*   UnityEngine.AnimationClip
		*/
		[native,unityengine_AnimationState_get_clip]
		public final function get clip():AnimationClip;

		/**
		* UnityEngine.AnimationState.AddMixingTransform
		*parameters:
		*  mix : UnityEngine.Transform
		*  recursive : System.Boolean
		*/
		[native,unityengine_AnimationState_addMixingTransform];
		public final function addMixingTransform(mix:Transform,recursive:Boolean):void;

		/**
		* UnityEngine.AnimationState.AddMixingTransform
		*parameters:
		*  mix : UnityEngine.Transform
		*/
		[native,unityengine_AnimationState_addMixingTransform_];
		public final function addMixingTransform_(mix:Transform):void;

		/**
		* UnityEngine.AnimationState.RemoveMixingTransform
		*parameters:
		*  mix : UnityEngine.Transform
		*/
		[native,unityengine_AnimationState_removeMixingTransform];
		public final function removeMixingTransform(mix:Transform):void;

		/**
		* UnityEngine.AnimationState.get_name
		*return:
		*   System.String
		*/
		[native,unityengine_AnimationState_get_name]
		public final function get name():String;

		/**
		* UnityEngine.AnimationState.set_name
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_AnimationState_set_name]
		public final function set name(value:String):void;

		/**
		* UnityEngine.AnimationState.get_blendMode
		*return:
		*   UnityEngine.AnimationBlendMode
		*/
		[native,unityengine_AnimationState_get_blendMode]
		public final function get blendMode():AnimationBlendMode;

		/**
		* UnityEngine.AnimationState.set_blendMode
		*parameters:
		*  value : UnityEngine.AnimationBlendMode
		*/
		[native,unityengine_AnimationState_set_blendMode]
		public final function set blendMode(value:AnimationBlendMode):void;


	}
}
