package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.AnimatorStateInfo
		*/
	[struct]
	[link_system]
	public final class AnimatorStateInfo extends system._Object_
	{
		[creator];
		[native,unityengine_AnimatorStateInfo_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AnimatorStateInfo_ctor];
		public function AnimatorStateInfo();
		//*********公共方法*******
		/**
		* UnityEngine.AnimatorStateInfo.IsName
		*parameters:
		*  name : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimatorStateInfo_isName];
		public final function isName(name:String):Boolean;

		/**
		* UnityEngine.AnimatorStateInfo.get_fullPathHash
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimatorStateInfo_get_fullPathHash]
		public final function get fullPathHash():int;

		/**
		* UnityEngine.AnimatorStateInfo.get_shortNameHash
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimatorStateInfo_get_shortNameHash]
		public final function get shortNameHash():int;

		/**
		* UnityEngine.AnimatorStateInfo.get_normalizedTime
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimatorStateInfo_get_normalizedTime]
		public final function get normalizedTime():Number;

		/**
		* UnityEngine.AnimatorStateInfo.get_length
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimatorStateInfo_get_length]
		public final function get length():Number;

		/**
		* UnityEngine.AnimatorStateInfo.get_speed
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimatorStateInfo_get_speed]
		public final function get speed():Number;

		/**
		* UnityEngine.AnimatorStateInfo.get_speedMultiplier
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimatorStateInfo_get_speedMultiplier]
		public final function get speedMultiplier():Number;

		/**
		* UnityEngine.AnimatorStateInfo.get_tagHash
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimatorStateInfo_get_tagHash]
		public final function get tagHash():int;

		/**
		* UnityEngine.AnimatorStateInfo.IsTag
		*parameters:
		*  tag : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimatorStateInfo_isTag];
		public final function isTag(tag:String):Boolean;

		/**
		* UnityEngine.AnimatorStateInfo.get_loop
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimatorStateInfo_get_loop]
		public final function get loop_():Boolean;


	}
}
