package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.AnimatorTransitionInfo
		*/
	[struct]
	[link_system]
	public final class AnimatorTransitionInfo extends system._Object_
	{
		[creator];
		[native,unityengine_AnimatorTransitionInfo_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AnimatorTransitionInfo_ctor];
		public function AnimatorTransitionInfo();
		//*********公共方法*******
		/**
		* UnityEngine.AnimatorTransitionInfo.IsName
		*parameters:
		*  name : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimatorTransitionInfo_isName];
		public final function isName(name:String):Boolean;

		/**
		* UnityEngine.AnimatorTransitionInfo.IsUserName
		*parameters:
		*  name : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimatorTransitionInfo_isUserName];
		public final function isUserName(name:String):Boolean;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_fullPathHash
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimatorTransitionInfo_get_fullPathHash]
		public final function get fullPathHash():int;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_nameHash
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimatorTransitionInfo_get_nameHash]
		public final function get nameHash():int;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_userNameHash
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimatorTransitionInfo_get_userNameHash]
		public final function get userNameHash():int;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_durationUnit
		*return:
		*   UnityEngine.DurationUnit
		*/
		[native,unityengine_AnimatorTransitionInfo_get_durationUnit]
		public final function get durationUnit():DurationUnit;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_duration
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimatorTransitionInfo_get_duration]
		public final function get duration():Number;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_normalizedTime
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimatorTransitionInfo_get_normalizedTime]
		public final function get normalizedTime():Number;

		/**
		* UnityEngine.AnimatorTransitionInfo.get_anyState
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimatorTransitionInfo_get_anyState]
		public final function get anyState():Boolean;


	}
}
