package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.AssetBundleManifest
		*/
	[link_system]
	public final class AssetBundleManifest extends UObject
	{
		[creator];
		[native,unityengine_AssetBundleManifest_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AssetBundleManifest_ctor];
		public function AssetBundleManifest();


		//*********公共方法*******
		/**
		* UnityEngine.AssetBundleManifest.GetAllAssetBundles
		*return:
		*   System.String[]
		*/
		[native,unityengine_AssetBundleManifest_getAllAssetBundles];
		public final function getAllAssetBundles():_Array_;

		/**
		* UnityEngine.AssetBundleManifest.GetAllAssetBundlesWithVariant
		*return:
		*   System.String[]
		*/
		[native,unityengine_AssetBundleManifest_getAllAssetBundlesWithVariant];
		public final function getAllAssetBundlesWithVariant():_Array_;

		/**
		* UnityEngine.AssetBundleManifest.GetAssetBundleHash
		*parameters:
		*  assetBundleName : System.String
		*return:
		*   UnityEngine.Hash128
		*/
		[native,unityengine_AssetBundleManifest_getAssetBundleHash];
		public final function getAssetBundleHash(assetBundleName:String):Hash128;

		/**
		* UnityEngine.AssetBundleManifest.GetDirectDependencies
		*parameters:
		*  assetBundleName : System.String
		*return:
		*   System.String[]
		*/
		[native,unityengine_AssetBundleManifest_getDirectDependencies];
		public final function getDirectDependencies(assetBundleName:String):_Array_;

		/**
		* UnityEngine.AssetBundleManifest.GetAllDependencies
		*parameters:
		*  assetBundleName : System.String
		*return:
		*   System.String[]
		*/
		[native,unityengine_AssetBundleManifest_getAllDependencies];
		public final function getAllDependencies(assetBundleName:String):_Array_;


	}
}
