package unityengine
{
	import system.Action_Of_AsyncOperation;


		/**
		*  UnityEngine.AsyncOperation
		*/
	[link_system]
	public class AsyncOperation extends YieldInstruction
	{
		[creator];
		[native,unityengine_AsyncOperation_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AsyncOperation_ctor];
		public function AsyncOperation();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_AsyncOperationAdapter_ctor];
		private function _AsyncOperationAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.AsyncOperation.get_isDone
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AsyncOperation_get_isDone]
		public final function get isDone():Boolean;

		/**
		* UnityEngine.AsyncOperation.get_progress
		*return:
		*   System.Single
		*/
		[native,unityengine_AsyncOperation_get_progress]
		public final function get progress():Number;

		/**
		* UnityEngine.AsyncOperation.get_priority
		*return:
		*   System.Int32
		*/
		[native,unityengine_AsyncOperation_get_priority]
		public final function get priority():int;

		/**
		* UnityEngine.AsyncOperation.set_priority
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_AsyncOperation_set_priority]
		public final function set priority(value:int):void;

		/**
		* UnityEngine.AsyncOperation.get_allowSceneActivation
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AsyncOperation_get_allowSceneActivation]
		public final function get allowSceneActivation():Boolean;

		/**
		* UnityEngine.AsyncOperation.set_allowSceneActivation
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_AsyncOperation_set_allowSceneActivation]
		public final function set allowSceneActivation(value:Boolean):void;

		/**
		* UnityEngine.AsyncOperation.add_completed
		*parameters:
		*  value : System.Action &lt; UnityEngine.AsyncOperation &gt;  [System.Void(UnityEngine.AsyncOperation)]
		*/
		[native,unityengine_AsyncOperation_completed_addEventListener];
		public final function completed_addEventListener(value:system.Action_Of_AsyncOperation):void;

		/**
		* UnityEngine.AsyncOperation.remove_completed
		*parameters:
		*  value : System.Action &lt; UnityEngine.AsyncOperation &gt;  [System.Void(UnityEngine.AsyncOperation)]
		*/
		[native,unityengine_AsyncOperation_completed_removeEventListener];
		public final function completed_removeEventListener(value:system.Action_Of_AsyncOperation):void;


	}
}
