package unityengine
{
	[no_constructor]
	[link_system]
	public final class AudioType
	{
		[creator];
		[native,unityengine_AudioType_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_AudioType_ctor];
		public function AudioType();

		/**
		 *UNKNOWN = UnityEngine.AudioType UNKNOWN
		 */
		[native,unityengine_AudioType_UNKNOWN_getter];
		public static const UNKNOWN:AudioType;

		/**
		 *ACC = UnityEngine.AudioType ACC
		 */
		[native,unityengine_AudioType_ACC_getter];
		public static const ACC:AudioType;

		/**
		 *AIFF = UnityEngine.AudioType AIFF
		 */
		[native,unityengine_AudioType_AIFF_getter];
		public static const AIFF:AudioType;

		/**
		 *IT = UnityEngine.AudioType IT
		 */
		[native,unityengine_AudioType_IT_getter];
		public static const IT:AudioType;

		/**
		 *MOD = UnityEngine.AudioType MOD
		 */
		[native,unityengine_AudioType_MOD_getter];
		public static const MOD:AudioType;

		/**
		 *MPEG = UnityEngine.AudioType MPEG
		 */
		[native,unityengine_AudioType_MPEG_getter];
		public static const MPEG:AudioType;

		/**
		 *OGGVORBIS = UnityEngine.AudioType OGGVORBIS
		 */
		[native,unityengine_AudioType_OGGVORBIS_getter];
		public static const OGGVORBIS:AudioType;

		/**
		 *S3M = UnityEngine.AudioType S3M
		 */
		[native,unityengine_AudioType_S3M_getter];
		public static const S3M:AudioType;

		/**
		 *WAV = UnityEngine.AudioType WAV
		 */
		[native,unityengine_AudioType_WAV_getter];
		public static const WAV:AudioType;

		/**
		 *XM = UnityEngine.AudioType XM
		 */
		[native,unityengine_AudioType_XM_getter];
		public static const XM:AudioType;

		/**
		 *XMA = UnityEngine.AudioType XMA
		 */
		[native,unityengine_AudioType_XMA_getter];
		public static const XMA:AudioType;

		/**
		 *VAG = UnityEngine.AudioType VAG
		 */
		[native,unityengine_AudioType_VAG_getter];
		public static const VAG:AudioType;

		/**
		 *AUDIOQUEUE = UnityEngine.AudioType AUDIOQUEUE
		 */
		[native,unityengine_AudioType_AUDIOQUEUE_getter];
		public static const AUDIOQUEUE:AudioType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_AudioType_operator_bitOr];
		private static function bitOr(t1:AudioType,t2:AudioType):AudioType;
	}
}
