package unityengine
{
	import system.collections.generic.List_Of_Vector4;
	import system._Array_;
	import system.collections.generic.List_Of_Vector2;
	import system.collections.generic.List_Of_UInt16;


		/**
		* Sealed
		*  UnityEngine.BillboardAsset
		*/
	[link_system]
	public final class BillboardAsset extends UObject
	{
		[creator];
		[native,unityengine_BillboardAsset_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_BillboardAsset_ctor];
		public function BillboardAsset();


		//*********公共方法*******
		/**
		* UnityEngine.BillboardAsset.get_width
		*return:
		*   System.Single
		*/
		[native,unityengine_BillboardAsset_get_width]
		public final function get width():Number;

		/**
		* UnityEngine.BillboardAsset.set_width
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_BillboardAsset_set_width]
		public final function set width(value:Number):void;

		/**
		* UnityEngine.BillboardAsset.get_height
		*return:
		*   System.Single
		*/
		[native,unityengine_BillboardAsset_get_height]
		public final function get height():Number;

		/**
		* UnityEngine.BillboardAsset.set_height
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_BillboardAsset_set_height]
		public final function set height(value:Number):void;

		/**
		* UnityEngine.BillboardAsset.get_bottom
		*return:
		*   System.Single
		*/
		[native,unityengine_BillboardAsset_get_bottom]
		public final function get bottom():Number;

		/**
		* UnityEngine.BillboardAsset.set_bottom
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_BillboardAsset_set_bottom]
		public final function set bottom(value:Number):void;

		/**
		* UnityEngine.BillboardAsset.get_imageCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_BillboardAsset_get_imageCount]
		public final function get imageCount():int;

		/**
		* UnityEngine.BillboardAsset.get_vertexCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_BillboardAsset_get_vertexCount]
		public final function get vertexCount():int;

		/**
		* UnityEngine.BillboardAsset.get_indexCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_BillboardAsset_get_indexCount]
		public final function get indexCount():int;

		/**
		* UnityEngine.BillboardAsset.get_material
		*return:
		*   UnityEngine.Material
		*/
		[native,unityengine_BillboardAsset_get_material]
		public final function get material():Material;

		/**
		* UnityEngine.BillboardAsset.set_material
		*parameters:
		*  value : UnityEngine.Material
		*/
		[native,unityengine_BillboardAsset_set_material]
		public final function set material(value:Material):void;

		/**
		* UnityEngine.BillboardAsset.GetImageTexCoords
		*parameters:
		*  imageTexCoords : System.Collections.Generic.List &lt; UnityEngine.Vector4 &gt; 
		*/
		[native,unityengine_BillboardAsset_getImageTexCoords];
		public final function getImageTexCoords(imageTexCoords:system.collections.generic.List_Of_Vector4):void;

		/**
		* UnityEngine.BillboardAsset.GetImageTexCoords
		*return:
		*   UnityEngine.Vector4[]
		*/
		[native,unityengine_BillboardAsset_getImageTexCoords_];
		public final function getImageTexCoords_():_Array_;

		/**
		* UnityEngine.BillboardAsset.SetImageTexCoords
		*parameters:
		*  imageTexCoords : System.Collections.Generic.List &lt; UnityEngine.Vector4 &gt; 
		*/
		[native,unityengine_BillboardAsset_setImageTexCoords];
		public final function setImageTexCoords(imageTexCoords:system.collections.generic.List_Of_Vector4):void;

		/**
		* UnityEngine.BillboardAsset.SetImageTexCoords
		*parameters:
		*  imageTexCoords : UnityEngine.Vector4[]
		*/
		[native,unityengine_BillboardAsset_setImageTexCoords_];
		public final function setImageTexCoords_(imageTexCoords:_Array_):void;

		/**
		* UnityEngine.BillboardAsset.GetVertices
		*parameters:
		*  vertices : System.Collections.Generic.List &lt; UnityEngine.Vector2 &gt; 
		*/
		[native,unityengine_BillboardAsset_getVertices];
		public final function getVertices(vertices:system.collections.generic.List_Of_Vector2):void;

		/**
		* UnityEngine.BillboardAsset.GetVertices
		*return:
		*   UnityEngine.Vector2[]
		*/
		[native,unityengine_BillboardAsset_getVertices_];
		public final function getVertices_():_Array_;

		/**
		* UnityEngine.BillboardAsset.SetVertices
		*parameters:
		*  vertices : System.Collections.Generic.List &lt; UnityEngine.Vector2 &gt; 
		*/
		[native,unityengine_BillboardAsset_setVertices];
		public final function setVertices(vertices:system.collections.generic.List_Of_Vector2):void;

		/**
		* UnityEngine.BillboardAsset.SetVertices
		*parameters:
		*  vertices : UnityEngine.Vector2[]
		*/
		[native,unityengine_BillboardAsset_setVertices_];
		public final function setVertices_(vertices:_Array_):void;

		/**
		* UnityEngine.BillboardAsset.GetIndices
		*parameters:
		*  indices : System.Collections.Generic.List &lt; System.UInt16 &gt; 
		*/
		[native,unityengine_BillboardAsset_getIndices];
		public final function getIndices(indices:system.collections.generic.List_Of_UInt16):void;

		/**
		* UnityEngine.BillboardAsset.GetIndices
		*return:
		*   System.UInt16[]
		*/
		[native,unityengine_BillboardAsset_getIndices_];
		public final function getIndices_():_Array_;

		/**
		* UnityEngine.BillboardAsset.SetIndices
		*parameters:
		*  indices : System.Collections.Generic.List &lt; System.UInt16 &gt; 
		*/
		[native,unityengine_BillboardAsset_setIndices];
		public final function setIndices(indices:system.collections.generic.List_Of_UInt16):void;

		/**
		* UnityEngine.BillboardAsset.SetIndices
		*parameters:
		*  indices : System.UInt16[]
		*/
		[native,unityengine_BillboardAsset_setIndices_];
		public final function setIndices_(indices:_Array_):void;


	}
}
