package unityengine
{
	import system._Object_;
	import as3runtime.RefOutStore;
	import system.Char;


		/**
		* Sealed
		*  UnityEngine.BitStream
		*/
	[link_system]
	public final class BitStream extends system._Object_
	{
		[creator];
		[native,unityengine_BitStream_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_BitStream_ctor];
		public function BitStream();


		//*********公共方法*******
		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) System.Boolean
		*/
		[native,unityengine_BitStream_serialize];
		public final function serialize(value:Boolean,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) System.Char
		*/
		[native,unityengine_BitStream_serialize_];
		public final function serialize_(value:system.Char,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) System.Int16
		*/
		[native,unityengine_BitStream_serialize__];
		public final function serialize__(value:int,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) System.Int32
		*/
		[native,unityengine_BitStream_serialize___];
		public final function serialize___(value:int,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) System.Single
		*/
		[native,unityengine_BitStream_serialize____];
		public final function serialize____(value:Number,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) System.Single
		*  maxDelta : System.Single
		*/
		[native,unityengine_BitStream_serialize_____];
		public final function serialize_____(value:Number,maxDelta:Number,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) UnityEngine.Quaternion
		*/
		[native,unityengine_BitStream_serialize______];
		public final function serialize______(value:Quaternion,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) UnityEngine.Quaternion
		*  maxDelta : System.Single
		*/
		[native,unityengine_BitStream_serialize_______];
		public final function serialize_______(value:Quaternion,maxDelta:Number,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) UnityEngine.Vector3
		*/
		[native,unityengine_BitStream_serialize________];
		public final function serialize________(value:Vector3,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) UnityEngine.Vector3
		*  maxDelta : System.Single
		*/
		[native,unityengine_BitStream_serialize_________];
		public final function serialize_________(value:Vector3,maxDelta:Number,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  value : (ByRef) UnityEngine.NetworkPlayer
		*/
		[native,unityengine_BitStream_serialize__________];
		public final function serialize__________(value:NetworkPlayer,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.Serialize
		*parameters:
		*  viewID : (ByRef) UnityEngine.NetworkViewID
		*/
		[native,unityengine_BitStream_serialize___________];
		public final function serialize___________(viewID:NetworkViewID,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.BitStream.get_isReading
		*return:
		*   System.Boolean
		*/
		[native,unityengine_BitStream_get_isReading]
		public final function get isReading():Boolean;

		/**
		* UnityEngine.BitStream.get_isWriting
		*return:
		*   System.Boolean
		*/
		[native,unityengine_BitStream_get_isWriting]
		public final function get isWriting():Boolean;


	}
}
