package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.BoundsInt
		*/
	[struct]
	[link_system]
	public final class BoundsInt extends system._Object_
	{
		[creator];
		[native,unityengine_BoundsInt_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_BoundsInt_constructor_];
		public static function constructor_(position:Vector3Int,size:Vector3Int):BoundsInt;

		[native,unityengine_BoundsInt_ctor];
		public function BoundsInt(xMin:int,yMin:int,zMin:int,sizeX:int,sizeY:int,sizeZ:int);


		//*********公共方法*******
		/**
		* UnityEngine.BoundsInt.get_x
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_x]
		public final function get x():int;

		/**
		* UnityEngine.BoundsInt.set_x
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_x]
		public final function set x(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_y
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_y]
		public final function get y():int;

		/**
		* UnityEngine.BoundsInt.set_y
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_y]
		public final function set y(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_z
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_z]
		public final function get z():int;

		/**
		* UnityEngine.BoundsInt.set_z
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_z]
		public final function set z(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_center
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_BoundsInt_get_center]
		public final function get center():Vector3;

		/**
		* UnityEngine.BoundsInt.get_min
		*return:
		*   UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_get_min]
		public final function get min():Vector3Int;

		/**
		* UnityEngine.BoundsInt.set_min
		*parameters:
		*  value : UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_set_min]
		public final function set min(value:Vector3Int):void;

		/**
		* UnityEngine.BoundsInt.get_max
		*return:
		*   UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_get_max]
		public final function get max():Vector3Int;

		/**
		* UnityEngine.BoundsInt.set_max
		*parameters:
		*  value : UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_set_max]
		public final function set max(value:Vector3Int):void;

		/**
		* UnityEngine.BoundsInt.get_xMin
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_xMin]
		public final function get xMin():int;

		/**
		* UnityEngine.BoundsInt.set_xMin
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_xMin]
		public final function set xMin(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_yMin
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_yMin]
		public final function get yMin():int;

		/**
		* UnityEngine.BoundsInt.set_yMin
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_yMin]
		public final function set yMin(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_zMin
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_zMin]
		public final function get zMin():int;

		/**
		* UnityEngine.BoundsInt.set_zMin
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_zMin]
		public final function set zMin(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_xMax
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_xMax]
		public final function get xMax():int;

		/**
		* UnityEngine.BoundsInt.set_xMax
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_xMax]
		public final function set xMax(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_yMax
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_yMax]
		public final function get yMax():int;

		/**
		* UnityEngine.BoundsInt.set_yMax
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_yMax]
		public final function set yMax(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_zMax
		*return:
		*   System.Int32
		*/
		[native,unityengine_BoundsInt_get_zMax]
		public final function get zMax():int;

		/**
		* UnityEngine.BoundsInt.set_zMax
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_BoundsInt_set_zMax]
		public final function set zMax(value:int):void;

		/**
		* UnityEngine.BoundsInt.get_position
		*return:
		*   UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_get_position]
		public final function get position():Vector3Int;

		/**
		* UnityEngine.BoundsInt.set_position
		*parameters:
		*  value : UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_set_position]
		public final function set position(value:Vector3Int):void;

		/**
		* UnityEngine.BoundsInt.get_size
		*return:
		*   UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_get_size]
		public final function get size():Vector3Int;

		/**
		* UnityEngine.BoundsInt.set_size
		*parameters:
		*  value : UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_set_size]
		public final function set size(value:Vector3Int):void;

		/**
		* UnityEngine.BoundsInt.SetMinMax
		*parameters:
		*  minPosition : UnityEngine.Vector3Int
		*  maxPosition : UnityEngine.Vector3Int
		*/
		[native,unityengine_BoundsInt_setMinMax];
		public final function setMinMax(minPosition:Vector3Int,maxPosition:Vector3Int):void;

		/**
		* UnityEngine.BoundsInt.ClampToBounds
		*parameters:
		*  bounds : UnityEngine.BoundsInt
		*/
		[native,unityengine_BoundsInt_clampToBounds];
		public final function clampToBounds(bounds:BoundsInt):void;

		/**
		* UnityEngine.BoundsInt.Contains
		*parameters:
		*  position : UnityEngine.Vector3Int
		*return:
		*   System.Boolean
		*/
		[native,unityengine_BoundsInt_contains];
		public final function contains(position:Vector3Int):Boolean;

		/**
		* UnityEngine.BoundsInt.get_allPositionsWithin
		*return:
		*   UnityEngine.BoundsInt.PositionEnumerator
		*/
		[native,unityengine_BoundsInt_get_allPositionsWithin]
		public final function get allPositionsWithin():BoundsInt_PositionEnumerator;


		//*****操作重载*****
		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_BoundsInt_op_Equality];
		public static function op_Equality(lhs:BoundsInt,rhs:BoundsInt):Boolean;

		[operator,"=="];
		[native,static_unityengine_BoundsInt_op_Equality];
		private static function _operator_op_Equality(lhs:BoundsInt,rhs:BoundsInt):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_BoundsInt_op_Inequality];
		public static function op_Inequality(lhs:BoundsInt,rhs:BoundsInt):Boolean;

		[operator,"!="];
		[native,static_unityengine_BoundsInt_op_Inequality];
		private static function _operator_op_Inequality(lhs:BoundsInt,rhs:BoundsInt):Boolean;


	}
}
