package unityengine
{
	import system._Object_;
	import system.Int64;


		/**
		* Struct
		*  UnityEngine.Cache
		*/
	[struct]
	[link_system]
	public final class Cache extends system._Object_
	{
		[creator];
		[native,unityengine_Cache_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Cache_ctor];
		public function Cache();
		//*********公共方法*******
		/**
		* UnityEngine.Cache.get_valid
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Cache_get_valid]
		public final function get valid():Boolean;

		/**
		* UnityEngine.Cache.get_readOnly
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Cache_get_readOnly]
		public final function get readOnly():Boolean;

		/**
		* UnityEngine.Cache.get_path
		*return:
		*   System.String
		*/
		[native,unityengine_Cache_get_path]
		public final function get path():String;

		/**
		* UnityEngine.Cache.get_index
		*return:
		*   System.Int32
		*/
		[native,unityengine_Cache_get_index]
		public final function get index():int;

		/**
		* UnityEngine.Cache.get_spaceFree
		*return:
		*   System.Int64
		*/
		[native,unityengine_Cache_get_spaceFree]
		public final function get spaceFree():system.Int64;

		/**
		* UnityEngine.Cache.get_maximumAvailableStorageSpace
		*return:
		*   System.Int64
		*/
		[native,unityengine_Cache_get_maximumAvailableStorageSpace]
		public final function get maximumAvailableStorageSpace():system.Int64;

		/**
		* UnityEngine.Cache.set_maximumAvailableStorageSpace
		*parameters:
		*  value : System.Int64
		*/
		[native,unityengine_Cache_set_maximumAvailableStorageSpace]
		public final function set maximumAvailableStorageSpace(value:system.Int64):void;

		/**
		* UnityEngine.Cache.get_spaceOccupied
		*return:
		*   System.Int64
		*/
		[native,unityengine_Cache_get_spaceOccupied]
		public final function get spaceOccupied():system.Int64;

		/**
		* UnityEngine.Cache.get_expirationDelay
		*return:
		*   System.Int32
		*/
		[native,unityengine_Cache_get_expirationDelay]
		public final function get expirationDelay():int;

		/**
		* UnityEngine.Cache.set_expirationDelay
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Cache_set_expirationDelay]
		public final function set expirationDelay(value:int):void;

		/**
		* UnityEngine.Cache.get_ready
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Cache_get_ready]
		public final function get ready():Boolean;

		/**
		* UnityEngine.Cache.ClearCache
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Cache_clearCache];
		public final function clearCache():Boolean;

		/**
		* UnityEngine.Cache.ClearCache
		*parameters:
		*  expiration : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Cache_clearCache_];
		public final function clearCache_(expiration:int):Boolean;


		//*****操作重载*****
		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Cache_op_Equality];
		public static function op_Equality(lhs:Cache,rhs:Cache):Boolean;

		[operator,"=="];
		[native,static_unityengine_Cache_op_Equality];
		private static function _operator_op_Equality(lhs:Cache,rhs:Cache):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Cache_op_Inequality];
		public static function op_Inequality(lhs:Cache,rhs:Cache):Boolean;

		[operator,"!="];
		[native,static_unityengine_Cache_op_Inequality];
		private static function _operator_op_Inequality(lhs:Cache,rhs:Cache):Boolean;


	}
}
