package unityengine
{


		/**
		* Sealed
		*  UnityEngine.CharacterController
		*/
	[link_system]
	public final class CharacterController extends Collider
	{
		[creator];
		[native,unityengine_CharacterController_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_CharacterController_ctor];
		public function CharacterController();


		//*********公共方法*******
		/**
		* UnityEngine.CharacterController.SimpleMove
		*parameters:
		*  speed : UnityEngine.Vector3
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CharacterController_simpleMove];
		public final function simpleMove(speed:Vector3):Boolean;

		/**
		* UnityEngine.CharacterController.Move
		*parameters:
		*  motion : UnityEngine.Vector3
		*return:
		*   UnityEngine.CollisionFlags
		*/
		[native,unityengine_CharacterController_move];
		public final function move(motion:Vector3):CollisionFlags;

		/**
		* UnityEngine.CharacterController.get_isGrounded
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CharacterController_get_isGrounded]
		public final function get isGrounded():Boolean;

		/**
		* UnityEngine.CharacterController.get_velocity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_CharacterController_get_velocity]
		public final function get velocity():Vector3;

		/**
		* UnityEngine.CharacterController.get_collisionFlags
		*return:
		*   UnityEngine.CollisionFlags
		*/
		[native,unityengine_CharacterController_get_collisionFlags]
		public final function get collisionFlags():CollisionFlags;

		/**
		* UnityEngine.CharacterController.get_radius
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterController_get_radius]
		public final function get radius():Number;

		/**
		* UnityEngine.CharacterController.set_radius
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterController_set_radius]
		public final function set radius(value:Number):void;

		/**
		* UnityEngine.CharacterController.get_height
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterController_get_height]
		public final function get height():Number;

		/**
		* UnityEngine.CharacterController.set_height
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterController_set_height]
		public final function set height(value:Number):void;

		/**
		* UnityEngine.CharacterController.get_center
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_CharacterController_get_center]
		public final function get center():Vector3;

		/**
		* UnityEngine.CharacterController.set_center
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_CharacterController_set_center]
		public final function set center(value:Vector3):void;

		/**
		* UnityEngine.CharacterController.get_slopeLimit
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterController_get_slopeLimit]
		public final function get slopeLimit():Number;

		/**
		* UnityEngine.CharacterController.set_slopeLimit
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterController_set_slopeLimit]
		public final function set slopeLimit(value:Number):void;

		/**
		* UnityEngine.CharacterController.get_stepOffset
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterController_get_stepOffset]
		public final function get stepOffset():Number;

		/**
		* UnityEngine.CharacterController.set_stepOffset
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterController_set_stepOffset]
		public final function set stepOffset(value:Number):void;

		/**
		* UnityEngine.CharacterController.get_skinWidth
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterController_get_skinWidth]
		public final function get skinWidth():Number;

		/**
		* UnityEngine.CharacterController.set_skinWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterController_set_skinWidth]
		public final function set skinWidth(value:Number):void;

		/**
		* UnityEngine.CharacterController.get_minMoveDistance
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterController_get_minMoveDistance]
		public final function get minMoveDistance():Number;

		/**
		* UnityEngine.CharacterController.set_minMoveDistance
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterController_set_minMoveDistance]
		public final function set minMoveDistance(value:Number):void;

		/**
		* UnityEngine.CharacterController.get_detectCollisions
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CharacterController_get_detectCollisions]
		public final function get detectCollisions():Boolean;

		/**
		* UnityEngine.CharacterController.set_detectCollisions
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_CharacterController_set_detectCollisions]
		public final function set detectCollisions(value:Boolean):void;

		/**
		* UnityEngine.CharacterController.get_enableOverlapRecovery
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CharacterController_get_enableOverlapRecovery]
		public final function get enableOverlapRecovery():Boolean;

		/**
		* UnityEngine.CharacterController.set_enableOverlapRecovery
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_CharacterController_set_enableOverlapRecovery]
		public final function set enableOverlapRecovery(value:Boolean):void;


	}
}
