package unityengine
{
	import as3runtime.RefOutStore;


		/**
		*  UnityEngine.Collider
		*/
	[link_system]
	public class Collider extends Component
	{
		[creator];
		[native,unityengine_Collider_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Collider_ctor];
		public function Collider();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_ColliderAdapter_ctor];
		private function _ColliderAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.Collider.get_enabled
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Collider_get_enabled]
		public final function get enabled():Boolean;

		/**
		* UnityEngine.Collider.set_enabled
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Collider_set_enabled]
		public final function set enabled(value:Boolean):void;

		/**
		* UnityEngine.Collider.get_attachedRigidbody
		*return:
		*   UnityEngine.Rigidbody
		*/
		[native,unityengine_Collider_get_attachedRigidbody]
		public final function get attachedRigidbody():Rigidbody;

		/**
		* UnityEngine.Collider.get_isTrigger
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Collider_get_isTrigger]
		public final function get isTrigger():Boolean;

		/**
		* UnityEngine.Collider.set_isTrigger
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Collider_set_isTrigger]
		public final function set isTrigger(value:Boolean):void;

		/**
		* UnityEngine.Collider.get_contactOffset
		*return:
		*   System.Single
		*/
		[native,unityengine_Collider_get_contactOffset]
		public final function get contactOffset():Number;

		/**
		* UnityEngine.Collider.set_contactOffset
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Collider_set_contactOffset]
		public final function set contactOffset(value:Number):void;

		/**
		* UnityEngine.Collider.get_material
		*return:
		*   UnityEngine.PhysicMaterial
		*/
		[native,unityengine_Collider_get_material]
		public final function get material():PhysicMaterial;

		/**
		* UnityEngine.Collider.set_material
		*parameters:
		*  value : UnityEngine.PhysicMaterial
		*/
		[native,unityengine_Collider_set_material]
		public final function set material(value:PhysicMaterial):void;

		/**
		* UnityEngine.Collider.ClosestPointOnBounds
		*parameters:
		*  position : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Collider_closestPointOnBounds];
		public final function closestPointOnBounds(position:Vector3):Vector3;

		/**
		* UnityEngine.Collider.ClosestPoint
		*parameters:
		*  position : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Collider_closestPoint];
		public final function closestPoint(position:Vector3):Vector3;

		/**
		* UnityEngine.Collider.get_sharedMaterial
		*return:
		*   UnityEngine.PhysicMaterial
		*/
		[native,unityengine_Collider_get_sharedMaterial]
		public final function get sharedMaterial():PhysicMaterial;

		/**
		* UnityEngine.Collider.set_sharedMaterial
		*parameters:
		*  value : UnityEngine.PhysicMaterial
		*/
		[native,unityengine_Collider_set_sharedMaterial]
		public final function set sharedMaterial(value:PhysicMaterial):void;

		/**
		* UnityEngine.Collider.get_bounds
		*return:
		*   UnityEngine.Bounds
		*/
		[native,unityengine_Collider_get_bounds]
		public final function get bounds():Bounds;

		/**
		* UnityEngine.Collider.Raycast
		*parameters:
		*  ray : UnityEngine.Ray
		*  hitInfo : (Out)UnityEngine.RaycastHit
		*  maxDistance : System.Single
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Collider_raycast];
		public final function raycast(ray:Ray,hitInfo:RaycastHit,maxDistance:Number,refout:as3runtime.RefOutStore):Boolean;


	}
}
