package unityengine
{
	import system._Object_;
	import as3runtime.RefOutStore;


		/**
		* Sealed
		*  UnityEngine.ColorUtility
		*/
	[link_system]
	public final class ColorUtility extends system._Object_
	{
		[creator];
		[native,unityengine_ColorUtility_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ColorUtility_ctor];
		public function ColorUtility();


		//*********公共方法*******
		/**
		* UnityEngine.ColorUtility.TryParseHtmlString
		*parameters:
		*  htmlString : System.String
		*  color : (Out)UnityEngine.Color
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_ColorUtility_tryParseHtmlString];
		public static function tryParseHtmlString(htmlString:String,color:Color,refout:as3runtime.RefOutStore):Boolean;

		/**
		* UnityEngine.ColorUtility.ToHtmlStringRGB
		*parameters:
		*  color : UnityEngine.Color
		*return:
		*   System.String
		*/
		[native,static_unityengine_ColorUtility_toHtmlStringRGB];
		public static function toHtmlStringRGB(color:Color):String;

		/**
		* UnityEngine.ColorUtility.ToHtmlStringRGBA
		*parameters:
		*  color : UnityEngine.Color
		*return:
		*   System.String
		*/
		[native,static_unityengine_ColorUtility_toHtmlStringRGBA];
		public static function toHtmlStringRGBA(color:Color):String;


	}
}
