package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.CombineInstance
		*/
	[struct]
	[link_system]
	public final class CombineInstance extends system._Object_
	{
		[creator];
		[native,unityengine_CombineInstance_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_CombineInstance_ctor];
		public function CombineInstance();
		//*********公共方法*******
		/**
		* UnityEngine.CombineInstance.get_mesh
		*return:
		*   UnityEngine.Mesh
		*/
		[native,unityengine_CombineInstance_get_mesh]
		public final function get mesh():Mesh;

		/**
		* UnityEngine.CombineInstance.set_mesh
		*parameters:
		*  value : UnityEngine.Mesh
		*/
		[native,unityengine_CombineInstance_set_mesh]
		public final function set mesh(value:Mesh):void;

		/**
		* UnityEngine.CombineInstance.get_subMeshIndex
		*return:
		*   System.Int32
		*/
		[native,unityengine_CombineInstance_get_subMeshIndex]
		public final function get subMeshIndex():int;

		/**
		* UnityEngine.CombineInstance.set_subMeshIndex
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CombineInstance_set_subMeshIndex]
		public final function set subMeshIndex(value:int):void;

		/**
		* UnityEngine.CombineInstance.get_transform
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,unityengine_CombineInstance_get_transform]
		public final function get transform():Matrix4x4;

		/**
		* UnityEngine.CombineInstance.set_transform
		*parameters:
		*  value : UnityEngine.Matrix4x4
		*/
		[native,unityengine_CombineInstance_set_transform]
		public final function set transform(value:Matrix4x4):void;

		/**
		* UnityEngine.CombineInstance.get_lightmapScaleOffset
		*return:
		*   UnityEngine.Vector4
		*/
		[native,unityengine_CombineInstance_get_lightmapScaleOffset]
		public final function get lightmapScaleOffset():Vector4;

		/**
		* UnityEngine.CombineInstance.set_lightmapScaleOffset
		*parameters:
		*  value : UnityEngine.Vector4
		*/
		[native,unityengine_CombineInstance_set_lightmapScaleOffset]
		public final function set lightmapScaleOffset(value:Vector4):void;

		/**
		* UnityEngine.CombineInstance.get_realtimeLightmapScaleOffset
		*return:
		*   UnityEngine.Vector4
		*/
		[native,unityengine_CombineInstance_get_realtimeLightmapScaleOffset]
		public final function get realtimeLightmapScaleOffset():Vector4;

		/**
		* UnityEngine.CombineInstance.set_realtimeLightmapScaleOffset
		*parameters:
		*  value : UnityEngine.Vector4
		*/
		[native,unityengine_CombineInstance_set_realtimeLightmapScaleOffset]
		public final function set realtimeLightmapScaleOffset(value:Vector4):void;


	}
}
