package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.CubemapArray
		*/
	[link_system]
	public final class CubemapArray extends Texture
	{
		[creator];
		[native,unityengine_CubemapArray_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_CubemapArray_constructor_];
		public static function constructor_(faceSize:int,cubemapCount:int,format:TextureFormat,mipmap:Boolean,linear:Boolean):CubemapArray;

		[native,unityengine_CubemapArray_ctor];
		public function CubemapArray(faceSize:int,cubemapCount:int,format:TextureFormat,mipmap:Boolean);


		//*********公共方法*******
		/**
		* UnityEngine.CubemapArray.get_cubemapCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_CubemapArray_get_cubemapCount]
		public final function get cubemapCount():int;

		/**
		* UnityEngine.CubemapArray.get_format
		*return:
		*   UnityEngine.TextureFormat
		*/
		[native,unityengine_CubemapArray_get_format]
		public final function get format():TextureFormat;

		/**
		* UnityEngine.CubemapArray.Apply
		*parameters:
		*  updateMipmaps : System.Boolean
		*  makeNoLongerReadable : System.Boolean
		*/
		[native,unityengine_CubemapArray_apply];
		public final function apply(updateMipmaps:Boolean,makeNoLongerReadable:Boolean):void;

		/**
		* UnityEngine.CubemapArray.Apply
		*parameters:
		*  updateMipmaps : System.Boolean
		*/
		[native,unityengine_CubemapArray_apply_];
		public final function apply_(updateMipmaps:Boolean):void;

		/**
		* UnityEngine.CubemapArray.Apply
		*/
		[native,unityengine_CubemapArray_apply__];
		public final function apply__():void;

		/**
		* UnityEngine.CubemapArray.SetPixels
		*parameters:
		*  colors : UnityEngine.Color[]
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*/
		[native,unityengine_CubemapArray_setPixels];
		public final function setPixels(colors:_Array_,face:CubemapFace,arrayElement:int,miplevel:int):void;

		/**
		* UnityEngine.CubemapArray.SetPixels
		*parameters:
		*  colors : UnityEngine.Color[]
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*/
		[native,unityengine_CubemapArray_setPixels_];
		public final function setPixels_(colors:_Array_,face:CubemapFace,arrayElement:int):void;

		/**
		* UnityEngine.CubemapArray.SetPixels32
		*parameters:
		*  colors : UnityEngine.Color32[]
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*/
		[native,unityengine_CubemapArray_setPixels32];
		public final function setPixels32(colors:_Array_,face:CubemapFace,arrayElement:int,miplevel:int):void;

		/**
		* UnityEngine.CubemapArray.SetPixels32
		*parameters:
		*  colors : UnityEngine.Color32[]
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*/
		[native,unityengine_CubemapArray_setPixels32_];
		public final function setPixels32_(colors:_Array_,face:CubemapFace,arrayElement:int):void;

		/**
		* UnityEngine.CubemapArray.GetPixels
		*parameters:
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*return:
		*   UnityEngine.Color[]
		*/
		[native,unityengine_CubemapArray_getPixels];
		public final function getPixels(face:CubemapFace,arrayElement:int,miplevel:int):_Array_;

		/**
		* UnityEngine.CubemapArray.GetPixels
		*parameters:
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*return:
		*   UnityEngine.Color[]
		*/
		[native,unityengine_CubemapArray_getPixels_];
		public final function getPixels_(face:CubemapFace,arrayElement:int):_Array_;

		/**
		* UnityEngine.CubemapArray.GetPixels32
		*parameters:
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*return:
		*   UnityEngine.Color32[]
		*/
		[native,unityengine_CubemapArray_getPixels32];
		public final function getPixels32(face:CubemapFace,arrayElement:int,miplevel:int):_Array_;

		/**
		* UnityEngine.CubemapArray.GetPixels32
		*parameters:
		*  face : UnityEngine.CubemapFace
		*  arrayElement : System.Int32
		*return:
		*   UnityEngine.Color32[]
		*/
		[native,unityengine_CubemapArray_getPixels32_];
		public final function getPixels32_(face:CubemapFace,arrayElement:int):_Array_;


	}
}
