package unityengine
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.CullingGroup.StateChanged
		* System.Void(UnityEngine.CullingGroupEvent)

		* Sealed
		* Nested Type
		*  UnityEngine.CullingGroup.StateChanged
		*/
	[link_system]
	public final class CullingGroup_StateChanged extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_CullingGroup_StateChanged_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:CullingGroup_StateChanged, b:Function):CullingGroup_StateChanged;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:CullingGroup_StateChanged, value:Function):CullingGroup_StateChanged;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:CullingGroup_StateChanged, b:Function):CullingGroup_StateChanged;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:CullingGroup_StateChanged, value:Function):CullingGroup_StateChanged;

		//*********构造函数*******
		[native,unityengine_CullingGroup_StateChanged_ctor];
		public function CullingGroup_StateChanged(func:Function);

		[implicit_from];
		[native,unityengine_CullingGroup_StateChanged_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_CullingGroup_StateChanged_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.CullingGroup.StateChanged.Invoke
		*parameters:
		*  sphere : UnityEngine.CullingGroupEvent
		*/
		[native,unityengine_CullingGroup_StateChanged_invoke];
		public function invoke(sphere:CullingGroupEvent):void;

		/**
		* UnityEngine.CullingGroup.StateChanged.BeginInvoke
		*parameters:
		*  sphere : UnityEngine.CullingGroupEvent
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_CullingGroup_StateChanged_beginInvoke];
		public function beginInvoke(sphere:CullingGroupEvent,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.CullingGroup.StateChanged.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_CullingGroup_StateChanged_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
