package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.Cursor
		*/
	[link_system]
	public final class Cursor extends system._Object_
	{
		[creator];
		[native,unityengine_Cursor_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Cursor_ctor];
		public function Cursor();


		//*********公共方法*******
		/**
		* UnityEngine.Cursor.SetCursor
		*parameters:
		*  texture : UnityEngine.Texture2D
		*  hotspot : UnityEngine.Vector2
		*  cursorMode : UnityEngine.CursorMode
		*/
		[native,static_unityengine_Cursor_setCursor];
		public static function setCursor(texture:Texture2D,hotspot:Vector2,cursorMode:CursorMode):void;

		/**
		* UnityEngine.Cursor.get_visible
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_Cursor_get_visible]
		public static function get visible():Boolean;

		/**
		* UnityEngine.Cursor.set_visible
		*parameters:
		*  value : System.Boolean
		*/
		[native,static_unityengine_Cursor_set_visible]
		public static function set visible(value:Boolean):void;

		/**
		* UnityEngine.Cursor.get_lockState
		*return:
		*   UnityEngine.CursorLockMode
		*/
		[native,static_unityengine_Cursor_get_lockState]
		public static function get lockState():CursorLockMode;

		/**
		* UnityEngine.Cursor.set_lockState
		*parameters:
		*  value : UnityEngine.CursorLockMode
		*/
		[native,static_unityengine_Cursor_set_lockState]
		public static function set lockState(value:CursorLockMode):void;


	}
}
