package unityengine
{
	import system.collections.generic.List_Of_CustomRenderTextureUpdateZone;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.CustomRenderTexture
		*/
	[link_system]
	public final class CustomRenderTexture extends RenderTexture
	{
		[creator];
		[native,unityengine_CustomRenderTexture_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_CustomRenderTexture_constructor_];
		public static function constructor_(width:int,height:int,format:RenderTextureFormat):CustomRenderTexture;

		[native,unityengine_CustomRenderTexture_constructor__];
		public static function constructor__(width:int,height:int):CustomRenderTexture;

		[native,unityengine_CustomRenderTexture_ctor];
		public function CustomRenderTexture(width:int,height:int,format:RenderTextureFormat,readWrite:RenderTextureReadWrite);


		//*********公共方法*******
		/**
		* UnityEngine.CustomRenderTexture.Update
		*parameters:
		*  count : System.Int32
		*/
		[native,unityengine_CustomRenderTexture_update];
		public final function update(count:int):void;

		/**
		* UnityEngine.CustomRenderTexture.Update
		*/
		[native,unityengine_CustomRenderTexture_update_];
		public final function update_():void;

		/**
		* UnityEngine.CustomRenderTexture.Initialize
		*/
		[native,unityengine_CustomRenderTexture_initialize];
		public final function initialize():void;

		/**
		* UnityEngine.CustomRenderTexture.ClearUpdateZones
		*/
		[native,unityengine_CustomRenderTexture_clearUpdateZones];
		public final function clearUpdateZones():void;

		/**
		* UnityEngine.CustomRenderTexture.get_material
		*return:
		*   UnityEngine.Material
		*/
		[native,unityengine_CustomRenderTexture_get_material]
		public final function get material():Material;

		/**
		* UnityEngine.CustomRenderTexture.set_material
		*parameters:
		*  value : UnityEngine.Material
		*/
		[native,unityengine_CustomRenderTexture_set_material]
		public final function set material(value:Material):void;

		/**
		* UnityEngine.CustomRenderTexture.get_initializationMaterial
		*return:
		*   UnityEngine.Material
		*/
		[native,unityengine_CustomRenderTexture_get_initializationMaterial]
		public final function get initializationMaterial():Material;

		/**
		* UnityEngine.CustomRenderTexture.set_initializationMaterial
		*parameters:
		*  value : UnityEngine.Material
		*/
		[native,unityengine_CustomRenderTexture_set_initializationMaterial]
		public final function set initializationMaterial(value:Material):void;

		/**
		* UnityEngine.CustomRenderTexture.get_initializationTexture
		*return:
		*   UnityEngine.Texture
		*/
		[native,unityengine_CustomRenderTexture_get_initializationTexture]
		public final function get initializationTexture():Texture;

		/**
		* UnityEngine.CustomRenderTexture.set_initializationTexture
		*parameters:
		*  value : UnityEngine.Texture
		*/
		[native,unityengine_CustomRenderTexture_set_initializationTexture]
		public final function set initializationTexture(value:Texture):void;

		/**
		* UnityEngine.CustomRenderTexture.GetUpdateZones
		*parameters:
		*  updateZones : System.Collections.Generic.List &lt; UnityEngine.CustomRenderTextureUpdateZone &gt; 
		*/
		[native,unityengine_CustomRenderTexture_getUpdateZones];
		public final function getUpdateZones(updateZones:system.collections.generic.List_Of_CustomRenderTextureUpdateZone):void;

		/**
		* UnityEngine.CustomRenderTexture.SetUpdateZones
		*parameters:
		*  updateZones : UnityEngine.CustomRenderTextureUpdateZone[]
		*/
		[native,unityengine_CustomRenderTexture_setUpdateZones];
		public final function setUpdateZones(updateZones:_Array_):void;

		/**
		* UnityEngine.CustomRenderTexture.get_initializationSource
		*return:
		*   UnityEngine.CustomRenderTextureInitializationSource
		*/
		[native,unityengine_CustomRenderTexture_get_initializationSource]
		public final function get initializationSource():CustomRenderTextureInitializationSource;

		/**
		* UnityEngine.CustomRenderTexture.set_initializationSource
		*parameters:
		*  value : UnityEngine.CustomRenderTextureInitializationSource
		*/
		[native,unityengine_CustomRenderTexture_set_initializationSource]
		public final function set initializationSource(value:CustomRenderTextureInitializationSource):void;

		/**
		* UnityEngine.CustomRenderTexture.get_initializationColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_CustomRenderTexture_get_initializationColor]
		public final function get initializationColor():Color;

		/**
		* UnityEngine.CustomRenderTexture.set_initializationColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_CustomRenderTexture_set_initializationColor]
		public final function set initializationColor(value:Color):void;

		/**
		* UnityEngine.CustomRenderTexture.get_updateMode
		*return:
		*   UnityEngine.CustomRenderTextureUpdateMode
		*/
		[native,unityengine_CustomRenderTexture_get_updateMode]
		public final function get updateMode():CustomRenderTextureUpdateMode;

		/**
		* UnityEngine.CustomRenderTexture.set_updateMode
		*parameters:
		*  value : UnityEngine.CustomRenderTextureUpdateMode
		*/
		[native,unityengine_CustomRenderTexture_set_updateMode]
		public final function set updateMode(value:CustomRenderTextureUpdateMode):void;

		/**
		* UnityEngine.CustomRenderTexture.get_initializationMode
		*return:
		*   UnityEngine.CustomRenderTextureUpdateMode
		*/
		[native,unityengine_CustomRenderTexture_get_initializationMode]
		public final function get initializationMode():CustomRenderTextureUpdateMode;

		/**
		* UnityEngine.CustomRenderTexture.set_initializationMode
		*parameters:
		*  value : UnityEngine.CustomRenderTextureUpdateMode
		*/
		[native,unityengine_CustomRenderTexture_set_initializationMode]
		public final function set initializationMode(value:CustomRenderTextureUpdateMode):void;

		/**
		* UnityEngine.CustomRenderTexture.get_updateZoneSpace
		*return:
		*   UnityEngine.CustomRenderTextureUpdateZoneSpace
		*/
		[native,unityengine_CustomRenderTexture_get_updateZoneSpace]
		public final function get updateZoneSpace():CustomRenderTextureUpdateZoneSpace;

		/**
		* UnityEngine.CustomRenderTexture.set_updateZoneSpace
		*parameters:
		*  value : UnityEngine.CustomRenderTextureUpdateZoneSpace
		*/
		[native,unityengine_CustomRenderTexture_set_updateZoneSpace]
		public final function set updateZoneSpace(value:CustomRenderTextureUpdateZoneSpace):void;

		/**
		* UnityEngine.CustomRenderTexture.get_shaderPass
		*return:
		*   System.Int32
		*/
		[native,unityengine_CustomRenderTexture_get_shaderPass]
		public final function get shaderPass():int;

		/**
		* UnityEngine.CustomRenderTexture.set_shaderPass
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CustomRenderTexture_set_shaderPass]
		public final function set shaderPass(value:int):void;

		/**
		* UnityEngine.CustomRenderTexture.get_cubemapFaceMask
		*return:
		*   System.UInt32
		*/
		[native,unityengine_CustomRenderTexture_get_cubemapFaceMask]
		public final function get cubemapFaceMask():uint;

		/**
		* UnityEngine.CustomRenderTexture.set_cubemapFaceMask
		*parameters:
		*  value : System.UInt32
		*/
		[native,unityengine_CustomRenderTexture_set_cubemapFaceMask]
		public final function set cubemapFaceMask(value:uint):void;

		/**
		* UnityEngine.CustomRenderTexture.get_doubleBuffered
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CustomRenderTexture_get_doubleBuffered]
		public final function get doubleBuffered():Boolean;

		/**
		* UnityEngine.CustomRenderTexture.set_doubleBuffered
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_CustomRenderTexture_set_doubleBuffered]
		public final function set doubleBuffered(value:Boolean):void;

		/**
		* UnityEngine.CustomRenderTexture.get_wrapUpdateZones
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CustomRenderTexture_get_wrapUpdateZones]
		public final function get wrapUpdateZones():Boolean;

		/**
		* UnityEngine.CustomRenderTexture.set_wrapUpdateZones
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_CustomRenderTexture_set_wrapUpdateZones]
		public final function set wrapUpdateZones(value:Boolean):void;


	}
}
