package unityengine
{
	import system._Object_;
	import system.Char;


		/**
		* Sealed
		*  UnityEngine.Event
		*/
	[link_system]
	public final class Event extends system._Object_
	{
		[creator];
		[native,unityengine_Event_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Event_constructor_];
		public static function constructor_(displayIndex:int):Event;

		[native,unityengine_Event_constructor__];
		public static function constructor__(other:Event):Event;

		[native,unityengine_Event_ctor];
		public function Event();


		//*********公共方法*******
		/**
		* UnityEngine.Event.get_mousePosition
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Event_get_mousePosition]
		public final function get mousePosition():Vector2;

		/**
		* UnityEngine.Event.set_mousePosition
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Event_set_mousePosition]
		public final function set mousePosition(value:Vector2):void;

		/**
		* UnityEngine.Event.get_delta
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Event_get_delta]
		public final function get delta():Vector2;

		/**
		* UnityEngine.Event.set_delta
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Event_set_delta]
		public final function set delta(value:Vector2):void;

		/**
		* UnityEngine.Event.get_shift
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_shift]
		public final function get shift():Boolean;

		/**
		* UnityEngine.Event.set_shift
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Event_set_shift]
		public final function set shift(value:Boolean):void;

		/**
		* UnityEngine.Event.get_control
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_control]
		public final function get control():Boolean;

		/**
		* UnityEngine.Event.set_control
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Event_set_control]
		public final function set control(value:Boolean):void;

		/**
		* UnityEngine.Event.get_alt
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_alt]
		public final function get alt():Boolean;

		/**
		* UnityEngine.Event.set_alt
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Event_set_alt]
		public final function set alt(value:Boolean):void;

		/**
		* UnityEngine.Event.get_command
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_command]
		public final function get command():Boolean;

		/**
		* UnityEngine.Event.set_command
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Event_set_command]
		public final function set command(value:Boolean):void;

		/**
		* UnityEngine.Event.get_capsLock
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_capsLock]
		public final function get capsLock():Boolean;

		/**
		* UnityEngine.Event.set_capsLock
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Event_set_capsLock]
		public final function set capsLock(value:Boolean):void;

		/**
		* UnityEngine.Event.get_numeric
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_numeric]
		public final function get numeric():Boolean;

		/**
		* UnityEngine.Event.set_numeric
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Event_set_numeric]
		public final function set numeric(value:Boolean):void;

		/**
		* UnityEngine.Event.get_functionKey
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_functionKey]
		public final function get functionKey():Boolean;

		/**
		* UnityEngine.Event.get_current
		*return:
		*   UnityEngine.Event
		*/
		[native,static_unityengine_Event_get_current]
		public static function get current():Event;

		/**
		* UnityEngine.Event.set_current
		*parameters:
		*  value : UnityEngine.Event
		*/
		[native,static_unityengine_Event_set_current]
		public static function set current(value:Event):void;

		/**
		* UnityEngine.Event.get_isKey
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_isKey]
		public final function get isKey():Boolean;

		/**
		* UnityEngine.Event.get_isMouse
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_isMouse]
		public final function get isMouse():Boolean;

		/**
		* UnityEngine.Event.get_isScrollWheel
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Event_get_isScrollWheel]
		public final function get isScrollWheel():Boolean;

		/**
		* UnityEngine.Event.KeyboardEvent
		*parameters:
		*  key : System.String
		*return:
		*   UnityEngine.Event
		*/
		[native,static_unityengine_Event_keyboardEvent];
		public static function keyboardEvent(key:String):Event;

		/**
		* UnityEngine.Event.Use
		*/
		[native,unityengine_Event_use_];
		public final function use_():void;

		/**
		* UnityEngine.Event.get_rawType
		*return:
		*   UnityEngine.EventType
		*/
		[native,unityengine_Event_get_rawType]
		public final function get rawType():EventType;

		/**
		* UnityEngine.Event.get_type
		*return:
		*   UnityEngine.EventType
		*/
		[native,unityengine_Event_get_type]
		public final function get type():EventType;

		/**
		* UnityEngine.Event.set_type
		*parameters:
		*  value : UnityEngine.EventType
		*/
		[native,unityengine_Event_set_type]
		public final function set type(value:EventType):void;

		/**
		* UnityEngine.Event.GetTypeForControl
		*parameters:
		*  controlID : System.Int32
		*return:
		*   UnityEngine.EventType
		*/
		[native,unityengine_Event_getTypeForControl];
		public final function getTypeForControl(controlID:int):EventType;

		/**
		* UnityEngine.Event.get_button
		*return:
		*   System.Int32
		*/
		[native,unityengine_Event_get_button]
		public final function get button():int;

		/**
		* UnityEngine.Event.set_button
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Event_set_button]
		public final function set button(value:int):void;

		/**
		* UnityEngine.Event.get_modifiers
		*return:
		*   UnityEngine.EventModifiers
		*/
		[native,unityengine_Event_get_modifiers]
		public final function get modifiers():EventModifiers;

		/**
		* UnityEngine.Event.set_modifiers
		*parameters:
		*  value : UnityEngine.EventModifiers
		*/
		[native,unityengine_Event_set_modifiers]
		public final function set modifiers(value:EventModifiers):void;

		/**
		* UnityEngine.Event.get_pressure
		*return:
		*   System.Single
		*/
		[native,unityengine_Event_get_pressure]
		public final function get pressure():Number;

		/**
		* UnityEngine.Event.set_pressure
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Event_set_pressure]
		public final function set pressure(value:Number):void;

		/**
		* UnityEngine.Event.get_clickCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Event_get_clickCount]
		public final function get clickCount():int;

		/**
		* UnityEngine.Event.set_clickCount
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Event_set_clickCount]
		public final function set clickCount(value:int):void;

		/**
		* UnityEngine.Event.get_character
		*return:
		*   System.Char
		*/
		[native,unityengine_Event_get_character]
		public final function get character():system.Char;

		/**
		* UnityEngine.Event.set_character
		*parameters:
		*  value : System.Char
		*/
		[native,unityengine_Event_set_character]
		public final function set character(value:system.Char):void;

		/**
		* UnityEngine.Event.get_commandName
		*return:
		*   System.String
		*/
		[native,unityengine_Event_get_commandName]
		public final function get commandName():String;

		/**
		* UnityEngine.Event.set_commandName
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_Event_set_commandName]
		public final function set commandName(value:String):void;

		/**
		* UnityEngine.Event.get_keyCode
		*return:
		*   UnityEngine.KeyCode
		*/
		[native,unityengine_Event_get_keyCode]
		public final function get keyCode():KeyCode;

		/**
		* UnityEngine.Event.set_keyCode
		*parameters:
		*  value : UnityEngine.KeyCode
		*/
		[native,unityengine_Event_set_keyCode]
		public final function set keyCode(value:KeyCode):void;

		/**
		* UnityEngine.Event.get_displayIndex
		*return:
		*   System.Int32
		*/
		[native,unityengine_Event_get_displayIndex]
		public final function get displayIndex():int;

		/**
		* UnityEngine.Event.set_displayIndex
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Event_set_displayIndex]
		public final function set displayIndex(value:int):void;

		/**
		* UnityEngine.Event.PopEvent
		*parameters:
		*  outEvent : UnityEngine.Event
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_Event_popEvent];
		public static function popEvent(outEvent:Event):Boolean;

		/**
		* UnityEngine.Event.GetEventCount
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Event_getEventCount];
		public static function getEventCount():int;


	}
}
