package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.Gyroscope
		*/
	[no_constructor]
	[link_system]
	public final class Gyroscope extends system._Object_
	{
		[creator];
		[native,unityengine_Gyroscope_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Gyroscope();
		//*********公共方法*******
		/**
		* UnityEngine.Gyroscope.get_rotationRate
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Gyroscope_get_rotationRate]
		public final function get rotationRate():Vector3;

		/**
		* UnityEngine.Gyroscope.get_rotationRateUnbiased
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Gyroscope_get_rotationRateUnbiased]
		public final function get rotationRateUnbiased():Vector3;

		/**
		* UnityEngine.Gyroscope.get_gravity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Gyroscope_get_gravity]
		public final function get gravity():Vector3;

		/**
		* UnityEngine.Gyroscope.get_userAcceleration
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Gyroscope_get_userAcceleration]
		public final function get userAcceleration():Vector3;

		/**
		* UnityEngine.Gyroscope.get_attitude
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Gyroscope_get_attitude]
		public final function get attitude():Quaternion;

		/**
		* UnityEngine.Gyroscope.get_enabled
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Gyroscope_get_enabled]
		public final function get enabled():Boolean;

		/**
		* UnityEngine.Gyroscope.set_enabled
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Gyroscope_set_enabled]
		public final function set enabled(value:Boolean):void;

		/**
		* UnityEngine.Gyroscope.get_updateInterval
		*return:
		*   System.Single
		*/
		[native,unityengine_Gyroscope_get_updateInterval]
		public final function get updateInterval():Number;

		/**
		* UnityEngine.Gyroscope.set_updateInterval
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Gyroscope_set_updateInterval]
		public final function set updateInterval(value:Number):void;


	}
}
