package unityengine
{


		/**
		*  UnityEngine.Joint
		*/
	[link_system]
	public class Joint extends Component
	{
		[creator];
		[native,unityengine_Joint_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Joint_ctor];
		public function Joint();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_JointAdapter_ctor];
		private function _JointAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.Joint.get_connectedBody
		*return:
		*   UnityEngine.Rigidbody
		*/
		[native,unityengine_Joint_get_connectedBody]
		public final function get connectedBody():Rigidbody;

		/**
		* UnityEngine.Joint.set_connectedBody
		*parameters:
		*  value : UnityEngine.Rigidbody
		*/
		[native,unityengine_Joint_set_connectedBody]
		public final function set connectedBody(value:Rigidbody):void;

		/**
		* UnityEngine.Joint.get_axis
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Joint_get_axis]
		public final function get axis():Vector3;

		/**
		* UnityEngine.Joint.set_axis
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Joint_set_axis]
		public final function set axis(value:Vector3):void;

		/**
		* UnityEngine.Joint.get_anchor
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Joint_get_anchor]
		public final function get anchor():Vector3;

		/**
		* UnityEngine.Joint.set_anchor
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Joint_set_anchor]
		public final function set anchor(value:Vector3):void;

		/**
		* UnityEngine.Joint.get_connectedAnchor
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Joint_get_connectedAnchor]
		public final function get connectedAnchor():Vector3;

		/**
		* UnityEngine.Joint.set_connectedAnchor
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Joint_set_connectedAnchor]
		public final function set connectedAnchor(value:Vector3):void;

		/**
		* UnityEngine.Joint.get_autoConfigureConnectedAnchor
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Joint_get_autoConfigureConnectedAnchor]
		public final function get autoConfigureConnectedAnchor():Boolean;

		/**
		* UnityEngine.Joint.set_autoConfigureConnectedAnchor
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Joint_set_autoConfigureConnectedAnchor]
		public final function set autoConfigureConnectedAnchor(value:Boolean):void;

		/**
		* UnityEngine.Joint.get_breakForce
		*return:
		*   System.Single
		*/
		[native,unityengine_Joint_get_breakForce]
		public final function get breakForce():Number;

		/**
		* UnityEngine.Joint.set_breakForce
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Joint_set_breakForce]
		public final function set breakForce(value:Number):void;

		/**
		* UnityEngine.Joint.get_breakTorque
		*return:
		*   System.Single
		*/
		[native,unityengine_Joint_get_breakTorque]
		public final function get breakTorque():Number;

		/**
		* UnityEngine.Joint.set_breakTorque
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Joint_set_breakTorque]
		public final function set breakTorque(value:Number):void;

		/**
		* UnityEngine.Joint.get_enableCollision
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Joint_get_enableCollision]
		public final function get enableCollision():Boolean;

		/**
		* UnityEngine.Joint.set_enableCollision
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Joint_set_enableCollision]
		public final function set enableCollision(value:Boolean):void;

		/**
		* UnityEngine.Joint.get_enablePreprocessing
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Joint_get_enablePreprocessing]
		public final function get enablePreprocessing():Boolean;

		/**
		* UnityEngine.Joint.set_enablePreprocessing
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Joint_set_enablePreprocessing]
		public final function set enablePreprocessing(value:Boolean):void;

		/**
		* UnityEngine.Joint.get_currentForce
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Joint_get_currentForce]
		public final function get currentForce():Vector3;

		/**
		* UnityEngine.Joint.get_currentTorque
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Joint_get_currentTorque]
		public final function get currentTorque():Vector3;

		/**
		* UnityEngine.Joint.get_massScale
		*return:
		*   System.Single
		*/
		[native,unityengine_Joint_get_massScale]
		public final function get massScale():Number;

		/**
		* UnityEngine.Joint.set_massScale
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Joint_set_massScale]
		public final function set massScale(value:Number):void;

		/**
		* UnityEngine.Joint.get_connectedMassScale
		*return:
		*   System.Single
		*/
		[native,unityengine_Joint_get_connectedMassScale]
		public final function get connectedMassScale():Number;

		/**
		* UnityEngine.Joint.set_connectedMassScale
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Joint_set_connectedMassScale]
		public final function set connectedMassScale(value:Number):void;


	}
}
