package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Struct
		*  UnityEngine.LayerMask
		*/
	[struct]
	[link_system]
	public final class LayerMask extends system._Object_
	{
		[creator];
		[native,unityengine_LayerMask_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LayerMask_ctor];
		public function LayerMask();
		//*********公共方法*******
		/**
		* UnityEngine.LayerMask.get_value
		*return:
		*   System.Int32
		*/
		[native,unityengine_LayerMask_get_value]
		public final function get value():int;

		/**
		* UnityEngine.LayerMask.set_value
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_LayerMask_set_value]
		public final function set value(value:int):void;

		/**
		* UnityEngine.LayerMask.LayerToName
		*parameters:
		*  layer : System.Int32
		*return:
		*   System.String
		*/
		[native,static_unityengine_LayerMask_layerToName];
		public static function layerToName(layer:int):String;

		/**
		* UnityEngine.LayerMask.NameToLayer
		*parameters:
		*  layerName : System.String
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_LayerMask_nameToLayer];
		public static function nameToLayer(layerName:String):int;

		/**
		* UnityEngine.LayerMask.GetMask
		*parameters:
		*  layerNames : System.String[]
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_LayerMask_getMask];
		public static function getMask(layerNames:_Array_):int;


		//*****操作重载*****
		/**
		 * Implicit To System.Int32 
		 */
		[native,static_unityengine_LayerMask_op_Implicit];
		public static function op_Implicit(mask:LayerMask):int;

		/**
		 * Implicit From System.Int32 
		 */
		[native,static_unityengine_LayerMask_op_Implicit_];
		public static function op_Implicit_(intVal:int):LayerMask;

		[implicit_from];
		[native,static_unityengine_LayerMask_op_Implicit_];
		private static function _implicit_from_value(v:int):*;

		[native,unityengine_LayerMask_valueOf];
		public function valueOf():int;


	}
}
