package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.LightmapData
		*/
	[link_system]
	public final class LightmapData extends system._Object_
	{
		[creator];
		[native,unityengine_LightmapData_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LightmapData_ctor];
		public function LightmapData();


		//*********公共方法*******
		/**
		* UnityEngine.LightmapData.get_lightmapColor
		*return:
		*   UnityEngine.Texture2D
		*/
		[native,unityengine_LightmapData_get_lightmapColor]
		public final function get lightmapColor():Texture2D;

		/**
		* UnityEngine.LightmapData.set_lightmapColor
		*parameters:
		*  value : UnityEngine.Texture2D
		*/
		[native,unityengine_LightmapData_set_lightmapColor]
		public final function set lightmapColor(value:Texture2D):void;

		/**
		* UnityEngine.LightmapData.get_lightmapDir
		*return:
		*   UnityEngine.Texture2D
		*/
		[native,unityengine_LightmapData_get_lightmapDir]
		public final function get lightmapDir():Texture2D;

		/**
		* UnityEngine.LightmapData.set_lightmapDir
		*parameters:
		*  value : UnityEngine.Texture2D
		*/
		[native,unityengine_LightmapData_set_lightmapDir]
		public final function set lightmapDir(value:Texture2D):void;

		/**
		* UnityEngine.LightmapData.get_shadowMask
		*return:
		*   UnityEngine.Texture2D
		*/
		[native,unityengine_LightmapData_get_shadowMask]
		public final function get shadowMask():Texture2D;

		/**
		* UnityEngine.LightmapData.set_shadowMask
		*parameters:
		*  value : UnityEngine.Texture2D
		*/
		[native,unityengine_LightmapData_set_shadowMask]
		public final function set shadowMask(value:Texture2D):void;


	}
}
