package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.LightmapSettings
		*/
	[link_system]
	public final class LightmapSettings extends UObject
	{
		[creator];
		[native,unityengine_LightmapSettings_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LightmapSettings_ctor];
		public function LightmapSettings();


		//*********公共方法*******
		/**
		* UnityEngine.LightmapSettings.get_lightmaps
		*return:
		*   UnityEngine.LightmapData[]
		*/
		[native,static_unityengine_LightmapSettings_get_lightmaps]
		public static function get lightmaps():_Array_;

		/**
		* UnityEngine.LightmapSettings.set_lightmaps
		*parameters:
		*  value : UnityEngine.LightmapData[]
		*/
		[native,static_unityengine_LightmapSettings_set_lightmaps]
		public static function set lightmaps(value:_Array_):void;

		/**
		* UnityEngine.LightmapSettings.get_lightmapsMode
		*return:
		*   UnityEngine.LightmapsMode
		*/
		[native,static_unityengine_LightmapSettings_get_lightmapsMode]
		public static function get lightmapsMode():LightmapsMode;

		/**
		* UnityEngine.LightmapSettings.set_lightmapsMode
		*parameters:
		*  value : UnityEngine.LightmapsMode
		*/
		[native,static_unityengine_LightmapSettings_set_lightmapsMode]
		public static function set lightmapsMode(value:LightmapsMode):void;

		/**
		* UnityEngine.LightmapSettings.get_lightProbes
		*return:
		*   UnityEngine.LightProbes
		*/
		[native,static_unityengine_LightmapSettings_get_lightProbes]
		public static function get lightProbes():LightProbes;

		/**
		* UnityEngine.LightmapSettings.set_lightProbes
		*parameters:
		*  value : UnityEngine.LightProbes
		*/
		[native,static_unityengine_LightmapSettings_set_lightProbes]
		public static function set lightProbes(value:LightProbes):void;


	}
}
