package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.LineRenderer
		*/
	[link_system]
	public final class LineRenderer extends Renderer
	{
		[creator];
		[native,unityengine_LineRenderer_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LineRenderer_ctor];
		public function LineRenderer();


		//*********公共方法*******
		/**
		* UnityEngine.LineRenderer.get_startWidth
		*return:
		*   System.Single
		*/
		[native,unityengine_LineRenderer_get_startWidth]
		public final function get startWidth():Number;

		/**
		* UnityEngine.LineRenderer.set_startWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_LineRenderer_set_startWidth]
		public final function set startWidth(value:Number):void;

		/**
		* UnityEngine.LineRenderer.get_endWidth
		*return:
		*   System.Single
		*/
		[native,unityengine_LineRenderer_get_endWidth]
		public final function get endWidth():Number;

		/**
		* UnityEngine.LineRenderer.set_endWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_LineRenderer_set_endWidth]
		public final function set endWidth(value:Number):void;

		/**
		* UnityEngine.LineRenderer.get_widthCurve
		*return:
		*   UnityEngine.AnimationCurve
		*/
		[native,unityengine_LineRenderer_get_widthCurve]
		public final function get widthCurve():AnimationCurve;

		/**
		* UnityEngine.LineRenderer.set_widthCurve
		*parameters:
		*  value : UnityEngine.AnimationCurve
		*/
		[native,unityengine_LineRenderer_set_widthCurve]
		public final function set widthCurve(value:AnimationCurve):void;

		/**
		* UnityEngine.LineRenderer.get_widthMultiplier
		*return:
		*   System.Single
		*/
		[native,unityengine_LineRenderer_get_widthMultiplier]
		public final function get widthMultiplier():Number;

		/**
		* UnityEngine.LineRenderer.set_widthMultiplier
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_LineRenderer_set_widthMultiplier]
		public final function set widthMultiplier(value:Number):void;

		/**
		* UnityEngine.LineRenderer.get_startColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_LineRenderer_get_startColor]
		public final function get startColor():Color;

		/**
		* UnityEngine.LineRenderer.set_startColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_LineRenderer_set_startColor]
		public final function set startColor(value:Color):void;

		/**
		* UnityEngine.LineRenderer.get_endColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_LineRenderer_get_endColor]
		public final function get endColor():Color;

		/**
		* UnityEngine.LineRenderer.set_endColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_LineRenderer_set_endColor]
		public final function set endColor(value:Color):void;

		/**
		* UnityEngine.LineRenderer.get_colorGradient
		*return:
		*   UnityEngine.Gradient
		*/
		[native,unityengine_LineRenderer_get_colorGradient]
		public final function get colorGradient():Gradient;

		/**
		* UnityEngine.LineRenderer.set_colorGradient
		*parameters:
		*  value : UnityEngine.Gradient
		*/
		[native,unityengine_LineRenderer_set_colorGradient]
		public final function set colorGradient(value:Gradient):void;

		/**
		* UnityEngine.LineRenderer.get_positionCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_LineRenderer_get_positionCount]
		public final function get positionCount():int;

		/**
		* UnityEngine.LineRenderer.set_positionCount
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_LineRenderer_set_positionCount]
		public final function set positionCount(value:int):void;

		/**
		* UnityEngine.LineRenderer.SetPosition
		*parameters:
		*  index : System.Int32
		*  position : UnityEngine.Vector3
		*/
		[native,unityengine_LineRenderer_setPosition];
		public final function setPosition(index:int,position:Vector3):void;

		/**
		* UnityEngine.LineRenderer.GetPosition
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_LineRenderer_getPosition];
		public final function getPosition(index:int):Vector3;

		/**
		* UnityEngine.LineRenderer.SetPositions
		*parameters:
		*  positions : UnityEngine.Vector3[]
		*/
		[native,unityengine_LineRenderer_setPositions];
		public final function setPositions(positions:_Array_):void;

		/**
		* UnityEngine.LineRenderer.GetPositions
		*parameters:
		*  positions : UnityEngine.Vector3[]
		*return:
		*   System.Int32
		*/
		[native,unityengine_LineRenderer_getPositions];
		public final function getPositions(positions:_Array_):int;

		/**
		* UnityEngine.LineRenderer.Simplify
		*parameters:
		*  tolerance : System.Single
		*/
		[native,unityengine_LineRenderer_simplify];
		public final function simplify(tolerance:Number):void;

		/**
		* UnityEngine.LineRenderer.get_useWorldSpace
		*return:
		*   System.Boolean
		*/
		[native,unityengine_LineRenderer_get_useWorldSpace]
		public final function get useWorldSpace():Boolean;

		/**
		* UnityEngine.LineRenderer.set_useWorldSpace
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_LineRenderer_set_useWorldSpace]
		public final function set useWorldSpace(value:Boolean):void;

		/**
		* UnityEngine.LineRenderer.get_loop
		*return:
		*   System.Boolean
		*/
		[native,unityengine_LineRenderer_get_loop]
		public final function get loop_():Boolean;

		/**
		* UnityEngine.LineRenderer.set_loop
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_LineRenderer_set_loop]
		public final function set loop_(value:Boolean):void;

		/**
		* UnityEngine.LineRenderer.get_numCornerVertices
		*return:
		*   System.Int32
		*/
		[native,unityengine_LineRenderer_get_numCornerVertices]
		public final function get numCornerVertices():int;

		/**
		* UnityEngine.LineRenderer.set_numCornerVertices
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_LineRenderer_set_numCornerVertices]
		public final function set numCornerVertices(value:int):void;

		/**
		* UnityEngine.LineRenderer.get_numCapVertices
		*return:
		*   System.Int32
		*/
		[native,unityengine_LineRenderer_get_numCapVertices]
		public final function get numCapVertices():int;

		/**
		* UnityEngine.LineRenderer.set_numCapVertices
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_LineRenderer_set_numCapVertices]
		public final function set numCapVertices(value:int):void;

		/**
		* UnityEngine.LineRenderer.get_textureMode
		*return:
		*   UnityEngine.LineTextureMode
		*/
		[native,unityengine_LineRenderer_get_textureMode]
		public final function get textureMode():LineTextureMode;

		/**
		* UnityEngine.LineRenderer.set_textureMode
		*parameters:
		*  value : UnityEngine.LineTextureMode
		*/
		[native,unityengine_LineRenderer_set_textureMode]
		public final function set textureMode(value:LineTextureMode):void;

		/**
		* UnityEngine.LineRenderer.get_alignment
		*return:
		*   UnityEngine.LineAlignment
		*/
		[native,unityengine_LineRenderer_get_alignment]
		public final function get alignment():LineAlignment;

		/**
		* UnityEngine.LineRenderer.set_alignment
		*parameters:
		*  value : UnityEngine.LineAlignment
		*/
		[native,unityengine_LineRenderer_set_alignment]
		public final function set alignment(value:LineAlignment):void;

		/**
		* UnityEngine.LineRenderer.get_generateLightingData
		*return:
		*   System.Boolean
		*/
		[native,unityengine_LineRenderer_get_generateLightingData]
		public final function get generateLightingData():Boolean;

		/**
		* UnityEngine.LineRenderer.set_generateLightingData
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_LineRenderer_set_generateLightingData]
		public final function set generateLightingData(value:Boolean):void;


	}
}
