package unityengine
{
	import system._Object_;
	import system.collections.generic.List_Of_Vector3;
	import system.collections.generic.List_Of_Int32;
	import system.collections.generic.List_Of_Vector2;


		/**
		* Sealed
		*  UnityEngine.LineUtility
		*/
	[link_system]
	public final class LineUtility extends system._Object_
	{
		[creator];
		[native,unityengine_LineUtility_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LineUtility_ctor];
		public function LineUtility();


		//*********公共方法*******
		/**
		* UnityEngine.LineUtility.Simplify
		*parameters:
		*  points : System.Collections.Generic.List &lt; UnityEngine.Vector3 &gt; 
		*  tolerance : System.Single
		*  pointsToKeep : System.Collections.Generic.List &lt; System.Int32 &gt; 
		*/
		[native,static_unityengine_LineUtility_simplify];
		public static function simplify(points:system.collections.generic.List_Of_Vector3,tolerance:Number,pointsToKeep:system.collections.generic.List_Of_Int32):void;

		/**
		* UnityEngine.LineUtility.Simplify
		*parameters:
		*  points : System.Collections.Generic.List &lt; UnityEngine.Vector3 &gt; 
		*  tolerance : System.Single
		*  simplifiedPoints : System.Collections.Generic.List &lt; UnityEngine.Vector3 &gt; 
		*/
		[native,static_unityengine_LineUtility_simplify_];
		public static function simplify_(points:system.collections.generic.List_Of_Vector3,tolerance:Number,simplifiedPoints:system.collections.generic.List_Of_Vector3):void;

		/**
		* UnityEngine.LineUtility.Simplify
		*parameters:
		*  points : System.Collections.Generic.List &lt; UnityEngine.Vector2 &gt; 
		*  tolerance : System.Single
		*  pointsToKeep : System.Collections.Generic.List &lt; System.Int32 &gt; 
		*/
		[native,static_unityengine_LineUtility_simplify__];
		public static function simplify__(points:system.collections.generic.List_Of_Vector2,tolerance:Number,pointsToKeep:system.collections.generic.List_Of_Int32):void;

		/**
		* UnityEngine.LineUtility.Simplify
		*parameters:
		*  points : System.Collections.Generic.List &lt; UnityEngine.Vector2 &gt; 
		*  tolerance : System.Single
		*  simplifiedPoints : System.Collections.Generic.List &lt; UnityEngine.Vector2 &gt; 
		*/
		[native,static_unityengine_LineUtility_simplify___];
		public static function simplify___(points:system.collections.generic.List_Of_Vector2,tolerance:Number,simplifiedPoints:system.collections.generic.List_Of_Vector2):void;


	}
}
