package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.LocationInfo
		*/
	[struct]
	[link_system]
	public final class LocationInfo extends system._Object_
	{
		[creator];
		[native,unityengine_LocationInfo_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LocationInfo_ctor];
		public function LocationInfo();
		//*********公共方法*******
		/**
		* UnityEngine.LocationInfo.get_latitude
		*return:
		*   System.Single
		*/
		[native,unityengine_LocationInfo_get_latitude]
		public final function get latitude():Number;

		/**
		* UnityEngine.LocationInfo.get_longitude
		*return:
		*   System.Single
		*/
		[native,unityengine_LocationInfo_get_longitude]
		public final function get longitude():Number;

		/**
		* UnityEngine.LocationInfo.get_altitude
		*return:
		*   System.Single
		*/
		[native,unityengine_LocationInfo_get_altitude]
		public final function get altitude():Number;

		/**
		* UnityEngine.LocationInfo.get_horizontalAccuracy
		*return:
		*   System.Single
		*/
		[native,unityengine_LocationInfo_get_horizontalAccuracy]
		public final function get horizontalAccuracy():Number;

		/**
		* UnityEngine.LocationInfo.get_verticalAccuracy
		*return:
		*   System.Single
		*/
		[native,unityengine_LocationInfo_get_verticalAccuracy]
		public final function get verticalAccuracy():Number;

		/**
		* UnityEngine.LocationInfo.get_timestamp
		*return:
		*   System.Double
		*/
		[native,unityengine_LocationInfo_get_timestamp]
		public final function get timestamp():Number;


	}
}
