package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.LocationService
		*/
	[link_system]
	public final class LocationService extends system._Object_
	{
		[creator];
		[native,unityengine_LocationService_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LocationService_ctor];
		public function LocationService();


		//*********公共方法*******
		/**
		* UnityEngine.LocationService.get_isEnabledByUser
		*return:
		*   System.Boolean
		*/
		[native,unityengine_LocationService_get_isEnabledByUser]
		public final function get isEnabledByUser():Boolean;

		/**
		* UnityEngine.LocationService.get_status
		*return:
		*   UnityEngine.LocationServiceStatus
		*/
		[native,unityengine_LocationService_get_status]
		public final function get status():LocationServiceStatus;

		/**
		* UnityEngine.LocationService.get_lastData
		*return:
		*   UnityEngine.LocationInfo
		*/
		[native,unityengine_LocationService_get_lastData]
		public final function get lastData():LocationInfo;

		/**
		* UnityEngine.LocationService.Start
		*parameters:
		*  desiredAccuracyInMeters : System.Single
		*  updateDistanceInMeters : System.Single
		*/
		[native,unityengine_LocationService_start];
		public final function start(desiredAccuracyInMeters:Number,updateDistanceInMeters:Number):void;

		/**
		* UnityEngine.LocationService.Start
		*parameters:
		*  desiredAccuracyInMeters : System.Single
		*/
		[native,unityengine_LocationService_start_];
		public final function start_(desiredAccuracyInMeters:Number):void;

		/**
		* UnityEngine.LocationService.Start
		*/
		[native,unityengine_LocationService_start__];
		public final function start__():void;

		/**
		* UnityEngine.LocationService.Stop
		*/
		[native,unityengine_LocationService_stop];
		public final function stop():void;


	}
}
