package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		*  UnityEngine.Logger
		*/
	[link_system]
	public class Logger extends system._Object_ implements ILogger,ILogHandler
	{
		[creator];
		[native,unityengine_Logger_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Logger_ctor];
		public function Logger(logHandler:ILogHandler);

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_LoggerAdapter_ctor];
		private function _LoggerAdapter(logHandler:ILogHandler);


		//*********公共方法*******
		[native,unityengine_ILogger_get_logHandler]
		public final function get logHandler():ILogHandler;

		[native,unityengine_ILogger_set_logHandler]
		public final function set logHandler(value:ILogHandler):void;

		[native,unityengine_ILogger_get_logEnabled]
		public final function get logEnabled():Boolean;

		[native,unityengine_ILogger_set_logEnabled]
		public final function set logEnabled(value:Boolean):void;

		[native,unityengine_ILogger_get_filterLogType]
		public final function get filterLogType():LogType;

		[native,unityengine_ILogger_set_filterLogType]
		public final function set filterLogType(value:LogType):void;

		[native,unityengine_ILogger_isLogTypeAllowed];
		public final function isLogTypeAllowed(logType:LogType):Boolean;

		[native,unityengine_ILogger_log];
		public final function log(logType:LogType,message:system._Object_):void;

		[native,unityengine_ILogger_log_];
		public final function log_(logType:LogType,message:system._Object_,context:UObject):void;

		[native,unityengine_ILogger_log__];
		public final function log__(logType:LogType,tag:String,message:system._Object_):void;

		[native,unityengine_ILogger_log___];
		public final function log___(logType:LogType,tag:String,message:system._Object_,context:UObject):void;

		[native,unityengine_ILogger_log____];
		public final function log____(message:system._Object_):void;

		[native,unityengine_ILogger_log_____];
		public final function log_____(tag:String,message:system._Object_):void;

		[native,unityengine_ILogger_log______];
		public final function log______(tag:String,message:system._Object_,context:UObject):void;

		[native,unityengine_ILogger_logWarning];
		public final function logWarning(tag:String,message:system._Object_):void;

		[native,unityengine_ILogger_logWarning_];
		public final function logWarning_(tag:String,message:system._Object_,context:UObject):void;

		[native,unityengine_ILogger_logError];
		public final function logError(tag:String,message:system._Object_):void;

		[native,unityengine_ILogger_logError_];
		public final function logError_(tag:String,message:system._Object_,context:UObject):void;

		[native,unityengine_ILogger_logFormat_];
		public final function logFormat(logType:LogType,format:String,args:_Array_):void;

		[native,unityengine_ILogHandler_logFormat];
		public final function logFormat_(logType:LogType,context:UObject,format:String,args:_Array_):void;


	}
}
