package unityengine
{
	import system._Object_;
	import system._Array_;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  UnityEngine.Mathf
		*/
	[struct]
	[link_system]
	public final class Mathf extends system._Object_
	{
		[creator];
		[native,unityengine_Mathf_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Mathf_ctor];
		public function Mathf();
		//*********字段*******
		/**
		* UnityEngine.Mathf.Epsilon
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Mathf_Epsilon_getter];
		public static const Epsilon:Number;
		/**
		* UnityEngine.Mathf.PI
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Mathf_PI_getter];
		public static const PI:Number;
		/**
		* UnityEngine.Mathf.Infinity
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Mathf_Infinity_getter];
		public static const Infinity:Number;
		/**
		* UnityEngine.Mathf.NegativeInfinity
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Mathf_NegativeInfinity_getter];
		public static const NegativeInfinity:Number;
		/**
		* UnityEngine.Mathf.Deg2Rad
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Mathf_Deg2Rad_getter];
		public static const Deg2Rad:Number;
		/**
		* UnityEngine.Mathf.Rad2Deg
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Mathf_Rad2Deg_getter];
		public static const Rad2Deg:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Mathf.ClosestPowerOfTwo
		*parameters:
		*  value : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_closestPowerOfTwo];
		public static function closestPowerOfTwo(value:int):int;

		/**
		* UnityEngine.Mathf.GammaToLinearSpace
		*parameters:
		*  value : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_gammaToLinearSpace];
		public static function gammaToLinearSpace(value:Number):Number;

		/**
		* UnityEngine.Mathf.LinearToGammaSpace
		*parameters:
		*  value : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_linearToGammaSpace];
		public static function linearToGammaSpace(value:Number):Number;

		/**
		* UnityEngine.Mathf.CorrelatedColorTemperatureToRGB
		*parameters:
		*  kelvin : System.Single
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Mathf_correlatedColorTemperatureToRGB];
		public static function correlatedColorTemperatureToRGB(kelvin:Number):Color;

		/**
		* UnityEngine.Mathf.IsPowerOfTwo
		*parameters:
		*  value : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_Mathf_isPowerOfTwo];
		public static function isPowerOfTwo(value:int):Boolean;

		/**
		* UnityEngine.Mathf.NextPowerOfTwo
		*parameters:
		*  value : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_nextPowerOfTwo];
		public static function nextPowerOfTwo(value:int):int;

		/**
		* UnityEngine.Mathf.PerlinNoise
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_perlinNoise];
		public static function perlinNoise(x:Number,y:Number):Number;

		/**
		* UnityEngine.Mathf.FloatToHalf
		*parameters:
		*  val : System.Single
		*return:
		*   System.UInt16
		*/
		[native,static_unityengine_Mathf_floatToHalf];
		public static function floatToHalf(val:Number):uint;

		/**
		* UnityEngine.Mathf.HalfToFloat
		*parameters:
		*  val : System.UInt16
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_halfToFloat];
		public static function halfToFloat(val:uint):Number;

		/**
		* UnityEngine.Mathf.Sin
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_sin];
		public static function sin(f:Number):Number;

		/**
		* UnityEngine.Mathf.Cos
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_cos];
		public static function cos(f:Number):Number;

		/**
		* UnityEngine.Mathf.Tan
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_tan];
		public static function tan(f:Number):Number;

		/**
		* UnityEngine.Mathf.Asin
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_asin];
		public static function asin(f:Number):Number;

		/**
		* UnityEngine.Mathf.Acos
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_acos];
		public static function acos(f:Number):Number;

		/**
		* UnityEngine.Mathf.Atan
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_atan];
		public static function atan(f:Number):Number;

		/**
		* UnityEngine.Mathf.Atan2
		*parameters:
		*  y : System.Single
		*  x : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_atan2];
		public static function atan2(y:Number,x:Number):Number;

		/**
		* UnityEngine.Mathf.Sqrt
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_sqrt];
		public static function sqrt(f:Number):Number;

		/**
		* UnityEngine.Mathf.Abs
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_abs];
		public static function abs(f:Number):Number;

		/**
		* UnityEngine.Mathf.Abs
		*parameters:
		*  value : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_abs_];
		public static function abs_(value:int):int;

		/**
		* UnityEngine.Mathf.Min
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_min];
		public static function min(a:Number,b:Number):Number;

		/**
		* UnityEngine.Mathf.Min
		*parameters:
		*  values : System.Single[]
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_min_];
		public static function min_(values:_Array_):Number;

		/**
		* UnityEngine.Mathf.Min
		*parameters:
		*  a : System.Int32
		*  b : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_min__];
		public static function min__(a:int,b:int):int;

		/**
		* UnityEngine.Mathf.Min
		*parameters:
		*  values : System.Int32[]
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_min___];
		public static function min___(values:_Array_):int;

		/**
		* UnityEngine.Mathf.Max
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_max];
		public static function max(a:Number,b:Number):Number;

		/**
		* UnityEngine.Mathf.Max
		*parameters:
		*  values : System.Single[]
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_max_];
		public static function max_(values:_Array_):Number;

		/**
		* UnityEngine.Mathf.Max
		*parameters:
		*  a : System.Int32
		*  b : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_max__];
		public static function max__(a:int,b:int):int;

		/**
		* UnityEngine.Mathf.Max
		*parameters:
		*  values : System.Int32[]
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_max___];
		public static function max___(values:_Array_):int;

		/**
		* UnityEngine.Mathf.Pow
		*parameters:
		*  f : System.Single
		*  p : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_pow];
		public static function pow(f:Number,p:Number):Number;

		/**
		* UnityEngine.Mathf.Exp
		*parameters:
		*  power : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_exp];
		public static function exp(power:Number):Number;

		/**
		* UnityEngine.Mathf.Log
		*parameters:
		*  f : System.Single
		*  p : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_log];
		public static function log(f:Number,p:Number):Number;

		/**
		* UnityEngine.Mathf.Log
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_log_];
		public static function log_(f:Number):Number;

		/**
		* UnityEngine.Mathf.Log10
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_log10];
		public static function log10(f:Number):Number;

		/**
		* UnityEngine.Mathf.Ceil
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_ceil];
		public static function ceil(f:Number):Number;

		/**
		* UnityEngine.Mathf.Floor
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_floor];
		public static function floor(f:Number):Number;

		/**
		* UnityEngine.Mathf.Round
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_round];
		public static function round(f:Number):Number;

		/**
		* UnityEngine.Mathf.CeilToInt
		*parameters:
		*  f : System.Single
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_ceilToInt];
		public static function ceilToInt(f:Number):int;

		/**
		* UnityEngine.Mathf.FloorToInt
		*parameters:
		*  f : System.Single
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_floorToInt];
		public static function floorToInt(f:Number):int;

		/**
		* UnityEngine.Mathf.RoundToInt
		*parameters:
		*  f : System.Single
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_roundToInt];
		public static function roundToInt(f:Number):int;

		/**
		* UnityEngine.Mathf.Sign
		*parameters:
		*  f : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_sign];
		public static function sign(f:Number):Number;

		/**
		* UnityEngine.Mathf.Clamp
		*parameters:
		*  value : System.Single
		*  min : System.Single
		*  max : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_clamp];
		public static function clamp(value:Number,min:Number,max:Number):Number;

		/**
		* UnityEngine.Mathf.Clamp
		*parameters:
		*  value : System.Int32
		*  min : System.Int32
		*  max : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Mathf_clamp_];
		public static function clamp_(value:int,min:int,max:int):int;

		/**
		* UnityEngine.Mathf.Clamp01
		*parameters:
		*  value : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_clamp01];
		public static function clamp01(value:Number):Number;

		/**
		* UnityEngine.Mathf.Lerp
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*  t : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_lerp];
		public static function lerp(a:Number,b:Number,t:Number):Number;

		/**
		* UnityEngine.Mathf.LerpUnclamped
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*  t : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_lerpUnclamped];
		public static function lerpUnclamped(a:Number,b:Number,t:Number):Number;

		/**
		* UnityEngine.Mathf.LerpAngle
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*  t : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_lerpAngle];
		public static function lerpAngle(a:Number,b:Number,t:Number):Number;

		/**
		* UnityEngine.Mathf.MoveTowards
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  maxDelta : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_moveTowards];
		public static function moveTowards(current:Number,target:Number,maxDelta:Number):Number;

		/**
		* UnityEngine.Mathf.MoveTowardsAngle
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  maxDelta : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_moveTowardsAngle];
		public static function moveTowardsAngle(current:Number,target:Number,maxDelta:Number):Number;

		/**
		* UnityEngine.Mathf.SmoothStep
		*parameters:
		*  from : System.Single
		*  to : System.Single
		*  t : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothStep];
		public static function smoothStep(from:Number,to:Number,t:Number):Number;

		/**
		* UnityEngine.Mathf.Gamma
		*parameters:
		*  value : System.Single
		*  absmax : System.Single
		*  gamma : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_gamma];
		public static function gamma(value:Number,absmax:Number,gamma:Number):Number;

		/**
		* UnityEngine.Mathf.Approximately
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_Mathf_approximately];
		public static function approximately(a:Number,b:Number):Boolean;

		/**
		* UnityEngine.Mathf.SmoothDamp
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  currentVelocity : (ByRef) System.Single
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothDamp];
		public static function smoothDamp(current:Number,target:Number,currentVelocity:Number,smoothTime:Number,maxSpeed:Number,refout:as3runtime.RefOutStore):Number;

		/**
		* UnityEngine.Mathf.SmoothDamp
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  currentVelocity : (ByRef) System.Single
		*  smoothTime : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothDamp_];
		public static function smoothDamp_(current:Number,target:Number,currentVelocity:Number,smoothTime:Number,refout:as3runtime.RefOutStore):Number;

		/**
		* UnityEngine.Mathf.SmoothDamp
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  currentVelocity : (ByRef) System.Single
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*  deltaTime : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothDamp__];
		public static function smoothDamp__(current:Number,target:Number,currentVelocity:Number,smoothTime:Number,maxSpeed:Number,deltaTime:Number,refout:as3runtime.RefOutStore):Number;

		/**
		* UnityEngine.Mathf.SmoothDampAngle
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  currentVelocity : (ByRef) System.Single
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothDampAngle];
		public static function smoothDampAngle(current:Number,target:Number,currentVelocity:Number,smoothTime:Number,maxSpeed:Number,refout:as3runtime.RefOutStore):Number;

		/**
		* UnityEngine.Mathf.SmoothDampAngle
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  currentVelocity : (ByRef) System.Single
		*  smoothTime : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothDampAngle_];
		public static function smoothDampAngle_(current:Number,target:Number,currentVelocity:Number,smoothTime:Number,refout:as3runtime.RefOutStore):Number;

		/**
		* UnityEngine.Mathf.SmoothDampAngle
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*  currentVelocity : (ByRef) System.Single
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*  deltaTime : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_smoothDampAngle__];
		public static function smoothDampAngle__(current:Number,target:Number,currentVelocity:Number,smoothTime:Number,maxSpeed:Number,deltaTime:Number,refout:as3runtime.RefOutStore):Number;

		/**
		* UnityEngine.Mathf.Repeat
		*parameters:
		*  t : System.Single
		*  length : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_repeat];
		public static function repeat(t:Number,length:Number):Number;

		/**
		* UnityEngine.Mathf.PingPong
		*parameters:
		*  t : System.Single
		*  length : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_pingPong];
		public static function pingPong(t:Number,length:Number):Number;

		/**
		* UnityEngine.Mathf.InverseLerp
		*parameters:
		*  a : System.Single
		*  b : System.Single
		*  value : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_inverseLerp];
		public static function inverseLerp(a:Number,b:Number,value:Number):Number;

		/**
		* UnityEngine.Mathf.DeltaAngle
		*parameters:
		*  current : System.Single
		*  target : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Mathf_deltaAngle];
		public static function deltaAngle(current:Number,target:Number):Number;


	}
}
