package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Matrix4x4
		*/
	[struct]
	[link_system]
	public final class Matrix4x4 extends system._Object_
	{
		[creator];
		[native,unityengine_Matrix4x4_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Matrix4x4_ctor];
		public function Matrix4x4(column0:Vector4,column1:Vector4,column2:Vector4,column3:Vector4);


		//*********字段*******
		/**
		* UnityEngine.Matrix4x4.m00
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m00_getter,unityengine_Matrix4x4_m00_setter];
		public var m00:Number;
		/**
		* UnityEngine.Matrix4x4.m10
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m10_getter,unityengine_Matrix4x4_m10_setter];
		public var m10:Number;
		/**
		* UnityEngine.Matrix4x4.m20
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m20_getter,unityengine_Matrix4x4_m20_setter];
		public var m20:Number;
		/**
		* UnityEngine.Matrix4x4.m30
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m30_getter,unityengine_Matrix4x4_m30_setter];
		public var m30:Number;
		/**
		* UnityEngine.Matrix4x4.m01
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m01_getter,unityengine_Matrix4x4_m01_setter];
		public var m01:Number;
		/**
		* UnityEngine.Matrix4x4.m11
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m11_getter,unityengine_Matrix4x4_m11_setter];
		public var m11:Number;
		/**
		* UnityEngine.Matrix4x4.m21
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m21_getter,unityengine_Matrix4x4_m21_setter];
		public var m21:Number;
		/**
		* UnityEngine.Matrix4x4.m31
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m31_getter,unityengine_Matrix4x4_m31_setter];
		public var m31:Number;
		/**
		* UnityEngine.Matrix4x4.m02
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m02_getter,unityengine_Matrix4x4_m02_setter];
		public var m02:Number;
		/**
		* UnityEngine.Matrix4x4.m12
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m12_getter,unityengine_Matrix4x4_m12_setter];
		public var m12:Number;
		/**
		* UnityEngine.Matrix4x4.m22
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m22_getter,unityengine_Matrix4x4_m22_setter];
		public var m22:Number;
		/**
		* UnityEngine.Matrix4x4.m32
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m32_getter,unityengine_Matrix4x4_m32_setter];
		public var m32:Number;
		/**
		* UnityEngine.Matrix4x4.m03
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m03_getter,unityengine_Matrix4x4_m03_setter];
		public var m03:Number;
		/**
		* UnityEngine.Matrix4x4.m13
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m13_getter,unityengine_Matrix4x4_m13_setter];
		public var m13:Number;
		/**
		* UnityEngine.Matrix4x4.m23
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m23_getter,unityengine_Matrix4x4_m23_setter];
		public var m23:Number;
		/**
		* UnityEngine.Matrix4x4.m33
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Matrix4x4_m33_getter,unityengine_Matrix4x4_m33_setter];
		public var m33:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Matrix4x4.Inverse
		*parameters:
		*  m : UnityEngine.Matrix4x4
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_inverse];
		public static function inverse(m:Matrix4x4):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.Transpose
		*parameters:
		*  m : UnityEngine.Matrix4x4
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_transpose];
		public static function transpose(m:Matrix4x4):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_inverse
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,unityengine_Matrix4x4_get_inverse]
		public final function get inverse_():Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_transpose
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,unityengine_Matrix4x4_get_transpose]
		public final function get transpose_():Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_rotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Matrix4x4_get_rotation]
		public final function get rotation():Quaternion;

		/**
		* UnityEngine.Matrix4x4.get_lossyScale
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Matrix4x4_get_lossyScale]
		public final function get lossyScale():Vector3;

		/**
		* UnityEngine.Matrix4x4.ValidTRS
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Matrix4x4_validTRS];
		public final function validTRS():Boolean;

		/**
		* UnityEngine.Matrix4x4.get_isIdentity
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Matrix4x4_get_isIdentity]
		public final function get isIdentity():Boolean;

		/**
		* UnityEngine.Matrix4x4.Determinant
		*parameters:
		*  m : UnityEngine.Matrix4x4
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Matrix4x4_determinant];
		public static function determinant(m:Matrix4x4):Number;

		/**
		* UnityEngine.Matrix4x4.get_determinant
		*return:
		*   System.Single
		*/
		[native,unityengine_Matrix4x4_get_determinant]
		public final function get determinant_():Number;

		/**
		* UnityEngine.Matrix4x4.SetTRS
		*parameters:
		*  pos : UnityEngine.Vector3
		*  q : UnityEngine.Quaternion
		*  s : UnityEngine.Vector3
		*/
		[native,unityengine_Matrix4x4_setTRS];
		public final function setTRS(pos:Vector3,q:Quaternion,s:Vector3):void;

		/**
		* UnityEngine.Matrix4x4.TRS
		*parameters:
		*  pos : UnityEngine.Vector3
		*  q : UnityEngine.Quaternion
		*  s : UnityEngine.Vector3
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_TRS];
		public static function TRS(pos:Vector3,q:Quaternion,s:Vector3):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.Ortho
		*parameters:
		*  left : System.Single
		*  right : System.Single
		*  bottom : System.Single
		*  top : System.Single
		*  zNear : System.Single
		*  zFar : System.Single
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_ortho];
		public static function ortho(left:Number,right:Number,bottom:Number,top:Number,zNear:Number,zFar:Number):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.Perspective
		*parameters:
		*  fov : System.Single
		*  aspect : System.Single
		*  zNear : System.Single
		*  zFar : System.Single
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_perspective];
		public static function perspective(fov:Number,aspect:Number,zNear:Number,zFar:Number):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.LookAt
		*parameters:
		*  from : UnityEngine.Vector3
		*  to : UnityEngine.Vector3
		*  up : UnityEngine.Vector3
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_lookAt];
		public static function lookAt(from:Vector3,to:Vector3,up:Vector3):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_decomposeProjection
		*return:
		*   UnityEngine.FrustumPlanes
		*/
		[native,unityengine_Matrix4x4_get_decomposeProjection]
		public final function get decomposeProjection():FrustumPlanes;

		/**
		* UnityEngine.Matrix4x4.Frustum
		*parameters:
		*  left : System.Single
		*  right : System.Single
		*  bottom : System.Single
		*  top : System.Single
		*  zNear : System.Single
		*  zFar : System.Single
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_frustum];
		public static function frustum(left:Number,right:Number,bottom:Number,top:Number,zNear:Number,zFar:Number):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.Frustum
		*parameters:
		*  frustumPlanes : UnityEngine.FrustumPlanes
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_frustum_];
		public static function frustum_(frustumPlanes:FrustumPlanes):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_Item
		*parameters:
		*  row : System.Int32
		*  column : System.Int32
		*return:
		*   System.Single
		*/
		[native,unityengine_Matrix4x4_get_Item];
		public final function get_Item(row:int,column:int):Number;

		/**
		* UnityEngine.Matrix4x4.set_Item
		*parameters:
		*  row : System.Int32
		*  column : System.Int32
		*  value : System.Single
		*/
		[native,unityengine_Matrix4x4_set_Item];
		public final function set_Item(row:int,column:int,value:Number):void;

		/**
		* UnityEngine.Matrix4x4.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,unityengine_Matrix4x4_get_Item_];
		final function get_Item_(index:int):Number;

		/**
		* UnityEngine.Matrix4x4.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,unityengine_Matrix4x4_set_Item_];
		final function set_Item_(value:Number,index:int):void;

		/**
		* UnityEngine.Matrix4x4.GetColumn
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Vector4
		*/
		[native,unityengine_Matrix4x4_getColumn];
		public final function getColumn(index:int):Vector4;

		/**
		* UnityEngine.Matrix4x4.GetRow
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Vector4
		*/
		[native,unityengine_Matrix4x4_getRow];
		public final function getRow(index:int):Vector4;

		/**
		* UnityEngine.Matrix4x4.SetColumn
		*parameters:
		*  index : System.Int32
		*  column : UnityEngine.Vector4
		*/
		[native,unityengine_Matrix4x4_setColumn];
		public final function setColumn(index:int,column:Vector4):void;

		/**
		* UnityEngine.Matrix4x4.SetRow
		*parameters:
		*  index : System.Int32
		*  row : UnityEngine.Vector4
		*/
		[native,unityengine_Matrix4x4_setRow];
		public final function setRow(index:int,row:Vector4):void;

		/**
		* UnityEngine.Matrix4x4.MultiplyPoint
		*parameters:
		*  point : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Matrix4x4_multiplyPoint];
		public final function multiplyPoint(point:Vector3):Vector3;

		/**
		* UnityEngine.Matrix4x4.MultiplyPoint3x4
		*parameters:
		*  point : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Matrix4x4_multiplyPoint3x4];
		public final function multiplyPoint3x4(point:Vector3):Vector3;

		/**
		* UnityEngine.Matrix4x4.MultiplyVector
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Matrix4x4_multiplyVector];
		public final function multiplyVector(vector:Vector3):Vector3;

		/**
		* UnityEngine.Matrix4x4.TransformPlane
		*parameters:
		*  plane : UnityEngine.Plane
		*return:
		*   UnityEngine.Plane
		*/
		[native,unityengine_Matrix4x4_transformPlane];
		public final function transformPlane(plane:Plane):Plane;

		/**
		* UnityEngine.Matrix4x4.Scale
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_scale];
		public static function scale(vector:Vector3):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.Translate
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_translate];
		public static function translate(vector:Vector3):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.Rotate
		*parameters:
		*  q : UnityEngine.Quaternion
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_rotate];
		public static function rotate(q:Quaternion):Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_zero
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_get_zero]
		public static function get zero():Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.get_identity
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Matrix4x4_get_identity]
		public static function get identity():Matrix4x4;

		/**
		* UnityEngine.Matrix4x4.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Matrix4x4_toString___];
		public final function toString___(format:String):String;


		//*****操作重载*****
		/**
		 * 计算 lhs * rhs
		 */
		[native,static_unityengine_Matrix4x4_op_Multiply];
		public static function op_Multiply(lhs:Matrix4x4,rhs:Matrix4x4):Matrix4x4;

		[operator,"*"];
		[native,static_unityengine_Matrix4x4_op_Multiply];
		private static function _operator_op_Multiply(lhs:Matrix4x4,rhs:Matrix4x4):Matrix4x4;

		/**
		 * 计算 lhs * vector
		 */
		[native,static_unityengine_Matrix4x4_op_Multiply_];
		public static function op_Multiply_(lhs:Matrix4x4,vector:Vector4):Vector4;

		[operator,"*"];
		[native,static_unityengine_Matrix4x4_op_Multiply_];
		private static function _operator_op_Multiply_(lhs:Matrix4x4,vector:Vector4):Vector4;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Matrix4x4_op_Equality];
		public static function op_Equality(lhs:Matrix4x4,rhs:Matrix4x4):Boolean;

		[operator,"=="];
		[native,static_unityengine_Matrix4x4_op_Equality];
		private static function _operator_op_Equality(lhs:Matrix4x4,rhs:Matrix4x4):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Matrix4x4_op_Inequality];
		public static function op_Inequality(lhs:Matrix4x4,rhs:Matrix4x4):Boolean;

		[operator,"!="];
		[native,static_unityengine_Matrix4x4_op_Inequality];
		private static function _operator_op_Inequality(lhs:Matrix4x4,rhs:Matrix4x4):Boolean;


	}
}
