package unityengine
{


		/**
		* Sealed
		*  UnityEngine.MeshCollider
		*/
	[link_system]
	public final class MeshCollider extends Collider
	{
		[creator];
		[native,unityengine_MeshCollider_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_MeshCollider_ctor];
		public function MeshCollider();


		//*********公共方法*******
		/**
		* UnityEngine.MeshCollider.get_sharedMesh
		*return:
		*   UnityEngine.Mesh
		*/
		[native,unityengine_MeshCollider_get_sharedMesh]
		public final function get sharedMesh():Mesh;

		/**
		* UnityEngine.MeshCollider.set_sharedMesh
		*parameters:
		*  value : UnityEngine.Mesh
		*/
		[native,unityengine_MeshCollider_set_sharedMesh]
		public final function set sharedMesh(value:Mesh):void;

		/**
		* UnityEngine.MeshCollider.get_convex
		*return:
		*   System.Boolean
		*/
		[native,unityengine_MeshCollider_get_convex]
		public final function get convex():Boolean;

		/**
		* UnityEngine.MeshCollider.set_convex
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_MeshCollider_set_convex]
		public final function set convex(value:Boolean):void;

		/**
		* UnityEngine.MeshCollider.get_inflateMesh
		*return:
		*   System.Boolean
		*/
		[native,unityengine_MeshCollider_get_inflateMesh]
		public final function get inflateMesh():Boolean;

		/**
		* UnityEngine.MeshCollider.set_inflateMesh
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_MeshCollider_set_inflateMesh]
		public final function set inflateMesh(value:Boolean):void;

		/**
		* UnityEngine.MeshCollider.get_skinWidth
		*return:
		*   System.Single
		*/
		[native,unityengine_MeshCollider_get_skinWidth]
		public final function get skinWidth():Number;

		/**
		* UnityEngine.MeshCollider.set_skinWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_MeshCollider_set_skinWidth]
		public final function set skinWidth(value:Number):void;


	}
}
