package unityengine
{
	import system.collections._IEnumerator_;
	import system._Object_;


		/**
		*  UnityEngine.MonoBehaviour
		*/
	[link_system]
	public class MonoBehaviour extends Behaviour
	{
		[creator];
		[native,unityengine_MonoBehaviour_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_MonoBehaviour_ctor];
		public function MonoBehaviour();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_MonoBehaviourAdapter_ctor];
		private function _MonoBehaviourAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.MonoBehaviour.Invoke
		*parameters:
		*  methodName : System.String
		*  time : System.Single
		*/
		[native,unityengine_MonoBehaviour_invoke];
		public final function invoke(methodName:String,time:Number):void;

		/**
		* UnityEngine.MonoBehaviour.InvokeRepeating
		*parameters:
		*  methodName : System.String
		*  time : System.Single
		*  repeatRate : System.Single
		*/
		[native,unityengine_MonoBehaviour_invokeRepeating];
		public final function invokeRepeating(methodName:String,time:Number,repeatRate:Number):void;

		/**
		* UnityEngine.MonoBehaviour.CancelInvoke
		*/
		[native,unityengine_MonoBehaviour_cancelInvoke];
		public final function cancelInvoke():void;

		/**
		* UnityEngine.MonoBehaviour.CancelInvoke
		*parameters:
		*  methodName : System.String
		*/
		[native,unityengine_MonoBehaviour_cancelInvoke_];
		public final function cancelInvoke_(methodName:String):void;

		/**
		* UnityEngine.MonoBehaviour.IsInvoking
		*parameters:
		*  methodName : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_MonoBehaviour_isInvoking];
		public final function isInvoking(methodName:String):Boolean;

		/**
		* UnityEngine.MonoBehaviour.IsInvoking
		*return:
		*   System.Boolean
		*/
		[native,unityengine_MonoBehaviour_isInvoking_];
		public final function isInvoking_():Boolean;

		/**
		* UnityEngine.MonoBehaviour.StartCoroutine
		*parameters:
		*  routine : System.Collections.IEnumerator
		*return:
		*   UnityEngine.Coroutine
		*/
		[native,unityengine_MonoBehaviour_startCoroutine];
		public final function startCoroutine(routine:system.collections._IEnumerator_):Coroutine;

		/**
		* UnityEngine.MonoBehaviour.StartCoroutine
		*parameters:
		*  methodName : System.String
		*  value : System.Object
		*return:
		*   UnityEngine.Coroutine
		*/
		[native,unityengine_MonoBehaviour_startCoroutine_];
		public final function startCoroutine_(methodName:String,value:system._Object_):Coroutine;

		/**
		* UnityEngine.MonoBehaviour.StartCoroutine
		*parameters:
		*  methodName : System.String
		*return:
		*   UnityEngine.Coroutine
		*/
		[native,unityengine_MonoBehaviour_startCoroutine__];
		public final function startCoroutine__(methodName:String):Coroutine;

		/**
		* UnityEngine.MonoBehaviour.StopCoroutine
		*parameters:
		*  methodName : System.String
		*/
		[native,unityengine_MonoBehaviour_stopCoroutine];
		public final function stopCoroutine(methodName:String):void;

		/**
		* UnityEngine.MonoBehaviour.StopCoroutine
		*parameters:
		*  routine : System.Collections.IEnumerator
		*/
		[native,unityengine_MonoBehaviour_stopCoroutine_];
		public final function stopCoroutine_(routine:system.collections._IEnumerator_):void;

		/**
		* UnityEngine.MonoBehaviour.StopCoroutine
		*parameters:
		*  routine : UnityEngine.Coroutine
		*/
		[native,unityengine_MonoBehaviour_stopCoroutine__];
		public final function stopCoroutine__(routine:Coroutine):void;

		/**
		* UnityEngine.MonoBehaviour.StopAllCoroutines
		*/
		[native,unityengine_MonoBehaviour_stopAllCoroutines];
		public final function stopAllCoroutines():void;

		/**
		* UnityEngine.MonoBehaviour.print
		*parameters:
		*  message : System.Object
		*/
		[native,static_unityengine_MonoBehaviour_print];
		public static function print(message:system._Object_):void;

		/**
		* UnityEngine.MonoBehaviour.get_useGUILayout
		*return:
		*   System.Boolean
		*/
		[native,unityengine_MonoBehaviour_get_useGUILayout]
		public final function get useGUILayout():Boolean;

		/**
		* UnityEngine.MonoBehaviour.set_useGUILayout
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_MonoBehaviour_set_useGUILayout]
		public final function set useGUILayout(value:Boolean):void;


	}
}
