package unityengine
{
	[no_constructor]
	[link_system]
	public final class NetworkConnectionError
	{
		[creator];
		[native,unityengine_NetworkConnectionError_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_NetworkConnectionError_ctor];
		public function NetworkConnectionError();

		/**
		 *NoError = UnityEngine.NetworkConnectionError NoError
		 */
		[native,unityengine_NetworkConnectionError_NoError_getter];
		public static const NoError:NetworkConnectionError;

		/**
		 *RSAPublicKeyMismatch = UnityEngine.NetworkConnectionError RSAPublicKeyMismatch
		 */
		[native,unityengine_NetworkConnectionError_RSAPublicKeyMismatch_getter];
		public static const RSAPublicKeyMismatch:NetworkConnectionError;

		/**
		 *InvalidPassword = UnityEngine.NetworkConnectionError InvalidPassword
		 */
		[native,unityengine_NetworkConnectionError_InvalidPassword_getter];
		public static const InvalidPassword:NetworkConnectionError;

		/**
		 *ConnectionFailed = UnityEngine.NetworkConnectionError ConnectionFailed
		 */
		[native,unityengine_NetworkConnectionError_ConnectionFailed_getter];
		public static const ConnectionFailed:NetworkConnectionError;

		/**
		 *TooManyConnectedPlayers = UnityEngine.NetworkConnectionError TooManyConnectedPlayers
		 */
		[native,unityengine_NetworkConnectionError_TooManyConnectedPlayers_getter];
		public static const TooManyConnectedPlayers:NetworkConnectionError;

		/**
		 *ConnectionBanned = UnityEngine.NetworkConnectionError ConnectionBanned
		 */
		[native,unityengine_NetworkConnectionError_ConnectionBanned_getter];
		public static const ConnectionBanned:NetworkConnectionError;

		/**
		 *AlreadyConnectedToServer = UnityEngine.NetworkConnectionError AlreadyConnectedToServer
		 */
		[native,unityengine_NetworkConnectionError_AlreadyConnectedToServer_getter];
		public static const AlreadyConnectedToServer:NetworkConnectionError;

		/**
		 *AlreadyConnectedToAnotherServer = UnityEngine.NetworkConnectionError AlreadyConnectedToAnotherServer
		 */
		[native,unityengine_NetworkConnectionError_AlreadyConnectedToAnotherServer_getter];
		public static const AlreadyConnectedToAnotherServer:NetworkConnectionError;

		/**
		 *CreateSocketOrThreadFailure = UnityEngine.NetworkConnectionError CreateSocketOrThreadFailure
		 */
		[native,unityengine_NetworkConnectionError_CreateSocketOrThreadFailure_getter];
		public static const CreateSocketOrThreadFailure:NetworkConnectionError;

		/**
		 *IncorrectParameters = UnityEngine.NetworkConnectionError IncorrectParameters
		 */
		[native,unityengine_NetworkConnectionError_IncorrectParameters_getter];
		public static const IncorrectParameters:NetworkConnectionError;

		/**
		 *EmptyConnectTarget = UnityEngine.NetworkConnectionError EmptyConnectTarget
		 */
		[native,unityengine_NetworkConnectionError_EmptyConnectTarget_getter];
		public static const EmptyConnectTarget:NetworkConnectionError;

		/**
		 *InternalDirectConnectFailed = UnityEngine.NetworkConnectionError InternalDirectConnectFailed
		 */
		[native,unityengine_NetworkConnectionError_InternalDirectConnectFailed_getter];
		public static const InternalDirectConnectFailed:NetworkConnectionError;

		/**
		 *NATTargetNotConnected = UnityEngine.NetworkConnectionError NATTargetNotConnected
		 */
		[native,unityengine_NetworkConnectionError_NATTargetNotConnected_getter];
		public static const NATTargetNotConnected:NetworkConnectionError;

		/**
		 *NATTargetConnectionLost = UnityEngine.NetworkConnectionError NATTargetConnectionLost
		 */
		[native,unityengine_NetworkConnectionError_NATTargetConnectionLost_getter];
		public static const NATTargetConnectionLost:NetworkConnectionError;

		/**
		 *NATPunchthroughFailed = UnityEngine.NetworkConnectionError NATPunchthroughFailed
		 */
		[native,unityengine_NetworkConnectionError_NATPunchthroughFailed_getter];
		public static const NATPunchthroughFailed:NetworkConnectionError;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_NetworkConnectionError_operator_bitOr];
		private static function bitOr(t1:NetworkConnectionError,t2:NetworkConnectionError):NetworkConnectionError;
	}
}
