package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.NetworkPlayer
		*/
	[struct]
	[link_system]
	public final class NetworkPlayer extends system._Object_
	{
		[creator];
		[native,unityengine_NetworkPlayer_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_NetworkPlayer_ctor];
		public function NetworkPlayer(ip:String,port:int);


		//*********公共方法*******
		/**
		* UnityEngine.NetworkPlayer.get_ipAddress
		*return:
		*   System.String
		*/
		[native,unityengine_NetworkPlayer_get_ipAddress]
		public final function get ipAddress():String;

		/**
		* UnityEngine.NetworkPlayer.get_port
		*return:
		*   System.Int32
		*/
		[native,unityengine_NetworkPlayer_get_port]
		public final function get port():int;

		/**
		* UnityEngine.NetworkPlayer.get_guid
		*return:
		*   System.String
		*/
		[native,unityengine_NetworkPlayer_get_guid]
		public final function get guid():String;

		/**
		* UnityEngine.NetworkPlayer.get_externalIP
		*return:
		*   System.String
		*/
		[native,unityengine_NetworkPlayer_get_externalIP]
		public final function get externalIP():String;

		/**
		* UnityEngine.NetworkPlayer.get_externalPort
		*return:
		*   System.Int32
		*/
		[native,unityengine_NetworkPlayer_get_externalPort]
		public final function get externalPort():int;


		//*****操作重载*****
		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_NetworkPlayer_op_Equality];
		public static function op_Equality(lhs:NetworkPlayer,rhs:NetworkPlayer):Boolean;

		[operator,"=="];
		[native,static_unityengine_NetworkPlayer_op_Equality];
		private static function _operator_op_Equality(lhs:NetworkPlayer,rhs:NetworkPlayer):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_NetworkPlayer_op_Inequality];
		public static function op_Inequality(lhs:NetworkPlayer,rhs:NetworkPlayer):Boolean;

		[operator,"!="];
		[native,static_unityengine_NetworkPlayer_op_Inequality];
		private static function _operator_op_Inequality(lhs:NetworkPlayer,rhs:NetworkPlayer):Boolean;


	}
}
