package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.NetworkViewID
		*/
	[struct]
	[link_system]
	public final class NetworkViewID extends system._Object_
	{
		[creator];
		[native,unityengine_NetworkViewID_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_NetworkViewID_ctor];
		public function NetworkViewID();
		//*********公共方法*******
		/**
		* UnityEngine.NetworkViewID.get_unassigned
		*return:
		*   UnityEngine.NetworkViewID
		*/
		[native,static_unityengine_NetworkViewID_get_unassigned]
		public static function get unassigned():NetworkViewID;

		/**
		* UnityEngine.NetworkViewID.get_isMine
		*return:
		*   System.Boolean
		*/
		[native,unityengine_NetworkViewID_get_isMine]
		public final function get isMine():Boolean;

		/**
		* UnityEngine.NetworkViewID.get_owner
		*return:
		*   UnityEngine.NetworkPlayer
		*/
		[native,unityengine_NetworkViewID_get_owner]
		public final function get owner():NetworkPlayer;


		//*****操作重载*****
		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_NetworkViewID_op_Equality];
		public static function op_Equality(lhs:NetworkViewID,rhs:NetworkViewID):Boolean;

		[operator,"=="];
		[native,static_unityengine_NetworkViewID_op_Equality];
		private static function _operator_op_Equality(lhs:NetworkViewID,rhs:NetworkViewID):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_NetworkViewID_op_Inequality];
		public static function op_Inequality(lhs:NetworkViewID,rhs:NetworkViewID):Boolean;

		[operator,"!="];
		[native,static_unityengine_NetworkViewID_op_Inequality];
		private static function _operator_op_Inequality(lhs:NetworkViewID,rhs:NetworkViewID):Boolean;


	}
}
