package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.PlayerPrefs
		*/
	[link_system]
	public final class PlayerPrefs extends system._Object_
	{
		[creator];
		[native,unityengine_PlayerPrefs_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_PlayerPrefs_ctor];
		public function PlayerPrefs();


		//*********公共方法*******
		/**
		* UnityEngine.PlayerPrefs.SetInt
		*parameters:
		*  key : System.String
		*  value : System.Int32
		*/
		[native,static_unityengine_PlayerPrefs_setInt];
		public static function setInt(key:String,value:int):void;

		/**
		* UnityEngine.PlayerPrefs.GetInt
		*parameters:
		*  key : System.String
		*  defaultValue : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_PlayerPrefs_getInt];
		public static function getInt(key:String,defaultValue:int):int;

		/**
		* UnityEngine.PlayerPrefs.GetInt
		*parameters:
		*  key : System.String
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_PlayerPrefs_getInt_];
		public static function getInt_(key:String):int;

		/**
		* UnityEngine.PlayerPrefs.SetFloat
		*parameters:
		*  key : System.String
		*  value : System.Single
		*/
		[native,static_unityengine_PlayerPrefs_setFloat];
		public static function setFloat(key:String,value:Number):void;

		/**
		* UnityEngine.PlayerPrefs.GetFloat
		*parameters:
		*  key : System.String
		*  defaultValue : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_PlayerPrefs_getFloat];
		public static function getFloat(key:String,defaultValue:Number):Number;

		/**
		* UnityEngine.PlayerPrefs.GetFloat
		*parameters:
		*  key : System.String
		*return:
		*   System.Single
		*/
		[native,static_unityengine_PlayerPrefs_getFloat_];
		public static function getFloat_(key:String):Number;

		/**
		* UnityEngine.PlayerPrefs.SetString
		*parameters:
		*  key : System.String
		*  value : System.String
		*/
		[native,static_unityengine_PlayerPrefs_setString];
		public static function setString(key:String,value:String):void;

		/**
		* UnityEngine.PlayerPrefs.GetString
		*parameters:
		*  key : System.String
		*  defaultValue : System.String
		*return:
		*   System.String
		*/
		[native,static_unityengine_PlayerPrefs_getString];
		public static function getString(key:String,defaultValue:String):String;

		/**
		* UnityEngine.PlayerPrefs.GetString
		*parameters:
		*  key : System.String
		*return:
		*   System.String
		*/
		[native,static_unityengine_PlayerPrefs_getString_];
		public static function getString_(key:String):String;

		/**
		* UnityEngine.PlayerPrefs.HasKey
		*parameters:
		*  key : System.String
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_PlayerPrefs_hasKey];
		public static function hasKey(key:String):Boolean;

		/**
		* UnityEngine.PlayerPrefs.DeleteKey
		*parameters:
		*  key : System.String
		*/
		[native,static_unityengine_PlayerPrefs_deleteKey];
		public static function deleteKey(key:String):void;

		/**
		* UnityEngine.PlayerPrefs.DeleteAll
		*/
		[native,static_unityengine_PlayerPrefs_deleteAll];
		public static function deleteAll():void;

		/**
		* UnityEngine.PlayerPrefs.Save
		*/
		[native,static_unityengine_PlayerPrefs_save];
		public static function save():void;


	}
}
