package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.ProceduralMaterial
		*/
	[no_constructor]
	[link_system]
	public final class ProceduralMaterial extends Material
	{
		[creator];
		[native,unityengine_ProceduralMaterial_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function ProceduralMaterial();
		//*********公共方法*******
		/**
		* UnityEngine.ProceduralMaterial.GetProceduralPropertyDescriptions
		*return:
		*   UnityEngine.ProceduralPropertyDescription[]
		*/
		[native,unityengine_ProceduralMaterial_getProceduralPropertyDescriptions];
		public final function getProceduralPropertyDescriptions():_Array_;

		/**
		* UnityEngine.ProceduralMaterial.HasProceduralProperty
		*parameters:
		*  inputName : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_hasProceduralProperty];
		public final function hasProceduralProperty(inputName:String):Boolean;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralBoolean
		*parameters:
		*  inputName : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_getProceduralBoolean];
		public final function getProceduralBoolean(inputName:String):Boolean;

		/**
		* UnityEngine.ProceduralMaterial.IsProceduralPropertyVisible
		*parameters:
		*  inputName : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_isProceduralPropertyVisible];
		public final function isProceduralPropertyVisible(inputName:String):Boolean;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralBoolean
		*parameters:
		*  inputName : System.String
		*  value : System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_setProceduralBoolean];
		public final function setProceduralBoolean(inputName:String,value:Boolean):void;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralFloat
		*parameters:
		*  inputName : System.String
		*return:
		*   System.Single
		*/
		[native,unityengine_ProceduralMaterial_getProceduralFloat];
		public final function getProceduralFloat(inputName:String):Number;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralFloat
		*parameters:
		*  inputName : System.String
		*  value : System.Single
		*/
		[native,unityengine_ProceduralMaterial_setProceduralFloat];
		public final function setProceduralFloat(inputName:String,value:Number):void;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralVector
		*parameters:
		*  inputName : System.String
		*return:
		*   UnityEngine.Vector4
		*/
		[native,unityengine_ProceduralMaterial_getProceduralVector];
		public final function getProceduralVector(inputName:String):Vector4;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralVector
		*parameters:
		*  inputName : System.String
		*  value : UnityEngine.Vector4
		*/
		[native,unityengine_ProceduralMaterial_setProceduralVector];
		public final function setProceduralVector(inputName:String,value:Vector4):void;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralColor
		*parameters:
		*  inputName : System.String
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_ProceduralMaterial_getProceduralColor];
		public final function getProceduralColor(inputName:String):Color;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralColor
		*parameters:
		*  inputName : System.String
		*  value : UnityEngine.Color
		*/
		[native,unityengine_ProceduralMaterial_setProceduralColor];
		public final function setProceduralColor(inputName:String,value:Color):void;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralEnum
		*parameters:
		*  inputName : System.String
		*return:
		*   System.Int32
		*/
		[native,unityengine_ProceduralMaterial_getProceduralEnum];
		public final function getProceduralEnum(inputName:String):int;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralEnum
		*parameters:
		*  inputName : System.String
		*  value : System.Int32
		*/
		[native,unityengine_ProceduralMaterial_setProceduralEnum];
		public final function setProceduralEnum(inputName:String,value:int):void;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralTexture
		*parameters:
		*  inputName : System.String
		*return:
		*   UnityEngine.Texture2D
		*/
		[native,unityengine_ProceduralMaterial_getProceduralTexture];
		public final function getProceduralTexture(inputName:String):Texture2D;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralTexture
		*parameters:
		*  inputName : System.String
		*  value : UnityEngine.Texture2D
		*/
		[native,unityengine_ProceduralMaterial_setProceduralTexture];
		public final function setProceduralTexture(inputName:String,value:Texture2D):void;

		/**
		* UnityEngine.ProceduralMaterial.GetProceduralString
		*parameters:
		*  inputName : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_ProceduralMaterial_getProceduralString];
		public final function getProceduralString(inputName:String):String;

		/**
		* UnityEngine.ProceduralMaterial.SetProceduralString
		*parameters:
		*  inputName : System.String
		*  value : System.String
		*/
		[native,unityengine_ProceduralMaterial_setProceduralString];
		public final function setProceduralString(inputName:String,value:String):void;

		/**
		* UnityEngine.ProceduralMaterial.IsProceduralPropertyCached
		*parameters:
		*  inputName : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_isProceduralPropertyCached];
		public final function isProceduralPropertyCached(inputName:String):Boolean;

		/**
		* UnityEngine.ProceduralMaterial.CacheProceduralProperty
		*parameters:
		*  inputName : System.String
		*  value : System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_cacheProceduralProperty];
		public final function cacheProceduralProperty(inputName:String,value:Boolean):void;

		/**
		* UnityEngine.ProceduralMaterial.ClearCache
		*/
		[native,unityengine_ProceduralMaterial_clearCache];
		public final function clearCache():void;

		/**
		* UnityEngine.ProceduralMaterial.get_cacheSize
		*return:
		*   UnityEngine.ProceduralCacheSize
		*/
		[native,unityengine_ProceduralMaterial_get_cacheSize]
		public final function get cacheSize():ProceduralCacheSize;

		/**
		* UnityEngine.ProceduralMaterial.set_cacheSize
		*parameters:
		*  value : UnityEngine.ProceduralCacheSize
		*/
		[native,unityengine_ProceduralMaterial_set_cacheSize]
		public final function set cacheSize(value:ProceduralCacheSize):void;

		/**
		* UnityEngine.ProceduralMaterial.get_animationUpdateRate
		*return:
		*   System.Int32
		*/
		[native,unityengine_ProceduralMaterial_get_animationUpdateRate]
		public final function get animationUpdateRate():int;

		/**
		* UnityEngine.ProceduralMaterial.set_animationUpdateRate
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ProceduralMaterial_set_animationUpdateRate]
		public final function set animationUpdateRate(value:int):void;

		/**
		* UnityEngine.ProceduralMaterial.RebuildTextures
		*/
		[native,unityengine_ProceduralMaterial_rebuildTextures];
		public final function rebuildTextures():void;

		/**
		* UnityEngine.ProceduralMaterial.RebuildTexturesImmediately
		*/
		[native,unityengine_ProceduralMaterial_rebuildTexturesImmediately];
		public final function rebuildTexturesImmediately():void;

		/**
		* UnityEngine.ProceduralMaterial.get_isProcessing
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_get_isProcessing]
		public final function get isProcessing():Boolean;

		/**
		* UnityEngine.ProceduralMaterial.StopRebuilds
		*/
		[native,static_unityengine_ProceduralMaterial_stopRebuilds];
		public static function stopRebuilds():void;

		/**
		* UnityEngine.ProceduralMaterial.get_isCachedDataAvailable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_get_isCachedDataAvailable]
		public final function get isCachedDataAvailable():Boolean;

		/**
		* UnityEngine.ProceduralMaterial.get_isLoadTimeGenerated
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_get_isLoadTimeGenerated]
		public final function get isLoadTimeGenerated():Boolean;

		/**
		* UnityEngine.ProceduralMaterial.set_isLoadTimeGenerated
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_set_isLoadTimeGenerated]
		public final function set isLoadTimeGenerated(value:Boolean):void;

		/**
		* UnityEngine.ProceduralMaterial.get_loadingBehavior
		*return:
		*   UnityEngine.ProceduralLoadingBehavior
		*/
		[native,unityengine_ProceduralMaterial_get_loadingBehavior]
		public final function get loadingBehavior():ProceduralLoadingBehavior;

		/**
		* UnityEngine.ProceduralMaterial.get_isSupported
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_ProceduralMaterial_get_isSupported]
		public static function get isSupported():Boolean;

		/**
		* UnityEngine.ProceduralMaterial.get_substanceProcessorUsage
		*return:
		*   UnityEngine.ProceduralProcessorUsage
		*/
		[native,static_unityengine_ProceduralMaterial_get_substanceProcessorUsage]
		public static function get substanceProcessorUsage():ProceduralProcessorUsage;

		/**
		* UnityEngine.ProceduralMaterial.set_substanceProcessorUsage
		*parameters:
		*  value : UnityEngine.ProceduralProcessorUsage
		*/
		[native,static_unityengine_ProceduralMaterial_set_substanceProcessorUsage]
		public static function set substanceProcessorUsage(value:ProceduralProcessorUsage):void;

		/**
		* UnityEngine.ProceduralMaterial.get_preset
		*return:
		*   System.String
		*/
		[native,unityengine_ProceduralMaterial_get_preset]
		public final function get preset():String;

		/**
		* UnityEngine.ProceduralMaterial.set_preset
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_ProceduralMaterial_set_preset]
		public final function set preset(value:String):void;

		/**
		* UnityEngine.ProceduralMaterial.GetGeneratedTextures
		*return:
		*   UnityEngine.Texture[]
		*/
		[native,unityengine_ProceduralMaterial_getGeneratedTextures];
		public final function getGeneratedTextures():_Array_;

		/**
		* UnityEngine.ProceduralMaterial.GetGeneratedTexture
		*parameters:
		*  textureName : System.String
		*return:
		*   UnityEngine.ProceduralTexture
		*/
		[native,unityengine_ProceduralMaterial_getGeneratedTexture];
		public final function getGeneratedTexture(textureName:String):ProceduralTexture;

		/**
		* UnityEngine.ProceduralMaterial.get_isReadable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_get_isReadable]
		public final function get isReadable():Boolean;

		/**
		* UnityEngine.ProceduralMaterial.set_isReadable
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_set_isReadable]
		public final function set isReadable(value:Boolean):void;

		/**
		* UnityEngine.ProceduralMaterial.FreezeAndReleaseSourceData
		*/
		[native,unityengine_ProceduralMaterial_freezeAndReleaseSourceData];
		public final function freezeAndReleaseSourceData():void;

		/**
		* UnityEngine.ProceduralMaterial.get_isFrozen
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ProceduralMaterial_get_isFrozen]
		public final function get isFrozen():Boolean;


	}
}
