package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.RaycastHit
		*/
	[struct]
	[link_system]
	public final class RaycastHit extends system._Object_
	{
		[creator];
		[native,unityengine_RaycastHit_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_RaycastHit_ctor];
		public function RaycastHit();
		//*********公共方法*******
		/**
		* UnityEngine.RaycastHit.get_point
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_RaycastHit_get_point]
		public final function get point():Vector3;

		/**
		* UnityEngine.RaycastHit.set_point
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_RaycastHit_set_point]
		public final function set point(value:Vector3):void;

		/**
		* UnityEngine.RaycastHit.get_normal
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_RaycastHit_get_normal]
		public final function get normal():Vector3;

		/**
		* UnityEngine.RaycastHit.set_normal
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_RaycastHit_set_normal]
		public final function set normal(value:Vector3):void;

		/**
		* UnityEngine.RaycastHit.get_barycentricCoordinate
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_RaycastHit_get_barycentricCoordinate]
		public final function get barycentricCoordinate():Vector3;

		/**
		* UnityEngine.RaycastHit.set_barycentricCoordinate
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_RaycastHit_set_barycentricCoordinate]
		public final function set barycentricCoordinate(value:Vector3):void;

		/**
		* UnityEngine.RaycastHit.get_distance
		*return:
		*   System.Single
		*/
		[native,unityengine_RaycastHit_get_distance]
		public final function get distance():Number;

		/**
		* UnityEngine.RaycastHit.set_distance
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_RaycastHit_set_distance]
		public final function set distance(value:Number):void;

		/**
		* UnityEngine.RaycastHit.get_triangleIndex
		*return:
		*   System.Int32
		*/
		[native,unityengine_RaycastHit_get_triangleIndex]
		public final function get triangleIndex():int;

		/**
		* UnityEngine.RaycastHit.get_textureCoord
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_RaycastHit_get_textureCoord]
		public final function get textureCoord():Vector2;

		/**
		* UnityEngine.RaycastHit.get_textureCoord2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_RaycastHit_get_textureCoord2]
		public final function get textureCoord2():Vector2;

		/**
		* UnityEngine.RaycastHit.get_lightmapCoord
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_RaycastHit_get_lightmapCoord]
		public final function get lightmapCoord():Vector2;

		/**
		* UnityEngine.RaycastHit.get_collider
		*return:
		*   UnityEngine.Collider
		*/
		[native,unityengine_RaycastHit_get_collider]
		public final function get collider():Collider;

		/**
		* UnityEngine.RaycastHit.get_rigidbody
		*return:
		*   UnityEngine.Rigidbody
		*/
		[native,unityengine_RaycastHit_get_rigidbody]
		public final function get rigidbody():Rigidbody;

		/**
		* UnityEngine.RaycastHit.get_transform
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_RaycastHit_get_transform]
		public final function get transform():Transform;


	}
}
