package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Rect
		*/
	[struct]
	[link_system]
	public final class Rect extends system._Object_
	{
		[creator];
		[native,unityengine_Rect_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Rect_constructor_];
		public static function constructor_(position:Vector2,size:Vector2):Rect;

		[native,unityengine_Rect_constructor__];
		public static function constructor__(source:Rect):Rect;

		[native,unityengine_Rect_ctor];
		public function Rect(x:Number,y:Number,width:Number,height:Number);


		//*********公共方法*******
		/**
		* UnityEngine.Rect.get_zero
		*return:
		*   UnityEngine.Rect
		*/
		[native,static_unityengine_Rect_get_zero]
		public static function get zero():Rect;

		/**
		* UnityEngine.Rect.MinMaxRect
		*parameters:
		*  xmin : System.Single
		*  ymin : System.Single
		*  xmax : System.Single
		*  ymax : System.Single
		*return:
		*   UnityEngine.Rect
		*/
		[native,static_unityengine_Rect_minMaxRect];
		public static function minMaxRect(xmin:Number,ymin:Number,xmax:Number,ymax:Number):Rect;

		/**
		* UnityEngine.Rect.Set
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  width : System.Single
		*  height : System.Single
		*/
		[native,unityengine_Rect_set];
		public final function set(x:Number,y:Number,width:Number,height:Number):void;

		/**
		* UnityEngine.Rect.get_x
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_x]
		public final function get x():Number;

		/**
		* UnityEngine.Rect.set_x
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_x]
		public final function set x(value:Number):void;

		/**
		* UnityEngine.Rect.get_y
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_y]
		public final function get y():Number;

		/**
		* UnityEngine.Rect.set_y
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_y]
		public final function set y(value:Number):void;

		/**
		* UnityEngine.Rect.get_position
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Rect_get_position]
		public final function get position():Vector2;

		/**
		* UnityEngine.Rect.set_position
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Rect_set_position]
		public final function set position(value:Vector2):void;

		/**
		* UnityEngine.Rect.get_center
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Rect_get_center]
		public final function get center():Vector2;

		/**
		* UnityEngine.Rect.set_center
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Rect_set_center]
		public final function set center(value:Vector2):void;

		/**
		* UnityEngine.Rect.get_min
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Rect_get_min]
		public final function get min():Vector2;

		/**
		* UnityEngine.Rect.set_min
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Rect_set_min]
		public final function set min(value:Vector2):void;

		/**
		* UnityEngine.Rect.get_max
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Rect_get_max]
		public final function get max():Vector2;

		/**
		* UnityEngine.Rect.set_max
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Rect_set_max]
		public final function set max(value:Vector2):void;

		/**
		* UnityEngine.Rect.get_width
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_width]
		public final function get width():Number;

		/**
		* UnityEngine.Rect.set_width
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_width]
		public final function set width(value:Number):void;

		/**
		* UnityEngine.Rect.get_height
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_height]
		public final function get height():Number;

		/**
		* UnityEngine.Rect.set_height
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_height]
		public final function set height(value:Number):void;

		/**
		* UnityEngine.Rect.get_size
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Rect_get_size]
		public final function get size():Vector2;

		/**
		* UnityEngine.Rect.set_size
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Rect_set_size]
		public final function set size(value:Vector2):void;

		/**
		* UnityEngine.Rect.get_xMin
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_xMin]
		public final function get xMin():Number;

		/**
		* UnityEngine.Rect.set_xMin
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_xMin]
		public final function set xMin(value:Number):void;

		/**
		* UnityEngine.Rect.get_yMin
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_yMin]
		public final function get yMin():Number;

		/**
		* UnityEngine.Rect.set_yMin
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_yMin]
		public final function set yMin(value:Number):void;

		/**
		* UnityEngine.Rect.get_xMax
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_xMax]
		public final function get xMax():Number;

		/**
		* UnityEngine.Rect.set_xMax
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_xMax]
		public final function set xMax(value:Number):void;

		/**
		* UnityEngine.Rect.get_yMax
		*return:
		*   System.Single
		*/
		[native,unityengine_Rect_get_yMax]
		public final function get yMax():Number;

		/**
		* UnityEngine.Rect.set_yMax
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rect_set_yMax]
		public final function set yMax(value:Number):void;

		/**
		* UnityEngine.Rect.Contains
		*parameters:
		*  point : UnityEngine.Vector2
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rect_contains];
		public final function contains(point:Vector2):Boolean;

		/**
		* UnityEngine.Rect.Contains
		*parameters:
		*  point : UnityEngine.Vector3
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rect_contains_];
		public final function contains_(point:Vector3):Boolean;

		/**
		* UnityEngine.Rect.Contains
		*parameters:
		*  point : UnityEngine.Vector3
		*  allowInverse : System.Boolean
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rect_contains__];
		public final function contains__(point:Vector3,allowInverse:Boolean):Boolean;

		/**
		* UnityEngine.Rect.Overlaps
		*parameters:
		*  other : UnityEngine.Rect
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rect_overlaps];
		public final function overlaps(other:Rect):Boolean;

		/**
		* UnityEngine.Rect.Overlaps
		*parameters:
		*  other : UnityEngine.Rect
		*  allowInverse : System.Boolean
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rect_overlaps_];
		public final function overlaps_(other:Rect,allowInverse:Boolean):Boolean;

		/**
		* UnityEngine.Rect.NormalizedToPoint
		*parameters:
		*  rectangle : UnityEngine.Rect
		*  normalizedRectCoordinates : UnityEngine.Vector2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Rect_normalizedToPoint];
		public static function normalizedToPoint(rectangle:Rect,normalizedRectCoordinates:Vector2):Vector2;

		/**
		* UnityEngine.Rect.PointToNormalized
		*parameters:
		*  rectangle : UnityEngine.Rect
		*  point : UnityEngine.Vector2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Rect_pointToNormalized];
		public static function pointToNormalized(rectangle:Rect,point:Vector2):Vector2;

		/**
		* UnityEngine.Rect.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Rect_toString___];
		public final function toString___(format:String):String;


		//*****操作重载*****
		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Rect_op_Inequality];
		public static function op_Inequality(lhs:Rect,rhs:Rect):Boolean;

		[operator,"!="];
		[native,static_unityengine_Rect_op_Inequality];
		private static function _operator_op_Inequality(lhs:Rect,rhs:Rect):Boolean;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Rect_op_Equality];
		public static function op_Equality(lhs:Rect,rhs:Rect):Boolean;

		[operator,"=="];
		[native,static_unityengine_Rect_op_Equality];
		private static function _operator_op_Equality(lhs:Rect,rhs:Rect):Boolean;


	}
}
