package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.RectInt
		*/
	[struct]
	[link_system]
	public final class RectInt extends system._Object_
	{
		[creator];
		[native,unityengine_RectInt_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_RectInt_constructor_];
		public static function constructor_(position:Vector2Int,size:Vector2Int):RectInt;

		[native,unityengine_RectInt_ctor];
		public function RectInt(xMin:int,yMin:int,width:int,height:int);


		//*********公共方法*******
		/**
		* UnityEngine.RectInt.get_x
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_x]
		public final function get x():int;

		/**
		* UnityEngine.RectInt.set_x
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_x]
		public final function set x(value:int):void;

		/**
		* UnityEngine.RectInt.get_y
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_y]
		public final function get y():int;

		/**
		* UnityEngine.RectInt.set_y
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_y]
		public final function set y(value:int):void;

		/**
		* UnityEngine.RectInt.get_center
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_RectInt_get_center]
		public final function get center():Vector2;

		/**
		* UnityEngine.RectInt.get_min
		*return:
		*   UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_get_min]
		public final function get min():Vector2Int;

		/**
		* UnityEngine.RectInt.set_min
		*parameters:
		*  value : UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_set_min]
		public final function set min(value:Vector2Int):void;

		/**
		* UnityEngine.RectInt.get_max
		*return:
		*   UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_get_max]
		public final function get max():Vector2Int;

		/**
		* UnityEngine.RectInt.set_max
		*parameters:
		*  value : UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_set_max]
		public final function set max(value:Vector2Int):void;

		/**
		* UnityEngine.RectInt.get_width
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_width]
		public final function get width():int;

		/**
		* UnityEngine.RectInt.set_width
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_width]
		public final function set width(value:int):void;

		/**
		* UnityEngine.RectInt.get_height
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_height]
		public final function get height():int;

		/**
		* UnityEngine.RectInt.set_height
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_height]
		public final function set height(value:int):void;

		/**
		* UnityEngine.RectInt.get_xMin
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_xMin]
		public final function get xMin():int;

		/**
		* UnityEngine.RectInt.set_xMin
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_xMin]
		public final function set xMin(value:int):void;

		/**
		* UnityEngine.RectInt.get_yMin
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_yMin]
		public final function get yMin():int;

		/**
		* UnityEngine.RectInt.set_yMin
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_yMin]
		public final function set yMin(value:int):void;

		/**
		* UnityEngine.RectInt.get_xMax
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_xMax]
		public final function get xMax():int;

		/**
		* UnityEngine.RectInt.set_xMax
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_xMax]
		public final function set xMax(value:int):void;

		/**
		* UnityEngine.RectInt.get_yMax
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectInt_get_yMax]
		public final function get yMax():int;

		/**
		* UnityEngine.RectInt.set_yMax
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectInt_set_yMax]
		public final function set yMax(value:int):void;

		/**
		* UnityEngine.RectInt.get_position
		*return:
		*   UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_get_position]
		public final function get position():Vector2Int;

		/**
		* UnityEngine.RectInt.set_position
		*parameters:
		*  value : UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_set_position]
		public final function set position(value:Vector2Int):void;

		/**
		* UnityEngine.RectInt.get_size
		*return:
		*   UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_get_size]
		public final function get size():Vector2Int;

		/**
		* UnityEngine.RectInt.set_size
		*parameters:
		*  value : UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_set_size]
		public final function set size(value:Vector2Int):void;

		/**
		* UnityEngine.RectInt.SetMinMax
		*parameters:
		*  minPosition : UnityEngine.Vector2Int
		*  maxPosition : UnityEngine.Vector2Int
		*/
		[native,unityengine_RectInt_setMinMax];
		public final function setMinMax(minPosition:Vector2Int,maxPosition:Vector2Int):void;

		/**
		* UnityEngine.RectInt.ClampToBounds
		*parameters:
		*  bounds : UnityEngine.RectInt
		*/
		[native,unityengine_RectInt_clampToBounds];
		public final function clampToBounds(bounds:RectInt):void;

		/**
		* UnityEngine.RectInt.Contains
		*parameters:
		*  position : UnityEngine.Vector2Int
		*return:
		*   System.Boolean
		*/
		[native,unityengine_RectInt_contains];
		public final function contains(position:Vector2Int):Boolean;

		/**
		* UnityEngine.RectInt.get_allPositionsWithin
		*return:
		*   UnityEngine.RectInt.PositionEnumerator
		*/
		[native,unityengine_RectInt_get_allPositionsWithin]
		public final function get allPositionsWithin():RectInt_PositionEnumerator;


	}
}
