package unityengine
{
	import system._Object_;
	import system._Array_;
	import unityengine.rendering.RenderBufferLoadAction;
	import unityengine.rendering.RenderBufferStoreAction;


		/**
		* Struct
		*  UnityEngine.RenderTargetSetup
		*/
	[struct]
	[link_system]
	public final class RenderTargetSetup extends system._Object_
	{
		[creator];
		[native,unityengine_RenderTargetSetup_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_RenderTargetSetup_constructor_];
		public static function constructor_(color:RenderBuffer,depth:RenderBuffer):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_constructor__];
		public static function constructor__(color:RenderBuffer,depth:RenderBuffer,mipLevel:int):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_constructor___];
		public static function constructor___(color:RenderBuffer,depth:RenderBuffer,mipLevel:int,face:CubemapFace):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_constructor____];
		public static function constructor____(color:RenderBuffer,depth:RenderBuffer,mipLevel:int,face:CubemapFace,depthSlice:int):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_constructor_____];
		public static function constructor_____(color:_Array_,depth:RenderBuffer):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_constructor______];
		public static function constructor______(color:_Array_,depth:RenderBuffer,mipLevel:int):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_constructor_______];
		public static function constructor_______(color:_Array_,depth:RenderBuffer,mip:int,face:CubemapFace):RenderTargetSetup;

		[native,unityengine_RenderTargetSetup_ctor];
		public function RenderTargetSetup(color:_Array_,depth:RenderBuffer,mip:int,face:CubemapFace,colorLoad:_Array_,colorStore:_Array_,depthLoad:unityengine.rendering.RenderBufferLoadAction,depthStore:unityengine.rendering.RenderBufferStoreAction);


		//*********字段*******
		/**
		* UnityEngine.RenderTargetSetup.color
		*fieldtype:
		*   UnityEngine.RenderBuffer[]
		*/
		[native, unityengine_RenderTargetSetup_color_getter,unityengine_RenderTargetSetup_color_setter];
		public var color:_Array_;
		/**
		* UnityEngine.RenderTargetSetup.depth
		*fieldtype:
		*   UnityEngine.RenderBuffer
		*/
		[native, unityengine_RenderTargetSetup_depth_getter,unityengine_RenderTargetSetup_depth_setter];
		public var depth:RenderBuffer;
		/**
		* UnityEngine.RenderTargetSetup.mipLevel
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_RenderTargetSetup_mipLevel_getter,unityengine_RenderTargetSetup_mipLevel_setter];
		public var mipLevel:int;
		/**
		* UnityEngine.RenderTargetSetup.cubemapFace
		*fieldtype:
		*   UnityEngine.CubemapFace
		*/
		[native, unityengine_RenderTargetSetup_cubemapFace_getter,unityengine_RenderTargetSetup_cubemapFace_setter];
		public var cubemapFace:CubemapFace;
		/**
		* UnityEngine.RenderTargetSetup.depthSlice
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_RenderTargetSetup_depthSlice_getter,unityengine_RenderTargetSetup_depthSlice_setter];
		public var depthSlice:int;
		/**
		* UnityEngine.RenderTargetSetup.colorLoad
		*fieldtype:
		*   UnityEngine.Rendering.RenderBufferLoadAction[]
		*/
		[native, unityengine_RenderTargetSetup_colorLoad_getter,unityengine_RenderTargetSetup_colorLoad_setter];
		public var colorLoad:_Array_;
		/**
		* UnityEngine.RenderTargetSetup.colorStore
		*fieldtype:
		*   UnityEngine.Rendering.RenderBufferStoreAction[]
		*/
		[native, unityengine_RenderTargetSetup_colorStore_getter,unityengine_RenderTargetSetup_colorStore_setter];
		public var colorStore:_Array_;
		/**
		* UnityEngine.RenderTargetSetup.depthLoad
		*fieldtype:
		*   UnityEngine.Rendering.RenderBufferLoadAction
		*/
		[native, unityengine_RenderTargetSetup_depthLoad_getter,unityengine_RenderTargetSetup_depthLoad_setter];
		public var depthLoad:unityengine.rendering.RenderBufferLoadAction;
		/**
		* UnityEngine.RenderTargetSetup.depthStore
		*fieldtype:
		*   UnityEngine.Rendering.RenderBufferStoreAction
		*/
		[native, unityengine_RenderTargetSetup_depthStore_getter,unityengine_RenderTargetSetup_depthStore_setter];
		public var depthStore:unityengine.rendering.RenderBufferStoreAction;

	}
}
