package unityengine
{
	[no_constructor]
	[link_system]
	public final class RenderTextureFormat
	{
		[creator];
		[native,unityengine_RenderTextureFormat_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_RenderTextureFormat_ctor];
		public function RenderTextureFormat();

		/**
		 *ARGB32 = UnityEngine.RenderTextureFormat ARGB32
		 */
		[native,unityengine_RenderTextureFormat_ARGB32_getter];
		public static const ARGB32:RenderTextureFormat;

		/**
		 *Depth = UnityEngine.RenderTextureFormat Depth
		 */
		[native,unityengine_RenderTextureFormat_Depth_getter];
		public static const Depth:RenderTextureFormat;

		/**
		 *ARGBHalf = UnityEngine.RenderTextureFormat ARGBHalf
		 */
		[native,unityengine_RenderTextureFormat_ARGBHalf_getter];
		public static const ARGBHalf:RenderTextureFormat;

		/**
		 *Shadowmap = UnityEngine.RenderTextureFormat Shadowmap
		 */
		[native,unityengine_RenderTextureFormat_Shadowmap_getter];
		public static const Shadowmap:RenderTextureFormat;

		/**
		 *RGB565 = UnityEngine.RenderTextureFormat RGB565
		 */
		[native,unityengine_RenderTextureFormat_RGB565_getter];
		public static const RGB565:RenderTextureFormat;

		/**
		 *ARGB4444 = UnityEngine.RenderTextureFormat ARGB4444
		 */
		[native,unityengine_RenderTextureFormat_ARGB4444_getter];
		public static const ARGB4444:RenderTextureFormat;

		/**
		 *ARGB1555 = UnityEngine.RenderTextureFormat ARGB1555
		 */
		[native,unityengine_RenderTextureFormat_ARGB1555_getter];
		public static const ARGB1555:RenderTextureFormat;

		/**
		 *Default = UnityEngine.RenderTextureFormat Default
		 */
		[native,unityengine_RenderTextureFormat_Default_getter];
		public static const Default:RenderTextureFormat;

		/**
		 *ARGB2101010 = UnityEngine.RenderTextureFormat ARGB2101010
		 */
		[native,unityengine_RenderTextureFormat_ARGB2101010_getter];
		public static const ARGB2101010:RenderTextureFormat;

		/**
		 *DefaultHDR = UnityEngine.RenderTextureFormat DefaultHDR
		 */
		[native,unityengine_RenderTextureFormat_DefaultHDR_getter];
		public static const DefaultHDR:RenderTextureFormat;

		/**
		 *ARGB64 = UnityEngine.RenderTextureFormat ARGB64
		 */
		[native,unityengine_RenderTextureFormat_ARGB64_getter];
		public static const ARGB64:RenderTextureFormat;

		/**
		 *ARGBFloat = UnityEngine.RenderTextureFormat ARGBFloat
		 */
		[native,unityengine_RenderTextureFormat_ARGBFloat_getter];
		public static const ARGBFloat:RenderTextureFormat;

		/**
		 *RGFloat = UnityEngine.RenderTextureFormat RGFloat
		 */
		[native,unityengine_RenderTextureFormat_RGFloat_getter];
		public static const RGFloat:RenderTextureFormat;

		/**
		 *RGHalf = UnityEngine.RenderTextureFormat RGHalf
		 */
		[native,unityengine_RenderTextureFormat_RGHalf_getter];
		public static const RGHalf:RenderTextureFormat;

		/**
		 *RFloat = UnityEngine.RenderTextureFormat RFloat
		 */
		[native,unityengine_RenderTextureFormat_RFloat_getter];
		public static const RFloat:RenderTextureFormat;

		/**
		 *RHalf = UnityEngine.RenderTextureFormat RHalf
		 */
		[native,unityengine_RenderTextureFormat_RHalf_getter];
		public static const RHalf:RenderTextureFormat;

		/**
		 *R8 = UnityEngine.RenderTextureFormat R8
		 */
		[native,unityengine_RenderTextureFormat_R8_getter];
		public static const R8:RenderTextureFormat;

		/**
		 *ARGBInt = UnityEngine.RenderTextureFormat ARGBInt
		 */
		[native,unityengine_RenderTextureFormat_ARGBInt_getter];
		public static const ARGBInt:RenderTextureFormat;

		/**
		 *RGInt = UnityEngine.RenderTextureFormat RGInt
		 */
		[native,unityengine_RenderTextureFormat_RGInt_getter];
		public static const RGInt:RenderTextureFormat;

		/**
		 *RInt = UnityEngine.RenderTextureFormat RInt
		 */
		[native,unityengine_RenderTextureFormat_RInt_getter];
		public static const RInt:RenderTextureFormat;

		/**
		 *BGRA32 = UnityEngine.RenderTextureFormat BGRA32
		 */
		[native,unityengine_RenderTextureFormat_BGRA32_getter];
		public static const BGRA32:RenderTextureFormat;

		/**
		 *RGB111110Float = UnityEngine.RenderTextureFormat RGB111110Float
		 */
		[native,unityengine_RenderTextureFormat_RGB111110Float_getter];
		public static const RGB111110Float:RenderTextureFormat;

		/**
		 *RG32 = UnityEngine.RenderTextureFormat RG32
		 */
		[native,unityengine_RenderTextureFormat_RG32_getter];
		public static const RG32:RenderTextureFormat;

		/**
		 *RGBAUShort = UnityEngine.RenderTextureFormat RGBAUShort
		 */
		[native,unityengine_RenderTextureFormat_RGBAUShort_getter];
		public static const RGBAUShort:RenderTextureFormat;

		/**
		 *RG16 = UnityEngine.RenderTextureFormat RG16
		 */
		[native,unityengine_RenderTextureFormat_RG16_getter];
		public static const RG16:RenderTextureFormat;

		/**
		 *BGRA10101010_XR = UnityEngine.RenderTextureFormat BGRA10101010_XR
		 */
		[native,unityengine_RenderTextureFormat_BGRA10101010_XR_getter];
		public static const BGRA10101010_XR:RenderTextureFormat;

		/**
		 *BGR101010_XR = UnityEngine.RenderTextureFormat BGR101010_XR
		 */
		[native,unityengine_RenderTextureFormat_BGR101010_XR_getter];
		public static const BGR101010_XR:RenderTextureFormat;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_RenderTextureFormat_operator_bitOr];
		private static function bitOr(t1:RenderTextureFormat,t2:RenderTextureFormat):RenderTextureFormat;
	}
}
