package unityengine
{
	[no_constructor]
	[link_system]
	public final class RuntimePlatform
	{
		[creator];
		[native,unityengine_RuntimePlatform_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_RuntimePlatform_ctor];
		public function RuntimePlatform();

		/**
		 *OSXEditor = UnityEngine.RuntimePlatform OSXEditor
		 */
		[native,unityengine_RuntimePlatform_OSXEditor_getter];
		public static const OSXEditor:RuntimePlatform;

		/**
		 *OSXPlayer = UnityEngine.RuntimePlatform OSXPlayer
		 */
		[native,unityengine_RuntimePlatform_OSXPlayer_getter];
		public static const OSXPlayer:RuntimePlatform;

		/**
		 *WindowsPlayer = UnityEngine.RuntimePlatform WindowsPlayer
		 */
		[native,unityengine_RuntimePlatform_WindowsPlayer_getter];
		public static const WindowsPlayer:RuntimePlatform;

		/**
		 *WindowsEditor = UnityEngine.RuntimePlatform WindowsEditor
		 */
		[native,unityengine_RuntimePlatform_WindowsEditor_getter];
		public static const WindowsEditor:RuntimePlatform;

		/**
		 *IPhonePlayer = UnityEngine.RuntimePlatform IPhonePlayer
		 */
		[native,unityengine_RuntimePlatform_IPhonePlayer_getter];
		public static const IPhonePlayer:RuntimePlatform;

		/**
		 *Android = UnityEngine.RuntimePlatform Android
		 */
		[native,unityengine_RuntimePlatform_Android_getter];
		public static const Android:RuntimePlatform;

		/**
		 *LinuxPlayer = UnityEngine.RuntimePlatform LinuxPlayer
		 */
		[native,unityengine_RuntimePlatform_LinuxPlayer_getter];
		public static const LinuxPlayer:RuntimePlatform;

		/**
		 *LinuxEditor = UnityEngine.RuntimePlatform LinuxEditor
		 */
		[native,unityengine_RuntimePlatform_LinuxEditor_getter];
		public static const LinuxEditor:RuntimePlatform;

		/**
		 *WebGLPlayer = UnityEngine.RuntimePlatform WebGLPlayer
		 */
		[native,unityengine_RuntimePlatform_WebGLPlayer_getter];
		public static const WebGLPlayer:RuntimePlatform;

		/**
		 *WSAPlayerX86 = UnityEngine.RuntimePlatform WSAPlayerX86
		 */
		[native,unityengine_RuntimePlatform_WSAPlayerX86_getter];
		public static const WSAPlayerX86:RuntimePlatform;

		/**
		 *WSAPlayerX64 = UnityEngine.RuntimePlatform WSAPlayerX64
		 */
		[native,unityengine_RuntimePlatform_WSAPlayerX64_getter];
		public static const WSAPlayerX64:RuntimePlatform;

		/**
		 *WSAPlayerARM = UnityEngine.RuntimePlatform WSAPlayerARM
		 */
		[native,unityengine_RuntimePlatform_WSAPlayerARM_getter];
		public static const WSAPlayerARM:RuntimePlatform;

		/**
		 *TizenPlayer = UnityEngine.RuntimePlatform TizenPlayer
		 */
		[native,unityengine_RuntimePlatform_TizenPlayer_getter];
		public static const TizenPlayer:RuntimePlatform;

		/**
		 *PSP2 = UnityEngine.RuntimePlatform PSP2
		 */
		[native,unityengine_RuntimePlatform_PSP2_getter];
		public static const PSP2:RuntimePlatform;

		/**
		 *PS4 = UnityEngine.RuntimePlatform PS4
		 */
		[native,unityengine_RuntimePlatform_PS4_getter];
		public static const PS4:RuntimePlatform;

		/**
		 *PSM = UnityEngine.RuntimePlatform PSM
		 */
		[native,unityengine_RuntimePlatform_PSM_getter];
		public static const PSM:RuntimePlatform;

		/**
		 *XboxOne = UnityEngine.RuntimePlatform XboxOne
		 */
		[native,unityengine_RuntimePlatform_XboxOne_getter];
		public static const XboxOne:RuntimePlatform;

		/**
		 *SamsungTVPlayer = UnityEngine.RuntimePlatform SamsungTVPlayer
		 */
		[native,unityengine_RuntimePlatform_SamsungTVPlayer_getter];
		public static const SamsungTVPlayer:RuntimePlatform;

		/**
		 *WiiU = UnityEngine.RuntimePlatform WiiU
		 */
		[native,unityengine_RuntimePlatform_WiiU_getter];
		public static const WiiU:RuntimePlatform;

		/**
		 *tvOS = UnityEngine.RuntimePlatform tvOS
		 */
		[native,unityengine_RuntimePlatform_tvOS_getter];
		public static const tvOS:RuntimePlatform;

		/**
		 *Switch = UnityEngine.RuntimePlatform Switch
		 */
		[native,unityengine_RuntimePlatform_Switch_getter];
		public static const Switch:RuntimePlatform;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_RuntimePlatform_operator_bitOr];
		private static function bitOr(t1:RuntimePlatform,t2:RuntimePlatform):RuntimePlatform;
	}
}
