package unityengine
{
	import system._Array_;


		/**
		*  UnityEngine.SkinnedMeshRenderer
		*/
	[link_system]
	public class SkinnedMeshRenderer extends Renderer
	{
		[creator];
		[native,unityengine_SkinnedMeshRenderer_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_SkinnedMeshRenderer_ctor];
		public function SkinnedMeshRenderer();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_SkinnedMeshRendererAdapter_ctor];
		private function _SkinnedMeshRendererAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.SkinnedMeshRenderer.get_bones
		*return:
		*   UnityEngine.Transform[]
		*/
		[native,unityengine_SkinnedMeshRenderer_get_bones]
		public final function get bones():_Array_;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_bones
		*parameters:
		*  value : UnityEngine.Transform[]
		*/
		[native,unityengine_SkinnedMeshRenderer_set_bones]
		public final function set bones(value:_Array_):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.get_rootBone
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_SkinnedMeshRenderer_get_rootBone]
		public final function get rootBone():Transform;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_rootBone
		*parameters:
		*  value : UnityEngine.Transform
		*/
		[native,unityengine_SkinnedMeshRenderer_set_rootBone]
		public final function set rootBone(value:Transform):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.get_quality
		*return:
		*   UnityEngine.SkinQuality
		*/
		[native,unityengine_SkinnedMeshRenderer_get_quality]
		public final function get quality():SkinQuality;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_quality
		*parameters:
		*  value : UnityEngine.SkinQuality
		*/
		[native,unityengine_SkinnedMeshRenderer_set_quality]
		public final function set quality(value:SkinQuality):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.get_sharedMesh
		*return:
		*   UnityEngine.Mesh
		*/
		[native,unityengine_SkinnedMeshRenderer_get_sharedMesh]
		public final function get sharedMesh():Mesh;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_sharedMesh
		*parameters:
		*  value : UnityEngine.Mesh
		*/
		[native,unityengine_SkinnedMeshRenderer_set_sharedMesh]
		public final function set sharedMesh(value:Mesh):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.get_updateWhenOffscreen
		*return:
		*   System.Boolean
		*/
		[native,unityengine_SkinnedMeshRenderer_get_updateWhenOffscreen]
		public final function get updateWhenOffscreen():Boolean;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_updateWhenOffscreen
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_SkinnedMeshRenderer_set_updateWhenOffscreen]
		public final function set updateWhenOffscreen(value:Boolean):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.get_skinnedMotionVectors
		*return:
		*   System.Boolean
		*/
		[native,unityengine_SkinnedMeshRenderer_get_skinnedMotionVectors]
		public final function get skinnedMotionVectors():Boolean;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_skinnedMotionVectors
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_SkinnedMeshRenderer_set_skinnedMotionVectors]
		public final function set skinnedMotionVectors(value:Boolean):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.get_localBounds
		*return:
		*   UnityEngine.Bounds
		*/
		[native,unityengine_SkinnedMeshRenderer_get_localBounds]
		public final function get localBounds():Bounds;

		/**
		* UnityEngine.SkinnedMeshRenderer.set_localBounds
		*parameters:
		*  value : UnityEngine.Bounds
		*/
		[native,unityengine_SkinnedMeshRenderer_set_localBounds]
		public final function set localBounds(value:Bounds):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.BakeMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*/
		[native,unityengine_SkinnedMeshRenderer_bakeMesh];
		public final function bakeMesh(mesh:Mesh):void;

		/**
		* UnityEngine.SkinnedMeshRenderer.GetBlendShapeWeight
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[native,unityengine_SkinnedMeshRenderer_getBlendShapeWeight];
		public final function getBlendShapeWeight(index:int):Number;

		/**
		* UnityEngine.SkinnedMeshRenderer.SetBlendShapeWeight
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[native,unityengine_SkinnedMeshRenderer_setBlendShapeWeight];
		public final function setBlendShapeWeight(index:int,value:Number):void;


	}
}
