package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Struct
		*  UnityEngine.SortingLayer
		*/
	[struct]
	[link_system]
	public final class SortingLayer extends system._Object_
	{
		[creator];
		[native,unityengine_SortingLayer_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_SortingLayer_ctor];
		public function SortingLayer();
		//*********公共方法*******
		/**
		* UnityEngine.SortingLayer.get_id
		*return:
		*   System.Int32
		*/
		[native,unityengine_SortingLayer_get_id]
		public final function get id():int;

		/**
		* UnityEngine.SortingLayer.get_name
		*return:
		*   System.String
		*/
		[native,unityengine_SortingLayer_get_name]
		public final function get name():String;

		/**
		* UnityEngine.SortingLayer.get_value
		*return:
		*   System.Int32
		*/
		[native,unityengine_SortingLayer_get_value]
		public final function get value():int;

		/**
		* UnityEngine.SortingLayer.get_layers
		*return:
		*   UnityEngine.SortingLayer[]
		*/
		[native,static_unityengine_SortingLayer_get_layers]
		public static function get layers():_Array_;

		/**
		* UnityEngine.SortingLayer.GetLayerValueFromID
		*parameters:
		*  id : System.Int32
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_SortingLayer_getLayerValueFromID];
		public static function getLayerValueFromID(id:int):int;

		/**
		* UnityEngine.SortingLayer.GetLayerValueFromName
		*parameters:
		*  name : System.String
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_SortingLayer_getLayerValueFromName];
		public static function getLayerValueFromName(name:String):int;

		/**
		* UnityEngine.SortingLayer.NameToID
		*parameters:
		*  name : System.String
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_SortingLayer_nameToID];
		public static function nameToID(name:String):int;

		/**
		* UnityEngine.SortingLayer.IDToName
		*parameters:
		*  id : System.Int32
		*return:
		*   System.String
		*/
		[native,static_unityengine_SortingLayer_IDToName];
		public static function IDToName(id:int):String;

		/**
		* UnityEngine.SortingLayer.IsValid
		*parameters:
		*  id : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_SortingLayer_isValid];
		public static function isValid(id:int):Boolean;


	}
}
