package unityengine
{
	import unityengine.animations.AnimatorControllerPlayable;


		/**
		* Abstract
		*  UnityEngine.StateMachineBehaviour
		*/
	[no_constructor]
	[link_system]
	public class StateMachineBehaviour extends ScriptableObject
	{
		[creator];
		[native,unityengine_StateMachineBehaviour_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function StateMachineBehaviour();
		//*********公共方法*******
		/**
		* UnityEngine.StateMachineBehaviour.OnStateEnter
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateEnter];
		public function onStateEnter(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateUpdate
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateUpdate];
		public function onStateUpdate(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateExit
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateExit];
		public function onStateExit(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateMove
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateMove];
		public function onStateMove(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateIK
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateIK];
		public function onStateIK(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateMachineEnter
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateMachinePathHash : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateMachineEnter];
		public function onStateMachineEnter(animator:Animator,stateMachinePathHash:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateMachineExit
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateMachinePathHash : System.Int32
		*/
		[native,unityengine_StateMachineBehaviour_onStateMachineExit];
		public function onStateMachineExit(animator:Animator,stateMachinePathHash:int):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateEnter
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateEnter_];
		public function onStateEnter_(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int,controller:unityengine.animations.AnimatorControllerPlayable):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateUpdate
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateUpdate_];
		public function onStateUpdate_(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int,controller:unityengine.animations.AnimatorControllerPlayable):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateExit
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateExit_];
		public function onStateExit_(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int,controller:unityengine.animations.AnimatorControllerPlayable):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateMove
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateMove_];
		public function onStateMove_(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int,controller:unityengine.animations.AnimatorControllerPlayable):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateIK
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateInfo : UnityEngine.AnimatorStateInfo
		*  layerIndex : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateIK_];
		public function onStateIK_(animator:Animator,stateInfo:AnimatorStateInfo,layerIndex:int,controller:unityengine.animations.AnimatorControllerPlayable):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateMachineEnter
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateMachinePathHash : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateMachineEnter_];
		public function onStateMachineEnter_(animator:Animator,stateMachinePathHash:int,controller:unityengine.animations.AnimatorControllerPlayable):void;

		/**
		* UnityEngine.StateMachineBehaviour.OnStateMachineExit
		*parameters:
		*  animator : UnityEngine.Animator
		*  stateMachinePathHash : System.Int32
		*  controller : UnityEngine.Animations.AnimatorControllerPlayable
		*/
		[native,unityengine_StateMachineBehaviour_onStateMachineExit_];
		public function onStateMachineExit_(animator:Animator,stateMachinePathHash:int,controller:unityengine.animations.AnimatorControllerPlayable):void;


	}
}
