package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.Texture3D
		*/
	[link_system]
	public final class Texture3D extends Texture
	{
		[creator];
		[native,unityengine_Texture3D_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Texture3D_ctor];
		public function Texture3D(width:int,height:int,depth:int,format:TextureFormat,mipmap:Boolean);


		//*********公共方法*******
		/**
		* UnityEngine.Texture3D.get_depth
		*return:
		*   System.Int32
		*/
		[native,unityengine_Texture3D_get_depth]
		public final function get depth():int;

		/**
		* UnityEngine.Texture3D.GetPixels
		*parameters:
		*  miplevel : System.Int32
		*return:
		*   UnityEngine.Color[]
		*/
		[native,unityengine_Texture3D_getPixels];
		public final function getPixels(miplevel:int):_Array_;

		/**
		* UnityEngine.Texture3D.GetPixels
		*return:
		*   UnityEngine.Color[]
		*/
		[native,unityengine_Texture3D_getPixels_];
		public final function getPixels_():_Array_;

		/**
		* UnityEngine.Texture3D.GetPixels32
		*parameters:
		*  miplevel : System.Int32
		*return:
		*   UnityEngine.Color32[]
		*/
		[native,unityengine_Texture3D_getPixels32];
		public final function getPixels32(miplevel:int):_Array_;

		/**
		* UnityEngine.Texture3D.GetPixels32
		*return:
		*   UnityEngine.Color32[]
		*/
		[native,unityengine_Texture3D_getPixels32_];
		public final function getPixels32_():_Array_;

		/**
		* UnityEngine.Texture3D.SetPixels
		*parameters:
		*  colors : UnityEngine.Color[]
		*  miplevel : System.Int32
		*/
		[native,unityengine_Texture3D_setPixels];
		public final function setPixels(colors:_Array_,miplevel:int):void;

		/**
		* UnityEngine.Texture3D.SetPixels
		*parameters:
		*  colors : UnityEngine.Color[]
		*/
		[native,unityengine_Texture3D_setPixels_];
		public final function setPixels_(colors:_Array_):void;

		/**
		* UnityEngine.Texture3D.SetPixels32
		*parameters:
		*  colors : UnityEngine.Color32[]
		*  miplevel : System.Int32
		*/
		[native,unityengine_Texture3D_setPixels32];
		public final function setPixels32(colors:_Array_,miplevel:int):void;

		/**
		* UnityEngine.Texture3D.SetPixels32
		*parameters:
		*  colors : UnityEngine.Color32[]
		*/
		[native,unityengine_Texture3D_setPixels32_];
		public final function setPixels32_(colors:_Array_):void;

		/**
		* UnityEngine.Texture3D.Apply
		*parameters:
		*  updateMipmaps : System.Boolean
		*  makeNoLongerReadable : System.Boolean
		*/
		[native,unityengine_Texture3D_apply];
		public final function apply(updateMipmaps:Boolean,makeNoLongerReadable:Boolean):void;

		/**
		* UnityEngine.Texture3D.Apply
		*parameters:
		*  updateMipmaps : System.Boolean
		*/
		[native,unityengine_Texture3D_apply_];
		public final function apply_(updateMipmaps:Boolean):void;

		/**
		* UnityEngine.Texture3D.Apply
		*/
		[native,unityengine_Texture3D_apply__];
		public final function apply__():void;

		/**
		* UnityEngine.Texture3D.get_format
		*return:
		*   UnityEngine.TextureFormat
		*/
		[native,unityengine_Texture3D_get_format]
		public final function get format():TextureFormat;


	}
}
