package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.Time
		*/
	[link_system]
	public final class Time extends system._Object_
	{
		[creator];
		[native,unityengine_Time_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Time_ctor];
		public function Time();


		//*********公共方法*******
		/**
		* UnityEngine.Time.get_time
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_time]
		public static function get time():Number;

		/**
		* UnityEngine.Time.get_timeSinceLevelLoad
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_timeSinceLevelLoad]
		public static function get timeSinceLevelLoad():Number;

		/**
		* UnityEngine.Time.get_deltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_deltaTime]
		public static function get deltaTime():Number;

		/**
		* UnityEngine.Time.get_fixedTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_fixedTime]
		public static function get fixedTime():Number;

		/**
		* UnityEngine.Time.get_unscaledTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_unscaledTime]
		public static function get unscaledTime():Number;

		/**
		* UnityEngine.Time.get_fixedUnscaledTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_fixedUnscaledTime]
		public static function get fixedUnscaledTime():Number;

		/**
		* UnityEngine.Time.get_unscaledDeltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_unscaledDeltaTime]
		public static function get unscaledDeltaTime():Number;

		/**
		* UnityEngine.Time.get_fixedUnscaledDeltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_fixedUnscaledDeltaTime]
		public static function get fixedUnscaledDeltaTime():Number;

		/**
		* UnityEngine.Time.get_fixedDeltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_fixedDeltaTime]
		public static function get fixedDeltaTime():Number;

		/**
		* UnityEngine.Time.set_fixedDeltaTime
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_Time_set_fixedDeltaTime]
		public static function set fixedDeltaTime(value:Number):void;

		/**
		* UnityEngine.Time.get_maximumDeltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_maximumDeltaTime]
		public static function get maximumDeltaTime():Number;

		/**
		* UnityEngine.Time.set_maximumDeltaTime
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_Time_set_maximumDeltaTime]
		public static function set maximumDeltaTime(value:Number):void;

		/**
		* UnityEngine.Time.get_smoothDeltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_smoothDeltaTime]
		public static function get smoothDeltaTime():Number;

		/**
		* UnityEngine.Time.get_maximumParticleDeltaTime
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_maximumParticleDeltaTime]
		public static function get maximumParticleDeltaTime():Number;

		/**
		* UnityEngine.Time.set_maximumParticleDeltaTime
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_Time_set_maximumParticleDeltaTime]
		public static function set maximumParticleDeltaTime(value:Number):void;

		/**
		* UnityEngine.Time.get_timeScale
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_timeScale]
		public static function get timeScale():Number;

		/**
		* UnityEngine.Time.set_timeScale
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_Time_set_timeScale]
		public static function set timeScale(value:Number):void;

		/**
		* UnityEngine.Time.get_frameCount
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Time_get_frameCount]
		public static function get frameCount():int;

		/**
		* UnityEngine.Time.get_renderedFrameCount
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Time_get_renderedFrameCount]
		public static function get renderedFrameCount():int;

		/**
		* UnityEngine.Time.get_realtimeSinceStartup
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Time_get_realtimeSinceStartup]
		public static function get realtimeSinceStartup():Number;

		/**
		* UnityEngine.Time.get_captureFramerate
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Time_get_captureFramerate]
		public static function get captureFramerate():int;

		/**
		* UnityEngine.Time.set_captureFramerate
		*parameters:
		*  value : System.Int32
		*/
		[native,static_unityengine_Time_set_captureFramerate]
		public static function set captureFramerate(value:int):void;

		/**
		* UnityEngine.Time.get_inFixedTimeStep
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_Time_get_inFixedTimeStep]
		public static function get inFixedTimeStep():Boolean;


	}
}
