package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.TrailRenderer
		*/
	[link_system]
	public final class TrailRenderer extends Renderer
	{
		[creator];
		[native,unityengine_TrailRenderer_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_TrailRenderer_ctor];
		public function TrailRenderer();


		//*********公共方法*******
		/**
		* UnityEngine.TrailRenderer.get_time
		*return:
		*   System.Single
		*/
		[native,unityengine_TrailRenderer_get_time]
		public final function get time():Number;

		/**
		* UnityEngine.TrailRenderer.set_time
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_TrailRenderer_set_time]
		public final function set time(value:Number):void;

		/**
		* UnityEngine.TrailRenderer.get_startWidth
		*return:
		*   System.Single
		*/
		[native,unityengine_TrailRenderer_get_startWidth]
		public final function get startWidth():Number;

		/**
		* UnityEngine.TrailRenderer.set_startWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_TrailRenderer_set_startWidth]
		public final function set startWidth(value:Number):void;

		/**
		* UnityEngine.TrailRenderer.get_endWidth
		*return:
		*   System.Single
		*/
		[native,unityengine_TrailRenderer_get_endWidth]
		public final function get endWidth():Number;

		/**
		* UnityEngine.TrailRenderer.set_endWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_TrailRenderer_set_endWidth]
		public final function set endWidth(value:Number):void;

		/**
		* UnityEngine.TrailRenderer.get_widthCurve
		*return:
		*   UnityEngine.AnimationCurve
		*/
		[native,unityengine_TrailRenderer_get_widthCurve]
		public final function get widthCurve():AnimationCurve;

		/**
		* UnityEngine.TrailRenderer.set_widthCurve
		*parameters:
		*  value : UnityEngine.AnimationCurve
		*/
		[native,unityengine_TrailRenderer_set_widthCurve]
		public final function set widthCurve(value:AnimationCurve):void;

		/**
		* UnityEngine.TrailRenderer.get_widthMultiplier
		*return:
		*   System.Single
		*/
		[native,unityengine_TrailRenderer_get_widthMultiplier]
		public final function get widthMultiplier():Number;

		/**
		* UnityEngine.TrailRenderer.set_widthMultiplier
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_TrailRenderer_set_widthMultiplier]
		public final function set widthMultiplier(value:Number):void;

		/**
		* UnityEngine.TrailRenderer.get_startColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_TrailRenderer_get_startColor]
		public final function get startColor():Color;

		/**
		* UnityEngine.TrailRenderer.set_startColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_TrailRenderer_set_startColor]
		public final function set startColor(value:Color):void;

		/**
		* UnityEngine.TrailRenderer.get_endColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_TrailRenderer_get_endColor]
		public final function get endColor():Color;

		/**
		* UnityEngine.TrailRenderer.set_endColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_TrailRenderer_set_endColor]
		public final function set endColor(value:Color):void;

		/**
		* UnityEngine.TrailRenderer.get_colorGradient
		*return:
		*   UnityEngine.Gradient
		*/
		[native,unityengine_TrailRenderer_get_colorGradient]
		public final function get colorGradient():Gradient;

		/**
		* UnityEngine.TrailRenderer.set_colorGradient
		*parameters:
		*  value : UnityEngine.Gradient
		*/
		[native,unityengine_TrailRenderer_set_colorGradient]
		public final function set colorGradient(value:Gradient):void;

		/**
		* UnityEngine.TrailRenderer.get_autodestruct
		*return:
		*   System.Boolean
		*/
		[native,unityengine_TrailRenderer_get_autodestruct]
		public final function get autodestruct():Boolean;

		/**
		* UnityEngine.TrailRenderer.set_autodestruct
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_TrailRenderer_set_autodestruct]
		public final function set autodestruct(value:Boolean):void;

		/**
		* UnityEngine.TrailRenderer.get_numCornerVertices
		*return:
		*   System.Int32
		*/
		[native,unityengine_TrailRenderer_get_numCornerVertices]
		public final function get numCornerVertices():int;

		/**
		* UnityEngine.TrailRenderer.set_numCornerVertices
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_TrailRenderer_set_numCornerVertices]
		public final function set numCornerVertices(value:int):void;

		/**
		* UnityEngine.TrailRenderer.get_numCapVertices
		*return:
		*   System.Int32
		*/
		[native,unityengine_TrailRenderer_get_numCapVertices]
		public final function get numCapVertices():int;

		/**
		* UnityEngine.TrailRenderer.set_numCapVertices
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_TrailRenderer_set_numCapVertices]
		public final function set numCapVertices(value:int):void;

		/**
		* UnityEngine.TrailRenderer.get_minVertexDistance
		*return:
		*   System.Single
		*/
		[native,unityengine_TrailRenderer_get_minVertexDistance]
		public final function get minVertexDistance():Number;

		/**
		* UnityEngine.TrailRenderer.set_minVertexDistance
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_TrailRenderer_set_minVertexDistance]
		public final function set minVertexDistance(value:Number):void;

		/**
		* UnityEngine.TrailRenderer.get_textureMode
		*return:
		*   UnityEngine.LineTextureMode
		*/
		[native,unityengine_TrailRenderer_get_textureMode]
		public final function get textureMode():LineTextureMode;

		/**
		* UnityEngine.TrailRenderer.set_textureMode
		*parameters:
		*  value : UnityEngine.LineTextureMode
		*/
		[native,unityengine_TrailRenderer_set_textureMode]
		public final function set textureMode(value:LineTextureMode):void;

		/**
		* UnityEngine.TrailRenderer.get_alignment
		*return:
		*   UnityEngine.LineAlignment
		*/
		[native,unityengine_TrailRenderer_get_alignment]
		public final function get alignment():LineAlignment;

		/**
		* UnityEngine.TrailRenderer.set_alignment
		*parameters:
		*  value : UnityEngine.LineAlignment
		*/
		[native,unityengine_TrailRenderer_set_alignment]
		public final function set alignment(value:LineAlignment):void;

		/**
		* UnityEngine.TrailRenderer.get_generateLightingData
		*return:
		*   System.Boolean
		*/
		[native,unityengine_TrailRenderer_get_generateLightingData]
		public final function get generateLightingData():Boolean;

		/**
		* UnityEngine.TrailRenderer.set_generateLightingData
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_TrailRenderer_set_generateLightingData]
		public final function set generateLightingData(value:Boolean):void;

		/**
		* UnityEngine.TrailRenderer.Clear
		*/
		[native,unityengine_TrailRenderer_clear];
		public final function clear():void;

		/**
		* UnityEngine.TrailRenderer.get_positionCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_TrailRenderer_get_positionCount]
		public final function get positionCount():int;

		/**
		* UnityEngine.TrailRenderer.GetPosition
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_TrailRenderer_getPosition];
		public final function getPosition(index:int):Vector3;

		/**
		* UnityEngine.TrailRenderer.GetPositions
		*parameters:
		*  positions : UnityEngine.Vector3[]
		*return:
		*   System.Int32
		*/
		[native,unityengine_TrailRenderer_getPositions];
		public final function getPositions(positions:_Array_):int;


	}
}
