package unityengine
{
	import system.collections._IEnumerable_;
	import system.collections._IEnumerator_;


		/**
		*  UnityEngine.Transform
		*/
	[no_constructor]
	[link_system]
	public class Transform extends Component implements system.collections._IEnumerable_
	{
		[creator];
		[native,unityengine_Transform_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Transform();
		//*********公共方法*******
		/**
		* UnityEngine.Transform.GetChild
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_Transform_getChild];
		public final function getChild(index:int):Transform;

		/**
		* UnityEngine.Transform.get_hierarchyCapacity
		*return:
		*   System.Int32
		*/
		[native,unityengine_Transform_get_hierarchyCapacity]
		public final function get hierarchyCapacity():int;

		/**
		* UnityEngine.Transform.set_hierarchyCapacity
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Transform_set_hierarchyCapacity]
		public final function set hierarchyCapacity(value:int):void;

		/**
		* UnityEngine.Transform.get_hierarchyCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Transform_get_hierarchyCount]
		public final function get hierarchyCount():int;

		/**
		* UnityEngine.Transform.get_position
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_position]
		public final function get position():Vector3;

		/**
		* UnityEngine.Transform.set_position
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_position]
		public final function set position(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_localPosition
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_localPosition]
		public final function get localPosition():Vector3;

		/**
		* UnityEngine.Transform.set_localPosition
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_localPosition]
		public final function set localPosition(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_eulerAngles
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_eulerAngles]
		public final function get eulerAngles():Vector3;

		/**
		* UnityEngine.Transform.set_eulerAngles
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_eulerAngles]
		public final function set eulerAngles(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_localEulerAngles
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_localEulerAngles]
		public final function get localEulerAngles():Vector3;

		/**
		* UnityEngine.Transform.set_localEulerAngles
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_localEulerAngles]
		public final function set localEulerAngles(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_right
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_right]
		public final function get right():Vector3;

		/**
		* UnityEngine.Transform.set_right
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_right]
		public final function set right(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_up
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_up]
		public final function get up():Vector3;

		/**
		* UnityEngine.Transform.set_up
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_up]
		public final function set up(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_forward
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_forward]
		public final function get forward():Vector3;

		/**
		* UnityEngine.Transform.set_forward
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_forward]
		public final function set forward(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_rotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Transform_get_rotation]
		public final function get rotation():Quaternion;

		/**
		* UnityEngine.Transform.set_rotation
		*parameters:
		*  value : UnityEngine.Quaternion
		*/
		[native,unityengine_Transform_set_rotation]
		public final function set rotation(value:Quaternion):void;

		/**
		* UnityEngine.Transform.get_localRotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Transform_get_localRotation]
		public final function get localRotation():Quaternion;

		/**
		* UnityEngine.Transform.set_localRotation
		*parameters:
		*  value : UnityEngine.Quaternion
		*/
		[native,unityengine_Transform_set_localRotation]
		public final function set localRotation(value:Quaternion):void;

		/**
		* UnityEngine.Transform.get_localScale
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_localScale]
		public final function get localScale():Vector3;

		/**
		* UnityEngine.Transform.set_localScale
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_set_localScale]
		public final function set localScale(value:Vector3):void;

		/**
		* UnityEngine.Transform.get_parent
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_Transform_get_parent]
		public final function get parent():Transform;

		/**
		* UnityEngine.Transform.set_parent
		*parameters:
		*  value : UnityEngine.Transform
		*/
		[native,unityengine_Transform_set_parent]
		public final function set parent(value:Transform):void;

		/**
		* UnityEngine.Transform.SetParent
		*parameters:
		*  parent : UnityEngine.Transform
		*/
		[native,unityengine_Transform_setParent];
		public final function setParent(parent:Transform):void;

		/**
		* UnityEngine.Transform.SetParent
		*parameters:
		*  parent : UnityEngine.Transform
		*  worldPositionStays : System.Boolean
		*/
		[native,unityengine_Transform_setParent_];
		public final function setParent_(parent:Transform,worldPositionStays:Boolean):void;

		/**
		* UnityEngine.Transform.get_worldToLocalMatrix
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,unityengine_Transform_get_worldToLocalMatrix]
		public final function get worldToLocalMatrix():Matrix4x4;

		/**
		* UnityEngine.Transform.get_localToWorldMatrix
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,unityengine_Transform_get_localToWorldMatrix]
		public final function get localToWorldMatrix():Matrix4x4;

		/**
		* UnityEngine.Transform.SetPositionAndRotation
		*parameters:
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*/
		[native,unityengine_Transform_setPositionAndRotation];
		public final function setPositionAndRotation(position:Vector3,rotation:Quaternion):void;

		/**
		* UnityEngine.Transform.Translate
		*parameters:
		*  translation : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_translate];
		public final function translate(translation:Vector3):void;

		/**
		* UnityEngine.Transform.Translate
		*parameters:
		*  translation : UnityEngine.Vector3
		*  relativeTo : UnityEngine.Space
		*/
		[native,unityengine_Transform_translate_];
		public final function translate_(translation:Vector3,relativeTo:Space):void;

		/**
		* UnityEngine.Transform.Translate
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*/
		[native,unityengine_Transform_translate__];
		public final function translate__(x:Number,y:Number,z:Number):void;

		/**
		* UnityEngine.Transform.Translate
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*  relativeTo : UnityEngine.Space
		*/
		[native,unityengine_Transform_translate___];
		public final function translate___(x:Number,y:Number,z:Number,relativeTo:Space):void;

		/**
		* UnityEngine.Transform.Translate
		*parameters:
		*  translation : UnityEngine.Vector3
		*  relativeTo : UnityEngine.Transform
		*/
		[native,unityengine_Transform_translate____];
		public final function translate____(translation:Vector3,relativeTo:Transform):void;

		/**
		* UnityEngine.Transform.Translate
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*  relativeTo : UnityEngine.Transform
		*/
		[native,unityengine_Transform_translate_____];
		public final function translate_____(x:Number,y:Number,z:Number,relativeTo:Transform):void;

		/**
		* UnityEngine.Transform.Rotate
		*parameters:
		*  eulerAngles : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_rotate];
		public final function rotate(eulerAngles:Vector3):void;

		/**
		* UnityEngine.Transform.Rotate
		*parameters:
		*  eulerAngles : UnityEngine.Vector3
		*  relativeTo : UnityEngine.Space
		*/
		[native,unityengine_Transform_rotate_];
		public final function rotate_(eulerAngles:Vector3,relativeTo:Space):void;

		/**
		* UnityEngine.Transform.Rotate
		*parameters:
		*  xAngle : System.Single
		*  yAngle : System.Single
		*  zAngle : System.Single
		*/
		[native,unityengine_Transform_rotate__];
		public final function rotate__(xAngle:Number,yAngle:Number,zAngle:Number):void;

		/**
		* UnityEngine.Transform.Rotate
		*parameters:
		*  xAngle : System.Single
		*  yAngle : System.Single
		*  zAngle : System.Single
		*  relativeTo : UnityEngine.Space
		*/
		[native,unityengine_Transform_rotate___];
		public final function rotate___(xAngle:Number,yAngle:Number,zAngle:Number,relativeTo:Space):void;

		/**
		* UnityEngine.Transform.Rotate
		*parameters:
		*  axis : UnityEngine.Vector3
		*  angle : System.Single
		*/
		[native,unityengine_Transform_rotate____];
		public final function rotate____(axis:Vector3,angle:Number):void;

		/**
		* UnityEngine.Transform.Rotate
		*parameters:
		*  axis : UnityEngine.Vector3
		*  angle : System.Single
		*  relativeTo : UnityEngine.Space
		*/
		[native,unityengine_Transform_rotate_____];
		public final function rotate_____(axis:Vector3,angle:Number,relativeTo:Space):void;

		/**
		* UnityEngine.Transform.RotateAround
		*parameters:
		*  point : UnityEngine.Vector3
		*  axis : UnityEngine.Vector3
		*  angle : System.Single
		*/
		[native,unityengine_Transform_rotateAround];
		public final function rotateAround(point:Vector3,axis:Vector3,angle:Number):void;

		/**
		* UnityEngine.Transform.LookAt
		*parameters:
		*  target : UnityEngine.Transform
		*/
		[native,unityengine_Transform_lookAt];
		public final function lookAt(target:Transform):void;

		/**
		* UnityEngine.Transform.LookAt
		*parameters:
		*  target : UnityEngine.Transform
		*  worldUp : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_lookAt_];
		public final function lookAt_(target:Transform,worldUp:Vector3):void;

		/**
		* UnityEngine.Transform.LookAt
		*parameters:
		*  worldPosition : UnityEngine.Vector3
		*  worldUp : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_lookAt__];
		public final function lookAt__(worldPosition:Vector3,worldUp:Vector3):void;

		/**
		* UnityEngine.Transform.LookAt
		*parameters:
		*  worldPosition : UnityEngine.Vector3
		*/
		[native,unityengine_Transform_lookAt___];
		public final function lookAt___(worldPosition:Vector3):void;

		/**
		* UnityEngine.Transform.TransformDirection
		*parameters:
		*  direction : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_transformDirection];
		public final function transformDirection(direction:Vector3):Vector3;

		/**
		* UnityEngine.Transform.TransformDirection
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_transformDirection_];
		public final function transformDirection_(x:Number,y:Number,z:Number):Vector3;

		/**
		* UnityEngine.Transform.InverseTransformDirection
		*parameters:
		*  direction : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_inverseTransformDirection];
		public final function inverseTransformDirection(direction:Vector3):Vector3;

		/**
		* UnityEngine.Transform.InverseTransformDirection
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_inverseTransformDirection_];
		public final function inverseTransformDirection_(x:Number,y:Number,z:Number):Vector3;

		/**
		* UnityEngine.Transform.TransformVector
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_transformVector];
		public final function transformVector(vector:Vector3):Vector3;

		/**
		* UnityEngine.Transform.TransformVector
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_transformVector_];
		public final function transformVector_(x:Number,y:Number,z:Number):Vector3;

		/**
		* UnityEngine.Transform.InverseTransformVector
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_inverseTransformVector];
		public final function inverseTransformVector(vector:Vector3):Vector3;

		/**
		* UnityEngine.Transform.InverseTransformVector
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_inverseTransformVector_];
		public final function inverseTransformVector_(x:Number,y:Number,z:Number):Vector3;

		/**
		* UnityEngine.Transform.TransformPoint
		*parameters:
		*  position : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_transformPoint];
		public final function transformPoint(position:Vector3):Vector3;

		/**
		* UnityEngine.Transform.TransformPoint
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_transformPoint_];
		public final function transformPoint_(x:Number,y:Number,z:Number):Vector3;

		/**
		* UnityEngine.Transform.InverseTransformPoint
		*parameters:
		*  position : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_inverseTransformPoint];
		public final function inverseTransformPoint(position:Vector3):Vector3;

		/**
		* UnityEngine.Transform.InverseTransformPoint
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_inverseTransformPoint_];
		public final function inverseTransformPoint_(x:Number,y:Number,z:Number):Vector3;

		/**
		* UnityEngine.Transform.get_root
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_Transform_get_root]
		public final function get root():Transform;

		/**
		* UnityEngine.Transform.get_childCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Transform_get_childCount]
		public final function get childCount():int;

		/**
		* UnityEngine.Transform.DetachChildren
		*/
		[native,unityengine_Transform_detachChildren];
		public final function detachChildren():void;

		/**
		* UnityEngine.Transform.SetAsFirstSibling
		*/
		[native,unityengine_Transform_setAsFirstSibling];
		public final function setAsFirstSibling():void;

		/**
		* UnityEngine.Transform.SetAsLastSibling
		*/
		[native,unityengine_Transform_setAsLastSibling];
		public final function setAsLastSibling():void;

		/**
		* UnityEngine.Transform.SetSiblingIndex
		*parameters:
		*  index : System.Int32
		*/
		[native,unityengine_Transform_setSiblingIndex];
		public final function setSiblingIndex(index:int):void;

		/**
		* UnityEngine.Transform.GetSiblingIndex
		*return:
		*   System.Int32
		*/
		[native,unityengine_Transform_getSiblingIndex];
		public final function getSiblingIndex():int;

		/**
		* UnityEngine.Transform.Find
		*parameters:
		*  name : System.String
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_Transform_find];
		public final function find(name:String):Transform;

		/**
		* UnityEngine.Transform.get_lossyScale
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Transform_get_lossyScale]
		public final function get lossyScale():Vector3;

		/**
		* UnityEngine.Transform.IsChildOf
		*parameters:
		*  parent : UnityEngine.Transform
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Transform_isChildOf];
		public final function isChildOf(parent:Transform):Boolean;

		/**
		* UnityEngine.Transform.get_hasChanged
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Transform_get_hasChanged]
		public final function get hasChanged():Boolean;

		/**
		* UnityEngine.Transform.set_hasChanged
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Transform_set_hasChanged]
		public final function set hasChanged(value:Boolean):void;

		[native,system_collections_IEnumerable_getEnumerator];
		public final function getEnumerator():system.collections._IEnumerator_;


	}
}
