package unityengine
{
	import system._Object_;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  UnityEngine.Vector3
		*/
	[struct]
	[link_system]
	public final class Vector3 extends system._Object_
	{
		[creator];
		[native,unityengine_Vector3_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Vector3_constructor_];
		public static function constructor_(x:Number,y:Number):Vector3;

		[native,unityengine_Vector3_ctor];
		public function Vector3(x:Number,y:Number,z:Number);


		//*********字段*******
		/**
		* UnityEngine.Vector3.x
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector3_x_getter,unityengine_Vector3_x_setter];
		public var x:Number;
		/**
		* UnityEngine.Vector3.y
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector3_y_getter,unityengine_Vector3_y_setter];
		public var y:Number;
		/**
		* UnityEngine.Vector3.z
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector3_z_getter,unityengine_Vector3_z_setter];
		public var z:Number;
		/**
		* UnityEngine.Vector3.kEpsilon
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector3_kEpsilon_getter];
		public static const kEpsilon:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Vector3.Slerp
		*parameters:
		*  a : UnityEngine.Vector3
		*  b : UnityEngine.Vector3
		*  t : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_slerp];
		public static function slerp(a:Vector3,b:Vector3,t:Number):Vector3;

		/**
		* UnityEngine.Vector3.SlerpUnclamped
		*parameters:
		*  a : UnityEngine.Vector3
		*  b : UnityEngine.Vector3
		*  t : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_slerpUnclamped];
		public static function slerpUnclamped(a:Vector3,b:Vector3,t:Number):Vector3;

		/**
		* UnityEngine.Vector3.OrthoNormalize
		*parameters:
		*  normal : (ByRef) UnityEngine.Vector3
		*  tangent : (ByRef) UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_orthoNormalize];
		public static function orthoNormalize(normal:Vector3,tangent:Vector3,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.Vector3.OrthoNormalize
		*parameters:
		*  normal : (ByRef) UnityEngine.Vector3
		*  tangent : (ByRef) UnityEngine.Vector3
		*  binormal : (ByRef) UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_orthoNormalize_];
		public static function orthoNormalize_(normal:Vector3,tangent:Vector3,binormal:Vector3,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.Vector3.RotateTowards
		*parameters:
		*  current : UnityEngine.Vector3
		*  target : UnityEngine.Vector3
		*  maxRadiansDelta : System.Single
		*  maxMagnitudeDelta : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_rotateTowards];
		public static function rotateTowards(current:Vector3,target:Vector3,maxRadiansDelta:Number,maxMagnitudeDelta:Number):Vector3;

		/**
		* UnityEngine.Vector3.Lerp
		*parameters:
		*  a : UnityEngine.Vector3
		*  b : UnityEngine.Vector3
		*  t : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_lerp];
		public static function lerp(a:Vector3,b:Vector3,t:Number):Vector3;

		/**
		* UnityEngine.Vector3.LerpUnclamped
		*parameters:
		*  a : UnityEngine.Vector3
		*  b : UnityEngine.Vector3
		*  t : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_lerpUnclamped];
		public static function lerpUnclamped(a:Vector3,b:Vector3,t:Number):Vector3;

		/**
		* UnityEngine.Vector3.MoveTowards
		*parameters:
		*  current : UnityEngine.Vector3
		*  target : UnityEngine.Vector3
		*  maxDistanceDelta : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_moveTowards];
		public static function moveTowards(current:Vector3,target:Vector3,maxDistanceDelta:Number):Vector3;

		/**
		* UnityEngine.Vector3.SmoothDamp
		*parameters:
		*  current : UnityEngine.Vector3
		*  target : UnityEngine.Vector3
		*  currentVelocity : (ByRef) UnityEngine.Vector3
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_smoothDamp];
		public static function smoothDamp(current:Vector3,target:Vector3,currentVelocity:Vector3,smoothTime:Number,maxSpeed:Number,refout:as3runtime.RefOutStore):Vector3;

		/**
		* UnityEngine.Vector3.SmoothDamp
		*parameters:
		*  current : UnityEngine.Vector3
		*  target : UnityEngine.Vector3
		*  currentVelocity : (ByRef) UnityEngine.Vector3
		*  smoothTime : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_smoothDamp_];
		public static function smoothDamp_(current:Vector3,target:Vector3,currentVelocity:Vector3,smoothTime:Number,refout:as3runtime.RefOutStore):Vector3;

		/**
		* UnityEngine.Vector3.SmoothDamp
		*parameters:
		*  current : UnityEngine.Vector3
		*  target : UnityEngine.Vector3
		*  currentVelocity : (ByRef) UnityEngine.Vector3
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*  deltaTime : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_smoothDamp__];
		public static function smoothDamp__(current:Vector3,target:Vector3,currentVelocity:Vector3,smoothTime:Number,maxSpeed:Number,deltaTime:Number,refout:as3runtime.RefOutStore):Vector3;

		/**
		* UnityEngine.Vector3.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,unityengine_Vector3_getThisItem];
		final function get_Item(index:int):Number;

		/**
		* UnityEngine.Vector3.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,unityengine_Vector3_setThisItem];
		final function set_Item(value:Number,index:int):void;

		/**
		* UnityEngine.Vector3.Set
		*parameters:
		*  newX : System.Single
		*  newY : System.Single
		*  newZ : System.Single
		*/
		[native,unityengine_Vector3_set];
		public final function set(newX:Number,newY:Number,newZ:Number):void;

		/**
		* UnityEngine.Vector3.Scale
		*parameters:
		*  a : UnityEngine.Vector3
		*  b : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_scale];
		public static function scale(a:Vector3,b:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.Scale
		*parameters:
		*  scale : UnityEngine.Vector3
		*/
		[native,unityengine_Vector3_scale];
		public final function scale(scale:Vector3):void;

		/**
		* UnityEngine.Vector3.Cross
		*parameters:
		*  lhs : UnityEngine.Vector3
		*  rhs : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_cross];
		public static function cross(lhs:Vector3,rhs:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.Reflect
		*parameters:
		*  inDirection : UnityEngine.Vector3
		*  inNormal : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_reflect];
		public static function reflect(inDirection:Vector3,inNormal:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.Normalize
		*parameters:
		*  value : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_normalize];
		public static function normalize(value:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.Normalize
		*/
		[native,unityengine_Vector3_normalize];
		public final function normalize():void;

		/**
		* UnityEngine.Vector3.get_normalized
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Vector3_get_normalized]
		public final function get normalized():Vector3;

		/**
		* UnityEngine.Vector3.Dot
		*parameters:
		*  lhs : UnityEngine.Vector3
		*  rhs : UnityEngine.Vector3
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector3_dot];
		public static function dot(lhs:Vector3,rhs:Vector3):Number;

		/**
		* UnityEngine.Vector3.Project
		*parameters:
		*  vector : UnityEngine.Vector3
		*  onNormal : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_project];
		public static function project(vector:Vector3,onNormal:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.ProjectOnPlane
		*parameters:
		*  vector : UnityEngine.Vector3
		*  planeNormal : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_projectOnPlane];
		public static function projectOnPlane(vector:Vector3,planeNormal:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.Angle
		*parameters:
		*  from : UnityEngine.Vector3
		*  to : UnityEngine.Vector3
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector3_angle];
		public static function angle(from:Vector3,to:Vector3):Number;

		/**
		* UnityEngine.Vector3.SignedAngle
		*parameters:
		*  from : UnityEngine.Vector3
		*  to : UnityEngine.Vector3
		*  axis : UnityEngine.Vector3
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector3_signedAngle];
		public static function signedAngle(from:Vector3,to:Vector3,axis:Vector3):Number;

		/**
		* UnityEngine.Vector3.Distance
		*parameters:
		*  a : UnityEngine.Vector3
		*  b : UnityEngine.Vector3
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector3_distance];
		public static function distance(a:Vector3,b:Vector3):Number;

		/**
		* UnityEngine.Vector3.ClampMagnitude
		*parameters:
		*  vector : UnityEngine.Vector3
		*  maxLength : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_clampMagnitude];
		public static function clampMagnitude(vector:Vector3,maxLength:Number):Vector3;

		/**
		* UnityEngine.Vector3.Magnitude
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector3_magnitude];
		public static function magnitude(vector:Vector3):Number;

		/**
		* UnityEngine.Vector3.get_magnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector3_get_magnitude]
		public final function get magnitude_():Number;

		/**
		* UnityEngine.Vector3.SqrMagnitude
		*parameters:
		*  vector : UnityEngine.Vector3
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector3_sqrMagnitude];
		public static function sqrMagnitude(vector:Vector3):Number;

		/**
		* UnityEngine.Vector3.get_sqrMagnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector3_get_sqrMagnitude]
		public final function get sqrMagnitude_():Number;

		/**
		* UnityEngine.Vector3.Min
		*parameters:
		*  lhs : UnityEngine.Vector3
		*  rhs : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_min];
		public static function min(lhs:Vector3,rhs:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.Max
		*parameters:
		*  lhs : UnityEngine.Vector3
		*  rhs : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_max];
		public static function max(lhs:Vector3,rhs:Vector3):Vector3;

		/**
		* UnityEngine.Vector3.get_zero
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_zero]
		public static function get zero():Vector3;

		/**
		* UnityEngine.Vector3.get_one
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_one]
		public static function get one():Vector3;

		/**
		* UnityEngine.Vector3.get_forward
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_forward]
		public static function get forward():Vector3;

		/**
		* UnityEngine.Vector3.get_back
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_back]
		public static function get back():Vector3;

		/**
		* UnityEngine.Vector3.get_up
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_up]
		public static function get up():Vector3;

		/**
		* UnityEngine.Vector3.get_down
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_down]
		public static function get down():Vector3;

		/**
		* UnityEngine.Vector3.get_left
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_left]
		public static function get left():Vector3;

		/**
		* UnityEngine.Vector3.get_right
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_right]
		public static function get right():Vector3;

		/**
		* UnityEngine.Vector3.get_positiveInfinity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_positiveInfinity]
		public static function get positiveInfinity():Vector3;

		/**
		* UnityEngine.Vector3.get_negativeInfinity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Vector3_get_negativeInfinity]
		public static function get negativeInfinity():Vector3;

		/**
		* UnityEngine.Vector3.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Vector3_toString___];
		public final function toString___(format:String):String;


		//*****操作重载*****
		/**
		 * 计算 a + b
		 */
		[native,static_unityengine_Vector3_op_Addition];
		public static function op_Addition(a:Vector3,b:Vector3):Vector3;

		[operator,"+"];
		[native,static_unityengine_Vector3_op_Addition];
		private static function _operator_op_Addition(a:Vector3,b:Vector3):Vector3;

		/**
		 * 计算 a - b
		 */
		[native,static_unityengine_Vector3_op_Subtraction];
		public static function op_Subtraction(a:Vector3,b:Vector3):Vector3;

		[operator,"-"];
		[native,static_unityengine_Vector3_op_Subtraction];
		private static function _operator_op_Subtraction(a:Vector3,b:Vector3):Vector3;

		/**
		 * 计算 -a
		 */
		[native,static_unityengine_Vector3_op_UnaryNegation];
		public static function op_UnaryNegation(a:Vector3):Vector3;

		[operator,"-"];
		[native,static_unityengine_Vector3_op_UnaryNegation];
		private static function _operator_op_UnaryNegation(a:Vector3):Vector3;

		/**
		 * 计算 a * d
		 */
		[native,static_unityengine_Vector3_op_Multiply];
		public static function op_Multiply(a:Vector3,d:Number):Vector3;

		[operator,"*"];
		[native,static_unityengine_Vector3_op_Multiply];
		private static function _operator_op_Multiply(a:Vector3,d:Number):Vector3;

		/**
		 * 计算 d * a
		 */
		[native,static_unityengine_Vector3_op_Multiply_];
		public static function op_Multiply_(d:Number,a:Vector3):Vector3;

		[operator,"*"];
		[native,static_unityengine_Vector3_op_Multiply_];
		private static function _operator_op_Multiply_(d:Number,a:Vector3):Vector3;

		/**
		 * 计算 a / d
		 */
		[native,static_unityengine_Vector3_op_Division];
		public static function op_Division(a:Vector3,d:Number):Vector3;

		[operator,"/"];
		[native,static_unityengine_Vector3_op_Division];
		private static function _operator_op_Division(a:Vector3,d:Number):Vector3;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Vector3_op_Equality];
		public static function op_Equality(lhs:Vector3,rhs:Vector3):Boolean;

		[operator,"=="];
		[native,static_unityengine_Vector3_op_Equality];
		private static function _operator_op_Equality(lhs:Vector3,rhs:Vector3):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Vector3_op_Inequality];
		public static function op_Inequality(lhs:Vector3,rhs:Vector3):Boolean;

		[operator,"!="];
		[native,static_unityengine_Vector3_op_Inequality];
		private static function _operator_op_Inequality(lhs:Vector3,rhs:Vector3):Boolean;


	}
}
