package unityengine.events
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import unityengine.scenemanagement.Scene;
	import unityengine.scenemanagement.LoadSceneMode;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.Events.UnityAction &lt; UnityEngine.SceneManagement.Scene,UnityEngine.SceneManagement.LoadSceneMode &gt; 
		* System.Void(UnityEngine.SceneManagement.Scene,UnityEngine.SceneManagement.LoadSceneMode)

		* Sealed
		*  UnityEngine.Events.UnityAction &lt; UnityEngine.SceneManagement.Scene,UnityEngine.SceneManagement.LoadSceneMode &gt; 
		*/
	[link_system]
	public final class UnityAction_Of_Scene_LoadSceneMode extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:UnityAction_Of_Scene_LoadSceneMode, b:Function):UnityAction_Of_Scene_LoadSceneMode;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:UnityAction_Of_Scene_LoadSceneMode, value:Function):UnityAction_Of_Scene_LoadSceneMode;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:UnityAction_Of_Scene_LoadSceneMode, b:Function):UnityAction_Of_Scene_LoadSceneMode;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:UnityAction_Of_Scene_LoadSceneMode, value:Function):UnityAction_Of_Scene_LoadSceneMode;

		//*********构造函数*******
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_ctor];
		public function UnityAction_Of_Scene_LoadSceneMode(func:Function);

		[implicit_from];
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.Events.UnityAction &lt; UnityEngine.SceneManagement.Scene,UnityEngine.SceneManagement.LoadSceneMode &gt; .Invoke
		*parameters:
		*  arg0 : UnityEngine.SceneManagement.Scene
		*  arg1 : UnityEngine.SceneManagement.LoadSceneMode
		*/
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_invoke];
		public function invoke(arg0:unityengine.scenemanagement.Scene,arg1:unityengine.scenemanagement.LoadSceneMode):void;

		/**
		* UnityEngine.Events.UnityAction &lt; UnityEngine.SceneManagement.Scene,UnityEngine.SceneManagement.LoadSceneMode &gt; .BeginInvoke
		*parameters:
		*  arg0 : UnityEngine.SceneManagement.Scene
		*  arg1 : UnityEngine.SceneManagement.LoadSceneMode
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_beginInvoke];
		public function beginInvoke(arg0:unityengine.scenemanagement.Scene,arg1:unityengine.scenemanagement.LoadSceneMode,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.Events.UnityAction &lt; UnityEngine.SceneManagement.Scene,UnityEngine.SceneManagement.LoadSceneMode &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_Of_Scene_LoadSceneMode_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
