package unityengine.events
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.Events.UnityAction &lt; System.String &gt; 
		* System.Void(System.String)

		* Sealed
		*  UnityEngine.Events.UnityAction &lt; System.String &gt; 
		*/
	[link_system]
	public final class UnityAction_Of_String extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_events_UnityAction_Of_String_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:UnityAction_Of_String, b:Function):UnityAction_Of_String;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:UnityAction_Of_String, value:Function):UnityAction_Of_String;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:UnityAction_Of_String, b:Function):UnityAction_Of_String;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:UnityAction_Of_String, value:Function):UnityAction_Of_String;

		//*********构造函数*******
		[native,unityengine_events_UnityAction_Of_String_ctor];
		public function UnityAction_Of_String(func:Function);

		[implicit_from];
		[native,unityengine_events_UnityAction_Of_String_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_events_UnityAction_Of_String_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.Events.UnityAction &lt; System.String &gt; .Invoke
		*parameters:
		*  arg0 : System.String
		*/
		[native,unityengine_events_UnityAction_Of_String_invoke];
		public function invoke(arg0:String):void;

		/**
		* UnityEngine.Events.UnityAction &lt; System.String &gt; .BeginInvoke
		*parameters:
		*  arg0 : System.String
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_Of_String_beginInvoke];
		public function beginInvoke(arg0:String,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.Events.UnityAction &lt; System.String &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_Of_String_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
