package unityengine.events
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import unityengine.Vector2;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.Events.UnityAction &lt; UnityEngine.Vector2 &gt; 
		* System.Void(UnityEngine.Vector2)

		* Sealed
		*  UnityEngine.Events.UnityAction &lt; UnityEngine.Vector2 &gt; 
		*/
	[link_system]
	public final class UnityAction_Of_Vector2 extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_events_UnityAction_Of_Vector2_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:UnityAction_Of_Vector2, b:Function):UnityAction_Of_Vector2;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:UnityAction_Of_Vector2, value:Function):UnityAction_Of_Vector2;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:UnityAction_Of_Vector2, b:Function):UnityAction_Of_Vector2;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:UnityAction_Of_Vector2, value:Function):UnityAction_Of_Vector2;

		//*********构造函数*******
		[native,unityengine_events_UnityAction_Of_Vector2_ctor];
		public function UnityAction_Of_Vector2(func:Function);

		[implicit_from];
		[native,unityengine_events_UnityAction_Of_Vector2_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_events_UnityAction_Of_Vector2_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.Events.UnityAction &lt; UnityEngine.Vector2 &gt; .Invoke
		*parameters:
		*  arg0 : UnityEngine.Vector2
		*/
		[native,unityengine_events_UnityAction_Of_Vector2_invoke];
		public function invoke(arg0:unityengine.Vector2):void;

		/**
		* UnityEngine.Events.UnityAction &lt; UnityEngine.Vector2 &gt; .BeginInvoke
		*parameters:
		*  arg0 : UnityEngine.Vector2
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_Of_Vector2_beginInvoke];
		public function beginInvoke(arg0:unityengine.Vector2,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.Events.UnityAction &lt; UnityEngine.Vector2 &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_Of_Vector2_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
