package unityengine.eventsystems
{
	import unityengine.Vector2;


		/**
		*  UnityEngine.EventSystems.AxisEventData
		*/
	[link_system]
	public class AxisEventData extends BaseEventData
	{
		[creator];
		[native,unityengine_eventsystems_AxisEventData_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_eventsystems_AxisEventData_ctor];
		public function AxisEventData(eventSystem:EventSystem);

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_eventsystems_AxisEventDataAdapter_ctor];
		private function _AxisEventDataAdapter(eventSystem:EventSystem);


		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.AxisEventData.get_moveVector
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_eventsystems_AxisEventData_get_moveVector]
		public final function get moveVector():unityengine.Vector2;

		/**
		* UnityEngine.EventSystems.AxisEventData.set_moveVector
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_eventsystems_AxisEventData_set_moveVector]
		public final function set moveVector(value:unityengine.Vector2):void;

		/**
		* UnityEngine.EventSystems.AxisEventData.get_moveDir
		*return:
		*   UnityEngine.EventSystems.MoveDirection
		*/
		[native,unityengine_eventsystems_AxisEventData_get_moveDir]
		public final function get moveDir():MoveDirection;

		/**
		* UnityEngine.EventSystems.AxisEventData.set_moveDir
		*parameters:
		*  value : UnityEngine.EventSystems.MoveDirection
		*/
		[native,unityengine_eventsystems_AxisEventData_set_moveDir]
		public final function set moveDir(value:MoveDirection):void;


	}
}
