package unityengine.eventsystems
{


		/**
		* Abstract
		*  UnityEngine.EventSystems.BaseInputModule
		*/
	[no_constructor]
	[link_system]
	public class BaseInputModule extends UIBehaviour
	{
		[creator];
		[native,unityengine_eventsystems_BaseInputModule_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function BaseInputModule();
		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.BaseInputModule.get_input
		*return:
		*   UnityEngine.EventSystems.BaseInput
		*/
		[native,unityengine_eventsystems_BaseInputModule_get_input]
		public final function get input():BaseInput;

		/**
		* UnityEngine.EventSystems.BaseInputModule.Process
		*/
		[native,unityengine_eventsystems_BaseInputModule_process];
		public function process():void;

		/**
		* UnityEngine.EventSystems.BaseInputModule.IsPointerOverGameObject
		*parameters:
		*  pointerId : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInputModule_isPointerOverGameObject];
		public function isPointerOverGameObject(pointerId:int):Boolean;

		/**
		* UnityEngine.EventSystems.BaseInputModule.ShouldActivateModule
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInputModule_shouldActivateModule];
		public function shouldActivateModule():Boolean;

		/**
		* UnityEngine.EventSystems.BaseInputModule.DeactivateModule
		*/
		[native,unityengine_eventsystems_BaseInputModule_deactivateModule];
		public function deactivateModule():void;

		/**
		* UnityEngine.EventSystems.BaseInputModule.ActivateModule
		*/
		[native,unityengine_eventsystems_BaseInputModule_activateModule];
		public function activateModule():void;

		/**
		* UnityEngine.EventSystems.BaseInputModule.UpdateModule
		*/
		[native,unityengine_eventsystems_BaseInputModule_updateModule];
		public function updateModule():void;

		/**
		* UnityEngine.EventSystems.BaseInputModule.IsModuleSupported
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInputModule_isModuleSupported];
		public function isModuleSupported():Boolean;


	}
}
