package unityengine.eventsystems
{
	import unityengine.GameObject;
	import system.collections.generic.List_Of_RaycastResult;


		/**
		*  UnityEngine.EventSystems.EventSystem
		*/
	[no_constructor]
	[link_system]
	public class EventSystem extends UIBehaviour
	{
		[creator];
		[native,unityengine_eventsystems_EventSystem_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function EventSystem();
		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.EventSystem.get_current
		*return:
		*   UnityEngine.EventSystems.EventSystem
		*/
		[native,static_unityengine_eventsystems_EventSystem_get_current]
		public static function get current():EventSystem;

		/**
		* UnityEngine.EventSystems.EventSystem.set_current
		*parameters:
		*  value : UnityEngine.EventSystems.EventSystem
		*/
		[native,static_unityengine_eventsystems_EventSystem_set_current]
		public static function set current(value:EventSystem):void;

		/**
		* UnityEngine.EventSystems.EventSystem.get_sendNavigationEvents
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_EventSystem_get_sendNavigationEvents]
		public final function get sendNavigationEvents():Boolean;

		/**
		* UnityEngine.EventSystems.EventSystem.set_sendNavigationEvents
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_eventsystems_EventSystem_set_sendNavigationEvents]
		public final function set sendNavigationEvents(value:Boolean):void;

		/**
		* UnityEngine.EventSystems.EventSystem.get_pixelDragThreshold
		*return:
		*   System.Int32
		*/
		[native,unityengine_eventsystems_EventSystem_get_pixelDragThreshold]
		public final function get pixelDragThreshold():int;

		/**
		* UnityEngine.EventSystems.EventSystem.set_pixelDragThreshold
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_eventsystems_EventSystem_set_pixelDragThreshold]
		public final function set pixelDragThreshold(value:int):void;

		/**
		* UnityEngine.EventSystems.EventSystem.get_currentInputModule
		*return:
		*   UnityEngine.EventSystems.BaseInputModule
		*/
		[native,unityengine_eventsystems_EventSystem_get_currentInputModule]
		public final function get currentInputModule():BaseInputModule;

		/**
		* UnityEngine.EventSystems.EventSystem.get_firstSelectedGameObject
		*return:
		*   UnityEngine.GameObject
		*/
		[native,unityengine_eventsystems_EventSystem_get_firstSelectedGameObject]
		public final function get firstSelectedGameObject():unityengine.GameObject;

		/**
		* UnityEngine.EventSystems.EventSystem.set_firstSelectedGameObject
		*parameters:
		*  value : UnityEngine.GameObject
		*/
		[native,unityengine_eventsystems_EventSystem_set_firstSelectedGameObject]
		public final function set firstSelectedGameObject(value:unityengine.GameObject):void;

		/**
		* UnityEngine.EventSystems.EventSystem.get_currentSelectedGameObject
		*return:
		*   UnityEngine.GameObject
		*/
		[native,unityengine_eventsystems_EventSystem_get_currentSelectedGameObject]
		public final function get currentSelectedGameObject():unityengine.GameObject;

		/**
		* UnityEngine.EventSystems.EventSystem.get_isFocused
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_EventSystem_get_isFocused]
		public final function get isFocused():Boolean;

		/**
		* UnityEngine.EventSystems.EventSystem.UpdateModules
		*/
		[native,unityengine_eventsystems_EventSystem_updateModules];
		public final function updateModules():void;

		/**
		* UnityEngine.EventSystems.EventSystem.get_alreadySelecting
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_EventSystem_get_alreadySelecting]
		public final function get alreadySelecting():Boolean;

		/**
		* UnityEngine.EventSystems.EventSystem.SetSelectedGameObject
		*parameters:
		*  selected : UnityEngine.GameObject
		*  pointer : UnityEngine.EventSystems.BaseEventData
		*/
		[native,unityengine_eventsystems_EventSystem_setSelectedGameObject];
		public final function setSelectedGameObject(selected:unityengine.GameObject,pointer:BaseEventData):void;

		/**
		* UnityEngine.EventSystems.EventSystem.SetSelectedGameObject
		*parameters:
		*  selected : UnityEngine.GameObject
		*/
		[native,unityengine_eventsystems_EventSystem_setSelectedGameObject_];
		public final function setSelectedGameObject_(selected:unityengine.GameObject):void;

		/**
		* UnityEngine.EventSystems.EventSystem.RaycastAll
		*parameters:
		*  eventData : UnityEngine.EventSystems.PointerEventData
		*  raycastResults : System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
		[native,unityengine_eventsystems_EventSystem_raycastAll];
		public final function raycastAll(eventData:PointerEventData,raycastResults:system.collections.generic.List_Of_RaycastResult):void;

		/**
		* UnityEngine.EventSystems.EventSystem.IsPointerOverGameObject
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_EventSystem_isPointerOverGameObject];
		public final function isPointerOverGameObject():Boolean;

		/**
		* UnityEngine.EventSystems.EventSystem.IsPointerOverGameObject
		*parameters:
		*  pointerId : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_EventSystem_isPointerOverGameObject_];
		public final function isPointerOverGameObject_(pointerId:int):Boolean;


	}
}
