package unityengine.playables
{
	import system._Object_;
	import system.UInt64;


		/**
		* Struct
		*  UnityEngine.Playables.FrameData
		*/
	[struct]
	[link_system]
	public final class FrameData extends system._Object_
	{
		[creator];
		[native,unityengine_playables_FrameData_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_playables_FrameData_ctor];
		public function FrameData();
		//*********公共方法*******
		/**
		* UnityEngine.Playables.FrameData.get_frameId
		*return:
		*   System.UInt64
		*/
		[native,unityengine_playables_FrameData_get_frameId]
		public final function get frameId():system.UInt64;

		/**
		* UnityEngine.Playables.FrameData.get_deltaTime
		*return:
		*   System.Single
		*/
		[native,unityengine_playables_FrameData_get_deltaTime]
		public final function get deltaTime():Number;

		/**
		* UnityEngine.Playables.FrameData.get_weight
		*return:
		*   System.Single
		*/
		[native,unityengine_playables_FrameData_get_weight]
		public final function get weight():Number;

		/**
		* UnityEngine.Playables.FrameData.get_effectiveWeight
		*return:
		*   System.Single
		*/
		[native,unityengine_playables_FrameData_get_effectiveWeight]
		public final function get effectiveWeight():Number;

		/**
		* UnityEngine.Playables.FrameData.get_effectiveSpeed
		*return:
		*   System.Single
		*/
		[native,unityengine_playables_FrameData_get_effectiveSpeed]
		public final function get effectiveSpeed():Number;

		/**
		* UnityEngine.Playables.FrameData.get_evaluationType
		*return:
		*   UnityEngine.Playables.FrameData.EvaluationType
		*/
		[native,unityengine_playables_FrameData_get_evaluationType]
		public final function get evaluationType():FrameData_EvaluationType;

		/**
		* UnityEngine.Playables.FrameData.get_seekOccurred
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_FrameData_get_seekOccurred]
		public final function get seekOccurred():Boolean;

		/**
		* UnityEngine.Playables.FrameData.get_timeLooped
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_FrameData_get_timeLooped]
		public final function get timeLooped():Boolean;

		/**
		* UnityEngine.Playables.FrameData.get_timeHeld
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_FrameData_get_timeHeld]
		public final function get timeHeld():Boolean;


	}
}
