package unityengine.playables
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Playables.Playable
		*/
	[struct]
	[link_system]
	public final class Playable extends system._Object_ implements IPlayable
	{
		[creator];
		[native,unityengine_playables_Playable_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_playables_Playable_ctor];
		public function Playable();
		//*********公共方法*******
		/**
		* UnityEngine.Playables.Playable.get_Null
		*return:
		*   UnityEngine.Playables.Playable
		*/
		[native,static_unityengine_playables_Playable_get_Null]
		public static function get null():Playable;

		/**
		* UnityEngine.Playables.Playable.Create
		*parameters:
		*  graph : UnityEngine.Playables.PlayableGraph
		*  inputCount : System.Int32
		*return:
		*   UnityEngine.Playables.Playable
		*/
		[native,static_unityengine_playables_Playable_create];
		public static function create(graph:PlayableGraph,inputCount:int=0):Playable;

		[native,unityengine_playables_IPlayable_getHandle];
		public final function getHandle():PlayableHandle;

		/**
		* UnityEngine.Playables.Playable.GetPlayableType
		*return:
		*   System.Type
		*/
		[native,unityengine_playables_Playable_getPlayableType];
		public final function getPlayableType():Class;

		/**
		* UnityEngine.Playables.Playable.Equals
		*parameters:
		*  other : UnityEngine.Playables.Playable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_Playable_equals__];
		public final function equals__(other:Playable):Boolean;


	}
}
