package unityengine.playables
{
	import system._Object_;
	import unityengine.IExposedPropertyTable;


		/**
		* Struct
		*  UnityEngine.Playables.PlayableGraph
		*/
	[struct]
	[link_system]
	public final class PlayableGraph extends system._Object_
	{
		[creator];
		[native,unityengine_playables_PlayableGraph_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_playables_PlayableGraph_ctor];
		public function PlayableGraph();
		//*********公共方法*******
		/**
		* UnityEngine.Playables.PlayableGraph.IsValid
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_PlayableGraph_isValid];
		public final function isValid():Boolean;

		/**
		* UnityEngine.Playables.PlayableGraph.Create
		*return:
		*   UnityEngine.Playables.PlayableGraph
		*/
		[native,static_unityengine_playables_PlayableGraph_create];
		public static function create():PlayableGraph;

		/**
		* UnityEngine.Playables.PlayableGraph.IsDone
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_PlayableGraph_isDone];
		public final function isDone():Boolean;

		/**
		* UnityEngine.Playables.PlayableGraph.IsPlaying
		*return:
		*   System.Boolean
		*/
		[native,unityengine_playables_PlayableGraph_isPlaying];
		public final function isPlaying():Boolean;

		/**
		* UnityEngine.Playables.PlayableGraph.GetResolver
		*return:
		*   UnityEngine.IExposedPropertyTable
		*/
		[native,unityengine_playables_PlayableGraph_getResolver];
		public final function getResolver():unityengine.IExposedPropertyTable;

		/**
		* UnityEngine.Playables.PlayableGraph.SetResolver
		*parameters:
		*  value : UnityEngine.IExposedPropertyTable
		*/
		[native,unityengine_playables_PlayableGraph_setResolver];
		public final function setResolver(value:unityengine.IExposedPropertyTable):void;

		/**
		* UnityEngine.Playables.PlayableGraph.Play
		*/
		[native,unityengine_playables_PlayableGraph_play];
		public final function play():void;

		/**
		* UnityEngine.Playables.PlayableGraph.Stop
		*/
		[native,unityengine_playables_PlayableGraph_stop];
		public final function stop():void;

		/**
		* UnityEngine.Playables.PlayableGraph.GetPlayableCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_playables_PlayableGraph_getPlayableCount];
		public final function getPlayableCount():int;

		/**
		* UnityEngine.Playables.PlayableGraph.GetTimeUpdateMode
		*return:
		*   UnityEngine.Playables.DirectorUpdateMode
		*/
		[native,unityengine_playables_PlayableGraph_getTimeUpdateMode];
		public final function getTimeUpdateMode():DirectorUpdateMode;

		/**
		* UnityEngine.Playables.PlayableGraph.SetTimeUpdateMode
		*parameters:
		*  value : UnityEngine.Playables.DirectorUpdateMode
		*/
		[native,unityengine_playables_PlayableGraph_setTimeUpdateMode];
		public final function setTimeUpdateMode(value:DirectorUpdateMode):void;

		/**
		* UnityEngine.Playables.PlayableGraph.Destroy
		*/
		[native,unityengine_playables_PlayableGraph_destroy];
		public final function destroy():void;

		/**
		* UnityEngine.Playables.PlayableGraph.Evaluate
		*/
		[native,unityengine_playables_PlayableGraph_evaluate];
		public final function evaluate():void;

		/**
		* UnityEngine.Playables.PlayableGraph.Evaluate
		*parameters:
		*  deltaTime : System.Single
		*/
		[native,unityengine_playables_PlayableGraph_evaluate_];
		public final function evaluate_(deltaTime:Number):void;

		/**
		* UnityEngine.Playables.PlayableGraph.GetRootPlayableCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_playables_PlayableGraph_getRootPlayableCount];
		public final function getRootPlayableCount():int;

		/**
		* UnityEngine.Playables.PlayableGraph.GetRootPlayable
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Playables.Playable
		*/
		[native,unityengine_playables_PlayableGraph_getRootPlayable];
		public final function getRootPlayable(index:int):Playable;

		/**
		* UnityEngine.Playables.PlayableGraph.GetOutputCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_playables_PlayableGraph_getOutputCount];
		public final function getOutputCount():int;

		/**
		* UnityEngine.Playables.PlayableGraph.GetOutput
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Playables.PlayableOutput
		*/
		[native,unityengine_playables_PlayableGraph_getOutput];
		public final function getOutput(index:int):PlayableOutput;


	}
}
