package unityengine.rendering
{
	import system._Object_;
	import unityengine.Texture;
	import unityengine.RenderBuffer;


		/**
		* Struct
		*  UnityEngine.Rendering.RenderTargetIdentifier
		*/
	[struct]
	[link_system]
	public final class RenderTargetIdentifier extends system._Object_
	{
		[creator];
		[native,unityengine_rendering_RenderTargetIdentifier_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_rendering_RenderTargetIdentifier_constructor_];
		public static function constructor_(name:String):RenderTargetIdentifier;

		[native,unityengine_rendering_RenderTargetIdentifier_constructor__];
		public static function constructor__(nameID:int):RenderTargetIdentifier;

		[native,unityengine_rendering_RenderTargetIdentifier_constructor___];
		public static function constructor___(tex:unityengine.Texture):RenderTargetIdentifier;

		[native,unityengine_rendering_RenderTargetIdentifier_ctor];
		public function RenderTargetIdentifier(type:BuiltinRenderTextureType);


		//*********公共方法*******
		/**
		* UnityEngine.Rendering.RenderTargetIdentifier.Equals
		*parameters:
		*  rhs : UnityEngine.Rendering.RenderTargetIdentifier
		*return:
		*   System.Boolean
		*/
		[native,unityengine_rendering_RenderTargetIdentifier_equals__];
		public final function equals__(rhs:RenderTargetIdentifier):Boolean;


		//*****操作重载*****
		/**
		 * Implicit From UnityEngine.Rendering.BuiltinRenderTextureType 
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Implicit];
		public static function op_Implicit(type:BuiltinRenderTextureType):RenderTargetIdentifier;

		/**
		 * Implicit From System.String 
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Implicit_];
		public static function op_Implicit_(name:String):RenderTargetIdentifier;

		/**
		 * Implicit From System.Int32 
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Implicit__];
		public static function op_Implicit__(nameID:int):RenderTargetIdentifier;

		/**
		 * Implicit From UnityEngine.Texture 
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Implicit___];
		public static function op_Implicit___(tex:unityengine.Texture):RenderTargetIdentifier;

		/**
		 * Implicit From UnityEngine.RenderBuffer 
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Implicit____];
		public static function op_Implicit____(buf:unityengine.RenderBuffer):RenderTargetIdentifier;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Equality];
		public static function op_Equality(lhs:RenderTargetIdentifier,rhs:RenderTargetIdentifier):Boolean;

		[operator,"=="];
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Equality];
		private static function _operator_op_Equality(lhs:RenderTargetIdentifier,rhs:RenderTargetIdentifier):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Inequality];
		public static function op_Inequality(lhs:RenderTargetIdentifier,rhs:RenderTargetIdentifier):Boolean;

		[operator,"!="];
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Inequality];
		private static function _operator_op_Inequality(lhs:RenderTargetIdentifier,rhs:RenderTargetIdentifier):Boolean;

		[implicit_from];
		[native,static_unityengine_rendering_RenderTargetIdentifier_op_Implicit__];
		private static function _implicit_from_value(v:int):*;


	}
}
