package unityengine.rendering
{
	import system._Object_;
	import unityengine.Color;
	import unityengine.Vector3;
	import system._Array_;


		/**
		* Struct
		*  UnityEngine.Rendering.SphericalHarmonicsL2
		*/
	[struct]
	[link_system]
	public final class SphericalHarmonicsL2 extends system._Object_
	{
		[creator];
		[native,unityengine_rendering_SphericalHarmonicsL2_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_rendering_SphericalHarmonicsL2_ctor];
		public function SphericalHarmonicsL2();
		//*********公共方法*******
		/**
		* UnityEngine.Rendering.SphericalHarmonicsL2.Clear
		*/
		[native,unityengine_rendering_SphericalHarmonicsL2_clear];
		public final function clear():void;

		/**
		* UnityEngine.Rendering.SphericalHarmonicsL2.AddAmbientLight
		*parameters:
		*  color : UnityEngine.Color
		*/
		[native,unityengine_rendering_SphericalHarmonicsL2_addAmbientLight];
		public final function addAmbientLight(color:unityengine.Color):void;

		/**
		* UnityEngine.Rendering.SphericalHarmonicsL2.AddDirectionalLight
		*parameters:
		*  direction : UnityEngine.Vector3
		*  color : UnityEngine.Color
		*  intensity : System.Single
		*/
		[native,unityengine_rendering_SphericalHarmonicsL2_addDirectionalLight];
		public final function addDirectionalLight(direction:unityengine.Vector3,color:unityengine.Color,intensity:Number):void;

		/**
		* UnityEngine.Rendering.SphericalHarmonicsL2.Evaluate
		*parameters:
		*  directions : UnityEngine.Vector3[]
		*  results : UnityEngine.Color[]
		*/
		[native,unityengine_rendering_SphericalHarmonicsL2_evaluate];
		public final function evaluate(directions:_Array_,results:_Array_):void;

		/**
		* UnityEngine.Rendering.SphericalHarmonicsL2.get_Item
		*parameters:
		*  rgb : System.Int32
		*  coefficient : System.Int32
		*return:
		*   System.Single
		*/
		[native,unityengine_rendering_SphericalHarmonicsL2_get_Item];
		public final function get_Item(rgb:int,coefficient:int):Number;

		/**
		* UnityEngine.Rendering.SphericalHarmonicsL2.set_Item
		*parameters:
		*  rgb : System.Int32
		*  coefficient : System.Int32
		*  value : System.Single
		*/
		[native,unityengine_rendering_SphericalHarmonicsL2_set_Item];
		public final function set_Item(rgb:int,coefficient:int,value:Number):void;


		//*****操作重载*****
		/**
		 * 计算 lhs * rhs
		 */
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Multiply];
		public static function op_Multiply(lhs:SphericalHarmonicsL2,rhs:Number):SphericalHarmonicsL2;

		[operator,"*"];
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Multiply];
		private static function _operator_op_Multiply(lhs:SphericalHarmonicsL2,rhs:Number):SphericalHarmonicsL2;

		/**
		 * 计算 lhs * rhs
		 */
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Multiply_];
		public static function op_Multiply_(lhs:Number,rhs:SphericalHarmonicsL2):SphericalHarmonicsL2;

		[operator,"*"];
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Multiply_];
		private static function _operator_op_Multiply_(lhs:Number,rhs:SphericalHarmonicsL2):SphericalHarmonicsL2;

		/**
		 * 计算 lhs + rhs
		 */
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Addition];
		public static function op_Addition(lhs:SphericalHarmonicsL2,rhs:SphericalHarmonicsL2):SphericalHarmonicsL2;

		[operator,"+"];
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Addition];
		private static function _operator_op_Addition(lhs:SphericalHarmonicsL2,rhs:SphericalHarmonicsL2):SphericalHarmonicsL2;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Equality];
		public static function op_Equality(lhs:SphericalHarmonicsL2,rhs:SphericalHarmonicsL2):Boolean;

		[operator,"=="];
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Equality];
		private static function _operator_op_Equality(lhs:SphericalHarmonicsL2,rhs:SphericalHarmonicsL2):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Inequality];
		public static function op_Inequality(lhs:SphericalHarmonicsL2,rhs:SphericalHarmonicsL2):Boolean;

		[operator,"!="];
		[native,static_unityengine_rendering_SphericalHarmonicsL2_op_Inequality];
		private static function _operator_op_Inequality(lhs:SphericalHarmonicsL2,rhs:SphericalHarmonicsL2):Boolean;


	}
}
