package unityengine.scenemanagement
{
	import system._Object_;
	import system._Array_;
	import system.collections.generic.List_Of_GameObject;


		/**
		* Struct
		*  UnityEngine.SceneManagement.Scene
		*/
	[struct]
	[link_system]
	public final class Scene extends system._Object_
	{
		[creator];
		[native,unityengine_scenemanagement_Scene_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_scenemanagement_Scene_ctor];
		public function Scene();
		//*********公共方法*******
		/**
		* UnityEngine.SceneManagement.Scene.IsValid
		*return:
		*   System.Boolean
		*/
		[native,unityengine_scenemanagement_Scene_isValid];
		public final function isValid():Boolean;

		/**
		* UnityEngine.SceneManagement.Scene.get_path
		*return:
		*   System.String
		*/
		[native,unityengine_scenemanagement_Scene_get_path]
		public final function get path():String;

		/**
		* UnityEngine.SceneManagement.Scene.get_name
		*return:
		*   System.String
		*/
		[native,unityengine_scenemanagement_Scene_get_name]
		public final function get name():String;

		/**
		* UnityEngine.SceneManagement.Scene.get_isLoaded
		*return:
		*   System.Boolean
		*/
		[native,unityengine_scenemanagement_Scene_get_isLoaded]
		public final function get isLoaded():Boolean;

		/**
		* UnityEngine.SceneManagement.Scene.get_buildIndex
		*return:
		*   System.Int32
		*/
		[native,unityengine_scenemanagement_Scene_get_buildIndex]
		public final function get buildIndex():int;

		/**
		* UnityEngine.SceneManagement.Scene.get_isDirty
		*return:
		*   System.Boolean
		*/
		[native,unityengine_scenemanagement_Scene_get_isDirty]
		public final function get isDirty():Boolean;

		/**
		* UnityEngine.SceneManagement.Scene.get_rootCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_scenemanagement_Scene_get_rootCount]
		public final function get rootCount():int;

		/**
		* UnityEngine.SceneManagement.Scene.GetRootGameObjects
		*return:
		*   UnityEngine.GameObject[]
		*/
		[native,unityengine_scenemanagement_Scene_getRootGameObjects];
		public final function getRootGameObjects():_Array_;

		/**
		* UnityEngine.SceneManagement.Scene.GetRootGameObjects
		*parameters:
		*  rootGameObjects : System.Collections.Generic.List &lt; UnityEngine.GameObject &gt; 
		*/
		[native,unityengine_scenemanagement_Scene_getRootGameObjects_];
		public final function getRootGameObjects_(rootGameObjects:system.collections.generic.List_Of_GameObject):void;


		//*****操作重载*****
		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_scenemanagement_Scene_op_Equality];
		public static function op_Equality(lhs:Scene,rhs:Scene):Boolean;

		[operator,"=="];
		[native,static_unityengine_scenemanagement_Scene_op_Equality];
		private static function _operator_op_Equality(lhs:Scene,rhs:Scene):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_scenemanagement_Scene_op_Inequality];
		public static function op_Inequality(lhs:Scene,rhs:Scene):Boolean;

		[operator,"!="];
		[native,static_unityengine_scenemanagement_Scene_op_Inequality];
		private static function _operator_op_Inequality(lhs:Scene,rhs:Scene):Boolean;


	}
}
