package unityengine.ui
{
	import system._Object_;
	import unityengine.Color;


		/**
		* Struct
		*  UnityEngine.UI.ColorBlock
		*/
	[struct]
	[link_system]
	public final class ColorBlock extends system._Object_
	{
		[creator];
		[native,unityengine_ui_ColorBlock_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ui_ColorBlock_ctor];
		public function ColorBlock();
		//*********公共方法*******
		/**
		* UnityEngine.UI.ColorBlock.get_normalColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_get_normalColor]
		public final function get normalColor():unityengine.Color;

		/**
		* UnityEngine.UI.ColorBlock.set_normalColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_set_normalColor]
		public final function set normalColor(value:unityengine.Color):void;

		/**
		* UnityEngine.UI.ColorBlock.get_highlightedColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_get_highlightedColor]
		public final function get highlightedColor():unityengine.Color;

		/**
		* UnityEngine.UI.ColorBlock.set_highlightedColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_set_highlightedColor]
		public final function set highlightedColor(value:unityengine.Color):void;

		/**
		* UnityEngine.UI.ColorBlock.get_pressedColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_get_pressedColor]
		public final function get pressedColor():unityengine.Color;

		/**
		* UnityEngine.UI.ColorBlock.set_pressedColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_set_pressedColor]
		public final function set pressedColor(value:unityengine.Color):void;

		/**
		* UnityEngine.UI.ColorBlock.get_disabledColor
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_get_disabledColor]
		public final function get disabledColor():unityengine.Color;

		/**
		* UnityEngine.UI.ColorBlock.set_disabledColor
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_ui_ColorBlock_set_disabledColor]
		public final function set disabledColor(value:unityengine.Color):void;

		/**
		* UnityEngine.UI.ColorBlock.get_colorMultiplier
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ColorBlock_get_colorMultiplier]
		public final function get colorMultiplier():Number;

		/**
		* UnityEngine.UI.ColorBlock.set_colorMultiplier
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ColorBlock_set_colorMultiplier]
		public final function set colorMultiplier(value:Number):void;

		/**
		* UnityEngine.UI.ColorBlock.get_fadeDuration
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ColorBlock_get_fadeDuration]
		public final function get fadeDuration():Number;

		/**
		* UnityEngine.UI.ColorBlock.set_fadeDuration
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ColorBlock_set_fadeDuration]
		public final function set fadeDuration(value:Number):void;

		/**
		* UnityEngine.UI.ColorBlock.get_defaultColorBlock
		*return:
		*   UnityEngine.UI.ColorBlock
		*/
		[native,static_unityengine_ui_ColorBlock_get_defaultColorBlock]
		public static function get defaultColorBlock():ColorBlock;

		/**
		* UnityEngine.UI.ColorBlock.Equals
		*parameters:
		*  other : UnityEngine.UI.ColorBlock
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_ColorBlock_equals___];
		public final function equals___(other:ColorBlock):Boolean;


		//*****操作重载*****
		/**
		 * 计算 point1 == point2
		 */
		[native,static_unityengine_ui_ColorBlock_op_Equality];
		public static function op_Equality(point1:ColorBlock,point2:ColorBlock):Boolean;

		[operator,"=="];
		[native,static_unityengine_ui_ColorBlock_op_Equality];
		private static function _operator_op_Equality(point1:ColorBlock,point2:ColorBlock):Boolean;

		/**
		 * 计算 point1 != point2
		 */
		[native,static_unityengine_ui_ColorBlock_op_Inequality];
		public static function op_Inequality(point1:ColorBlock,point2:ColorBlock):Boolean;

		[operator,"!="];
		[native,static_unityengine_ui_ColorBlock_op_Inequality];
		private static function _operator_op_Inequality(point1:ColorBlock,point2:ColorBlock):Boolean;


	}
}
