package unityengine.ui
{
	import system._Object_;
	import unityengine.ISerializationCallbackReceiver;
	import unityengine.Font;
	import unityengine.FontStyle;
	import unityengine.TextAnchor;
	import unityengine.HorizontalWrapMode;
	import unityengine.VerticalWrapMode;


		/**
		*  UnityEngine.UI.FontData
		*/
	[link_system]
	public class FontData extends system._Object_ implements unityengine.ISerializationCallbackReceiver
	{
		[creator];
		[native,unityengine_ui_FontData_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ui_FontData_ctor];
		public function FontData();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_ui_FontDataAdapter_ctor];
		private function _FontDataAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.UI.FontData.get_defaultFontData
		*return:
		*   UnityEngine.UI.FontData
		*/
		[native,static_unityengine_ui_FontData_get_defaultFontData]
		public static function get defaultFontData():FontData;

		/**
		* UnityEngine.UI.FontData.get_font
		*return:
		*   UnityEngine.Font
		*/
		[native,unityengine_ui_FontData_get_font]
		public final function get font():unityengine.Font;

		/**
		* UnityEngine.UI.FontData.set_font
		*parameters:
		*  value : UnityEngine.Font
		*/
		[native,unityengine_ui_FontData_set_font]
		public final function set font(value:unityengine.Font):void;

		/**
		* UnityEngine.UI.FontData.get_fontSize
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_FontData_get_fontSize]
		public final function get fontSize():int;

		/**
		* UnityEngine.UI.FontData.set_fontSize
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_FontData_set_fontSize]
		public final function set fontSize(value:int):void;

		/**
		* UnityEngine.UI.FontData.get_fontStyle
		*return:
		*   UnityEngine.FontStyle
		*/
		[native,unityengine_ui_FontData_get_fontStyle]
		public final function get fontStyle():unityengine.FontStyle;

		/**
		* UnityEngine.UI.FontData.set_fontStyle
		*parameters:
		*  value : UnityEngine.FontStyle
		*/
		[native,unityengine_ui_FontData_set_fontStyle]
		public final function set fontStyle(value:unityengine.FontStyle):void;

		/**
		* UnityEngine.UI.FontData.get_bestFit
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_FontData_get_bestFit]
		public final function get bestFit():Boolean;

		/**
		* UnityEngine.UI.FontData.set_bestFit
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_FontData_set_bestFit]
		public final function set bestFit(value:Boolean):void;

		/**
		* UnityEngine.UI.FontData.get_minSize
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_FontData_get_minSize]
		public final function get minSize():int;

		/**
		* UnityEngine.UI.FontData.set_minSize
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_FontData_set_minSize]
		public final function set minSize(value:int):void;

		/**
		* UnityEngine.UI.FontData.get_maxSize
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_FontData_get_maxSize]
		public final function get maxSize():int;

		/**
		* UnityEngine.UI.FontData.set_maxSize
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_FontData_set_maxSize]
		public final function set maxSize(value:int):void;

		/**
		* UnityEngine.UI.FontData.get_alignment
		*return:
		*   UnityEngine.TextAnchor
		*/
		[native,unityengine_ui_FontData_get_alignment]
		public final function get alignment():unityengine.TextAnchor;

		/**
		* UnityEngine.UI.FontData.set_alignment
		*parameters:
		*  value : UnityEngine.TextAnchor
		*/
		[native,unityengine_ui_FontData_set_alignment]
		public final function set alignment(value:unityengine.TextAnchor):void;

		/**
		* UnityEngine.UI.FontData.get_alignByGeometry
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_FontData_get_alignByGeometry]
		public final function get alignByGeometry():Boolean;

		/**
		* UnityEngine.UI.FontData.set_alignByGeometry
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_FontData_set_alignByGeometry]
		public final function set alignByGeometry(value:Boolean):void;

		/**
		* UnityEngine.UI.FontData.get_richText
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_FontData_get_richText]
		public final function get richText():Boolean;

		/**
		* UnityEngine.UI.FontData.set_richText
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_FontData_set_richText]
		public final function set richText(value:Boolean):void;

		/**
		* UnityEngine.UI.FontData.get_horizontalOverflow
		*return:
		*   UnityEngine.HorizontalWrapMode
		*/
		[native,unityengine_ui_FontData_get_horizontalOverflow]
		public final function get horizontalOverflow():unityengine.HorizontalWrapMode;

		/**
		* UnityEngine.UI.FontData.set_horizontalOverflow
		*parameters:
		*  value : UnityEngine.HorizontalWrapMode
		*/
		[native,unityengine_ui_FontData_set_horizontalOverflow]
		public final function set horizontalOverflow(value:unityengine.HorizontalWrapMode):void;

		/**
		* UnityEngine.UI.FontData.get_verticalOverflow
		*return:
		*   UnityEngine.VerticalWrapMode
		*/
		[native,unityengine_ui_FontData_get_verticalOverflow]
		public final function get verticalOverflow():unityengine.VerticalWrapMode;

		/**
		* UnityEngine.UI.FontData.set_verticalOverflow
		*parameters:
		*  value : UnityEngine.VerticalWrapMode
		*/
		[native,unityengine_ui_FontData_set_verticalOverflow]
		public final function set verticalOverflow(value:unityengine.VerticalWrapMode):void;

		/**
		* UnityEngine.UI.FontData.get_lineSpacing
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_FontData_get_lineSpacing]
		public final function get lineSpacing():Number;

		/**
		* UnityEngine.UI.FontData.set_lineSpacing
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_FontData_set_lineSpacing]
		public final function set lineSpacing(value:Number):void;


		//*****显式接口实现*****
		[native,unityengine_ISerializationCallbackReceiver_onBeforeSerialize];
		private function unityengine_ISerializationCallbackReceiver_OnBeforeSerialize():void;

		[native,unityengine_ISerializationCallbackReceiver_onAfterDeserialize];
		private function unityengine_ISerializationCallbackReceiver_OnAfterDeserialize():void;


	}
}
