package unityengine.ui
{
	import unityengine.Vector2;


		/**
		*  UnityEngine.UI.GridLayoutGroup
		*/
	[no_constructor]
	[link_system]
	public class GridLayoutGroup extends LayoutGroup implements ILayoutElement,ILayoutGroup,ILayoutController
	{
		[creator];
		[native,unityengine_ui_GridLayoutGroup_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function GridLayoutGroup();
		//*********公共方法*******
		/**
		* UnityEngine.UI.GridLayoutGroup.get_startCorner
		*return:
		*   UnityEngine.UI.GridLayoutGroup.Corner
		*/
		[native,unityengine_ui_GridLayoutGroup_get_startCorner]
		public final function get startCorner():GridLayoutGroup_Corner;

		/**
		* UnityEngine.UI.GridLayoutGroup.set_startCorner
		*parameters:
		*  value : UnityEngine.UI.GridLayoutGroup.Corner
		*/
		[native,unityengine_ui_GridLayoutGroup_set_startCorner]
		public final function set startCorner(value:GridLayoutGroup_Corner):void;

		/**
		* UnityEngine.UI.GridLayoutGroup.get_startAxis
		*return:
		*   UnityEngine.UI.GridLayoutGroup.Axis
		*/
		[native,unityengine_ui_GridLayoutGroup_get_startAxis]
		public final function get startAxis():GridLayoutGroup_Axis;

		/**
		* UnityEngine.UI.GridLayoutGroup.set_startAxis
		*parameters:
		*  value : UnityEngine.UI.GridLayoutGroup.Axis
		*/
		[native,unityengine_ui_GridLayoutGroup_set_startAxis]
		public final function set startAxis(value:GridLayoutGroup_Axis):void;

		/**
		* UnityEngine.UI.GridLayoutGroup.get_cellSize
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_ui_GridLayoutGroup_get_cellSize]
		public final function get cellSize():unityengine.Vector2;

		/**
		* UnityEngine.UI.GridLayoutGroup.set_cellSize
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_ui_GridLayoutGroup_set_cellSize]
		public final function set cellSize(value:unityengine.Vector2):void;

		/**
		* UnityEngine.UI.GridLayoutGroup.get_spacing
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_ui_GridLayoutGroup_get_spacing]
		public final function get spacing():unityengine.Vector2;

		/**
		* UnityEngine.UI.GridLayoutGroup.set_spacing
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_ui_GridLayoutGroup_set_spacing]
		public final function set spacing(value:unityengine.Vector2):void;

		/**
		* UnityEngine.UI.GridLayoutGroup.get_constraint
		*return:
		*   UnityEngine.UI.GridLayoutGroup.Constraint
		*/
		[native,unityengine_ui_GridLayoutGroup_get_constraint]
		public final function get constraint():GridLayoutGroup_Constraint;

		/**
		* UnityEngine.UI.GridLayoutGroup.set_constraint
		*parameters:
		*  value : UnityEngine.UI.GridLayoutGroup.Constraint
		*/
		[native,unityengine_ui_GridLayoutGroup_set_constraint]
		public final function set constraint(value:GridLayoutGroup_Constraint):void;

		/**
		* UnityEngine.UI.GridLayoutGroup.get_constraintCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_GridLayoutGroup_get_constraintCount]
		public final function get constraintCount():int;

		/**
		* UnityEngine.UI.GridLayoutGroup.set_constraintCount
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_GridLayoutGroup_set_constraintCount]
		public final function set constraintCount(value:int):void;


	}
}
