package unityengine.ui
{
	import unityengine.GameObject;
	import unityengine.RectTransform;
	import unityengine.Rect;


	[link_system_interface(unityengine_ui_IClippable_creator)]
	public interface IClippable
	{
		[native,unityengine_ui_IClippable_get_gameObject]
		function get gameObject():unityengine.GameObject;

		[native,unityengine_ui_IClippable_recalculateClipping]
		function recalculateClipping():void;

		[native,unityengine_ui_IClippable_get_rectTransform]
		function get rectTransform():unityengine.RectTransform;

		[native,unityengine_ui_IClippable_cull]
		function cull(clipRect:unityengine.Rect,validRect:Boolean):void;

		[native,unityengine_ui_IClippable_setClipRect]
		function setClipRect(value:unityengine.Rect,validRect:Boolean):void;

	}
}
