package unityengine.ui
{
	import unityengine.ISerializationCallbackReceiver;
	import unityengine.ICanvasRaycastFilter;
	import unityengine.Sprite;
	import unityengine.Material;
	import unityengine.Vector2;
	import unityengine.Camera;


		/**
		*  UnityEngine.UI.Image
		*/
	[no_constructor]
	[link_system]
	public class Image extends MaskableGraphic implements ICanvasElement,IClippable,IMaskable,IMaterialModifier,unityengine.ISerializationCallbackReceiver,ILayoutElement,unityengine.ICanvasRaycastFilter
	{
		[creator];
		[native,unityengine_ui_Image_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Image();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Image.get_sprite
		*return:
		*   UnityEngine.Sprite
		*/
		[native,unityengine_ui_Image_get_sprite]
		public final function get sprite():unityengine.Sprite;

		/**
		* UnityEngine.UI.Image.set_sprite
		*parameters:
		*  value : UnityEngine.Sprite
		*/
		[native,unityengine_ui_Image_set_sprite]
		public final function set sprite(value:unityengine.Sprite):void;

		/**
		* UnityEngine.UI.Image.get_overrideSprite
		*return:
		*   UnityEngine.Sprite
		*/
		[native,unityengine_ui_Image_get_overrideSprite]
		public final function get overrideSprite():unityengine.Sprite;

		/**
		* UnityEngine.UI.Image.set_overrideSprite
		*parameters:
		*  value : UnityEngine.Sprite
		*/
		[native,unityengine_ui_Image_set_overrideSprite]
		public final function set overrideSprite(value:unityengine.Sprite):void;

		/**
		* UnityEngine.UI.Image.get_type
		*return:
		*   UnityEngine.UI.Image.Type
		*/
		[native,unityengine_ui_Image_get_type]
		public final function get type():Image_Type;

		/**
		* UnityEngine.UI.Image.set_type
		*parameters:
		*  value : UnityEngine.UI.Image.Type
		*/
		[native,unityengine_ui_Image_set_type]
		public final function set type(value:Image_Type):void;

		/**
		* UnityEngine.UI.Image.get_preserveAspect
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Image_get_preserveAspect]
		public final function get preserveAspect():Boolean;

		/**
		* UnityEngine.UI.Image.set_preserveAspect
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Image_set_preserveAspect]
		public final function set preserveAspect(value:Boolean):void;

		/**
		* UnityEngine.UI.Image.get_fillCenter
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Image_get_fillCenter]
		public final function get fillCenter():Boolean;

		/**
		* UnityEngine.UI.Image.set_fillCenter
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Image_set_fillCenter]
		public final function set fillCenter(value:Boolean):void;

		/**
		* UnityEngine.UI.Image.get_fillMethod
		*return:
		*   UnityEngine.UI.Image.FillMethod
		*/
		[native,unityengine_ui_Image_get_fillMethod]
		public final function get fillMethod():Image_FillMethod;

		/**
		* UnityEngine.UI.Image.set_fillMethod
		*parameters:
		*  value : UnityEngine.UI.Image.FillMethod
		*/
		[native,unityengine_ui_Image_set_fillMethod]
		public final function set fillMethod(value:Image_FillMethod):void;

		/**
		* UnityEngine.UI.Image.get_fillAmount
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Image_get_fillAmount]
		public final function get fillAmount():Number;

		/**
		* UnityEngine.UI.Image.set_fillAmount
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Image_set_fillAmount]
		public final function set fillAmount(value:Number):void;

		/**
		* UnityEngine.UI.Image.get_fillClockwise
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Image_get_fillClockwise]
		public final function get fillClockwise():Boolean;

		/**
		* UnityEngine.UI.Image.set_fillClockwise
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Image_set_fillClockwise]
		public final function set fillClockwise(value:Boolean):void;

		/**
		* UnityEngine.UI.Image.get_fillOrigin
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_Image_get_fillOrigin]
		public final function get fillOrigin():int;

		/**
		* UnityEngine.UI.Image.set_fillOrigin
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_Image_set_fillOrigin]
		public final function set fillOrigin(value:int):void;

		/**
		* UnityEngine.UI.Image.get_alphaHitTestMinimumThreshold
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Image_get_alphaHitTestMinimumThreshold]
		public final function get alphaHitTestMinimumThreshold():Number;

		/**
		* UnityEngine.UI.Image.set_alphaHitTestMinimumThreshold
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Image_set_alphaHitTestMinimumThreshold]
		public final function set alphaHitTestMinimumThreshold(value:Number):void;

		/**
		* UnityEngine.UI.Image.get_defaultETC1GraphicMaterial
		*return:
		*   UnityEngine.Material
		*/
		[native,static_unityengine_ui_Image_get_defaultETC1GraphicMaterial]
		public static function get defaultETC1GraphicMaterial():unityengine.Material;

		/**
		* UnityEngine.UI.Image.get_hasBorder
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Image_get_hasBorder]
		public final function get hasBorder():Boolean;

		/**
		* UnityEngine.UI.Image.get_pixelsPerUnit
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Image_get_pixelsPerUnit]
		public final function get pixelsPerUnit():Number;

		[native,unityengine_ISerializationCallbackReceiver_onBeforeSerialize];
		public function onBeforeSerialize():void;

		[native,unityengine_ISerializationCallbackReceiver_onAfterDeserialize];
		public function onAfterDeserialize():void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputHorizontal];
		public function calculateLayoutInputHorizontal():void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputVertical];
		public function calculateLayoutInputVertical():void;

		[native,unityengine_ui_ILayoutElement_get_minWidth]
		public function get minWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredWidth]
		public function get preferredWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleWidth]
		public function get flexibleWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_minHeight]
		public function get minHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredHeight]
		public function get preferredHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleHeight]
		public function get flexibleHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_layoutPriority]
		public function get layoutPriority():int;

		[native,unityengine_ICanvasRaycastFilter_isRaycastLocationValid];
		public function isRaycastLocationValid(screenPoint:unityengine.Vector2,eventCamera:unityengine.Camera):Boolean;


	}
}
