package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;


		/**
		*  UnityEngine.UI.LayoutElement
		*/
	[no_constructor]
	[link_system]
	public class LayoutElement extends unityengine.eventsystems.UIBehaviour implements ILayoutElement,ILayoutIgnorer
	{
		[creator];
		[native,unityengine_ui_LayoutElement_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function LayoutElement();
		//*********公共方法*******
		[native,unityengine_ui_ILayoutIgnorer_get_ignoreLayout]
		public function get ignoreLayout():Boolean;

		/**
		* UnityEngine.UI.LayoutElement.set_ignoreLayout
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_LayoutElement_set_ignoreLayout]
		public function set ignoreLayout(value:Boolean):void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputHorizontal];
		public function calculateLayoutInputHorizontal():void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputVertical];
		public function calculateLayoutInputVertical():void;

		[native,unityengine_ui_ILayoutElement_get_minWidth]
		public function get minWidth():Number;

		/**
		* UnityEngine.UI.LayoutElement.set_minWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_LayoutElement_set_minWidth]
		public function set minWidth(value:Number):void;

		[native,unityengine_ui_ILayoutElement_get_minHeight]
		public function get minHeight():Number;

		/**
		* UnityEngine.UI.LayoutElement.set_minHeight
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_LayoutElement_set_minHeight]
		public function set minHeight(value:Number):void;

		[native,unityengine_ui_ILayoutElement_get_preferredWidth]
		public function get preferredWidth():Number;

		/**
		* UnityEngine.UI.LayoutElement.set_preferredWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_LayoutElement_set_preferredWidth]
		public function set preferredWidth(value:Number):void;

		[native,unityengine_ui_ILayoutElement_get_preferredHeight]
		public function get preferredHeight():Number;

		/**
		* UnityEngine.UI.LayoutElement.set_preferredHeight
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_LayoutElement_set_preferredHeight]
		public function set preferredHeight(value:Number):void;

		[native,unityengine_ui_ILayoutElement_get_flexibleWidth]
		public function get flexibleWidth():Number;

		/**
		* UnityEngine.UI.LayoutElement.set_flexibleWidth
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_LayoutElement_set_flexibleWidth]
		public function set flexibleWidth(value:Number):void;

		[native,unityengine_ui_ILayoutElement_get_flexibleHeight]
		public function get flexibleHeight():Number;

		/**
		* UnityEngine.UI.LayoutElement.set_flexibleHeight
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_LayoutElement_set_flexibleHeight]
		public function set flexibleHeight(value:Number):void;

		[native,unityengine_ui_ILayoutElement_get_layoutPriority]
		public function get layoutPriority():int;

		/**
		* UnityEngine.UI.LayoutElement.set_layoutPriority
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_LayoutElement_set_layoutPriority]
		public function set layoutPriority(value:int):void;


	}
}
