package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;
	import unityengine.RectOffset;
	import unityengine.TextAnchor;


		/**
		* Abstract
		*  UnityEngine.UI.LayoutGroup
		*/
	[no_constructor]
	[link_system]
	public class LayoutGroup extends unityengine.eventsystems.UIBehaviour implements ILayoutElement,ILayoutGroup,ILayoutController
	{
		[creator];
		[native,unityengine_ui_LayoutGroup_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function LayoutGroup();
		//*********公共方法*******
		/**
		* UnityEngine.UI.LayoutGroup.get_padding
		*return:
		*   UnityEngine.RectOffset
		*/
		[native,unityengine_ui_LayoutGroup_get_padding]
		public final function get padding():unityengine.RectOffset;

		/**
		* UnityEngine.UI.LayoutGroup.set_padding
		*parameters:
		*  value : UnityEngine.RectOffset
		*/
		[native,unityengine_ui_LayoutGroup_set_padding]
		public final function set padding(value:unityengine.RectOffset):void;

		/**
		* UnityEngine.UI.LayoutGroup.get_childAlignment
		*return:
		*   UnityEngine.TextAnchor
		*/
		[native,unityengine_ui_LayoutGroup_get_childAlignment]
		public final function get childAlignment():unityengine.TextAnchor;

		/**
		* UnityEngine.UI.LayoutGroup.set_childAlignment
		*parameters:
		*  value : UnityEngine.TextAnchor
		*/
		[native,unityengine_ui_LayoutGroup_set_childAlignment]
		public final function set childAlignment(value:unityengine.TextAnchor):void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputHorizontal];
		public function calculateLayoutInputHorizontal():void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputVertical];
		public function calculateLayoutInputVertical():void;

		[native,unityengine_ui_ILayoutElement_get_minWidth]
		public function get minWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredWidth]
		public function get preferredWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleWidth]
		public function get flexibleWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_minHeight]
		public function get minHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredHeight]
		public function get preferredHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleHeight]
		public function get flexibleHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_layoutPriority]
		public function get layoutPriority():int;

		[native,unityengine_ui_ILayoutController_setLayoutHorizontal];
		public function setLayoutHorizontal():void;

		[native,unityengine_ui_ILayoutController_setLayoutVertical];
		public function setLayoutVertical():void;


	}
}
