package unityengine.ui
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.UI.Navigation
		*/
	[struct]
	[link_system]
	public final class Navigation extends system._Object_
	{
		[creator];
		[native,unityengine_ui_Navigation_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ui_Navigation_ctor];
		public function Navigation();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Navigation.get_mode
		*return:
		*   UnityEngine.UI.Navigation.Mode
		*/
		[native,unityengine_ui_Navigation_get_mode]
		public final function get mode():Navigation_Mode;

		/**
		* UnityEngine.UI.Navigation.set_mode
		*parameters:
		*  value : UnityEngine.UI.Navigation.Mode
		*/
		[native,unityengine_ui_Navigation_set_mode]
		public final function set mode(value:Navigation_Mode):void;

		/**
		* UnityEngine.UI.Navigation.get_selectOnUp
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_get_selectOnUp]
		public final function get selectOnUp():Selectable;

		/**
		* UnityEngine.UI.Navigation.set_selectOnUp
		*parameters:
		*  value : UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_set_selectOnUp]
		public final function set selectOnUp(value:Selectable):void;

		/**
		* UnityEngine.UI.Navigation.get_selectOnDown
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_get_selectOnDown]
		public final function get selectOnDown():Selectable;

		/**
		* UnityEngine.UI.Navigation.set_selectOnDown
		*parameters:
		*  value : UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_set_selectOnDown]
		public final function set selectOnDown(value:Selectable):void;

		/**
		* UnityEngine.UI.Navigation.get_selectOnLeft
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_get_selectOnLeft]
		public final function get selectOnLeft():Selectable;

		/**
		* UnityEngine.UI.Navigation.set_selectOnLeft
		*parameters:
		*  value : UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_set_selectOnLeft]
		public final function set selectOnLeft(value:Selectable):void;

		/**
		* UnityEngine.UI.Navigation.get_selectOnRight
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_get_selectOnRight]
		public final function get selectOnRight():Selectable;

		/**
		* UnityEngine.UI.Navigation.set_selectOnRight
		*parameters:
		*  value : UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Navigation_set_selectOnRight]
		public final function set selectOnRight(value:Selectable):void;

		/**
		* UnityEngine.UI.Navigation.get_defaultNavigation
		*return:
		*   UnityEngine.UI.Navigation
		*/
		[native,static_unityengine_ui_Navigation_get_defaultNavigation]
		public static function get defaultNavigation():Navigation;

		/**
		* UnityEngine.UI.Navigation.Equals
		*parameters:
		*  other : UnityEngine.UI.Navigation
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Navigation_equals__];
		public final function equals__(other:Navigation):Boolean;


	}
}
