package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;
	import unityengine.eventsystems.IInitializePotentialDragHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IBeginDragHandler;
	import unityengine.eventsystems.IEndDragHandler;
	import unityengine.eventsystems.IDragHandler;
	import unityengine.eventsystems.IScrollHandler;
	import unityengine.RectTransform;
	import unityengine.Vector2;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.Transform;


		/**
		*  UnityEngine.UI.ScrollRect
		*/
	[no_constructor]
	[link_system]
	public class ScrollRect extends unityengine.eventsystems.UIBehaviour implements unityengine.eventsystems.IInitializePotentialDragHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IBeginDragHandler,unityengine.eventsystems.IEndDragHandler,unityengine.eventsystems.IDragHandler,unityengine.eventsystems.IScrollHandler,ICanvasElement,ILayoutElement,ILayoutGroup,ILayoutController
	{
		[creator];
		[native,unityengine_ui_ScrollRect_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function ScrollRect();
		//*********公共方法*******
		/**
		* UnityEngine.UI.ScrollRect.get_content
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_ScrollRect_get_content]
		public final function get content():unityengine.RectTransform;

		/**
		* UnityEngine.UI.ScrollRect.set_content
		*parameters:
		*  value : UnityEngine.RectTransform
		*/
		[native,unityengine_ui_ScrollRect_set_content]
		public final function set content(value:unityengine.RectTransform):void;

		/**
		* UnityEngine.UI.ScrollRect.get_horizontal
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_ScrollRect_get_horizontal]
		public final function get horizontal():Boolean;

		/**
		* UnityEngine.UI.ScrollRect.set_horizontal
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_ScrollRect_set_horizontal]
		public final function set horizontal(value:Boolean):void;

		/**
		* UnityEngine.UI.ScrollRect.get_vertical
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_ScrollRect_get_vertical]
		public final function get vertical():Boolean;

		/**
		* UnityEngine.UI.ScrollRect.set_vertical
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_ScrollRect_set_vertical]
		public final function set vertical(value:Boolean):void;

		/**
		* UnityEngine.UI.ScrollRect.get_movementType
		*return:
		*   UnityEngine.UI.ScrollRect.MovementType
		*/
		[native,unityengine_ui_ScrollRect_get_movementType]
		public final function get movementType():ScrollRect_MovementType;

		/**
		* UnityEngine.UI.ScrollRect.set_movementType
		*parameters:
		*  value : UnityEngine.UI.ScrollRect.MovementType
		*/
		[native,unityengine_ui_ScrollRect_set_movementType]
		public final function set movementType(value:ScrollRect_MovementType):void;

		/**
		* UnityEngine.UI.ScrollRect.get_elasticity
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_elasticity]
		public final function get elasticity():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_elasticity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_elasticity]
		public final function set elasticity(value:Number):void;

		/**
		* UnityEngine.UI.ScrollRect.get_inertia
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_ScrollRect_get_inertia]
		public final function get inertia():Boolean;

		/**
		* UnityEngine.UI.ScrollRect.set_inertia
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_ScrollRect_set_inertia]
		public final function set inertia(value:Boolean):void;

		/**
		* UnityEngine.UI.ScrollRect.get_decelerationRate
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_decelerationRate]
		public final function get decelerationRate():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_decelerationRate
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_decelerationRate]
		public final function set decelerationRate(value:Number):void;

		/**
		* UnityEngine.UI.ScrollRect.get_scrollSensitivity
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_scrollSensitivity]
		public final function get scrollSensitivity():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_scrollSensitivity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_scrollSensitivity]
		public final function set scrollSensitivity(value:Number):void;

		/**
		* UnityEngine.UI.ScrollRect.get_viewport
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_ScrollRect_get_viewport]
		public final function get viewport():unityengine.RectTransform;

		/**
		* UnityEngine.UI.ScrollRect.set_viewport
		*parameters:
		*  value : UnityEngine.RectTransform
		*/
		[native,unityengine_ui_ScrollRect_set_viewport]
		public final function set viewport(value:unityengine.RectTransform):void;

		/**
		* UnityEngine.UI.ScrollRect.get_horizontalScrollbar
		*return:
		*   UnityEngine.UI.Scrollbar
		*/
		[native,unityengine_ui_ScrollRect_get_horizontalScrollbar]
		public final function get horizontalScrollbar():Scrollbar;

		/**
		* UnityEngine.UI.ScrollRect.set_horizontalScrollbar
		*parameters:
		*  value : UnityEngine.UI.Scrollbar
		*/
		[native,unityengine_ui_ScrollRect_set_horizontalScrollbar]
		public final function set horizontalScrollbar(value:Scrollbar):void;

		/**
		* UnityEngine.UI.ScrollRect.get_verticalScrollbar
		*return:
		*   UnityEngine.UI.Scrollbar
		*/
		[native,unityengine_ui_ScrollRect_get_verticalScrollbar]
		public final function get verticalScrollbar():Scrollbar;

		/**
		* UnityEngine.UI.ScrollRect.set_verticalScrollbar
		*parameters:
		*  value : UnityEngine.UI.Scrollbar
		*/
		[native,unityengine_ui_ScrollRect_set_verticalScrollbar]
		public final function set verticalScrollbar(value:Scrollbar):void;

		/**
		* UnityEngine.UI.ScrollRect.get_horizontalScrollbarVisibility
		*return:
		*   UnityEngine.UI.ScrollRect.ScrollbarVisibility
		*/
		[native,unityengine_ui_ScrollRect_get_horizontalScrollbarVisibility]
		public final function get horizontalScrollbarVisibility():ScrollRect_ScrollbarVisibility;

		/**
		* UnityEngine.UI.ScrollRect.set_horizontalScrollbarVisibility
		*parameters:
		*  value : UnityEngine.UI.ScrollRect.ScrollbarVisibility
		*/
		[native,unityengine_ui_ScrollRect_set_horizontalScrollbarVisibility]
		public final function set horizontalScrollbarVisibility(value:ScrollRect_ScrollbarVisibility):void;

		/**
		* UnityEngine.UI.ScrollRect.get_verticalScrollbarVisibility
		*return:
		*   UnityEngine.UI.ScrollRect.ScrollbarVisibility
		*/
		[native,unityengine_ui_ScrollRect_get_verticalScrollbarVisibility]
		public final function get verticalScrollbarVisibility():ScrollRect_ScrollbarVisibility;

		/**
		* UnityEngine.UI.ScrollRect.set_verticalScrollbarVisibility
		*parameters:
		*  value : UnityEngine.UI.ScrollRect.ScrollbarVisibility
		*/
		[native,unityengine_ui_ScrollRect_set_verticalScrollbarVisibility]
		public final function set verticalScrollbarVisibility(value:ScrollRect_ScrollbarVisibility):void;

		/**
		* UnityEngine.UI.ScrollRect.get_horizontalScrollbarSpacing
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_horizontalScrollbarSpacing]
		public final function get horizontalScrollbarSpacing():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_horizontalScrollbarSpacing
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_horizontalScrollbarSpacing]
		public final function set horizontalScrollbarSpacing(value:Number):void;

		/**
		* UnityEngine.UI.ScrollRect.get_verticalScrollbarSpacing
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_verticalScrollbarSpacing]
		public final function get verticalScrollbarSpacing():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_verticalScrollbarSpacing
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_verticalScrollbarSpacing]
		public final function set verticalScrollbarSpacing(value:Number):void;

		/**
		* UnityEngine.UI.ScrollRect.get_onValueChanged
		*return:
		*   UnityEngine.UI.ScrollRect.ScrollRectEvent
		*/
		[native,unityengine_ui_ScrollRect_get_onValueChanged]
		public final function get onValueChanged():ScrollRect_ScrollRectEvent;

		/**
		* UnityEngine.UI.ScrollRect.set_onValueChanged
		*parameters:
		*  value : UnityEngine.UI.ScrollRect.ScrollRectEvent
		*/
		[native,unityengine_ui_ScrollRect_set_onValueChanged]
		public final function set onValueChanged(value:ScrollRect_ScrollRectEvent):void;

		/**
		* UnityEngine.UI.ScrollRect.get_velocity
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_ui_ScrollRect_get_velocity]
		public final function get velocity():unityengine.Vector2;

		/**
		* UnityEngine.UI.ScrollRect.set_velocity
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_ui_ScrollRect_set_velocity]
		public final function set velocity(value:unityengine.Vector2):void;

		[native,unityengine_ui_ICanvasElement_rebuild];
		public function rebuild(executing:CanvasUpdate):void;

		[native,unityengine_ui_ICanvasElement_layoutComplete];
		public function layoutComplete():void;

		[native,unityengine_ui_ICanvasElement_graphicUpdateComplete];
		public function graphicUpdateComplete():void;

		/**
		* UnityEngine.UI.ScrollRect.StopMovement
		*/
		[native,unityengine_ui_ScrollRect_stopMovement];
		public function stopMovement():void;

		[native,unityengine_eventsystems_IScrollHandler_onScroll];
		public function onScroll(data:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IInitializePotentialDragHandler_onInitializePotentialDrag];
		public function onInitializePotentialDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IBeginDragHandler_onBeginDrag];
		public function onBeginDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IEndDragHandler_onEndDrag];
		public function onEndDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IDragHandler_onDrag];
		public function onDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		/**
		* UnityEngine.UI.ScrollRect.get_normalizedPosition
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_ui_ScrollRect_get_normalizedPosition]
		public final function get normalizedPosition():unityengine.Vector2;

		/**
		* UnityEngine.UI.ScrollRect.set_normalizedPosition
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_ui_ScrollRect_set_normalizedPosition]
		public final function set normalizedPosition(value:unityengine.Vector2):void;

		/**
		* UnityEngine.UI.ScrollRect.get_horizontalNormalizedPosition
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_horizontalNormalizedPosition]
		public final function get horizontalNormalizedPosition():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_horizontalNormalizedPosition
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_horizontalNormalizedPosition]
		public final function set horizontalNormalizedPosition(value:Number):void;

		/**
		* UnityEngine.UI.ScrollRect.get_verticalNormalizedPosition
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_ScrollRect_get_verticalNormalizedPosition]
		public final function get verticalNormalizedPosition():Number;

		/**
		* UnityEngine.UI.ScrollRect.set_verticalNormalizedPosition
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_ScrollRect_set_verticalNormalizedPosition]
		public final function set verticalNormalizedPosition(value:Number):void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputHorizontal];
		public function calculateLayoutInputHorizontal():void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputVertical];
		public function calculateLayoutInputVertical():void;

		[native,unityengine_ui_ILayoutElement_get_minWidth]
		public function get minWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredWidth]
		public function get preferredWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleWidth]
		public function get flexibleWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_minHeight]
		public function get minHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredHeight]
		public function get preferredHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleHeight]
		public function get flexibleHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_layoutPriority]
		public function get layoutPriority():int;

		[native,unityengine_ui_ILayoutController_setLayoutHorizontal];
		public function setLayoutHorizontal():void;

		[native,unityengine_ui_ILayoutController_setLayoutVertical];
		public function setLayoutVertical():void;


		//*****显式接口实现*****
		[native,unityengine_ui_ICanvasElement_get_transform];
		private function unityengine_ui_ICanvasElement_get_transform():unityengine.Transform;

		[native,unityengine_ui_ICanvasElement_isDestroyed];
		private function unityengine_ui_ICanvasElement_IsDestroyed():Boolean;


	}
}
