package unityengine.ui
{
	import system._Object_;
	import unityengine.Sprite;


		/**
		* Struct
		*  UnityEngine.UI.SpriteState
		*/
	[struct]
	[link_system]
	public final class SpriteState extends system._Object_
	{
		[creator];
		[native,unityengine_ui_SpriteState_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ui_SpriteState_ctor];
		public function SpriteState();
		//*********公共方法*******
		/**
		* UnityEngine.UI.SpriteState.get_highlightedSprite
		*return:
		*   UnityEngine.Sprite
		*/
		[native,unityengine_ui_SpriteState_get_highlightedSprite]
		public final function get highlightedSprite():unityengine.Sprite;

		/**
		* UnityEngine.UI.SpriteState.set_highlightedSprite
		*parameters:
		*  value : UnityEngine.Sprite
		*/
		[native,unityengine_ui_SpriteState_set_highlightedSprite]
		public final function set highlightedSprite(value:unityengine.Sprite):void;

		/**
		* UnityEngine.UI.SpriteState.get_pressedSprite
		*return:
		*   UnityEngine.Sprite
		*/
		[native,unityengine_ui_SpriteState_get_pressedSprite]
		public final function get pressedSprite():unityengine.Sprite;

		/**
		* UnityEngine.UI.SpriteState.set_pressedSprite
		*parameters:
		*  value : UnityEngine.Sprite
		*/
		[native,unityengine_ui_SpriteState_set_pressedSprite]
		public final function set pressedSprite(value:unityengine.Sprite):void;

		/**
		* UnityEngine.UI.SpriteState.get_disabledSprite
		*return:
		*   UnityEngine.Sprite
		*/
		[native,unityengine_ui_SpriteState_get_disabledSprite]
		public final function get disabledSprite():unityengine.Sprite;

		/**
		* UnityEngine.UI.SpriteState.set_disabledSprite
		*parameters:
		*  value : UnityEngine.Sprite
		*/
		[native,unityengine_ui_SpriteState_set_disabledSprite]
		public final function set disabledSprite(value:unityengine.Sprite):void;

		/**
		* UnityEngine.UI.SpriteState.Equals
		*parameters:
		*  other : UnityEngine.UI.SpriteState
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_SpriteState_equals__];
		public final function equals__(other:SpriteState):Boolean;


	}
}
