using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_GenericUriParserOptions_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_GenericUriParserOptions_creator", default(System.GenericUriParserOptions)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_GenericUriParserOptions_buildin.system_GenericUriParserOptions_ctor","system_GenericUriParserOptions_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_Default_getter",()=>{ return System.GenericUriParserOptions.Default;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_GenericAuthority_getter",()=>{ return System.GenericUriParserOptions.GenericAuthority;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_AllowEmptyAuthority_getter",()=>{ return System.GenericUriParserOptions.AllowEmptyAuthority;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_NoUserInfo_getter",()=>{ return System.GenericUriParserOptions.NoUserInfo;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_NoPort_getter",()=>{ return System.GenericUriParserOptions.NoPort;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_NoQuery_getter",()=>{ return System.GenericUriParserOptions.NoQuery;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_NoFragment_getter",()=>{ return System.GenericUriParserOptions.NoFragment;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_DontConvertPathBackslashes_getter",()=>{ return System.GenericUriParserOptions.DontConvertPathBackslashes;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_DontCompressPath_getter",()=>{ return System.GenericUriParserOptions.DontCompressPath;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_DontUnescapePathDotsAndSlashes_getter",()=>{ return System.GenericUriParserOptions.DontUnescapePathDotsAndSlashes;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_Idn_getter",()=>{ return System.GenericUriParserOptions.Idn;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_GenericUriParserOptions_IriParsing_getter",()=>{ return System.GenericUriParserOptions.IriParsing;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_GenericUriParserOptions_buildin.system_GenericUriParserOptions_operator_bitOr","system_GenericUriParserOptions_operator_bitOr");
		}

		public class system_GenericUriParserOptions_ctor : NativeConstParameterFunction
		{
			public system_GenericUriParserOptions_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_GenericUriParserOptions_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_GenericUriParserOptions_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_GenericUriParserOptions_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_GenericUriParserOptions_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.GenericUriParserOptions ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.GenericUriParserOptions);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.GenericUriParserOptions)argObj.value;
				}

				System.GenericUriParserOptions ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.GenericUriParserOptions);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.GenericUriParserOptions)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
