using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_MidpointRounding_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_MidpointRounding_creator", default(System.MidpointRounding)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_MidpointRounding_buildin.system_MidpointRounding_ctor","system_MidpointRounding_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_MidpointRounding_ToEven_getter",()=>{ return System.MidpointRounding.ToEven;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_MidpointRounding_AwayFromZero_getter",()=>{ return System.MidpointRounding.AwayFromZero;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_MidpointRounding_buildin.system_MidpointRounding_operator_bitOr","system_MidpointRounding_operator_bitOr");
		}

		public class system_MidpointRounding_ctor : NativeConstParameterFunction
		{
			public system_MidpointRounding_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_MidpointRounding_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_MidpointRounding_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_MidpointRounding_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_MidpointRounding_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.MidpointRounding ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.MidpointRounding);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.MidpointRounding)argObj.value;
				}

				System.MidpointRounding ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.MidpointRounding);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.MidpointRounding)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
