using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_UriFormat_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_UriFormat_creator", default(System.UriFormat)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_UriFormat_buildin.system_UriFormat_ctor","system_UriFormat_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriFormat_UriEscaped_getter",()=>{ return System.UriFormat.UriEscaped;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriFormat_Unescaped_getter",()=>{ return System.UriFormat.Unescaped;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriFormat_SafeUnescaped_getter",()=>{ return System.UriFormat.SafeUnescaped;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_UriFormat_buildin.system_UriFormat_operator_bitOr","system_UriFormat_operator_bitOr");
		}

		public class system_UriFormat_ctor : NativeConstParameterFunction
		{
			public system_UriFormat_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_UriFormat_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_UriFormat_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_UriFormat_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_UriFormat_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.UriFormat ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.UriFormat);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.UriFormat)argObj.value;
				}

				System.UriFormat ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.UriFormat);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.UriFormat)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
