using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_UriHostNameType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_UriHostNameType_creator", default(System.UriHostNameType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_UriHostNameType_buildin.system_UriHostNameType_ctor","system_UriHostNameType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriHostNameType_Unknown_getter",()=>{ return System.UriHostNameType.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriHostNameType_Basic_getter",()=>{ return System.UriHostNameType.Basic;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriHostNameType_Dns_getter",()=>{ return System.UriHostNameType.Dns;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriHostNameType_IPv4_getter",()=>{ return System.UriHostNameType.IPv4;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_UriHostNameType_IPv6_getter",()=>{ return System.UriHostNameType.IPv6;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_UriHostNameType_buildin.system_UriHostNameType_operator_bitOr","system_UriHostNameType_operator_bitOr");
		}

		public class system_UriHostNameType_ctor : NativeConstParameterFunction
		{
			public system_UriHostNameType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_UriHostNameType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_UriHostNameType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_UriHostNameType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_UriHostNameType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.UriHostNameType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.UriHostNameType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.UriHostNameType)argObj.value;
				}

				System.UriHostNameType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.UriHostNameType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.UriHostNameType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
