using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_creator", default(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_buildin.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_getThisItem","system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_getThisItem");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_buildin.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_contains","system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_contains");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_buildin.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_copyTo","system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_copyTo");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_buildin.system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_indexOf","system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_indexOf");
		}


		public class system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_getThisItem : NativeConstParameterFunction
		{
			public system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_getThisItem() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_int);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_getThisItem";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry> _this =
					(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					int arg0 = TypeConverter.ConvertToInt(argements[0]);

					object _result_ = _this[(System.Int32)arg0]
					;
					stackframe.player.linktypemapper.storeLinkObject_ToSlot(_result_, functionDefine.signature.returnType, returnSlot, bin, stackframe.player);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_contains : NativeConstParameterFunction,IMethodGetter
		{
			public system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_contains() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_contains";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_boolean;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry> _this =
					(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					UnityEngine.EventSystems.EventTrigger.Entry arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.EventSystems.EventTrigger.Entry)_temp;
					}

					bool _result_ = _this.Contains((UnityEngine.EventSystems.EventTrigger.Entry)arg0)
					;
					if(_result_)
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.True);
					}
					else
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.False);
					}

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>).GetMethod("Contains",new Type[] {typeof(UnityEngine.EventSystems.EventTrigger.Entry)});;
				}
				return method;
			}

		}

		public class system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_copyTo : NativeConstParameterFunction,IMethodGetter
		{
			public system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_copyTo() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_int);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_copyTo";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry> _this =
					(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					UnityEngine.EventSystems.EventTrigger.Entry[] arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.EventSystems.EventTrigger.Entry[])_temp;
					}
					int arg1 = TypeConverter.ConvertToInt(argements[1]);

					_this.CopyTo((UnityEngine.EventSystems.EventTrigger.Entry[])arg0,(System.Int32)arg1)
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>).GetMethod("CopyTo",new Type[] {typeof(UnityEngine.EventSystems.EventTrigger.Entry[]),typeof(System.Int32)});;
				}
				return method;
			}

		}

		public class system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_indexOf : NativeConstParameterFunction,IMethodGetter
		{
			public system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_indexOf() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_collections_objectmodel_ReadOnlyCollection_Of_EventTrigger_Entry_indexOf";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_int;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry> _this =
					(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					UnityEngine.EventSystems.EventTrigger.Entry arg0;
					{
						object _temp;
						if (!stackframe.player.linktypemapper.rtValueToLinkObject(
							argements[0],

							stackframe.player.linktypemapper.getLinkType(argements[0].rtType)
							,
							bin, true, out _temp
							))
						{
							stackframe.throwCastException(token, argements[0].rtType,

								functionDefine.signature.parameters[0].type
								);
							success = false;
							return;
						}
						arg0 = (UnityEngine.EventSystems.EventTrigger.Entry)_temp;
					}

					int _result_ = (int)(_this.IndexOf((UnityEngine.EventSystems.EventTrigger.Entry)arg0)
					)
					;
					returnSlot.setValue(_result_);

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}

			private System.Reflection.MethodInfo method;
			public System.Reflection.MethodInfo GetMethodInfo(ASBinCode.rtti.FunctionDefine functionDefine,ASBinCode.CSWC swc,ASRuntime.Player player)
			{
				if (method == null)
				{
					method=typeof(System.Collections.ObjectModel.ReadOnlyCollection<UnityEngine.EventSystems.EventTrigger.Entry>).GetMethod("IndexOf",new Type[] {typeof(UnityEngine.EventSystems.EventTrigger.Entry)});;
				}
				return method;
			}

		}

	}
}
