using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_security_authentication_CipherAlgorithmType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_security_authentication_CipherAlgorithmType_creator", default(System.Security.Authentication.CipherAlgorithmType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_authentication_CipherAlgorithmType_buildin.system_security_authentication_CipherAlgorithmType_ctor","system_security_authentication_CipherAlgorithmType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_None_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Aes_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Aes;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Aes128_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Aes128;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Aes192_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Aes192;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Aes256_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Aes256;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Des_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Des;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Rc2_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Rc2;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_Rc4_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.Rc4;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_authentication_CipherAlgorithmType_TripleDes_getter",()=>{ return System.Security.Authentication.CipherAlgorithmType.TripleDes;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_authentication_CipherAlgorithmType_buildin.system_security_authentication_CipherAlgorithmType_operator_bitOr","system_security_authentication_CipherAlgorithmType_operator_bitOr");
		}

		public class system_security_authentication_CipherAlgorithmType_ctor : NativeConstParameterFunction
		{
			public system_security_authentication_CipherAlgorithmType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_authentication_CipherAlgorithmType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_security_authentication_CipherAlgorithmType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_security_authentication_CipherAlgorithmType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_authentication_CipherAlgorithmType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.Security.Authentication.CipherAlgorithmType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.Security.Authentication.CipherAlgorithmType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.Security.Authentication.CipherAlgorithmType)argObj.value;
				}

				System.Security.Authentication.CipherAlgorithmType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.Security.Authentication.CipherAlgorithmType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.Security.Authentication.CipherAlgorithmType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
