using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_security_cryptography_x509certificates_X500DistinguishedNameFlags_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_creator", default(System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_cryptography_x509certificates_X500DistinguishedNameFlags_buildin.system_security_cryptography_x509certificates_X500DistinguishedNameFlags_ctor","system_security_cryptography_x509certificates_X500DistinguishedNameFlags_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_None_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_Reversed_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.Reversed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_UseSemicolons_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.UseSemicolons;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_DoNotUsePlusSign_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.DoNotUsePlusSign;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_DoNotUseQuotes_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.DoNotUseQuotes;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_UseCommas_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.UseCommas;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_UseNewLines_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.UseNewLines;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_UseUTF8Encoding_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.UseUTF8Encoding;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_UseT61Encoding_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.UseT61Encoding;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X500DistinguishedNameFlags_ForceUTF8Encoding_getter",()=>{ return System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags.ForceUTF8Encoding;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_cryptography_x509certificates_X500DistinguishedNameFlags_buildin.system_security_cryptography_x509certificates_X500DistinguishedNameFlags_operator_bitOr","system_security_cryptography_x509certificates_X500DistinguishedNameFlags_operator_bitOr");
		}

		public class system_security_cryptography_x509certificates_X500DistinguishedNameFlags_ctor : NativeConstParameterFunction
		{
			public system_security_cryptography_x509certificates_X500DistinguishedNameFlags_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_cryptography_x509certificates_X500DistinguishedNameFlags_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_security_cryptography_x509certificates_X500DistinguishedNameFlags_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_security_cryptography_x509certificates_X500DistinguishedNameFlags_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_cryptography_x509certificates_X500DistinguishedNameFlags_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags)argObj.value;
				}

				System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.Security.Cryptography.X509Certificates.X500DistinguishedNameFlags)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
