using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_creator", default(System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_buildin.system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_ctor","system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_Sha1_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm.Sha1;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_ShortSha1_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm.ShortSha1;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_CapiSha1_getter",()=>{ return System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm.CapiSha1;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_buildin.system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_operator_bitOr","system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_operator_bitOr");
		}

		public class system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_ctor : NativeConstParameterFunction
		{
			public system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "system_security_cryptography_x509certificates_X509SubjectKeyIdentifierHashAlgorithm_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm)argObj.value;
				}

				System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
