using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_DeviceOrientation_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_DeviceOrientation_creator", default(UnityEngine.DeviceOrientation)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_DeviceOrientation_buildin.unityengine_DeviceOrientation_ctor","unityengine_DeviceOrientation_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_Unknown_getter",()=>{ return UnityEngine.DeviceOrientation.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_Portrait_getter",()=>{ return UnityEngine.DeviceOrientation.Portrait;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_PortraitUpsideDown_getter",()=>{ return UnityEngine.DeviceOrientation.PortraitUpsideDown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_LandscapeLeft_getter",()=>{ return UnityEngine.DeviceOrientation.LandscapeLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_LandscapeRight_getter",()=>{ return UnityEngine.DeviceOrientation.LandscapeRight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_FaceUp_getter",()=>{ return UnityEngine.DeviceOrientation.FaceUp;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_DeviceOrientation_FaceDown_getter",()=>{ return UnityEngine.DeviceOrientation.FaceDown;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_DeviceOrientation_buildin.unityengine_DeviceOrientation_operator_bitOr","unityengine_DeviceOrientation_operator_bitOr");
		}

		public class unityengine_DeviceOrientation_ctor : NativeConstParameterFunction
		{
			public unityengine_DeviceOrientation_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_DeviceOrientation_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_DeviceOrientation_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_DeviceOrientation_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_DeviceOrientation_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.DeviceOrientation ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.DeviceOrientation);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.DeviceOrientation)argObj.value;
				}

				UnityEngine.DeviceOrientation ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.DeviceOrientation);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.DeviceOrientation)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
