using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_GradientAlphaKey_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_GradientAlphaKey_creator", default(UnityEngine.GradientAlphaKey)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_GradientAlphaKey_buildin.unityengine_GradientAlphaKey_ctor","unityengine_GradientAlphaKey_ctor");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_GradientAlphaKey_buildin.unityengine_GradientAlphaKey_alpha_getter","unityengine_GradientAlphaKey_alpha_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_GradientAlphaKey_buildin.unityengine_GradientAlphaKey_alpha_setter","unityengine_GradientAlphaKey_alpha_setter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_GradientAlphaKey_buildin.unityengine_GradientAlphaKey_time_getter","unityengine_GradientAlphaKey_time_getter");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_GradientAlphaKey_buildin.unityengine_GradientAlphaKey_time_setter","unityengine_GradientAlphaKey_time_setter");
		}


		public class unityengine_GradientAlphaKey_ctor : NativeConstParameterFunction
		{
			public unityengine_GradientAlphaKey_ctor() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_GradientAlphaKey_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);
					float arg1 = (float)TypeConverter.ConvertToNumber(argements[1]);

					((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value = new UnityEngine.GradientAlphaKey((System.Single)arg0,(System.Single)arg1);
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					success = true;
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_GradientAlphaKey_alpha_getter : NativeConstParameterFunction
		{
			public unityengine_GradientAlphaKey_alpha_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_GradientAlphaKey_alpha_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.GradientAlphaKey _this =
					(UnityEngine.GradientAlphaKey)((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.alpha					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_GradientAlphaKey_alpha_setter : NativeConstParameterFunction
		{
			public unityengine_GradientAlphaKey_alpha_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_GradientAlphaKey_alpha_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.GradientAlphaKey _this =
					(UnityEngine.GradientAlphaKey)((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.alpha = (System.Single)arg0;
					((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_GradientAlphaKey_time_getter : NativeConstParameterFunction
		{
			public unityengine_GradientAlphaKey_time_getter() : base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_GradientAlphaKey_time_getter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.GradientAlphaKey _this =
					(UnityEngine.GradientAlphaKey)((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;

				try
				{
					double _result_ = (double)(_this.time					)
					;
					returnSlot.setValue(_result_);


					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_GradientAlphaKey_time_setter : NativeConstParameterFunction
		{
			public unityengine_GradientAlphaKey_time_setter() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_GradientAlphaKey_time_setter";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.GradientAlphaKey _this =
					(UnityEngine.GradientAlphaKey)((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase)thisObj).value).value;
				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.time = (System.Single)arg0;
					((LinkObj<UnityEngine.GradientAlphaKey>)((ASBinCode.rtData.rtObjectBase) thisObj).value).value = _this;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
