using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_MaterialGlobalIlluminationFlags_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_MaterialGlobalIlluminationFlags_creator", default(UnityEngine.MaterialGlobalIlluminationFlags)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_MaterialGlobalIlluminationFlags_buildin.unityengine_MaterialGlobalIlluminationFlags_ctor","unityengine_MaterialGlobalIlluminationFlags_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MaterialGlobalIlluminationFlags_None_getter",()=>{ return UnityEngine.MaterialGlobalIlluminationFlags.None;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MaterialGlobalIlluminationFlags_RealtimeEmissive_getter",()=>{ return UnityEngine.MaterialGlobalIlluminationFlags.RealtimeEmissive;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MaterialGlobalIlluminationFlags_BakedEmissive_getter",()=>{ return UnityEngine.MaterialGlobalIlluminationFlags.BakedEmissive;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MaterialGlobalIlluminationFlags_EmissiveIsBlack_getter",()=>{ return UnityEngine.MaterialGlobalIlluminationFlags.EmissiveIsBlack;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_MaterialGlobalIlluminationFlags_AnyEmissive_getter",()=>{ return UnityEngine.MaterialGlobalIlluminationFlags.AnyEmissive;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_MaterialGlobalIlluminationFlags_buildin.unityengine_MaterialGlobalIlluminationFlags_operator_bitOr","unityengine_MaterialGlobalIlluminationFlags_operator_bitOr");
		}

		public class unityengine_MaterialGlobalIlluminationFlags_ctor : NativeConstParameterFunction
		{
			public unityengine_MaterialGlobalIlluminationFlags_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_MaterialGlobalIlluminationFlags_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_MaterialGlobalIlluminationFlags_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_MaterialGlobalIlluminationFlags_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_MaterialGlobalIlluminationFlags_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.MaterialGlobalIlluminationFlags ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.MaterialGlobalIlluminationFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.MaterialGlobalIlluminationFlags)argObj.value;
				}

				UnityEngine.MaterialGlobalIlluminationFlags ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.MaterialGlobalIlluminationFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.MaterialGlobalIlluminationFlags)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
