using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_NetworkStateSynchronization_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_NetworkStateSynchronization_creator", default(UnityEngine.NetworkStateSynchronization)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_NetworkStateSynchronization_buildin.unityengine_NetworkStateSynchronization_ctor","unityengine_NetworkStateSynchronization_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkStateSynchronization_Off_getter",()=>{ return UnityEngine.NetworkStateSynchronization.Off;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkStateSynchronization_ReliableDeltaCompressed_getter",()=>{ return UnityEngine.NetworkStateSynchronization.ReliableDeltaCompressed;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_NetworkStateSynchronization_Unreliable_getter",()=>{ return UnityEngine.NetworkStateSynchronization.Unreliable;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_NetworkStateSynchronization_buildin.unityengine_NetworkStateSynchronization_operator_bitOr","unityengine_NetworkStateSynchronization_operator_bitOr");
		}

		public class unityengine_NetworkStateSynchronization_ctor : NativeConstParameterFunction
		{
			public unityengine_NetworkStateSynchronization_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_NetworkStateSynchronization_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_NetworkStateSynchronization_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_NetworkStateSynchronization_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_NetworkStateSynchronization_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.NetworkStateSynchronization ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.NetworkStateSynchronization);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.NetworkStateSynchronization)argObj.value;
				}

				UnityEngine.NetworkStateSynchronization ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.NetworkStateSynchronization);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.NetworkStateSynchronization)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
