using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_RenderTextureCreationFlags_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_RenderTextureCreationFlags_creator", default(UnityEngine.RenderTextureCreationFlags)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RenderTextureCreationFlags_buildin.unityengine_RenderTextureCreationFlags_ctor","unityengine_RenderTextureCreationFlags_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_MipMap_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.MipMap;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_AutoGenerateMips_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.AutoGenerateMips;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_SRGB_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.SRGB;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_EyeTexture_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.EyeTexture;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_EnableRandomWrite_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.EnableRandomWrite;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_CreatedFromScript_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.CreatedFromScript;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RenderTextureCreationFlags_AllowVerticalFlip_getter",()=>{ return UnityEngine.RenderTextureCreationFlags.AllowVerticalFlip;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RenderTextureCreationFlags_buildin.unityengine_RenderTextureCreationFlags_operator_bitOr","unityengine_RenderTextureCreationFlags_operator_bitOr");
		}

		public class unityengine_RenderTextureCreationFlags_ctor : NativeConstParameterFunction
		{
			public unityengine_RenderTextureCreationFlags_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RenderTextureCreationFlags_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_RenderTextureCreationFlags_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_RenderTextureCreationFlags_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RenderTextureCreationFlags_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.RenderTextureCreationFlags ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.RenderTextureCreationFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.RenderTextureCreationFlags)argObj.value;
				}

				UnityEngine.RenderTextureCreationFlags ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.RenderTextureCreationFlags);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.RenderTextureCreationFlags)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
