using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_RuntimePlatform_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_RuntimePlatform_creator", default(UnityEngine.RuntimePlatform)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RuntimePlatform_buildin.unityengine_RuntimePlatform_ctor","unityengine_RuntimePlatform_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_OSXEditor_getter",()=>{ return UnityEngine.RuntimePlatform.OSXEditor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_OSXPlayer_getter",()=>{ return UnityEngine.RuntimePlatform.OSXPlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WindowsPlayer_getter",()=>{ return UnityEngine.RuntimePlatform.WindowsPlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WindowsEditor_getter",()=>{ return UnityEngine.RuntimePlatform.WindowsEditor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_IPhonePlayer_getter",()=>{ return UnityEngine.RuntimePlatform.IPhonePlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_Android_getter",()=>{ return UnityEngine.RuntimePlatform.Android;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_LinuxPlayer_getter",()=>{ return UnityEngine.RuntimePlatform.LinuxPlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_LinuxEditor_getter",()=>{ return UnityEngine.RuntimePlatform.LinuxEditor;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WebGLPlayer_getter",()=>{ return UnityEngine.RuntimePlatform.WebGLPlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WSAPlayerX86_getter",()=>{ return UnityEngine.RuntimePlatform.WSAPlayerX86;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WSAPlayerX64_getter",()=>{ return UnityEngine.RuntimePlatform.WSAPlayerX64;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WSAPlayerARM_getter",()=>{ return UnityEngine.RuntimePlatform.WSAPlayerARM;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_TizenPlayer_getter",()=>{ return UnityEngine.RuntimePlatform.TizenPlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_PSP2_getter",()=>{ return UnityEngine.RuntimePlatform.PSP2;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_PS4_getter",()=>{ return UnityEngine.RuntimePlatform.PS4;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_PSM_getter",()=>{ return UnityEngine.RuntimePlatform.PSM;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_XboxOne_getter",()=>{ return UnityEngine.RuntimePlatform.XboxOne;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_SamsungTVPlayer_getter",()=>{ return UnityEngine.RuntimePlatform.SamsungTVPlayer;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_WiiU_getter",()=>{ return UnityEngine.RuntimePlatform.WiiU;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_tvOS_getter",()=>{ return UnityEngine.RuntimePlatform.tvOS;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_RuntimePlatform_Switch_getter",()=>{ return UnityEngine.RuntimePlatform.Switch;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_RuntimePlatform_buildin.unityengine_RuntimePlatform_operator_bitOr","unityengine_RuntimePlatform_operator_bitOr");
		}

		public class unityengine_RuntimePlatform_ctor : NativeConstParameterFunction
		{
			public unityengine_RuntimePlatform_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RuntimePlatform_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_RuntimePlatform_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_RuntimePlatform_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_RuntimePlatform_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.RuntimePlatform ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.RuntimePlatform);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.RuntimePlatform)argObj.value;
				}

				UnityEngine.RuntimePlatform ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.RuntimePlatform);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.RuntimePlatform)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
