using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ScreenOrientation_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ScreenOrientation_creator", default(UnityEngine.ScreenOrientation)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ScreenOrientation_buildin.unityengine_ScreenOrientation_ctor","unityengine_ScreenOrientation_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_Unknown_getter",()=>{ return UnityEngine.ScreenOrientation.Unknown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_Portrait_getter",()=>{ return UnityEngine.ScreenOrientation.Portrait;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_PortraitUpsideDown_getter",()=>{ return UnityEngine.ScreenOrientation.PortraitUpsideDown;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_LandscapeLeft_getter",()=>{ return UnityEngine.ScreenOrientation.LandscapeLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_LandscapeRight_getter",()=>{ return UnityEngine.ScreenOrientation.LandscapeRight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_AutoRotation_getter",()=>{ return UnityEngine.ScreenOrientation.AutoRotation;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ScreenOrientation_Landscape_getter",()=>{ return UnityEngine.ScreenOrientation.Landscape;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ScreenOrientation_buildin.unityengine_ScreenOrientation_operator_bitOr","unityengine_ScreenOrientation_operator_bitOr");
		}

		public class unityengine_ScreenOrientation_ctor : NativeConstParameterFunction
		{
			public unityengine_ScreenOrientation_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ScreenOrientation_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ScreenOrientation_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ScreenOrientation_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ScreenOrientation_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.ScreenOrientation ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.ScreenOrientation);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.ScreenOrientation)argObj.value;
				}

				UnityEngine.ScreenOrientation ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.ScreenOrientation);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.ScreenOrientation)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
