using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_SpriteAlignment_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_SpriteAlignment_creator", default(UnityEngine.SpriteAlignment)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_SpriteAlignment_buildin.unityengine_SpriteAlignment_ctor","unityengine_SpriteAlignment_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_Center_getter",()=>{ return UnityEngine.SpriteAlignment.Center;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_TopLeft_getter",()=>{ return UnityEngine.SpriteAlignment.TopLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_TopCenter_getter",()=>{ return UnityEngine.SpriteAlignment.TopCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_TopRight_getter",()=>{ return UnityEngine.SpriteAlignment.TopRight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_LeftCenter_getter",()=>{ return UnityEngine.SpriteAlignment.LeftCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_RightCenter_getter",()=>{ return UnityEngine.SpriteAlignment.RightCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_BottomLeft_getter",()=>{ return UnityEngine.SpriteAlignment.BottomLeft;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_BottomCenter_getter",()=>{ return UnityEngine.SpriteAlignment.BottomCenter;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_BottomRight_getter",()=>{ return UnityEngine.SpriteAlignment.BottomRight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_SpriteAlignment_Custom_getter",()=>{ return UnityEngine.SpriteAlignment.Custom;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_SpriteAlignment_buildin.unityengine_SpriteAlignment_operator_bitOr","unityengine_SpriteAlignment_operator_bitOr");
		}

		public class unityengine_SpriteAlignment_ctor : NativeConstParameterFunction
		{
			public unityengine_SpriteAlignment_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_SpriteAlignment_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_SpriteAlignment_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_SpriteAlignment_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_SpriteAlignment_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.SpriteAlignment ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.SpriteAlignment);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.SpriteAlignment)argObj.value;
				}

				UnityEngine.SpriteAlignment ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.SpriteAlignment);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.SpriteAlignment)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
