using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_rendering_ShadowMapPass_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_rendering_ShadowMapPass_creator", default(UnityEngine.Rendering.ShadowMapPass)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_ShadowMapPass_buildin.unityengine_rendering_ShadowMapPass_ctor","unityengine_rendering_ShadowMapPass_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_PointlightPositiveX_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.PointlightPositiveX;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_PointlightNegativeX_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.PointlightNegativeX;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_PointlightPositiveY_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.PointlightPositiveY;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_PointlightNegativeY_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.PointlightNegativeY;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_PointlightPositiveZ_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.PointlightPositiveZ;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_PointlightNegativeZ_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.PointlightNegativeZ;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_DirectionalCascade0_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.DirectionalCascade0;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_DirectionalCascade1_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.DirectionalCascade1;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_DirectionalCascade2_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.DirectionalCascade2;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_DirectionalCascade3_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.DirectionalCascade3;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_Spotlight_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.Spotlight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_Pointlight_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.Pointlight;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_Directional_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.Directional;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_rendering_ShadowMapPass_All_getter",()=>{ return UnityEngine.Rendering.ShadowMapPass.All;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_rendering_ShadowMapPass_buildin.unityengine_rendering_ShadowMapPass_operator_bitOr","unityengine_rendering_ShadowMapPass_operator_bitOr");
		}

		public class unityengine_rendering_ShadowMapPass_ctor : NativeConstParameterFunction
		{
			public unityengine_rendering_ShadowMapPass_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_ShadowMapPass_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_rendering_ShadowMapPass_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_rendering_ShadowMapPass_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_rendering_ShadowMapPass_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.Rendering.ShadowMapPass ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.Rendering.ShadowMapPass);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.Rendering.ShadowMapPass)argObj.value;
				}

				UnityEngine.Rendering.ShadowMapPass ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.Rendering.ShadowMapPass);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.Rendering.ShadowMapPass)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
