using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ui_HorizontalOrVerticalLayoutGroup_creator", default(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_get_spacing","unityengine_ui_HorizontalOrVerticalLayoutGroup_get_spacing");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_set_spacing","unityengine_ui_HorizontalOrVerticalLayoutGroup_set_spacing");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandWidth","unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandWidth");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandWidth","unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandWidth");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandHeight","unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandHeight");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandHeight","unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandHeight");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlWidth","unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlWidth");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlWidth","unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlWidth");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlHeight","unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlHeight");
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_HorizontalOrVerticalLayoutGroup_buildin.unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlHeight","unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlHeight");
		}


		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_get_spacing : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_get_spacing() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_get_spacing";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_number;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{

					double _result_ = (double)(_this.spacing
					)
					;
					returnSlot.setValue(_result_);

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_set_spacing : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_set_spacing() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_number);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_set_spacing";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					float arg0 = (float)TypeConverter.ConvertToNumber(argements[0]);

					_this.spacing = (System.Single)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandWidth : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandWidth() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandWidth";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_boolean;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{

					bool _result_ = _this.childForceExpandWidth
					;
					if(_result_)
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.True);
					}
					else
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.False);
					}

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandWidth : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandWidth() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_boolean);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandWidth";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					bool arg0 = TypeConverter.ConvertToBoolean(argements[0], stackframe, token).value;

					_this.childForceExpandWidth = (System.Boolean)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandHeight : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandHeight() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childForceExpandHeight";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_boolean;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{

					bool _result_ = _this.childForceExpandHeight
					;
					if(_result_)
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.True);
					}
					else
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.False);
					}

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandHeight : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandHeight() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_boolean);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childForceExpandHeight";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					bool arg0 = TypeConverter.ConvertToBoolean(argements[0], stackframe, token).value;

					_this.childForceExpandHeight = (System.Boolean)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlWidth : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlWidth() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlWidth";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_boolean;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{

					bool _result_ = _this.childControlWidth
					;
					if(_result_)
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.True);
					}
					else
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.False);
					}

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlWidth : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlWidth() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_boolean);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlWidth";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					bool arg0 = TypeConverter.ConvertToBoolean(argements[0], stackframe, token).value;

					_this.childControlWidth = (System.Boolean)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlHeight : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlHeight() : base(0)
			{
				para = new List<RunTimeDataType>();

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_get_childControlHeight";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_boolean;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{

					bool _result_ = _this.childControlHeight
					;
					if(_result_)
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.True);
					}
					else
					{
						returnSlot.setValue(ASBinCode.rtData.rtBoolean.False);
					}

					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

		public class unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlHeight : NativeConstParameterFunction
		{
			public unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlHeight() : base(1)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_boolean);

			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_HorizontalOrVerticalLayoutGroup_set_childControlHeight";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.fun_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{

				UnityEngine.UI.HorizontalOrVerticalLayoutGroup _this =
					(UnityEngine.UI.HorizontalOrVerticalLayoutGroup)((LinkSystemObject)((ASBinCode.rtData.rtObjectBase)thisObj).value).GetLinkData();

				try
				{
					bool arg0 = TypeConverter.ConvertToBoolean(argements[0], stackframe, token).value;

					_this.childControlHeight = (System.Boolean)arg0
					;
					returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
					
					
					success = true;
				}
				catch (ASRunTimeException tlc)
				{
					success = false;
					stackframe.throwAneException(token, tlc.Message);
				}
				catch (InvalidCastException ic)
				{
					success = false;
					stackframe.throwAneException(token, ic.Message);
				}
				catch (ArgumentException a)
				{
					success = false;
					stackframe.throwAneException(token, a.Message);
				}
				catch (IndexOutOfRangeException i)
				{
					success = false;
					stackframe.throwAneException(token, i.Message);
				}
				catch (NotSupportedException n)
				{
					success = false;
					stackframe.throwAneException(token, n.Message);
				}

			}
		}

	}
}
