using ASBinCode;
using ASBinCode.rtti;
using ASRuntime;
using ASRuntime.nativefuncs;
using System;
using System.Collections;
using System.Collections.Generic;
namespace ASCAutoGen.regNativeFunctions
{
	public class unityengine_ui_InputField_ContentType_buildin
	{
		public static void regNativeFunctions(CSWC bin)
		{
			bin.regNativeFunction(LinkSystem_Buildin.getCreator("unityengine_ui_InputField_ContentType_creator", default(UnityEngine.UI.InputField.ContentType)));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_InputField_ContentType_buildin.unityengine_ui_InputField_ContentType_ctor","unityengine_ui_InputField_ContentType_ctor");
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Standard_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Standard;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Autocorrected_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Autocorrected;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_IntegerNumber_getter",()=>{ return UnityEngine.UI.InputField.ContentType.IntegerNumber;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_DecimalNumber_getter",()=>{ return UnityEngine.UI.InputField.ContentType.DecimalNumber;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Alphanumeric_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Alphanumeric;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Name_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Name;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_EmailAddress_getter",()=>{ return UnityEngine.UI.InputField.ContentType.EmailAddress;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Password_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Password;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Pin_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Pin;}));
			bin.regNativeFunction(LinkSystem_Buildin.getStruct_static_field_getter("unityengine_ui_InputField_ContentType_Custom_getter",()=>{ return UnityEngine.UI.InputField.ContentType.Custom;}));
			bin.regNativeFunction("ASCAutoGen.regNativeFunctions.unityengine_ui_InputField_ContentType_buildin.unityengine_ui_InputField_ContentType_operator_bitOr","unityengine_ui_InputField_ContentType_operator_bitOr");
		}

		public class unityengine_ui_InputField_ContentType_ctor : NativeConstParameterFunction
		{
			public unityengine_ui_InputField_ContentType_ctor():base(0)
			{
				para = new List<RunTimeDataType>();
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_InputField_ContentType_ctor";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				success = true;
				returnSlot.directSet(ASBinCode.rtData.rtUndefined.undefined);
			}
		}

		public class unityengine_ui_InputField_ContentType_operator_bitOr : ASRuntime.nativefuncs.NativeConstParameterFunction
		{
			public unityengine_ui_InputField_ContentType_operator_bitOr() : base(2)
			{
				para = new List<RunTimeDataType>();
				para.Add(RunTimeDataType.rt_void);
				para.Add(RunTimeDataType.rt_void);
			}

			public override bool isMethod
			{
				get
				{
					return true;
				}
			}

			public override string name
			{
				get
				{
					return "unityengine_ui_InputField_ContentType_operator_bitOr";
				}
			}

			List<RunTimeDataType> para;
			public override List<RunTimeDataType> parameters
			{
				get
				{
					return para;
				}
			}

			public override RunTimeDataType returnType
			{
				get
				{
					return RunTimeDataType.rt_void;
				}
			}

			public override void execute3(RunTimeValueBase thisObj, FunctionDefine functionDefine, SLOT returnSlot, SourceToken token, StackFrame stackframe, out bool success)
			{
				UnityEngine.UI.InputField.ContentType ts1;

				if (argements[0].rtType == RunTimeDataType.rt_null)
				{
					ts1 = default(UnityEngine.UI.InputField.ContentType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[0]).value;
					ts1 = (UnityEngine.UI.InputField.ContentType)argObj.value;
				}

				UnityEngine.UI.InputField.ContentType ts2;

				if (argements[1].rtType == RunTimeDataType.rt_null)
				{
					ts2 = default(UnityEngine.UI.InputField.ContentType);
				}
				else
				{
					LinkObj<object> argObj = (LinkObj<object>)((ASBinCode.rtData.rtObjectBase)argements[1]).value;
					ts2 = (UnityEngine.UI.InputField.ContentType)argObj.value;
				}

				((StackSlot)returnSlot).setLinkObjectValue(
					bin.getClassByRunTimeDataType(functionDefine.signature.returnType), stackframe.player, ts1 | ts2);

				success = true;
			}
		}

	}
}
