package system
{
	import unityengine.BoneWeight;


		/**
		*包装委托:
		* System.Action &lt; UnityEngine.BoneWeight &gt; 
		* System.Void(UnityEngine.BoneWeight)

		* Sealed
		*  System.Action &lt; UnityEngine.BoneWeight &gt; 
		*/
	[link_system]
	public final class Action_Of_BoneWeight extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Action_Of_BoneWeight_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Action_Of_BoneWeight, b:Function):Action_Of_BoneWeight;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Action_Of_BoneWeight, value:Function):Action_Of_BoneWeight;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Action_Of_BoneWeight, b:Function):Action_Of_BoneWeight;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Action_Of_BoneWeight, value:Function):Action_Of_BoneWeight;

		//*********构造函数*******
		[native,system_Action_Of_BoneWeight_ctor];
		public function Action_Of_BoneWeight(func:Function);

		[implicit_from];
		[native,system_Action_Of_BoneWeight_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Action_Of_BoneWeight_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Action &lt; UnityEngine.BoneWeight &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.BoneWeight
		*/
		[native,system_Action_Of_BoneWeight_invoke];
		public function invoke(obj:unityengine.BoneWeight):void;

		/**
		* System.Action &lt; UnityEngine.BoneWeight &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.BoneWeight
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Action_Of_BoneWeight_beginInvoke];
		public function beginInvoke(obj:unityengine.BoneWeight,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Action &lt; UnityEngine.BoneWeight &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_Action_Of_BoneWeight_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
