package system
{
	import unityengine.ui.Selectable;


		/**
		*包装委托:
		* System.Action &lt; UnityEngine.UI.Selectable &gt; 
		* System.Void(UnityEngine.UI.Selectable)

		* Sealed
		*  System.Action &lt; UnityEngine.UI.Selectable &gt; 
		*/
	[link_system]
	public final class Action_Of_Selectable extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Action_Of_Selectable_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Action_Of_Selectable, b:Function):Action_Of_Selectable;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Action_Of_Selectable, value:Function):Action_Of_Selectable;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Action_Of_Selectable, b:Function):Action_Of_Selectable;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Action_Of_Selectable, value:Function):Action_Of_Selectable;

		//*********构造函数*******
		[native,system_Action_Of_Selectable_ctor];
		public function Action_Of_Selectable(func:Function);

		[implicit_from];
		[native,system_Action_Of_Selectable_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Action_Of_Selectable_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Action &lt; UnityEngine.UI.Selectable &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.UI.Selectable
		*/
		[native,system_Action_Of_Selectable_invoke];
		public function invoke(obj:unityengine.ui.Selectable):void;

		/**
		* System.Action &lt; UnityEngine.UI.Selectable &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.UI.Selectable
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Action_Of_Selectable_beginInvoke];
		public function beginInvoke(obj:unityengine.ui.Selectable,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Action &lt; UnityEngine.UI.Selectable &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_Action_Of_Selectable_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
