package system
{
	import unityengine.Sprite;


		/**
		*包装委托:
		* System.Action &lt; UnityEngine.Sprite &gt; 
		* System.Void(UnityEngine.Sprite)

		* Sealed
		*  System.Action &lt; UnityEngine.Sprite &gt; 
		*/
	[link_system]
	public final class Action_Of_Sprite extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Action_Of_Sprite_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Action_Of_Sprite, b:Function):Action_Of_Sprite;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Action_Of_Sprite, value:Function):Action_Of_Sprite;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Action_Of_Sprite, b:Function):Action_Of_Sprite;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Action_Of_Sprite, value:Function):Action_Of_Sprite;

		//*********构造函数*******
		[native,system_Action_Of_Sprite_ctor];
		public function Action_Of_Sprite(func:Function);

		[implicit_from];
		[native,system_Action_Of_Sprite_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Action_Of_Sprite_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Action &lt; UnityEngine.Sprite &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.Sprite
		*/
		[native,system_Action_Of_Sprite_invoke];
		public function invoke(obj:unityengine.Sprite):void;

		/**
		* System.Action &lt; UnityEngine.Sprite &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.Sprite
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Action_Of_Sprite_beginInvoke];
		public function beginInvoke(obj:unityengine.Sprite,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Action &lt; UnityEngine.Sprite &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_Action_Of_Sprite_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
