package system
{
	import unityengine.Vector3;


		/**
		*包装委托:
		* System.Action &lt; UnityEngine.Vector3 &gt; 
		* System.Void(UnityEngine.Vector3)

		* Sealed
		*  System.Action &lt; UnityEngine.Vector3 &gt; 
		*/
	[link_system]
	public final class Action_Of_Vector3 extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Action_Of_Vector3_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Action_Of_Vector3, b:Function):Action_Of_Vector3;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Action_Of_Vector3, value:Function):Action_Of_Vector3;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Action_Of_Vector3, b:Function):Action_Of_Vector3;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Action_Of_Vector3, value:Function):Action_Of_Vector3;

		//*********构造函数*******
		[native,system_Action_Of_Vector3_ctor];
		public function Action_Of_Vector3(func:Function);

		[implicit_from];
		[native,system_Action_Of_Vector3_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Action_Of_Vector3_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Action &lt; UnityEngine.Vector3 &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.Vector3
		*/
		[native,system_Action_Of_Vector3_invoke];
		public function invoke(obj:unityengine.Vector3):void;

		/**
		* System.Action &lt; UnityEngine.Vector3 &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.Vector3
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Action_Of_Vector3_beginInvoke];
		public function beginInvoke(obj:unityengine.Vector3,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Action &lt; UnityEngine.Vector3 &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_Action_Of_Vector3_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
