package system
{


		/**
		*包装委托:
		* System.AsyncCallback
		* System.Void(System.IAsyncResult)

		* Sealed
		*  System.AsyncCallback
		*/
	[link_system]
	public final class AsyncCallback extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_AsyncCallback_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:AsyncCallback, b:Function):AsyncCallback;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:AsyncCallback, value:Function):AsyncCallback;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:AsyncCallback, b:Function):AsyncCallback;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:AsyncCallback, value:Function):AsyncCallback;

		//*********构造函数*******
		[native,system_AsyncCallback_ctor];
		public function AsyncCallback(func:Function);

		[implicit_from];
		[native,system_AsyncCallback_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_AsyncCallback_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.AsyncCallback.Invoke
		*parameters:
		*  ar : System.IAsyncResult
		*/
		[native,system_AsyncCallback_invoke];
		public function invoke(ar:IAsyncResult):void;

		/**
		* System.AsyncCallback.BeginInvoke
		*parameters:
		*  ar : System.IAsyncResult
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_AsyncCallback_beginInvoke];
		public function beginInvoke(ar:IAsyncResult,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.AsyncCallback.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_AsyncCallback_endInvoke];
		public function endInvoke(result:IAsyncResult):void;


	}
}
