package system
{
	import unityengine.Color32;


		/**
		*包装委托:
		* System.Comparison &lt; UnityEngine.Color32 &gt; 
		* System.Int32(UnityEngine.Color32,UnityEngine.Color32)

		* Sealed
		*  System.Comparison &lt; UnityEngine.Color32 &gt; 
		*/
	[link_system]
	public final class Comparison_Of_Color32 extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Comparison_Of_Color32_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Comparison_Of_Color32, b:Function):Comparison_Of_Color32;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Comparison_Of_Color32, value:Function):Comparison_Of_Color32;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Comparison_Of_Color32, b:Function):Comparison_Of_Color32;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Comparison_Of_Color32, value:Function):Comparison_Of_Color32;

		//*********构造函数*******
		[native,system_Comparison_Of_Color32_ctor];
		public function Comparison_Of_Color32(func:Function);

		[implicit_from];
		[native,system_Comparison_Of_Color32_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Comparison_Of_Color32_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Comparison &lt; UnityEngine.Color32 &gt; .Invoke
		*parameters:
		*  x : UnityEngine.Color32
		*  y : UnityEngine.Color32
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_Color32_invoke];
		public function invoke(x:unityengine.Color32,y:unityengine.Color32):int;

		/**
		* System.Comparison &lt; UnityEngine.Color32 &gt; .BeginInvoke
		*parameters:
		*  x : UnityEngine.Color32
		*  y : UnityEngine.Color32
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Comparison_Of_Color32_beginInvoke];
		public function beginInvoke(x:unityengine.Color32,y:unityengine.Color32,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Comparison &lt; UnityEngine.Color32 &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_Color32_endInvoke];
		public function endInvoke(result:IAsyncResult):int;


	}
}
