package system
{
	import unityengine.UIVertex;


		/**
		*包装委托:
		* System.Comparison &lt; UnityEngine.UIVertex &gt; 
		* System.Int32(UnityEngine.UIVertex,UnityEngine.UIVertex)

		* Sealed
		*  System.Comparison &lt; UnityEngine.UIVertex &gt; 
		*/
	[link_system]
	public final class Comparison_Of_UIVertex extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Comparison_Of_UIVertex_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Comparison_Of_UIVertex, b:Function):Comparison_Of_UIVertex;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Comparison_Of_UIVertex, value:Function):Comparison_Of_UIVertex;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Comparison_Of_UIVertex, b:Function):Comparison_Of_UIVertex;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Comparison_Of_UIVertex, value:Function):Comparison_Of_UIVertex;

		//*********构造函数*******
		[native,system_Comparison_Of_UIVertex_ctor];
		public function Comparison_Of_UIVertex(func:Function);

		[implicit_from];
		[native,system_Comparison_Of_UIVertex_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Comparison_Of_UIVertex_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Comparison &lt; UnityEngine.UIVertex &gt; .Invoke
		*parameters:
		*  x : UnityEngine.UIVertex
		*  y : UnityEngine.UIVertex
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_UIVertex_invoke];
		public function invoke(x:unityengine.UIVertex,y:unityengine.UIVertex):int;

		/**
		* System.Comparison &lt; UnityEngine.UIVertex &gt; .BeginInvoke
		*parameters:
		*  x : UnityEngine.UIVertex
		*  y : UnityEngine.UIVertex
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Comparison_Of_UIVertex_beginInvoke];
		public function beginInvoke(x:unityengine.UIVertex,y:unityengine.UIVertex,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Comparison &lt; UnityEngine.UIVertex &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Int32
		*/
		[native,system_Comparison_Of_UIVertex_endInvoke];
		public function endInvoke(result:IAsyncResult):int;


	}
}
