package system
{
	import system._Array_;
	import system.globalization.NumberStyles;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  System.Decimal
		*/
	[struct]
	[link_system]
	public final class Decimal extends _Object_ implements IFormattable,IComparable,IConvertible
	{
		[creator];
		[native,system_Decimal_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_Decimal_constructor_];
		public static function constructor_(value:uint):Decimal;

		[native,system_Decimal_constructor__];
		public static function constructor__(value:Int64):Decimal;

		[native,system_Decimal_constructor___];
		public static function constructor___(value:UInt64):Decimal;

		[native,system_Decimal_constructor____];
		public static function constructor____(value:Number):Decimal;

		[native,system_Decimal_constructor_____];
		public static function constructor_____(value:Number):Decimal;

		[native,system_Decimal_constructor______];
		public static function constructor______(bits:_Array_):Decimal;

		[native,system_Decimal_constructor_______];
		public static function constructor_______(lo:int,mid:int,hi:int,isNegative:Boolean,scale:Byte):Decimal;

		[native,system_Decimal_ctor];
		public function Decimal(value:int);


		//*********字段*******
		/**
		* System.Decimal.Zero
		*fieldtype:
		*   System.Decimal
		*/
		[native, system_Decimal_Zero_getter];
		public static const Zero:Decimal;
		/**
		* System.Decimal.One
		*fieldtype:
		*   System.Decimal
		*/
		[native, system_Decimal_One_getter];
		public static const One:Decimal;
		/**
		* System.Decimal.MinusOne
		*fieldtype:
		*   System.Decimal
		*/
		[native, system_Decimal_MinusOne_getter];
		public static const MinusOne:Decimal;
		/**
		* System.Decimal.MaxValue
		*fieldtype:
		*   System.Decimal
		*/
		[native, system_Decimal_MaxValue_getter];
		public static const MaxValue:Decimal;
		/**
		* System.Decimal.MinValue
		*fieldtype:
		*   System.Decimal
		*/
		[native, system_Decimal_MinValue_getter];
		public static const MinValue:Decimal;

		//*********公共方法*******
		/**
		* System.Decimal.ToOACurrency
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.Int64
		*/
		[native,static_system_Decimal_toOACurrency];
		public static function toOACurrency(value:Decimal):Int64;

		/**
		* System.Decimal.FromOACurrency
		*parameters:
		*  cy : System.Int64
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_fromOACurrency];
		public static function fromOACurrency(cy:Int64):Decimal;

		/**
		* System.Decimal.Add
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_add];
		public static function add(d1:Decimal,d2:Decimal):Decimal;

		/**
		* System.Decimal.Ceiling
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_ceiling];
		public static function ceiling(d:Decimal):Decimal;

		/**
		* System.Decimal.Compare
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Int32
		*/
		[native,static_system_Decimal_compare];
		public static function compare(d1:Decimal,d2:Decimal):int;

		[native,system_IComparable_compareTo];
		public final function compareTo(value:_Object_):int;

		/**
		* System.Decimal.CompareTo
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.Int32
		*/
		[native,system_Decimal_compareTo_];
		public final function compareTo_(value:Decimal):int;

		/**
		* System.Decimal.Divide
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_divide];
		public static function divide(d1:Decimal,d2:Decimal):Decimal;

		/**
		* System.Decimal.Equals
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.Boolean
		*/
		[native,system_Decimal_equals___];
		public final function equals___(value:Decimal):Boolean;

		/**
		* System.Decimal.Equals
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Boolean
		*/
		[native,static_system_Decimal_equals];
		public static function equals(d1:Decimal,d2:Decimal):Boolean;

		/**
		* System.Decimal.Floor
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_floor];
		public static function floor(d:Decimal):Decimal;

		/**
		* System.Decimal.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,system_Decimal_toString___];
		public final function toString___(format:String):String;

		[native,system_IConvertible_toString];
		public final function toString____(provider:IFormatProvider):String;

		[native,system_IFormattable_toString];
		public final function toString_____(format:String,provider:IFormatProvider):String;

		/**
		* System.Decimal.Parse
		*parameters:
		*  s : System.String
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_parse];
		public static function parse(s:String):Decimal;

		/**
		* System.Decimal.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_parse_];
		public static function parse_(s:String,style:system.globalization.NumberStyles):Decimal;

		/**
		* System.Decimal.Parse
		*parameters:
		*  s : System.String
		*  provider : System.IFormatProvider
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_parse__];
		public static function parse__(s:String,provider:IFormatProvider):Decimal;

		/**
		* System.Decimal.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_parse___];
		public static function parse___(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider):Decimal;

		/**
		* System.Decimal.TryParse
		*parameters:
		*  s : System.String
		*  result : (Out)System.Decimal
		*return:
		*   System.Boolean
		*/
		[native,static_system_Decimal_tryParse];
		public static function tryParse(s:String,result:Decimal,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Decimal.TryParse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*  result : (Out)System.Decimal
		*return:
		*   System.Boolean
		*/
		[native,static_system_Decimal_tryParse_];
		public static function tryParse_(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider,result:Decimal,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.Decimal.GetBits
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Int32[]
		*/
		[native,static_system_Decimal_getBits];
		public static function getBits(d:Decimal):_Array_;

		/**
		* System.Decimal.Remainder
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_remainder];
		public static function remainder(d1:Decimal,d2:Decimal):Decimal;

		/**
		* System.Decimal.Multiply
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_multiply];
		public static function multiply(d1:Decimal,d2:Decimal):Decimal;

		/**
		* System.Decimal.Negate
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_negate];
		public static function negate(d:Decimal):Decimal;

		/**
		* System.Decimal.Round
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_round];
		public static function round(d:Decimal):Decimal;

		/**
		* System.Decimal.Round
		*parameters:
		*  d : System.Decimal
		*  decimals : System.Int32
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_round_];
		public static function round_(d:Decimal,decimals:int):Decimal;

		/**
		* System.Decimal.Round
		*parameters:
		*  d : System.Decimal
		*  mode : System.MidpointRounding
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_round__];
		public static function round__(d:Decimal,mode:MidpointRounding):Decimal;

		/**
		* System.Decimal.Round
		*parameters:
		*  d : System.Decimal
		*  decimals : System.Int32
		*  mode : System.MidpointRounding
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_round___];
		public static function round___(d:Decimal,decimals:int,mode:MidpointRounding):Decimal;

		/**
		* System.Decimal.Subtract
		*parameters:
		*  d1 : System.Decimal
		*  d2 : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_subtract];
		public static function subtract(d1:Decimal,d2:Decimal):Decimal;

		/**
		* System.Decimal.ToByte
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.Byte
		*/
		[native,static_system_Decimal_toByte];
		public static function toByte(value:Decimal):Byte;

		/**
		* System.Decimal.ToSByte
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.SByte
		*/
		[native,static_system_Decimal_toSByte];
		public static function toSByte(value:Decimal):SByte;

		/**
		* System.Decimal.ToInt16
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.Int16
		*/
		[native,static_system_Decimal_toInt16];
		public static function toInt16(value:Decimal):int;

		/**
		* System.Decimal.ToDouble
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Double
		*/
		[native,static_system_Decimal_toDouble];
		public static function toDouble(d:Decimal):Number;

		/**
		* System.Decimal.ToInt32
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Int32
		*/
		[native,static_system_Decimal_toInt32];
		public static function toInt32(d:Decimal):int;

		/**
		* System.Decimal.ToInt64
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Int64
		*/
		[native,static_system_Decimal_toInt64];
		public static function toInt64(d:Decimal):Int64;

		/**
		* System.Decimal.ToUInt16
		*parameters:
		*  value : System.Decimal
		*return:
		*   System.UInt16
		*/
		[native,static_system_Decimal_toUInt16];
		public static function toUInt16(value:Decimal):uint;

		/**
		* System.Decimal.ToUInt32
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.UInt32
		*/
		[native,static_system_Decimal_toUInt32];
		public static function toUInt32(d:Decimal):uint;

		/**
		* System.Decimal.ToUInt64
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.UInt64
		*/
		[native,static_system_Decimal_toUInt64];
		public static function toUInt64(d:Decimal):UInt64;

		/**
		* System.Decimal.ToSingle
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Single
		*/
		[native,static_system_Decimal_toSingle];
		public static function toSingle(d:Decimal):Number;

		/**
		* System.Decimal.Truncate
		*parameters:
		*  d : System.Decimal
		*return:
		*   System.Decimal
		*/
		[native,static_system_Decimal_truncate];
		public static function truncate(d:Decimal):Decimal;

		[native,system_IConvertible_getTypeCode];
		public final function getTypeCode():TypeCode;


		//*****操作重载*****
		/**
		 * Implicit From System.Byte 
		 */
		[native,static_system_Decimal_op_Implicit];
		public static function op_Implicit(value:Byte):Decimal;

		/**
		 * Implicit From System.SByte 
		 */
		[native,static_system_Decimal_op_Implicit_];
		public static function op_Implicit_(value:SByte):Decimal;

		/**
		 * Implicit From System.Int16 
		 */
		[native,static_system_Decimal_op_Implicit__];
		public static function op_Implicit__(value:int):Decimal;

		/**
		 * Implicit From System.UInt16 
		 */
		[native,static_system_Decimal_op_Implicit___];
		public static function op_Implicit___(value:uint):Decimal;

		/**
		 * Implicit From System.Char 
		 */
		[native,static_system_Decimal_op_Implicit____];
		public static function op_Implicit____(value:Char):Decimal;

		/**
		 * Implicit From System.Int32 
		 */
		[native,static_system_Decimal_op_Implicit_____];
		public static function op_Implicit_____(value:int):Decimal;

		/**
		 * Implicit From System.UInt32 
		 */
		[native,static_system_Decimal_op_Implicit______];
		public static function op_Implicit______(value:uint):Decimal;

		/**
		 * Implicit From System.Int64 
		 */
		[native,static_system_Decimal_op_Implicit_______];
		public static function op_Implicit_______(value:Int64):Decimal;

		/**
		 * Implicit From System.UInt64 
		 */
		[native,static_system_Decimal_op_Implicit________];
		public static function op_Implicit________(value:UInt64):Decimal;

		/**
		 * Explicit From System.Single 
		 */
		[native,static_system_Decimal_op_Explicit];
		public static function op_Explicit(value:Number):Decimal;

		/**
		 * Explicit From System.Double 
		 */
		[native,static_system_Decimal_op_Explicit_];
		public static function op_Explicit_(value:Number):Decimal;

		/**
		 * Explicit To System.Byte 
		 */
		[native,static_system_Decimal_op_Explicit__];
		public static function op_Explicit__(value:Decimal):Byte;

		/**
		 * Explicit To System.SByte 
		 */
		[native,static_system_Decimal_op_Explicit___];
		public static function op_Explicit___(value:Decimal):SByte;

		/**
		 * Explicit To System.Char 
		 */
		[native,static_system_Decimal_op_Explicit____];
		public static function op_Explicit____(value:Decimal):Char;

		/**
		 * Explicit To System.Int16 
		 */
		[native,static_system_Decimal_op_Explicit_____];
		public static function op_Explicit_____(value:Decimal):int;

		/**
		 * Explicit To System.UInt16 
		 */
		[native,static_system_Decimal_op_Explicit______];
		public static function op_Explicit______(value:Decimal):uint;

		/**
		 * Explicit To System.Int32 
		 */
		[native,static_system_Decimal_op_Explicit_______];
		public static function op_Explicit_______(value:Decimal):int;

		/**
		 * Explicit To System.UInt32 
		 */
		[native,static_system_Decimal_op_Explicit________];
		public static function op_Explicit________(value:Decimal):uint;

		/**
		 * Explicit To System.Int64 
		 */
		[native,static_system_Decimal_op_Explicit_________];
		public static function op_Explicit_________(value:Decimal):Int64;

		/**
		 * Explicit To System.UInt64 
		 */
		[native,static_system_Decimal_op_Explicit__________];
		public static function op_Explicit__________(value:Decimal):UInt64;

		/**
		 * Explicit To System.Single 
		 */
		[native,static_system_Decimal_op_Explicit___________];
		public static function op_Explicit___________(value:Decimal):Number;

		/**
		 * Explicit To System.Double 
		 */
		[native,static_system_Decimal_op_Explicit____________];
		public static function op_Explicit____________(value:Decimal):Number;

		/**
		 * 计算 +d
		 */
		[native,static_system_Decimal_op_UnaryPlus];
		public static function op_UnaryPlus(d:Decimal):Decimal;

		[operator,"+"];
		[native,static_system_Decimal_op_UnaryPlus];
		private static function _operator_op_UnaryPlus(d:Decimal):Decimal;

		/**
		 * 计算 -d
		 */
		[native,static_system_Decimal_op_UnaryNegation];
		public static function op_UnaryNegation(d:Decimal):Decimal;

		[operator,"-"];
		[native,static_system_Decimal_op_UnaryNegation];
		private static function _operator_op_UnaryNegation(d:Decimal):Decimal;

		/**
		 * 计算 ++d
		 */
		[native,static_system_Decimal_op_Increment];
		public static function op_Increment(d:Decimal):Decimal;

		/**
		 * 计算 --d
		 */
		[native,static_system_Decimal_op_Decrement];
		public static function op_Decrement(d:Decimal):Decimal;

		/**
		 * 计算 d1 + d2
		 */
		[native,static_system_Decimal_op_Addition];
		public static function op_Addition(d1:Decimal,d2:Decimal):Decimal;

		[operator,"+"];
		[native,static_system_Decimal_op_Addition];
		private static function _operator_op_Addition(d1:Decimal,d2:Decimal):Decimal;

		/**
		 * 计算 d1 - d2
		 */
		[native,static_system_Decimal_op_Subtraction];
		public static function op_Subtraction(d1:Decimal,d2:Decimal):Decimal;

		[operator,"-"];
		[native,static_system_Decimal_op_Subtraction];
		private static function _operator_op_Subtraction(d1:Decimal,d2:Decimal):Decimal;

		/**
		 * 计算 d1 * d2
		 */
		[native,static_system_Decimal_op_Multiply];
		public static function op_Multiply(d1:Decimal,d2:Decimal):Decimal;

		[operator,"*"];
		[native,static_system_Decimal_op_Multiply];
		private static function _operator_op_Multiply(d1:Decimal,d2:Decimal):Decimal;

		/**
		 * 计算 d1 / d2
		 */
		[native,static_system_Decimal_op_Division];
		public static function op_Division(d1:Decimal,d2:Decimal):Decimal;

		[operator,"/"];
		[native,static_system_Decimal_op_Division];
		private static function _operator_op_Division(d1:Decimal,d2:Decimal):Decimal;

		/**
		 * 计算 d1 % d2
		 */
		[native,static_system_Decimal_op_Modulus];
		public static function op_Modulus(d1:Decimal,d2:Decimal):Decimal;

		[operator,"%"];
		[native,static_system_Decimal_op_Modulus];
		private static function _operator_op_Modulus(d1:Decimal,d2:Decimal):Decimal;

		/**
		 * 计算 d1 == d2
		 */
		[native,static_system_Decimal_op_Equality];
		public static function op_Equality(d1:Decimal,d2:Decimal):Boolean;

		[operator,"=="];
		[native,static_system_Decimal_op_Equality];
		private static function _operator_op_Equality(d1:Decimal,d2:Decimal):Boolean;

		/**
		 * 计算 d1 != d2
		 */
		[native,static_system_Decimal_op_Inequality];
		public static function op_Inequality(d1:Decimal,d2:Decimal):Boolean;

		[operator,"!="];
		[native,static_system_Decimal_op_Inequality];
		private static function _operator_op_Inequality(d1:Decimal,d2:Decimal):Boolean;

		/**
		 * 计算 d1 &lt; d2
		 */
		[native,static_system_Decimal_op_LessThan];
		public static function op_LessThan(d1:Decimal,d2:Decimal):Boolean;

		[operator,"<"];
		[native,static_system_Decimal_op_LessThan];
		private static function _operator_op_LessThan(d1:Decimal,d2:Decimal):Boolean;

		/**
		 * 计算 d1 &lt;= d2
		 */
		[native,static_system_Decimal_op_LessThanOrEqual];
		public static function op_LessThanOrEqual(d1:Decimal,d2:Decimal):Boolean;

		[operator,"<="];
		[native,static_system_Decimal_op_LessThanOrEqual];
		private static function _operator_op_LessThanOrEqual(d1:Decimal,d2:Decimal):Boolean;

		/**
		 * 计算 d1 &gt; d2
		 */
		[native,static_system_Decimal_op_GreaterThan];
		public static function op_GreaterThan(d1:Decimal,d2:Decimal):Boolean;

		[operator,">"];
		[native,static_system_Decimal_op_GreaterThan];
		private static function _operator_op_GreaterThan(d1:Decimal,d2:Decimal):Boolean;

		/**
		 * 计算 d1 &gt;= d2
		 */
		[native,static_system_Decimal_op_GreaterThanOrEqual];
		public static function op_GreaterThanOrEqual(d1:Decimal,d2:Decimal):Boolean;

		[operator,">="];
		[native,static_system_Decimal_op_GreaterThanOrEqual];
		private static function _operator_op_GreaterThanOrEqual(d1:Decimal,d2:Decimal):Boolean;

		[implicit_from];
		[native,static_system_Decimal_op_Implicit_____];
		private static function _implicit_from_value(v:int):*;

		[explicit_from];
		[native,static_system_Decimal_op_Explicit_];
		private static function _explicit_from_value(v:Number):*;

		[native,system_Decimal_valueOf];
		public function valueOf():Number;


		//*****显式接口实现*****
		[native,system_IConvertible_toBoolean];
		private function system_IConvertible_ToBoolean(provider:IFormatProvider):Boolean;

		[native,system_IConvertible_toChar];
		private function system_IConvertible_ToChar(provider:IFormatProvider):Char;

		[native,system_IConvertible_toSByte];
		private function system_IConvertible_ToSByte(provider:IFormatProvider):SByte;

		[native,system_IConvertible_toByte];
		private function system_IConvertible_ToByte(provider:IFormatProvider):Byte;

		[native,system_IConvertible_toInt16];
		private function system_IConvertible_ToInt16(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt16];
		private function system_IConvertible_ToUInt16(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt32];
		private function system_IConvertible_ToInt32(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt32];
		private function system_IConvertible_ToUInt32(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt64];
		private function system_IConvertible_ToInt64(provider:IFormatProvider):Int64;

		[native,system_IConvertible_toUInt64];
		private function system_IConvertible_ToUInt64(provider:IFormatProvider):UInt64;

		[native,system_IConvertible_toSingle];
		private function system_IConvertible_ToSingle(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDouble];
		private function system_IConvertible_ToDouble(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDecimal];
		private function system_IConvertible_ToDecimal(provider:IFormatProvider):Decimal;

		[native,system_IConvertible_toDateTime];
		private function system_IConvertible_ToDateTime(provider:IFormatProvider):DateTime;

		[native,system_IConvertible_toType];
		private function system_IConvertible_ToType(conversionType:Class,provider:IFormatProvider):_Object_;


	}
}
