package system
{


		/**
		* Struct
		*  System.IntPtr
		*/
	[struct]
	[link_system]
	public final class IntPtr extends _Object_
	{
		[creator];
		[native,system_IntPtr_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_IntPtr_constructor_];
		public static function constructor_(value:Int64):IntPtr;

		[native,system_IntPtr_ctor];
		public function IntPtr(value:int);


		//*********字段*******
		/**
		* System.IntPtr.Zero
		*fieldtype:
		*   System.IntPtr
		*/
		[native, system_IntPtr_Zero_getter];
		public static const Zero:IntPtr;

		//*********公共方法*******
		/**
		* System.IntPtr.ToInt32
		*return:
		*   System.Int32
		*/
		[native,system_IntPtr_toInt32];
		public final function toInt32():int;

		/**
		* System.IntPtr.ToInt64
		*return:
		*   System.Int64
		*/
		[native,system_IntPtr_toInt64];
		public final function toInt64():Int64;

		/**
		* System.IntPtr.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,system_IntPtr_toString___];
		public final function toString___(format:String):String;

		/**
		* System.IntPtr.get_Size
		*return:
		*   System.Int32
		*/
		[native,static_system_IntPtr_get_Size]
		public static function get size():int;


		//*****操作重载*****
		/**
		 * Explicit From System.Int32 
		 */
		[native,static_system_IntPtr_op_Explicit];
		public static function op_Explicit(value:int):IntPtr;

		/**
		 * Explicit From System.Int64 
		 */
		[native,static_system_IntPtr_op_Explicit_];
		public static function op_Explicit_(value:Int64):IntPtr;

		/**
		 * Explicit To System.Int32 
		 */
		[native,static_system_IntPtr_op_Explicit____];
		public static function op_Explicit____(value:IntPtr):int;

		/**
		 * Explicit To System.Int64 
		 */
		[native,static_system_IntPtr_op_Explicit_____];
		public static function op_Explicit_____(value:IntPtr):Int64;

		/**
		 * 计算 value1 == value2
		 */
		[native,static_system_IntPtr_op_Equality];
		public static function op_Equality(value1:IntPtr,value2:IntPtr):Boolean;

		[operator,"=="];
		[native,static_system_IntPtr_op_Equality];
		private static function _operator_op_Equality(value1:IntPtr,value2:IntPtr):Boolean;

		/**
		 * 计算 value1 != value2
		 */
		[native,static_system_IntPtr_op_Inequality];
		public static function op_Inequality(value1:IntPtr,value2:IntPtr):Boolean;

		[operator,"!="];
		[native,static_system_IntPtr_op_Inequality];
		private static function _operator_op_Inequality(value1:IntPtr,value2:IntPtr):Boolean;

		[explicit_from];
		[native,static_system_IntPtr_op_Explicit];
		private static function _explicit_from_value(v:int):*;

		[native,system_IntPtr_valueOf];
		public function valueOf():int;


	}
}
