package system
{
	import unityengine.Component;


		/**
		*包装委托:
		* System.Predicate &lt; UnityEngine.Component &gt; 
		* System.Boolean(UnityEngine.Component)

		* Sealed
		*  System.Predicate &lt; UnityEngine.Component &gt; 
		*/
	[link_system]
	public final class Predicate_Of_Component extends MulticastDelegate implements ICloneable
	{
		[creator];
		[native,system_Predicate_Of_Component_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Predicate_Of_Component, b:Function):Predicate_Of_Component;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Predicate_Of_Component, value:Function):Predicate_Of_Component;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Predicate_Of_Component, b:Function):Predicate_Of_Component;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Predicate_Of_Component, value:Function):Predicate_Of_Component;

		//*********构造函数*******
		[native,system_Predicate_Of_Component_ctor];
		public function Predicate_Of_Component(func:Function);

		[implicit_from];
		[native,system_Predicate_Of_Component_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_Predicate_Of_Component_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.Predicate &lt; UnityEngine.Component &gt; .Invoke
		*parameters:
		*  obj : UnityEngine.Component
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_Component_invoke];
		public function invoke(obj:unityengine.Component):Boolean;

		/**
		* System.Predicate &lt; UnityEngine.Component &gt; .BeginInvoke
		*parameters:
		*  obj : UnityEngine.Component
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_Predicate_Of_Component_beginInvoke];
		public function beginInvoke(obj:unityengine.Component,callback:AsyncCallback,object:_Object_):IAsyncResult;

		/**
		* System.Predicate &lt; UnityEngine.Component &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Boolean
		*/
		[native,system_Predicate_Of_Component_endInvoke];
		public function endInvoke(result:IAsyncResult):Boolean;


	}
}
