package system
{
	import system.globalization.NumberStyles;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  System.SByte
		*/
	[struct]
	[link_system]
	public final class SByte extends _Object_ implements IComparable,IFormattable,IConvertible
	{
		[creator];
		[native,system_SByte_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,_system_SByte_ctor];
		public function SByte(v:int = 0);

		[explicit_from];
		[native,_system_SByte_explicit_from_];
		private static function _explicit_from_value(v:int):*;

		[implicit_from];
		[native,_system_SByte_implicit_from_];
		private static function _implicit_from_value(v:int):*;

		[native,_system_SByte_valueOf];
		public function valueOf():Number;


		//*********字段*******
		/**
		* System.SByte.MaxValue
		*fieldtype:
		*   System.SByte
		*/
		[native, system_SByte_MaxValue_getter];
		public static const MaxValue:SByte;
		/**
		* System.SByte.MinValue
		*fieldtype:
		*   System.SByte
		*/
		[native, system_SByte_MinValue_getter];
		public static const MinValue:SByte;

		//*********公共方法*******
		[native,system_IComparable_compareTo];
		public final function compareTo(obj:_Object_):int;

		/**
		* System.SByte.CompareTo
		*parameters:
		*  value : System.SByte
		*return:
		*   System.Int32
		*/
		[native,system_SByte_compareTo_];
		public final function compareTo_(value:SByte):int;

		/**
		* System.SByte.Equals
		*parameters:
		*  obj : System.SByte
		*return:
		*   System.Boolean
		*/
		[native,system_SByte_equals___];
		public final function equals___(obj:SByte):Boolean;

		[native,system_IConvertible_toString];
		public final function toString_(provider:IFormatProvider):String;

		/**
		* System.SByte.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,system_SByte_toString___];
		public final function toString___(format:String):String;

		[native,system_IFormattable_toString];
		public final function toString____(format:String,provider:IFormatProvider):String;

		/**
		* System.SByte.Parse
		*parameters:
		*  s : System.String
		*return:
		*   System.SByte
		*/
		[native,static_system_SByte_parse];
		public static function parse(s:String):SByte;

		/**
		* System.SByte.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*return:
		*   System.SByte
		*/
		[native,static_system_SByte_parse_];
		public static function parse_(s:String,style:system.globalization.NumberStyles):SByte;

		/**
		* System.SByte.Parse
		*parameters:
		*  s : System.String
		*  provider : System.IFormatProvider
		*return:
		*   System.SByte
		*/
		[native,static_system_SByte_parse__];
		public static function parse__(s:String,provider:IFormatProvider):SByte;

		/**
		* System.SByte.Parse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*return:
		*   System.SByte
		*/
		[native,static_system_SByte_parse___];
		public static function parse___(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider):SByte;

		/**
		* System.SByte.TryParse
		*parameters:
		*  s : System.String
		*  result : (Out)System.SByte
		*return:
		*   System.Boolean
		*/
		[native,static_system_SByte_tryParse];
		public static function tryParse(s:String,result:SByte,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.SByte.TryParse
		*parameters:
		*  s : System.String
		*  style : System.Globalization.NumberStyles
		*  provider : System.IFormatProvider
		*  result : (Out)System.SByte
		*return:
		*   System.Boolean
		*/
		[native,static_system_SByte_tryParse_];
		public static function tryParse_(s:String,style:system.globalization.NumberStyles,provider:IFormatProvider,result:SByte,refout:as3runtime.RefOutStore):Boolean;

		[native,system_IConvertible_getTypeCode];
		public final function getTypeCode():TypeCode;


		//*****显式接口实现*****
		[native,system_IConvertible_toBoolean];
		private function system_IConvertible_ToBoolean(provider:IFormatProvider):Boolean;

		[native,system_IConvertible_toChar];
		private function system_IConvertible_ToChar(provider:IFormatProvider):Char;

		[native,system_IConvertible_toSByte];
		private function system_IConvertible_ToSByte(provider:IFormatProvider):SByte;

		[native,system_IConvertible_toByte];
		private function system_IConvertible_ToByte(provider:IFormatProvider):Byte;

		[native,system_IConvertible_toInt16];
		private function system_IConvertible_ToInt16(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt16];
		private function system_IConvertible_ToUInt16(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt32];
		private function system_IConvertible_ToInt32(provider:IFormatProvider):int;

		[native,system_IConvertible_toUInt32];
		private function system_IConvertible_ToUInt32(provider:IFormatProvider):uint;

		[native,system_IConvertible_toInt64];
		private function system_IConvertible_ToInt64(provider:IFormatProvider):Int64;

		[native,system_IConvertible_toUInt64];
		private function system_IConvertible_ToUInt64(provider:IFormatProvider):UInt64;

		[native,system_IConvertible_toSingle];
		private function system_IConvertible_ToSingle(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDouble];
		private function system_IConvertible_ToDouble(provider:IFormatProvider):Number;

		[native,system_IConvertible_toDecimal];
		private function system_IConvertible_ToDecimal(provider:IFormatProvider):Decimal;

		[native,system_IConvertible_toDateTime];
		private function system_IConvertible_ToDateTime(provider:IFormatProvider):DateTime;

		[native,system_IConvertible_toType];
		private function system_IConvertible_ToType(conversionType:Class,provider:IFormatProvider):_Object_;


	}
}
