package system
{
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  System.TimeSpan
		*/
	[struct]
	[link_system]
	public final class TimeSpan extends _Object_ implements IComparable
	{
		[creator];
		[native,system_TimeSpan_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_TimeSpan_constructor_];
		public static function constructor_(hours:int,minutes:int,seconds:int):TimeSpan;

		[native,system_TimeSpan_constructor__];
		public static function constructor__(days:int,hours:int,minutes:int,seconds:int):TimeSpan;

		[native,system_TimeSpan_constructor___];
		public static function constructor___(days:int,hours:int,minutes:int,seconds:int,milliseconds:int):TimeSpan;

		[native,system_TimeSpan_ctor];
		public function TimeSpan(ticks:Int64);


		//*********字段*******
		/**
		* System.TimeSpan.Zero
		*fieldtype:
		*   System.TimeSpan
		*/
		[native, system_TimeSpan_Zero_getter];
		public static const Zero:TimeSpan;
		/**
		* System.TimeSpan.MaxValue
		*fieldtype:
		*   System.TimeSpan
		*/
		[native, system_TimeSpan_MaxValue_getter];
		public static const MaxValue:TimeSpan;
		/**
		* System.TimeSpan.MinValue
		*fieldtype:
		*   System.TimeSpan
		*/
		[native, system_TimeSpan_MinValue_getter];
		public static const MinValue:TimeSpan;
		/**
		* System.TimeSpan.TicksPerMillisecond
		*fieldtype:
		*   System.Int64
		*/
		[native, system_TimeSpan_TicksPerMillisecond_getter];
		public static const TicksPerMillisecond:Int64;
		/**
		* System.TimeSpan.TicksPerSecond
		*fieldtype:
		*   System.Int64
		*/
		[native, system_TimeSpan_TicksPerSecond_getter];
		public static const TicksPerSecond:Int64;
		/**
		* System.TimeSpan.TicksPerMinute
		*fieldtype:
		*   System.Int64
		*/
		[native, system_TimeSpan_TicksPerMinute_getter];
		public static const TicksPerMinute:Int64;
		/**
		* System.TimeSpan.TicksPerHour
		*fieldtype:
		*   System.Int64
		*/
		[native, system_TimeSpan_TicksPerHour_getter];
		public static const TicksPerHour:Int64;
		/**
		* System.TimeSpan.TicksPerDay
		*fieldtype:
		*   System.Int64
		*/
		[native, system_TimeSpan_TicksPerDay_getter];
		public static const TicksPerDay:Int64;

		//*********公共方法*******
		/**
		* System.TimeSpan.get_Ticks
		*return:
		*   System.Int64
		*/
		[native,system_TimeSpan_get_Ticks]
		public final function get ticks():Int64;

		/**
		* System.TimeSpan.get_Days
		*return:
		*   System.Int32
		*/
		[native,system_TimeSpan_get_Days]
		public final function get days():int;

		/**
		* System.TimeSpan.get_Hours
		*return:
		*   System.Int32
		*/
		[native,system_TimeSpan_get_Hours]
		public final function get hours():int;

		/**
		* System.TimeSpan.get_Milliseconds
		*return:
		*   System.Int32
		*/
		[native,system_TimeSpan_get_Milliseconds]
		public final function get milliseconds():int;

		/**
		* System.TimeSpan.get_Minutes
		*return:
		*   System.Int32
		*/
		[native,system_TimeSpan_get_Minutes]
		public final function get minutes():int;

		/**
		* System.TimeSpan.get_Seconds
		*return:
		*   System.Int32
		*/
		[native,system_TimeSpan_get_Seconds]
		public final function get seconds():int;

		/**
		* System.TimeSpan.get_TotalDays
		*return:
		*   System.Double
		*/
		[native,system_TimeSpan_get_TotalDays]
		public final function get totalDays():Number;

		/**
		* System.TimeSpan.get_TotalHours
		*return:
		*   System.Double
		*/
		[native,system_TimeSpan_get_TotalHours]
		public final function get totalHours():Number;

		/**
		* System.TimeSpan.get_TotalMilliseconds
		*return:
		*   System.Double
		*/
		[native,system_TimeSpan_get_TotalMilliseconds]
		public final function get totalMilliseconds():Number;

		/**
		* System.TimeSpan.get_TotalMinutes
		*return:
		*   System.Double
		*/
		[native,system_TimeSpan_get_TotalMinutes]
		public final function get totalMinutes():Number;

		/**
		* System.TimeSpan.get_TotalSeconds
		*return:
		*   System.Double
		*/
		[native,system_TimeSpan_get_TotalSeconds]
		public final function get totalSeconds():Number;

		/**
		* System.TimeSpan.Add
		*parameters:
		*  ts : System.TimeSpan
		*return:
		*   System.TimeSpan
		*/
		[native,system_TimeSpan_add];
		public final function add(ts:TimeSpan):TimeSpan;

		/**
		* System.TimeSpan.Compare
		*parameters:
		*  t1 : System.TimeSpan
		*  t2 : System.TimeSpan
		*return:
		*   System.Int32
		*/
		[native,static_system_TimeSpan_compare];
		public static function compare(t1:TimeSpan,t2:TimeSpan):int;

		[native,system_IComparable_compareTo];
		public final function compareTo(value:_Object_):int;

		/**
		* System.TimeSpan.CompareTo
		*parameters:
		*  value : System.TimeSpan
		*return:
		*   System.Int32
		*/
		[native,system_TimeSpan_compareTo_];
		public final function compareTo_(value:TimeSpan):int;

		/**
		* System.TimeSpan.FromDays
		*parameters:
		*  value : System.Double
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_fromDays];
		public static function fromDays(value:Number):TimeSpan;

		/**
		* System.TimeSpan.Duration
		*return:
		*   System.TimeSpan
		*/
		[native,system_TimeSpan_duration];
		public final function duration():TimeSpan;

		/**
		* System.TimeSpan.Equals
		*parameters:
		*  obj : System.TimeSpan
		*return:
		*   System.Boolean
		*/
		[native,system_TimeSpan_equals___];
		public final function equals___(obj:TimeSpan):Boolean;

		/**
		* System.TimeSpan.Equals
		*parameters:
		*  t1 : System.TimeSpan
		*  t2 : System.TimeSpan
		*return:
		*   System.Boolean
		*/
		[native,static_system_TimeSpan_equals];
		public static function equals(t1:TimeSpan,t2:TimeSpan):Boolean;

		/**
		* System.TimeSpan.FromHours
		*parameters:
		*  value : System.Double
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_fromHours];
		public static function fromHours(value:Number):TimeSpan;

		/**
		* System.TimeSpan.FromMilliseconds
		*parameters:
		*  value : System.Double
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_fromMilliseconds];
		public static function fromMilliseconds(value:Number):TimeSpan;

		/**
		* System.TimeSpan.FromMinutes
		*parameters:
		*  value : System.Double
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_fromMinutes];
		public static function fromMinutes(value:Number):TimeSpan;

		/**
		* System.TimeSpan.Negate
		*return:
		*   System.TimeSpan
		*/
		[native,system_TimeSpan_negate];
		public final function negate():TimeSpan;

		/**
		* System.TimeSpan.Parse
		*parameters:
		*  s : System.String
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_parse];
		public static function parse(s:String):TimeSpan;

		/**
		* System.TimeSpan.TryParse
		*parameters:
		*  s : System.String
		*  result : (Out)System.TimeSpan
		*return:
		*   System.Boolean
		*/
		[native,static_system_TimeSpan_tryParse];
		public static function tryParse(s:String,result:TimeSpan,refout:as3runtime.RefOutStore):Boolean;

		/**
		* System.TimeSpan.FromSeconds
		*parameters:
		*  value : System.Double
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_fromSeconds];
		public static function fromSeconds(value:Number):TimeSpan;

		/**
		* System.TimeSpan.Subtract
		*parameters:
		*  ts : System.TimeSpan
		*return:
		*   System.TimeSpan
		*/
		[native,system_TimeSpan_subtract];
		public final function subtract(ts:TimeSpan):TimeSpan;

		/**
		* System.TimeSpan.FromTicks
		*parameters:
		*  value : System.Int64
		*return:
		*   System.TimeSpan
		*/
		[native,static_system_TimeSpan_fromTicks];
		public static function fromTicks(value:Int64):TimeSpan;


		//*****操作重载*****
		/**
		 * 计算 -t
		 */
		[native,static_system_TimeSpan_op_UnaryNegation];
		public static function op_UnaryNegation(t:TimeSpan):TimeSpan;

		[operator,"-"];
		[native,static_system_TimeSpan_op_UnaryNegation];
		private static function _operator_op_UnaryNegation(t:TimeSpan):TimeSpan;

		/**
		 * 计算 t1 - t2
		 */
		[native,static_system_TimeSpan_op_Subtraction];
		public static function op_Subtraction(t1:TimeSpan,t2:TimeSpan):TimeSpan;

		[operator,"-"];
		[native,static_system_TimeSpan_op_Subtraction];
		private static function _operator_op_Subtraction(t1:TimeSpan,t2:TimeSpan):TimeSpan;

		/**
		 * 计算 +t
		 */
		[native,static_system_TimeSpan_op_UnaryPlus];
		public static function op_UnaryPlus(t:TimeSpan):TimeSpan;

		[operator,"+"];
		[native,static_system_TimeSpan_op_UnaryPlus];
		private static function _operator_op_UnaryPlus(t:TimeSpan):TimeSpan;

		/**
		 * 计算 t1 + t2
		 */
		[native,static_system_TimeSpan_op_Addition];
		public static function op_Addition(t1:TimeSpan,t2:TimeSpan):TimeSpan;

		[operator,"+"];
		[native,static_system_TimeSpan_op_Addition];
		private static function _operator_op_Addition(t1:TimeSpan,t2:TimeSpan):TimeSpan;

		/**
		 * 计算 t1 == t2
		 */
		[native,static_system_TimeSpan_op_Equality];
		public static function op_Equality(t1:TimeSpan,t2:TimeSpan):Boolean;

		[operator,"=="];
		[native,static_system_TimeSpan_op_Equality];
		private static function _operator_op_Equality(t1:TimeSpan,t2:TimeSpan):Boolean;

		/**
		 * 计算 t1 != t2
		 */
		[native,static_system_TimeSpan_op_Inequality];
		public static function op_Inequality(t1:TimeSpan,t2:TimeSpan):Boolean;

		[operator,"!="];
		[native,static_system_TimeSpan_op_Inequality];
		private static function _operator_op_Inequality(t1:TimeSpan,t2:TimeSpan):Boolean;

		/**
		 * 计算 t1 &lt; t2
		 */
		[native,static_system_TimeSpan_op_LessThan];
		public static function op_LessThan(t1:TimeSpan,t2:TimeSpan):Boolean;

		[operator,"<"];
		[native,static_system_TimeSpan_op_LessThan];
		private static function _operator_op_LessThan(t1:TimeSpan,t2:TimeSpan):Boolean;

		/**
		 * 计算 t1 &lt;= t2
		 */
		[native,static_system_TimeSpan_op_LessThanOrEqual];
		public static function op_LessThanOrEqual(t1:TimeSpan,t2:TimeSpan):Boolean;

		[operator,"<="];
		[native,static_system_TimeSpan_op_LessThanOrEqual];
		private static function _operator_op_LessThanOrEqual(t1:TimeSpan,t2:TimeSpan):Boolean;

		/**
		 * 计算 t1 &gt; t2
		 */
		[native,static_system_TimeSpan_op_GreaterThan];
		public static function op_GreaterThan(t1:TimeSpan,t2:TimeSpan):Boolean;

		[operator,">"];
		[native,static_system_TimeSpan_op_GreaterThan];
		private static function _operator_op_GreaterThan(t1:TimeSpan,t2:TimeSpan):Boolean;

		/**
		 * 计算 t1 &gt;= t2
		 */
		[native,static_system_TimeSpan_op_GreaterThanOrEqual];
		public static function op_GreaterThanOrEqual(t1:TimeSpan,t2:TimeSpan):Boolean;

		[operator,">="];
		[native,static_system_TimeSpan_op_GreaterThanOrEqual];
		private static function _operator_op_GreaterThanOrEqual(t1:TimeSpan,t2:TimeSpan):Boolean;


	}
}
