package system
{
	[no_constructor]
	[link_system]
	public final class TypeCode
	{
		[creator];
		[native,system_TypeCode_creator];
		private static function _creator(type:Class):*;

		[native,system_TypeCode_ctor];
		public function TypeCode();

		/**
		 *Empty = System.TypeCode Empty
		 */
		[native,system_TypeCode_Empty_getter];
		public static const Empty:TypeCode;

		/**
		 *Object_ = System.TypeCode Object
		 */
		[native,system_TypeCode_Object_getter];
		public static const Object_:TypeCode;

		/**
		 *DBNull = System.TypeCode DBNull
		 */
		[native,system_TypeCode_DBNull_getter];
		public static const DBNull:TypeCode;

		/**
		 *Boolean = System.TypeCode Boolean
		 */
		[native,system_TypeCode_Boolean_getter];
		public static const Boolean:TypeCode;

		/**
		 *Char = System.TypeCode Char
		 */
		[native,system_TypeCode_Char_getter];
		public static const Char:TypeCode;

		/**
		 *SByte = System.TypeCode SByte
		 */
		[native,system_TypeCode_SByte_getter];
		public static const SByte:TypeCode;

		/**
		 *Byte = System.TypeCode Byte
		 */
		[native,system_TypeCode_Byte_getter];
		public static const Byte:TypeCode;

		/**
		 *Int16 = System.TypeCode Int16
		 */
		[native,system_TypeCode_Int16_getter];
		public static const Int16:TypeCode;

		/**
		 *UInt16 = System.TypeCode UInt16
		 */
		[native,system_TypeCode_UInt16_getter];
		public static const UInt16:TypeCode;

		/**
		 *Int32 = System.TypeCode Int32
		 */
		[native,system_TypeCode_Int32_getter];
		public static const Int32:TypeCode;

		/**
		 *UInt32 = System.TypeCode UInt32
		 */
		[native,system_TypeCode_UInt32_getter];
		public static const UInt32:TypeCode;

		/**
		 *Int64 = System.TypeCode Int64
		 */
		[native,system_TypeCode_Int64_getter];
		public static const Int64:TypeCode;

		/**
		 *UInt64 = System.TypeCode UInt64
		 */
		[native,system_TypeCode_UInt64_getter];
		public static const UInt64:TypeCode;

		/**
		 *Single = System.TypeCode Single
		 */
		[native,system_TypeCode_Single_getter];
		public static const Single:TypeCode;

		/**
		 *Double = System.TypeCode Double
		 */
		[native,system_TypeCode_Double_getter];
		public static const Double:TypeCode;

		/**
		 *Decimal = System.TypeCode Decimal
		 */
		[native,system_TypeCode_Decimal_getter];
		public static const Decimal:TypeCode;

		/**
		 *DateTime = System.TypeCode DateTime
		 */
		[native,system_TypeCode_DateTime_getter];
		public static const DateTime:TypeCode;

		/**
		 *String = System.TypeCode String
		 */
		[native,system_TypeCode_String_getter];
		public static const String:TypeCode;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_TypeCode_operator_bitOr];
		private static function bitOr(t1:TypeCode,t2:TypeCode):TypeCode;
	}
}
