package system
{


		/**
		*  System.UriBuilder
		*/
	[link_system]
	public class UriBuilder extends _Object_
	{
		[creator];
		[native,system_UriBuilder_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_UriBuilder_constructor_];
		public static function constructor_(uri:String):UriBuilder;

		[native,system_UriBuilder_constructor__];
		public static function constructor__(uri:Uri):UriBuilder;

		[native,system_UriBuilder_constructor___];
		public static function constructor___(schemeName:String,hostName:String):UriBuilder;

		[native,system_UriBuilder_constructor____];
		public static function constructor____(scheme:String,host:String,portNumber:int):UriBuilder;

		[native,system_UriBuilder_constructor_____];
		public static function constructor_____(scheme:String,host:String,port:int,pathValue:String):UriBuilder;

		[native,system_UriBuilder_constructor______];
		public static function constructor______(scheme:String,host:String,port:int,pathValue:String,extraValue:String):UriBuilder;

		[native,system_UriBuilder_ctor];
		public function UriBuilder();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_UriBuilderAdapter_ctor];
		private function _UriBuilderAdapter();


		//*********公共方法*******
		/**
		* System.UriBuilder.get_Fragment
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_Fragment]
		public final function get fragment():String;

		/**
		* System.UriBuilder.set_Fragment
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_Fragment]
		public final function set fragment(value:String):void;

		/**
		* System.UriBuilder.get_Host
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_Host]
		public final function get host():String;

		/**
		* System.UriBuilder.set_Host
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_Host]
		public final function set host(value:String):void;

		/**
		* System.UriBuilder.get_Password
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_Password]
		public final function get password():String;

		/**
		* System.UriBuilder.set_Password
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_Password]
		public final function set password(value:String):void;

		/**
		* System.UriBuilder.get_Path
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_Path]
		public final function get path():String;

		/**
		* System.UriBuilder.set_Path
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_Path]
		public final function set path(value:String):void;

		/**
		* System.UriBuilder.get_Port
		*return:
		*   System.Int32
		*/
		[native,system_UriBuilder_get_Port]
		public final function get port():int;

		/**
		* System.UriBuilder.set_Port
		*parameters:
		*  value : System.Int32
		*/
		[native,system_UriBuilder_set_Port]
		public final function set port(value:int):void;

		/**
		* System.UriBuilder.get_Query
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_Query]
		public final function get query():String;

		/**
		* System.UriBuilder.set_Query
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_Query]
		public final function set query(value:String):void;

		/**
		* System.UriBuilder.get_Scheme
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_Scheme]
		public final function get scheme():String;

		/**
		* System.UriBuilder.set_Scheme
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_Scheme]
		public final function set scheme(value:String):void;

		/**
		* System.UriBuilder.get_Uri
		*return:
		*   System.Uri
		*/
		[native,system_UriBuilder_get_Uri]
		public final function get uri():Uri;

		/**
		* System.UriBuilder.get_UserName
		*return:
		*   System.String
		*/
		[native,system_UriBuilder_get_UserName]
		public final function get userName():String;

		/**
		* System.UriBuilder.set_UserName
		*parameters:
		*  value : System.String
		*/
		[native,system_UriBuilder_set_UserName]
		public final function set userName(value:String):void;


	}
}
