package system
{
	[no_constructor]
	[link_system]
	public final class UriComponents
	{
		[creator];
		[native,system_UriComponents_creator];
		private static function _creator(type:Class):*;

		[native,system_UriComponents_ctor];
		public function UriComponents();

		/**
		 *Scheme = System.UriComponents Scheme
		 */
		[native,system_UriComponents_Scheme_getter];
		public static const Scheme:UriComponents;

		/**
		 *UserInfo = System.UriComponents UserInfo
		 */
		[native,system_UriComponents_UserInfo_getter];
		public static const UserInfo:UriComponents;

		/**
		 *Host = System.UriComponents Host
		 */
		[native,system_UriComponents_Host_getter];
		public static const Host:UriComponents;

		/**
		 *Port = System.UriComponents Port
		 */
		[native,system_UriComponents_Port_getter];
		public static const Port:UriComponents;

		/**
		 *Path = System.UriComponents Path
		 */
		[native,system_UriComponents_Path_getter];
		public static const Path:UriComponents;

		/**
		 *Query = System.UriComponents Query
		 */
		[native,system_UriComponents_Query_getter];
		public static const Query:UriComponents;

		/**
		 *Fragment = System.UriComponents Fragment
		 */
		[native,system_UriComponents_Fragment_getter];
		public static const Fragment:UriComponents;

		/**
		 *StrongPort = System.UriComponents StrongPort
		 */
		[native,system_UriComponents_StrongPort_getter];
		public static const StrongPort:UriComponents;

		/**
		 *KeepDelimiter = System.UriComponents KeepDelimiter
		 */
		[native,system_UriComponents_KeepDelimiter_getter];
		public static const KeepDelimiter:UriComponents;

		/**
		 *HostAndPort = System.UriComponents HostAndPort
		 */
		[native,system_UriComponents_HostAndPort_getter];
		public static const HostAndPort:UriComponents;

		/**
		 *StrongAuthority = System.UriComponents StrongAuthority
		 */
		[native,system_UriComponents_StrongAuthority_getter];
		public static const StrongAuthority:UriComponents;

		/**
		 *AbsoluteUri = System.UriComponents AbsoluteUri
		 */
		[native,system_UriComponents_AbsoluteUri_getter];
		public static const AbsoluteUri:UriComponents;

		/**
		 *PathAndQuery = System.UriComponents PathAndQuery
		 */
		[native,system_UriComponents_PathAndQuery_getter];
		public static const PathAndQuery:UriComponents;

		/**
		 *HttpRequestUrl = System.UriComponents HttpRequestUrl
		 */
		[native,system_UriComponents_HttpRequestUrl_getter];
		public static const HttpRequestUrl:UriComponents;

		/**
		 *SchemeAndServer = System.UriComponents SchemeAndServer
		 */
		[native,system_UriComponents_SchemeAndServer_getter];
		public static const SchemeAndServer:UriComponents;

		/**
		 *SerializationInfoString = System.UriComponents SerializationInfoString
		 */
		[native,system_UriComponents_SerializationInfoString_getter];
		public static const SerializationInfoString:UriComponents;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_UriComponents_operator_bitOr];
		private static function bitOr(t1:UriComponents,t2:UriComponents):UriComponents;
	}
}
