package system.collections.generic
{
	import system._Object_;
	import system.collections._IEnumerable_;
	import system.collections.IList;
	import system.collections.ICollection;
	import system.collections.objectmodel.ReadOnlyCollection_Of_Single;
	import system._Array_;
	import system.Predicate_Of_Single;
	import system.Action_Of_Single;
	import system.Comparison_Of_Single;
	import system.collections._IEnumerator_;


		/**
		*  System.Collections.Generic.List &lt; System.Single &gt; 
		*/
	[link_system]
	public class List_Of_Single extends system._Object_ implements system.collections._IEnumerable_,system.collections.IList,system.collections.ICollection
	{
		[creator];
		[native,system_collections_generic_List_Of_Single_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_collections_generic_List_Of_Single_constructor_];
		public static function constructor_(capacity:int):List_Of_Single;

		[native,system_collections_generic_List_Of_Single_ctor];
		public function List_Of_Single();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_collections_generic_List_Of_SingleAdapter_ctor];
		private function _List_Of_SingleAdapter();


		//*********公共方法*******
		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .get_Capacity
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_get_Capacity]
		public final function get capacity():int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .set_Capacity
		*parameters:
		*  value : System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_set_Capacity]
		public final function set capacity(value:int):void;

		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,system_collections_generic_List_Of_Single_getThisItem];
		final function get_Item(index:int):Number;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,system_collections_generic_List_Of_Single_setThisItem];
		final function set_Item(value:Number,index:int):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Add
		*parameters:
		*  item : System.Single
		*/
		[native,system_collections_generic_List_Of_Single_add];
		public final function add(item:Number):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .AsReadOnly
		*return:
		*   System.Collections.ObjectModel.ReadOnlyCollection &lt; System.Single &gt; 
		*/
		[native,system_collections_generic_List_Of_Single_asReadOnly];
		public final function asReadOnly():system.collections.objectmodel.ReadOnlyCollection_Of_Single;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .BinarySearch
		*parameters:
		*  item : System.Single
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_binarySearch_];
		public final function binarySearch_(item:Number):int;

		[native,system_collections_IList_clear];
		public final function clear():void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Contains
		*parameters:
		*  item : System.Single
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Single_contains];
		public final function contains(item:Number):Boolean;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .CopyTo
		*parameters:
		*  array : System.Single[]
		*/
		[native,system_collections_generic_List_Of_Single_copyTo];
		public final function copyTo(array:_Array_):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .CopyTo
		*parameters:
		*  index : System.Int32
		*  array : System.Single[]
		*  arrayIndex : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_copyTo_];
		public final function copyTo_(index:int,array:_Array_,arrayIndex:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .CopyTo
		*parameters:
		*  array : System.Single[]
		*  arrayIndex : System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_copyTo__];
		public final function copyTo__(array:_Array_,arrayIndex:int):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Exists
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Single_exists];
		public final function exists(match:system.Predicate_Of_Single):Boolean;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Find
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Single
		*/
		[native,system_collections_generic_List_Of_Single_find];
		public final function find(match:system.Predicate_Of_Single):Number;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindAll
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Collections.Generic.List &lt; System.Single &gt; 
		*/
		[native,system_collections_generic_List_Of_Single_findAll];
		public final function findAll(match:system.Predicate_Of_Single):List_Of_Single;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindIndex
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_findIndex];
		public final function findIndex(match:system.Predicate_Of_Single):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_findIndex_];
		public final function findIndex_(startIndex:int,match:system.Predicate_Of_Single):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_findIndex__];
		public final function findIndex__(startIndex:int,count:int,match:system.Predicate_Of_Single):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindLast
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Single
		*/
		[native,system_collections_generic_List_Of_Single_findLast];
		public final function findLast(match:system.Predicate_Of_Single):Number;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindLastIndex
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_findLastIndex];
		public final function findLastIndex(match:system.Predicate_Of_Single):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_findLastIndex_];
		public final function findLastIndex_(startIndex:int,match:system.Predicate_Of_Single):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_findLastIndex__];
		public final function findLastIndex__(startIndex:int,count:int,match:system.Predicate_Of_Single):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .ForEach
		*parameters:
		*  action : System.Action &lt; System.Single &gt;  [System.Void(System.Single)]
		*/
		[native,system_collections_generic_List_Of_Single_forEach];
		public final function forEach(action:system.Action_Of_Single):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .GetRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Collections.Generic.List &lt; System.Single &gt; 
		*/
		[native,system_collections_generic_List_Of_Single_getRange];
		public final function getRange(index:int,count:int):List_Of_Single;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .IndexOf
		*parameters:
		*  item : System.Single
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_indexOf];
		public final function indexOf(item:Number):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .IndexOf
		*parameters:
		*  item : System.Single
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_indexOf_];
		public final function indexOf_(item:Number,index:int):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .IndexOf
		*parameters:
		*  item : System.Single
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_indexOf__];
		public final function indexOf__(item:Number,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Insert
		*parameters:
		*  index : System.Int32
		*  item : System.Single
		*/
		[native,system_collections_generic_List_Of_Single_insert];
		public final function insert(index:int,item:Number):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .LastIndexOf
		*parameters:
		*  item : System.Single
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_lastIndexOf];
		public final function lastIndexOf(item:Number):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .LastIndexOf
		*parameters:
		*  item : System.Single
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_lastIndexOf_];
		public final function lastIndexOf_(item:Number,index:int):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .LastIndexOf
		*parameters:
		*  item : System.Single
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_lastIndexOf__];
		public final function lastIndexOf__(item:Number,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Remove
		*parameters:
		*  item : System.Single
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Single_remove];
		public final function remove(item:Number):Boolean;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .RemoveAll
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_removeAll];
		public final function removeAll(match:system.Predicate_Of_Single):int;

		[native,system_collections_IList_removeAt];
		public final function removeAt(index:int):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .RemoveRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_removeRange];
		public final function removeRange(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Reverse
		*/
		[native,system_collections_generic_List_Of_Single_reverse];
		public final function reverse():void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Reverse
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_Single_reverse_];
		public final function reverse_(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Sort
		*/
		[native,system_collections_generic_List_Of_Single_sort];
		public final function sort():void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .Sort
		*parameters:
		*  comparison : System.Comparison &lt; System.Single &gt;  [System.Int32(System.Single,System.Single)]
		*/
		[native,system_collections_generic_List_Of_Single_sort___];
		public final function sort___(comparison:system.Comparison_Of_Single):void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .ToArray
		*return:
		*   System.Single[]
		*/
		[native,system_collections_generic_List_Of_Single_toArray];
		public final function toArray():_Array_;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .TrimExcess
		*/
		[native,system_collections_generic_List_Of_Single_trimExcess];
		public final function trimExcess():void;

		/**
		* System.Collections.Generic.List &lt; System.Single &gt; .TrueForAll
		*parameters:
		*  match : System.Predicate &lt; System.Single &gt;  [System.Boolean(System.Single)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_Single_trueForAll];
		public final function trueForAll(match:system.Predicate_Of_Single):Boolean;


		//*****显式接口实现*****
		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;

		[native,system_collections_IList_getThisItem];
		private function system_collections_IList_get_Item(index:int):*;

		[native,system_collections_IList_setThisItem];
		private function system_collections_IList_set_Item(value:*,index:int):void;

		[native,system_collections_IList_add];
		private function system_collections_IList_Add(value:*):int;

		[native,system_collections_IList_contains];
		private function system_collections_IList_Contains(value:*):Boolean;

		[native,system_collections_IList_get_IsReadOnly];
		private function system_collections_IList_get_IsReadOnly():Boolean;

		[native,system_collections_IList_get_IsFixedSize];
		private function system_collections_IList_get_IsFixedSize():Boolean;

		[native,system_collections_IList_indexOf];
		private function system_collections_IList_IndexOf(value:*):int;

		[native,system_collections_IList_insert];
		private function system_collections_IList_Insert(index:int,value:*):void;

		[native,system_collections_IList_remove];
		private function system_collections_IList_Remove(value:*):void;

		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_ICollection_get_SyncRoot];
		private function system_collections_ICollection_get_SyncRoot():system._Object_;

		[native,system_collections_ICollection_get_IsSynchronized];
		private function system_collections_ICollection_get_IsSynchronized():Boolean;


	}
}
