package system.collections.generic
{
	import system._Object_;
	import system.collections._IEnumerable_;
	import system.collections.IList;
	import system.collections.ICollection;
	import system.collections.objectmodel.ReadOnlyCollection_Of_String;
	import system._Array_;
	import system.Predicate_Of_String;
	import system.Action_Of_String;
	import system.Comparison_Of_String;
	import system.collections._IEnumerator_;


		/**
		*  System.Collections.Generic.List &lt; System.String &gt; 
		*/
	[link_system]
	public class List_Of_String extends system._Object_ implements system.collections._IEnumerable_,system.collections.IList,system.collections.ICollection
	{
		[creator];
		[native,system_collections_generic_List_Of_String_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_collections_generic_List_Of_String_constructor_];
		public static function constructor_(capacity:int):List_Of_String;

		[native,system_collections_generic_List_Of_String_ctor];
		public function List_Of_String();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_collections_generic_List_Of_StringAdapter_ctor];
		private function _List_Of_StringAdapter();


		//*********公共方法*******
		/**
		* System.Collections.Generic.List &lt; System.String &gt; .get_Capacity
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_get_Capacity]
		public final function get capacity():int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .set_Capacity
		*parameters:
		*  value : System.Int32
		*/
		[native,system_collections_generic_List_Of_String_set_Capacity]
		public final function set capacity(value:int):void;

		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.String
		*/
		[get_this_item];
		[native,system_collections_generic_List_Of_String_getThisItem];
		final function get_Item(index:int):String;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.String
		*/
		[set_this_item];
		[native,system_collections_generic_List_Of_String_setThisItem];
		final function set_Item(value:String,index:int):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Add
		*parameters:
		*  item : System.String
		*/
		[native,system_collections_generic_List_Of_String_add];
		public final function add(item:String):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .AsReadOnly
		*return:
		*   System.Collections.ObjectModel.ReadOnlyCollection &lt; System.String &gt; 
		*/
		[native,system_collections_generic_List_Of_String_asReadOnly];
		public final function asReadOnly():system.collections.objectmodel.ReadOnlyCollection_Of_String;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .BinarySearch
		*parameters:
		*  item : System.String
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_binarySearch_];
		public final function binarySearch_(item:String):int;

		[native,system_collections_IList_clear];
		public final function clear():void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Contains
		*parameters:
		*  item : System.String
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_String_contains];
		public final function contains(item:String):Boolean;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .CopyTo
		*parameters:
		*  array : System.String[]
		*/
		[native,system_collections_generic_List_Of_String_copyTo];
		public final function copyTo(array:_Array_):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .CopyTo
		*parameters:
		*  index : System.Int32
		*  array : System.String[]
		*  arrayIndex : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_String_copyTo_];
		public final function copyTo_(index:int,array:_Array_,arrayIndex:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .CopyTo
		*parameters:
		*  array : System.String[]
		*  arrayIndex : System.Int32
		*/
		[native,system_collections_generic_List_Of_String_copyTo__];
		public final function copyTo__(array:_Array_,arrayIndex:int):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Exists
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_String_exists];
		public final function exists(match:system.Predicate_Of_String):Boolean;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Find
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.String
		*/
		[native,system_collections_generic_List_Of_String_find];
		public final function find(match:system.Predicate_Of_String):String;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindAll
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Collections.Generic.List &lt; System.String &gt; 
		*/
		[native,system_collections_generic_List_Of_String_findAll];
		public final function findAll(match:system.Predicate_Of_String):List_Of_String;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindIndex
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_findIndex];
		public final function findIndex(match:system.Predicate_Of_String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_findIndex_];
		public final function findIndex_(startIndex:int,match:system.Predicate_Of_String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_findIndex__];
		public final function findIndex__(startIndex:int,count:int,match:system.Predicate_Of_String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindLast
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.String
		*/
		[native,system_collections_generic_List_Of_String_findLast];
		public final function findLast(match:system.Predicate_Of_String):String;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindLastIndex
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_findLastIndex];
		public final function findLastIndex(match:system.Predicate_Of_String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_findLastIndex_];
		public final function findLastIndex_(startIndex:int,match:system.Predicate_Of_String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .FindLastIndex
		*parameters:
		*  startIndex : System.Int32
		*  count : System.Int32
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_findLastIndex__];
		public final function findLastIndex__(startIndex:int,count:int,match:system.Predicate_Of_String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .ForEach
		*parameters:
		*  action : System.Action &lt; System.String &gt;  [System.Void(System.String)]
		*/
		[native,system_collections_generic_List_Of_String_forEach];
		public final function forEach(action:system.Action_Of_String):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .GetRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Collections.Generic.List &lt; System.String &gt; 
		*/
		[native,system_collections_generic_List_Of_String_getRange];
		public final function getRange(index:int,count:int):List_Of_String;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .IndexOf
		*parameters:
		*  item : System.String
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_indexOf];
		public final function indexOf(item:String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .IndexOf
		*parameters:
		*  item : System.String
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_indexOf_];
		public final function indexOf_(item:String,index:int):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .IndexOf
		*parameters:
		*  item : System.String
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_indexOf__];
		public final function indexOf__(item:String,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Insert
		*parameters:
		*  index : System.Int32
		*  item : System.String
		*/
		[native,system_collections_generic_List_Of_String_insert];
		public final function insert(index:int,item:String):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .LastIndexOf
		*parameters:
		*  item : System.String
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_lastIndexOf];
		public final function lastIndexOf(item:String):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .LastIndexOf
		*parameters:
		*  item : System.String
		*  index : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_lastIndexOf_];
		public final function lastIndexOf_(item:String,index:int):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .LastIndexOf
		*parameters:
		*  item : System.String
		*  index : System.Int32
		*  count : System.Int32
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_lastIndexOf__];
		public final function lastIndexOf__(item:String,index:int,count:int):int;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Remove
		*parameters:
		*  item : System.String
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_String_remove];
		public final function remove(item:String):Boolean;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .RemoveAll
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Int32
		*/
		[native,system_collections_generic_List_Of_String_removeAll];
		public final function removeAll(match:system.Predicate_Of_String):int;

		[native,system_collections_IList_removeAt];
		public final function removeAt(index:int):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .RemoveRange
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_String_removeRange];
		public final function removeRange(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Reverse
		*/
		[native,system_collections_generic_List_Of_String_reverse];
		public final function reverse():void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Reverse
		*parameters:
		*  index : System.Int32
		*  count : System.Int32
		*/
		[native,system_collections_generic_List_Of_String_reverse_];
		public final function reverse_(index:int,count:int):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Sort
		*/
		[native,system_collections_generic_List_Of_String_sort];
		public final function sort():void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .Sort
		*parameters:
		*  comparison : System.Comparison &lt; System.String &gt;  [System.Int32(System.String,System.String)]
		*/
		[native,system_collections_generic_List_Of_String_sort___];
		public final function sort___(comparison:system.Comparison_Of_String):void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .ToArray
		*return:
		*   System.String[]
		*/
		[native,system_collections_generic_List_Of_String_toArray];
		public final function toArray():_Array_;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .TrimExcess
		*/
		[native,system_collections_generic_List_Of_String_trimExcess];
		public final function trimExcess():void;

		/**
		* System.Collections.Generic.List &lt; System.String &gt; .TrueForAll
		*parameters:
		*  match : System.Predicate &lt; System.String &gt;  [System.Boolean(System.String)]
		*return:
		*   System.Boolean
		*/
		[native,system_collections_generic_List_Of_String_trueForAll];
		public final function trueForAll(match:system.Predicate_Of_String):Boolean;


		//*****显式接口实现*****
		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;

		[native,system_collections_IList_getThisItem];
		private function system_collections_IList_get_Item(index:int):*;

		[native,system_collections_IList_setThisItem];
		private function system_collections_IList_set_Item(value:*,index:int):void;

		[native,system_collections_IList_add];
		private function system_collections_IList_Add(value:*):int;

		[native,system_collections_IList_contains];
		private function system_collections_IList_Contains(value:*):Boolean;

		[native,system_collections_IList_get_IsReadOnly];
		private function system_collections_IList_get_IsReadOnly():Boolean;

		[native,system_collections_IList_get_IsFixedSize];
		private function system_collections_IList_get_IsFixedSize():Boolean;

		[native,system_collections_IList_indexOf];
		private function system_collections_IList_IndexOf(value:*):int;

		[native,system_collections_IList_insert];
		private function system_collections_IList_Insert(index:int,value:*):void;

		[native,system_collections_IList_remove];
		private function system_collections_IList_Remove(value:*):void;

		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_ICollection_get_SyncRoot];
		private function system_collections_ICollection_get_SyncRoot():system._Object_;

		[native,system_collections_ICollection_get_IsSynchronized];
		private function system_collections_ICollection_get_IsSynchronized():Boolean;


	}
}
