package system.io
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system._Object_;
	import system.IAsyncResult;
	import system.AsyncCallback;


		/**
		*包装委托:
		* System.IO.ErrorEventHandler
		* System.Void(System.Object,System.IO.ErrorEventArgs)

		* Sealed
		*  System.IO.ErrorEventHandler
		*/
	[link_system]
	public final class ErrorEventHandler extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,system_io_ErrorEventHandler_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:ErrorEventHandler, b:Function):ErrorEventHandler;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:ErrorEventHandler, value:Function):ErrorEventHandler;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:ErrorEventHandler, b:Function):ErrorEventHandler;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:ErrorEventHandler, value:Function):ErrorEventHandler;

		//*********构造函数*******
		[native,system_io_ErrorEventHandler_ctor];
		public function ErrorEventHandler(func:Function);

		[implicit_from];
		[native,system_io_ErrorEventHandler_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_io_ErrorEventHandler_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.IO.ErrorEventHandler.Invoke
		*parameters:
		*  sender : System.Object
		*  e : System.IO.ErrorEventArgs
		*/
		[native,system_io_ErrorEventHandler_invoke];
		public function invoke(sender:system._Object_,e:ErrorEventArgs):void;

		/**
		* System.IO.ErrorEventHandler.BeginInvoke
		*parameters:
		*  sender : System.Object
		*  e : System.IO.ErrorEventArgs
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_io_ErrorEventHandler_beginInvoke];
		public function beginInvoke(sender:system._Object_,e:ErrorEventArgs,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* System.IO.ErrorEventHandler.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_io_ErrorEventHandler_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
