package system.io
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system._Object_;
	import system.IAsyncResult;
	import system.AsyncCallback;


		/**
		*包装委托:
		* System.IO.FileSystemEventHandler
		* System.Void(System.Object,System.IO.FileSystemEventArgs)

		* Sealed
		*  System.IO.FileSystemEventHandler
		*/
	[link_system]
	public final class FileSystemEventHandler extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,system_io_FileSystemEventHandler_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:FileSystemEventHandler, b:Function):FileSystemEventHandler;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:FileSystemEventHandler, value:Function):FileSystemEventHandler;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:FileSystemEventHandler, b:Function):FileSystemEventHandler;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:FileSystemEventHandler, value:Function):FileSystemEventHandler;

		//*********构造函数*******
		[native,system_io_FileSystemEventHandler_ctor];
		public function FileSystemEventHandler(func:Function);

		[implicit_from];
		[native,system_io_FileSystemEventHandler_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,system_io_FileSystemEventHandler_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* System.IO.FileSystemEventHandler.Invoke
		*parameters:
		*  sender : System.Object
		*  e : System.IO.FileSystemEventArgs
		*/
		[native,system_io_FileSystemEventHandler_invoke];
		public function invoke(sender:system._Object_,e:FileSystemEventArgs):void;

		/**
		* System.IO.FileSystemEventHandler.BeginInvoke
		*parameters:
		*  sender : System.Object
		*  e : System.IO.FileSystemEventArgs
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,system_io_FileSystemEventHandler_beginInvoke];
		public function beginInvoke(sender:system._Object_,e:FileSystemEventArgs,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* System.IO.FileSystemEventHandler.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,system_io_FileSystemEventHandler_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
