package system.io.compression
{
	import system.io.Stream;
	import system.IDisposable;


		/**
		*  System.IO.Compression.GZipStream
		*/
	[link_system]
	public class GZipStream extends system.io.Stream implements system.IDisposable
	{
		[creator];
		[native,system_io_compression_GZipStream_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_io_compression_GZipStream_constructor_];
		public static function constructor_(compressedStream:system.io.Stream,mode:CompressionMode,leaveOpen:Boolean):GZipStream;

		[native,system_io_compression_GZipStream_ctor];
		public function GZipStream(compressedStream:system.io.Stream,mode:CompressionMode);

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_io_compression_GZipStreamAdapter_ctor];
		private function _GZipStreamAdapter(compressedStream:system.io.Stream,mode:CompressionMode);


		//*********公共方法*******
		/**
		* System.IO.Compression.GZipStream.get_BaseStream
		*return:
		*   System.IO.Stream
		*/
		[native,system_io_compression_GZipStream_get_BaseStream]
		public final function get baseStream():system.io.Stream;


	}
}
