package system.security
{
	import system._Object_;
	import system.IDisposable;
	import system.Char;


		/**
		* Sealed
		*  System.Security.SecureString
		*/
	[link_system]
	public final class SecureString extends system._Object_ implements system.IDisposable
	{
		[creator];
		[native,system_security_SecureString_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_SecureString_ctor];
		public function SecureString();


		//*********公共方法*******
		/**
		* System.Security.SecureString.get_Length
		*return:
		*   System.Int32
		*/
		[native,system_security_SecureString_get_Length]
		public final function get length():int;

		/**
		* System.Security.SecureString.AppendChar
		*parameters:
		*  c : System.Char
		*/
		[native,system_security_SecureString_appendChar];
		public final function appendChar(c:system.Char):void;

		/**
		* System.Security.SecureString.Clear
		*/
		[native,system_security_SecureString_clear];
		public final function clear():void;

		/**
		* System.Security.SecureString.Copy
		*return:
		*   System.Security.SecureString
		*/
		[native,system_security_SecureString_copy];
		public final function copy():SecureString;

		[native,system_IDisposable_dispose];
		public final function dispose():void;

		/**
		* System.Security.SecureString.InsertAt
		*parameters:
		*  index : System.Int32
		*  c : System.Char
		*/
		[native,system_security_SecureString_insertAt];
		public final function insertAt(index:int,c:system.Char):void;

		/**
		* System.Security.SecureString.IsReadOnly
		*return:
		*   System.Boolean
		*/
		[native,system_security_SecureString_isReadOnly];
		public final function isReadOnly():Boolean;

		/**
		* System.Security.SecureString.MakeReadOnly
		*/
		[native,system_security_SecureString_makeReadOnly];
		public final function makeReadOnly():void;

		/**
		* System.Security.SecureString.RemoveAt
		*parameters:
		*  index : System.Int32
		*/
		[native,system_security_SecureString_removeAt];
		public final function removeAt(index:int):void;

		/**
		* System.Security.SecureString.SetAt
		*parameters:
		*  index : System.Int32
		*  c : System.Char
		*/
		[native,system_security_SecureString_setAt];
		public final function setAt(index:int,c:system.Char):void;


	}
}
