package system.security.cryptography
{
	import system._Object_;
	import system.collections.ICollection;
	import system.collections._IEnumerable_;
	import system._Array_;
	import system.collections._IEnumerator_;


		/**
		* Sealed
		*  System.Security.Cryptography.OidCollection
		*/
	[link_system]
	public final class OidCollection extends system._Object_ implements system.collections.ICollection,system.collections._IEnumerable_
	{
		[creator];
		[native,system_security_cryptography_OidCollection_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_OidCollection_ctor];
		public function OidCollection();


		//*********公共方法*******
		[native,system_collections_ICollection_get_Count]
		public final function get count():int;

		[native,system_collections_ICollection_get_IsSynchronized]
		public final function get isSynchronized():Boolean;

		/**
		* System.Security.Cryptography.OidCollection.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Security.Cryptography.Oid
		*/
		[get_this_item];
		[native,system_security_cryptography_OidCollection_getThisItem];
		final function get_Item(index:int):Oid;

		/**
		* System.Security.Cryptography.OidCollection.get_Item
		*parameters:
		*  oid : System.String
		*return:
		*   System.Security.Cryptography.Oid
		*/
		[native,system_security_cryptography_OidCollection_get_Item_];
		public final function get_Item_(oid:String):Oid;

		[native,system_collections_ICollection_get_SyncRoot]
		public final function get syncRoot():system._Object_;

		/**
		* System.Security.Cryptography.OidCollection.Add
		*parameters:
		*  oid : System.Security.Cryptography.Oid
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_OidCollection_add];
		public final function add(oid:Oid):int;

		/**
		* System.Security.Cryptography.OidCollection.CopyTo
		*parameters:
		*  array : System.Security.Cryptography.Oid[]
		*  index : System.Int32
		*/
		[native,system_security_cryptography_OidCollection_copyTo];
		public final function copyTo(array:_Array_,index:int):void;

		/**
		* System.Security.Cryptography.OidCollection.GetEnumerator
		*return:
		*   System.Security.Cryptography.OidEnumerator
		*/
		[native,system_security_cryptography_OidCollection_getEnumerator];
		public final function getEnumerator():OidEnumerator;


		//*****显式接口实现*****
		[native,system_collections_ICollection_copyTo];
		private function system_collections_ICollection_CopyTo(array:_Array_,index:int):void;

		[native,system_collections_IEnumerable_getEnumerator];
		private function system_collections_IEnumerable_GetEnumerator():system.collections._IEnumerator_;


	}
}
