package system.security.cryptography.x509certificates
{
	import system.collections.IList;
	import system.collections.ICollection;
	import system.collections._IEnumerable_;
	import system._Array_;
	import system._Object_;


		/**
		*  System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
	[link_system]
	public class X509Certificate2Collection extends X509CertificateCollection implements system.collections.IList,system.collections.ICollection,system.collections._IEnumerable_
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_constructor_];
		public static function constructor_(certificates:X509Certificate2Collection):X509Certificate2Collection;

		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_constructor__];
		public static function constructor__(certificate:X509Certificate2):X509Certificate2Collection;

		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_constructor___];
		public static function constructor___(certificates:_Array_):X509Certificate2Collection;

		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_ctor];
		public function X509Certificate2Collection();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_security_cryptography_x509certificates_X509Certificate2CollectionAdapter_ctor];
		private function _X509Certificate2CollectionAdapter();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
		[get_this_item];
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_get_Item__];
		final function get_Item__(index:int):X509Certificate2;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
		[set_this_item];
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_set_Item__];
		final function set_Item__(value:X509Certificate2,index:int):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Add
		*parameters:
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_add__];
		public final function add__(certificate:X509Certificate2):int;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.AddRange
		*parameters:
		*  certificates : System.Security.Cryptography.X509Certificates.X509Certificate2[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_addRange___];
		public final function addRange___(certificates:_Array_):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.AddRange
		*parameters:
		*  certificates : System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_addRange_____];
		public final function addRange_____(certificates:X509Certificate2Collection):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Contains
		*parameters:
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_contains__];
		public final function contains__(certificate:X509Certificate2):Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Export
		*parameters:
		*  contentType : System.Security.Cryptography.X509Certificates.X509ContentType
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_export];
		public final function export(contentType:X509ContentType):_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Export
		*parameters:
		*  contentType : System.Security.Cryptography.X509Certificates.X509ContentType
		*  password : System.String
		*return:
		*   System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_export_];
		public final function export_(contentType:X509ContentType,password:String):_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Find
		*parameters:
		*  findType : System.Security.Cryptography.X509Certificates.X509FindType
		*  findValue : System.Object
		*  validOnly : System.Boolean
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_find];
		public final function find(findType:X509FindType,findValue:system._Object_,validOnly:Boolean):X509Certificate2Collection;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.GetEnumerator
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate2Enumerator
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_getEnumerator___];
		public final function getEnumerator___():X509Certificate2Enumerator;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Import
		*parameters:
		*  rawData : System.Byte[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_import_];
		public final function import_(rawData:_Array_):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Import
		*parameters:
		*  rawData : System.Byte[]
		*  password : System.String
		*  keyStorageFlags : System.Security.Cryptography.X509Certificates.X509KeyStorageFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_import__];
		public final function import__(rawData:_Array_,password:String,keyStorageFlags:X509KeyStorageFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Import
		*parameters:
		*  fileName : System.String
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_import___];
		public final function import___(fileName:String):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Import
		*parameters:
		*  fileName : System.String
		*  password : System.String
		*  keyStorageFlags : System.Security.Cryptography.X509Certificates.X509KeyStorageFlags
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_import____];
		public final function import____(fileName:String,password:String,keyStorageFlags:X509KeyStorageFlags):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Insert
		*parameters:
		*  index : System.Int32
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_insert__];
		public final function insert__(index:int,certificate:X509Certificate2):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.Remove
		*parameters:
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_remove__];
		public final function remove__(certificate:X509Certificate2):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.RemoveRange
		*parameters:
		*  certificates : System.Security.Cryptography.X509Certificates.X509Certificate2[]
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_removeRange];
		public final function removeRange(certificates:_Array_):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Certificate2Collection.RemoveRange
		*parameters:
		*  certificates : System.Security.Cryptography.X509Certificates.X509Certificate2Collection
		*/
		[native,system_security_cryptography_x509certificates_X509Certificate2Collection_removeRange_];
		public final function removeRange_(certificates:X509Certificate2Collection):void;


	}
}
