package system.security.cryptography.x509certificates
{
	import system.collections.CollectionBase;
	import system.collections.IList;
	import system.collections.ICollection;
	import system.collections._IEnumerable_;
	import system._Array_;


		/**
		*  System.Security.Cryptography.X509Certificates.X509CertificateCollection
		*/
	[link_system]
	public class X509CertificateCollection extends system.collections.CollectionBase implements system.collections.IList,system.collections.ICollection,system.collections._IEnumerable_
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_constructor_];
		public static function constructor_(value:_Array_):X509CertificateCollection;

		[native,system_security_cryptography_x509certificates_X509CertificateCollection_constructor__];
		public static function constructor__(value:X509CertificateCollection):X509CertificateCollection;

		[native,system_security_cryptography_x509certificates_X509CertificateCollection_ctor];
		public function X509CertificateCollection();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_security_cryptography_x509certificates_X509CertificateCollectionAdapter_ctor];
		private function _X509CertificateCollectionAdapter();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Certificate
		*/
		[get_this_item];
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_getThisItem];
		final function get_Item(index:int):X509Certificate;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate
		*/
		[set_this_item];
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_setThisItem];
		final function set_Item(value:X509Certificate,index:int):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.Add
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_add];
		public final function add(value:X509Certificate):int;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.AddRange
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate[]
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_addRange];
		public final function addRange(value:_Array_):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.AddRange
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509CertificateCollection
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_addRange_];
		public final function addRange_(value:X509CertificateCollection):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.Contains
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_contains];
		public final function contains(value:X509Certificate):Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.CopyTo
		*parameters:
		*  array : System.Security.Cryptography.X509Certificates.X509Certificate[]
		*  index : System.Int32
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_copyTo];
		public final function copyTo(array:_Array_,index:int):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.GetEnumerator
		*return:
		*   System.Security.Cryptography.X509Certificates.X509CertificateCollection.X509CertificateEnumerator
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_getEnumerator__];
		public final function getEnumerator__():X509CertificateCollection_X509CertificateEnumerator;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.IndexOf
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate
		*return:
		*   System.Int32
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_indexOf];
		public final function indexOf(value:X509Certificate):int;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.Insert
		*parameters:
		*  index : System.Int32
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_insert];
		public final function insert(index:int,value:X509Certificate):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509CertificateCollection.Remove
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509Certificate
		*/
		[native,system_security_cryptography_x509certificates_X509CertificateCollection_remove];
		public final function remove(value:X509Certificate):void;


	}
}
