package system.security.cryptography.x509certificates
{
	import system._Object_;
	import system.IntPtr;
	import system._Array_;


		/**
		*  System.Security.Cryptography.X509Certificates.X509Chain
		*/
	[link_system]
	public class X509Chain extends system._Object_
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509Chain_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,system_security_cryptography_x509certificates_X509Chain_constructor_];
		public static function constructor_(useMachineContext:Boolean):X509Chain;

		[native,system_security_cryptography_x509certificates_X509Chain_constructor__];
		public static function constructor__(chainContext:system.IntPtr):X509Chain;

		[native,system_security_cryptography_x509certificates_X509Chain_ctor];
		public function X509Chain();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_system_security_cryptography_x509certificates_X509ChainAdapter_ctor];
		private function _X509ChainAdapter();


		//*********公共方法*******
		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.get_ChainContext
		*return:
		*   System.IntPtr
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_get_ChainContext]
		public final function get chainContext():system.IntPtr;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.get_ChainElements
		*return:
		*   System.Security.Cryptography.X509Certificates.X509ChainElementCollection
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_get_ChainElements]
		public final function get chainElements():X509ChainElementCollection;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.get_ChainPolicy
		*return:
		*   System.Security.Cryptography.X509Certificates.X509ChainPolicy
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_get_ChainPolicy]
		public final function get chainPolicy():X509ChainPolicy;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.set_ChainPolicy
		*parameters:
		*  value : System.Security.Cryptography.X509Certificates.X509ChainPolicy
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_set_ChainPolicy]
		public final function set chainPolicy(value:X509ChainPolicy):void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.get_ChainStatus
		*return:
		*   System.Security.Cryptography.X509Certificates.X509ChainStatus[]
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_get_ChainStatus]
		public final function get chainStatus():_Array_;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.Build
		*parameters:
		*  certificate : System.Security.Cryptography.X509Certificates.X509Certificate2
		*return:
		*   System.Boolean
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_build];
		public final function build(certificate:X509Certificate2):Boolean;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.Reset
		*/
		[native,system_security_cryptography_x509certificates_X509Chain_reset];
		public final function reset():void;

		/**
		* System.Security.Cryptography.X509Certificates.X509Chain.Create
		*return:
		*   System.Security.Cryptography.X509Certificates.X509Chain
		*/
		[native,static_system_security_cryptography_x509certificates_X509Chain_create];
		public static function create():X509Chain;


	}
}
