package system.security.cryptography.x509certificates
{
	[no_constructor]
	[link_system]
	public final class X509FindType
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509FindType_creator];
		private static function _creator(type:Class):*;

		[native,system_security_cryptography_x509certificates_X509FindType_ctor];
		public function X509FindType();

		/**
		 *FindByThumbprint = System.Security.Cryptography.X509Certificates.X509FindType FindByThumbprint
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByThumbprint_getter];
		public static const FindByThumbprint:X509FindType;

		/**
		 *FindBySubjectName = System.Security.Cryptography.X509Certificates.X509FindType FindBySubjectName
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindBySubjectName_getter];
		public static const FindBySubjectName:X509FindType;

		/**
		 *FindBySubjectDistinguishedName = System.Security.Cryptography.X509Certificates.X509FindType FindBySubjectDistinguishedName
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindBySubjectDistinguishedName_getter];
		public static const FindBySubjectDistinguishedName:X509FindType;

		/**
		 *FindByIssuerName = System.Security.Cryptography.X509Certificates.X509FindType FindByIssuerName
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByIssuerName_getter];
		public static const FindByIssuerName:X509FindType;

		/**
		 *FindByIssuerDistinguishedName = System.Security.Cryptography.X509Certificates.X509FindType FindByIssuerDistinguishedName
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByIssuerDistinguishedName_getter];
		public static const FindByIssuerDistinguishedName:X509FindType;

		/**
		 *FindBySerialNumber = System.Security.Cryptography.X509Certificates.X509FindType FindBySerialNumber
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindBySerialNumber_getter];
		public static const FindBySerialNumber:X509FindType;

		/**
		 *FindByTimeValid = System.Security.Cryptography.X509Certificates.X509FindType FindByTimeValid
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByTimeValid_getter];
		public static const FindByTimeValid:X509FindType;

		/**
		 *FindByTimeNotYetValid = System.Security.Cryptography.X509Certificates.X509FindType FindByTimeNotYetValid
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByTimeNotYetValid_getter];
		public static const FindByTimeNotYetValid:X509FindType;

		/**
		 *FindByTimeExpired = System.Security.Cryptography.X509Certificates.X509FindType FindByTimeExpired
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByTimeExpired_getter];
		public static const FindByTimeExpired:X509FindType;

		/**
		 *FindByTemplateName = System.Security.Cryptography.X509Certificates.X509FindType FindByTemplateName
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByTemplateName_getter];
		public static const FindByTemplateName:X509FindType;

		/**
		 *FindByApplicationPolicy = System.Security.Cryptography.X509Certificates.X509FindType FindByApplicationPolicy
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByApplicationPolicy_getter];
		public static const FindByApplicationPolicy:X509FindType;

		/**
		 *FindByCertificatePolicy = System.Security.Cryptography.X509Certificates.X509FindType FindByCertificatePolicy
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByCertificatePolicy_getter];
		public static const FindByCertificatePolicy:X509FindType;

		/**
		 *FindByExtension = System.Security.Cryptography.X509Certificates.X509FindType FindByExtension
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByExtension_getter];
		public static const FindByExtension:X509FindType;

		/**
		 *FindByKeyUsage = System.Security.Cryptography.X509Certificates.X509FindType FindByKeyUsage
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindByKeyUsage_getter];
		public static const FindByKeyUsage:X509FindType;

		/**
		 *FindBySubjectKeyIdentifier = System.Security.Cryptography.X509Certificates.X509FindType FindBySubjectKeyIdentifier
		 */
		[native,system_security_cryptography_x509certificates_X509FindType_FindBySubjectKeyIdentifier_getter];
		public static const FindBySubjectKeyIdentifier:X509FindType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_security_cryptography_x509certificates_X509FindType_operator_bitOr];
		private static function bitOr(t1:X509FindType,t2:X509FindType):X509FindType;
	}
}
