package system.security.cryptography.x509certificates
{
	[no_constructor]
	[link_system]
	public final class X509KeyStorageFlags
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_creator];
		private static function _creator(type:Class):*;

		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_ctor];
		public function X509KeyStorageFlags();

		/**
		 *DefaultKeySet = System.Security.Cryptography.X509Certificates.X509KeyStorageFlags DefaultKeySet
		 */
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_DefaultKeySet_getter];
		public static const DefaultKeySet:X509KeyStorageFlags;

		/**
		 *UserKeySet = System.Security.Cryptography.X509Certificates.X509KeyStorageFlags UserKeySet
		 */
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_UserKeySet_getter];
		public static const UserKeySet:X509KeyStorageFlags;

		/**
		 *MachineKeySet = System.Security.Cryptography.X509Certificates.X509KeyStorageFlags MachineKeySet
		 */
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_MachineKeySet_getter];
		public static const MachineKeySet:X509KeyStorageFlags;

		/**
		 *Exportable = System.Security.Cryptography.X509Certificates.X509KeyStorageFlags Exportable
		 */
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_Exportable_getter];
		public static const Exportable:X509KeyStorageFlags;

		/**
		 *UserProtected = System.Security.Cryptography.X509Certificates.X509KeyStorageFlags UserProtected
		 */
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_UserProtected_getter];
		public static const UserProtected:X509KeyStorageFlags;

		/**
		 *PersistKeySet = System.Security.Cryptography.X509Certificates.X509KeyStorageFlags PersistKeySet
		 */
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_PersistKeySet_getter];
		public static const PersistKeySet:X509KeyStorageFlags;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_security_cryptography_x509certificates_X509KeyStorageFlags_operator_bitOr];
		private static function bitOr(t1:X509KeyStorageFlags,t2:X509KeyStorageFlags):X509KeyStorageFlags;
	}
}
