package system.security.cryptography.x509certificates
{
	[no_constructor]
	[link_system]
	public final class X509KeyUsageFlags
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_creator];
		private static function _creator(type:Class):*;

		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_ctor];
		public function X509KeyUsageFlags();

		/**
		 *None = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags None
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_None_getter];
		public static const None:X509KeyUsageFlags;

		/**
		 *EncipherOnly = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags EncipherOnly
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_EncipherOnly_getter];
		public static const EncipherOnly:X509KeyUsageFlags;

		/**
		 *CrlSign = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags CrlSign
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_CrlSign_getter];
		public static const CrlSign:X509KeyUsageFlags;

		/**
		 *KeyCertSign = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags KeyCertSign
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_KeyCertSign_getter];
		public static const KeyCertSign:X509KeyUsageFlags;

		/**
		 *KeyAgreement = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags KeyAgreement
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_KeyAgreement_getter];
		public static const KeyAgreement:X509KeyUsageFlags;

		/**
		 *DataEncipherment = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags DataEncipherment
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_DataEncipherment_getter];
		public static const DataEncipherment:X509KeyUsageFlags;

		/**
		 *KeyEncipherment = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags KeyEncipherment
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_KeyEncipherment_getter];
		public static const KeyEncipherment:X509KeyUsageFlags;

		/**
		 *NonRepudiation = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags NonRepudiation
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_NonRepudiation_getter];
		public static const NonRepudiation:X509KeyUsageFlags;

		/**
		 *DigitalSignature = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags DigitalSignature
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_DigitalSignature_getter];
		public static const DigitalSignature:X509KeyUsageFlags;

		/**
		 *DecipherOnly = System.Security.Cryptography.X509Certificates.X509KeyUsageFlags DecipherOnly
		 */
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_DecipherOnly_getter];
		public static const DecipherOnly:X509KeyUsageFlags;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_security_cryptography_x509certificates_X509KeyUsageFlags_operator_bitOr];
		private static function bitOr(t1:X509KeyUsageFlags,t2:X509KeyUsageFlags):X509KeyUsageFlags;
	}
}
