package system.security.cryptography.x509certificates
{
	[no_constructor]
	[link_system]
	public final class X509VerificationFlags
	{
		[creator];
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_creator];
		private static function _creator(type:Class):*;

		[native,system_security_cryptography_x509certificates_X509VerificationFlags_ctor];
		public function X509VerificationFlags();

		/**
		 *NoFlag = System.Security.Cryptography.X509Certificates.X509VerificationFlags NoFlag
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_NoFlag_getter];
		public static const NoFlag:X509VerificationFlags;

		/**
		 *IgnoreNotTimeValid = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreNotTimeValid
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreNotTimeValid_getter];
		public static const IgnoreNotTimeValid:X509VerificationFlags;

		/**
		 *IgnoreCtlNotTimeValid = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreCtlNotTimeValid
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreCtlNotTimeValid_getter];
		public static const IgnoreCtlNotTimeValid:X509VerificationFlags;

		/**
		 *IgnoreNotTimeNested = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreNotTimeNested
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreNotTimeNested_getter];
		public static const IgnoreNotTimeNested:X509VerificationFlags;

		/**
		 *IgnoreInvalidBasicConstraints = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreInvalidBasicConstraints
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreInvalidBasicConstraints_getter];
		public static const IgnoreInvalidBasicConstraints:X509VerificationFlags;

		/**
		 *AllowUnknownCertificateAuthority = System.Security.Cryptography.X509Certificates.X509VerificationFlags AllowUnknownCertificateAuthority
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_AllowUnknownCertificateAuthority_getter];
		public static const AllowUnknownCertificateAuthority:X509VerificationFlags;

		/**
		 *IgnoreWrongUsage = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreWrongUsage
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreWrongUsage_getter];
		public static const IgnoreWrongUsage:X509VerificationFlags;

		/**
		 *IgnoreInvalidName = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreInvalidName
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreInvalidName_getter];
		public static const IgnoreInvalidName:X509VerificationFlags;

		/**
		 *IgnoreInvalidPolicy = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreInvalidPolicy
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreInvalidPolicy_getter];
		public static const IgnoreInvalidPolicy:X509VerificationFlags;

		/**
		 *IgnoreEndRevocationUnknown = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreEndRevocationUnknown
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreEndRevocationUnknown_getter];
		public static const IgnoreEndRevocationUnknown:X509VerificationFlags;

		/**
		 *IgnoreCtlSignerRevocationUnknown = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreCtlSignerRevocationUnknown
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreCtlSignerRevocationUnknown_getter];
		public static const IgnoreCtlSignerRevocationUnknown:X509VerificationFlags;

		/**
		 *IgnoreCertificateAuthorityRevocationUnknown = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreCertificateAuthorityRevocationUnknown
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreCertificateAuthorityRevocationUnknown_getter];
		public static const IgnoreCertificateAuthorityRevocationUnknown:X509VerificationFlags;

		/**
		 *IgnoreRootRevocationUnknown = System.Security.Cryptography.X509Certificates.X509VerificationFlags IgnoreRootRevocationUnknown
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_IgnoreRootRevocationUnknown_getter];
		public static const IgnoreRootRevocationUnknown:X509VerificationFlags;

		/**
		 *AllFlags = System.Security.Cryptography.X509Certificates.X509VerificationFlags AllFlags
		 */
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_AllFlags_getter];
		public static const AllFlags:X509VerificationFlags;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,system_security_cryptography_x509certificates_X509VerificationFlags_operator_bitOr];
		private static function bitOr(t1:X509VerificationFlags,t2:X509VerificationFlags):X509VerificationFlags;
	}
}
