package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.AnimationClip
		*/
	[link_system]
	public final class AnimationClip extends Motion
	{
		[creator];
		[native,unityengine_AnimationClip_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AnimationClip_ctor];
		public function AnimationClip();


		//*********公共方法*******
		/**
		* UnityEngine.AnimationClip.SampleAnimation
		*parameters:
		*  go : UnityEngine.GameObject
		*  time : System.Single
		*/
		[native,unityengine_AnimationClip_sampleAnimation];
		public final function sampleAnimation(go:GameObject,time:Number):void;

		/**
		* UnityEngine.AnimationClip.get_length
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationClip_get_length]
		public final function get length():Number;

		/**
		* UnityEngine.AnimationClip.get_frameRate
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationClip_get_frameRate]
		public final function get frameRate():Number;

		/**
		* UnityEngine.AnimationClip.set_frameRate
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationClip_set_frameRate]
		public final function set frameRate(value:Number):void;

		/**
		* UnityEngine.AnimationClip.SetCurve
		*parameters:
		*  relativePath : System.String
		*  type : System.Type
		*  propertyName : System.String
		*  curve : UnityEngine.AnimationCurve
		*/
		[native,unityengine_AnimationClip_setCurve];
		public final function setCurve(relativePath:String,type:Class,propertyName:String,curve:AnimationCurve):void;

		/**
		* UnityEngine.AnimationClip.EnsureQuaternionContinuity
		*/
		[native,unityengine_AnimationClip_ensureQuaternionContinuity];
		public final function ensureQuaternionContinuity():void;

		/**
		* UnityEngine.AnimationClip.ClearCurves
		*/
		[native,unityengine_AnimationClip_clearCurves];
		public final function clearCurves():void;

		/**
		* UnityEngine.AnimationClip.get_wrapMode
		*return:
		*   UnityEngine.WrapMode
		*/
		[native,unityengine_AnimationClip_get_wrapMode]
		public final function get wrapMode():WrapMode;

		/**
		* UnityEngine.AnimationClip.set_wrapMode
		*parameters:
		*  value : UnityEngine.WrapMode
		*/
		[native,unityengine_AnimationClip_set_wrapMode]
		public final function set wrapMode(value:WrapMode):void;

		/**
		* UnityEngine.AnimationClip.get_localBounds
		*return:
		*   UnityEngine.Bounds
		*/
		[native,unityengine_AnimationClip_get_localBounds]
		public final function get localBounds():Bounds;

		/**
		* UnityEngine.AnimationClip.set_localBounds
		*parameters:
		*  value : UnityEngine.Bounds
		*/
		[native,unityengine_AnimationClip_set_localBounds]
		public final function set localBounds(value:Bounds):void;

		/**
		* UnityEngine.AnimationClip.get_legacy
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimationClip_get_legacy__]
		public final function get legacy_():Boolean;

		/**
		* UnityEngine.AnimationClip.set_legacy
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_AnimationClip_set_legacy]
		public final function set legacy_(value:Boolean):void;

		/**
		* UnityEngine.AnimationClip.get_humanMotion
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimationClip_get_humanMotion]
		public final function get humanMotion():Boolean;

		/**
		* UnityEngine.AnimationClip.get_empty
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimationClip_get_empty]
		public final function get empty():Boolean;

		/**
		* UnityEngine.AnimationClip.AddEvent
		*parameters:
		*  evt : UnityEngine.AnimationEvent
		*/
		[native,unityengine_AnimationClip_addEvent];
		public final function addEvent(evt:AnimationEvent):void;

		/**
		* UnityEngine.AnimationClip.get_events
		*return:
		*   UnityEngine.AnimationEvent[]
		*/
		[native,unityengine_AnimationClip_get_events]
		public final function get events():_Array_;

		/**
		* UnityEngine.AnimationClip.set_events
		*parameters:
		*  value : UnityEngine.AnimationEvent[]
		*/
		[native,unityengine_AnimationClip_set_events]
		public final function set events(value:_Array_):void;


	}
}
