package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.AnimationEvent
		*/
	[link_system]
	public final class AnimationEvent extends system._Object_
	{
		[creator];
		[native,unityengine_AnimationEvent_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_AnimationEvent_ctor];
		public function AnimationEvent();


		//*********公共方法*******
		/**
		* UnityEngine.AnimationEvent.get_stringParameter
		*return:
		*   System.String
		*/
		[native,unityengine_AnimationEvent_get_stringParameter]
		public final function get stringParameter():String;

		/**
		* UnityEngine.AnimationEvent.set_stringParameter
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_AnimationEvent_set_stringParameter]
		public final function set stringParameter(value:String):void;

		/**
		* UnityEngine.AnimationEvent.get_floatParameter
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationEvent_get_floatParameter]
		public final function get floatParameter():Number;

		/**
		* UnityEngine.AnimationEvent.set_floatParameter
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationEvent_set_floatParameter]
		public final function set floatParameter(value:Number):void;

		/**
		* UnityEngine.AnimationEvent.get_intParameter
		*return:
		*   System.Int32
		*/
		[native,unityengine_AnimationEvent_get_intParameter]
		public final function get intParameter():int;

		/**
		* UnityEngine.AnimationEvent.set_intParameter
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_AnimationEvent_set_intParameter]
		public final function set intParameter(value:int):void;

		/**
		* UnityEngine.AnimationEvent.get_objectReferenceParameter
		*return:
		*   UnityEngine.Object
		*/
		[native,unityengine_AnimationEvent_get_objectReferenceParameter]
		public final function get objectReferenceParameter():UObject;

		/**
		* UnityEngine.AnimationEvent.set_objectReferenceParameter
		*parameters:
		*  value : UnityEngine.Object
		*/
		[native,unityengine_AnimationEvent_set_objectReferenceParameter]
		public final function set objectReferenceParameter(value:UObject):void;

		/**
		* UnityEngine.AnimationEvent.get_functionName
		*return:
		*   System.String
		*/
		[native,unityengine_AnimationEvent_get_functionName]
		public final function get functionName():String;

		/**
		* UnityEngine.AnimationEvent.set_functionName
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_AnimationEvent_set_functionName]
		public final function set functionName(value:String):void;

		/**
		* UnityEngine.AnimationEvent.get_time
		*return:
		*   System.Single
		*/
		[native,unityengine_AnimationEvent_get_time]
		public final function get time():Number;

		/**
		* UnityEngine.AnimationEvent.set_time
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_AnimationEvent_set_time]
		public final function set time(value:Number):void;

		/**
		* UnityEngine.AnimationEvent.get_messageOptions
		*return:
		*   UnityEngine.SendMessageOptions
		*/
		[native,unityengine_AnimationEvent_get_messageOptions]
		public final function get messageOptions():SendMessageOptions;

		/**
		* UnityEngine.AnimationEvent.set_messageOptions
		*parameters:
		*  value : UnityEngine.SendMessageOptions
		*/
		[native,unityengine_AnimationEvent_set_messageOptions]
		public final function set messageOptions(value:SendMessageOptions):void;

		/**
		* UnityEngine.AnimationEvent.get_isFiredByLegacy
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimationEvent_get_isFiredByLegacy]
		public final function get isFiredByLegacy():Boolean;

		/**
		* UnityEngine.AnimationEvent.get_isFiredByAnimator
		*return:
		*   System.Boolean
		*/
		[native,unityengine_AnimationEvent_get_isFiredByAnimator]
		public final function get isFiredByAnimator():Boolean;

		/**
		* UnityEngine.AnimationEvent.get_animationState
		*return:
		*   UnityEngine.AnimationState
		*/
		[native,unityengine_AnimationEvent_get_animationState]
		public final function get animationState():AnimationState;

		/**
		* UnityEngine.AnimationEvent.get_animatorStateInfo
		*return:
		*   UnityEngine.AnimatorStateInfo
		*/
		[native,unityengine_AnimationEvent_get_animatorStateInfo]
		public final function get animatorStateInfo():AnimatorStateInfo;

		/**
		* UnityEngine.AnimationEvent.get_animatorClipInfo
		*return:
		*   UnityEngine.AnimatorClipInfo
		*/
		[native,unityengine_AnimationEvent_get_animatorClipInfo]
		public final function get animatorClipInfo():AnimatorClipInfo;


	}
}
