package unityengine
{
	import unityengine.playables.PlayableGraph;
	import system._Array_;
	import system.collections.generic.List_Of_AnimatorClipInfo;


		/**
		* Sealed
		*  UnityEngine.Animator
		*/
	[link_system]
	public final class Animator extends Behaviour
	{
		[creator];
		[native,unityengine_Animator_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Animator_ctor];
		public function Animator();


		//*********公共方法*******
		/**
		* UnityEngine.Animator.get_recorderStopTime
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_recorderStopTime]
		public final function get recorderStopTime():Number;

		/**
		* UnityEngine.Animator.set_recorderStopTime
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Animator_set_recorderStopTime]
		public final function set recorderStopTime(value:Number):void;

		/**
		* UnityEngine.Animator.get_recorderMode
		*return:
		*   UnityEngine.AnimatorRecorderMode
		*/
		[native,unityengine_Animator_get_recorderMode]
		public final function get recorderMode():AnimatorRecorderMode;

		/**
		* UnityEngine.Animator.get_runtimeAnimatorController
		*return:
		*   UnityEngine.RuntimeAnimatorController
		*/
		[native,unityengine_Animator_get_runtimeAnimatorController]
		public final function get runtimeAnimatorController():RuntimeAnimatorController;

		/**
		* UnityEngine.Animator.set_runtimeAnimatorController
		*parameters:
		*  value : UnityEngine.RuntimeAnimatorController
		*/
		[native,unityengine_Animator_set_runtimeAnimatorController]
		public final function set runtimeAnimatorController(value:RuntimeAnimatorController):void;

		/**
		* UnityEngine.Animator.get_hasBoundPlayables
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_hasBoundPlayables]
		public final function get hasBoundPlayables():Boolean;

		/**
		* UnityEngine.Animator.HasState
		*parameters:
		*  layerIndex : System.Int32
		*  stateID : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_hasState];
		public final function hasState(layerIndex:int,stateID:int):Boolean;

		/**
		* UnityEngine.Animator.StringToHash
		*parameters:
		*  name : System.String
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_Animator_stringToHash];
		public static function stringToHash(name:String):int;

		/**
		* UnityEngine.Animator.get_avatar
		*return:
		*   UnityEngine.Avatar
		*/
		[native,unityengine_Animator_get_avatar]
		public final function get avatar():Avatar;

		/**
		* UnityEngine.Animator.set_avatar
		*parameters:
		*  value : UnityEngine.Avatar
		*/
		[native,unityengine_Animator_set_avatar]
		public final function set avatar(value:Avatar):void;

		/**
		* UnityEngine.Animator.get_playableGraph
		*return:
		*   UnityEngine.Playables.PlayableGraph
		*/
		[native,unityengine_Animator_get_playableGraph]
		public final function get playableGraph():unityengine.playables.PlayableGraph;

		/**
		* UnityEngine.Animator.get_layersAffectMassCenter
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_layersAffectMassCenter]
		public final function get layersAffectMassCenter():Boolean;

		/**
		* UnityEngine.Animator.set_layersAffectMassCenter
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_set_layersAffectMassCenter]
		public final function set layersAffectMassCenter(value:Boolean):void;

		/**
		* UnityEngine.Animator.get_leftFeetBottomHeight
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_leftFeetBottomHeight]
		public final function get leftFeetBottomHeight():Number;

		/**
		* UnityEngine.Animator.get_rightFeetBottomHeight
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_rightFeetBottomHeight]
		public final function get rightFeetBottomHeight():Number;

		/**
		* UnityEngine.Animator.Update
		*parameters:
		*  deltaTime : System.Single
		*/
		[native,unityengine_Animator_update];
		public final function update(deltaTime:Number):void;

		/**
		* UnityEngine.Animator.Rebind
		*/
		[native,unityengine_Animator_rebind];
		public final function rebind():void;

		/**
		* UnityEngine.Animator.ApplyBuiltinRootMotion
		*/
		[native,unityengine_Animator_applyBuiltinRootMotion];
		public final function applyBuiltinRootMotion():void;

		/**
		* UnityEngine.Animator.get_logWarnings
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_logWarnings]
		public final function get logWarnings():Boolean;

		/**
		* UnityEngine.Animator.set_logWarnings
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_set_logWarnings]
		public final function set logWarnings(value:Boolean):void;

		/**
		* UnityEngine.Animator.get_fireEvents
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_fireEvents]
		public final function get fireEvents():Boolean;

		/**
		* UnityEngine.Animator.set_fireEvents
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_set_fireEvents]
		public final function set fireEvents(value:Boolean):void;

		/**
		* UnityEngine.Animator.SetBoneLocalRotation
		*parameters:
		*  humanBoneId : UnityEngine.HumanBodyBones
		*  rotation : UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_setBoneLocalRotation];
		public final function setBoneLocalRotation(humanBoneId:HumanBodyBones,rotation:Quaternion):void;

		/**
		* UnityEngine.Animator.GetBehaviours
		*parameters:
		*  fullPathHash : System.Int32
		*  layerIndex : System.Int32
		*return:
		*   UnityEngine.StateMachineBehaviour[]
		*/
		[native,unityengine_Animator_getBehaviours_];
		public final function getBehaviours_(fullPathHash:int,layerIndex:int):_Array_;

		/**
		* UnityEngine.Animator.get_stabilizeFeet
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_stabilizeFeet]
		public final function get stabilizeFeet():Boolean;

		/**
		* UnityEngine.Animator.set_stabilizeFeet
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_set_stabilizeFeet]
		public final function set stabilizeFeet(value:Boolean):void;

		/**
		* UnityEngine.Animator.get_layerCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_get_layerCount]
		public final function get layerCount():int;

		/**
		* UnityEngine.Animator.GetLayerName
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   System.String
		*/
		[native,unityengine_Animator_getLayerName];
		public final function getLayerName(layerIndex:int):String;

		/**
		* UnityEngine.Animator.GetLayerIndex
		*parameters:
		*  layerName : System.String
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_getLayerIndex];
		public final function getLayerIndex(layerName:String):int;

		/**
		* UnityEngine.Animator.GetLayerWeight
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_getLayerWeight];
		public final function getLayerWeight(layerIndex:int):Number;

		/**
		* UnityEngine.Animator.SetLayerWeight
		*parameters:
		*  layerIndex : System.Int32
		*  weight : System.Single
		*/
		[native,unityengine_Animator_setLayerWeight];
		public final function setLayerWeight(layerIndex:int,weight:Number):void;

		/**
		* UnityEngine.Animator.GetCurrentAnimatorStateInfo
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   UnityEngine.AnimatorStateInfo
		*/
		[native,unityengine_Animator_getCurrentAnimatorStateInfo];
		public final function getCurrentAnimatorStateInfo(layerIndex:int):AnimatorStateInfo;

		/**
		* UnityEngine.Animator.GetNextAnimatorStateInfo
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   UnityEngine.AnimatorStateInfo
		*/
		[native,unityengine_Animator_getNextAnimatorStateInfo];
		public final function getNextAnimatorStateInfo(layerIndex:int):AnimatorStateInfo;

		/**
		* UnityEngine.Animator.GetAnimatorTransitionInfo
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   UnityEngine.AnimatorTransitionInfo
		*/
		[native,unityengine_Animator_getAnimatorTransitionInfo];
		public final function getAnimatorTransitionInfo(layerIndex:int):AnimatorTransitionInfo;

		/**
		* UnityEngine.Animator.GetCurrentAnimatorClipInfoCount
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_getCurrentAnimatorClipInfoCount];
		public final function getCurrentAnimatorClipInfoCount(layerIndex:int):int;

		/**
		* UnityEngine.Animator.GetCurrentAnimatorClipInfo
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   UnityEngine.AnimatorClipInfo[]
		*/
		[native,unityengine_Animator_getCurrentAnimatorClipInfo];
		public final function getCurrentAnimatorClipInfo(layerIndex:int):_Array_;

		/**
		* UnityEngine.Animator.GetCurrentAnimatorClipInfo
		*parameters:
		*  layerIndex : System.Int32
		*  clips : System.Collections.Generic.List &lt; UnityEngine.AnimatorClipInfo &gt; 
		*/
		[native,unityengine_Animator_getCurrentAnimatorClipInfo_];
		public final function getCurrentAnimatorClipInfo_(layerIndex:int,clips:system.collections.generic.List_Of_AnimatorClipInfo):void;

		/**
		* UnityEngine.Animator.GetNextAnimatorClipInfoCount
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_getNextAnimatorClipInfoCount];
		public final function getNextAnimatorClipInfoCount(layerIndex:int):int;

		/**
		* UnityEngine.Animator.GetNextAnimatorClipInfo
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   UnityEngine.AnimatorClipInfo[]
		*/
		[native,unityengine_Animator_getNextAnimatorClipInfo];
		public final function getNextAnimatorClipInfo(layerIndex:int):_Array_;

		/**
		* UnityEngine.Animator.GetNextAnimatorClipInfo
		*parameters:
		*  layerIndex : System.Int32
		*  clips : System.Collections.Generic.List &lt; UnityEngine.AnimatorClipInfo &gt; 
		*/
		[native,unityengine_Animator_getNextAnimatorClipInfo_];
		public final function getNextAnimatorClipInfo_(layerIndex:int,clips:system.collections.generic.List_Of_AnimatorClipInfo):void;

		/**
		* UnityEngine.Animator.IsInTransition
		*parameters:
		*  layerIndex : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_isInTransition];
		public final function isInTransition(layerIndex:int):Boolean;

		/**
		* UnityEngine.Animator.get_parameters
		*return:
		*   UnityEngine.AnimatorControllerParameter[]
		*/
		[native,unityengine_Animator_get_parameters]
		public final function get parameters():_Array_;

		/**
		* UnityEngine.Animator.get_parameterCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_get_parameterCount]
		public final function get parameterCount():int;

		/**
		* UnityEngine.Animator.GetParameter
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.AnimatorControllerParameter
		*/
		[native,unityengine_Animator_getParameter];
		public final function getParameter(index:int):AnimatorControllerParameter;

		/**
		* UnityEngine.Animator.get_feetPivotActive
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_feetPivotActive]
		public final function get feetPivotActive():Number;

		/**
		* UnityEngine.Animator.set_feetPivotActive
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Animator_set_feetPivotActive]
		public final function set feetPivotActive(value:Number):void;

		/**
		* UnityEngine.Animator.get_pivotWeight
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_pivotWeight]
		public final function get pivotWeight():Number;

		/**
		* UnityEngine.Animator.get_pivotPosition
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_pivotPosition]
		public final function get pivotPosition():Vector3;

		/**
		* UnityEngine.Animator.MatchTarget
		*parameters:
		*  matchPosition : UnityEngine.Vector3
		*  matchRotation : UnityEngine.Quaternion
		*  targetBodyPart : UnityEngine.AvatarTarget
		*  weightMask : UnityEngine.MatchTargetWeightMask
		*  startNormalizedTime : System.Single
		*  targetNormalizedTime : System.Single
		*/
		[native,unityengine_Animator_matchTarget];
		public final function matchTarget(matchPosition:Vector3,matchRotation:Quaternion,targetBodyPart:AvatarTarget,weightMask:MatchTargetWeightMask,startNormalizedTime:Number,targetNormalizedTime:Number):void;

		/**
		* UnityEngine.Animator.MatchTarget
		*parameters:
		*  matchPosition : UnityEngine.Vector3
		*  matchRotation : UnityEngine.Quaternion
		*  targetBodyPart : UnityEngine.AvatarTarget
		*  weightMask : UnityEngine.MatchTargetWeightMask
		*  startNormalizedTime : System.Single
		*/
		[native,unityengine_Animator_matchTarget_];
		public final function matchTarget_(matchPosition:Vector3,matchRotation:Quaternion,targetBodyPart:AvatarTarget,weightMask:MatchTargetWeightMask,startNormalizedTime:Number):void;

		/**
		* UnityEngine.Animator.InterruptMatchTarget
		*parameters:
		*  completeMatch : System.Boolean
		*/
		[native,unityengine_Animator_interruptMatchTarget];
		public final function interruptMatchTarget(completeMatch:Boolean):void;

		/**
		* UnityEngine.Animator.InterruptMatchTarget
		*/
		[native,unityengine_Animator_interruptMatchTarget_];
		public final function interruptMatchTarget_():void;

		/**
		* UnityEngine.Animator.get_isMatchingTarget
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_isMatchingTarget]
		public final function get isMatchingTarget():Boolean;

		/**
		* UnityEngine.Animator.get_speed
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_speed]
		public final function get speed():Number;

		/**
		* UnityEngine.Animator.set_speed
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Animator_set_speed]
		public final function set speed(value:Number):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateName : System.String
		*  fixedTransitionDuration : System.Single
		*  layer : System.Int32
		*  fixedTimeOffset : System.Single
		*/
		[native,unityengine_Animator_crossFadeInFixedTime];
		public final function crossFadeInFixedTime(stateName:String,fixedTransitionDuration:Number,layer:int,fixedTimeOffset:Number):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateName : System.String
		*  fixedTransitionDuration : System.Single
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_crossFadeInFixedTime_];
		public final function crossFadeInFixedTime_(stateName:String,fixedTransitionDuration:Number,layer:int):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateName : System.String
		*  fixedTransitionDuration : System.Single
		*/
		[native,unityengine_Animator_crossFadeInFixedTime__];
		public final function crossFadeInFixedTime__(stateName:String,fixedTransitionDuration:Number):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateName : System.String
		*  fixedTransitionDuration : System.Single
		*  layer : System.Int32
		*  fixedTimeOffset : System.Single
		*  normalizedTransitionTime : System.Single
		*/
		[native,unityengine_Animator_crossFadeInFixedTime___];
		public final function crossFadeInFixedTime___(stateName:String,fixedTransitionDuration:Number,layer:int,fixedTimeOffset:Number,normalizedTransitionTime:Number):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateHashName : System.Int32
		*  fixedTransitionDuration : System.Single
		*  layer : System.Int32
		*  fixedTimeOffset : System.Single
		*  normalizedTransitionTime : System.Single
		*/
		[native,unityengine_Animator_crossFadeInFixedTime____];
		public final function crossFadeInFixedTime____(stateHashName:int,fixedTransitionDuration:Number,layer:int,fixedTimeOffset:Number,normalizedTransitionTime:Number):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateHashName : System.Int32
		*  fixedTransitionDuration : System.Single
		*  layer : System.Int32
		*  fixedTimeOffset : System.Single
		*/
		[native,unityengine_Animator_crossFadeInFixedTime_____];
		public final function crossFadeInFixedTime_____(stateHashName:int,fixedTransitionDuration:Number,layer:int,fixedTimeOffset:Number):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateHashName : System.Int32
		*  fixedTransitionDuration : System.Single
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_crossFadeInFixedTime______];
		public final function crossFadeInFixedTime______(stateHashName:int,fixedTransitionDuration:Number,layer:int):void;

		/**
		* UnityEngine.Animator.CrossFadeInFixedTime
		*parameters:
		*  stateHashName : System.Int32
		*  fixedTransitionDuration : System.Single
		*/
		[native,unityengine_Animator_crossFadeInFixedTime_______];
		public final function crossFadeInFixedTime_______(stateHashName:int,fixedTransitionDuration:Number):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateName : System.String
		*  normalizedTransitionDuration : System.Single
		*  layer : System.Int32
		*  normalizedTimeOffset : System.Single
		*/
		[native,unityengine_Animator_crossFade];
		public final function crossFade(stateName:String,normalizedTransitionDuration:Number,layer:int,normalizedTimeOffset:Number):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateName : System.String
		*  normalizedTransitionDuration : System.Single
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_crossFade_];
		public final function crossFade_(stateName:String,normalizedTransitionDuration:Number,layer:int):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateName : System.String
		*  normalizedTransitionDuration : System.Single
		*/
		[native,unityengine_Animator_crossFade__];
		public final function crossFade__(stateName:String,normalizedTransitionDuration:Number):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateName : System.String
		*  normalizedTransitionDuration : System.Single
		*  layer : System.Int32
		*  normalizedTimeOffset : System.Single
		*  normalizedTransitionTime : System.Single
		*/
		[native,unityengine_Animator_crossFade___];
		public final function crossFade___(stateName:String,normalizedTransitionDuration:Number,layer:int,normalizedTimeOffset:Number,normalizedTransitionTime:Number):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateHashName : System.Int32
		*  normalizedTransitionDuration : System.Single
		*  layer : System.Int32
		*  normalizedTimeOffset : System.Single
		*  normalizedTransitionTime : System.Single
		*/
		[native,unityengine_Animator_crossFade____];
		public final function crossFade____(stateHashName:int,normalizedTransitionDuration:Number,layer:int,normalizedTimeOffset:Number,normalizedTransitionTime:Number):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateHashName : System.Int32
		*  normalizedTransitionDuration : System.Single
		*  layer : System.Int32
		*  normalizedTimeOffset : System.Single
		*/
		[native,unityengine_Animator_crossFade_____];
		public final function crossFade_____(stateHashName:int,normalizedTransitionDuration:Number,layer:int,normalizedTimeOffset:Number):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateHashName : System.Int32
		*  normalizedTransitionDuration : System.Single
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_crossFade______];
		public final function crossFade______(stateHashName:int,normalizedTransitionDuration:Number,layer:int):void;

		/**
		* UnityEngine.Animator.CrossFade
		*parameters:
		*  stateHashName : System.Int32
		*  normalizedTransitionDuration : System.Single
		*/
		[native,unityengine_Animator_crossFade_______];
		public final function crossFade_______(stateHashName:int,normalizedTransitionDuration:Number):void;

		/**
		* UnityEngine.Animator.PlayInFixedTime
		*parameters:
		*  stateName : System.String
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_playInFixedTime];
		public final function playInFixedTime(stateName:String,layer:int):void;

		/**
		* UnityEngine.Animator.PlayInFixedTime
		*parameters:
		*  stateName : System.String
		*/
		[native,unityengine_Animator_playInFixedTime_];
		public final function playInFixedTime_(stateName:String):void;

		/**
		* UnityEngine.Animator.PlayInFixedTime
		*parameters:
		*  stateName : System.String
		*  layer : System.Int32
		*  fixedTime : System.Single
		*/
		[native,unityengine_Animator_playInFixedTime__];
		public final function playInFixedTime__(stateName:String,layer:int,fixedTime:Number):void;

		/**
		* UnityEngine.Animator.PlayInFixedTime
		*parameters:
		*  stateNameHash : System.Int32
		*  layer : System.Int32
		*  fixedTime : System.Single
		*/
		[native,unityengine_Animator_playInFixedTime___];
		public final function playInFixedTime___(stateNameHash:int,layer:int,fixedTime:Number):void;

		/**
		* UnityEngine.Animator.PlayInFixedTime
		*parameters:
		*  stateNameHash : System.Int32
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_playInFixedTime____];
		public final function playInFixedTime____(stateNameHash:int,layer:int):void;

		/**
		* UnityEngine.Animator.PlayInFixedTime
		*parameters:
		*  stateNameHash : System.Int32
		*/
		[native,unityengine_Animator_playInFixedTime_____];
		public final function playInFixedTime_____(stateNameHash:int):void;

		/**
		* UnityEngine.Animator.Play
		*parameters:
		*  stateName : System.String
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_play];
		public final function play(stateName:String,layer:int):void;

		/**
		* UnityEngine.Animator.Play
		*parameters:
		*  stateName : System.String
		*/
		[native,unityengine_Animator_play_];
		public final function play_(stateName:String):void;

		/**
		* UnityEngine.Animator.Play
		*parameters:
		*  stateName : System.String
		*  layer : System.Int32
		*  normalizedTime : System.Single
		*/
		[native,unityengine_Animator_play__];
		public final function play__(stateName:String,layer:int,normalizedTime:Number):void;

		/**
		* UnityEngine.Animator.Play
		*parameters:
		*  stateNameHash : System.Int32
		*  layer : System.Int32
		*  normalizedTime : System.Single
		*/
		[native,unityengine_Animator_play___];
		public final function play___(stateNameHash:int,layer:int,normalizedTime:Number):void;

		/**
		* UnityEngine.Animator.Play
		*parameters:
		*  stateNameHash : System.Int32
		*  layer : System.Int32
		*/
		[native,unityengine_Animator_play____];
		public final function play____(stateNameHash:int,layer:int):void;

		/**
		* UnityEngine.Animator.Play
		*parameters:
		*  stateNameHash : System.Int32
		*/
		[native,unityengine_Animator_play_____];
		public final function play_____(stateNameHash:int):void;

		/**
		* UnityEngine.Animator.SetTarget
		*parameters:
		*  targetIndex : UnityEngine.AvatarTarget
		*  targetNormalizedTime : System.Single
		*/
		[native,unityengine_Animator_setTarget];
		public final function setTarget(targetIndex:AvatarTarget,targetNormalizedTime:Number):void;

		/**
		* UnityEngine.Animator.get_targetPosition
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_targetPosition]
		public final function get targetPosition():Vector3;

		/**
		* UnityEngine.Animator.get_targetRotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_get_targetRotation]
		public final function get targetRotation():Quaternion;

		/**
		* UnityEngine.Animator.GetBoneTransform
		*parameters:
		*  humanBoneId : UnityEngine.HumanBodyBones
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_Animator_getBoneTransform];
		public final function getBoneTransform(humanBoneId:HumanBodyBones):Transform;

		/**
		* UnityEngine.Animator.get_cullingMode
		*return:
		*   UnityEngine.AnimatorCullingMode
		*/
		[native,unityengine_Animator_get_cullingMode]
		public final function get cullingMode():AnimatorCullingMode;

		/**
		* UnityEngine.Animator.set_cullingMode
		*parameters:
		*  value : UnityEngine.AnimatorCullingMode
		*/
		[native,unityengine_Animator_set_cullingMode]
		public final function set cullingMode(value:AnimatorCullingMode):void;

		/**
		* UnityEngine.Animator.StartPlayback
		*/
		[native,unityengine_Animator_startPlayback];
		public final function startPlayback():void;

		/**
		* UnityEngine.Animator.StopPlayback
		*/
		[native,unityengine_Animator_stopPlayback];
		public final function stopPlayback():void;

		/**
		* UnityEngine.Animator.get_playbackTime
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_playbackTime]
		public final function get playbackTime():Number;

		/**
		* UnityEngine.Animator.set_playbackTime
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Animator_set_playbackTime]
		public final function set playbackTime(value:Number):void;

		/**
		* UnityEngine.Animator.StartRecording
		*parameters:
		*  frameCount : System.Int32
		*/
		[native,unityengine_Animator_startRecording];
		public final function startRecording(frameCount:int):void;

		/**
		* UnityEngine.Animator.StopRecording
		*/
		[native,unityengine_Animator_stopRecording];
		public final function stopRecording():void;

		/**
		* UnityEngine.Animator.get_recorderStartTime
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_recorderStartTime]
		public final function get recorderStartTime():Number;

		/**
		* UnityEngine.Animator.set_recorderStartTime
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Animator_set_recorderStartTime]
		public final function set recorderStartTime(value:Number):void;

		/**
		* UnityEngine.Animator.get_isOptimizable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_isOptimizable]
		public final function get isOptimizable():Boolean;

		/**
		* UnityEngine.Animator.get_isHuman
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_isHuman]
		public final function get isHuman():Boolean;

		/**
		* UnityEngine.Animator.get_hasRootMotion
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_hasRootMotion]
		public final function get hasRootMotion():Boolean;

		/**
		* UnityEngine.Animator.get_humanScale
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_humanScale]
		public final function get humanScale():Number;

		/**
		* UnityEngine.Animator.get_isInitialized
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_isInitialized]
		public final function get isInitialized():Boolean;

		/**
		* UnityEngine.Animator.GetFloat
		*parameters:
		*  name : System.String
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_getFloat];
		public final function getFloat(name:String):Number;

		/**
		* UnityEngine.Animator.GetFloat
		*parameters:
		*  id : System.Int32
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_getFloat_];
		public final function getFloat_(id:int):Number;

		/**
		* UnityEngine.Animator.SetFloat
		*parameters:
		*  name : System.String
		*  value : System.Single
		*/
		[native,unityengine_Animator_setFloat];
		public final function setFloat(name:String,value:Number):void;

		/**
		* UnityEngine.Animator.SetFloat
		*parameters:
		*  name : System.String
		*  value : System.Single
		*  dampTime : System.Single
		*  deltaTime : System.Single
		*/
		[native,unityengine_Animator_setFloat_];
		public final function setFloat_(name:String,value:Number,dampTime:Number,deltaTime:Number):void;

		/**
		* UnityEngine.Animator.SetFloat
		*parameters:
		*  id : System.Int32
		*  value : System.Single
		*/
		[native,unityengine_Animator_setFloat__];
		public final function setFloat__(id:int,value:Number):void;

		/**
		* UnityEngine.Animator.SetFloat
		*parameters:
		*  id : System.Int32
		*  value : System.Single
		*  dampTime : System.Single
		*  deltaTime : System.Single
		*/
		[native,unityengine_Animator_setFloat___];
		public final function setFloat___(id:int,value:Number,dampTime:Number,deltaTime:Number):void;

		/**
		* UnityEngine.Animator.GetBool
		*parameters:
		*  name : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_getBool];
		public final function getBool(name:String):Boolean;

		/**
		* UnityEngine.Animator.GetBool
		*parameters:
		*  id : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_getBool_];
		public final function getBool_(id:int):Boolean;

		/**
		* UnityEngine.Animator.SetBool
		*parameters:
		*  name : System.String
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_setBool];
		public final function setBool(name:String,value:Boolean):void;

		/**
		* UnityEngine.Animator.SetBool
		*parameters:
		*  id : System.Int32
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_setBool_];
		public final function setBool_(id:int,value:Boolean):void;

		/**
		* UnityEngine.Animator.GetInteger
		*parameters:
		*  name : System.String
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_getInteger];
		public final function getInteger(name:String):int;

		/**
		* UnityEngine.Animator.GetInteger
		*parameters:
		*  id : System.Int32
		*return:
		*   System.Int32
		*/
		[native,unityengine_Animator_getInteger_];
		public final function getInteger_(id:int):int;

		/**
		* UnityEngine.Animator.SetInteger
		*parameters:
		*  name : System.String
		*  value : System.Int32
		*/
		[native,unityengine_Animator_setInteger];
		public final function setInteger(name:String,value:int):void;

		/**
		* UnityEngine.Animator.SetInteger
		*parameters:
		*  id : System.Int32
		*  value : System.Int32
		*/
		[native,unityengine_Animator_setInteger_];
		public final function setInteger_(id:int,value:int):void;

		/**
		* UnityEngine.Animator.SetTrigger
		*parameters:
		*  name : System.String
		*/
		[native,unityengine_Animator_setTrigger];
		public final function setTrigger(name:String):void;

		/**
		* UnityEngine.Animator.SetTrigger
		*parameters:
		*  id : System.Int32
		*/
		[native,unityengine_Animator_setTrigger_];
		public final function setTrigger_(id:int):void;

		/**
		* UnityEngine.Animator.ResetTrigger
		*parameters:
		*  name : System.String
		*/
		[native,unityengine_Animator_resetTrigger];
		public final function resetTrigger(name:String):void;

		/**
		* UnityEngine.Animator.ResetTrigger
		*parameters:
		*  id : System.Int32
		*/
		[native,unityengine_Animator_resetTrigger_];
		public final function resetTrigger_(id:int):void;

		/**
		* UnityEngine.Animator.IsParameterControlledByCurve
		*parameters:
		*  name : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_isParameterControlledByCurve];
		public final function isParameterControlledByCurve(name:String):Boolean;

		/**
		* UnityEngine.Animator.IsParameterControlledByCurve
		*parameters:
		*  id : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_isParameterControlledByCurve_];
		public final function isParameterControlledByCurve_(id:int):Boolean;

		/**
		* UnityEngine.Animator.get_deltaPosition
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_deltaPosition]
		public final function get deltaPosition():Vector3;

		/**
		* UnityEngine.Animator.get_deltaRotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_get_deltaRotation]
		public final function get deltaRotation():Quaternion;

		/**
		* UnityEngine.Animator.get_velocity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_velocity]
		public final function get velocity():Vector3;

		/**
		* UnityEngine.Animator.get_angularVelocity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_angularVelocity]
		public final function get angularVelocity():Vector3;

		/**
		* UnityEngine.Animator.get_rootPosition
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_rootPosition]
		public final function get rootPosition():Vector3;

		/**
		* UnityEngine.Animator.set_rootPosition
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Animator_set_rootPosition]
		public final function set rootPosition(value:Vector3):void;

		/**
		* UnityEngine.Animator.get_rootRotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_get_rootRotation]
		public final function get rootRotation():Quaternion;

		/**
		* UnityEngine.Animator.set_rootRotation
		*parameters:
		*  value : UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_set_rootRotation]
		public final function set rootRotation(value:Quaternion):void;

		/**
		* UnityEngine.Animator.get_applyRootMotion
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_applyRootMotion]
		public final function get applyRootMotion():Boolean;

		/**
		* UnityEngine.Animator.set_applyRootMotion
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_set_applyRootMotion]
		public final function set applyRootMotion(value:Boolean):void;

		/**
		* UnityEngine.Animator.get_linearVelocityBlending
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_linearVelocityBlending]
		public final function get linearVelocityBlending():Boolean;

		/**
		* UnityEngine.Animator.set_linearVelocityBlending
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Animator_set_linearVelocityBlending]
		public final function set linearVelocityBlending(value:Boolean):void;

		/**
		* UnityEngine.Animator.get_updateMode
		*return:
		*   UnityEngine.AnimatorUpdateMode
		*/
		[native,unityengine_Animator_get_updateMode]
		public final function get updateMode():AnimatorUpdateMode;

		/**
		* UnityEngine.Animator.set_updateMode
		*parameters:
		*  value : UnityEngine.AnimatorUpdateMode
		*/
		[native,unityengine_Animator_set_updateMode]
		public final function set updateMode(value:AnimatorUpdateMode):void;

		/**
		* UnityEngine.Animator.get_hasTransformHierarchy
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Animator_get_hasTransformHierarchy]
		public final function get hasTransformHierarchy():Boolean;

		/**
		* UnityEngine.Animator.get_gravityWeight
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_get_gravityWeight]
		public final function get gravityWeight():Number;

		/**
		* UnityEngine.Animator.get_bodyPosition
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_get_bodyPosition]
		public final function get bodyPosition():Vector3;

		/**
		* UnityEngine.Animator.set_bodyPosition
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Animator_set_bodyPosition]
		public final function set bodyPosition(value:Vector3):void;

		/**
		* UnityEngine.Animator.get_bodyRotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_get_bodyRotation]
		public final function get bodyRotation():Quaternion;

		/**
		* UnityEngine.Animator.set_bodyRotation
		*parameters:
		*  value : UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_set_bodyRotation]
		public final function set bodyRotation(value:Quaternion):void;

		/**
		* UnityEngine.Animator.GetIKPosition
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_getIKPosition];
		public final function getIKPosition(goal:AvatarIKGoal):Vector3;

		/**
		* UnityEngine.Animator.SetIKPosition
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*  goalPosition : UnityEngine.Vector3
		*/
		[native,unityengine_Animator_setIKPosition];
		public final function setIKPosition(goal:AvatarIKGoal,goalPosition:Vector3):void;

		/**
		* UnityEngine.Animator.GetIKRotation
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_getIKRotation];
		public final function getIKRotation(goal:AvatarIKGoal):Quaternion;

		/**
		* UnityEngine.Animator.SetIKRotation
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*  goalRotation : UnityEngine.Quaternion
		*/
		[native,unityengine_Animator_setIKRotation];
		public final function setIKRotation(goal:AvatarIKGoal,goalRotation:Quaternion):void;

		/**
		* UnityEngine.Animator.GetIKPositionWeight
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_getIKPositionWeight];
		public final function getIKPositionWeight(goal:AvatarIKGoal):Number;

		/**
		* UnityEngine.Animator.SetIKPositionWeight
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*  value : System.Single
		*/
		[native,unityengine_Animator_setIKPositionWeight];
		public final function setIKPositionWeight(goal:AvatarIKGoal,value:Number):void;

		/**
		* UnityEngine.Animator.GetIKRotationWeight
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_getIKRotationWeight];
		public final function getIKRotationWeight(goal:AvatarIKGoal):Number;

		/**
		* UnityEngine.Animator.SetIKRotationWeight
		*parameters:
		*  goal : UnityEngine.AvatarIKGoal
		*  value : System.Single
		*/
		[native,unityengine_Animator_setIKRotationWeight];
		public final function setIKRotationWeight(goal:AvatarIKGoal,value:Number):void;

		/**
		* UnityEngine.Animator.GetIKHintPosition
		*parameters:
		*  hint : UnityEngine.AvatarIKHint
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Animator_getIKHintPosition];
		public final function getIKHintPosition(hint:AvatarIKHint):Vector3;

		/**
		* UnityEngine.Animator.SetIKHintPosition
		*parameters:
		*  hint : UnityEngine.AvatarIKHint
		*  hintPosition : UnityEngine.Vector3
		*/
		[native,unityengine_Animator_setIKHintPosition];
		public final function setIKHintPosition(hint:AvatarIKHint,hintPosition:Vector3):void;

		/**
		* UnityEngine.Animator.GetIKHintPositionWeight
		*parameters:
		*  hint : UnityEngine.AvatarIKHint
		*return:
		*   System.Single
		*/
		[native,unityengine_Animator_getIKHintPositionWeight];
		public final function getIKHintPositionWeight(hint:AvatarIKHint):Number;

		/**
		* UnityEngine.Animator.SetIKHintPositionWeight
		*parameters:
		*  hint : UnityEngine.AvatarIKHint
		*  value : System.Single
		*/
		[native,unityengine_Animator_setIKHintPositionWeight];
		public final function setIKHintPositionWeight(hint:AvatarIKHint,value:Number):void;

		/**
		* UnityEngine.Animator.SetLookAtPosition
		*parameters:
		*  lookAtPosition : UnityEngine.Vector3
		*/
		[native,unityengine_Animator_setLookAtPosition];
		public final function setLookAtPosition(lookAtPosition:Vector3):void;

		/**
		* UnityEngine.Animator.SetLookAtWeight
		*parameters:
		*  weight : System.Single
		*  bodyWeight : System.Single
		*  headWeight : System.Single
		*  eyesWeight : System.Single
		*/
		[native,unityengine_Animator_setLookAtWeight];
		public final function setLookAtWeight(weight:Number,bodyWeight:Number,headWeight:Number,eyesWeight:Number):void;

		/**
		* UnityEngine.Animator.SetLookAtWeight
		*parameters:
		*  weight : System.Single
		*  bodyWeight : System.Single
		*  headWeight : System.Single
		*/
		[native,unityengine_Animator_setLookAtWeight_];
		public final function setLookAtWeight_(weight:Number,bodyWeight:Number,headWeight:Number):void;

		/**
		* UnityEngine.Animator.SetLookAtWeight
		*parameters:
		*  weight : System.Single
		*  bodyWeight : System.Single
		*/
		[native,unityengine_Animator_setLookAtWeight__];
		public final function setLookAtWeight__(weight:Number,bodyWeight:Number):void;

		/**
		* UnityEngine.Animator.SetLookAtWeight
		*parameters:
		*  weight : System.Single
		*/
		[native,unityengine_Animator_setLookAtWeight___];
		public final function setLookAtWeight___(weight:Number):void;

		/**
		* UnityEngine.Animator.SetLookAtWeight
		*parameters:
		*  weight : System.Single
		*  bodyWeight : System.Single
		*  headWeight : System.Single
		*  eyesWeight : System.Single
		*  clampWeight : System.Single
		*/
		[native,unityengine_Animator_setLookAtWeight____];
		public final function setLookAtWeight____(weight:Number,bodyWeight:Number,headWeight:Number,eyesWeight:Number,clampWeight:Number):void;


	}
}
