package unityengine
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.Application.AdvertisingIdentifierCallback
		* System.Void(System.String,System.Boolean,System.String)

		* Sealed
		* Nested Type
		*  UnityEngine.Application.AdvertisingIdentifierCallback
		*/
	[link_system]
	public final class Application_AdvertisingIdentifierCallback extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_Application_AdvertisingIdentifierCallback_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Application_AdvertisingIdentifierCallback, b:Function):Application_AdvertisingIdentifierCallback;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Application_AdvertisingIdentifierCallback, value:Function):Application_AdvertisingIdentifierCallback;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Application_AdvertisingIdentifierCallback, b:Function):Application_AdvertisingIdentifierCallback;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Application_AdvertisingIdentifierCallback, value:Function):Application_AdvertisingIdentifierCallback;

		//*********构造函数*******
		[native,unityengine_Application_AdvertisingIdentifierCallback_ctor];
		public function Application_AdvertisingIdentifierCallback(func:Function);

		[implicit_from];
		[native,unityengine_Application_AdvertisingIdentifierCallback_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_Application_AdvertisingIdentifierCallback_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.Application.AdvertisingIdentifierCallback.Invoke
		*parameters:
		*  advertisingId : System.String
		*  trackingEnabled : System.Boolean
		*  errorMsg : System.String
		*/
		[native,unityengine_Application_AdvertisingIdentifierCallback_invoke];
		public function invoke(advertisingId:String,trackingEnabled:Boolean,errorMsg:String):void;

		/**
		* UnityEngine.Application.AdvertisingIdentifierCallback.BeginInvoke
		*parameters:
		*  advertisingId : System.String
		*  trackingEnabled : System.Boolean
		*  errorMsg : System.String
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_Application_AdvertisingIdentifierCallback_beginInvoke];
		public function beginInvoke(advertisingId:String,trackingEnabled:Boolean,errorMsg:String,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.Application.AdvertisingIdentifierCallback.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_Application_AdvertisingIdentifierCallback_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
