package unityengine
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.Camera.CameraCallback
		* System.Void(UnityEngine.Camera)

		* Sealed
		* Nested Type
		*  UnityEngine.Camera.CameraCallback
		*/
	[link_system]
	public final class Camera_CameraCallback extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_Camera_CameraCallback_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:Camera_CameraCallback, b:Function):Camera_CameraCallback;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:Camera_CameraCallback, value:Function):Camera_CameraCallback;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:Camera_CameraCallback, b:Function):Camera_CameraCallback;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:Camera_CameraCallback, value:Function):Camera_CameraCallback;

		//*********构造函数*******
		[native,unityengine_Camera_CameraCallback_ctor];
		public function Camera_CameraCallback(func:Function);

		[implicit_from];
		[native,unityengine_Camera_CameraCallback_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_Camera_CameraCallback_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.Camera.CameraCallback.Invoke
		*parameters:
		*  cam : UnityEngine.Camera
		*/
		[native,unityengine_Camera_CameraCallback_invoke];
		public function invoke(cam:Camera):void;

		/**
		* UnityEngine.Camera.CameraCallback.BeginInvoke
		*parameters:
		*  cam : UnityEngine.Camera
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_Camera_CameraCallback_beginInvoke];
		public function beginInvoke(cam:Camera,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.Camera.CameraCallback.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_Camera_CameraCallback_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
