package unityengine
{


		/**
		* Sealed
		*  UnityEngine.Canvas
		*/
	[link_system]
	public final class Canvas extends Behaviour
	{
		[creator];
		[native,unityengine_Canvas_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Canvas_ctor];
		public function Canvas();


		//*********公共方法*******
		/**
		* UnityEngine.Canvas.get_renderMode
		*return:
		*   UnityEngine.RenderMode
		*/
		[native,unityengine_Canvas_get_renderMode]
		public final function get renderMode():RenderMode;

		/**
		* UnityEngine.Canvas.set_renderMode
		*parameters:
		*  value : UnityEngine.RenderMode
		*/
		[native,unityengine_Canvas_set_renderMode]
		public final function set renderMode(value:RenderMode):void;

		/**
		* UnityEngine.Canvas.get_isRootCanvas
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Canvas_get_isRootCanvas]
		public final function get isRootCanvas():Boolean;

		/**
		* UnityEngine.Canvas.get_worldCamera
		*return:
		*   UnityEngine.Camera
		*/
		[native,unityengine_Canvas_get_worldCamera]
		public final function get worldCamera():Camera;

		/**
		* UnityEngine.Canvas.set_worldCamera
		*parameters:
		*  value : UnityEngine.Camera
		*/
		[native,unityengine_Canvas_set_worldCamera]
		public final function set worldCamera(value:Camera):void;

		/**
		* UnityEngine.Canvas.get_pixelRect
		*return:
		*   UnityEngine.Rect
		*/
		[native,unityengine_Canvas_get_pixelRect]
		public final function get pixelRect():Rect;

		/**
		* UnityEngine.Canvas.get_scaleFactor
		*return:
		*   System.Single
		*/
		[native,unityengine_Canvas_get_scaleFactor]
		public final function get scaleFactor():Number;

		/**
		* UnityEngine.Canvas.set_scaleFactor
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Canvas_set_scaleFactor]
		public final function set scaleFactor(value:Number):void;

		/**
		* UnityEngine.Canvas.get_referencePixelsPerUnit
		*return:
		*   System.Single
		*/
		[native,unityengine_Canvas_get_referencePixelsPerUnit]
		public final function get referencePixelsPerUnit():Number;

		/**
		* UnityEngine.Canvas.set_referencePixelsPerUnit
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Canvas_set_referencePixelsPerUnit]
		public final function set referencePixelsPerUnit(value:Number):void;

		/**
		* UnityEngine.Canvas.get_overridePixelPerfect
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Canvas_get_overridePixelPerfect]
		public final function get overridePixelPerfect():Boolean;

		/**
		* UnityEngine.Canvas.set_overridePixelPerfect
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Canvas_set_overridePixelPerfect]
		public final function set overridePixelPerfect(value:Boolean):void;

		/**
		* UnityEngine.Canvas.get_pixelPerfect
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Canvas_get_pixelPerfect]
		public final function get pixelPerfect():Boolean;

		/**
		* UnityEngine.Canvas.set_pixelPerfect
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Canvas_set_pixelPerfect]
		public final function set pixelPerfect(value:Boolean):void;

		/**
		* UnityEngine.Canvas.get_planeDistance
		*return:
		*   System.Single
		*/
		[native,unityengine_Canvas_get_planeDistance]
		public final function get planeDistance():Number;

		/**
		* UnityEngine.Canvas.set_planeDistance
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Canvas_set_planeDistance]
		public final function set planeDistance(value:Number):void;

		/**
		* UnityEngine.Canvas.get_renderOrder
		*return:
		*   System.Int32
		*/
		[native,unityengine_Canvas_get_renderOrder]
		public final function get renderOrder():int;

		/**
		* UnityEngine.Canvas.get_overrideSorting
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Canvas_get_overrideSorting]
		public final function get overrideSorting():Boolean;

		/**
		* UnityEngine.Canvas.set_overrideSorting
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Canvas_set_overrideSorting]
		public final function set overrideSorting(value:Boolean):void;

		/**
		* UnityEngine.Canvas.get_sortingOrder
		*return:
		*   System.Int32
		*/
		[native,unityengine_Canvas_get_sortingOrder]
		public final function get sortingOrder():int;

		/**
		* UnityEngine.Canvas.set_sortingOrder
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Canvas_set_sortingOrder]
		public final function set sortingOrder(value:int):void;

		/**
		* UnityEngine.Canvas.get_targetDisplay
		*return:
		*   System.Int32
		*/
		[native,unityengine_Canvas_get_targetDisplay]
		public final function get targetDisplay():int;

		/**
		* UnityEngine.Canvas.set_targetDisplay
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Canvas_set_targetDisplay]
		public final function set targetDisplay(value:int):void;

		/**
		* UnityEngine.Canvas.get_normalizedSortingGridSize
		*return:
		*   System.Single
		*/
		[native,unityengine_Canvas_get_normalizedSortingGridSize]
		public final function get normalizedSortingGridSize():Number;

		/**
		* UnityEngine.Canvas.set_normalizedSortingGridSize
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Canvas_set_normalizedSortingGridSize]
		public final function set normalizedSortingGridSize(value:Number):void;

		/**
		* UnityEngine.Canvas.get_sortingLayerID
		*return:
		*   System.Int32
		*/
		[native,unityengine_Canvas_get_sortingLayerID]
		public final function get sortingLayerID():int;

		/**
		* UnityEngine.Canvas.set_sortingLayerID
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Canvas_set_sortingLayerID]
		public final function set sortingLayerID(value:int):void;

		/**
		* UnityEngine.Canvas.get_cachedSortingLayerValue
		*return:
		*   System.Int32
		*/
		[native,unityengine_Canvas_get_cachedSortingLayerValue]
		public final function get cachedSortingLayerValue():int;

		/**
		* UnityEngine.Canvas.get_additionalShaderChannels
		*return:
		*   UnityEngine.AdditionalCanvasShaderChannels
		*/
		[native,unityengine_Canvas_get_additionalShaderChannels]
		public final function get additionalShaderChannels():AdditionalCanvasShaderChannels;

		/**
		* UnityEngine.Canvas.set_additionalShaderChannels
		*parameters:
		*  value : UnityEngine.AdditionalCanvasShaderChannels
		*/
		[native,unityengine_Canvas_set_additionalShaderChannels]
		public final function set additionalShaderChannels(value:AdditionalCanvasShaderChannels):void;

		/**
		* UnityEngine.Canvas.get_sortingLayerName
		*return:
		*   System.String
		*/
		[native,unityengine_Canvas_get_sortingLayerName]
		public final function get sortingLayerName():String;

		/**
		* UnityEngine.Canvas.set_sortingLayerName
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_Canvas_set_sortingLayerName]
		public final function set sortingLayerName(value:String):void;

		/**
		* UnityEngine.Canvas.get_rootCanvas
		*return:
		*   UnityEngine.Canvas
		*/
		[native,unityengine_Canvas_get_rootCanvas]
		public final function get rootCanvas():Canvas;

		/**
		* UnityEngine.Canvas.GetDefaultCanvasMaterial
		*return:
		*   UnityEngine.Material
		*/
		[native,static_unityengine_Canvas_getDefaultCanvasMaterial];
		public static function getDefaultCanvasMaterial():Material;

		/**
		* UnityEngine.Canvas.GetETC1SupportedCanvasMaterial
		*return:
		*   UnityEngine.Material
		*/
		[native,static_unityengine_Canvas_getETC1SupportedCanvasMaterial];
		public static function getETC1SupportedCanvasMaterial():Material;

		/**
		* UnityEngine.Canvas.add_willRenderCanvases
		*parameters:
		*  value : UnityEngine.Canvas.WillRenderCanvases [System.Void()]
		*/
		[native,static_unityengine_Canvas_willRenderCanvases_addEventListener];
		public static function willRenderCanvases_addEventListener(value:Canvas_WillRenderCanvases):void;

		/**
		* UnityEngine.Canvas.remove_willRenderCanvases
		*parameters:
		*  value : UnityEngine.Canvas.WillRenderCanvases [System.Void()]
		*/
		[native,static_unityengine_Canvas_willRenderCanvases_removeEventListener];
		public static function willRenderCanvases_removeEventListener(value:Canvas_WillRenderCanvases):void;

		/**
		* UnityEngine.Canvas.ForceUpdateCanvases
		*/
		[native,static_unityengine_Canvas_forceUpdateCanvases];
		public static function forceUpdateCanvases():void;


	}
}
