package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.CharacterInfo
		*/
	[struct]
	[link_system]
	public final class CharacterInfo extends system._Object_
	{
		[creator];
		[native,unityengine_CharacterInfo_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_CharacterInfo_ctor];
		public function CharacterInfo();
		//*********字段*******
		/**
		* UnityEngine.CharacterInfo.index
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_CharacterInfo_index_getter,unityengine_CharacterInfo_index_setter];
		public var index:int;
		/**
		* UnityEngine.CharacterInfo.size
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_CharacterInfo_size_getter,unityengine_CharacterInfo_size_setter];
		public var size:int;
		/**
		* UnityEngine.CharacterInfo.style
		*fieldtype:
		*   UnityEngine.FontStyle
		*/
		[native, unityengine_CharacterInfo_style_getter,unityengine_CharacterInfo_style_setter];
		public var style:FontStyle;

		//*********公共方法*******
		/**
		* UnityEngine.CharacterInfo.get_advance
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_advance]
		public final function get advance():int;

		/**
		* UnityEngine.CharacterInfo.set_advance
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_advance]
		public final function set advance(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_glyphWidth
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_glyphWidth]
		public final function get glyphWidth():int;

		/**
		* UnityEngine.CharacterInfo.set_glyphWidth
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_glyphWidth]
		public final function set glyphWidth(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_glyphHeight
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_glyphHeight]
		public final function get glyphHeight():int;

		/**
		* UnityEngine.CharacterInfo.set_glyphHeight
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_glyphHeight]
		public final function set glyphHeight(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_bearing
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_bearing]
		public final function get bearing():int;

		/**
		* UnityEngine.CharacterInfo.set_bearing
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_bearing]
		public final function set bearing(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_minY
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_minY]
		public final function get minY():int;

		/**
		* UnityEngine.CharacterInfo.set_minY
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_minY]
		public final function set minY(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_maxY
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_maxY]
		public final function get maxY():int;

		/**
		* UnityEngine.CharacterInfo.set_maxY
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_maxY]
		public final function set maxY(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_minX
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_minX]
		public final function get minX():int;

		/**
		* UnityEngine.CharacterInfo.set_minX
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_minX]
		public final function set minX(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_maxX
		*return:
		*   System.Int32
		*/
		[native,unityengine_CharacterInfo_get_maxX]
		public final function get maxX():int;

		/**
		* UnityEngine.CharacterInfo.set_maxX
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_CharacterInfo_set_maxX]
		public final function set maxX(value:int):void;

		/**
		* UnityEngine.CharacterInfo.get_uvBottomLeft
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_get_uvBottomLeft]
		public final function get uvBottomLeft():Vector2;

		/**
		* UnityEngine.CharacterInfo.set_uvBottomLeft
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_set_uvBottomLeft]
		public final function set uvBottomLeft(value:Vector2):void;

		/**
		* UnityEngine.CharacterInfo.get_uvBottomRight
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_get_uvBottomRight]
		public final function get uvBottomRight():Vector2;

		/**
		* UnityEngine.CharacterInfo.set_uvBottomRight
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_set_uvBottomRight]
		public final function set uvBottomRight(value:Vector2):void;

		/**
		* UnityEngine.CharacterInfo.get_uvTopRight
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_get_uvTopRight]
		public final function get uvTopRight():Vector2;

		/**
		* UnityEngine.CharacterInfo.set_uvTopRight
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_set_uvTopRight]
		public final function set uvTopRight(value:Vector2):void;

		/**
		* UnityEngine.CharacterInfo.get_uvTopLeft
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_get_uvTopLeft]
		public final function get uvTopLeft():Vector2;

		/**
		* UnityEngine.CharacterInfo.set_uvTopLeft
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_CharacterInfo_set_uvTopLeft]
		public final function set uvTopLeft(value:Vector2):void;


	}
}
