package unityengine
{


		/**
		* Sealed
		*  UnityEngine.CharacterJoint
		*/
	[link_system]
	public final class CharacterJoint extends Joint
	{
		[creator];
		[native,unityengine_CharacterJoint_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_CharacterJoint_ctor];
		public function CharacterJoint();


		//*********公共方法*******
		/**
		* UnityEngine.CharacterJoint.get_swingAxis
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_CharacterJoint_get_swingAxis]
		public final function get swingAxis():Vector3;

		/**
		* UnityEngine.CharacterJoint.set_swingAxis
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_CharacterJoint_set_swingAxis]
		public final function set swingAxis(value:Vector3):void;

		/**
		* UnityEngine.CharacterJoint.get_twistLimitSpring
		*return:
		*   UnityEngine.SoftJointLimitSpring
		*/
		[native,unityengine_CharacterJoint_get_twistLimitSpring]
		public final function get twistLimitSpring():SoftJointLimitSpring;

		/**
		* UnityEngine.CharacterJoint.set_twistLimitSpring
		*parameters:
		*  value : UnityEngine.SoftJointLimitSpring
		*/
		[native,unityengine_CharacterJoint_set_twistLimitSpring]
		public final function set twistLimitSpring(value:SoftJointLimitSpring):void;

		/**
		* UnityEngine.CharacterJoint.get_swingLimitSpring
		*return:
		*   UnityEngine.SoftJointLimitSpring
		*/
		[native,unityengine_CharacterJoint_get_swingLimitSpring]
		public final function get swingLimitSpring():SoftJointLimitSpring;

		/**
		* UnityEngine.CharacterJoint.set_swingLimitSpring
		*parameters:
		*  value : UnityEngine.SoftJointLimitSpring
		*/
		[native,unityengine_CharacterJoint_set_swingLimitSpring]
		public final function set swingLimitSpring(value:SoftJointLimitSpring):void;

		/**
		* UnityEngine.CharacterJoint.get_lowTwistLimit
		*return:
		*   UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_get_lowTwistLimit]
		public final function get lowTwistLimit():SoftJointLimit;

		/**
		* UnityEngine.CharacterJoint.set_lowTwistLimit
		*parameters:
		*  value : UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_set_lowTwistLimit]
		public final function set lowTwistLimit(value:SoftJointLimit):void;

		/**
		* UnityEngine.CharacterJoint.get_highTwistLimit
		*return:
		*   UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_get_highTwistLimit]
		public final function get highTwistLimit():SoftJointLimit;

		/**
		* UnityEngine.CharacterJoint.set_highTwistLimit
		*parameters:
		*  value : UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_set_highTwistLimit]
		public final function set highTwistLimit(value:SoftJointLimit):void;

		/**
		* UnityEngine.CharacterJoint.get_swing1Limit
		*return:
		*   UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_get_swing1Limit]
		public final function get swing1Limit():SoftJointLimit;

		/**
		* UnityEngine.CharacterJoint.set_swing1Limit
		*parameters:
		*  value : UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_set_swing1Limit]
		public final function set swing1Limit(value:SoftJointLimit):void;

		/**
		* UnityEngine.CharacterJoint.get_swing2Limit
		*return:
		*   UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_get_swing2Limit]
		public final function get swing2Limit():SoftJointLimit;

		/**
		* UnityEngine.CharacterJoint.set_swing2Limit
		*parameters:
		*  value : UnityEngine.SoftJointLimit
		*/
		[native,unityengine_CharacterJoint_set_swing2Limit]
		public final function set swing2Limit(value:SoftJointLimit):void;

		/**
		* UnityEngine.CharacterJoint.get_enableProjection
		*return:
		*   System.Boolean
		*/
		[native,unityengine_CharacterJoint_get_enableProjection]
		public final function get enableProjection():Boolean;

		/**
		* UnityEngine.CharacterJoint.set_enableProjection
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_CharacterJoint_set_enableProjection]
		public final function set enableProjection(value:Boolean):void;

		/**
		* UnityEngine.CharacterJoint.get_projectionDistance
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterJoint_get_projectionDistance]
		public final function get projectionDistance():Number;

		/**
		* UnityEngine.CharacterJoint.set_projectionDistance
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterJoint_set_projectionDistance]
		public final function set projectionDistance(value:Number):void;

		/**
		* UnityEngine.CharacterJoint.get_projectionAngle
		*return:
		*   System.Single
		*/
		[native,unityengine_CharacterJoint_get_projectionAngle]
		public final function get projectionAngle():Number;

		/**
		* UnityEngine.CharacterJoint.set_projectionAngle
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_CharacterJoint_set_projectionAngle]
		public final function set projectionAngle(value:Number):void;


	}
}
