package unityengine
{
	import system._Object_;
	import system._Array_;
	import system.collections._IEnumerator_;


		/**
		*  UnityEngine.Collision
		*/
	[link_system]
	public class Collision extends system._Object_
	{
		[creator];
		[native,unityengine_Collision_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Collision_ctor];
		public function Collision();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_CollisionAdapter_ctor];
		private function _CollisionAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.Collision.get_relativeVelocity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Collision_get_relativeVelocity]
		public final function get relativeVelocity():Vector3;

		/**
		* UnityEngine.Collision.get_rigidbody
		*return:
		*   UnityEngine.Rigidbody
		*/
		[native,unityengine_Collision_get_rigidbody]
		public final function get rigidbody():Rigidbody;

		/**
		* UnityEngine.Collision.get_collider
		*return:
		*   UnityEngine.Collider
		*/
		[native,unityengine_Collision_get_collider]
		public final function get collider():Collider;

		/**
		* UnityEngine.Collision.get_transform
		*return:
		*   UnityEngine.Transform
		*/
		[native,unityengine_Collision_get_transform]
		public final function get transform():Transform;

		/**
		* UnityEngine.Collision.get_gameObject
		*return:
		*   UnityEngine.GameObject
		*/
		[native,unityengine_Collision_get_gameObject]
		public final function get gameObject():GameObject;

		/**
		* UnityEngine.Collision.get_contacts
		*return:
		*   UnityEngine.ContactPoint[]
		*/
		[native,unityengine_Collision_get_contacts]
		public final function get contacts():_Array_;

		/**
		* UnityEngine.Collision.GetEnumerator
		*return:
		*   System.Collections.IEnumerator
		*/
		[native,unityengine_Collision_getEnumerator];
		public function getEnumerator():system.collections._IEnumerator_;

		/**
		* UnityEngine.Collision.get_impulse
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Collision_get_impulse]
		public final function get impulse():Vector3;


	}
}
