package unityengine
{
	import system._Object_;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  UnityEngine.Color
		*/
	[struct]
	[link_system]
	public final class Color extends system._Object_
	{
		[creator];
		[native,unityengine_Color_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Color_constructor_];
		public static function constructor_(r:Number,g:Number,b:Number):Color;

		[native,unityengine_Color_ctor];
		public function Color(r:Number,g:Number,b:Number,a:Number);


		//*********字段*******
		/**
		* UnityEngine.Color.r
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Color_r_getter,unityengine_Color_r_setter];
		public var r:Number;
		/**
		* UnityEngine.Color.g
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Color_g_getter,unityengine_Color_g_setter];
		public var g:Number;
		/**
		* UnityEngine.Color.b
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Color_b_getter,unityengine_Color_b_setter];
		public var b:Number;
		/**
		* UnityEngine.Color.a
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Color_a_getter,unityengine_Color_a_setter];
		public var a:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Color.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Color_toString___];
		public final function toString___(format:String):String;

		/**
		* UnityEngine.Color.Lerp
		*parameters:
		*  a : UnityEngine.Color
		*  b : UnityEngine.Color
		*  t : System.Single
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_lerp];
		public static function lerp(a:Color,b:Color,t:Number):Color;

		/**
		* UnityEngine.Color.LerpUnclamped
		*parameters:
		*  a : UnityEngine.Color
		*  b : UnityEngine.Color
		*  t : System.Single
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_lerpUnclamped];
		public static function lerpUnclamped(a:Color,b:Color,t:Number):Color;

		/**
		* UnityEngine.Color.get_red
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_red]
		public static function get red():Color;

		/**
		* UnityEngine.Color.get_green
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_green]
		public static function get green():Color;

		/**
		* UnityEngine.Color.get_blue
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_blue]
		public static function get blue():Color;

		/**
		* UnityEngine.Color.get_white
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_white]
		public static function get white():Color;

		/**
		* UnityEngine.Color.get_black
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_black]
		public static function get black():Color;

		/**
		* UnityEngine.Color.get_yellow
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_yellow]
		public static function get yellow():Color;

		/**
		* UnityEngine.Color.get_cyan
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_cyan]
		public static function get cyan():Color;

		/**
		* UnityEngine.Color.get_magenta
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_magenta]
		public static function get magenta():Color;

		/**
		* UnityEngine.Color.get_gray
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_gray]
		public static function get gray():Color;

		/**
		* UnityEngine.Color.get_grey
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_grey]
		public static function get grey():Color;

		/**
		* UnityEngine.Color.get_clear
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_get_clear]
		public static function get clear():Color;

		/**
		* UnityEngine.Color.get_grayscale
		*return:
		*   System.Single
		*/
		[native,unityengine_Color_get_grayscale]
		public final function get grayscale():Number;

		/**
		* UnityEngine.Color.get_linear
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_Color_get_linear]
		public final function get linear():Color;

		/**
		* UnityEngine.Color.get_gamma
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_Color_get_gamma]
		public final function get gamma():Color;

		/**
		* UnityEngine.Color.get_maxColorComponent
		*return:
		*   System.Single
		*/
		[native,unityengine_Color_get_maxColorComponent]
		public final function get maxColorComponent():Number;

		/**
		* UnityEngine.Color.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,unityengine_Color_getThisItem];
		final function get_Item(index:int):Number;

		/**
		* UnityEngine.Color.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,unityengine_Color_setThisItem];
		final function set_Item(value:Number,index:int):void;

		/**
		* UnityEngine.Color.RGBToHSV
		*parameters:
		*  rgbColor : UnityEngine.Color
		*  H : (Out)System.Single
		*  S : (Out)System.Single
		*  V : (Out)System.Single
		*/
		[native,static_unityengine_Color_RGBToHSV];
		public static function RGBToHSV(rgbColor:Color,H:Number,S:Number,V:Number,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.Color.HSVToRGB
		*parameters:
		*  H : System.Single
		*  S : System.Single
		*  V : System.Single
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_HSVToRGB];
		public static function HSVToRGB(H:Number,S:Number,V:Number):Color;

		/**
		* UnityEngine.Color.HSVToRGB
		*parameters:
		*  H : System.Single
		*  S : System.Single
		*  V : System.Single
		*  hdr : System.Boolean
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Color_HSVToRGB_];
		public static function HSVToRGB_(H:Number,S:Number,V:Number,hdr:Boolean):Color;


		//*****操作重载*****
		/**
		 * 计算 a + b
		 */
		[native,static_unityengine_Color_op_Addition];
		public static function op_Addition(a:Color,b:Color):Color;

		[operator,"+"];
		[native,static_unityengine_Color_op_Addition];
		private static function _operator_op_Addition(a:Color,b:Color):Color;

		/**
		 * 计算 a - b
		 */
		[native,static_unityengine_Color_op_Subtraction];
		public static function op_Subtraction(a:Color,b:Color):Color;

		[operator,"-"];
		[native,static_unityengine_Color_op_Subtraction];
		private static function _operator_op_Subtraction(a:Color,b:Color):Color;

		/**
		 * 计算 a * b
		 */
		[native,static_unityengine_Color_op_Multiply];
		public static function op_Multiply(a:Color,b:Color):Color;

		[operator,"*"];
		[native,static_unityengine_Color_op_Multiply];
		private static function _operator_op_Multiply(a:Color,b:Color):Color;

		/**
		 * 计算 a * b
		 */
		[native,static_unityengine_Color_op_Multiply_];
		public static function op_Multiply_(a:Color,b:Number):Color;

		[operator,"*"];
		[native,static_unityengine_Color_op_Multiply_];
		private static function _operator_op_Multiply_(a:Color,b:Number):Color;

		/**
		 * 计算 b * a
		 */
		[native,static_unityengine_Color_op_Multiply__];
		public static function op_Multiply__(b:Number,a:Color):Color;

		[operator,"*"];
		[native,static_unityengine_Color_op_Multiply__];
		private static function _operator_op_Multiply__(b:Number,a:Color):Color;

		/**
		 * 计算 a / b
		 */
		[native,static_unityengine_Color_op_Division];
		public static function op_Division(a:Color,b:Number):Color;

		[operator,"/"];
		[native,static_unityengine_Color_op_Division];
		private static function _operator_op_Division(a:Color,b:Number):Color;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Color_op_Equality];
		public static function op_Equality(lhs:Color,rhs:Color):Boolean;

		[operator,"=="];
		[native,static_unityengine_Color_op_Equality];
		private static function _operator_op_Equality(lhs:Color,rhs:Color):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Color_op_Inequality];
		public static function op_Inequality(lhs:Color,rhs:Color):Boolean;

		[operator,"!="];
		[native,static_unityengine_Color_op_Inequality];
		private static function _operator_op_Inequality(lhs:Color,rhs:Color):Boolean;

		/**
		 * Implicit To UnityEngine.Vector4 
		 */
		[native,static_unityengine_Color_op_Implicit];
		public static function op_Implicit(c:Color):Vector4;

		/**
		 * Implicit From UnityEngine.Vector4 
		 */
		[native,static_unityengine_Color_op_Implicit_];
		public static function op_Implicit_(v:Vector4):Color;


	}
}
