package unityengine
{
	import system._Object_;
	import system.Byte;


		/**
		* Struct
		*  UnityEngine.Color32
		*/
	[struct]
	[link_system]
	public final class Color32 extends system._Object_
	{
		[creator];
		[native,unityengine_Color32_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Color32_ctor];
		public function Color32(r:system.Byte,g:system.Byte,b:system.Byte,a:system.Byte);


		//*********字段*******
		/**
		* UnityEngine.Color32.r
		*fieldtype:
		*   System.Byte
		*/
		[native, unityengine_Color32_r_getter,unityengine_Color32_r_setter];
		public var r:system.Byte;
		/**
		* UnityEngine.Color32.g
		*fieldtype:
		*   System.Byte
		*/
		[native, unityengine_Color32_g_getter,unityengine_Color32_g_setter];
		public var g:system.Byte;
		/**
		* UnityEngine.Color32.b
		*fieldtype:
		*   System.Byte
		*/
		[native, unityengine_Color32_b_getter,unityengine_Color32_b_setter];
		public var b:system.Byte;
		/**
		* UnityEngine.Color32.a
		*fieldtype:
		*   System.Byte
		*/
		[native, unityengine_Color32_a_getter,unityengine_Color32_a_setter];
		public var a:system.Byte;

		//*********公共方法*******
		/**
		* UnityEngine.Color32.Lerp
		*parameters:
		*  a : UnityEngine.Color32
		*  b : UnityEngine.Color32
		*  t : System.Single
		*return:
		*   UnityEngine.Color32
		*/
		[native,static_unityengine_Color32_lerp];
		public static function lerp(a:Color32,b:Color32,t:Number):Color32;

		/**
		* UnityEngine.Color32.LerpUnclamped
		*parameters:
		*  a : UnityEngine.Color32
		*  b : UnityEngine.Color32
		*  t : System.Single
		*return:
		*   UnityEngine.Color32
		*/
		[native,static_unityengine_Color32_lerpUnclamped];
		public static function lerpUnclamped(a:Color32,b:Color32,t:Number):Color32;

		/**
		* UnityEngine.Color32.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Color32_toString___];
		public final function toString___(format:String):String;


		//*****操作重载*****
		/**
		 * Implicit From UnityEngine.Color 
		 */
		[native,static_unityengine_Color32_op_Implicit];
		public static function op_Implicit(c:Color):Color32;

		/**
		 * Implicit To UnityEngine.Color 
		 */
		[native,static_unityengine_Color32_op_Implicit_];
		public static function op_Implicit_(c:Color32):Color;


	}
}
