package unityengine
{
	import as3runtime.RefOutStore;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.ComputeShader
		*/
	[link_system]
	public final class ComputeShader extends UObject
	{
		[creator];
		[native,unityengine_ComputeShader_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ComputeShader_ctor];
		public function ComputeShader();


		//*********公共方法*******
		/**
		* UnityEngine.ComputeShader.FindKernel
		*parameters:
		*  name : System.String
		*return:
		*   System.Int32
		*/
		[native,unityengine_ComputeShader_findKernel];
		public final function findKernel(name:String):int;

		/**
		* UnityEngine.ComputeShader.HasKernel
		*parameters:
		*  name : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ComputeShader_hasKernel];
		public final function hasKernel(name:String):Boolean;

		/**
		* UnityEngine.ComputeShader.GetKernelThreadGroupSizes
		*parameters:
		*  kernelIndex : System.Int32
		*  x : (Out)System.UInt32
		*  y : (Out)System.UInt32
		*  z : (Out)System.UInt32
		*/
		[native,unityengine_ComputeShader_getKernelThreadGroupSizes];
		public final function getKernelThreadGroupSizes(kernelIndex:int,x:uint,y:uint,z:uint,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.ComputeShader.SetFloat
		*parameters:
		*  name : System.String
		*  val : System.Single
		*/
		[native,unityengine_ComputeShader_setFloat];
		public final function setFloat(name:String,val:Number):void;

		/**
		* UnityEngine.ComputeShader.SetFloat
		*parameters:
		*  nameID : System.Int32
		*  val : System.Single
		*/
		[native,unityengine_ComputeShader_setFloat_];
		public final function setFloat_(nameID:int,val:Number):void;

		/**
		* UnityEngine.ComputeShader.SetInt
		*parameters:
		*  name : System.String
		*  val : System.Int32
		*/
		[native,unityengine_ComputeShader_setInt];
		public final function setInt(name:String,val:int):void;

		/**
		* UnityEngine.ComputeShader.SetInt
		*parameters:
		*  nameID : System.Int32
		*  val : System.Int32
		*/
		[native,unityengine_ComputeShader_setInt_];
		public final function setInt_(nameID:int,val:int):void;

		/**
		* UnityEngine.ComputeShader.SetBool
		*parameters:
		*  name : System.String
		*  val : System.Boolean
		*/
		[native,unityengine_ComputeShader_setBool];
		public final function setBool(name:String,val:Boolean):void;

		/**
		* UnityEngine.ComputeShader.SetBool
		*parameters:
		*  nameID : System.Int32
		*  val : System.Boolean
		*/
		[native,unityengine_ComputeShader_setBool_];
		public final function setBool_(nameID:int,val:Boolean):void;

		/**
		* UnityEngine.ComputeShader.SetVector
		*parameters:
		*  name : System.String
		*  val : UnityEngine.Vector4
		*/
		[native,unityengine_ComputeShader_setVector];
		public final function setVector(name:String,val:Vector4):void;

		/**
		* UnityEngine.ComputeShader.SetVector
		*parameters:
		*  nameID : System.Int32
		*  val : UnityEngine.Vector4
		*/
		[native,unityengine_ComputeShader_setVector_];
		public final function setVector_(nameID:int,val:Vector4):void;

		/**
		* UnityEngine.ComputeShader.SetFloats
		*parameters:
		*  name : System.String
		*  values : System.Single[]
		*/
		[native,unityengine_ComputeShader_setFloats];
		public final function setFloats(name:String,values:_Array_):void;

		/**
		* UnityEngine.ComputeShader.SetFloats
		*parameters:
		*  nameID : System.Int32
		*  values : System.Single[]
		*/
		[native,unityengine_ComputeShader_setFloats_];
		public final function setFloats_(nameID:int,values:_Array_):void;

		/**
		* UnityEngine.ComputeShader.SetInts
		*parameters:
		*  name : System.String
		*  values : System.Int32[]
		*/
		[native,unityengine_ComputeShader_setInts];
		public final function setInts(name:String,values:_Array_):void;

		/**
		* UnityEngine.ComputeShader.SetInts
		*parameters:
		*  nameID : System.Int32
		*  values : System.Int32[]
		*/
		[native,unityengine_ComputeShader_setInts_];
		public final function setInts_(nameID:int,values:_Array_):void;

		/**
		* UnityEngine.ComputeShader.SetTexture
		*parameters:
		*  kernelIndex : System.Int32
		*  name : System.String
		*  texture : UnityEngine.Texture
		*/
		[native,unityengine_ComputeShader_setTexture];
		public final function setTexture(kernelIndex:int,name:String,texture:Texture):void;

		/**
		* UnityEngine.ComputeShader.SetTexture
		*parameters:
		*  kernelIndex : System.Int32
		*  nameID : System.Int32
		*  texture : UnityEngine.Texture
		*/
		[native,unityengine_ComputeShader_setTexture_];
		public final function setTexture_(kernelIndex:int,nameID:int,texture:Texture):void;

		/**
		* UnityEngine.ComputeShader.SetTextureFromGlobal
		*parameters:
		*  kernelIndex : System.Int32
		*  name : System.String
		*  globalTextureName : System.String
		*/
		[native,unityengine_ComputeShader_setTextureFromGlobal];
		public final function setTextureFromGlobal(kernelIndex:int,name:String,globalTextureName:String):void;

		/**
		* UnityEngine.ComputeShader.SetTextureFromGlobal
		*parameters:
		*  kernelIndex : System.Int32
		*  nameID : System.Int32
		*  globalTextureNameID : System.Int32
		*/
		[native,unityengine_ComputeShader_setTextureFromGlobal_];
		public final function setTextureFromGlobal_(kernelIndex:int,nameID:int,globalTextureNameID:int):void;

		/**
		* UnityEngine.ComputeShader.SetBuffer
		*parameters:
		*  kernelIndex : System.Int32
		*  name : System.String
		*  buffer : UnityEngine.ComputeBuffer
		*/
		[native,unityengine_ComputeShader_setBuffer];
		public final function setBuffer(kernelIndex:int,name:String,buffer:ComputeBuffer):void;

		/**
		* UnityEngine.ComputeShader.SetBuffer
		*parameters:
		*  kernelIndex : System.Int32
		*  nameID : System.Int32
		*  buffer : UnityEngine.ComputeBuffer
		*/
		[native,unityengine_ComputeShader_setBuffer_];
		public final function setBuffer_(kernelIndex:int,nameID:int,buffer:ComputeBuffer):void;

		/**
		* UnityEngine.ComputeShader.Dispatch
		*parameters:
		*  kernelIndex : System.Int32
		*  threadGroupsX : System.Int32
		*  threadGroupsY : System.Int32
		*  threadGroupsZ : System.Int32
		*/
		[native,unityengine_ComputeShader_dispatch];
		public final function dispatch(kernelIndex:int,threadGroupsX:int,threadGroupsY:int,threadGroupsZ:int):void;

		/**
		* UnityEngine.ComputeShader.DispatchIndirect
		*parameters:
		*  kernelIndex : System.Int32
		*  argsBuffer : UnityEngine.ComputeBuffer
		*/
		[native,unityengine_ComputeShader_dispatchIndirect];
		public final function dispatchIndirect(kernelIndex:int,argsBuffer:ComputeBuffer):void;

		/**
		* UnityEngine.ComputeShader.DispatchIndirect
		*parameters:
		*  kernelIndex : System.Int32
		*  argsBuffer : UnityEngine.ComputeBuffer
		*  argsOffset : System.UInt32
		*/
		[native,unityengine_ComputeShader_dispatchIndirect_];
		public final function dispatchIndirect_(kernelIndex:int,argsBuffer:ComputeBuffer,argsOffset:uint):void;


	}
}
