package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.Display
		*/
	[no_constructor]
	[link_system]
	public final class Display extends system._Object_
	{
		[creator];
		[native,unityengine_Display_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Display();
		//*********字段*******
		/**
		* UnityEngine.Display.displays
		*fieldtype:
		*   UnityEngine.Display[]
		*/
		[native, unityengine_Display_displays_getter,unityengine_Display_displays_setter];
		public static var displays:_Array_;

		//*********公共方法*******
		/**
		* UnityEngine.Display.get_renderingWidth
		*return:
		*   System.Int32
		*/
		[native,unityengine_Display_get_renderingWidth]
		public final function get renderingWidth():int;

		/**
		* UnityEngine.Display.get_renderingHeight
		*return:
		*   System.Int32
		*/
		[native,unityengine_Display_get_renderingHeight]
		public final function get renderingHeight():int;

		/**
		* UnityEngine.Display.get_systemWidth
		*return:
		*   System.Int32
		*/
		[native,unityengine_Display_get_systemWidth]
		public final function get systemWidth():int;

		/**
		* UnityEngine.Display.get_systemHeight
		*return:
		*   System.Int32
		*/
		[native,unityengine_Display_get_systemHeight]
		public final function get systemHeight():int;

		/**
		* UnityEngine.Display.get_colorBuffer
		*return:
		*   UnityEngine.RenderBuffer
		*/
		[native,unityengine_Display_get_colorBuffer]
		public final function get colorBuffer():RenderBuffer;

		/**
		* UnityEngine.Display.get_depthBuffer
		*return:
		*   UnityEngine.RenderBuffer
		*/
		[native,unityengine_Display_get_depthBuffer]
		public final function get depthBuffer():RenderBuffer;

		/**
		* UnityEngine.Display.get_active
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Display_get_active]
		public final function get active():Boolean;

		/**
		* UnityEngine.Display.Activate
		*/
		[native,unityengine_Display_activate];
		public final function activate():void;

		/**
		* UnityEngine.Display.Activate
		*parameters:
		*  width : System.Int32
		*  height : System.Int32
		*  refreshRate : System.Int32
		*/
		[native,unityengine_Display_activate_];
		public final function activate_(width:int,height:int,refreshRate:int):void;

		/**
		* UnityEngine.Display.SetParams
		*parameters:
		*  width : System.Int32
		*  height : System.Int32
		*  x : System.Int32
		*  y : System.Int32
		*/
		[native,unityengine_Display_setParams];
		public final function setParams(width:int,height:int,x:int,y:int):void;

		/**
		* UnityEngine.Display.SetRenderingResolution
		*parameters:
		*  w : System.Int32
		*  h : System.Int32
		*/
		[native,unityengine_Display_setRenderingResolution];
		public final function setRenderingResolution(w:int,h:int):void;

		/**
		* UnityEngine.Display.RelativeMouseAt
		*parameters:
		*  inputMouseCoordinates : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,static_unityengine_Display_relativeMouseAt];
		public static function relativeMouseAt(inputMouseCoordinates:Vector3):Vector3;

		/**
		* UnityEngine.Display.get_main
		*return:
		*   UnityEngine.Display
		*/
		[native,static_unityengine_Display_get_main]
		public static function get main():Display;

		/**
		* UnityEngine.Display.add_onDisplaysUpdated
		*parameters:
		*  value : UnityEngine.Display.DisplaysUpdatedDelegate [System.Void()]
		*/
		[native,static_unityengine_Display_onDisplaysUpdated_addEventListener];
		public static function onDisplaysUpdated_addEventListener(value:Display_DisplaysUpdatedDelegate):void;

		/**
		* UnityEngine.Display.remove_onDisplaysUpdated
		*parameters:
		*  value : UnityEngine.Display.DisplaysUpdatedDelegate [System.Void()]
		*/
		[native,static_unityengine_Display_onDisplaysUpdated_removeEventListener];
		public static function onDisplaysUpdated_removeEventListener(value:Display_DisplaysUpdatedDelegate):void;


	}
}
