package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.DynamicGI
		*/
	[link_system]
	public final class DynamicGI extends system._Object_
	{
		[creator];
		[native,unityengine_DynamicGI_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_DynamicGI_ctor];
		public function DynamicGI();


		//*********公共方法*******
		/**
		* UnityEngine.DynamicGI.get_indirectScale
		*return:
		*   System.Single
		*/
		[native,static_unityengine_DynamicGI_get_indirectScale]
		public static function get indirectScale():Number;

		/**
		* UnityEngine.DynamicGI.set_indirectScale
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_DynamicGI_set_indirectScale]
		public static function set indirectScale(value:Number):void;

		/**
		* UnityEngine.DynamicGI.get_updateThreshold
		*return:
		*   System.Single
		*/
		[native,static_unityengine_DynamicGI_get_updateThreshold]
		public static function get updateThreshold():Number;

		/**
		* UnityEngine.DynamicGI.set_updateThreshold
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_DynamicGI_set_updateThreshold]
		public static function set updateThreshold(value:Number):void;

		/**
		* UnityEngine.DynamicGI.SetEmissive
		*parameters:
		*  renderer : UnityEngine.Renderer
		*  color : UnityEngine.Color
		*/
		[native,static_unityengine_DynamicGI_setEmissive];
		public static function setEmissive(renderer:Renderer,color:Color):void;

		/**
		* UnityEngine.DynamicGI.SetEnvironmentData
		*parameters:
		*  input : System.Single[]
		*/
		[native,static_unityengine_DynamicGI_setEnvironmentData];
		public static function setEnvironmentData(input:_Array_):void;

		/**
		* UnityEngine.DynamicGI.UpdateEnvironment
		*/
		[native,static_unityengine_DynamicGI_updateEnvironment];
		public static function updateEnvironment():void;

		/**
		* UnityEngine.DynamicGI.get_synchronousMode
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_DynamicGI_get_synchronousMode]
		public static function get synchronousMode():Boolean;

		/**
		* UnityEngine.DynamicGI.set_synchronousMode
		*parameters:
		*  value : System.Boolean
		*/
		[native,static_unityengine_DynamicGI_set_synchronousMode]
		public static function set synchronousMode(value:Boolean):void;

		/**
		* UnityEngine.DynamicGI.get_isConverged
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_DynamicGI_get_isConverged]
		public static function get isConverged():Boolean;


	}
}
