package unityengine
{
	[no_constructor]
	[link_system]
	public final class EventType
	{
		[creator];
		[native,unityengine_EventType_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_EventType_ctor];
		public function EventType();

		/**
		 *MouseDown = UnityEngine.EventType MouseDown
		 */
		[native,unityengine_EventType_MouseDown_getter];
		public static const MouseDown:EventType;

		/**
		 *MouseUp = UnityEngine.EventType MouseUp
		 */
		[native,unityengine_EventType_MouseUp_getter];
		public static const MouseUp:EventType;

		/**
		 *MouseMove = UnityEngine.EventType MouseMove
		 */
		[native,unityengine_EventType_MouseMove_getter];
		public static const MouseMove:EventType;

		/**
		 *MouseDrag = UnityEngine.EventType MouseDrag
		 */
		[native,unityengine_EventType_MouseDrag_getter];
		public static const MouseDrag:EventType;

		/**
		 *KeyDown = UnityEngine.EventType KeyDown
		 */
		[native,unityengine_EventType_KeyDown_getter];
		public static const KeyDown:EventType;

		/**
		 *KeyUp = UnityEngine.EventType KeyUp
		 */
		[native,unityengine_EventType_KeyUp_getter];
		public static const KeyUp:EventType;

		/**
		 *ScrollWheel = UnityEngine.EventType ScrollWheel
		 */
		[native,unityengine_EventType_ScrollWheel_getter];
		public static const ScrollWheel:EventType;

		/**
		 *Repaint = UnityEngine.EventType Repaint
		 */
		[native,unityengine_EventType_Repaint_getter];
		public static const Repaint:EventType;

		/**
		 *Layout = UnityEngine.EventType Layout
		 */
		[native,unityengine_EventType_Layout_getter];
		public static const Layout:EventType;

		/**
		 *DragUpdated = UnityEngine.EventType DragUpdated
		 */
		[native,unityengine_EventType_DragUpdated_getter];
		public static const DragUpdated:EventType;

		/**
		 *DragPerform = UnityEngine.EventType DragPerform
		 */
		[native,unityengine_EventType_DragPerform_getter];
		public static const DragPerform:EventType;

		/**
		 *DragExited = UnityEngine.EventType DragExited
		 */
		[native,unityengine_EventType_DragExited_getter];
		public static const DragExited:EventType;

		/**
		 *Ignore = UnityEngine.EventType Ignore
		 */
		[native,unityengine_EventType_Ignore_getter];
		public static const Ignore:EventType;

		/**
		 *Used = UnityEngine.EventType Used
		 */
		[native,unityengine_EventType_Used_getter];
		public static const Used:EventType;

		/**
		 *ValidateCommand = UnityEngine.EventType ValidateCommand
		 */
		[native,unityengine_EventType_ValidateCommand_getter];
		public static const ValidateCommand:EventType;

		/**
		 *ExecuteCommand = UnityEngine.EventType ExecuteCommand
		 */
		[native,unityengine_EventType_ExecuteCommand_getter];
		public static const ExecuteCommand:EventType;

		/**
		 *ContextClick = UnityEngine.EventType ContextClick
		 */
		[native,unityengine_EventType_ContextClick_getter];
		public static const ContextClick:EventType;

		/**
		 *MouseEnterWindow = UnityEngine.EventType MouseEnterWindow
		 */
		[native,unityengine_EventType_MouseEnterWindow_getter];
		public static const MouseEnterWindow:EventType;

		/**
		 *MouseLeaveWindow = UnityEngine.EventType MouseLeaveWindow
		 */
		[native,unityengine_EventType_MouseLeaveWindow_getter];
		public static const MouseLeaveWindow:EventType;

		/**
		 *mouseDown = UnityEngine.EventType mouseDown
		 */
		[native,unityengine_EventType_mouseDown_getter];
		public static const mouseDown:EventType;

		/**
		 *mouseUp = UnityEngine.EventType mouseUp
		 */
		[native,unityengine_EventType_mouseUp_getter];
		public static const mouseUp:EventType;

		/**
		 *mouseMove = UnityEngine.EventType mouseMove
		 */
		[native,unityengine_EventType_mouseMove_getter];
		public static const mouseMove:EventType;

		/**
		 *mouseDrag = UnityEngine.EventType mouseDrag
		 */
		[native,unityengine_EventType_mouseDrag_getter];
		public static const mouseDrag:EventType;

		/**
		 *keyDown = UnityEngine.EventType keyDown
		 */
		[native,unityengine_EventType_keyDown_getter];
		public static const keyDown:EventType;

		/**
		 *keyUp = UnityEngine.EventType keyUp
		 */
		[native,unityengine_EventType_keyUp_getter];
		public static const keyUp:EventType;

		/**
		 *scrollWheel = UnityEngine.EventType scrollWheel
		 */
		[native,unityengine_EventType_scrollWheel_getter];
		public static const scrollWheel:EventType;

		/**
		 *repaint = UnityEngine.EventType repaint
		 */
		[native,unityengine_EventType_repaint_getter];
		public static const repaint:EventType;

		/**
		 *layout = UnityEngine.EventType layout
		 */
		[native,unityengine_EventType_layout_getter];
		public static const layout:EventType;

		/**
		 *dragUpdated = UnityEngine.EventType dragUpdated
		 */
		[native,unityengine_EventType_dragUpdated_getter];
		public static const dragUpdated:EventType;

		/**
		 *dragPerform = UnityEngine.EventType dragPerform
		 */
		[native,unityengine_EventType_dragPerform_getter];
		public static const dragPerform:EventType;

		/**
		 *ignore = UnityEngine.EventType ignore
		 */
		[native,unityengine_EventType_ignore_getter];
		public static const ignore:EventType;

		/**
		 *used = UnityEngine.EventType used
		 */
		[native,unityengine_EventType_used_getter];
		public static const used:EventType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_EventType_operator_bitOr];
		private static function bitOr(t1:EventType,t2:EventType):EventType;
	}
}
