package unityengine
{
	import system._Object_;
	import system._Array_;
	import as3runtime.RefOutStore;


		/**
		* Sealed
		*  UnityEngine.GeometryUtility
		*/
	[link_system]
	public final class GeometryUtility extends system._Object_
	{
		[creator];
		[native,unityengine_GeometryUtility_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_GeometryUtility_ctor];
		public function GeometryUtility();


		//*********公共方法*******
		/**
		* UnityEngine.GeometryUtility.TestPlanesAABB
		*parameters:
		*  planes : UnityEngine.Plane[]
		*  bounds : UnityEngine.Bounds
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_GeometryUtility_testPlanesAABB];
		public static function testPlanesAABB(planes:_Array_,bounds:Bounds):Boolean;

		/**
		* UnityEngine.GeometryUtility.TryCreatePlaneFromPolygon
		*parameters:
		*  vertices : UnityEngine.Vector3[]
		*  plane : (Out)UnityEngine.Plane
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_GeometryUtility_tryCreatePlaneFromPolygon];
		public static function tryCreatePlaneFromPolygon(vertices:_Array_,plane:Plane,refout:as3runtime.RefOutStore):Boolean;

		/**
		* UnityEngine.GeometryUtility.CalculateFrustumPlanes
		*parameters:
		*  camera : UnityEngine.Camera
		*return:
		*   UnityEngine.Plane[]
		*/
		[native,static_unityengine_GeometryUtility_calculateFrustumPlanes];
		public static function calculateFrustumPlanes(camera:Camera):_Array_;

		/**
		* UnityEngine.GeometryUtility.CalculateFrustumPlanes
		*parameters:
		*  worldToProjectionMatrix : UnityEngine.Matrix4x4
		*return:
		*   UnityEngine.Plane[]
		*/
		[native,static_unityengine_GeometryUtility_calculateFrustumPlanes_];
		public static function calculateFrustumPlanes_(worldToProjectionMatrix:Matrix4x4):_Array_;

		/**
		* UnityEngine.GeometryUtility.CalculateBounds
		*parameters:
		*  positions : UnityEngine.Vector3[]
		*  transform : UnityEngine.Matrix4x4
		*return:
		*   UnityEngine.Bounds
		*/
		[native,static_unityengine_GeometryUtility_calculateBounds];
		public static function calculateBounds(positions:_Array_,transform:Matrix4x4):Bounds;


	}
}
