package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.Gizmos
		*/
	[link_system]
	public final class Gizmos extends system._Object_
	{
		[creator];
		[native,unityengine_Gizmos_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Gizmos_ctor];
		public function Gizmos();


		//*********公共方法*******
		/**
		* UnityEngine.Gizmos.DrawRay
		*parameters:
		*  r : UnityEngine.Ray
		*/
		[native,static_unityengine_Gizmos_drawRay];
		public static function drawRay(r:Ray):void;

		/**
		* UnityEngine.Gizmos.DrawRay
		*parameters:
		*  from : UnityEngine.Vector3
		*  direction : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawRay_];
		public static function drawRay_(from:Vector3,direction:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawLine
		*parameters:
		*  from : UnityEngine.Vector3
		*  to : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawLine];
		public static function drawLine(from:Vector3,to:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawWireSphere
		*parameters:
		*  center : UnityEngine.Vector3
		*  radius : System.Single
		*/
		[native,static_unityengine_Gizmos_drawWireSphere];
		public static function drawWireSphere(center:Vector3,radius:Number):void;

		/**
		* UnityEngine.Gizmos.DrawSphere
		*parameters:
		*  center : UnityEngine.Vector3
		*  radius : System.Single
		*/
		[native,static_unityengine_Gizmos_drawSphere];
		public static function drawSphere(center:Vector3,radius:Number):void;

		/**
		* UnityEngine.Gizmos.DrawWireCube
		*parameters:
		*  center : UnityEngine.Vector3
		*  size : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawWireCube];
		public static function drawWireCube(center:Vector3,size:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawCube
		*parameters:
		*  center : UnityEngine.Vector3
		*  size : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawCube];
		public static function drawCube(center:Vector3,size:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*/
		[native,static_unityengine_Gizmos_drawMesh];
		public static function drawMesh(mesh:Mesh,position:Vector3,rotation:Quaternion):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  position : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawMesh_];
		public static function drawMesh_(mesh:Mesh,position:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*/
		[native,static_unityengine_Gizmos_drawMesh__];
		public static function drawMesh__(mesh:Mesh):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*  scale : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawMesh___];
		public static function drawMesh___(mesh:Mesh,position:Vector3,rotation:Quaternion,scale:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*  scale : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawMesh____];
		public static function drawMesh____(mesh:Mesh,submeshIndex:int,position:Vector3,rotation:Quaternion,scale:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*/
		[native,static_unityengine_Gizmos_drawMesh_____];
		public static function drawMesh_____(mesh:Mesh,submeshIndex:int,position:Vector3,rotation:Quaternion):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*  position : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawMesh______];
		public static function drawMesh______(mesh:Mesh,submeshIndex:int,position:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*/
		[native,static_unityengine_Gizmos_drawMesh_______];
		public static function drawMesh_______(mesh:Mesh,submeshIndex:int):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*/
		[native,static_unityengine_Gizmos_drawWireMesh];
		public static function drawWireMesh(mesh:Mesh,position:Vector3,rotation:Quaternion):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  position : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawWireMesh_];
		public static function drawWireMesh_(mesh:Mesh,position:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*/
		[native,static_unityengine_Gizmos_drawWireMesh__];
		public static function drawWireMesh__(mesh:Mesh):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*  scale : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawWireMesh___];
		public static function drawWireMesh___(mesh:Mesh,position:Vector3,rotation:Quaternion,scale:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*  scale : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawWireMesh____];
		public static function drawWireMesh____(mesh:Mesh,submeshIndex:int,position:Vector3,rotation:Quaternion,scale:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*  position : UnityEngine.Vector3
		*  rotation : UnityEngine.Quaternion
		*/
		[native,static_unityengine_Gizmos_drawWireMesh_____];
		public static function drawWireMesh_____(mesh:Mesh,submeshIndex:int,position:Vector3,rotation:Quaternion):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*  position : UnityEngine.Vector3
		*/
		[native,static_unityengine_Gizmos_drawWireMesh______];
		public static function drawWireMesh______(mesh:Mesh,submeshIndex:int,position:Vector3):void;

		/**
		* UnityEngine.Gizmos.DrawWireMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*  submeshIndex : System.Int32
		*/
		[native,static_unityengine_Gizmos_drawWireMesh_______];
		public static function drawWireMesh_______(mesh:Mesh,submeshIndex:int):void;

		/**
		* UnityEngine.Gizmos.DrawIcon
		*parameters:
		*  center : UnityEngine.Vector3
		*  name : System.String
		*  allowScaling : System.Boolean
		*/
		[native,static_unityengine_Gizmos_drawIcon];
		public static function drawIcon(center:Vector3,name:String,allowScaling:Boolean):void;

		/**
		* UnityEngine.Gizmos.DrawIcon
		*parameters:
		*  center : UnityEngine.Vector3
		*  name : System.String
		*/
		[native,static_unityengine_Gizmos_drawIcon_];
		public static function drawIcon_(center:Vector3,name:String):void;

		/**
		* UnityEngine.Gizmos.DrawGUITexture
		*parameters:
		*  screenRect : UnityEngine.Rect
		*  texture : UnityEngine.Texture
		*/
		[native,static_unityengine_Gizmos_drawGUITexture];
		public static function drawGUITexture(screenRect:Rect,texture:Texture):void;

		/**
		* UnityEngine.Gizmos.DrawGUITexture
		*parameters:
		*  screenRect : UnityEngine.Rect
		*  texture : UnityEngine.Texture
		*  mat : UnityEngine.Material
		*/
		[native,static_unityengine_Gizmos_drawGUITexture_];
		public static function drawGUITexture_(screenRect:Rect,texture:Texture,mat:Material):void;

		/**
		* UnityEngine.Gizmos.DrawGUITexture
		*parameters:
		*  screenRect : UnityEngine.Rect
		*  texture : UnityEngine.Texture
		*  leftBorder : System.Int32
		*  rightBorder : System.Int32
		*  topBorder : System.Int32
		*  bottomBorder : System.Int32
		*  mat : UnityEngine.Material
		*/
		[native,static_unityengine_Gizmos_drawGUITexture__];
		public static function drawGUITexture__(screenRect:Rect,texture:Texture,leftBorder:int,rightBorder:int,topBorder:int,bottomBorder:int,mat:Material):void;

		/**
		* UnityEngine.Gizmos.DrawGUITexture
		*parameters:
		*  screenRect : UnityEngine.Rect
		*  texture : UnityEngine.Texture
		*  leftBorder : System.Int32
		*  rightBorder : System.Int32
		*  topBorder : System.Int32
		*  bottomBorder : System.Int32
		*/
		[native,static_unityengine_Gizmos_drawGUITexture___];
		public static function drawGUITexture___(screenRect:Rect,texture:Texture,leftBorder:int,rightBorder:int,topBorder:int,bottomBorder:int):void;

		/**
		* UnityEngine.Gizmos.get_color
		*return:
		*   UnityEngine.Color
		*/
		[native,static_unityengine_Gizmos_get_color]
		public static function get color():Color;

		/**
		* UnityEngine.Gizmos.set_color
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,static_unityengine_Gizmos_set_color]
		public static function set color(value:Color):void;

		/**
		* UnityEngine.Gizmos.get_matrix
		*return:
		*   UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Gizmos_get_matrix]
		public static function get matrix():Matrix4x4;

		/**
		* UnityEngine.Gizmos.set_matrix
		*parameters:
		*  value : UnityEngine.Matrix4x4
		*/
		[native,static_unityengine_Gizmos_set_matrix]
		public static function set matrix(value:Matrix4x4):void;

		/**
		* UnityEngine.Gizmos.DrawFrustum
		*parameters:
		*  center : UnityEngine.Vector3
		*  fov : System.Single
		*  maxRange : System.Single
		*  minRange : System.Single
		*  aspect : System.Single
		*/
		[native,static_unityengine_Gizmos_drawFrustum];
		public static function drawFrustum(center:Vector3,fov:Number,maxRange:Number,minRange:Number,aspect:Number):void;


	}
}
