package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.HostData
		*/
	[link_system]
	public final class HostData extends system._Object_
	{
		[creator];
		[native,unityengine_HostData_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_HostData_ctor];
		public function HostData();


		//*********公共方法*******
		/**
		* UnityEngine.HostData.get_useNat
		*return:
		*   System.Boolean
		*/
		[native,unityengine_HostData_get_useNat]
		public final function get useNat():Boolean;

		/**
		* UnityEngine.HostData.set_useNat
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_HostData_set_useNat]
		public final function set useNat(value:Boolean):void;

		/**
		* UnityEngine.HostData.get_gameType
		*return:
		*   System.String
		*/
		[native,unityengine_HostData_get_gameType]
		public final function get gameType():String;

		/**
		* UnityEngine.HostData.set_gameType
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_HostData_set_gameType]
		public final function set gameType(value:String):void;

		/**
		* UnityEngine.HostData.get_gameName
		*return:
		*   System.String
		*/
		[native,unityengine_HostData_get_gameName]
		public final function get gameName():String;

		/**
		* UnityEngine.HostData.set_gameName
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_HostData_set_gameName]
		public final function set gameName(value:String):void;

		/**
		* UnityEngine.HostData.get_connectedPlayers
		*return:
		*   System.Int32
		*/
		[native,unityengine_HostData_get_connectedPlayers]
		public final function get connectedPlayers():int;

		/**
		* UnityEngine.HostData.set_connectedPlayers
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_HostData_set_connectedPlayers]
		public final function set connectedPlayers(value:int):void;

		/**
		* UnityEngine.HostData.get_playerLimit
		*return:
		*   System.Int32
		*/
		[native,unityengine_HostData_get_playerLimit]
		public final function get playerLimit():int;

		/**
		* UnityEngine.HostData.set_playerLimit
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_HostData_set_playerLimit]
		public final function set playerLimit(value:int):void;

		/**
		* UnityEngine.HostData.get_ip
		*return:
		*   System.String[]
		*/
		[native,unityengine_HostData_get_ip]
		public final function get ip():_Array_;

		/**
		* UnityEngine.HostData.set_ip
		*parameters:
		*  value : System.String[]
		*/
		[native,unityengine_HostData_set_ip]
		public final function set ip(value:_Array_):void;

		/**
		* UnityEngine.HostData.get_port
		*return:
		*   System.Int32
		*/
		[native,unityengine_HostData_get_port]
		public final function get port():int;

		/**
		* UnityEngine.HostData.set_port
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_HostData_set_port]
		public final function set port(value:int):void;

		/**
		* UnityEngine.HostData.get_passwordProtected
		*return:
		*   System.Boolean
		*/
		[native,unityengine_HostData_get_passwordProtected]
		public final function get passwordProtected():Boolean;

		/**
		* UnityEngine.HostData.set_passwordProtected
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_HostData_set_passwordProtected]
		public final function set passwordProtected(value:Boolean):void;

		/**
		* UnityEngine.HostData.get_comment
		*return:
		*   System.String
		*/
		[native,unityengine_HostData_get_comment]
		public final function get comment():String;

		/**
		* UnityEngine.HostData.set_comment
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_HostData_set_comment]
		public final function set comment(value:String):void;

		/**
		* UnityEngine.HostData.get_guid
		*return:
		*   System.String
		*/
		[native,unityengine_HostData_get_guid]
		public final function get guid():String;

		/**
		* UnityEngine.HostData.set_guid
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_HostData_set_guid]
		public final function set guid(value:String):void;


	}
}
