package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.JointMotor
		*/
	[struct]
	[link_system]
	public final class JointMotor extends system._Object_
	{
		[creator];
		[native,unityengine_JointMotor_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_JointMotor_ctor];
		public function JointMotor();
		//*********公共方法*******
		/**
		* UnityEngine.JointMotor.get_targetVelocity
		*return:
		*   System.Single
		*/
		[native,unityengine_JointMotor_get_targetVelocity]
		public final function get targetVelocity():Number;

		/**
		* UnityEngine.JointMotor.set_targetVelocity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_JointMotor_set_targetVelocity]
		public final function set targetVelocity(value:Number):void;

		/**
		* UnityEngine.JointMotor.get_force
		*return:
		*   System.Single
		*/
		[native,unityengine_JointMotor_get_force]
		public final function get force():Number;

		/**
		* UnityEngine.JointMotor.set_force
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_JointMotor_set_force]
		public final function set force(value:Number):void;

		/**
		* UnityEngine.JointMotor.get_freeSpin
		*return:
		*   System.Boolean
		*/
		[native,unityengine_JointMotor_get_freeSpin]
		public final function get freeSpin():Boolean;

		/**
		* UnityEngine.JointMotor.set_freeSpin
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_JointMotor_set_freeSpin]
		public final function set freeSpin(value:Boolean):void;


	}
}
