package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Keyframe
		*/
	[struct]
	[link_system]
	public final class Keyframe extends system._Object_
	{
		[creator];
		[native,unityengine_Keyframe_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Keyframe_constructor_];
		public static function constructor_(time:Number,value:Number,inTangent:Number,outTangent:Number):Keyframe;

		[native,unityengine_Keyframe_ctor];
		public function Keyframe(time:Number,value:Number);


		//*********公共方法*******
		/**
		* UnityEngine.Keyframe.get_time
		*return:
		*   System.Single
		*/
		[native,unityengine_Keyframe_get_time]
		public final function get time():Number;

		/**
		* UnityEngine.Keyframe.set_time
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Keyframe_set_time]
		public final function set time(value:Number):void;

		/**
		* UnityEngine.Keyframe.get_value
		*return:
		*   System.Single
		*/
		[native,unityengine_Keyframe_get_value]
		public final function get value():Number;

		/**
		* UnityEngine.Keyframe.set_value
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Keyframe_set_value]
		public final function set value(value:Number):void;

		/**
		* UnityEngine.Keyframe.get_inTangent
		*return:
		*   System.Single
		*/
		[native,unityengine_Keyframe_get_inTangent]
		public final function get inTangent():Number;

		/**
		* UnityEngine.Keyframe.set_inTangent
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Keyframe_set_inTangent]
		public final function set inTangent(value:Number):void;

		/**
		* UnityEngine.Keyframe.get_outTangent
		*return:
		*   System.Single
		*/
		[native,unityengine_Keyframe_get_outTangent]
		public final function get outTangent():Number;

		/**
		* UnityEngine.Keyframe.set_outTangent
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Keyframe_set_outTangent]
		public final function set outTangent(value:Number):void;

		/**
		* UnityEngine.Keyframe.get_tangentMode
		*return:
		*   System.Int32
		*/
		[native,unityengine_Keyframe_get_tangentMode]
		public final function get tangentMode():int;

		/**
		* UnityEngine.Keyframe.set_tangentMode
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Keyframe_set_tangentMode]
		public final function set tangentMode(value:int):void;


	}
}
