package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.LODGroup
		*/
	[link_system]
	public final class LODGroup extends Component
	{
		[creator];
		[native,unityengine_LODGroup_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_LODGroup_ctor];
		public function LODGroup();


		//*********公共方法*******
		/**
		* UnityEngine.LODGroup.get_localReferencePoint
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_LODGroup_get_localReferencePoint]
		public final function get localReferencePoint():Vector3;

		/**
		* UnityEngine.LODGroup.set_localReferencePoint
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_LODGroup_set_localReferencePoint]
		public final function set localReferencePoint(value:Vector3):void;

		/**
		* UnityEngine.LODGroup.get_size
		*return:
		*   System.Single
		*/
		[native,unityengine_LODGroup_get_size]
		public final function get size():Number;

		/**
		* UnityEngine.LODGroup.set_size
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_LODGroup_set_size]
		public final function set size(value:Number):void;

		/**
		* UnityEngine.LODGroup.get_lodCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_LODGroup_get_lodCount]
		public final function get lodCount():int;

		/**
		* UnityEngine.LODGroup.get_fadeMode
		*return:
		*   UnityEngine.LODFadeMode
		*/
		[native,unityengine_LODGroup_get_fadeMode]
		public final function get fadeMode():LODFadeMode;

		/**
		* UnityEngine.LODGroup.set_fadeMode
		*parameters:
		*  value : UnityEngine.LODFadeMode
		*/
		[native,unityengine_LODGroup_set_fadeMode]
		public final function set fadeMode(value:LODFadeMode):void;

		/**
		* UnityEngine.LODGroup.get_animateCrossFading
		*return:
		*   System.Boolean
		*/
		[native,unityengine_LODGroup_get_animateCrossFading]
		public final function get animateCrossFading():Boolean;

		/**
		* UnityEngine.LODGroup.set_animateCrossFading
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_LODGroup_set_animateCrossFading]
		public final function set animateCrossFading(value:Boolean):void;

		/**
		* UnityEngine.LODGroup.get_enabled
		*return:
		*   System.Boolean
		*/
		[native,unityengine_LODGroup_get_enabled]
		public final function get enabled():Boolean;

		/**
		* UnityEngine.LODGroup.set_enabled
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_LODGroup_set_enabled]
		public final function set enabled(value:Boolean):void;

		/**
		* UnityEngine.LODGroup.RecalculateBounds
		*/
		[native,unityengine_LODGroup_recalculateBounds];
		public final function recalculateBounds():void;

		/**
		* UnityEngine.LODGroup.GetLODs
		*return:
		*   UnityEngine.LOD[]
		*/
		[native,unityengine_LODGroup_getLODs];
		public final function getLODs():_Array_;

		/**
		* UnityEngine.LODGroup.SetLODs
		*parameters:
		*  lods : UnityEngine.LOD[]
		*/
		[native,unityengine_LODGroup_setLODs];
		public final function setLODs(lods:_Array_):void;

		/**
		* UnityEngine.LODGroup.ForceLOD
		*parameters:
		*  index : System.Int32
		*/
		[native,unityengine_LODGroup_forceLOD];
		public final function forceLOD(index:int):void;

		/**
		* UnityEngine.LODGroup.get_crossFadeAnimationDuration
		*return:
		*   System.Single
		*/
		[native,static_unityengine_LODGroup_get_crossFadeAnimationDuration]
		public static function get crossFadeAnimationDuration():Number;

		/**
		* UnityEngine.LODGroup.set_crossFadeAnimationDuration
		*parameters:
		*  value : System.Single
		*/
		[native,static_unityengine_LODGroup_set_crossFadeAnimationDuration]
		public static function set crossFadeAnimationDuration(value:Number):void;


	}
}
