package unityengine
{
	import unityengine.rendering.LightShadowResolution;
	import unityengine.rendering.LightEvent;
	import unityengine.rendering.CommandBuffer;
	import unityengine.rendering.ShadowMapPass;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.Light
		*/
	[link_system]
	public final class Light extends Behaviour
	{
		[creator];
		[native,unityengine_Light_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Light_ctor];
		public function Light();


		//*********公共方法*******
		/**
		* UnityEngine.Light.get_type
		*return:
		*   UnityEngine.LightType
		*/
		[native,unityengine_Light_get_type]
		public final function get type():LightType;

		/**
		* UnityEngine.Light.set_type
		*parameters:
		*  value : UnityEngine.LightType
		*/
		[native,unityengine_Light_set_type]
		public final function set type(value:LightType):void;

		/**
		* UnityEngine.Light.get_color
		*return:
		*   UnityEngine.Color
		*/
		[native,unityengine_Light_get_color]
		public final function get color():Color;

		/**
		* UnityEngine.Light.set_color
		*parameters:
		*  value : UnityEngine.Color
		*/
		[native,unityengine_Light_set_color]
		public final function set color(value:Color):void;

		/**
		* UnityEngine.Light.get_colorTemperature
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_colorTemperature]
		public final function get colorTemperature():Number;

		/**
		* UnityEngine.Light.set_colorTemperature
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_colorTemperature]
		public final function set colorTemperature(value:Number):void;

		/**
		* UnityEngine.Light.get_intensity
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_intensity]
		public final function get intensity():Number;

		/**
		* UnityEngine.Light.set_intensity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_intensity]
		public final function set intensity(value:Number):void;

		/**
		* UnityEngine.Light.get_bounceIntensity
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_bounceIntensity]
		public final function get bounceIntensity():Number;

		/**
		* UnityEngine.Light.set_bounceIntensity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_bounceIntensity]
		public final function set bounceIntensity(value:Number):void;

		/**
		* UnityEngine.Light.get_shadows
		*return:
		*   UnityEngine.LightShadows
		*/
		[native,unityengine_Light_get_shadows]
		public final function get shadows():LightShadows;

		/**
		* UnityEngine.Light.set_shadows
		*parameters:
		*  value : UnityEngine.LightShadows
		*/
		[native,unityengine_Light_set_shadows]
		public final function set shadows(value:LightShadows):void;

		/**
		* UnityEngine.Light.get_shadowStrength
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_shadowStrength]
		public final function get shadowStrength():Number;

		/**
		* UnityEngine.Light.set_shadowStrength
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_shadowStrength]
		public final function set shadowStrength(value:Number):void;

		/**
		* UnityEngine.Light.get_shadowResolution
		*return:
		*   UnityEngine.Rendering.LightShadowResolution
		*/
		[native,unityengine_Light_get_shadowResolution]
		public final function get shadowResolution():unityengine.rendering.LightShadowResolution;

		/**
		* UnityEngine.Light.set_shadowResolution
		*parameters:
		*  value : UnityEngine.Rendering.LightShadowResolution
		*/
		[native,unityengine_Light_set_shadowResolution]
		public final function set shadowResolution(value:unityengine.rendering.LightShadowResolution):void;

		/**
		* UnityEngine.Light.get_shadowCustomResolution
		*return:
		*   System.Int32
		*/
		[native,unityengine_Light_get_shadowCustomResolution]
		public final function get shadowCustomResolution():int;

		/**
		* UnityEngine.Light.set_shadowCustomResolution
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Light_set_shadowCustomResolution]
		public final function set shadowCustomResolution(value:int):void;

		/**
		* UnityEngine.Light.get_shadowBias
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_shadowBias]
		public final function get shadowBias():Number;

		/**
		* UnityEngine.Light.set_shadowBias
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_shadowBias]
		public final function set shadowBias(value:Number):void;

		/**
		* UnityEngine.Light.get_shadowNormalBias
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_shadowNormalBias]
		public final function get shadowNormalBias():Number;

		/**
		* UnityEngine.Light.set_shadowNormalBias
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_shadowNormalBias]
		public final function set shadowNormalBias(value:Number):void;

		/**
		* UnityEngine.Light.get_shadowNearPlane
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_shadowNearPlane]
		public final function get shadowNearPlane():Number;

		/**
		* UnityEngine.Light.set_shadowNearPlane
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_shadowNearPlane]
		public final function set shadowNearPlane(value:Number):void;

		/**
		* UnityEngine.Light.get_range
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_range]
		public final function get range():Number;

		/**
		* UnityEngine.Light.set_range
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_range]
		public final function set range(value:Number):void;

		/**
		* UnityEngine.Light.get_spotAngle
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_spotAngle]
		public final function get spotAngle():Number;

		/**
		* UnityEngine.Light.set_spotAngle
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_spotAngle]
		public final function set spotAngle(value:Number):void;

		/**
		* UnityEngine.Light.get_cookieSize
		*return:
		*   System.Single
		*/
		[native,unityengine_Light_get_cookieSize]
		public final function get cookieSize():Number;

		/**
		* UnityEngine.Light.set_cookieSize
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Light_set_cookieSize]
		public final function set cookieSize(value:Number):void;

		/**
		* UnityEngine.Light.get_cookie
		*return:
		*   UnityEngine.Texture
		*/
		[native,unityengine_Light_get_cookie]
		public final function get cookie():Texture;

		/**
		* UnityEngine.Light.set_cookie
		*parameters:
		*  value : UnityEngine.Texture
		*/
		[native,unityengine_Light_set_cookie]
		public final function set cookie(value:Texture):void;

		/**
		* UnityEngine.Light.get_flare
		*return:
		*   UnityEngine.Flare
		*/
		[native,unityengine_Light_get_flare]
		public final function get flare():Flare;

		/**
		* UnityEngine.Light.set_flare
		*parameters:
		*  value : UnityEngine.Flare
		*/
		[native,unityengine_Light_set_flare]
		public final function set flare(value:Flare):void;

		/**
		* UnityEngine.Light.get_renderMode
		*return:
		*   UnityEngine.LightRenderMode
		*/
		[native,unityengine_Light_get_renderMode]
		public final function get renderMode():LightRenderMode;

		/**
		* UnityEngine.Light.set_renderMode
		*parameters:
		*  value : UnityEngine.LightRenderMode
		*/
		[native,unityengine_Light_set_renderMode]
		public final function set renderMode(value:LightRenderMode):void;

		/**
		* UnityEngine.Light.get_alreadyLightmapped
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Light_get_alreadyLightmapped]
		public final function get alreadyLightmapped():Boolean;

		/**
		* UnityEngine.Light.set_alreadyLightmapped
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Light_set_alreadyLightmapped]
		public final function set alreadyLightmapped(value:Boolean):void;

		/**
		* UnityEngine.Light.get_isBaked
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Light_get_isBaked]
		public final function get isBaked():Boolean;

		/**
		* UnityEngine.Light.get_cullingMask
		*return:
		*   System.Int32
		*/
		[native,unityengine_Light_get_cullingMask]
		public final function get cullingMask():int;

		/**
		* UnityEngine.Light.set_cullingMask
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Light_set_cullingMask]
		public final function set cullingMask(value:int):void;

		/**
		* UnityEngine.Light.AddCommandBuffer
		*parameters:
		*  evt : UnityEngine.Rendering.LightEvent
		*  buffer : UnityEngine.Rendering.CommandBuffer
		*/
		[native,unityengine_Light_addCommandBuffer];
		public final function addCommandBuffer(evt:unityengine.rendering.LightEvent,buffer:unityengine.rendering.CommandBuffer):void;

		/**
		* UnityEngine.Light.AddCommandBuffer
		*parameters:
		*  evt : UnityEngine.Rendering.LightEvent
		*  buffer : UnityEngine.Rendering.CommandBuffer
		*  shadowPassMask : UnityEngine.Rendering.ShadowMapPass
		*/
		[native,unityengine_Light_addCommandBuffer_];
		public final function addCommandBuffer_(evt:unityengine.rendering.LightEvent,buffer:unityengine.rendering.CommandBuffer,shadowPassMask:unityengine.rendering.ShadowMapPass):void;

		/**
		* UnityEngine.Light.RemoveCommandBuffer
		*parameters:
		*  evt : UnityEngine.Rendering.LightEvent
		*  buffer : UnityEngine.Rendering.CommandBuffer
		*/
		[native,unityengine_Light_removeCommandBuffer];
		public final function removeCommandBuffer(evt:unityengine.rendering.LightEvent,buffer:unityengine.rendering.CommandBuffer):void;

		/**
		* UnityEngine.Light.RemoveCommandBuffers
		*parameters:
		*  evt : UnityEngine.Rendering.LightEvent
		*/
		[native,unityengine_Light_removeCommandBuffers];
		public final function removeCommandBuffers(evt:unityengine.rendering.LightEvent):void;

		/**
		* UnityEngine.Light.RemoveAllCommandBuffers
		*/
		[native,unityengine_Light_removeAllCommandBuffers];
		public final function removeAllCommandBuffers():void;

		/**
		* UnityEngine.Light.GetCommandBuffers
		*parameters:
		*  evt : UnityEngine.Rendering.LightEvent
		*return:
		*   UnityEngine.Rendering.CommandBuffer[]
		*/
		[native,unityengine_Light_getCommandBuffers];
		public final function getCommandBuffers(evt:unityengine.rendering.LightEvent):_Array_;

		/**
		* UnityEngine.Light.get_commandBufferCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Light_get_commandBufferCount]
		public final function get commandBufferCount():int;

		/**
		* UnityEngine.Light.GetLights
		*parameters:
		*  type : UnityEngine.LightType
		*  layer : System.Int32
		*return:
		*   UnityEngine.Light[]
		*/
		[native,static_unityengine_Light_getLights];
		public static function getLights(type:LightType,layer:int):_Array_;


	}
}
