package unityengine
{
	[no_constructor]
	[link_system]
	public final class LogType
	{
		[creator];
		[native,unityengine_LogType_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_LogType_ctor];
		public function LogType();

		/**
		 *Error = UnityEngine.LogType Error
		 */
		[native,unityengine_LogType_Error_getter];
		public static const Error:LogType;

		/**
		 *Assert = UnityEngine.LogType Assert
		 */
		[native,unityengine_LogType_Assert_getter];
		public static const Assert:LogType;

		/**
		 *Warning = UnityEngine.LogType Warning
		 */
		[native,unityengine_LogType_Warning_getter];
		public static const Warning:LogType;

		/**
		 *Log = UnityEngine.LogType Log
		 */
		[native,unityengine_LogType_Log_getter];
		public static const Log:LogType;

		/**
		 *Exception = UnityEngine.LogType Exception
		 */
		[native,unityengine_LogType_Exception_getter];
		public static const Exception:LogType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_LogType_operator_bitOr];
		private static function bitOr(t1:LogType,t2:LogType):LogType;
	}
}
