package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.MasterServer
		*/
	[link_system]
	public final class MasterServer extends system._Object_
	{
		[creator];
		[native,unityengine_MasterServer_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_MasterServer_ctor];
		public function MasterServer();


		//*********公共方法*******
		/**
		* UnityEngine.MasterServer.get_ipAddress
		*return:
		*   System.String
		*/
		[native,static_unityengine_MasterServer_get_ipAddress]
		public static function get ipAddress():String;

		/**
		* UnityEngine.MasterServer.set_ipAddress
		*parameters:
		*  value : System.String
		*/
		[native,static_unityengine_MasterServer_set_ipAddress]
		public static function set ipAddress(value:String):void;

		/**
		* UnityEngine.MasterServer.get_port
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_MasterServer_get_port]
		public static function get port():int;

		/**
		* UnityEngine.MasterServer.set_port
		*parameters:
		*  value : System.Int32
		*/
		[native,static_unityengine_MasterServer_set_port]
		public static function set port(value:int):void;

		/**
		* UnityEngine.MasterServer.RequestHostList
		*parameters:
		*  gameTypeName : System.String
		*/
		[native,static_unityengine_MasterServer_requestHostList];
		public static function requestHostList(gameTypeName:String):void;

		/**
		* UnityEngine.MasterServer.PollHostList
		*return:
		*   UnityEngine.HostData[]
		*/
		[native,static_unityengine_MasterServer_pollHostList];
		public static function pollHostList():_Array_;

		/**
		* UnityEngine.MasterServer.RegisterHost
		*parameters:
		*  gameTypeName : System.String
		*  gameName : System.String
		*  comment : System.String
		*/
		[native,static_unityengine_MasterServer_registerHost];
		public static function registerHost(gameTypeName:String,gameName:String,comment:String):void;

		/**
		* UnityEngine.MasterServer.RegisterHost
		*parameters:
		*  gameTypeName : System.String
		*  gameName : System.String
		*/
		[native,static_unityengine_MasterServer_registerHost_];
		public static function registerHost_(gameTypeName:String,gameName:String):void;

		/**
		* UnityEngine.MasterServer.UnregisterHost
		*/
		[native,static_unityengine_MasterServer_unregisterHost];
		public static function unregisterHost():void;

		/**
		* UnityEngine.MasterServer.ClearHostList
		*/
		[native,static_unityengine_MasterServer_clearHostList];
		public static function clearHostList():void;

		/**
		* UnityEngine.MasterServer.get_updateRate
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_MasterServer_get_updateRate]
		public static function get updateRate():int;

		/**
		* UnityEngine.MasterServer.set_updateRate
		*parameters:
		*  value : System.Int32
		*/
		[native,static_unityengine_MasterServer_set_updateRate]
		public static function set updateRate(value:int):void;

		/**
		* UnityEngine.MasterServer.get_dedicatedServer
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_MasterServer_get_dedicatedServer]
		public static function get dedicatedServer():Boolean;

		/**
		* UnityEngine.MasterServer.set_dedicatedServer
		*parameters:
		*  value : System.Boolean
		*/
		[native,static_unityengine_MasterServer_set_dedicatedServer]
		public static function set dedicatedServer(value:Boolean):void;


	}
}
