package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Pose
		*/
	[struct]
	[link_system]
	public final class Pose extends system._Object_
	{
		[creator];
		[native,unityengine_Pose_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Pose_ctor];
		public function Pose(position:Vector3,rotation:Quaternion);


		//*********字段*******
		/**
		* UnityEngine.Pose.position
		*fieldtype:
		*   UnityEngine.Vector3
		*/
		[native, unityengine_Pose_position_getter,unityengine_Pose_position_setter];
		public var position:Vector3;
		/**
		* UnityEngine.Pose.rotation
		*fieldtype:
		*   UnityEngine.Quaternion
		*/
		[native, unityengine_Pose_rotation_getter,unityengine_Pose_rotation_setter];
		public var rotation:Quaternion;

		//*********公共方法*******
		/**
		* UnityEngine.Pose.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Pose_toString___];
		public final function toString___(format:String):String;

		/**
		* UnityEngine.Pose.GetTransformedBy
		*parameters:
		*  lhs : UnityEngine.Pose
		*return:
		*   UnityEngine.Pose
		*/
		[native,unityengine_Pose_getTransformedBy];
		public final function getTransformedBy(lhs:Pose):Pose;

		/**
		* UnityEngine.Pose.GetTransformedBy
		*parameters:
		*  lhs : UnityEngine.Transform
		*return:
		*   UnityEngine.Pose
		*/
		[native,unityengine_Pose_getTransformedBy_];
		public final function getTransformedBy_(lhs:Transform):Pose;

		/**
		* UnityEngine.Pose.get_forward
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Pose_get_forward]
		public final function get forward():Vector3;

		/**
		* UnityEngine.Pose.get_right
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Pose_get_right]
		public final function get right():Vector3;

		/**
		* UnityEngine.Pose.get_up
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Pose_get_up]
		public final function get up():Vector3;

		/**
		* UnityEngine.Pose.get_identity
		*return:
		*   UnityEngine.Pose
		*/
		[native,static_unityengine_Pose_get_identity]
		public static function get identity():Pose;


	}
}
