package unityengine
{
	[no_constructor]
	[link_system]
	public final class PrimitiveType
	{
		[creator];
		[native,unityengine_PrimitiveType_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_PrimitiveType_ctor];
		public function PrimitiveType();

		/**
		 *Sphere = UnityEngine.PrimitiveType Sphere
		 */
		[native,unityengine_PrimitiveType_Sphere_getter];
		public static const Sphere:PrimitiveType;

		/**
		 *Capsule = UnityEngine.PrimitiveType Capsule
		 */
		[native,unityengine_PrimitiveType_Capsule_getter];
		public static const Capsule:PrimitiveType;

		/**
		 *Cylinder = UnityEngine.PrimitiveType Cylinder
		 */
		[native,unityengine_PrimitiveType_Cylinder_getter];
		public static const Cylinder:PrimitiveType;

		/**
		 *Cube = UnityEngine.PrimitiveType Cube
		 */
		[native,unityengine_PrimitiveType_Cube_getter];
		public static const Cube:PrimitiveType;

		/**
		 *Plane = UnityEngine.PrimitiveType Plane
		 */
		[native,unityengine_PrimitiveType_Plane_getter];
		public static const Plane:PrimitiveType;

		/**
		 *Quad = UnityEngine.PrimitiveType Quad
		 */
		[native,unityengine_PrimitiveType_Quad_getter];
		public static const Quad:PrimitiveType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_PrimitiveType_operator_bitOr];
		private static function bitOr(t1:PrimitiveType,t2:PrimitiveType):PrimitiveType;
	}
}
