package unityengine
{


		/**
		* Sealed
		*  UnityEngine.Projector
		*/
	[link_system]
	public final class Projector extends Behaviour
	{
		[creator];
		[native,unityengine_Projector_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Projector_ctor];
		public function Projector();


		//*********公共方法*******
		/**
		* UnityEngine.Projector.get_nearClipPlane
		*return:
		*   System.Single
		*/
		[native,unityengine_Projector_get_nearClipPlane]
		public final function get nearClipPlane():Number;

		/**
		* UnityEngine.Projector.set_nearClipPlane
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Projector_set_nearClipPlane]
		public final function set nearClipPlane(value:Number):void;

		/**
		* UnityEngine.Projector.get_farClipPlane
		*return:
		*   System.Single
		*/
		[native,unityengine_Projector_get_farClipPlane]
		public final function get farClipPlane():Number;

		/**
		* UnityEngine.Projector.set_farClipPlane
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Projector_set_farClipPlane]
		public final function set farClipPlane(value:Number):void;

		/**
		* UnityEngine.Projector.get_fieldOfView
		*return:
		*   System.Single
		*/
		[native,unityengine_Projector_get_fieldOfView]
		public final function get fieldOfView():Number;

		/**
		* UnityEngine.Projector.set_fieldOfView
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Projector_set_fieldOfView]
		public final function set fieldOfView(value:Number):void;

		/**
		* UnityEngine.Projector.get_aspectRatio
		*return:
		*   System.Single
		*/
		[native,unityengine_Projector_get_aspectRatio]
		public final function get aspectRatio():Number;

		/**
		* UnityEngine.Projector.set_aspectRatio
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Projector_set_aspectRatio]
		public final function set aspectRatio(value:Number):void;

		/**
		* UnityEngine.Projector.get_orthographic
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Projector_get_orthographic]
		public final function get orthographic():Boolean;

		/**
		* UnityEngine.Projector.set_orthographic
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Projector_set_orthographic]
		public final function set orthographic(value:Boolean):void;

		/**
		* UnityEngine.Projector.get_orthographicSize
		*return:
		*   System.Single
		*/
		[native,unityengine_Projector_get_orthographicSize]
		public final function get orthographicSize():Number;

		/**
		* UnityEngine.Projector.set_orthographicSize
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Projector_set_orthographicSize]
		public final function set orthographicSize(value:Number):void;

		/**
		* UnityEngine.Projector.get_ignoreLayers
		*return:
		*   System.Int32
		*/
		[native,unityengine_Projector_get_ignoreLayers]
		public final function get ignoreLayers():int;

		/**
		* UnityEngine.Projector.set_ignoreLayers
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Projector_set_ignoreLayers]
		public final function set ignoreLayers(value:int):void;

		/**
		* UnityEngine.Projector.get_material
		*return:
		*   UnityEngine.Material
		*/
		[native,unityengine_Projector_get_material]
		public final function get material():Material;

		/**
		* UnityEngine.Projector.set_material
		*parameters:
		*  value : UnityEngine.Material
		*/
		[native,unityengine_Projector_set_material]
		public final function set material(value:Material):void;


	}
}
