package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.PropertyName
		*/
	[struct]
	[link_system]
	public final class PropertyName extends system._Object_
	{
		[creator];
		[native,unityengine_PropertyName_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_PropertyName_constructor_];
		public static function constructor_(other:PropertyName):PropertyName;

		[native,unityengine_PropertyName_constructor__];
		public static function constructor__(id:int):PropertyName;

		[native,unityengine_PropertyName_ctor];
		public function PropertyName(name:String);


		//*********公共方法*******
		/**
		* UnityEngine.PropertyName.IsNullOrEmpty
		*parameters:
		*  prop : UnityEngine.PropertyName
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_PropertyName_isNullOrEmpty];
		public static function isNullOrEmpty(prop:PropertyName):Boolean;


		//*****操作重载*****
		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_PropertyName_op_Equality];
		public static function op_Equality(lhs:PropertyName,rhs:PropertyName):Boolean;

		[operator,"=="];
		[native,static_unityengine_PropertyName_op_Equality];
		private static function _operator_op_Equality(lhs:PropertyName,rhs:PropertyName):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_PropertyName_op_Inequality];
		public static function op_Inequality(lhs:PropertyName,rhs:PropertyName):Boolean;

		[operator,"!="];
		[native,static_unityengine_PropertyName_op_Inequality];
		private static function _operator_op_Inequality(lhs:PropertyName,rhs:PropertyName):Boolean;

		/**
		 * Implicit From System.String 
		 */
		[native,static_unityengine_PropertyName_op_Implicit];
		public static function op_Implicit(name:String):PropertyName;

		/**
		 * Implicit From System.Int32 
		 */
		[native,static_unityengine_PropertyName_op_Implicit_];
		public static function op_Implicit_(id:int):PropertyName;

		[implicit_from];
		[native,static_unityengine_PropertyName_op_Implicit_];
		private static function _implicit_from_value(v:int):*;


	}
}
