package unityengine
{
	import system._Object_;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  UnityEngine.Quaternion
		*/
	[struct]
	[link_system]
	public final class Quaternion extends system._Object_
	{
		[creator];
		[native,unityengine_Quaternion_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Quaternion_ctor];
		public function Quaternion(x:Number,y:Number,z:Number,w:Number);


		//*********字段*******
		/**
		* UnityEngine.Quaternion.x
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Quaternion_x_getter,unityengine_Quaternion_x_setter];
		public var x:Number;
		/**
		* UnityEngine.Quaternion.y
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Quaternion_y_getter,unityengine_Quaternion_y_setter];
		public var y:Number;
		/**
		* UnityEngine.Quaternion.z
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Quaternion_z_getter,unityengine_Quaternion_z_setter];
		public var z:Number;
		/**
		* UnityEngine.Quaternion.w
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Quaternion_w_getter,unityengine_Quaternion_w_setter];
		public var w:Number;
		/**
		* UnityEngine.Quaternion.kEpsilon
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Quaternion_kEpsilon_getter];
		public static const kEpsilon:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Quaternion.AngleAxis
		*parameters:
		*  angle : System.Single
		*  axis : UnityEngine.Vector3
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_angleAxis];
		public static function angleAxis(angle:Number,axis:Vector3):Quaternion;

		/**
		* UnityEngine.Quaternion.ToAngleAxis
		*parameters:
		*  angle : (Out)System.Single
		*  axis : (Out)UnityEngine.Vector3
		*/
		[native,unityengine_Quaternion_toAngleAxis];
		public final function toAngleAxis(angle:Number,axis:Vector3,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.Quaternion.FromToRotation
		*parameters:
		*  fromDirection : UnityEngine.Vector3
		*  toDirection : UnityEngine.Vector3
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_fromToRotation];
		public static function fromToRotation(fromDirection:Vector3,toDirection:Vector3):Quaternion;

		/**
		* UnityEngine.Quaternion.SetFromToRotation
		*parameters:
		*  fromDirection : UnityEngine.Vector3
		*  toDirection : UnityEngine.Vector3
		*/
		[native,unityengine_Quaternion_setFromToRotation];
		public final function setFromToRotation(fromDirection:Vector3,toDirection:Vector3):void;

		/**
		* UnityEngine.Quaternion.LookRotation
		*parameters:
		*  forward : UnityEngine.Vector3
		*  upwards : UnityEngine.Vector3
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_lookRotation];
		public static function lookRotation(forward:Vector3,upwards:Vector3):Quaternion;

		/**
		* UnityEngine.Quaternion.LookRotation
		*parameters:
		*  forward : UnityEngine.Vector3
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_lookRotation_];
		public static function lookRotation_(forward:Vector3):Quaternion;

		/**
		* UnityEngine.Quaternion.Slerp
		*parameters:
		*  a : UnityEngine.Quaternion
		*  b : UnityEngine.Quaternion
		*  t : System.Single
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_slerp];
		public static function slerp(a:Quaternion,b:Quaternion,t:Number):Quaternion;

		/**
		* UnityEngine.Quaternion.SlerpUnclamped
		*parameters:
		*  a : UnityEngine.Quaternion
		*  b : UnityEngine.Quaternion
		*  t : System.Single
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_slerpUnclamped];
		public static function slerpUnclamped(a:Quaternion,b:Quaternion,t:Number):Quaternion;

		/**
		* UnityEngine.Quaternion.Lerp
		*parameters:
		*  a : UnityEngine.Quaternion
		*  b : UnityEngine.Quaternion
		*  t : System.Single
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_lerp];
		public static function lerp(a:Quaternion,b:Quaternion,t:Number):Quaternion;

		/**
		* UnityEngine.Quaternion.LerpUnclamped
		*parameters:
		*  a : UnityEngine.Quaternion
		*  b : UnityEngine.Quaternion
		*  t : System.Single
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_lerpUnclamped];
		public static function lerpUnclamped(a:Quaternion,b:Quaternion,t:Number):Quaternion;

		/**
		* UnityEngine.Quaternion.RotateTowards
		*parameters:
		*  from : UnityEngine.Quaternion
		*  to : UnityEngine.Quaternion
		*  maxDegreesDelta : System.Single
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_rotateTowards];
		public static function rotateTowards(from:Quaternion,to:Quaternion,maxDegreesDelta:Number):Quaternion;

		/**
		* UnityEngine.Quaternion.Inverse
		*parameters:
		*  rotation : UnityEngine.Quaternion
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_inverse];
		public static function inverse(rotation:Quaternion):Quaternion;

		/**
		* UnityEngine.Quaternion.get_eulerAngles
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Quaternion_get_eulerAngles]
		public final function get eulerAngles__():Vector3;

		/**
		* UnityEngine.Quaternion.set_eulerAngles
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Quaternion_set_eulerAngles]
		public final function set eulerAngles__(value:Vector3):void;

		/**
		* UnityEngine.Quaternion.Euler
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_euler];
		public static function euler(x:Number,y:Number,z:Number):Quaternion;

		/**
		* UnityEngine.Quaternion.Euler
		*parameters:
		*  euler : UnityEngine.Vector3
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_euler_];
		public static function euler_(euler:Vector3):Quaternion;

		/**
		* UnityEngine.Quaternion.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,unityengine_Quaternion_getThisItem];
		final function get_Item(index:int):Number;

		/**
		* UnityEngine.Quaternion.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,unityengine_Quaternion_setThisItem];
		final function set_Item(value:Number,index:int):void;

		/**
		* UnityEngine.Quaternion.Set
		*parameters:
		*  newX : System.Single
		*  newY : System.Single
		*  newZ : System.Single
		*  newW : System.Single
		*/
		[native,unityengine_Quaternion_set];
		public final function set(newX:Number,newY:Number,newZ:Number,newW:Number):void;

		/**
		* UnityEngine.Quaternion.get_identity
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,static_unityengine_Quaternion_get_identity]
		public static function get identity():Quaternion;

		/**
		* UnityEngine.Quaternion.Dot
		*parameters:
		*  a : UnityEngine.Quaternion
		*  b : UnityEngine.Quaternion
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Quaternion_dot];
		public static function dot(a:Quaternion,b:Quaternion):Number;

		/**
		* UnityEngine.Quaternion.SetLookRotation
		*parameters:
		*  view : UnityEngine.Vector3
		*/
		[native,unityengine_Quaternion_setLookRotation];
		public final function setLookRotation(view:Vector3):void;

		/**
		* UnityEngine.Quaternion.SetLookRotation
		*parameters:
		*  view : UnityEngine.Vector3
		*  up : UnityEngine.Vector3
		*/
		[native,unityengine_Quaternion_setLookRotation_];
		public final function setLookRotation_(view:Vector3,up:Vector3):void;

		/**
		* UnityEngine.Quaternion.Angle
		*parameters:
		*  a : UnityEngine.Quaternion
		*  b : UnityEngine.Quaternion
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Quaternion_angle];
		public static function angle(a:Quaternion,b:Quaternion):Number;

		/**
		* UnityEngine.Quaternion.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Quaternion_toString___];
		public final function toString___(format:String):String;


		//*****操作重载*****
		/**
		 * 计算 lhs * rhs
		 */
		[native,static_unityengine_Quaternion_op_Multiply];
		public static function op_Multiply(lhs:Quaternion,rhs:Quaternion):Quaternion;

		[operator,"*"];
		[native,static_unityengine_Quaternion_op_Multiply];
		private static function _operator_op_Multiply(lhs:Quaternion,rhs:Quaternion):Quaternion;

		/**
		 * 计算 rotation * point
		 */
		[native,static_unityengine_Quaternion_op_Multiply_];
		public static function op_Multiply_(rotation:Quaternion,point:Vector3):Vector3;

		[operator,"*"];
		[native,static_unityengine_Quaternion_op_Multiply_];
		private static function _operator_op_Multiply_(rotation:Quaternion,point:Vector3):Vector3;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Quaternion_op_Equality];
		public static function op_Equality(lhs:Quaternion,rhs:Quaternion):Boolean;

		[operator,"=="];
		[native,static_unityengine_Quaternion_op_Equality];
		private static function _operator_op_Equality(lhs:Quaternion,rhs:Quaternion):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Quaternion_op_Inequality];
		public static function op_Inequality(lhs:Quaternion,rhs:Quaternion):Boolean;

		[operator,"!="];
		[native,static_unityengine_Quaternion_op_Inequality];
		private static function _operator_op_Inequality(lhs:Quaternion,rhs:Quaternion):Boolean;


	}
}
