package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Ray
		*/
	[struct]
	[link_system]
	public final class Ray extends system._Object_
	{
		[creator];
		[native,unityengine_Ray_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Ray_ctor];
		public function Ray(origin:Vector3,direction:Vector3);


		//*********公共方法*******
		/**
		* UnityEngine.Ray.get_origin
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Ray_get_origin]
		public final function get origin():Vector3;

		/**
		* UnityEngine.Ray.set_origin
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Ray_set_origin]
		public final function set origin(value:Vector3):void;

		/**
		* UnityEngine.Ray.get_direction
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Ray_get_direction]
		public final function get direction():Vector3;

		/**
		* UnityEngine.Ray.set_direction
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Ray_set_direction]
		public final function set direction(value:Vector3):void;

		/**
		* UnityEngine.Ray.GetPoint
		*parameters:
		*  distance : System.Single
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Ray_getPoint];
		public final function getPoint(distance:Number):Vector3;

		/**
		* UnityEngine.Ray.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Ray_toString___];
		public final function toString___(format:String):String;


	}
}
