package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Ray2D
		*/
	[struct]
	[link_system]
	public final class Ray2D extends system._Object_
	{
		[creator];
		[native,unityengine_Ray2D_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Ray2D_ctor];
		public function Ray2D(origin:Vector2,direction:Vector2);


		//*********公共方法*******
		/**
		* UnityEngine.Ray2D.get_origin
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Ray2D_get_origin]
		public final function get origin():Vector2;

		/**
		* UnityEngine.Ray2D.set_origin
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Ray2D_set_origin]
		public final function set origin(value:Vector2):void;

		/**
		* UnityEngine.Ray2D.get_direction
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Ray2D_get_direction]
		public final function get direction():Vector2;

		/**
		* UnityEngine.Ray2D.set_direction
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Ray2D_set_direction]
		public final function set direction(value:Vector2):void;

		/**
		* UnityEngine.Ray2D.GetPoint
		*parameters:
		*  distance : System.Single
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Ray2D_getPoint];
		public final function getPoint(distance:Number):Vector2;

		/**
		* UnityEngine.Ray2D.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Ray2D_toString___];
		public final function toString___(format:String):String;


	}
}
