package unityengine
{
	import system._Object_;


		/**
		* Sealed
		*  UnityEngine.RectOffset
		*/
	[link_system]
	public final class RectOffset extends system._Object_
	{
		[creator];
		[native,unityengine_RectOffset_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_RectOffset_constructor_];
		public static function constructor_(left:int,right:int,top:int,bottom:int):RectOffset;

		[native,unityengine_RectOffset_ctor];
		public function RectOffset();


		//*********公共方法*******
		/**
		* UnityEngine.RectOffset.get_left
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectOffset_get_left]
		public final function get left():int;

		/**
		* UnityEngine.RectOffset.set_left
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectOffset_set_left]
		public final function set left(value:int):void;

		/**
		* UnityEngine.RectOffset.get_right
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectOffset_get_right]
		public final function get right():int;

		/**
		* UnityEngine.RectOffset.set_right
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectOffset_set_right]
		public final function set right(value:int):void;

		/**
		* UnityEngine.RectOffset.get_top
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectOffset_get_top]
		public final function get top():int;

		/**
		* UnityEngine.RectOffset.set_top
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectOffset_set_top]
		public final function set top(value:int):void;

		/**
		* UnityEngine.RectOffset.get_bottom
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectOffset_get_bottom]
		public final function get bottom():int;

		/**
		* UnityEngine.RectOffset.set_bottom
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_RectOffset_set_bottom]
		public final function set bottom(value:int):void;

		/**
		* UnityEngine.RectOffset.get_horizontal
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectOffset_get_horizontal]
		public final function get horizontal():int;

		/**
		* UnityEngine.RectOffset.get_vertical
		*return:
		*   System.Int32
		*/
		[native,unityengine_RectOffset_get_vertical]
		public final function get vertical():int;

		/**
		* UnityEngine.RectOffset.Add
		*parameters:
		*  rect : UnityEngine.Rect
		*return:
		*   UnityEngine.Rect
		*/
		[native,unityengine_RectOffset_add];
		public final function add(rect:Rect):Rect;

		/**
		* UnityEngine.RectOffset.Remove
		*parameters:
		*  rect : UnityEngine.Rect
		*return:
		*   UnityEngine.Rect
		*/
		[native,unityengine_RectOffset_remove];
		public final function remove(rect:Rect):Rect;


	}
}
