package unityengine
{
	import system._Object_;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.Resources
		*/
	[link_system]
	public final class Resources extends system._Object_
	{
		[creator];
		[native,unityengine_Resources_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Resources_ctor];
		public function Resources();


		//*********公共方法*******
		/**
		* UnityEngine.Resources.FindObjectsOfTypeAll
		*parameters:
		*  type : System.Type
		*return:
		*   UnityEngine.Object[]
		*/
		[native,static_unityengine_Resources_findObjectsOfTypeAll];
		public static function findObjectsOfTypeAll(type:Class):_Array_;

		/**
		* UnityEngine.Resources.Load
		*parameters:
		*  path : System.String
		*return:
		*   UnityEngine.Object
		*/
		[native,static_unityengine_Resources_load];
		public static function load(path:String):UObject;

		/**
		* UnityEngine.Resources.Load
		*parameters:
		*  path : System.String
		*  systemTypeInstance : System.Type
		*return:
		*   UnityEngine.Object
		*/
		[native,static_unityengine_Resources_load__];
		public static function load__(path:String,systemTypeInstance:Class):UObject;

		/**
		* UnityEngine.Resources.LoadAsync
		*parameters:
		*  path : System.String
		*return:
		*   UnityEngine.ResourceRequest
		*/
		[native,static_unityengine_Resources_loadAsync];
		public static function loadAsync(path:String):ResourceRequest;

		/**
		* UnityEngine.Resources.LoadAsync
		*parameters:
		*  path : System.String
		*  type : System.Type
		*return:
		*   UnityEngine.ResourceRequest
		*/
		[native,static_unityengine_Resources_loadAsync__];
		public static function loadAsync__(path:String,type:Class):ResourceRequest;

		/**
		* UnityEngine.Resources.LoadAll
		*parameters:
		*  path : System.String
		*  systemTypeInstance : System.Type
		*return:
		*   UnityEngine.Object[]
		*/
		[native,static_unityengine_Resources_loadAll];
		public static function loadAll(path:String,systemTypeInstance:Class):_Array_;

		/**
		* UnityEngine.Resources.LoadAll
		*parameters:
		*  path : System.String
		*return:
		*   UnityEngine.Object[]
		*/
		[native,static_unityengine_Resources_loadAll_];
		public static function loadAll_(path:String):_Array_;

		/**
		* UnityEngine.Resources.GetBuiltinResource
		*parameters:
		*  type : System.Type
		*  path : System.String
		*return:
		*   UnityEngine.Object
		*/
		[native,static_unityengine_Resources_getBuiltinResource];
		public static function getBuiltinResource(type:Class,path:String):UObject;

		/**
		* UnityEngine.Resources.UnloadAsset
		*parameters:
		*  assetToUnload : UnityEngine.Object
		*/
		[native,static_unityengine_Resources_unloadAsset];
		public static function unloadAsset(assetToUnload:UObject):void;

		/**
		* UnityEngine.Resources.UnloadUnusedAssets
		*return:
		*   UnityEngine.AsyncOperation
		*/
		[native,static_unityengine_Resources_unloadUnusedAssets];
		public static function unloadUnusedAssets():AsyncOperation;


	}
}
