package unityengine
{
	import as3runtime.RefOutStore;
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.Rigidbody
		*/
	[link_system]
	public final class Rigidbody extends Component
	{
		[creator];
		[native,unityengine_Rigidbody_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Rigidbody_ctor];
		public function Rigidbody();


		//*********公共方法*******
		/**
		* UnityEngine.Rigidbody.ResetInertiaTensor
		*/
		[native,unityengine_Rigidbody_resetInertiaTensor];
		public final function resetInertiaTensor():void;

		/**
		* UnityEngine.Rigidbody.get_solverIterations
		*return:
		*   System.Int32
		*/
		[native,unityengine_Rigidbody_get_solverIterations]
		public final function get solverIterations():int;

		/**
		* UnityEngine.Rigidbody.set_solverIterations
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Rigidbody_set_solverIterations]
		public final function set solverIterations(value:int):void;

		/**
		* UnityEngine.Rigidbody.get_solverVelocityIterations
		*return:
		*   System.Int32
		*/
		[native,unityengine_Rigidbody_get_solverVelocityIterations]
		public final function get solverVelocityIterations():int;

		/**
		* UnityEngine.Rigidbody.set_solverVelocityIterations
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Rigidbody_set_solverVelocityIterations]
		public final function set solverVelocityIterations(value:int):void;

		/**
		* UnityEngine.Rigidbody.get_sleepThreshold
		*return:
		*   System.Single
		*/
		[native,unityengine_Rigidbody_get_sleepThreshold]
		public final function get sleepThreshold():Number;

		/**
		* UnityEngine.Rigidbody.set_sleepThreshold
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rigidbody_set_sleepThreshold]
		public final function set sleepThreshold(value:Number):void;

		/**
		* UnityEngine.Rigidbody.get_maxAngularVelocity
		*return:
		*   System.Single
		*/
		[native,unityengine_Rigidbody_get_maxAngularVelocity]
		public final function get maxAngularVelocity():Number;

		/**
		* UnityEngine.Rigidbody.set_maxAngularVelocity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rigidbody_set_maxAngularVelocity]
		public final function set maxAngularVelocity(value:Number):void;

		/**
		* UnityEngine.Rigidbody.SweepTest
		*parameters:
		*  direction : UnityEngine.Vector3
		*  hitInfo : (Out)UnityEngine.RaycastHit
		*  maxDistance : System.Single
		*  queryTriggerInteraction : UnityEngine.QueryTriggerInteraction
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_sweepTest];
		public final function sweepTest(direction:Vector3,hitInfo:RaycastHit,maxDistance:Number,queryTriggerInteraction:QueryTriggerInteraction,refout:as3runtime.RefOutStore):Boolean;

		/**
		* UnityEngine.Rigidbody.SweepTest
		*parameters:
		*  direction : UnityEngine.Vector3
		*  hitInfo : (Out)UnityEngine.RaycastHit
		*  maxDistance : System.Single
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_sweepTest_];
		public final function sweepTest_(direction:Vector3,hitInfo:RaycastHit,maxDistance:Number,refout:as3runtime.RefOutStore):Boolean;

		/**
		* UnityEngine.Rigidbody.SweepTest
		*parameters:
		*  direction : UnityEngine.Vector3
		*  hitInfo : (Out)UnityEngine.RaycastHit
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_sweepTest__];
		public final function sweepTest__(direction:Vector3,hitInfo:RaycastHit,refout:as3runtime.RefOutStore):Boolean;

		/**
		* UnityEngine.Rigidbody.SweepTestAll
		*parameters:
		*  direction : UnityEngine.Vector3
		*  maxDistance : System.Single
		*  queryTriggerInteraction : UnityEngine.QueryTriggerInteraction
		*return:
		*   UnityEngine.RaycastHit[]
		*/
		[native,unityengine_Rigidbody_sweepTestAll];
		public final function sweepTestAll(direction:Vector3,maxDistance:Number,queryTriggerInteraction:QueryTriggerInteraction):_Array_;

		/**
		* UnityEngine.Rigidbody.SweepTestAll
		*parameters:
		*  direction : UnityEngine.Vector3
		*  maxDistance : System.Single
		*return:
		*   UnityEngine.RaycastHit[]
		*/
		[native,unityengine_Rigidbody_sweepTestAll_];
		public final function sweepTestAll_(direction:Vector3,maxDistance:Number):_Array_;

		/**
		* UnityEngine.Rigidbody.SweepTestAll
		*parameters:
		*  direction : UnityEngine.Vector3
		*return:
		*   UnityEngine.RaycastHit[]
		*/
		[native,unityengine_Rigidbody_sweepTestAll__];
		public final function sweepTestAll__(direction:Vector3):_Array_;

		/**
		* UnityEngine.Rigidbody.get_velocity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_get_velocity]
		public final function get velocity():Vector3;

		/**
		* UnityEngine.Rigidbody.set_velocity
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_set_velocity]
		public final function set velocity(value:Vector3):void;

		/**
		* UnityEngine.Rigidbody.get_angularVelocity
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_get_angularVelocity]
		public final function get angularVelocity():Vector3;

		/**
		* UnityEngine.Rigidbody.set_angularVelocity
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_set_angularVelocity]
		public final function set angularVelocity(value:Vector3):void;

		/**
		* UnityEngine.Rigidbody.get_drag
		*return:
		*   System.Single
		*/
		[native,unityengine_Rigidbody_get_drag]
		public final function get drag():Number;

		/**
		* UnityEngine.Rigidbody.set_drag
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rigidbody_set_drag]
		public final function set drag(value:Number):void;

		/**
		* UnityEngine.Rigidbody.get_angularDrag
		*return:
		*   System.Single
		*/
		[native,unityengine_Rigidbody_get_angularDrag]
		public final function get angularDrag():Number;

		/**
		* UnityEngine.Rigidbody.set_angularDrag
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rigidbody_set_angularDrag]
		public final function set angularDrag(value:Number):void;

		/**
		* UnityEngine.Rigidbody.get_mass
		*return:
		*   System.Single
		*/
		[native,unityengine_Rigidbody_get_mass]
		public final function get mass():Number;

		/**
		* UnityEngine.Rigidbody.set_mass
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rigidbody_set_mass]
		public final function set mass(value:Number):void;

		/**
		* UnityEngine.Rigidbody.SetDensity
		*parameters:
		*  density : System.Single
		*/
		[native,unityengine_Rigidbody_setDensity];
		public final function setDensity(density:Number):void;

		/**
		* UnityEngine.Rigidbody.get_useGravity
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_get_useGravity]
		public final function get useGravity():Boolean;

		/**
		* UnityEngine.Rigidbody.set_useGravity
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Rigidbody_set_useGravity]
		public final function set useGravity(value:Boolean):void;

		/**
		* UnityEngine.Rigidbody.get_maxDepenetrationVelocity
		*return:
		*   System.Single
		*/
		[native,unityengine_Rigidbody_get_maxDepenetrationVelocity]
		public final function get maxDepenetrationVelocity():Number;

		/**
		* UnityEngine.Rigidbody.set_maxDepenetrationVelocity
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Rigidbody_set_maxDepenetrationVelocity]
		public final function set maxDepenetrationVelocity(value:Number):void;

		/**
		* UnityEngine.Rigidbody.get_isKinematic
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_get_isKinematic]
		public final function get isKinematic():Boolean;

		/**
		* UnityEngine.Rigidbody.set_isKinematic
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Rigidbody_set_isKinematic]
		public final function set isKinematic(value:Boolean):void;

		/**
		* UnityEngine.Rigidbody.get_freezeRotation
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_get_freezeRotation]
		public final function get freezeRotation():Boolean;

		/**
		* UnityEngine.Rigidbody.set_freezeRotation
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Rigidbody_set_freezeRotation]
		public final function set freezeRotation(value:Boolean):void;

		/**
		* UnityEngine.Rigidbody.get_constraints
		*return:
		*   UnityEngine.RigidbodyConstraints
		*/
		[native,unityengine_Rigidbody_get_constraints]
		public final function get constraints():RigidbodyConstraints;

		/**
		* UnityEngine.Rigidbody.set_constraints
		*parameters:
		*  value : UnityEngine.RigidbodyConstraints
		*/
		[native,unityengine_Rigidbody_set_constraints]
		public final function set constraints(value:RigidbodyConstraints):void;

		/**
		* UnityEngine.Rigidbody.get_collisionDetectionMode
		*return:
		*   UnityEngine.CollisionDetectionMode
		*/
		[native,unityengine_Rigidbody_get_collisionDetectionMode]
		public final function get collisionDetectionMode():CollisionDetectionMode;

		/**
		* UnityEngine.Rigidbody.set_collisionDetectionMode
		*parameters:
		*  value : UnityEngine.CollisionDetectionMode
		*/
		[native,unityengine_Rigidbody_set_collisionDetectionMode]
		public final function set collisionDetectionMode(value:CollisionDetectionMode):void;

		/**
		* UnityEngine.Rigidbody.AddForce
		*parameters:
		*  force : UnityEngine.Vector3
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addForce];
		public final function addForce(force:Vector3,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddForce
		*parameters:
		*  force : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_addForce_];
		public final function addForce_(force:Vector3):void;

		/**
		* UnityEngine.Rigidbody.AddForce
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*/
		[native,unityengine_Rigidbody_addForce__];
		public final function addForce__(x:Number,y:Number,z:Number):void;

		/**
		* UnityEngine.Rigidbody.AddForce
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addForce___];
		public final function addForce___(x:Number,y:Number,z:Number,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeForce
		*parameters:
		*  force : UnityEngine.Vector3
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addRelativeForce];
		public final function addRelativeForce(force:Vector3,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeForce
		*parameters:
		*  force : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_addRelativeForce_];
		public final function addRelativeForce_(force:Vector3):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeForce
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*/
		[native,unityengine_Rigidbody_addRelativeForce__];
		public final function addRelativeForce__(x:Number,y:Number,z:Number):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeForce
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addRelativeForce___];
		public final function addRelativeForce___(x:Number,y:Number,z:Number,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddTorque
		*parameters:
		*  torque : UnityEngine.Vector3
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addTorque];
		public final function addTorque(torque:Vector3,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddTorque
		*parameters:
		*  torque : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_addTorque_];
		public final function addTorque_(torque:Vector3):void;

		/**
		* UnityEngine.Rigidbody.AddTorque
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*/
		[native,unityengine_Rigidbody_addTorque__];
		public final function addTorque__(x:Number,y:Number,z:Number):void;

		/**
		* UnityEngine.Rigidbody.AddTorque
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addTorque___];
		public final function addTorque___(x:Number,y:Number,z:Number,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeTorque
		*parameters:
		*  torque : UnityEngine.Vector3
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addRelativeTorque];
		public final function addRelativeTorque(torque:Vector3,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeTorque
		*parameters:
		*  torque : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_addRelativeTorque_];
		public final function addRelativeTorque_(torque:Vector3):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeTorque
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*/
		[native,unityengine_Rigidbody_addRelativeTorque__];
		public final function addRelativeTorque__(x:Number,y:Number,z:Number):void;

		/**
		* UnityEngine.Rigidbody.AddRelativeTorque
		*parameters:
		*  x : System.Single
		*  y : System.Single
		*  z : System.Single
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addRelativeTorque___];
		public final function addRelativeTorque___(x:Number,y:Number,z:Number,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddForceAtPosition
		*parameters:
		*  force : UnityEngine.Vector3
		*  position : UnityEngine.Vector3
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addForceAtPosition];
		public final function addForceAtPosition(force:Vector3,position:Vector3,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddForceAtPosition
		*parameters:
		*  force : UnityEngine.Vector3
		*  position : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_addForceAtPosition_];
		public final function addForceAtPosition_(force:Vector3,position:Vector3):void;

		/**
		* UnityEngine.Rigidbody.AddExplosionForce
		*parameters:
		*  explosionForce : System.Single
		*  explosionPosition : UnityEngine.Vector3
		*  explosionRadius : System.Single
		*  upwardsModifier : System.Single
		*  mode : UnityEngine.ForceMode
		*/
		[native,unityengine_Rigidbody_addExplosionForce];
		public final function addExplosionForce(explosionForce:Number,explosionPosition:Vector3,explosionRadius:Number,upwardsModifier:Number,mode:ForceMode):void;

		/**
		* UnityEngine.Rigidbody.AddExplosionForce
		*parameters:
		*  explosionForce : System.Single
		*  explosionPosition : UnityEngine.Vector3
		*  explosionRadius : System.Single
		*  upwardsModifier : System.Single
		*/
		[native,unityengine_Rigidbody_addExplosionForce_];
		public final function addExplosionForce_(explosionForce:Number,explosionPosition:Vector3,explosionRadius:Number,upwardsModifier:Number):void;

		/**
		* UnityEngine.Rigidbody.AddExplosionForce
		*parameters:
		*  explosionForce : System.Single
		*  explosionPosition : UnityEngine.Vector3
		*  explosionRadius : System.Single
		*/
		[native,unityengine_Rigidbody_addExplosionForce__];
		public final function addExplosionForce__(explosionForce:Number,explosionPosition:Vector3,explosionRadius:Number):void;

		/**
		* UnityEngine.Rigidbody.ClosestPointOnBounds
		*parameters:
		*  position : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_closestPointOnBounds];
		public final function closestPointOnBounds(position:Vector3):Vector3;

		/**
		* UnityEngine.Rigidbody.GetRelativePointVelocity
		*parameters:
		*  relativePoint : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_getRelativePointVelocity];
		public final function getRelativePointVelocity(relativePoint:Vector3):Vector3;

		/**
		* UnityEngine.Rigidbody.GetPointVelocity
		*parameters:
		*  worldPoint : UnityEngine.Vector3
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_getPointVelocity];
		public final function getPointVelocity(worldPoint:Vector3):Vector3;

		/**
		* UnityEngine.Rigidbody.get_centerOfMass
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_get_centerOfMass]
		public final function get centerOfMass():Vector3;

		/**
		* UnityEngine.Rigidbody.set_centerOfMass
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_set_centerOfMass]
		public final function set centerOfMass(value:Vector3):void;

		/**
		* UnityEngine.Rigidbody.get_worldCenterOfMass
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_get_worldCenterOfMass]
		public final function get worldCenterOfMass():Vector3;

		/**
		* UnityEngine.Rigidbody.get_inertiaTensorRotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Rigidbody_get_inertiaTensorRotation]
		public final function get inertiaTensorRotation():Quaternion;

		/**
		* UnityEngine.Rigidbody.set_inertiaTensorRotation
		*parameters:
		*  value : UnityEngine.Quaternion
		*/
		[native,unityengine_Rigidbody_set_inertiaTensorRotation]
		public final function set inertiaTensorRotation(value:Quaternion):void;

		/**
		* UnityEngine.Rigidbody.get_inertiaTensor
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_get_inertiaTensor]
		public final function get inertiaTensor():Vector3;

		/**
		* UnityEngine.Rigidbody.set_inertiaTensor
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_set_inertiaTensor]
		public final function set inertiaTensor(value:Vector3):void;

		/**
		* UnityEngine.Rigidbody.get_detectCollisions
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_get_detectCollisions]
		public final function get detectCollisions():Boolean;

		/**
		* UnityEngine.Rigidbody.set_detectCollisions
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_Rigidbody_set_detectCollisions]
		public final function set detectCollisions(value:Boolean):void;

		/**
		* UnityEngine.Rigidbody.get_position
		*return:
		*   UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_get_position]
		public final function get position():Vector3;

		/**
		* UnityEngine.Rigidbody.set_position
		*parameters:
		*  value : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_set_position]
		public final function set position(value:Vector3):void;

		/**
		* UnityEngine.Rigidbody.get_rotation
		*return:
		*   UnityEngine.Quaternion
		*/
		[native,unityengine_Rigidbody_get_rotation]
		public final function get rotation():Quaternion;

		/**
		* UnityEngine.Rigidbody.set_rotation
		*parameters:
		*  value : UnityEngine.Quaternion
		*/
		[native,unityengine_Rigidbody_set_rotation]
		public final function set rotation(value:Quaternion):void;

		/**
		* UnityEngine.Rigidbody.MovePosition
		*parameters:
		*  position : UnityEngine.Vector3
		*/
		[native,unityengine_Rigidbody_movePosition];
		public final function movePosition(position:Vector3):void;

		/**
		* UnityEngine.Rigidbody.MoveRotation
		*parameters:
		*  rot : UnityEngine.Quaternion
		*/
		[native,unityengine_Rigidbody_moveRotation];
		public final function moveRotation(rot:Quaternion):void;

		/**
		* UnityEngine.Rigidbody.get_interpolation
		*return:
		*   UnityEngine.RigidbodyInterpolation
		*/
		[native,unityengine_Rigidbody_get_interpolation]
		public final function get interpolation():RigidbodyInterpolation;

		/**
		* UnityEngine.Rigidbody.set_interpolation
		*parameters:
		*  value : UnityEngine.RigidbodyInterpolation
		*/
		[native,unityengine_Rigidbody_set_interpolation]
		public final function set interpolation(value:RigidbodyInterpolation):void;

		/**
		* UnityEngine.Rigidbody.Sleep
		*/
		[native,unityengine_Rigidbody_sleep];
		public final function sleep():void;

		/**
		* UnityEngine.Rigidbody.IsSleeping
		*return:
		*   System.Boolean
		*/
		[native,unityengine_Rigidbody_isSleeping];
		public final function isSleeping():Boolean;

		/**
		* UnityEngine.Rigidbody.WakeUp
		*/
		[native,unityengine_Rigidbody_wakeUp];
		public final function wakeUp():void;

		/**
		* UnityEngine.Rigidbody.ResetCenterOfMass
		*/
		[native,unityengine_Rigidbody_resetCenterOfMass];
		public final function resetCenterOfMass():void;


	}
}
