package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.SparseTexture
		*/
	[link_system]
	public final class SparseTexture extends Texture
	{
		[creator];
		[native,unityengine_SparseTexture_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_SparseTexture_constructor_];
		public static function constructor_(width:int,height:int,format:TextureFormat,mipCount:int,linear:Boolean):SparseTexture;

		[native,unityengine_SparseTexture_ctor];
		public function SparseTexture(width:int,height:int,format:TextureFormat,mipCount:int);


		//*********公共方法*******
		/**
		* UnityEngine.SparseTexture.get_tileWidth
		*return:
		*   System.Int32
		*/
		[native,unityengine_SparseTexture_get_tileWidth]
		public final function get tileWidth():int;

		/**
		* UnityEngine.SparseTexture.get_tileHeight
		*return:
		*   System.Int32
		*/
		[native,unityengine_SparseTexture_get_tileHeight]
		public final function get tileHeight():int;

		/**
		* UnityEngine.SparseTexture.get_isCreated
		*return:
		*   System.Boolean
		*/
		[native,unityengine_SparseTexture_get_isCreated]
		public final function get isCreated():Boolean;

		/**
		* UnityEngine.SparseTexture.UpdateTile
		*parameters:
		*  tileX : System.Int32
		*  tileY : System.Int32
		*  miplevel : System.Int32
		*  data : UnityEngine.Color32[]
		*/
		[native,unityengine_SparseTexture_updateTile];
		public final function updateTile(tileX:int,tileY:int,miplevel:int,data:_Array_):void;

		/**
		* UnityEngine.SparseTexture.UpdateTileRaw
		*parameters:
		*  tileX : System.Int32
		*  tileY : System.Int32
		*  miplevel : System.Int32
		*  data : System.Byte[]
		*/
		[native,unityengine_SparseTexture_updateTileRaw];
		public final function updateTileRaw(tileX:int,tileY:int,miplevel:int,data:_Array_):void;

		/**
		* UnityEngine.SparseTexture.UnloadTile
		*parameters:
		*  tileX : System.Int32
		*  tileY : System.Int32
		*  miplevel : System.Int32
		*/
		[native,unityengine_SparseTexture_unloadTile];
		public final function unloadTile(tileX:int,tileY:int,miplevel:int):void;


	}
}
