package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.TextGenerationSettings
		*/
	[struct]
	[link_system]
	public final class TextGenerationSettings extends system._Object_
	{
		[creator];
		[native,unityengine_TextGenerationSettings_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_TextGenerationSettings_ctor];
		public function TextGenerationSettings();
		//*********字段*******
		/**
		* UnityEngine.TextGenerationSettings.font
		*fieldtype:
		*   UnityEngine.Font
		*/
		[native, unityengine_TextGenerationSettings_font_getter,unityengine_TextGenerationSettings_font_setter];
		public var font:Font;
		/**
		* UnityEngine.TextGenerationSettings.color
		*fieldtype:
		*   UnityEngine.Color
		*/
		[native, unityengine_TextGenerationSettings_color_getter,unityengine_TextGenerationSettings_color_setter];
		public var color:Color;
		/**
		* UnityEngine.TextGenerationSettings.fontSize
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_TextGenerationSettings_fontSize_getter,unityengine_TextGenerationSettings_fontSize_setter];
		public var fontSize:int;
		/**
		* UnityEngine.TextGenerationSettings.lineSpacing
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_TextGenerationSettings_lineSpacing_getter,unityengine_TextGenerationSettings_lineSpacing_setter];
		public var lineSpacing:Number;
		/**
		* UnityEngine.TextGenerationSettings.richText
		*fieldtype:
		*   System.Boolean
		*/
		[native, unityengine_TextGenerationSettings_richText_getter,unityengine_TextGenerationSettings_richText_setter];
		public var richText:Boolean;
		/**
		* UnityEngine.TextGenerationSettings.scaleFactor
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_TextGenerationSettings_scaleFactor_getter,unityengine_TextGenerationSettings_scaleFactor_setter];
		public var scaleFactor:Number;
		/**
		* UnityEngine.TextGenerationSettings.fontStyle
		*fieldtype:
		*   UnityEngine.FontStyle
		*/
		[native, unityengine_TextGenerationSettings_fontStyle_getter,unityengine_TextGenerationSettings_fontStyle_setter];
		public var fontStyle:FontStyle;
		/**
		* UnityEngine.TextGenerationSettings.textAnchor
		*fieldtype:
		*   UnityEngine.TextAnchor
		*/
		[native, unityengine_TextGenerationSettings_textAnchor_getter,unityengine_TextGenerationSettings_textAnchor_setter];
		public var textAnchor:TextAnchor;
		/**
		* UnityEngine.TextGenerationSettings.alignByGeometry
		*fieldtype:
		*   System.Boolean
		*/
		[native, unityengine_TextGenerationSettings_alignByGeometry_getter,unityengine_TextGenerationSettings_alignByGeometry_setter];
		public var alignByGeometry:Boolean;
		/**
		* UnityEngine.TextGenerationSettings.resizeTextForBestFit
		*fieldtype:
		*   System.Boolean
		*/
		[native, unityengine_TextGenerationSettings_resizeTextForBestFit_getter,unityengine_TextGenerationSettings_resizeTextForBestFit_setter];
		public var resizeTextForBestFit:Boolean;
		/**
		* UnityEngine.TextGenerationSettings.resizeTextMinSize
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_TextGenerationSettings_resizeTextMinSize_getter,unityengine_TextGenerationSettings_resizeTextMinSize_setter];
		public var resizeTextMinSize:int;
		/**
		* UnityEngine.TextGenerationSettings.resizeTextMaxSize
		*fieldtype:
		*   System.Int32
		*/
		[native, unityengine_TextGenerationSettings_resizeTextMaxSize_getter,unityengine_TextGenerationSettings_resizeTextMaxSize_setter];
		public var resizeTextMaxSize:int;
		/**
		* UnityEngine.TextGenerationSettings.updateBounds
		*fieldtype:
		*   System.Boolean
		*/
		[native, unityengine_TextGenerationSettings_updateBounds_getter,unityengine_TextGenerationSettings_updateBounds_setter];
		public var updateBounds:Boolean;
		/**
		* UnityEngine.TextGenerationSettings.verticalOverflow
		*fieldtype:
		*   UnityEngine.VerticalWrapMode
		*/
		[native, unityengine_TextGenerationSettings_verticalOverflow_getter,unityengine_TextGenerationSettings_verticalOverflow_setter];
		public var verticalOverflow:VerticalWrapMode;
		/**
		* UnityEngine.TextGenerationSettings.horizontalOverflow
		*fieldtype:
		*   UnityEngine.HorizontalWrapMode
		*/
		[native, unityengine_TextGenerationSettings_horizontalOverflow_getter,unityengine_TextGenerationSettings_horizontalOverflow_setter];
		public var horizontalOverflow:HorizontalWrapMode;
		/**
		* UnityEngine.TextGenerationSettings.generationExtents
		*fieldtype:
		*   UnityEngine.Vector2
		*/
		[native, unityengine_TextGenerationSettings_generationExtents_getter,unityengine_TextGenerationSettings_generationExtents_setter];
		public var generationExtents:Vector2;
		/**
		* UnityEngine.TextGenerationSettings.pivot
		*fieldtype:
		*   UnityEngine.Vector2
		*/
		[native, unityengine_TextGenerationSettings_pivot_getter,unityengine_TextGenerationSettings_pivot_setter];
		public var pivot:Vector2;
		/**
		* UnityEngine.TextGenerationSettings.generateOutOfBounds
		*fieldtype:
		*   System.Boolean
		*/
		[native, unityengine_TextGenerationSettings_generateOutOfBounds_getter,unityengine_TextGenerationSettings_generateOutOfBounds_setter];
		public var generateOutOfBounds:Boolean;

		//*********公共方法*******
		/**
		* UnityEngine.TextGenerationSettings.Equals
		*parameters:
		*  other : UnityEngine.TextGenerationSettings
		*return:
		*   System.Boolean
		*/
		[native,unityengine_TextGenerationSettings_equals__];
		public final function equals__(other:TextGenerationSettings):Boolean;


	}
}
