package unityengine
{
	import system._Array_;


		/**
		* Sealed
		*  UnityEngine.Texture2DArray
		*/
	[link_system]
	public final class Texture2DArray extends Texture
	{
		[creator];
		[native,unityengine_Texture2DArray_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Texture2DArray_constructor_];
		public static function constructor_(width:int,height:int,depth:int,format:TextureFormat,mipmap:Boolean,linear:Boolean):Texture2DArray;

		[native,unityengine_Texture2DArray_ctor];
		public function Texture2DArray(width:int,height:int,depth:int,format:TextureFormat,mipmap:Boolean);


		//*********公共方法*******
		/**
		* UnityEngine.Texture2DArray.get_depth
		*return:
		*   System.Int32
		*/
		[native,unityengine_Texture2DArray_get_depth]
		public final function get depth():int;

		/**
		* UnityEngine.Texture2DArray.get_format
		*return:
		*   UnityEngine.TextureFormat
		*/
		[native,unityengine_Texture2DArray_get_format]
		public final function get format():TextureFormat;

		/**
		* UnityEngine.Texture2DArray.Apply
		*parameters:
		*  updateMipmaps : System.Boolean
		*  makeNoLongerReadable : System.Boolean
		*/
		[native,unityengine_Texture2DArray_apply];
		public final function apply(updateMipmaps:Boolean,makeNoLongerReadable:Boolean):void;

		/**
		* UnityEngine.Texture2DArray.Apply
		*parameters:
		*  updateMipmaps : System.Boolean
		*/
		[native,unityengine_Texture2DArray_apply_];
		public final function apply_(updateMipmaps:Boolean):void;

		/**
		* UnityEngine.Texture2DArray.Apply
		*/
		[native,unityengine_Texture2DArray_apply__];
		public final function apply__():void;

		/**
		* UnityEngine.Texture2DArray.SetPixels
		*parameters:
		*  colors : UnityEngine.Color[]
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*/
		[native,unityengine_Texture2DArray_setPixels];
		public final function setPixels(colors:_Array_,arrayElement:int,miplevel:int):void;

		/**
		* UnityEngine.Texture2DArray.SetPixels
		*parameters:
		*  colors : UnityEngine.Color[]
		*  arrayElement : System.Int32
		*/
		[native,unityengine_Texture2DArray_setPixels_];
		public final function setPixels_(colors:_Array_,arrayElement:int):void;

		/**
		* UnityEngine.Texture2DArray.SetPixels32
		*parameters:
		*  colors : UnityEngine.Color32[]
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*/
		[native,unityengine_Texture2DArray_setPixels32];
		public final function setPixels32(colors:_Array_,arrayElement:int,miplevel:int):void;

		/**
		* UnityEngine.Texture2DArray.SetPixels32
		*parameters:
		*  colors : UnityEngine.Color32[]
		*  arrayElement : System.Int32
		*/
		[native,unityengine_Texture2DArray_setPixels32_];
		public final function setPixels32_(colors:_Array_,arrayElement:int):void;

		/**
		* UnityEngine.Texture2DArray.GetPixels
		*parameters:
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*return:
		*   UnityEngine.Color[]
		*/
		[native,unityengine_Texture2DArray_getPixels];
		public final function getPixels(arrayElement:int,miplevel:int):_Array_;

		/**
		* UnityEngine.Texture2DArray.GetPixels
		*parameters:
		*  arrayElement : System.Int32
		*return:
		*   UnityEngine.Color[]
		*/
		[native,unityengine_Texture2DArray_getPixels_];
		public final function getPixels_(arrayElement:int):_Array_;

		/**
		* UnityEngine.Texture2DArray.GetPixels32
		*parameters:
		*  arrayElement : System.Int32
		*  miplevel : System.Int32
		*return:
		*   UnityEngine.Color32[]
		*/
		[native,unityengine_Texture2DArray_getPixels32];
		public final function getPixels32(arrayElement:int,miplevel:int):_Array_;

		/**
		* UnityEngine.Texture2DArray.GetPixels32
		*parameters:
		*  arrayElement : System.Int32
		*return:
		*   UnityEngine.Color32[]
		*/
		[native,unityengine_Texture2DArray_getPixels32_];
		public final function getPixels32_(arrayElement:int):_Array_;


	}
}
