package unityengine
{
	[no_constructor]
	[link_system]
	public final class TextureFormat
	{
		[creator];
		[native,unityengine_TextureFormat_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_TextureFormat_ctor];
		public function TextureFormat();

		/**
		 *Alpha8 = UnityEngine.TextureFormat Alpha8
		 */
		[native,unityengine_TextureFormat_Alpha8_getter];
		public static const Alpha8:TextureFormat;

		/**
		 *ARGB4444 = UnityEngine.TextureFormat ARGB4444
		 */
		[native,unityengine_TextureFormat_ARGB4444_getter];
		public static const ARGB4444:TextureFormat;

		/**
		 *RGB24 = UnityEngine.TextureFormat RGB24
		 */
		[native,unityengine_TextureFormat_RGB24_getter];
		public static const RGB24:TextureFormat;

		/**
		 *RGBA32 = UnityEngine.TextureFormat RGBA32
		 */
		[native,unityengine_TextureFormat_RGBA32_getter];
		public static const RGBA32:TextureFormat;

		/**
		 *ARGB32 = UnityEngine.TextureFormat ARGB32
		 */
		[native,unityengine_TextureFormat_ARGB32_getter];
		public static const ARGB32:TextureFormat;

		/**
		 *RGB565 = UnityEngine.TextureFormat RGB565
		 */
		[native,unityengine_TextureFormat_RGB565_getter];
		public static const RGB565:TextureFormat;

		/**
		 *R16 = UnityEngine.TextureFormat R16
		 */
		[native,unityengine_TextureFormat_R16_getter];
		public static const R16:TextureFormat;

		/**
		 *DXT1 = UnityEngine.TextureFormat DXT1
		 */
		[native,unityengine_TextureFormat_DXT1_getter];
		public static const DXT1:TextureFormat;

		/**
		 *DXT5 = UnityEngine.TextureFormat DXT5
		 */
		[native,unityengine_TextureFormat_DXT5_getter];
		public static const DXT5:TextureFormat;

		/**
		 *RGBA4444 = UnityEngine.TextureFormat RGBA4444
		 */
		[native,unityengine_TextureFormat_RGBA4444_getter];
		public static const RGBA4444:TextureFormat;

		/**
		 *BGRA32 = UnityEngine.TextureFormat BGRA32
		 */
		[native,unityengine_TextureFormat_BGRA32_getter];
		public static const BGRA32:TextureFormat;

		/**
		 *RHalf = UnityEngine.TextureFormat RHalf
		 */
		[native,unityengine_TextureFormat_RHalf_getter];
		public static const RHalf:TextureFormat;

		/**
		 *RGHalf = UnityEngine.TextureFormat RGHalf
		 */
		[native,unityengine_TextureFormat_RGHalf_getter];
		public static const RGHalf:TextureFormat;

		/**
		 *RGBAHalf = UnityEngine.TextureFormat RGBAHalf
		 */
		[native,unityengine_TextureFormat_RGBAHalf_getter];
		public static const RGBAHalf:TextureFormat;

		/**
		 *RFloat = UnityEngine.TextureFormat RFloat
		 */
		[native,unityengine_TextureFormat_RFloat_getter];
		public static const RFloat:TextureFormat;

		/**
		 *RGFloat = UnityEngine.TextureFormat RGFloat
		 */
		[native,unityengine_TextureFormat_RGFloat_getter];
		public static const RGFloat:TextureFormat;

		/**
		 *RGBAFloat = UnityEngine.TextureFormat RGBAFloat
		 */
		[native,unityengine_TextureFormat_RGBAFloat_getter];
		public static const RGBAFloat:TextureFormat;

		/**
		 *YUY2 = UnityEngine.TextureFormat YUY2
		 */
		[native,unityengine_TextureFormat_YUY2_getter];
		public static const YUY2:TextureFormat;

		/**
		 *RGB9e5Float = UnityEngine.TextureFormat RGB9e5Float
		 */
		[native,unityengine_TextureFormat_RGB9e5Float_getter];
		public static const RGB9e5Float:TextureFormat;

		/**
		 *BC4 = UnityEngine.TextureFormat BC4
		 */
		[native,unityengine_TextureFormat_BC4_getter];
		public static const BC4:TextureFormat;

		/**
		 *BC5 = UnityEngine.TextureFormat BC5
		 */
		[native,unityengine_TextureFormat_BC5_getter];
		public static const BC5:TextureFormat;

		/**
		 *BC6H = UnityEngine.TextureFormat BC6H
		 */
		[native,unityengine_TextureFormat_BC6H_getter];
		public static const BC6H:TextureFormat;

		/**
		 *BC7 = UnityEngine.TextureFormat BC7
		 */
		[native,unityengine_TextureFormat_BC7_getter];
		public static const BC7:TextureFormat;

		/**
		 *DXT1Crunched = UnityEngine.TextureFormat DXT1Crunched
		 */
		[native,unityengine_TextureFormat_DXT1Crunched_getter];
		public static const DXT1Crunched:TextureFormat;

		/**
		 *DXT5Crunched = UnityEngine.TextureFormat DXT5Crunched
		 */
		[native,unityengine_TextureFormat_DXT5Crunched_getter];
		public static const DXT5Crunched:TextureFormat;

		/**
		 *PVRTC_RGB2 = UnityEngine.TextureFormat PVRTC_RGB2
		 */
		[native,unityengine_TextureFormat_PVRTC_RGB2_getter];
		public static const PVRTC_RGB2:TextureFormat;

		/**
		 *PVRTC_RGBA2 = UnityEngine.TextureFormat PVRTC_RGBA2
		 */
		[native,unityengine_TextureFormat_PVRTC_RGBA2_getter];
		public static const PVRTC_RGBA2:TextureFormat;

		/**
		 *PVRTC_RGB4 = UnityEngine.TextureFormat PVRTC_RGB4
		 */
		[native,unityengine_TextureFormat_PVRTC_RGB4_getter];
		public static const PVRTC_RGB4:TextureFormat;

		/**
		 *PVRTC_RGBA4 = UnityEngine.TextureFormat PVRTC_RGBA4
		 */
		[native,unityengine_TextureFormat_PVRTC_RGBA4_getter];
		public static const PVRTC_RGBA4:TextureFormat;

		/**
		 *ETC_RGB4 = UnityEngine.TextureFormat ETC_RGB4
		 */
		[native,unityengine_TextureFormat_ETC_RGB4_getter];
		public static const ETC_RGB4:TextureFormat;

		/**
		 *ATC_RGB4 = UnityEngine.TextureFormat ATC_RGB4
		 */
		[native,unityengine_TextureFormat_ATC_RGB4_getter];
		public static const ATC_RGB4:TextureFormat;

		/**
		 *ATC_RGBA8 = UnityEngine.TextureFormat ATC_RGBA8
		 */
		[native,unityengine_TextureFormat_ATC_RGBA8_getter];
		public static const ATC_RGBA8:TextureFormat;

		/**
		 *EAC_R = UnityEngine.TextureFormat EAC_R
		 */
		[native,unityengine_TextureFormat_EAC_R_getter];
		public static const EAC_R:TextureFormat;

		/**
		 *EAC_R_SIGNED = UnityEngine.TextureFormat EAC_R_SIGNED
		 */
		[native,unityengine_TextureFormat_EAC_R_SIGNED_getter];
		public static const EAC_R_SIGNED:TextureFormat;

		/**
		 *EAC_RG = UnityEngine.TextureFormat EAC_RG
		 */
		[native,unityengine_TextureFormat_EAC_RG_getter];
		public static const EAC_RG:TextureFormat;

		/**
		 *EAC_RG_SIGNED = UnityEngine.TextureFormat EAC_RG_SIGNED
		 */
		[native,unityengine_TextureFormat_EAC_RG_SIGNED_getter];
		public static const EAC_RG_SIGNED:TextureFormat;

		/**
		 *ETC2_RGB = UnityEngine.TextureFormat ETC2_RGB
		 */
		[native,unityengine_TextureFormat_ETC2_RGB_getter];
		public static const ETC2_RGB:TextureFormat;

		/**
		 *ETC2_RGBA1 = UnityEngine.TextureFormat ETC2_RGBA1
		 */
		[native,unityengine_TextureFormat_ETC2_RGBA1_getter];
		public static const ETC2_RGBA1:TextureFormat;

		/**
		 *ETC2_RGBA8 = UnityEngine.TextureFormat ETC2_RGBA8
		 */
		[native,unityengine_TextureFormat_ETC2_RGBA8_getter];
		public static const ETC2_RGBA8:TextureFormat;

		/**
		 *ASTC_RGB_4x4 = UnityEngine.TextureFormat ASTC_RGB_4x4
		 */
		[native,unityengine_TextureFormat_ASTC_RGB_4x4_getter];
		public static const ASTC_RGB_4x4:TextureFormat;

		/**
		 *ASTC_RGB_5x5 = UnityEngine.TextureFormat ASTC_RGB_5x5
		 */
		[native,unityengine_TextureFormat_ASTC_RGB_5x5_getter];
		public static const ASTC_RGB_5x5:TextureFormat;

		/**
		 *ASTC_RGB_6x6 = UnityEngine.TextureFormat ASTC_RGB_6x6
		 */
		[native,unityengine_TextureFormat_ASTC_RGB_6x6_getter];
		public static const ASTC_RGB_6x6:TextureFormat;

		/**
		 *ASTC_RGB_8x8 = UnityEngine.TextureFormat ASTC_RGB_8x8
		 */
		[native,unityengine_TextureFormat_ASTC_RGB_8x8_getter];
		public static const ASTC_RGB_8x8:TextureFormat;

		/**
		 *ASTC_RGB_10x10 = UnityEngine.TextureFormat ASTC_RGB_10x10
		 */
		[native,unityengine_TextureFormat_ASTC_RGB_10x10_getter];
		public static const ASTC_RGB_10x10:TextureFormat;

		/**
		 *ASTC_RGB_12x12 = UnityEngine.TextureFormat ASTC_RGB_12x12
		 */
		[native,unityengine_TextureFormat_ASTC_RGB_12x12_getter];
		public static const ASTC_RGB_12x12:TextureFormat;

		/**
		 *ASTC_RGBA_4x4 = UnityEngine.TextureFormat ASTC_RGBA_4x4
		 */
		[native,unityengine_TextureFormat_ASTC_RGBA_4x4_getter];
		public static const ASTC_RGBA_4x4:TextureFormat;

		/**
		 *ASTC_RGBA_5x5 = UnityEngine.TextureFormat ASTC_RGBA_5x5
		 */
		[native,unityengine_TextureFormat_ASTC_RGBA_5x5_getter];
		public static const ASTC_RGBA_5x5:TextureFormat;

		/**
		 *ASTC_RGBA_6x6 = UnityEngine.TextureFormat ASTC_RGBA_6x6
		 */
		[native,unityengine_TextureFormat_ASTC_RGBA_6x6_getter];
		public static const ASTC_RGBA_6x6:TextureFormat;

		/**
		 *ASTC_RGBA_8x8 = UnityEngine.TextureFormat ASTC_RGBA_8x8
		 */
		[native,unityengine_TextureFormat_ASTC_RGBA_8x8_getter];
		public static const ASTC_RGBA_8x8:TextureFormat;

		/**
		 *ASTC_RGBA_10x10 = UnityEngine.TextureFormat ASTC_RGBA_10x10
		 */
		[native,unityengine_TextureFormat_ASTC_RGBA_10x10_getter];
		public static const ASTC_RGBA_10x10:TextureFormat;

		/**
		 *ASTC_RGBA_12x12 = UnityEngine.TextureFormat ASTC_RGBA_12x12
		 */
		[native,unityengine_TextureFormat_ASTC_RGBA_12x12_getter];
		public static const ASTC_RGBA_12x12:TextureFormat;

		/**
		 *ETC_RGB4_3DS = UnityEngine.TextureFormat ETC_RGB4_3DS
		 */
		[native,unityengine_TextureFormat_ETC_RGB4_3DS_getter];
		public static const ETC_RGB4_3DS:TextureFormat;

		/**
		 *ETC_RGBA8_3DS = UnityEngine.TextureFormat ETC_RGBA8_3DS
		 */
		[native,unityengine_TextureFormat_ETC_RGBA8_3DS_getter];
		public static const ETC_RGBA8_3DS:TextureFormat;

		/**
		 *RG16 = UnityEngine.TextureFormat RG16
		 */
		[native,unityengine_TextureFormat_RG16_getter];
		public static const RG16:TextureFormat;

		/**
		 *R8 = UnityEngine.TextureFormat R8
		 */
		[native,unityengine_TextureFormat_R8_getter];
		public static const R8:TextureFormat;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_TextureFormat_operator_bitOr];
		private static function bitOr(t1:TextureFormat,t2:TextureFormat):TextureFormat;
	}
}
