package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Touch
		*/
	[struct]
	[link_system]
	public final class Touch extends system._Object_
	{
		[creator];
		[native,unityengine_Touch_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Touch_ctor];
		public function Touch();
		//*********公共方法*******
		/**
		* UnityEngine.Touch.get_fingerId
		*return:
		*   System.Int32
		*/
		[native,unityengine_Touch_get_fingerId]
		public final function get fingerId():int;

		/**
		* UnityEngine.Touch.set_fingerId
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Touch_set_fingerId]
		public final function set fingerId(value:int):void;

		/**
		* UnityEngine.Touch.get_position
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Touch_get_position]
		public final function get position():Vector2;

		/**
		* UnityEngine.Touch.set_position
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Touch_set_position]
		public final function set position(value:Vector2):void;

		/**
		* UnityEngine.Touch.get_rawPosition
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Touch_get_rawPosition]
		public final function get rawPosition():Vector2;

		/**
		* UnityEngine.Touch.set_rawPosition
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Touch_set_rawPosition]
		public final function set rawPosition(value:Vector2):void;

		/**
		* UnityEngine.Touch.get_deltaPosition
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Touch_get_deltaPosition]
		public final function get deltaPosition():Vector2;

		/**
		* UnityEngine.Touch.set_deltaPosition
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_Touch_set_deltaPosition]
		public final function set deltaPosition(value:Vector2):void;

		/**
		* UnityEngine.Touch.get_deltaTime
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_deltaTime]
		public final function get deltaTime():Number;

		/**
		* UnityEngine.Touch.set_deltaTime
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_deltaTime]
		public final function set deltaTime(value:Number):void;

		/**
		* UnityEngine.Touch.get_tapCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_Touch_get_tapCount]
		public final function get tapCount():int;

		/**
		* UnityEngine.Touch.set_tapCount
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_Touch_set_tapCount]
		public final function set tapCount(value:int):void;

		/**
		* UnityEngine.Touch.get_phase
		*return:
		*   UnityEngine.TouchPhase
		*/
		[native,unityengine_Touch_get_phase]
		public final function get phase():TouchPhase;

		/**
		* UnityEngine.Touch.set_phase
		*parameters:
		*  value : UnityEngine.TouchPhase
		*/
		[native,unityengine_Touch_set_phase]
		public final function set phase(value:TouchPhase):void;

		/**
		* UnityEngine.Touch.get_pressure
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_pressure]
		public final function get pressure():Number;

		/**
		* UnityEngine.Touch.set_pressure
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_pressure]
		public final function set pressure(value:Number):void;

		/**
		* UnityEngine.Touch.get_maximumPossiblePressure
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_maximumPossiblePressure]
		public final function get maximumPossiblePressure():Number;

		/**
		* UnityEngine.Touch.set_maximumPossiblePressure
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_maximumPossiblePressure]
		public final function set maximumPossiblePressure(value:Number):void;

		/**
		* UnityEngine.Touch.get_type
		*return:
		*   UnityEngine.TouchType
		*/
		[native,unityengine_Touch_get_type]
		public final function get type():TouchType;

		/**
		* UnityEngine.Touch.set_type
		*parameters:
		*  value : UnityEngine.TouchType
		*/
		[native,unityengine_Touch_set_type]
		public final function set type(value:TouchType):void;

		/**
		* UnityEngine.Touch.get_altitudeAngle
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_altitudeAngle]
		public final function get altitudeAngle():Number;

		/**
		* UnityEngine.Touch.set_altitudeAngle
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_altitudeAngle]
		public final function set altitudeAngle(value:Number):void;

		/**
		* UnityEngine.Touch.get_azimuthAngle
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_azimuthAngle]
		public final function get azimuthAngle():Number;

		/**
		* UnityEngine.Touch.set_azimuthAngle
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_azimuthAngle]
		public final function set azimuthAngle(value:Number):void;

		/**
		* UnityEngine.Touch.get_radius
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_radius]
		public final function get radius():Number;

		/**
		* UnityEngine.Touch.set_radius
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_radius]
		public final function set radius(value:Number):void;

		/**
		* UnityEngine.Touch.get_radiusVariance
		*return:
		*   System.Single
		*/
		[native,unityengine_Touch_get_radiusVariance]
		public final function get radiusVariance():Number;

		/**
		* UnityEngine.Touch.set_radiusVariance
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_Touch_set_radiusVariance]
		public final function set radiusVariance(value:Number):void;


	}
}
