package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.UIVertex
		*/
	[struct]
	[link_system]
	public final class UIVertex extends system._Object_
	{
		[creator];
		[native,unityengine_UIVertex_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_UIVertex_ctor];
		public function UIVertex();
		//*********字段*******
		/**
		* UnityEngine.UIVertex.position
		*fieldtype:
		*   UnityEngine.Vector3
		*/
		[native, unityengine_UIVertex_position_getter,unityengine_UIVertex_position_setter];
		public var position:Vector3;
		/**
		* UnityEngine.UIVertex.normal
		*fieldtype:
		*   UnityEngine.Vector3
		*/
		[native, unityengine_UIVertex_normal_getter,unityengine_UIVertex_normal_setter];
		public var normal:Vector3;
		/**
		* UnityEngine.UIVertex.color
		*fieldtype:
		*   UnityEngine.Color32
		*/
		[native, unityengine_UIVertex_color_getter,unityengine_UIVertex_color_setter];
		public var color:Color32;
		/**
		* UnityEngine.UIVertex.uv0
		*fieldtype:
		*   UnityEngine.Vector2
		*/
		[native, unityengine_UIVertex_uv0_getter,unityengine_UIVertex_uv0_setter];
		public var uv0:Vector2;
		/**
		* UnityEngine.UIVertex.uv1
		*fieldtype:
		*   UnityEngine.Vector2
		*/
		[native, unityengine_UIVertex_uv1_getter,unityengine_UIVertex_uv1_setter];
		public var uv1:Vector2;
		/**
		* UnityEngine.UIVertex.uv2
		*fieldtype:
		*   UnityEngine.Vector2
		*/
		[native, unityengine_UIVertex_uv2_getter,unityengine_UIVertex_uv2_setter];
		public var uv2:Vector2;
		/**
		* UnityEngine.UIVertex.uv3
		*fieldtype:
		*   UnityEngine.Vector2
		*/
		[native, unityengine_UIVertex_uv3_getter,unityengine_UIVertex_uv3_setter];
		public var uv3:Vector2;
		/**
		* UnityEngine.UIVertex.tangent
		*fieldtype:
		*   UnityEngine.Vector4
		*/
		[native, unityengine_UIVertex_tangent_getter,unityengine_UIVertex_tangent_setter];
		public var tangent:Vector4;
		/**
		* UnityEngine.UIVertex.simpleVert
		*fieldtype:
		*   UnityEngine.UIVertex
		*/
		[native, unityengine_UIVertex_simpleVert_getter,unityengine_UIVertex_simpleVert_setter];
		public static var simpleVert:UIVertex;

	}
}
