package unityengine
{
	import system._Object_;
	import as3runtime.RefOutStore;


		/**
		* Struct
		*  UnityEngine.Vector2
		*/
	[struct]
	[link_system]
	public final class Vector2 extends system._Object_
	{
		[creator];
		[native,unityengine_Vector2_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Vector2_ctor];
		public function Vector2(x:Number,y:Number);


		//*********字段*******
		/**
		* UnityEngine.Vector2.x
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector2_x_getter,unityengine_Vector2_x_setter];
		public var x:Number;
		/**
		* UnityEngine.Vector2.y
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector2_y_getter,unityengine_Vector2_y_setter];
		public var y:Number;
		/**
		* UnityEngine.Vector2.kEpsilon
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector2_kEpsilon_getter];
		public static const kEpsilon:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Vector2.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,unityengine_Vector2_getThisItem];
		final function get_Item(index:int):Number;

		/**
		* UnityEngine.Vector2.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,unityengine_Vector2_setThisItem];
		final function set_Item(value:Number,index:int):void;

		/**
		* UnityEngine.Vector2.Set
		*parameters:
		*  newX : System.Single
		*  newY : System.Single
		*/
		[native,unityengine_Vector2_set];
		public final function set(newX:Number,newY:Number):void;

		/**
		* UnityEngine.Vector2.Lerp
		*parameters:
		*  a : UnityEngine.Vector2
		*  b : UnityEngine.Vector2
		*  t : System.Single
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_lerp];
		public static function lerp(a:Vector2,b:Vector2,t:Number):Vector2;

		/**
		* UnityEngine.Vector2.LerpUnclamped
		*parameters:
		*  a : UnityEngine.Vector2
		*  b : UnityEngine.Vector2
		*  t : System.Single
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_lerpUnclamped];
		public static function lerpUnclamped(a:Vector2,b:Vector2,t:Number):Vector2;

		/**
		* UnityEngine.Vector2.MoveTowards
		*parameters:
		*  current : UnityEngine.Vector2
		*  target : UnityEngine.Vector2
		*  maxDistanceDelta : System.Single
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_moveTowards];
		public static function moveTowards(current:Vector2,target:Vector2,maxDistanceDelta:Number):Vector2;

		/**
		* UnityEngine.Vector2.Scale
		*parameters:
		*  a : UnityEngine.Vector2
		*  b : UnityEngine.Vector2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_scale];
		public static function scale(a:Vector2,b:Vector2):Vector2;

		/**
		* UnityEngine.Vector2.Scale
		*parameters:
		*  scale : UnityEngine.Vector2
		*/
		[native,unityengine_Vector2_scale];
		public final function scale(scale:Vector2):void;

		/**
		* UnityEngine.Vector2.Normalize
		*/
		[native,unityengine_Vector2_normalize];
		public final function normalize():void;

		/**
		* UnityEngine.Vector2.get_normalized
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_Vector2_get_normalized]
		public final function get normalized():Vector2;

		/**
		* UnityEngine.Vector2.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Vector2_toString___];
		public final function toString___(format:String):String;

		/**
		* UnityEngine.Vector2.Reflect
		*parameters:
		*  inDirection : UnityEngine.Vector2
		*  inNormal : UnityEngine.Vector2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_reflect];
		public static function reflect(inDirection:Vector2,inNormal:Vector2):Vector2;

		/**
		* UnityEngine.Vector2.Dot
		*parameters:
		*  lhs : UnityEngine.Vector2
		*  rhs : UnityEngine.Vector2
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector2_dot];
		public static function dot(lhs:Vector2,rhs:Vector2):Number;

		/**
		* UnityEngine.Vector2.get_magnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector2_get_magnitude]
		public final function get magnitude():Number;

		/**
		* UnityEngine.Vector2.get_sqrMagnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector2_get_sqrMagnitude]
		public final function get sqrMagnitude__():Number;

		/**
		* UnityEngine.Vector2.Angle
		*parameters:
		*  from : UnityEngine.Vector2
		*  to : UnityEngine.Vector2
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector2_angle];
		public static function angle(from:Vector2,to:Vector2):Number;

		/**
		* UnityEngine.Vector2.SignedAngle
		*parameters:
		*  from : UnityEngine.Vector2
		*  to : UnityEngine.Vector2
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector2_signedAngle];
		public static function signedAngle(from:Vector2,to:Vector2):Number;

		/**
		* UnityEngine.Vector2.Distance
		*parameters:
		*  a : UnityEngine.Vector2
		*  b : UnityEngine.Vector2
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector2_distance];
		public static function distance(a:Vector2,b:Vector2):Number;

		/**
		* UnityEngine.Vector2.ClampMagnitude
		*parameters:
		*  vector : UnityEngine.Vector2
		*  maxLength : System.Single
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_clampMagnitude];
		public static function clampMagnitude(vector:Vector2,maxLength:Number):Vector2;

		/**
		* UnityEngine.Vector2.SqrMagnitude
		*parameters:
		*  a : UnityEngine.Vector2
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector2_sqrMagnitude];
		public static function sqrMagnitude(a:Vector2):Number;

		/**
		* UnityEngine.Vector2.SqrMagnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector2_sqrMagnitude];
		public final function sqrMagnitude():Number;

		/**
		* UnityEngine.Vector2.Min
		*parameters:
		*  lhs : UnityEngine.Vector2
		*  rhs : UnityEngine.Vector2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_min];
		public static function min(lhs:Vector2,rhs:Vector2):Vector2;

		/**
		* UnityEngine.Vector2.Max
		*parameters:
		*  lhs : UnityEngine.Vector2
		*  rhs : UnityEngine.Vector2
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_max];
		public static function max(lhs:Vector2,rhs:Vector2):Vector2;

		/**
		* UnityEngine.Vector2.SmoothDamp
		*parameters:
		*  current : UnityEngine.Vector2
		*  target : UnityEngine.Vector2
		*  currentVelocity : (ByRef) UnityEngine.Vector2
		*  smoothTime : System.Single
		*  maxSpeed : System.Single
		*  deltaTime : System.Single
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_smoothDamp];
		public static function smoothDamp(current:Vector2,target:Vector2,currentVelocity:Vector2,smoothTime:Number,maxSpeed:Number,deltaTime:Number,refout:as3runtime.RefOutStore):Vector2;

		/**
		* UnityEngine.Vector2.get_zero
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_zero]
		public static function get zero():Vector2;

		/**
		* UnityEngine.Vector2.get_one
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_one]
		public static function get one():Vector2;

		/**
		* UnityEngine.Vector2.get_up
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_up]
		public static function get up():Vector2;

		/**
		* UnityEngine.Vector2.get_down
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_down]
		public static function get down():Vector2;

		/**
		* UnityEngine.Vector2.get_left
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_left]
		public static function get left():Vector2;

		/**
		* UnityEngine.Vector2.get_right
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_right]
		public static function get right():Vector2;

		/**
		* UnityEngine.Vector2.get_positiveInfinity
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_positiveInfinity]
		public static function get positiveInfinity():Vector2;

		/**
		* UnityEngine.Vector2.get_negativeInfinity
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_Vector2_get_negativeInfinity]
		public static function get negativeInfinity():Vector2;


		//*****操作重载*****
		/**
		 * 计算 a + b
		 */
		[native,static_unityengine_Vector2_op_Addition];
		public static function op_Addition(a:Vector2,b:Vector2):Vector2;

		[operator,"+"];
		[native,static_unityengine_Vector2_op_Addition];
		private static function _operator_op_Addition(a:Vector2,b:Vector2):Vector2;

		/**
		 * 计算 a - b
		 */
		[native,static_unityengine_Vector2_op_Subtraction];
		public static function op_Subtraction(a:Vector2,b:Vector2):Vector2;

		[operator,"-"];
		[native,static_unityengine_Vector2_op_Subtraction];
		private static function _operator_op_Subtraction(a:Vector2,b:Vector2):Vector2;

		/**
		 * 计算 -a
		 */
		[native,static_unityengine_Vector2_op_UnaryNegation];
		public static function op_UnaryNegation(a:Vector2):Vector2;

		[operator,"-"];
		[native,static_unityengine_Vector2_op_UnaryNegation];
		private static function _operator_op_UnaryNegation(a:Vector2):Vector2;

		/**
		 * 计算 a * d
		 */
		[native,static_unityengine_Vector2_op_Multiply];
		public static function op_Multiply(a:Vector2,d:Number):Vector2;

		[operator,"*"];
		[native,static_unityengine_Vector2_op_Multiply];
		private static function _operator_op_Multiply(a:Vector2,d:Number):Vector2;

		/**
		 * 计算 d * a
		 */
		[native,static_unityengine_Vector2_op_Multiply_];
		public static function op_Multiply_(d:Number,a:Vector2):Vector2;

		[operator,"*"];
		[native,static_unityengine_Vector2_op_Multiply_];
		private static function _operator_op_Multiply_(d:Number,a:Vector2):Vector2;

		/**
		 * 计算 a / d
		 */
		[native,static_unityengine_Vector2_op_Division];
		public static function op_Division(a:Vector2,d:Number):Vector2;

		[operator,"/"];
		[native,static_unityengine_Vector2_op_Division];
		private static function _operator_op_Division(a:Vector2,d:Number):Vector2;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Vector2_op_Equality];
		public static function op_Equality(lhs:Vector2,rhs:Vector2):Boolean;

		[operator,"=="];
		[native,static_unityengine_Vector2_op_Equality];
		private static function _operator_op_Equality(lhs:Vector2,rhs:Vector2):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Vector2_op_Inequality];
		public static function op_Inequality(lhs:Vector2,rhs:Vector2):Boolean;

		[operator,"!="];
		[native,static_unityengine_Vector2_op_Inequality];
		private static function _operator_op_Inequality(lhs:Vector2,rhs:Vector2):Boolean;

		/**
		 * Implicit From UnityEngine.Vector3 
		 */
		[native,static_unityengine_Vector2_op_Implicit];
		public static function op_Implicit(v:Vector3):Vector2;

		/**
		 * Implicit To UnityEngine.Vector3 
		 */
		[native,static_unityengine_Vector2_op_Implicit_];
		public static function op_Implicit_(v:Vector2):Vector3;


	}
}
