package unityengine
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Vector4
		*/
	[struct]
	[link_system]
	public final class Vector4 extends system._Object_
	{
		[creator];
		[native,unityengine_Vector4_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_Vector4_constructor_];
		public static function constructor_(x:Number,y:Number,z:Number):Vector4;

		[native,unityengine_Vector4_constructor__];
		public static function constructor__(x:Number,y:Number):Vector4;

		[native,unityengine_Vector4_ctor];
		public function Vector4(x:Number,y:Number,z:Number,w:Number);


		//*********字段*******
		/**
		* UnityEngine.Vector4.x
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector4_x_getter,unityengine_Vector4_x_setter];
		public var x:Number;
		/**
		* UnityEngine.Vector4.y
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector4_y_getter,unityengine_Vector4_y_setter];
		public var y:Number;
		/**
		* UnityEngine.Vector4.z
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector4_z_getter,unityengine_Vector4_z_setter];
		public var z:Number;
		/**
		* UnityEngine.Vector4.w
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector4_w_getter,unityengine_Vector4_w_setter];
		public var w:Number;
		/**
		* UnityEngine.Vector4.kEpsilon
		*fieldtype:
		*   System.Single
		*/
		[native, unityengine_Vector4_kEpsilon_getter];
		public static const kEpsilon:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Vector4.get_Item
		*parameters:
		*  index : System.Int32
		*return:
		*   System.Single
		*/
		[get_this_item];
		[native,unityengine_Vector4_getThisItem];
		final function get_Item(index:int):Number;

		/**
		* UnityEngine.Vector4.set_Item
		*parameters:
		*  index : System.Int32
		*  value : System.Single
		*/
		[set_this_item];
		[native,unityengine_Vector4_setThisItem];
		final function set_Item(value:Number,index:int):void;

		/**
		* UnityEngine.Vector4.Set
		*parameters:
		*  newX : System.Single
		*  newY : System.Single
		*  newZ : System.Single
		*  newW : System.Single
		*/
		[native,unityengine_Vector4_set];
		public final function set(newX:Number,newY:Number,newZ:Number,newW:Number):void;

		/**
		* UnityEngine.Vector4.Lerp
		*parameters:
		*  a : UnityEngine.Vector4
		*  b : UnityEngine.Vector4
		*  t : System.Single
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_lerp];
		public static function lerp(a:Vector4,b:Vector4,t:Number):Vector4;

		/**
		* UnityEngine.Vector4.LerpUnclamped
		*parameters:
		*  a : UnityEngine.Vector4
		*  b : UnityEngine.Vector4
		*  t : System.Single
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_lerpUnclamped];
		public static function lerpUnclamped(a:Vector4,b:Vector4,t:Number):Vector4;

		/**
		* UnityEngine.Vector4.MoveTowards
		*parameters:
		*  current : UnityEngine.Vector4
		*  target : UnityEngine.Vector4
		*  maxDistanceDelta : System.Single
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_moveTowards];
		public static function moveTowards(current:Vector4,target:Vector4,maxDistanceDelta:Number):Vector4;

		/**
		* UnityEngine.Vector4.Scale
		*parameters:
		*  a : UnityEngine.Vector4
		*  b : UnityEngine.Vector4
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_scale];
		public static function scale(a:Vector4,b:Vector4):Vector4;

		/**
		* UnityEngine.Vector4.Scale
		*parameters:
		*  scale : UnityEngine.Vector4
		*/
		[native,unityengine_Vector4_scale];
		public final function scale(scale:Vector4):void;

		/**
		* UnityEngine.Vector4.Normalize
		*parameters:
		*  a : UnityEngine.Vector4
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_normalize];
		public static function normalize(a:Vector4):Vector4;

		/**
		* UnityEngine.Vector4.Normalize
		*/
		[native,unityengine_Vector4_normalize];
		public final function normalize():void;

		/**
		* UnityEngine.Vector4.get_normalized
		*return:
		*   UnityEngine.Vector4
		*/
		[native,unityengine_Vector4_get_normalized]
		public final function get normalized():Vector4;

		/**
		* UnityEngine.Vector4.Dot
		*parameters:
		*  a : UnityEngine.Vector4
		*  b : UnityEngine.Vector4
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector4_dot];
		public static function dot(a:Vector4,b:Vector4):Number;

		/**
		* UnityEngine.Vector4.Project
		*parameters:
		*  a : UnityEngine.Vector4
		*  b : UnityEngine.Vector4
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_project];
		public static function project(a:Vector4,b:Vector4):Vector4;

		/**
		* UnityEngine.Vector4.Distance
		*parameters:
		*  a : UnityEngine.Vector4
		*  b : UnityEngine.Vector4
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector4_distance];
		public static function distance(a:Vector4,b:Vector4):Number;

		/**
		* UnityEngine.Vector4.Magnitude
		*parameters:
		*  a : UnityEngine.Vector4
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector4_magnitude];
		public static function magnitude(a:Vector4):Number;

		/**
		* UnityEngine.Vector4.get_magnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector4_get_magnitude]
		public final function get magnitude_():Number;

		/**
		* UnityEngine.Vector4.get_sqrMagnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector4_get_sqrMagnitude]
		public final function get sqrMagnitude__():Number;

		/**
		* UnityEngine.Vector4.Min
		*parameters:
		*  lhs : UnityEngine.Vector4
		*  rhs : UnityEngine.Vector4
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_min];
		public static function min(lhs:Vector4,rhs:Vector4):Vector4;

		/**
		* UnityEngine.Vector4.Max
		*parameters:
		*  lhs : UnityEngine.Vector4
		*  rhs : UnityEngine.Vector4
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_max];
		public static function max(lhs:Vector4,rhs:Vector4):Vector4;

		/**
		* UnityEngine.Vector4.get_zero
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_get_zero]
		public static function get zero():Vector4;

		/**
		* UnityEngine.Vector4.get_one
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_get_one]
		public static function get one():Vector4;

		/**
		* UnityEngine.Vector4.get_positiveInfinity
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_get_positiveInfinity]
		public static function get positiveInfinity():Vector4;

		/**
		* UnityEngine.Vector4.get_negativeInfinity
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_Vector4_get_negativeInfinity]
		public static function get negativeInfinity():Vector4;

		/**
		* UnityEngine.Vector4.ToString
		*parameters:
		*  format : System.String
		*return:
		*   System.String
		*/
		[native,unityengine_Vector4_toString___];
		public final function toString___(format:String):String;

		/**
		* UnityEngine.Vector4.SqrMagnitude
		*parameters:
		*  a : UnityEngine.Vector4
		*return:
		*   System.Single
		*/
		[native,static_unityengine_Vector4_sqrMagnitude];
		public static function sqrMagnitude(a:Vector4):Number;

		/**
		* UnityEngine.Vector4.SqrMagnitude
		*return:
		*   System.Single
		*/
		[native,unityengine_Vector4_sqrMagnitude];
		public final function sqrMagnitude():Number;


		//*****操作重载*****
		/**
		 * 计算 a + b
		 */
		[native,static_unityengine_Vector4_op_Addition];
		public static function op_Addition(a:Vector4,b:Vector4):Vector4;

		[operator,"+"];
		[native,static_unityengine_Vector4_op_Addition];
		private static function _operator_op_Addition(a:Vector4,b:Vector4):Vector4;

		/**
		 * 计算 a - b
		 */
		[native,static_unityengine_Vector4_op_Subtraction];
		public static function op_Subtraction(a:Vector4,b:Vector4):Vector4;

		[operator,"-"];
		[native,static_unityengine_Vector4_op_Subtraction];
		private static function _operator_op_Subtraction(a:Vector4,b:Vector4):Vector4;

		/**
		 * 计算 -a
		 */
		[native,static_unityengine_Vector4_op_UnaryNegation];
		public static function op_UnaryNegation(a:Vector4):Vector4;

		[operator,"-"];
		[native,static_unityengine_Vector4_op_UnaryNegation];
		private static function _operator_op_UnaryNegation(a:Vector4):Vector4;

		/**
		 * 计算 a * d
		 */
		[native,static_unityengine_Vector4_op_Multiply];
		public static function op_Multiply(a:Vector4,d:Number):Vector4;

		[operator,"*"];
		[native,static_unityengine_Vector4_op_Multiply];
		private static function _operator_op_Multiply(a:Vector4,d:Number):Vector4;

		/**
		 * 计算 d * a
		 */
		[native,static_unityengine_Vector4_op_Multiply_];
		public static function op_Multiply_(d:Number,a:Vector4):Vector4;

		[operator,"*"];
		[native,static_unityengine_Vector4_op_Multiply_];
		private static function _operator_op_Multiply_(d:Number,a:Vector4):Vector4;

		/**
		 * 计算 a / d
		 */
		[native,static_unityengine_Vector4_op_Division];
		public static function op_Division(a:Vector4,d:Number):Vector4;

		[operator,"/"];
		[native,static_unityengine_Vector4_op_Division];
		private static function _operator_op_Division(a:Vector4,d:Number):Vector4;

		/**
		 * 计算 lhs == rhs
		 */
		[native,static_unityengine_Vector4_op_Equality];
		public static function op_Equality(lhs:Vector4,rhs:Vector4):Boolean;

		[operator,"=="];
		[native,static_unityengine_Vector4_op_Equality];
		private static function _operator_op_Equality(lhs:Vector4,rhs:Vector4):Boolean;

		/**
		 * 计算 lhs != rhs
		 */
		[native,static_unityengine_Vector4_op_Inequality];
		public static function op_Inequality(lhs:Vector4,rhs:Vector4):Boolean;

		[operator,"!="];
		[native,static_unityengine_Vector4_op_Inequality];
		private static function _operator_op_Inequality(lhs:Vector4,rhs:Vector4):Boolean;

		/**
		 * Implicit From UnityEngine.Vector3 
		 */
		[native,static_unityengine_Vector4_op_Implicit];
		public static function op_Implicit(v:Vector3):Vector4;

		/**
		 * Implicit To UnityEngine.Vector3 
		 */
		[native,static_unityengine_Vector4_op_Implicit_];
		public static function op_Implicit_(v:Vector4):Vector3;

		/**
		 * Implicit From UnityEngine.Vector2 
		 */
		[native,static_unityengine_Vector4_op_Implicit__];
		public static function op_Implicit__(v:Vector2):Vector4;

		/**
		 * Implicit To UnityEngine.Vector2 
		 */
		[native,static_unityengine_Vector4_op_Implicit___];
		public static function op_Implicit___(v:Vector4):Vector2;


	}
}
