package unityengine.events
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.Events.UnityAction
		* System.Void()

		* Sealed
		*  UnityEngine.Events.UnityAction
		*/
	[link_system]
	public final class UnityAction extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_events_UnityAction_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:UnityAction, b:Function):UnityAction;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:UnityAction, value:Function):UnityAction;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:UnityAction, b:Function):UnityAction;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:UnityAction, value:Function):UnityAction;

		//*********构造函数*******
		[native,unityengine_events_UnityAction_ctor];
		public function UnityAction(func:Function);

		[implicit_from];
		[native,unityengine_events_UnityAction_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_events_UnityAction_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.Events.UnityAction.Invoke
		*/
		[native,unityengine_events_UnityAction_invoke];
		public function invoke():void;

		/**
		* UnityEngine.Events.UnityAction.BeginInvoke
		*parameters:
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_beginInvoke];
		public function beginInvoke(callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.Events.UnityAction.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_events_UnityAction_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
