package unityengine.events
{
	import system._Object_;
	import unityengine.ISerializationCallbackReceiver;
	import unityengine.UObject;


		/**
		* Abstract
		*  UnityEngine.Events.UnityEventBase
		*/
	[no_constructor]
	[link_system]
	public class UnityEventBase extends system._Object_ implements unityengine.ISerializationCallbackReceiver
	{
		[creator];
		[native,unityengine_events_UnityEventBase_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function UnityEventBase();
		//*********公共方法*******
		/**
		* UnityEngine.Events.UnityEventBase.GetPersistentEventCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_events_UnityEventBase_getPersistentEventCount];
		public final function getPersistentEventCount():int;

		/**
		* UnityEngine.Events.UnityEventBase.GetPersistentTarget
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Object
		*/
		[native,unityengine_events_UnityEventBase_getPersistentTarget];
		public final function getPersistentTarget(index:int):unityengine.UObject;

		/**
		* UnityEngine.Events.UnityEventBase.GetPersistentMethodName
		*parameters:
		*  index : System.Int32
		*return:
		*   System.String
		*/
		[native,unityengine_events_UnityEventBase_getPersistentMethodName];
		public final function getPersistentMethodName(index:int):String;

		/**
		* UnityEngine.Events.UnityEventBase.SetPersistentListenerState
		*parameters:
		*  index : System.Int32
		*  state : UnityEngine.Events.UnityEventCallState
		*/
		[native,unityengine_events_UnityEventBase_setPersistentListenerState];
		public final function setPersistentListenerState(index:int,state:UnityEventCallState):void;

		/**
		* UnityEngine.Events.UnityEventBase.RemoveAllListeners
		*/
		[native,unityengine_events_UnityEventBase_removeAllListeners];
		public final function removeAllListeners():void;


		//*****显式接口实现*****
		[native,unityengine_ISerializationCallbackReceiver_onBeforeSerialize];
		private function unityengine_ISerializationCallbackReceiver_OnBeforeSerialize():void;

		[native,unityengine_ISerializationCallbackReceiver_onAfterDeserialize];
		private function unityengine_ISerializationCallbackReceiver_OnAfterDeserialize():void;


	}
}
