package unityengine.eventsystems
{
	import unityengine.IMECompositionMode;
	import unityengine.Vector2;
	import unityengine.Touch;


		/**
		*  UnityEngine.EventSystems.BaseInput
		*/
	[link_system]
	public class BaseInput extends UIBehaviour
	{
		[creator];
		[native,unityengine_eventsystems_BaseInput_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_eventsystems_BaseInput_ctor];
		public function BaseInput();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_eventsystems_BaseInputAdapter_ctor];
		private function _BaseInputAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.BaseInput.get_compositionString
		*return:
		*   System.String
		*/
		[native,unityengine_eventsystems_BaseInput_get_compositionString]
		public function get compositionString():String;

		/**
		* UnityEngine.EventSystems.BaseInput.get_imeCompositionMode
		*return:
		*   UnityEngine.IMECompositionMode
		*/
		[native,unityengine_eventsystems_BaseInput_get_imeCompositionMode]
		public function get imeCompositionMode():unityengine.IMECompositionMode;

		/**
		* UnityEngine.EventSystems.BaseInput.set_imeCompositionMode
		*parameters:
		*  value : UnityEngine.IMECompositionMode
		*/
		[native,unityengine_eventsystems_BaseInput_set_imeCompositionMode]
		public function set imeCompositionMode(value:unityengine.IMECompositionMode):void;

		/**
		* UnityEngine.EventSystems.BaseInput.get_compositionCursorPos
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_eventsystems_BaseInput_get_compositionCursorPos]
		public function get compositionCursorPos():unityengine.Vector2;

		/**
		* UnityEngine.EventSystems.BaseInput.set_compositionCursorPos
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_eventsystems_BaseInput_set_compositionCursorPos]
		public function set compositionCursorPos(value:unityengine.Vector2):void;

		/**
		* UnityEngine.EventSystems.BaseInput.get_mousePresent
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInput_get_mousePresent]
		public function get mousePresent():Boolean;

		/**
		* UnityEngine.EventSystems.BaseInput.GetMouseButtonDown
		*parameters:
		*  button : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInput_getMouseButtonDown];
		public function getMouseButtonDown(button:int):Boolean;

		/**
		* UnityEngine.EventSystems.BaseInput.GetMouseButtonUp
		*parameters:
		*  button : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInput_getMouseButtonUp];
		public function getMouseButtonUp(button:int):Boolean;

		/**
		* UnityEngine.EventSystems.BaseInput.GetMouseButton
		*parameters:
		*  button : System.Int32
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInput_getMouseButton];
		public function getMouseButton(button:int):Boolean;

		/**
		* UnityEngine.EventSystems.BaseInput.get_mousePosition
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_eventsystems_BaseInput_get_mousePosition]
		public function get mousePosition():unityengine.Vector2;

		/**
		* UnityEngine.EventSystems.BaseInput.get_mouseScrollDelta
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_eventsystems_BaseInput_get_mouseScrollDelta]
		public function get mouseScrollDelta():unityengine.Vector2;

		/**
		* UnityEngine.EventSystems.BaseInput.get_touchSupported
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInput_get_touchSupported]
		public function get touchSupported():Boolean;

		/**
		* UnityEngine.EventSystems.BaseInput.get_touchCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_eventsystems_BaseInput_get_touchCount]
		public function get touchCount():int;

		/**
		* UnityEngine.EventSystems.BaseInput.GetTouch
		*parameters:
		*  index : System.Int32
		*return:
		*   UnityEngine.Touch
		*/
		[native,unityengine_eventsystems_BaseInput_getTouch];
		public function getTouch(index:int):unityengine.Touch;

		/**
		* UnityEngine.EventSystems.BaseInput.GetAxisRaw
		*parameters:
		*  axisName : System.String
		*return:
		*   System.Single
		*/
		[native,unityengine_eventsystems_BaseInput_getAxisRaw];
		public function getAxisRaw(axisName:String):Number;

		/**
		* UnityEngine.EventSystems.BaseInput.GetButtonDown
		*parameters:
		*  buttonName : System.String
		*return:
		*   System.Boolean
		*/
		[native,unityengine_eventsystems_BaseInput_getButtonDown];
		public function getButtonDown(buttonName:String):Boolean;


	}
}
