package unityengine.eventsystems
{
	import system.collections.generic.List_Of_RaycastResult;
	import unityengine.Camera;


		/**
		* Abstract
		*  UnityEngine.EventSystems.BaseRaycaster
		*/
	[no_constructor]
	[link_system]
	public class BaseRaycaster extends UIBehaviour
	{
		[creator];
		[native,unityengine_eventsystems_BaseRaycaster_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function BaseRaycaster();
		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.BaseRaycaster.Raycast
		*parameters:
		*  eventData : UnityEngine.EventSystems.PointerEventData
		*  resultAppendList : System.Collections.Generic.List &lt; UnityEngine.EventSystems.RaycastResult &gt; 
		*/
		[native,unityengine_eventsystems_BaseRaycaster_raycast];
		public function raycast(eventData:PointerEventData,resultAppendList:system.collections.generic.List_Of_RaycastResult):void;

		/**
		* UnityEngine.EventSystems.BaseRaycaster.get_eventCamera
		*return:
		*   UnityEngine.Camera
		*/
		[native,unityengine_eventsystems_BaseRaycaster_get_eventCamera]
		public function get eventCamera():unityengine.Camera;

		/**
		* UnityEngine.EventSystems.BaseRaycaster.get_sortOrderPriority
		*return:
		*   System.Int32
		*/
		[native,unityengine_eventsystems_BaseRaycaster_get_sortOrderPriority]
		public function get sortOrderPriority():int;

		/**
		* UnityEngine.EventSystems.BaseRaycaster.get_renderOrderPriority
		*return:
		*   System.Int32
		*/
		[native,unityengine_eventsystems_BaseRaycaster_get_renderOrderPriority]
		public function get renderOrderPriority():int;


	}
}
