package unityengine.eventsystems
{
	import unityengine.MonoBehaviour;
	import system.collections.generic.List_Of_EventTrigger_Entry;


		/**
		*  UnityEngine.EventSystems.EventTrigger
		*/
	[no_constructor]
	[link_system]
	public class EventTrigger extends unityengine.MonoBehaviour implements IPointerEnterHandler,IEventSystemHandler,IPointerExitHandler,IPointerDownHandler,IPointerUpHandler,IPointerClickHandler,IInitializePotentialDragHandler,IBeginDragHandler,IDragHandler,IEndDragHandler,IDropHandler,IScrollHandler,IUpdateSelectedHandler,ISelectHandler,IDeselectHandler,IMoveHandler,ISubmitHandler,ICancelHandler
	{
		[creator];
		[native,unityengine_eventsystems_EventTrigger_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function EventTrigger();
		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.EventTrigger.get_triggers
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; 
		*/
		[native,unityengine_eventsystems_EventTrigger_get_triggers]
		public final function get triggers():system.collections.generic.List_Of_EventTrigger_Entry;

		/**
		* UnityEngine.EventSystems.EventTrigger.set_triggers
		*parameters:
		*  value : System.Collections.Generic.List &lt; UnityEngine.EventSystems.EventTrigger.Entry &gt; 
		*/
		[native,unityengine_eventsystems_EventTrigger_set_triggers]
		public final function set triggers(value:system.collections.generic.List_Of_EventTrigger_Entry):void;

		[native,unityengine_eventsystems_IPointerEnterHandler_onPointerEnter];
		public function onPointerEnter(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IPointerExitHandler_onPointerExit];
		public function onPointerExit(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IDragHandler_onDrag];
		public function onDrag(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IDropHandler_onDrop];
		public function onDrop(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IPointerDownHandler_onPointerDown];
		public function onPointerDown(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IPointerUpHandler_onPointerUp];
		public function onPointerUp(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IPointerClickHandler_onPointerClick];
		public function onPointerClick(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_ISelectHandler_onSelect];
		public function onSelect(eventData:BaseEventData):void;

		[native,unityengine_eventsystems_IDeselectHandler_onDeselect];
		public function onDeselect(eventData:BaseEventData):void;

		[native,unityengine_eventsystems_IScrollHandler_onScroll];
		public function onScroll(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IMoveHandler_onMove];
		public function onMove(eventData:AxisEventData):void;

		[native,unityengine_eventsystems_IUpdateSelectedHandler_onUpdateSelected];
		public function onUpdateSelected(eventData:BaseEventData):void;

		[native,unityengine_eventsystems_IInitializePotentialDragHandler_onInitializePotentialDrag];
		public function onInitializePotentialDrag(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IBeginDragHandler_onBeginDrag];
		public function onBeginDrag(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_IEndDragHandler_onEndDrag];
		public function onEndDrag(eventData:PointerEventData):void;

		[native,unityengine_eventsystems_ISubmitHandler_onSubmit];
		public function onSubmit(eventData:BaseEventData):void;

		[native,unityengine_eventsystems_ICancelHandler_onCancel];
		public function onCancel(eventData:BaseEventData):void;


	}
}
