package unityengine.eventsystems
{
	import system._Object_;


		/**
		* Abstract
		* Sealed
		*  UnityEngine.EventSystems.ExecuteEvents
		*/
	[no_constructor]
	[link_system]
	public final class ExecuteEvents extends system._Object_
	{
		[creator];
		[native,unityengine_eventsystems_ExecuteEvents_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function ExecuteEvents();
		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_pointerEnterHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IPointerEnterHandler &gt;  [System.Void(UnityEngine.EventSystems.IPointerEnterHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_pointerEnterHandler]
		public static function get pointerEnterHandler():ExecuteEvents_EventFunction_Of_IPointerEnterHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_pointerExitHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IPointerExitHandler &gt;  [System.Void(UnityEngine.EventSystems.IPointerExitHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_pointerExitHandler]
		public static function get pointerExitHandler():ExecuteEvents_EventFunction_Of_IPointerExitHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_pointerDownHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IPointerDownHandler &gt;  [System.Void(UnityEngine.EventSystems.IPointerDownHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_pointerDownHandler]
		public static function get pointerDownHandler():ExecuteEvents_EventFunction_Of_IPointerDownHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_pointerUpHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IPointerUpHandler &gt;  [System.Void(UnityEngine.EventSystems.IPointerUpHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_pointerUpHandler]
		public static function get pointerUpHandler():ExecuteEvents_EventFunction_Of_IPointerUpHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_pointerClickHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IPointerClickHandler &gt;  [System.Void(UnityEngine.EventSystems.IPointerClickHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_pointerClickHandler]
		public static function get pointerClickHandler():ExecuteEvents_EventFunction_Of_IPointerClickHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_initializePotentialDrag
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IInitializePotentialDragHandler &gt;  [System.Void(UnityEngine.EventSystems.IInitializePotentialDragHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_initializePotentialDrag]
		public static function get initializePotentialDrag():ExecuteEvents_EventFunction_Of_IInitializePotentialDragHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_beginDragHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IBeginDragHandler &gt;  [System.Void(UnityEngine.EventSystems.IBeginDragHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_beginDragHandler]
		public static function get beginDragHandler():ExecuteEvents_EventFunction_Of_IBeginDragHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_dragHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IDragHandler &gt;  [System.Void(UnityEngine.EventSystems.IDragHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_dragHandler]
		public static function get dragHandler():ExecuteEvents_EventFunction_Of_IDragHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_endDragHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IEndDragHandler &gt;  [System.Void(UnityEngine.EventSystems.IEndDragHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_endDragHandler]
		public static function get endDragHandler():ExecuteEvents_EventFunction_Of_IEndDragHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_dropHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IDropHandler &gt;  [System.Void(UnityEngine.EventSystems.IDropHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_dropHandler]
		public static function get dropHandler():ExecuteEvents_EventFunction_Of_IDropHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_scrollHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IScrollHandler &gt;  [System.Void(UnityEngine.EventSystems.IScrollHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_scrollHandler]
		public static function get scrollHandler():ExecuteEvents_EventFunction_Of_IScrollHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_updateSelectedHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IUpdateSelectedHandler &gt;  [System.Void(UnityEngine.EventSystems.IUpdateSelectedHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_updateSelectedHandler]
		public static function get updateSelectedHandler():ExecuteEvents_EventFunction_Of_IUpdateSelectedHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_selectHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISelectHandler &gt;  [System.Void(UnityEngine.EventSystems.ISelectHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_selectHandler]
		public static function get selectHandler():ExecuteEvents_EventFunction_Of_ISelectHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_deselectHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IDeselectHandler &gt;  [System.Void(UnityEngine.EventSystems.IDeselectHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_deselectHandler]
		public static function get deselectHandler():ExecuteEvents_EventFunction_Of_IDeselectHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_moveHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.IMoveHandler &gt;  [System.Void(UnityEngine.EventSystems.IMoveHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_moveHandler]
		public static function get moveHandler():ExecuteEvents_EventFunction_Of_IMoveHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_submitHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISubmitHandler &gt;  [System.Void(UnityEngine.EventSystems.ISubmitHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_submitHandler]
		public static function get submitHandler():ExecuteEvents_EventFunction_Of_ISubmitHandler;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.get_cancelHandler
		*return:
		*   UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ICancelHandler &gt;  [System.Void(UnityEngine.EventSystems.ICancelHandler,UnityEngine.EventSystems.BaseEventData)]
		*/
		[native,static_unityengine_eventsystems_ExecuteEvents_get_cancelHandler]
		public static function get cancelHandler():ExecuteEvents_EventFunction_Of_ICancelHandler;


	}
}
