package unityengine.eventsystems
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISelectHandler &gt; 
		* System.Void(UnityEngine.EventSystems.ISelectHandler,UnityEngine.EventSystems.BaseEventData)

		* Sealed
		* Nested Type
		*  UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISelectHandler &gt; 
		*/
	[link_system]
	public final class ExecuteEvents_EventFunction_Of_ISelectHandler extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:ExecuteEvents_EventFunction_Of_ISelectHandler, b:Function):ExecuteEvents_EventFunction_Of_ISelectHandler;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:ExecuteEvents_EventFunction_Of_ISelectHandler, value:Function):ExecuteEvents_EventFunction_Of_ISelectHandler;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:ExecuteEvents_EventFunction_Of_ISelectHandler, b:Function):ExecuteEvents_EventFunction_Of_ISelectHandler;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:ExecuteEvents_EventFunction_Of_ISelectHandler, value:Function):ExecuteEvents_EventFunction_Of_ISelectHandler;

		//*********构造函数*******
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_ctor];
		public function ExecuteEvents_EventFunction_Of_ISelectHandler(func:Function);

		[implicit_from];
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISelectHandler &gt; .Invoke
		*parameters:
		*  handler : UnityEngine.EventSystems.ISelectHandler
		*  eventData : UnityEngine.EventSystems.BaseEventData
		*/
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_invoke];
		public function invoke(handler:ISelectHandler,eventData:BaseEventData):void;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISelectHandler &gt; .BeginInvoke
		*parameters:
		*  handler : UnityEngine.EventSystems.ISelectHandler
		*  eventData : UnityEngine.EventSystems.BaseEventData
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_beginInvoke];
		public function beginInvoke(handler:ISelectHandler,eventData:BaseEventData,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.EventSystems.ExecuteEvents.EventFunction &lt; UnityEngine.EventSystems.ISelectHandler &gt; .EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*/
		[native,unityengine_eventsystems_ExecuteEvents_EventFunction_Of_ISelectHandler_endInvoke];
		public function endInvoke(result:system.IAsyncResult):void;


	}
}
