package unityengine.playables
{
	import system._Object_;


	[link_system_interface(unityengine_playables_IPlayableBehaviour_creator)]
	public interface IPlayableBehaviour
	{
		[native,unityengine_playables_IPlayableBehaviour_onGraphStart]
		function onGraphStart(playable:Playable):void;

		[native,unityengine_playables_IPlayableBehaviour_onGraphStop]
		function onGraphStop(playable:Playable):void;

		[native,unityengine_playables_IPlayableBehaviour_onPlayableCreate]
		function onPlayableCreate(playable:Playable):void;

		[native,unityengine_playables_IPlayableBehaviour_onPlayableDestroy]
		function onPlayableDestroy(playable:Playable):void;

		[native,unityengine_playables_IPlayableBehaviour_onBehaviourPlay]
		function onBehaviourPlay(playable:Playable,info:FrameData):void;

		[native,unityengine_playables_IPlayableBehaviour_onBehaviourPause]
		function onBehaviourPause(playable:Playable,info:FrameData):void;

		[native,unityengine_playables_IPlayableBehaviour_prepareFrame]
		function prepareFrame(playable:Playable,info:FrameData):void;

		[native,unityengine_playables_IPlayableBehaviour_processFrame]
		function processFrame(playable:Playable,info:FrameData,playerData:system._Object_):void;

	}
}
