package unityengine.playables
{
	import system._Object_;
	import system._Array_;
	import unityengine.UObject;


		/**
		* Struct
		*  UnityEngine.Playables.PlayableBinding
		*/
	[struct]
	[link_system]
	public final class PlayableBinding extends system._Object_
	{
		[creator];
		[native,unityengine_playables_PlayableBinding_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_playables_PlayableBinding_ctor];
		public function PlayableBinding();
		//*********字段*******
		/**
		* UnityEngine.Playables.PlayableBinding.None
		*fieldtype:
		*   UnityEngine.Playables.PlayableBinding[]
		*/
		[native, unityengine_playables_PlayableBinding_None_getter];
		public static const None:_Array_;
		/**
		* UnityEngine.Playables.PlayableBinding.DefaultDuration
		*fieldtype:
		*   System.Double
		*/
		[native, unityengine_playables_PlayableBinding_DefaultDuration_getter];
		public static const DefaultDuration:Number;

		//*********公共方法*******
		/**
		* UnityEngine.Playables.PlayableBinding.get_streamName
		*return:
		*   System.String
		*/
		[native,unityengine_playables_PlayableBinding_get_streamName]
		public final function get streamName():String;

		/**
		* UnityEngine.Playables.PlayableBinding.set_streamName
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_playables_PlayableBinding_set_streamName]
		public final function set streamName(value:String):void;

		/**
		* UnityEngine.Playables.PlayableBinding.get_streamType
		*return:
		*   UnityEngine.Playables.DataStreamType
		*/
		[native,unityengine_playables_PlayableBinding_get_streamType]
		public final function get streamType():DataStreamType;

		/**
		* UnityEngine.Playables.PlayableBinding.set_streamType
		*parameters:
		*  value : UnityEngine.Playables.DataStreamType
		*/
		[native,unityengine_playables_PlayableBinding_set_streamType]
		public final function set streamType(value:DataStreamType):void;

		/**
		* UnityEngine.Playables.PlayableBinding.get_sourceObject
		*return:
		*   UnityEngine.Object
		*/
		[native,unityengine_playables_PlayableBinding_get_sourceObject]
		public final function get sourceObject():unityengine.UObject;

		/**
		* UnityEngine.Playables.PlayableBinding.set_sourceObject
		*parameters:
		*  value : UnityEngine.Object
		*/
		[native,unityengine_playables_PlayableBinding_set_sourceObject]
		public final function set sourceObject(value:unityengine.UObject):void;

		/**
		* UnityEngine.Playables.PlayableBinding.get_sourceBindingType
		*return:
		*   System.Type
		*/
		[native,unityengine_playables_PlayableBinding_get_sourceBindingType]
		public final function get sourceBindingType():Class;

		/**
		* UnityEngine.Playables.PlayableBinding.set_sourceBindingType
		*parameters:
		*  value : System.Type
		*/
		[native,unityengine_playables_PlayableBinding_set_sourceBindingType]
		public final function set sourceBindingType(value:Class):void;


	}
}
