package unityengine.playables
{
	import system._Object_;


		/**
		* Struct
		*  UnityEngine.Playables.ScriptPlayableOutput
		*/
	[struct]
	[link_system]
	public final class ScriptPlayableOutput extends system._Object_ implements IPlayableOutput
	{
		[creator];
		[native,unityengine_playables_ScriptPlayableOutput_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_playables_ScriptPlayableOutput_ctor];
		public function ScriptPlayableOutput();
		//*********公共方法*******
		/**
		* UnityEngine.Playables.ScriptPlayableOutput.Create
		*parameters:
		*  graph : UnityEngine.Playables.PlayableGraph
		*  name : System.String
		*return:
		*   UnityEngine.Playables.ScriptPlayableOutput
		*/
		[native,static_unityengine_playables_ScriptPlayableOutput_create];
		public static function create(graph:PlayableGraph,name:String):ScriptPlayableOutput;

		/**
		* UnityEngine.Playables.ScriptPlayableOutput.get_Null
		*return:
		*   UnityEngine.Playables.ScriptPlayableOutput
		*/
		[native,static_unityengine_playables_ScriptPlayableOutput_get_Null]
		public static function get null():ScriptPlayableOutput;

		[native,unityengine_playables_IPlayableOutput_getHandle];
		public final function getHandle():PlayableOutputHandle;


		//*****操作重载*****
		/**
		 * Implicit To UnityEngine.Playables.PlayableOutput 
		 */
		[native,static_unityengine_playables_ScriptPlayableOutput_op_Implicit];
		public static function op_Implicit(output:ScriptPlayableOutput):PlayableOutput;

		/**
		 * Explicit From UnityEngine.Playables.PlayableOutput 
		 */
		[native,static_unityengine_playables_ScriptPlayableOutput_op_Explicit];
		public static function op_Explicit(output:PlayableOutput):ScriptPlayableOutput;


	}
}
