package unityengine.rendering
{
	[no_constructor]
	[link_system]
	public final class CameraEvent
	{
		[creator];
		[native,unityengine_rendering_CameraEvent_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_rendering_CameraEvent_ctor];
		public function CameraEvent();

		/**
		 *BeforeDepthTexture = UnityEngine.Rendering.CameraEvent BeforeDepthTexture
		 */
		[native,unityengine_rendering_CameraEvent_BeforeDepthTexture_getter];
		public static const BeforeDepthTexture:CameraEvent;

		/**
		 *AfterDepthTexture = UnityEngine.Rendering.CameraEvent AfterDepthTexture
		 */
		[native,unityengine_rendering_CameraEvent_AfterDepthTexture_getter];
		public static const AfterDepthTexture:CameraEvent;

		/**
		 *BeforeDepthNormalsTexture = UnityEngine.Rendering.CameraEvent BeforeDepthNormalsTexture
		 */
		[native,unityengine_rendering_CameraEvent_BeforeDepthNormalsTexture_getter];
		public static const BeforeDepthNormalsTexture:CameraEvent;

		/**
		 *AfterDepthNormalsTexture = UnityEngine.Rendering.CameraEvent AfterDepthNormalsTexture
		 */
		[native,unityengine_rendering_CameraEvent_AfterDepthNormalsTexture_getter];
		public static const AfterDepthNormalsTexture:CameraEvent;

		/**
		 *BeforeGBuffer = UnityEngine.Rendering.CameraEvent BeforeGBuffer
		 */
		[native,unityengine_rendering_CameraEvent_BeforeGBuffer_getter];
		public static const BeforeGBuffer:CameraEvent;

		/**
		 *AfterGBuffer = UnityEngine.Rendering.CameraEvent AfterGBuffer
		 */
		[native,unityengine_rendering_CameraEvent_AfterGBuffer_getter];
		public static const AfterGBuffer:CameraEvent;

		/**
		 *BeforeLighting = UnityEngine.Rendering.CameraEvent BeforeLighting
		 */
		[native,unityengine_rendering_CameraEvent_BeforeLighting_getter];
		public static const BeforeLighting:CameraEvent;

		/**
		 *AfterLighting = UnityEngine.Rendering.CameraEvent AfterLighting
		 */
		[native,unityengine_rendering_CameraEvent_AfterLighting_getter];
		public static const AfterLighting:CameraEvent;

		/**
		 *BeforeFinalPass = UnityEngine.Rendering.CameraEvent BeforeFinalPass
		 */
		[native,unityengine_rendering_CameraEvent_BeforeFinalPass_getter];
		public static const BeforeFinalPass:CameraEvent;

		/**
		 *AfterFinalPass = UnityEngine.Rendering.CameraEvent AfterFinalPass
		 */
		[native,unityengine_rendering_CameraEvent_AfterFinalPass_getter];
		public static const AfterFinalPass:CameraEvent;

		/**
		 *BeforeForwardOpaque = UnityEngine.Rendering.CameraEvent BeforeForwardOpaque
		 */
		[native,unityengine_rendering_CameraEvent_BeforeForwardOpaque_getter];
		public static const BeforeForwardOpaque:CameraEvent;

		/**
		 *AfterForwardOpaque = UnityEngine.Rendering.CameraEvent AfterForwardOpaque
		 */
		[native,unityengine_rendering_CameraEvent_AfterForwardOpaque_getter];
		public static const AfterForwardOpaque:CameraEvent;

		/**
		 *BeforeImageEffectsOpaque = UnityEngine.Rendering.CameraEvent BeforeImageEffectsOpaque
		 */
		[native,unityengine_rendering_CameraEvent_BeforeImageEffectsOpaque_getter];
		public static const BeforeImageEffectsOpaque:CameraEvent;

		/**
		 *AfterImageEffectsOpaque = UnityEngine.Rendering.CameraEvent AfterImageEffectsOpaque
		 */
		[native,unityengine_rendering_CameraEvent_AfterImageEffectsOpaque_getter];
		public static const AfterImageEffectsOpaque:CameraEvent;

		/**
		 *BeforeSkybox = UnityEngine.Rendering.CameraEvent BeforeSkybox
		 */
		[native,unityengine_rendering_CameraEvent_BeforeSkybox_getter];
		public static const BeforeSkybox:CameraEvent;

		/**
		 *AfterSkybox = UnityEngine.Rendering.CameraEvent AfterSkybox
		 */
		[native,unityengine_rendering_CameraEvent_AfterSkybox_getter];
		public static const AfterSkybox:CameraEvent;

		/**
		 *BeforeForwardAlpha = UnityEngine.Rendering.CameraEvent BeforeForwardAlpha
		 */
		[native,unityengine_rendering_CameraEvent_BeforeForwardAlpha_getter];
		public static const BeforeForwardAlpha:CameraEvent;

		/**
		 *AfterForwardAlpha = UnityEngine.Rendering.CameraEvent AfterForwardAlpha
		 */
		[native,unityengine_rendering_CameraEvent_AfterForwardAlpha_getter];
		public static const AfterForwardAlpha:CameraEvent;

		/**
		 *BeforeImageEffects = UnityEngine.Rendering.CameraEvent BeforeImageEffects
		 */
		[native,unityengine_rendering_CameraEvent_BeforeImageEffects_getter];
		public static const BeforeImageEffects:CameraEvent;

		/**
		 *AfterImageEffects = UnityEngine.Rendering.CameraEvent AfterImageEffects
		 */
		[native,unityengine_rendering_CameraEvent_AfterImageEffects_getter];
		public static const AfterImageEffects:CameraEvent;

		/**
		 *AfterEverything = UnityEngine.Rendering.CameraEvent AfterEverything
		 */
		[native,unityengine_rendering_CameraEvent_AfterEverything_getter];
		public static const AfterEverything:CameraEvent;

		/**
		 *BeforeReflections = UnityEngine.Rendering.CameraEvent BeforeReflections
		 */
		[native,unityengine_rendering_CameraEvent_BeforeReflections_getter];
		public static const BeforeReflections:CameraEvent;

		/**
		 *AfterReflections = UnityEngine.Rendering.CameraEvent AfterReflections
		 */
		[native,unityengine_rendering_CameraEvent_AfterReflections_getter];
		public static const AfterReflections:CameraEvent;

		/**
		 *BeforeHaloAndLensFlares = UnityEngine.Rendering.CameraEvent BeforeHaloAndLensFlares
		 */
		[native,unityengine_rendering_CameraEvent_BeforeHaloAndLensFlares_getter];
		public static const BeforeHaloAndLensFlares:CameraEvent;

		/**
		 *AfterHaloAndLensFlares = UnityEngine.Rendering.CameraEvent AfterHaloAndLensFlares
		 */
		[native,unityengine_rendering_CameraEvent_AfterHaloAndLensFlares_getter];
		public static const AfterHaloAndLensFlares:CameraEvent;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_rendering_CameraEvent_operator_bitOr];
		private static function bitOr(t1:CameraEvent,t2:CameraEvent):CameraEvent;
	}
}
