package unityengine.rendering
{
	[no_constructor]
	[link_system]
	public final class GraphicsDeviceType
	{
		[creator];
		[native,unityengine_rendering_GraphicsDeviceType_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_rendering_GraphicsDeviceType_ctor];
		public function GraphicsDeviceType();

		/**
		 *Direct3D9 = UnityEngine.Rendering.GraphicsDeviceType Direct3D9
		 */
		[native,unityengine_rendering_GraphicsDeviceType_Direct3D9_getter];
		public static const Direct3D9:GraphicsDeviceType;

		/**
		 *Direct3D11 = UnityEngine.Rendering.GraphicsDeviceType Direct3D11
		 */
		[native,unityengine_rendering_GraphicsDeviceType_Direct3D11_getter];
		public static const Direct3D11:GraphicsDeviceType;

		/**
		 *Null = UnityEngine.Rendering.GraphicsDeviceType Null
		 */
		[native,unityengine_rendering_GraphicsDeviceType_Null_getter];
		public static const Null:GraphicsDeviceType;

		/**
		 *OpenGLES2 = UnityEngine.Rendering.GraphicsDeviceType OpenGLES2
		 */
		[native,unityengine_rendering_GraphicsDeviceType_OpenGLES2_getter];
		public static const OpenGLES2:GraphicsDeviceType;

		/**
		 *OpenGLES3 = UnityEngine.Rendering.GraphicsDeviceType OpenGLES3
		 */
		[native,unityengine_rendering_GraphicsDeviceType_OpenGLES3_getter];
		public static const OpenGLES3:GraphicsDeviceType;

		/**
		 *PlayStationVita = UnityEngine.Rendering.GraphicsDeviceType PlayStationVita
		 */
		[native,unityengine_rendering_GraphicsDeviceType_PlayStationVita_getter];
		public static const PlayStationVita:GraphicsDeviceType;

		/**
		 *PlayStation4 = UnityEngine.Rendering.GraphicsDeviceType PlayStation4
		 */
		[native,unityengine_rendering_GraphicsDeviceType_PlayStation4_getter];
		public static const PlayStation4:GraphicsDeviceType;

		/**
		 *XboxOne = UnityEngine.Rendering.GraphicsDeviceType XboxOne
		 */
		[native,unityengine_rendering_GraphicsDeviceType_XboxOne_getter];
		public static const XboxOne:GraphicsDeviceType;

		/**
		 *PlayStationMobile = UnityEngine.Rendering.GraphicsDeviceType PlayStationMobile
		 */
		[native,unityengine_rendering_GraphicsDeviceType_PlayStationMobile_getter];
		public static const PlayStationMobile:GraphicsDeviceType;

		/**
		 *Metal = UnityEngine.Rendering.GraphicsDeviceType Metal
		 */
		[native,unityengine_rendering_GraphicsDeviceType_Metal_getter];
		public static const Metal:GraphicsDeviceType;

		/**
		 *OpenGLCore = UnityEngine.Rendering.GraphicsDeviceType OpenGLCore
		 */
		[native,unityengine_rendering_GraphicsDeviceType_OpenGLCore_getter];
		public static const OpenGLCore:GraphicsDeviceType;

		/**
		 *Direct3D12 = UnityEngine.Rendering.GraphicsDeviceType Direct3D12
		 */
		[native,unityengine_rendering_GraphicsDeviceType_Direct3D12_getter];
		public static const Direct3D12:GraphicsDeviceType;

		/**
		 *N3DS = UnityEngine.Rendering.GraphicsDeviceType N3DS
		 */
		[native,unityengine_rendering_GraphicsDeviceType_N3DS_getter];
		public static const N3DS:GraphicsDeviceType;

		/**
		 *Vulkan = UnityEngine.Rendering.GraphicsDeviceType Vulkan
		 */
		[native,unityengine_rendering_GraphicsDeviceType_Vulkan_getter];
		public static const Vulkan:GraphicsDeviceType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_rendering_GraphicsDeviceType_operator_bitOr];
		private static function bitOr(t1:GraphicsDeviceType,t2:GraphicsDeviceType):GraphicsDeviceType;
	}
}
