package unityengine.rendering
{
	[no_constructor]
	[link_system]
	public final class PassType
	{
		[creator];
		[native,unityengine_rendering_PassType_creator];
		private static function _creator(type:Class):*;

		[native,unityengine_rendering_PassType_ctor];
		public function PassType();

		/**
		 *Normal = UnityEngine.Rendering.PassType Normal
		 */
		[native,unityengine_rendering_PassType_Normal_getter];
		public static const Normal:PassType;

		/**
		 *Vertex = UnityEngine.Rendering.PassType Vertex
		 */
		[native,unityengine_rendering_PassType_Vertex_getter];
		public static const Vertex:PassType;

		/**
		 *VertexLM = UnityEngine.Rendering.PassType VertexLM
		 */
		[native,unityengine_rendering_PassType_VertexLM_getter];
		public static const VertexLM:PassType;

		/**
		 *VertexLMRGBM = UnityEngine.Rendering.PassType VertexLMRGBM
		 */
		[native,unityengine_rendering_PassType_VertexLMRGBM_getter];
		public static const VertexLMRGBM:PassType;

		/**
		 *ForwardBase = UnityEngine.Rendering.PassType ForwardBase
		 */
		[native,unityengine_rendering_PassType_ForwardBase_getter];
		public static const ForwardBase:PassType;

		/**
		 *ForwardAdd = UnityEngine.Rendering.PassType ForwardAdd
		 */
		[native,unityengine_rendering_PassType_ForwardAdd_getter];
		public static const ForwardAdd:PassType;

		/**
		 *LightPrePassBase = UnityEngine.Rendering.PassType LightPrePassBase
		 */
		[native,unityengine_rendering_PassType_LightPrePassBase_getter];
		public static const LightPrePassBase:PassType;

		/**
		 *LightPrePassFinal = UnityEngine.Rendering.PassType LightPrePassFinal
		 */
		[native,unityengine_rendering_PassType_LightPrePassFinal_getter];
		public static const LightPrePassFinal:PassType;

		/**
		 *ShadowCaster = UnityEngine.Rendering.PassType ShadowCaster
		 */
		[native,unityengine_rendering_PassType_ShadowCaster_getter];
		public static const ShadowCaster:PassType;

		/**
		 *Deferred = UnityEngine.Rendering.PassType Deferred
		 */
		[native,unityengine_rendering_PassType_Deferred_getter];
		public static const Deferred:PassType;

		/**
		 *Meta = UnityEngine.Rendering.PassType Meta
		 */
		[native,unityengine_rendering_PassType_Meta_getter];
		public static const Meta:PassType;

		/**
		 *MotionVectors = UnityEngine.Rendering.PassType MotionVectors
		 */
		[native,unityengine_rendering_PassType_MotionVectors_getter];
		public static const MotionVectors:PassType;

		[native, _system_Enum_valueOf];
		public function valueOf():int;

		[operator,"|"];
		[native,unityengine_rendering_PassType_operator_bitOr];
		private static function bitOr(t1:PassType,t2:PassType):PassType;
	}
}
