package unityengine.sprites
{
	import system._Object_;
	import unityengine.Vector4;
	import unityengine.Sprite;
	import unityengine.Vector2;


		/**
		* Sealed
		*  UnityEngine.Sprites.DataUtility
		*/
	[link_system]
	public final class DataUtility extends system._Object_
	{
		[creator];
		[native,unityengine_sprites_DataUtility_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_sprites_DataUtility_ctor];
		public function DataUtility();


		//*********公共方法*******
		/**
		* UnityEngine.Sprites.DataUtility.GetInnerUV
		*parameters:
		*  sprite : UnityEngine.Sprite
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_sprites_DataUtility_getInnerUV];
		public static function getInnerUV(sprite:unityengine.Sprite):unityengine.Vector4;

		/**
		* UnityEngine.Sprites.DataUtility.GetOuterUV
		*parameters:
		*  sprite : UnityEngine.Sprite
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_sprites_DataUtility_getOuterUV];
		public static function getOuterUV(sprite:unityengine.Sprite):unityengine.Vector4;

		/**
		* UnityEngine.Sprites.DataUtility.GetPadding
		*parameters:
		*  sprite : UnityEngine.Sprite
		*return:
		*   UnityEngine.Vector4
		*/
		[native,static_unityengine_sprites_DataUtility_getPadding];
		public static function getPadding(sprite:unityengine.Sprite):unityengine.Vector4;

		/**
		* UnityEngine.Sprites.DataUtility.GetMinSize
		*parameters:
		*  sprite : UnityEngine.Sprite
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_sprites_DataUtility_getMinSize];
		public static function getMinSize(sprite:unityengine.Sprite):unityengine.Vector2;


	}
}
