package unityengine.ui
{
	import unityengine.eventsystems.IMoveHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IPointerDownHandler;
	import unityengine.eventsystems.IPointerUpHandler;
	import unityengine.eventsystems.IPointerEnterHandler;
	import unityengine.eventsystems.IPointerExitHandler;
	import unityengine.eventsystems.ISelectHandler;
	import unityengine.eventsystems.IDeselectHandler;
	import unityengine.eventsystems.IPointerClickHandler;
	import unityengine.eventsystems.ISubmitHandler;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.eventsystems.BaseEventData;


		/**
		*  UnityEngine.UI.Button
		*/
	[no_constructor]
	[link_system]
	public class Button extends Selectable implements unityengine.eventsystems.IMoveHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IPointerDownHandler,unityengine.eventsystems.IPointerUpHandler,unityengine.eventsystems.IPointerEnterHandler,unityengine.eventsystems.IPointerExitHandler,unityengine.eventsystems.ISelectHandler,unityengine.eventsystems.IDeselectHandler,unityengine.eventsystems.IPointerClickHandler,unityengine.eventsystems.ISubmitHandler
	{
		[creator];
		[native,unityengine_ui_Button_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Button();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Button.get_onClick
		*return:
		*   UnityEngine.UI.Button.ButtonClickedEvent
		*/
		[native,unityengine_ui_Button_get_onClick]
		public final function get onClick():Button_ButtonClickedEvent;

		/**
		* UnityEngine.UI.Button.set_onClick
		*parameters:
		*  value : UnityEngine.UI.Button.ButtonClickedEvent
		*/
		[native,unityengine_ui_Button_set_onClick]
		public final function set onClick(value:Button_ButtonClickedEvent):void;

		[native,unityengine_eventsystems_IPointerClickHandler_onPointerClick];
		public function onPointerClick(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_ISubmitHandler_onSubmit];
		public function onSubmit(eventData:unityengine.eventsystems.BaseEventData):void;


	}
}
