package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;
	import unityengine.Vector2;


		/**
		*  UnityEngine.UI.CanvasScaler
		*/
	[no_constructor]
	[link_system]
	public class CanvasScaler extends unityengine.eventsystems.UIBehaviour
	{
		[creator];
		[native,unityengine_ui_CanvasScaler_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function CanvasScaler();
		//*********公共方法*******
		/**
		* UnityEngine.UI.CanvasScaler.get_uiScaleMode
		*return:
		*   UnityEngine.UI.CanvasScaler.ScaleMode
		*/
		[native,unityengine_ui_CanvasScaler_get_uiScaleMode]
		public final function get uiScaleMode():CanvasScaler_ScaleMode;

		/**
		* UnityEngine.UI.CanvasScaler.set_uiScaleMode
		*parameters:
		*  value : UnityEngine.UI.CanvasScaler.ScaleMode
		*/
		[native,unityengine_ui_CanvasScaler_set_uiScaleMode]
		public final function set uiScaleMode(value:CanvasScaler_ScaleMode):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_referencePixelsPerUnit
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_CanvasScaler_get_referencePixelsPerUnit]
		public final function get referencePixelsPerUnit():Number;

		/**
		* UnityEngine.UI.CanvasScaler.set_referencePixelsPerUnit
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_CanvasScaler_set_referencePixelsPerUnit]
		public final function set referencePixelsPerUnit(value:Number):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_scaleFactor
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_CanvasScaler_get_scaleFactor]
		public final function get scaleFactor():Number;

		/**
		* UnityEngine.UI.CanvasScaler.set_scaleFactor
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_CanvasScaler_set_scaleFactor]
		public final function set scaleFactor(value:Number):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_referenceResolution
		*return:
		*   UnityEngine.Vector2
		*/
		[native,unityengine_ui_CanvasScaler_get_referenceResolution]
		public final function get referenceResolution():unityengine.Vector2;

		/**
		* UnityEngine.UI.CanvasScaler.set_referenceResolution
		*parameters:
		*  value : UnityEngine.Vector2
		*/
		[native,unityengine_ui_CanvasScaler_set_referenceResolution]
		public final function set referenceResolution(value:unityengine.Vector2):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_screenMatchMode
		*return:
		*   UnityEngine.UI.CanvasScaler.ScreenMatchMode
		*/
		[native,unityengine_ui_CanvasScaler_get_screenMatchMode]
		public final function get screenMatchMode():CanvasScaler_ScreenMatchMode;

		/**
		* UnityEngine.UI.CanvasScaler.set_screenMatchMode
		*parameters:
		*  value : UnityEngine.UI.CanvasScaler.ScreenMatchMode
		*/
		[native,unityengine_ui_CanvasScaler_set_screenMatchMode]
		public final function set screenMatchMode(value:CanvasScaler_ScreenMatchMode):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_matchWidthOrHeight
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_CanvasScaler_get_matchWidthOrHeight]
		public final function get matchWidthOrHeight():Number;

		/**
		* UnityEngine.UI.CanvasScaler.set_matchWidthOrHeight
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_CanvasScaler_set_matchWidthOrHeight]
		public final function set matchWidthOrHeight(value:Number):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_physicalUnit
		*return:
		*   UnityEngine.UI.CanvasScaler.Unit
		*/
		[native,unityengine_ui_CanvasScaler_get_physicalUnit]
		public final function get physicalUnit():CanvasScaler_Unit;

		/**
		* UnityEngine.UI.CanvasScaler.set_physicalUnit
		*parameters:
		*  value : UnityEngine.UI.CanvasScaler.Unit
		*/
		[native,unityengine_ui_CanvasScaler_set_physicalUnit]
		public final function set physicalUnit(value:CanvasScaler_Unit):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_fallbackScreenDPI
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_CanvasScaler_get_fallbackScreenDPI]
		public final function get fallbackScreenDPI():Number;

		/**
		* UnityEngine.UI.CanvasScaler.set_fallbackScreenDPI
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_CanvasScaler_set_fallbackScreenDPI]
		public final function set fallbackScreenDPI(value:Number):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_defaultSpriteDPI
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_CanvasScaler_get_defaultSpriteDPI]
		public final function get defaultSpriteDPI():Number;

		/**
		* UnityEngine.UI.CanvasScaler.set_defaultSpriteDPI
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_CanvasScaler_set_defaultSpriteDPI]
		public final function set defaultSpriteDPI(value:Number):void;

		/**
		* UnityEngine.UI.CanvasScaler.get_dynamicPixelsPerUnit
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_CanvasScaler_get_dynamicPixelsPerUnit]
		public final function get dynamicPixelsPerUnit():Number;

		/**
		* UnityEngine.UI.CanvasScaler.set_dynamicPixelsPerUnit
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_CanvasScaler_set_dynamicPixelsPerUnit]
		public final function set dynamicPixelsPerUnit(value:Number):void;


	}
}
