package unityengine.ui
{
	import unityengine.eventsystems.IMoveHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IPointerDownHandler;
	import unityengine.eventsystems.IPointerUpHandler;
	import unityengine.eventsystems.IPointerEnterHandler;
	import unityengine.eventsystems.IPointerExitHandler;
	import unityengine.eventsystems.ISelectHandler;
	import unityengine.eventsystems.IDeselectHandler;
	import unityengine.eventsystems.IPointerClickHandler;
	import unityengine.eventsystems.ISubmitHandler;
	import unityengine.eventsystems.ICancelHandler;
	import unityengine.RectTransform;
	import system.collections.generic.List_Of_Dropdown_OptionData;
	import system.collections.generic.List_Of_String;
	import system.collections.generic.List_Of_Sprite;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.eventsystems.BaseEventData;


		/**
		*  UnityEngine.UI.Dropdown
		*/
	[no_constructor]
	[link_system]
	public class Dropdown extends Selectable implements unityengine.eventsystems.IMoveHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IPointerDownHandler,unityengine.eventsystems.IPointerUpHandler,unityengine.eventsystems.IPointerEnterHandler,unityengine.eventsystems.IPointerExitHandler,unityengine.eventsystems.ISelectHandler,unityengine.eventsystems.IDeselectHandler,unityengine.eventsystems.IPointerClickHandler,unityengine.eventsystems.ISubmitHandler,unityengine.eventsystems.ICancelHandler
	{
		[creator];
		[native,unityengine_ui_Dropdown_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Dropdown();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Dropdown.get_template
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Dropdown_get_template]
		public final function get template():unityengine.RectTransform;

		/**
		* UnityEngine.UI.Dropdown.set_template
		*parameters:
		*  value : UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Dropdown_set_template]
		public final function set template(value:unityengine.RectTransform):void;

		/**
		* UnityEngine.UI.Dropdown.get_captionText
		*return:
		*   UnityEngine.UI.Text
		*/
		[native,unityengine_ui_Dropdown_get_captionText]
		public final function get captionText():Text;

		/**
		* UnityEngine.UI.Dropdown.set_captionText
		*parameters:
		*  value : UnityEngine.UI.Text
		*/
		[native,unityengine_ui_Dropdown_set_captionText]
		public final function set captionText(value:Text):void;

		/**
		* UnityEngine.UI.Dropdown.get_captionImage
		*return:
		*   UnityEngine.UI.Image
		*/
		[native,unityengine_ui_Dropdown_get_captionImage]
		public final function get captionImage():Image;

		/**
		* UnityEngine.UI.Dropdown.set_captionImage
		*parameters:
		*  value : UnityEngine.UI.Image
		*/
		[native,unityengine_ui_Dropdown_set_captionImage]
		public final function set captionImage(value:Image):void;

		/**
		* UnityEngine.UI.Dropdown.get_itemText
		*return:
		*   UnityEngine.UI.Text
		*/
		[native,unityengine_ui_Dropdown_get_itemText]
		public final function get itemText():Text;

		/**
		* UnityEngine.UI.Dropdown.set_itemText
		*parameters:
		*  value : UnityEngine.UI.Text
		*/
		[native,unityengine_ui_Dropdown_set_itemText]
		public final function set itemText(value:Text):void;

		/**
		* UnityEngine.UI.Dropdown.get_itemImage
		*return:
		*   UnityEngine.UI.Image
		*/
		[native,unityengine_ui_Dropdown_get_itemImage]
		public final function get itemImage():Image;

		/**
		* UnityEngine.UI.Dropdown.set_itemImage
		*parameters:
		*  value : UnityEngine.UI.Image
		*/
		[native,unityengine_ui_Dropdown_set_itemImage]
		public final function set itemImage(value:Image):void;

		/**
		* UnityEngine.UI.Dropdown.get_options
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.UI.Dropdown.OptionData &gt; 
		*/
		[native,unityengine_ui_Dropdown_get_options]
		public final function get options():system.collections.generic.List_Of_Dropdown_OptionData;

		/**
		* UnityEngine.UI.Dropdown.set_options
		*parameters:
		*  value : System.Collections.Generic.List &lt; UnityEngine.UI.Dropdown.OptionData &gt; 
		*/
		[native,unityengine_ui_Dropdown_set_options]
		public final function set options(value:system.collections.generic.List_Of_Dropdown_OptionData):void;

		/**
		* UnityEngine.UI.Dropdown.get_onValueChanged
		*return:
		*   UnityEngine.UI.Dropdown.DropdownEvent
		*/
		[native,unityengine_ui_Dropdown_get_onValueChanged]
		public final function get onValueChanged():Dropdown_DropdownEvent;

		/**
		* UnityEngine.UI.Dropdown.set_onValueChanged
		*parameters:
		*  value : UnityEngine.UI.Dropdown.DropdownEvent
		*/
		[native,unityengine_ui_Dropdown_set_onValueChanged]
		public final function set onValueChanged(value:Dropdown_DropdownEvent):void;

		/**
		* UnityEngine.UI.Dropdown.get_value
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_Dropdown_get_value]
		public final function get value():int;

		/**
		* UnityEngine.UI.Dropdown.set_value
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_Dropdown_set_value]
		public final function set value(value:int):void;

		/**
		* UnityEngine.UI.Dropdown.RefreshShownValue
		*/
		[native,unityengine_ui_Dropdown_refreshShownValue];
		public final function refreshShownValue():void;

		/**
		* UnityEngine.UI.Dropdown.AddOptions
		*parameters:
		*  options : System.Collections.Generic.List &lt; UnityEngine.UI.Dropdown.OptionData &gt; 
		*/
		[native,unityengine_ui_Dropdown_addOptions];
		public final function addOptions(options:system.collections.generic.List_Of_Dropdown_OptionData):void;

		/**
		* UnityEngine.UI.Dropdown.AddOptions
		*parameters:
		*  options : System.Collections.Generic.List &lt; System.String &gt; 
		*/
		[native,unityengine_ui_Dropdown_addOptions_];
		public final function addOptions_(options:system.collections.generic.List_Of_String):void;

		/**
		* UnityEngine.UI.Dropdown.AddOptions
		*parameters:
		*  options : System.Collections.Generic.List &lt; UnityEngine.Sprite &gt; 
		*/
		[native,unityengine_ui_Dropdown_addOptions__];
		public final function addOptions__(options:system.collections.generic.List_Of_Sprite):void;

		/**
		* UnityEngine.UI.Dropdown.ClearOptions
		*/
		[native,unityengine_ui_Dropdown_clearOptions];
		public final function clearOptions():void;

		[native,unityengine_eventsystems_IPointerClickHandler_onPointerClick];
		public function onPointerClick(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_ISubmitHandler_onSubmit];
		public function onSubmit(eventData:unityengine.eventsystems.BaseEventData):void;

		[native,unityengine_eventsystems_ICancelHandler_onCancel];
		public function onCancel(eventData:unityengine.eventsystems.BaseEventData):void;

		/**
		* UnityEngine.UI.Dropdown.Show
		*/
		[native,unityengine_ui_Dropdown_show];
		public final function show():void;

		/**
		* UnityEngine.UI.Dropdown.Hide
		*/
		[native,unityengine_ui_Dropdown_hide];
		public final function hide():void;


	}
}
