package unityengine.ui
{
	import unityengine.Transform;


	[link_system_interface(unityengine_ui_ICanvasElement_creator)]
	public interface ICanvasElement
	{
		[native,unityengine_ui_ICanvasElement_rebuild]
		function rebuild(executing:CanvasUpdate):void;

		[native,unityengine_ui_ICanvasElement_get_transform]
		function get transform():unityengine.Transform;

		[native,unityengine_ui_ICanvasElement_layoutComplete]
		function layoutComplete():void;

		[native,unityengine_ui_ICanvasElement_graphicUpdateComplete]
		function graphicUpdateComplete():void;

		[native,unityengine_ui_ICanvasElement_isDestroyed]
		function isDestroyed():Boolean;

	}
}
