package unityengine.ui
{
	import system.MulticastDelegate;
	import system.ICloneable;
	import system.Char;
	import system.IAsyncResult;
	import system.AsyncCallback;
	import system._Object_;


		/**
		*包装委托:
		* UnityEngine.UI.InputField.OnValidateInput
		* System.Char(System.String,System.Int32,System.Char)

		* Sealed
		* Nested Type
		*  UnityEngine.UI.InputField.OnValidateInput
		*/
	[link_system]
	public final class InputField_OnValidateInput extends system.MulticastDelegate implements system.ICloneable
	{
		[creator];
		[native,unityengine_ui_InputField_OnValidateInput_creator];
		private static function _creator(type:Class):*;

		[native, _system_MulticastDelegate_combine_];
		public static function combine(a:InputField_OnValidateInput, b:Function):InputField_OnValidateInput;
		

		[native, _system_MulticastDelegate_remove_];
		public static function remove(source:InputField_OnValidateInput, value:Function):InputField_OnValidateInput;
		
		[operator,"+"];
		[native, _system_MulticastDelegate_combine_];
		private static function op_combine(a:InputField_OnValidateInput, b:Function):InputField_OnValidateInput;


		[operator,"-"];
		[native, _system_MulticastDelegate_remove_];
		private static function op_remove(source:InputField_OnValidateInput, value:Function):InputField_OnValidateInput;

		//*********构造函数*******
		[native,unityengine_ui_InputField_OnValidateInput_ctor];
		public function InputField_OnValidateInput(func:Function);

		[implicit_from];
		[native,unityengine_ui_InputField_OnValidateInput_implicit_from_];
		private static function _implicit_from_value(func:Function):*;
		
		[explicit_from];
		[native,unityengine_ui_InputField_OnValidateInput_implicit_from_];
		private static function _explicit_from_value(func:Function):*;

		//*********公共方法*******
		/**
		* UnityEngine.UI.InputField.OnValidateInput.Invoke
		*parameters:
		*  text : System.String
		*  charIndex : System.Int32
		*  addedChar : System.Char
		*return:
		*   System.Char
		*/
		[native,unityengine_ui_InputField_OnValidateInput_invoke];
		public function invoke(text:String,charIndex:int,addedChar:system.Char):system.Char;

		/**
		* UnityEngine.UI.InputField.OnValidateInput.BeginInvoke
		*parameters:
		*  text : System.String
		*  charIndex : System.Int32
		*  addedChar : System.Char
		*  callback : System.AsyncCallback [System.Void(System.IAsyncResult)]
		*  object : System.Object
		*return:
		*   System.IAsyncResult
		*/
		[native,unityengine_ui_InputField_OnValidateInput_beginInvoke];
		public function beginInvoke(text:String,charIndex:int,addedChar:system.Char,callback:system.AsyncCallback,object:system._Object_):system.IAsyncResult;

		/**
		* UnityEngine.UI.InputField.OnValidateInput.EndInvoke
		*parameters:
		*  result : System.IAsyncResult
		*return:
		*   System.Char
		*/
		[native,unityengine_ui_InputField_OnValidateInput_endInvoke];
		public function endInvoke(result:system.IAsyncResult):system.Char;


	}
}
