package unityengine.ui
{
	import system._Object_;
	import unityengine.RectTransform;
	import system.Func_Of_ILayoutElement_Single;
	import as3runtime.RefOutStore;


		/**
		* Abstract
		* Sealed
		*  UnityEngine.UI.LayoutUtility
		*/
	[no_constructor]
	[link_system]
	public final class LayoutUtility extends system._Object_
	{
		[creator];
		[native,unityengine_ui_LayoutUtility_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function LayoutUtility();
		//*********公共方法*******
		/**
		* UnityEngine.UI.LayoutUtility.GetMinSize
		*parameters:
		*  rect : UnityEngine.RectTransform
		*  axis : System.Int32
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getMinSize];
		public static function getMinSize(rect:unityengine.RectTransform,axis:int):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetPreferredSize
		*parameters:
		*  rect : UnityEngine.RectTransform
		*  axis : System.Int32
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getPreferredSize];
		public static function getPreferredSize(rect:unityengine.RectTransform,axis:int):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetFlexibleSize
		*parameters:
		*  rect : UnityEngine.RectTransform
		*  axis : System.Int32
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getFlexibleSize];
		public static function getFlexibleSize(rect:unityengine.RectTransform,axis:int):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetMinWidth
		*parameters:
		*  rect : UnityEngine.RectTransform
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getMinWidth];
		public static function getMinWidth(rect:unityengine.RectTransform):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetPreferredWidth
		*parameters:
		*  rect : UnityEngine.RectTransform
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getPreferredWidth];
		public static function getPreferredWidth(rect:unityengine.RectTransform):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetFlexibleWidth
		*parameters:
		*  rect : UnityEngine.RectTransform
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getFlexibleWidth];
		public static function getFlexibleWidth(rect:unityengine.RectTransform):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetMinHeight
		*parameters:
		*  rect : UnityEngine.RectTransform
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getMinHeight];
		public static function getMinHeight(rect:unityengine.RectTransform):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetPreferredHeight
		*parameters:
		*  rect : UnityEngine.RectTransform
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getPreferredHeight];
		public static function getPreferredHeight(rect:unityengine.RectTransform):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetFlexibleHeight
		*parameters:
		*  rect : UnityEngine.RectTransform
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getFlexibleHeight];
		public static function getFlexibleHeight(rect:unityengine.RectTransform):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetLayoutProperty
		*parameters:
		*  rect : UnityEngine.RectTransform
		*  property : System.Func &lt; UnityEngine.UI.ILayoutElement,System.Single &gt;  [System.Single(UnityEngine.UI.ILayoutElement)]
		*  defaultValue : System.Single
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getLayoutProperty];
		public static function getLayoutProperty(rect:unityengine.RectTransform,property:system.Func_Of_ILayoutElement_Single,defaultValue:Number):Number;

		/**
		* UnityEngine.UI.LayoutUtility.GetLayoutProperty
		*parameters:
		*  rect : UnityEngine.RectTransform
		*  property : System.Func &lt; UnityEngine.UI.ILayoutElement,System.Single &gt;  [System.Single(UnityEngine.UI.ILayoutElement)]
		*  defaultValue : System.Single
		*  source : (Out)UnityEngine.UI.ILayoutElement
		*return:
		*   System.Single
		*/
		[native,static_unityengine_ui_LayoutUtility_getLayoutProperty_];
		public static function getLayoutProperty_(rect:unityengine.RectTransform,property:system.Func_Of_ILayoutElement_Single,defaultValue:Number,source:ILayoutElement,refout:as3runtime.RefOutStore):Number;


	}
}
