package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;
	import unityengine.ICanvasRaycastFilter;
	import unityengine.RectTransform;
	import unityengine.Vector2;
	import unityengine.Camera;
	import unityengine.Material;


		/**
		*  UnityEngine.UI.Mask
		*/
	[no_constructor]
	[link_system]
	public class Mask extends unityengine.eventsystems.UIBehaviour implements unityengine.ICanvasRaycastFilter,IMaterialModifier
	{
		[creator];
		[native,unityengine_ui_Mask_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Mask();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Mask.get_rectTransform
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Mask_get_rectTransform]
		public final function get rectTransform():unityengine.RectTransform;

		/**
		* UnityEngine.UI.Mask.get_showMaskGraphic
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Mask_get_showMaskGraphic]
		public final function get showMaskGraphic():Boolean;

		/**
		* UnityEngine.UI.Mask.set_showMaskGraphic
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Mask_set_showMaskGraphic]
		public final function set showMaskGraphic(value:Boolean):void;

		/**
		* UnityEngine.UI.Mask.get_graphic
		*return:
		*   UnityEngine.UI.Graphic
		*/
		[native,unityengine_ui_Mask_get_graphic]
		public final function get graphic():Graphic;

		/**
		* UnityEngine.UI.Mask.MaskEnabled
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Mask_maskEnabled];
		public function maskEnabled():Boolean;

		[native,unityengine_ICanvasRaycastFilter_isRaycastLocationValid];
		public function isRaycastLocationValid(sp:unityengine.Vector2,eventCamera:unityengine.Camera):Boolean;

		[native,unityengine_ui_IMaterialModifier_getModifiedMaterial];
		public function getModifiedMaterial(baseMaterial:unityengine.Material):unityengine.Material;


	}
}
