package unityengine.ui
{
	import system._Object_;
	import unityengine.Component;
	import unityengine.Transform;
	import system.collections.generic.List_Of_RectMask2D;


		/**
		*  UnityEngine.UI.MaskUtilities
		*/
	[link_system]
	public class MaskUtilities extends system._Object_
	{
		[creator];
		[native,unityengine_ui_MaskUtilities_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ui_MaskUtilities_ctor];
		public function MaskUtilities();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_ui_MaskUtilitiesAdapter_ctor];
		private function _MaskUtilitiesAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.UI.MaskUtilities.Notify2DMaskStateChanged
		*parameters:
		*  mask : UnityEngine.Component
		*/
		[native,static_unityengine_ui_MaskUtilities_notify2DMaskStateChanged];
		public static function notify2DMaskStateChanged(mask:unityengine.Component):void;

		/**
		* UnityEngine.UI.MaskUtilities.NotifyStencilStateChanged
		*parameters:
		*  mask : UnityEngine.Component
		*/
		[native,static_unityengine_ui_MaskUtilities_notifyStencilStateChanged];
		public static function notifyStencilStateChanged(mask:unityengine.Component):void;

		/**
		* UnityEngine.UI.MaskUtilities.FindRootSortOverrideCanvas
		*parameters:
		*  start : UnityEngine.Transform
		*return:
		*   UnityEngine.Transform
		*/
		[native,static_unityengine_ui_MaskUtilities_findRootSortOverrideCanvas];
		public static function findRootSortOverrideCanvas(start:unityengine.Transform):unityengine.Transform;

		/**
		* UnityEngine.UI.MaskUtilities.GetStencilDepth
		*parameters:
		*  transform : UnityEngine.Transform
		*  stopAfter : UnityEngine.Transform
		*return:
		*   System.Int32
		*/
		[native,static_unityengine_ui_MaskUtilities_getStencilDepth];
		public static function getStencilDepth(transform:unityengine.Transform,stopAfter:unityengine.Transform):int;

		/**
		* UnityEngine.UI.MaskUtilities.IsDescendantOrSelf
		*parameters:
		*  father : UnityEngine.Transform
		*  child : UnityEngine.Transform
		*return:
		*   System.Boolean
		*/
		[native,static_unityengine_ui_MaskUtilities_isDescendantOrSelf];
		public static function isDescendantOrSelf(father:unityengine.Transform,child:unityengine.Transform):Boolean;

		/**
		* UnityEngine.UI.MaskUtilities.GetRectMaskForClippable
		*parameters:
		*  clippable : UnityEngine.UI.IClippable
		*return:
		*   UnityEngine.UI.RectMask2D
		*/
		[native,static_unityengine_ui_MaskUtilities_getRectMaskForClippable];
		public static function getRectMaskForClippable(clippable:IClippable):RectMask2D;

		/**
		* UnityEngine.UI.MaskUtilities.GetRectMasksForClip
		*parameters:
		*  clipper : UnityEngine.UI.RectMask2D
		*  masks : System.Collections.Generic.List &lt; UnityEngine.UI.RectMask2D &gt; 
		*/
		[native,static_unityengine_ui_MaskUtilities_getRectMasksForClip];
		public static function getRectMasksForClip(clipper:RectMask2D,masks:system.collections.generic.List_Of_RectMask2D):void;


	}
}
