package unityengine.ui
{
	import unityengine.Material;
	import unityengine.Rect;
	import unityengine.GameObject;
	import unityengine.RectTransform;


		/**
		* Abstract
		*  UnityEngine.UI.MaskableGraphic
		*/
	[no_constructor]
	[link_system]
	public class MaskableGraphic extends Graphic implements ICanvasElement,IClippable,IMaskable,IMaterialModifier
	{
		[creator];
		[native,unityengine_ui_MaskableGraphic_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function MaskableGraphic();
		//*********公共方法*******
		/**
		* UnityEngine.UI.MaskableGraphic.get_onCullStateChanged
		*return:
		*   UnityEngine.UI.MaskableGraphic.CullStateChangedEvent
		*/
		[native,unityengine_ui_MaskableGraphic_get_onCullStateChanged]
		public final function get onCullStateChanged():MaskableGraphic_CullStateChangedEvent;

		/**
		* UnityEngine.UI.MaskableGraphic.set_onCullStateChanged
		*parameters:
		*  value : UnityEngine.UI.MaskableGraphic.CullStateChangedEvent
		*/
		[native,unityengine_ui_MaskableGraphic_set_onCullStateChanged]
		public final function set onCullStateChanged(value:MaskableGraphic_CullStateChangedEvent):void;

		/**
		* UnityEngine.UI.MaskableGraphic.get_maskable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_MaskableGraphic_get_maskable]
		public final function get maskable():Boolean;

		/**
		* UnityEngine.UI.MaskableGraphic.set_maskable
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_MaskableGraphic_set_maskable]
		public final function set maskable(value:Boolean):void;

		[native,unityengine_ui_IMaterialModifier_getModifiedMaterial];
		public function getModifiedMaterial(baseMaterial:unityengine.Material):unityengine.Material;

		[native,unityengine_ui_IClippable_cull];
		public function cull(clipRect:unityengine.Rect,validRect:Boolean):void;

		[native,unityengine_ui_IClippable_setClipRect];
		public function setClipRect(clipRect:unityengine.Rect,validRect:Boolean):void;

		[native,unityengine_ui_IClippable_recalculateClipping];
		public function recalculateClipping():void;

		[native,unityengine_ui_IMaskable_recalculateMasking];
		public function recalculateMasking():void;


		//*****显式接口实现*****
		[native,unityengine_ui_IClippable_get_gameObject];
		private function unityengine_ui_IClippable_get_gameObject():unityengine.GameObject;

		[native,unityengine_ui_IClippable_get_rectTransform];
		private function unityengine_ui_IClippable_get_rectTransform():unityengine.RectTransform;


	}
}
