package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;
	import unityengine.ICanvasRaycastFilter;
	import unityengine.Rect;
	import unityengine.RectTransform;
	import unityengine.Vector2;
	import unityengine.Camera;


		/**
		*  UnityEngine.UI.RectMask2D
		*/
	[no_constructor]
	[link_system]
	public class RectMask2D extends unityengine.eventsystems.UIBehaviour implements IClipper,unityengine.ICanvasRaycastFilter
	{
		[creator];
		[native,unityengine_ui_RectMask2D_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function RectMask2D();
		//*********公共方法*******
		/**
		* UnityEngine.UI.RectMask2D.get_canvasRect
		*return:
		*   UnityEngine.Rect
		*/
		[native,unityengine_ui_RectMask2D_get_canvasRect]
		public final function get canvasRect():unityengine.Rect;

		/**
		* UnityEngine.UI.RectMask2D.get_rectTransform
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_RectMask2D_get_rectTransform]
		public final function get rectTransform():unityengine.RectTransform;

		[native,unityengine_ICanvasRaycastFilter_isRaycastLocationValid];
		public function isRaycastLocationValid(sp:unityengine.Vector2,eventCamera:unityengine.Camera):Boolean;

		[native,unityengine_ui_IClipper_performClipping];
		public function performClipping():void;

		/**
		* UnityEngine.UI.RectMask2D.AddClippable
		*parameters:
		*  clippable : UnityEngine.UI.IClippable
		*/
		[native,unityengine_ui_RectMask2D_addClippable];
		public final function addClippable(clippable:IClippable):void;

		/**
		* UnityEngine.UI.RectMask2D.RemoveClippable
		*parameters:
		*  clippable : UnityEngine.UI.IClippable
		*/
		[native,unityengine_ui_RectMask2D_removeClippable];
		public final function removeClippable(clippable:IClippable):void;


	}
}
