package unityengine.ui
{
	import unityengine.eventsystems.IMoveHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IPointerDownHandler;
	import unityengine.eventsystems.IPointerUpHandler;
	import unityengine.eventsystems.IPointerEnterHandler;
	import unityengine.eventsystems.IPointerExitHandler;
	import unityengine.eventsystems.ISelectHandler;
	import unityengine.eventsystems.IDeselectHandler;
	import unityengine.eventsystems.IBeginDragHandler;
	import unityengine.eventsystems.IDragHandler;
	import unityengine.eventsystems.IInitializePotentialDragHandler;
	import unityengine.RectTransform;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.Transform;


		/**
		*  UnityEngine.UI.Scrollbar
		*/
	[no_constructor]
	[link_system]
	public class Scrollbar extends Selectable implements unityengine.eventsystems.IMoveHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IPointerDownHandler,unityengine.eventsystems.IPointerUpHandler,unityengine.eventsystems.IPointerEnterHandler,unityengine.eventsystems.IPointerExitHandler,unityengine.eventsystems.ISelectHandler,unityengine.eventsystems.IDeselectHandler,unityengine.eventsystems.IBeginDragHandler,unityengine.eventsystems.IDragHandler,unityengine.eventsystems.IInitializePotentialDragHandler,ICanvasElement
	{
		[creator];
		[native,unityengine_ui_Scrollbar_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Scrollbar();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Scrollbar.get_handleRect
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Scrollbar_get_handleRect]
		public final function get handleRect():unityengine.RectTransform;

		/**
		* UnityEngine.UI.Scrollbar.set_handleRect
		*parameters:
		*  value : UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Scrollbar_set_handleRect]
		public final function set handleRect(value:unityengine.RectTransform):void;

		/**
		* UnityEngine.UI.Scrollbar.get_direction
		*return:
		*   UnityEngine.UI.Scrollbar.Direction
		*/
		[native,unityengine_ui_Scrollbar_get_direction]
		public final function get direction():Scrollbar_Direction;

		/**
		* UnityEngine.UI.Scrollbar.set_direction
		*parameters:
		*  value : UnityEngine.UI.Scrollbar.Direction
		*/
		[native,unityengine_ui_Scrollbar_set_direction]
		public final function set direction(value:Scrollbar_Direction):void;

		/**
		* UnityEngine.UI.Scrollbar.get_value
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Scrollbar_get_value]
		public final function get value():Number;

		/**
		* UnityEngine.UI.Scrollbar.set_value
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Scrollbar_set_value]
		public final function set value(value:Number):void;

		/**
		* UnityEngine.UI.Scrollbar.get_size
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Scrollbar_get_size]
		public final function get size():Number;

		/**
		* UnityEngine.UI.Scrollbar.set_size
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Scrollbar_set_size]
		public final function set size(value:Number):void;

		/**
		* UnityEngine.UI.Scrollbar.get_numberOfSteps
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_Scrollbar_get_numberOfSteps]
		public final function get numberOfSteps():int;

		/**
		* UnityEngine.UI.Scrollbar.set_numberOfSteps
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_Scrollbar_set_numberOfSteps]
		public final function set numberOfSteps(value:int):void;

		/**
		* UnityEngine.UI.Scrollbar.get_onValueChanged
		*return:
		*   UnityEngine.UI.Scrollbar.ScrollEvent
		*/
		[native,unityengine_ui_Scrollbar_get_onValueChanged]
		public final function get onValueChanged():Scrollbar_ScrollEvent;

		/**
		* UnityEngine.UI.Scrollbar.set_onValueChanged
		*parameters:
		*  value : UnityEngine.UI.Scrollbar.ScrollEvent
		*/
		[native,unityengine_ui_Scrollbar_set_onValueChanged]
		public final function set onValueChanged(value:Scrollbar_ScrollEvent):void;

		[native,unityengine_ui_ICanvasElement_rebuild];
		public function rebuild(executing:CanvasUpdate):void;

		[native,unityengine_ui_ICanvasElement_layoutComplete];
		public function layoutComplete():void;

		[native,unityengine_ui_ICanvasElement_graphicUpdateComplete];
		public function graphicUpdateComplete():void;

		[native,unityengine_eventsystems_IBeginDragHandler_onBeginDrag];
		public function onBeginDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IDragHandler_onDrag];
		public function onDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IInitializePotentialDragHandler_onInitializePotentialDrag];
		public function onInitializePotentialDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		/**
		* UnityEngine.UI.Scrollbar.SetDirection
		*parameters:
		*  direction : UnityEngine.UI.Scrollbar.Direction
		*  includeRectLayouts : System.Boolean
		*/
		[native,unityengine_ui_Scrollbar_setDirection];
		public final function setDirection(direction:Scrollbar_Direction,includeRectLayouts:Boolean):void;


		//*****显式接口实现*****
		[native,unityengine_ui_ICanvasElement_get_transform];
		private function unityengine_ui_ICanvasElement_get_transform():unityengine.Transform;

		[native,unityengine_ui_ICanvasElement_isDestroyed];
		private function unityengine_ui_ICanvasElement_IsDestroyed():Boolean;


	}
}
