package unityengine.ui
{
	import unityengine.eventsystems.UIBehaviour;
	import unityengine.eventsystems.IMoveHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IPointerDownHandler;
	import unityengine.eventsystems.IPointerUpHandler;
	import unityengine.eventsystems.IPointerEnterHandler;
	import unityengine.eventsystems.IPointerExitHandler;
	import unityengine.eventsystems.ISelectHandler;
	import unityengine.eventsystems.IDeselectHandler;
	import system.collections.generic.List_Of_Selectable;
	import unityengine.Animator;
	import unityengine.Vector3;
	import unityengine.eventsystems.AxisEventData;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.eventsystems.BaseEventData;


		/**
		*  UnityEngine.UI.Selectable
		*/
	[no_constructor]
	[link_system]
	public class Selectable extends unityengine.eventsystems.UIBehaviour implements unityengine.eventsystems.IMoveHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IPointerDownHandler,unityengine.eventsystems.IPointerUpHandler,unityengine.eventsystems.IPointerEnterHandler,unityengine.eventsystems.IPointerExitHandler,unityengine.eventsystems.ISelectHandler,unityengine.eventsystems.IDeselectHandler
	{
		[creator];
		[native,unityengine_ui_Selectable_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Selectable();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Selectable.get_allSelectables
		*return:
		*   System.Collections.Generic.List &lt; UnityEngine.UI.Selectable &gt; 
		*/
		[native,static_unityengine_ui_Selectable_get_allSelectables]
		public static function get allSelectables():system.collections.generic.List_Of_Selectable;

		/**
		* UnityEngine.UI.Selectable.get_navigation
		*return:
		*   UnityEngine.UI.Navigation
		*/
		[native,unityengine_ui_Selectable_get_navigation]
		public final function get navigation():Navigation;

		/**
		* UnityEngine.UI.Selectable.set_navigation
		*parameters:
		*  value : UnityEngine.UI.Navigation
		*/
		[native,unityengine_ui_Selectable_set_navigation]
		public final function set navigation(value:Navigation):void;

		/**
		* UnityEngine.UI.Selectable.get_transition
		*return:
		*   UnityEngine.UI.Selectable.Transition
		*/
		[native,unityengine_ui_Selectable_get_transition]
		public final function get transition():Selectable_Transition;

		/**
		* UnityEngine.UI.Selectable.set_transition
		*parameters:
		*  value : UnityEngine.UI.Selectable.Transition
		*/
		[native,unityengine_ui_Selectable_set_transition]
		public final function set transition(value:Selectable_Transition):void;

		/**
		* UnityEngine.UI.Selectable.get_colors
		*return:
		*   UnityEngine.UI.ColorBlock
		*/
		[native,unityengine_ui_Selectable_get_colors]
		public final function get colors():ColorBlock;

		/**
		* UnityEngine.UI.Selectable.set_colors
		*parameters:
		*  value : UnityEngine.UI.ColorBlock
		*/
		[native,unityengine_ui_Selectable_set_colors]
		public final function set colors(value:ColorBlock):void;

		/**
		* UnityEngine.UI.Selectable.get_spriteState
		*return:
		*   UnityEngine.UI.SpriteState
		*/
		[native,unityengine_ui_Selectable_get_spriteState]
		public final function get spriteState():SpriteState;

		/**
		* UnityEngine.UI.Selectable.set_spriteState
		*parameters:
		*  value : UnityEngine.UI.SpriteState
		*/
		[native,unityengine_ui_Selectable_set_spriteState]
		public final function set spriteState(value:SpriteState):void;

		/**
		* UnityEngine.UI.Selectable.get_animationTriggers
		*return:
		*   UnityEngine.UI.AnimationTriggers
		*/
		[native,unityengine_ui_Selectable_get_animationTriggers]
		public final function get animationTriggers():AnimationTriggers;

		/**
		* UnityEngine.UI.Selectable.set_animationTriggers
		*parameters:
		*  value : UnityEngine.UI.AnimationTriggers
		*/
		[native,unityengine_ui_Selectable_set_animationTriggers]
		public final function set animationTriggers(value:AnimationTriggers):void;

		/**
		* UnityEngine.UI.Selectable.get_targetGraphic
		*return:
		*   UnityEngine.UI.Graphic
		*/
		[native,unityengine_ui_Selectable_get_targetGraphic]
		public final function get targetGraphic():Graphic;

		/**
		* UnityEngine.UI.Selectable.set_targetGraphic
		*parameters:
		*  value : UnityEngine.UI.Graphic
		*/
		[native,unityengine_ui_Selectable_set_targetGraphic]
		public final function set targetGraphic(value:Graphic):void;

		/**
		* UnityEngine.UI.Selectable.get_interactable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Selectable_get_interactable]
		public final function get interactable():Boolean;

		/**
		* UnityEngine.UI.Selectable.set_interactable
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Selectable_set_interactable]
		public final function set interactable(value:Boolean):void;

		/**
		* UnityEngine.UI.Selectable.get_image
		*return:
		*   UnityEngine.UI.Image
		*/
		[native,unityengine_ui_Selectable_get_image]
		public final function get image():Image;

		/**
		* UnityEngine.UI.Selectable.set_image
		*parameters:
		*  value : UnityEngine.UI.Image
		*/
		[native,unityengine_ui_Selectable_set_image]
		public final function set image(value:Image):void;

		/**
		* UnityEngine.UI.Selectable.get_animator
		*return:
		*   UnityEngine.Animator
		*/
		[native,unityengine_ui_Selectable_get_animator]
		public final function get animator():unityengine.Animator;

		/**
		* UnityEngine.UI.Selectable.IsInteractable
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Selectable_isInteractable];
		public function isInteractable():Boolean;

		/**
		* UnityEngine.UI.Selectable.FindSelectable
		*parameters:
		*  dir : UnityEngine.Vector3
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Selectable_findSelectable];
		public final function findSelectable(dir:unityengine.Vector3):Selectable;

		/**
		* UnityEngine.UI.Selectable.FindSelectableOnLeft
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Selectable_findSelectableOnLeft];
		public function findSelectableOnLeft():Selectable;

		/**
		* UnityEngine.UI.Selectable.FindSelectableOnRight
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Selectable_findSelectableOnRight];
		public function findSelectableOnRight():Selectable;

		/**
		* UnityEngine.UI.Selectable.FindSelectableOnUp
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Selectable_findSelectableOnUp];
		public function findSelectableOnUp():Selectable;

		/**
		* UnityEngine.UI.Selectable.FindSelectableOnDown
		*return:
		*   UnityEngine.UI.Selectable
		*/
		[native,unityengine_ui_Selectable_findSelectableOnDown];
		public function findSelectableOnDown():Selectable;

		[native,unityengine_eventsystems_IMoveHandler_onMove];
		public function onMove(eventData:unityengine.eventsystems.AxisEventData):void;

		[native,unityengine_eventsystems_IPointerDownHandler_onPointerDown];
		public function onPointerDown(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IPointerUpHandler_onPointerUp];
		public function onPointerUp(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IPointerEnterHandler_onPointerEnter];
		public function onPointerEnter(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IPointerExitHandler_onPointerExit];
		public function onPointerExit(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_ISelectHandler_onSelect];
		public function onSelect(eventData:unityengine.eventsystems.BaseEventData):void;

		[native,unityengine_eventsystems_IDeselectHandler_onDeselect];
		public function onDeselect(eventData:unityengine.eventsystems.BaseEventData):void;

		/**
		* UnityEngine.UI.Selectable.Select
		*/
		[native,unityengine_ui_Selectable_select];
		public function select():void;


	}
}
