package unityengine.ui
{
	import unityengine.eventsystems.IMoveHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IPointerDownHandler;
	import unityengine.eventsystems.IPointerUpHandler;
	import unityengine.eventsystems.IPointerEnterHandler;
	import unityengine.eventsystems.IPointerExitHandler;
	import unityengine.eventsystems.ISelectHandler;
	import unityengine.eventsystems.IDeselectHandler;
	import unityengine.eventsystems.IDragHandler;
	import unityengine.eventsystems.IInitializePotentialDragHandler;
	import unityengine.RectTransform;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.Transform;


		/**
		*  UnityEngine.UI.Slider
		*/
	[no_constructor]
	[link_system]
	public class Slider extends Selectable implements unityengine.eventsystems.IMoveHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IPointerDownHandler,unityengine.eventsystems.IPointerUpHandler,unityengine.eventsystems.IPointerEnterHandler,unityengine.eventsystems.IPointerExitHandler,unityengine.eventsystems.ISelectHandler,unityengine.eventsystems.IDeselectHandler,unityengine.eventsystems.IDragHandler,unityengine.eventsystems.IInitializePotentialDragHandler,ICanvasElement
	{
		[creator];
		[native,unityengine_ui_Slider_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Slider();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Slider.get_fillRect
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Slider_get_fillRect]
		public final function get fillRect():unityengine.RectTransform;

		/**
		* UnityEngine.UI.Slider.set_fillRect
		*parameters:
		*  value : UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Slider_set_fillRect]
		public final function set fillRect(value:unityengine.RectTransform):void;

		/**
		* UnityEngine.UI.Slider.get_handleRect
		*return:
		*   UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Slider_get_handleRect]
		public final function get handleRect():unityengine.RectTransform;

		/**
		* UnityEngine.UI.Slider.set_handleRect
		*parameters:
		*  value : UnityEngine.RectTransform
		*/
		[native,unityengine_ui_Slider_set_handleRect]
		public final function set handleRect(value:unityengine.RectTransform):void;

		/**
		* UnityEngine.UI.Slider.get_direction
		*return:
		*   UnityEngine.UI.Slider.Direction
		*/
		[native,unityengine_ui_Slider_get_direction]
		public final function get direction():Slider_Direction;

		/**
		* UnityEngine.UI.Slider.set_direction
		*parameters:
		*  value : UnityEngine.UI.Slider.Direction
		*/
		[native,unityengine_ui_Slider_set_direction]
		public final function set direction(value:Slider_Direction):void;

		/**
		* UnityEngine.UI.Slider.get_minValue
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Slider_get_minValue]
		public final function get minValue():Number;

		/**
		* UnityEngine.UI.Slider.set_minValue
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Slider_set_minValue]
		public final function set minValue(value:Number):void;

		/**
		* UnityEngine.UI.Slider.get_maxValue
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Slider_get_maxValue]
		public final function get maxValue():Number;

		/**
		* UnityEngine.UI.Slider.set_maxValue
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Slider_set_maxValue]
		public final function set maxValue(value:Number):void;

		/**
		* UnityEngine.UI.Slider.get_wholeNumbers
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Slider_get_wholeNumbers]
		public final function get wholeNumbers():Boolean;

		/**
		* UnityEngine.UI.Slider.set_wholeNumbers
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Slider_set_wholeNumbers]
		public final function set wholeNumbers(value:Boolean):void;

		/**
		* UnityEngine.UI.Slider.get_value
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Slider_get_value]
		public function get value():Number;

		/**
		* UnityEngine.UI.Slider.set_value
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Slider_set_value]
		public function set value(value:Number):void;

		/**
		* UnityEngine.UI.Slider.get_normalizedValue
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Slider_get_normalizedValue]
		public final function get normalizedValue():Number;

		/**
		* UnityEngine.UI.Slider.set_normalizedValue
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Slider_set_normalizedValue]
		public final function set normalizedValue(value:Number):void;

		/**
		* UnityEngine.UI.Slider.get_onValueChanged
		*return:
		*   UnityEngine.UI.Slider.SliderEvent
		*/
		[native,unityengine_ui_Slider_get_onValueChanged]
		public final function get onValueChanged():Slider_SliderEvent;

		/**
		* UnityEngine.UI.Slider.set_onValueChanged
		*parameters:
		*  value : UnityEngine.UI.Slider.SliderEvent
		*/
		[native,unityengine_ui_Slider_set_onValueChanged]
		public final function set onValueChanged(value:Slider_SliderEvent):void;

		[native,unityengine_ui_ICanvasElement_rebuild];
		public function rebuild(executing:CanvasUpdate):void;

		[native,unityengine_ui_ICanvasElement_layoutComplete];
		public function layoutComplete():void;

		[native,unityengine_ui_ICanvasElement_graphicUpdateComplete];
		public function graphicUpdateComplete():void;

		[native,unityengine_eventsystems_IDragHandler_onDrag];
		public function onDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_IInitializePotentialDragHandler_onInitializePotentialDrag];
		public function onInitializePotentialDrag(eventData:unityengine.eventsystems.PointerEventData):void;

		/**
		* UnityEngine.UI.Slider.SetDirection
		*parameters:
		*  direction : UnityEngine.UI.Slider.Direction
		*  includeRectLayouts : System.Boolean
		*/
		[native,unityengine_ui_Slider_setDirection];
		public final function setDirection(direction:Slider_Direction,includeRectLayouts:Boolean):void;


		//*****显式接口实现*****
		[native,unityengine_ui_ICanvasElement_get_transform];
		private function unityengine_ui_ICanvasElement_get_transform():unityengine.Transform;

		[native,unityengine_ui_ICanvasElement_isDestroyed];
		private function unityengine_ui_ICanvasElement_IsDestroyed():Boolean;


	}
}
