package unityengine.ui
{
	import unityengine.TextGenerator;
	import unityengine.Font;
	import unityengine.TextAnchor;
	import unityengine.HorizontalWrapMode;
	import unityengine.VerticalWrapMode;
	import unityengine.FontStyle;
	import unityengine.TextGenerationSettings;
	import unityengine.Vector2;


		/**
		*  UnityEngine.UI.Text
		*/
	[no_constructor]
	[link_system]
	public class Text extends MaskableGraphic implements ICanvasElement,IClippable,IMaskable,IMaterialModifier,ILayoutElement
	{
		[creator];
		[native,unityengine_ui_Text_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Text();
		//*********公共方法*******
		/**
		* UnityEngine.UI.Text.get_cachedTextGenerator
		*return:
		*   UnityEngine.TextGenerator
		*/
		[native,unityengine_ui_Text_get_cachedTextGenerator]
		public final function get cachedTextGenerator():unityengine.TextGenerator;

		/**
		* UnityEngine.UI.Text.get_cachedTextGeneratorForLayout
		*return:
		*   UnityEngine.TextGenerator
		*/
		[native,unityengine_ui_Text_get_cachedTextGeneratorForLayout]
		public final function get cachedTextGeneratorForLayout():unityengine.TextGenerator;

		/**
		* UnityEngine.UI.Text.FontTextureChanged
		*/
		[native,unityengine_ui_Text_fontTextureChanged];
		public final function fontTextureChanged():void;

		/**
		* UnityEngine.UI.Text.get_font
		*return:
		*   UnityEngine.Font
		*/
		[native,unityengine_ui_Text_get_font]
		public final function get font():unityengine.Font;

		/**
		* UnityEngine.UI.Text.set_font
		*parameters:
		*  value : UnityEngine.Font
		*/
		[native,unityengine_ui_Text_set_font]
		public final function set font(value:unityengine.Font):void;

		/**
		* UnityEngine.UI.Text.get_text
		*return:
		*   System.String
		*/
		[native,unityengine_ui_Text_get_text]
		public function get text():String;

		/**
		* UnityEngine.UI.Text.set_text
		*parameters:
		*  value : System.String
		*/
		[native,unityengine_ui_Text_set_text]
		public function set text(value:String):void;

		/**
		* UnityEngine.UI.Text.get_supportRichText
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Text_get_supportRichText]
		public final function get supportRichText():Boolean;

		/**
		* UnityEngine.UI.Text.set_supportRichText
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Text_set_supportRichText]
		public final function set supportRichText(value:Boolean):void;

		/**
		* UnityEngine.UI.Text.get_resizeTextForBestFit
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Text_get_resizeTextForBestFit]
		public final function get resizeTextForBestFit():Boolean;

		/**
		* UnityEngine.UI.Text.set_resizeTextForBestFit
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Text_set_resizeTextForBestFit]
		public final function set resizeTextForBestFit(value:Boolean):void;

		/**
		* UnityEngine.UI.Text.get_resizeTextMinSize
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_Text_get_resizeTextMinSize]
		public final function get resizeTextMinSize():int;

		/**
		* UnityEngine.UI.Text.set_resizeTextMinSize
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_Text_set_resizeTextMinSize]
		public final function set resizeTextMinSize(value:int):void;

		/**
		* UnityEngine.UI.Text.get_resizeTextMaxSize
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_Text_get_resizeTextMaxSize]
		public final function get resizeTextMaxSize():int;

		/**
		* UnityEngine.UI.Text.set_resizeTextMaxSize
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_Text_set_resizeTextMaxSize]
		public final function set resizeTextMaxSize(value:int):void;

		/**
		* UnityEngine.UI.Text.get_alignment
		*return:
		*   UnityEngine.TextAnchor
		*/
		[native,unityengine_ui_Text_get_alignment]
		public final function get alignment():unityengine.TextAnchor;

		/**
		* UnityEngine.UI.Text.set_alignment
		*parameters:
		*  value : UnityEngine.TextAnchor
		*/
		[native,unityengine_ui_Text_set_alignment]
		public final function set alignment(value:unityengine.TextAnchor):void;

		/**
		* UnityEngine.UI.Text.get_alignByGeometry
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Text_get_alignByGeometry]
		public final function get alignByGeometry():Boolean;

		/**
		* UnityEngine.UI.Text.set_alignByGeometry
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Text_set_alignByGeometry]
		public final function set alignByGeometry(value:Boolean):void;

		/**
		* UnityEngine.UI.Text.get_fontSize
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_Text_get_fontSize]
		public final function get fontSize():int;

		/**
		* UnityEngine.UI.Text.set_fontSize
		*parameters:
		*  value : System.Int32
		*/
		[native,unityengine_ui_Text_set_fontSize]
		public final function set fontSize(value:int):void;

		/**
		* UnityEngine.UI.Text.get_horizontalOverflow
		*return:
		*   UnityEngine.HorizontalWrapMode
		*/
		[native,unityengine_ui_Text_get_horizontalOverflow]
		public final function get horizontalOverflow():unityengine.HorizontalWrapMode;

		/**
		* UnityEngine.UI.Text.set_horizontalOverflow
		*parameters:
		*  value : UnityEngine.HorizontalWrapMode
		*/
		[native,unityengine_ui_Text_set_horizontalOverflow]
		public final function set horizontalOverflow(value:unityengine.HorizontalWrapMode):void;

		/**
		* UnityEngine.UI.Text.get_verticalOverflow
		*return:
		*   UnityEngine.VerticalWrapMode
		*/
		[native,unityengine_ui_Text_get_verticalOverflow]
		public final function get verticalOverflow():unityengine.VerticalWrapMode;

		/**
		* UnityEngine.UI.Text.set_verticalOverflow
		*parameters:
		*  value : UnityEngine.VerticalWrapMode
		*/
		[native,unityengine_ui_Text_set_verticalOverflow]
		public final function set verticalOverflow(value:unityengine.VerticalWrapMode):void;

		/**
		* UnityEngine.UI.Text.get_lineSpacing
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Text_get_lineSpacing]
		public final function get lineSpacing():Number;

		/**
		* UnityEngine.UI.Text.set_lineSpacing
		*parameters:
		*  value : System.Single
		*/
		[native,unityengine_ui_Text_set_lineSpacing]
		public final function set lineSpacing(value:Number):void;

		/**
		* UnityEngine.UI.Text.get_fontStyle
		*return:
		*   UnityEngine.FontStyle
		*/
		[native,unityengine_ui_Text_get_fontStyle]
		public final function get fontStyle():unityengine.FontStyle;

		/**
		* UnityEngine.UI.Text.set_fontStyle
		*parameters:
		*  value : UnityEngine.FontStyle
		*/
		[native,unityengine_ui_Text_set_fontStyle]
		public final function set fontStyle(value:unityengine.FontStyle):void;

		/**
		* UnityEngine.UI.Text.get_pixelsPerUnit
		*return:
		*   System.Single
		*/
		[native,unityengine_ui_Text_get_pixelsPerUnit]
		public final function get pixelsPerUnit():Number;

		/**
		* UnityEngine.UI.Text.GetGenerationSettings
		*parameters:
		*  extents : UnityEngine.Vector2
		*return:
		*   UnityEngine.TextGenerationSettings
		*/
		[native,unityengine_ui_Text_getGenerationSettings];
		public final function getGenerationSettings(extents:unityengine.Vector2):unityengine.TextGenerationSettings;

		/**
		* UnityEngine.UI.Text.GetTextAnchorPivot
		*parameters:
		*  anchor : UnityEngine.TextAnchor
		*return:
		*   UnityEngine.Vector2
		*/
		[native,static_unityengine_ui_Text_getTextAnchorPivot];
		public static function getTextAnchorPivot(anchor:unityengine.TextAnchor):unityengine.Vector2;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputHorizontal];
		public function calculateLayoutInputHorizontal():void;

		[native,unityengine_ui_ILayoutElement_calculateLayoutInputVertical];
		public function calculateLayoutInputVertical():void;

		[native,unityengine_ui_ILayoutElement_get_minWidth]
		public function get minWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredWidth]
		public function get preferredWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleWidth]
		public function get flexibleWidth():Number;

		[native,unityengine_ui_ILayoutElement_get_minHeight]
		public function get minHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_preferredHeight]
		public function get preferredHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_flexibleHeight]
		public function get flexibleHeight():Number;

		[native,unityengine_ui_ILayoutElement_get_layoutPriority]
		public function get layoutPriority():int;


	}
}
