package unityengine.ui
{
	import unityengine.eventsystems.IMoveHandler;
	import unityengine.eventsystems.IEventSystemHandler;
	import unityengine.eventsystems.IPointerDownHandler;
	import unityengine.eventsystems.IPointerUpHandler;
	import unityengine.eventsystems.IPointerEnterHandler;
	import unityengine.eventsystems.IPointerExitHandler;
	import unityengine.eventsystems.ISelectHandler;
	import unityengine.eventsystems.IDeselectHandler;
	import unityengine.eventsystems.IPointerClickHandler;
	import unityengine.eventsystems.ISubmitHandler;
	import unityengine.eventsystems.PointerEventData;
	import unityengine.eventsystems.BaseEventData;
	import unityengine.Transform;


		/**
		*  UnityEngine.UI.Toggle
		*/
	[no_constructor]
	[link_system]
	public class Toggle extends Selectable implements unityengine.eventsystems.IMoveHandler,unityengine.eventsystems.IEventSystemHandler,unityengine.eventsystems.IPointerDownHandler,unityengine.eventsystems.IPointerUpHandler,unityengine.eventsystems.IPointerEnterHandler,unityengine.eventsystems.IPointerExitHandler,unityengine.eventsystems.ISelectHandler,unityengine.eventsystems.IDeselectHandler,unityengine.eventsystems.IPointerClickHandler,unityengine.eventsystems.ISubmitHandler,ICanvasElement
	{
		[creator];
		[native,unityengine_ui_Toggle_creator];
		private static function _creator(type:Class):*;
		[native,$$_noctorclass];
		public function Toggle();
		//*********字段*******
		/**
		* UnityEngine.UI.Toggle.toggleTransition
		*fieldtype:
		*   UnityEngine.UI.Toggle.ToggleTransition
		*/
		[native, unityengine_ui_Toggle_toggleTransition_getter,unityengine_ui_Toggle_toggleTransition_setter];
		public var toggleTransition:Toggle_ToggleTransition;
		/**
		* UnityEngine.UI.Toggle.graphic
		*fieldtype:
		*   UnityEngine.UI.Graphic
		*/
		[native, unityengine_ui_Toggle_graphic_getter,unityengine_ui_Toggle_graphic_setter];
		public var graphic:Graphic;
		/**
		* UnityEngine.UI.Toggle.onValueChanged
		*fieldtype:
		*   UnityEngine.UI.Toggle.ToggleEvent
		*/
		[native, unityengine_ui_Toggle_onValueChanged_getter,unityengine_ui_Toggle_onValueChanged_setter];
		public var onValueChanged:Toggle_ToggleEvent;

		//*********公共方法*******
		/**
		* UnityEngine.UI.Toggle.get_group
		*return:
		*   UnityEngine.UI.ToggleGroup
		*/
		[native,unityengine_ui_Toggle_get_group]
		public final function get group():ToggleGroup;

		/**
		* UnityEngine.UI.Toggle.set_group
		*parameters:
		*  value : UnityEngine.UI.ToggleGroup
		*/
		[native,unityengine_ui_Toggle_set_group]
		public final function set group(value:ToggleGroup):void;

		[native,unityengine_ui_ICanvasElement_rebuild];
		public function rebuild(executing:CanvasUpdate):void;

		[native,unityengine_ui_ICanvasElement_layoutComplete];
		public function layoutComplete():void;

		[native,unityengine_ui_ICanvasElement_graphicUpdateComplete];
		public function graphicUpdateComplete():void;

		/**
		* UnityEngine.UI.Toggle.get_isOn
		*return:
		*   System.Boolean
		*/
		[native,unityengine_ui_Toggle_get_isOn]
		public final function get isOn():Boolean;

		/**
		* UnityEngine.UI.Toggle.set_isOn
		*parameters:
		*  value : System.Boolean
		*/
		[native,unityengine_ui_Toggle_set_isOn]
		public final function set isOn(value:Boolean):void;

		[native,unityengine_eventsystems_IPointerClickHandler_onPointerClick];
		public function onPointerClick(eventData:unityengine.eventsystems.PointerEventData):void;

		[native,unityengine_eventsystems_ISubmitHandler_onSubmit];
		public function onSubmit(eventData:unityengine.eventsystems.BaseEventData):void;


		//*****显式接口实现*****
		[native,unityengine_ui_ICanvasElement_get_transform];
		private function unityengine_ui_ICanvasElement_get_transform():unityengine.Transform;

		[native,unityengine_ui_ICanvasElement_isDestroyed];
		private function unityengine_ui_ICanvasElement_IsDestroyed():Boolean;


	}
}
