package unityengine.ui
{
	import system._Object_;
	import system.IDisposable;
	import unityengine.Mesh;
	import as3runtime.RefOutStore;
	import unityengine.UIVertex;
	import unityengine.Vector3;
	import unityengine.Color32;
	import unityengine.Vector2;
	import unityengine.Vector4;
	import system._Array_;
	import system.collections.generic.List_Of_UIVertex;
	import system.collections.generic.List_Of_Int32;


		/**
		*  UnityEngine.UI.VertexHelper
		*/
	[link_system]
	public class VertexHelper extends system._Object_ implements system.IDisposable
	{
		[creator];
		[native,unityengine_ui_VertexHelper_creator];
		private static function _creator(type:Class):*;

		//*********构造函数*******
		[native,unityengine_ui_VertexHelper_constructor_];
		public static function constructor_(m:unityengine.Mesh):VertexHelper;

		[native,unityengine_ui_VertexHelper_ctor];
		public function VertexHelper();

		//*********跨语言继承适配器*******
		[crossextendadapter];
		[native,_unityengine_ui_VertexHelperAdapter_ctor];
		private function _VertexHelperAdapter();


		//*********公共方法*******
		/**
		* UnityEngine.UI.VertexHelper.Clear
		*/
		[native,unityengine_ui_VertexHelper_clear];
		public final function clear():void;

		/**
		* UnityEngine.UI.VertexHelper.get_currentVertCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_VertexHelper_get_currentVertCount]
		public final function get currentVertCount():int;

		/**
		* UnityEngine.UI.VertexHelper.get_currentIndexCount
		*return:
		*   System.Int32
		*/
		[native,unityengine_ui_VertexHelper_get_currentIndexCount]
		public final function get currentIndexCount():int;

		/**
		* UnityEngine.UI.VertexHelper.PopulateUIVertex
		*parameters:
		*  vertex : (ByRef) UnityEngine.UIVertex
		*  i : System.Int32
		*/
		[native,unityengine_ui_VertexHelper_populateUIVertex];
		public final function populateUIVertex(vertex:unityengine.UIVertex,i:int,refout:as3runtime.RefOutStore):void;

		/**
		* UnityEngine.UI.VertexHelper.SetUIVertex
		*parameters:
		*  vertex : UnityEngine.UIVertex
		*  i : System.Int32
		*/
		[native,unityengine_ui_VertexHelper_setUIVertex];
		public final function setUIVertex(vertex:unityengine.UIVertex,i:int):void;

		/**
		* UnityEngine.UI.VertexHelper.FillMesh
		*parameters:
		*  mesh : UnityEngine.Mesh
		*/
		[native,unityengine_ui_VertexHelper_fillMesh];
		public final function fillMesh(mesh:unityengine.Mesh):void;

		[native,system_IDisposable_dispose];
		public final function dispose():void;

		/**
		* UnityEngine.UI.VertexHelper.AddVert
		*parameters:
		*  position : UnityEngine.Vector3
		*  color : UnityEngine.Color32
		*  uv0 : UnityEngine.Vector2
		*  uv1 : UnityEngine.Vector2
		*  normal : UnityEngine.Vector3
		*  tangent : UnityEngine.Vector4
		*/
		[native,unityengine_ui_VertexHelper_addVert];
		public final function addVert(position:unityengine.Vector3,color:unityengine.Color32,uv0:unityengine.Vector2,uv1:unityengine.Vector2,normal:unityengine.Vector3,tangent:unityengine.Vector4):void;

		/**
		* UnityEngine.UI.VertexHelper.AddVert
		*parameters:
		*  position : UnityEngine.Vector3
		*  color : UnityEngine.Color32
		*  uv0 : UnityEngine.Vector2
		*/
		[native,unityengine_ui_VertexHelper_addVert_];
		public final function addVert_(position:unityengine.Vector3,color:unityengine.Color32,uv0:unityengine.Vector2):void;

		/**
		* UnityEngine.UI.VertexHelper.AddVert
		*parameters:
		*  v : UnityEngine.UIVertex
		*/
		[native,unityengine_ui_VertexHelper_addVert__];
		public final function addVert__(v:unityengine.UIVertex):void;

		/**
		* UnityEngine.UI.VertexHelper.AddTriangle
		*parameters:
		*  idx0 : System.Int32
		*  idx1 : System.Int32
		*  idx2 : System.Int32
		*/
		[native,unityengine_ui_VertexHelper_addTriangle];
		public final function addTriangle(idx0:int,idx1:int,idx2:int):void;

		/**
		* UnityEngine.UI.VertexHelper.AddUIVertexQuad
		*parameters:
		*  verts : UnityEngine.UIVertex[]
		*/
		[native,unityengine_ui_VertexHelper_addUIVertexQuad];
		public final function addUIVertexQuad(verts:_Array_):void;

		/**
		* UnityEngine.UI.VertexHelper.AddUIVertexStream
		*parameters:
		*  verts : System.Collections.Generic.List &lt; UnityEngine.UIVertex &gt; 
		*  indices : System.Collections.Generic.List &lt; System.Int32 &gt; 
		*/
		[native,unityengine_ui_VertexHelper_addUIVertexStream];
		public final function addUIVertexStream(verts:system.collections.generic.List_Of_UIVertex,indices:system.collections.generic.List_Of_Int32):void;

		/**
		* UnityEngine.UI.VertexHelper.AddUIVertexTriangleStream
		*parameters:
		*  verts : System.Collections.Generic.List &lt; UnityEngine.UIVertex &gt; 
		*/
		[native,unityengine_ui_VertexHelper_addUIVertexTriangleStream];
		public final function addUIVertexTriangleStream(verts:system.collections.generic.List_Of_UIVertex):void;

		/**
		* UnityEngine.UI.VertexHelper.GetUIVertexStream
		*parameters:
		*  stream : System.Collections.Generic.List &lt; UnityEngine.UIVertex &gt; 
		*/
		[native,unityengine_ui_VertexHelper_getUIVertexStream];
		public final function getUIVertexStream(stream:system.collections.generic.List_Of_UIVertex):void;


	}
}
